
--BEFORE CODE 28.12.2017
--  [TEXT_DOP]   ITEM_VACATION
IF COLUMNPROPERTY(object_id('[dbo].[ITEM_VACATION]'), 'TEXT_DOP', 'AllowsNull') is null
	ALTER TABLE [dbo].[ITEM_VACATION] add [TEXT_DOP] VARCHAR(500) NULL 
GO
GO

-- SZV_STAZH_PACHKA

IF not exists(select * from sysobjects where id = object_id('[dbo].[SZV_STAZH_PACHKA]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[SZV_STAZH_PACHKA] (
	[link] int NOT NULL IDENTITY(1,1) ,
	[numer] numeric(5, 0) NOT NULL ,
	[date] datetime NOT NULL ,
	[year_begin] int NOT NULL ,
	[month_end] tinyint NOT NULL ,
	[type] tinyint NOT NULL ,
	[vid_kor] tinyint NOT NULL ,
	[link_dep] int NOT NULL ,
	[proverka] tinyint NOT NULL ,
	[KATEG] tinyint NOT NULL ,
	[PER] tinyint NULL ,
	[PER_EDT] tinyint NULL ,
	[YEAR_EDT] int NULL ,
	[INSUR1] numeric(15, 2) NULL ,
	[GAIN1] numeric(15, 2) NULL ,
	[sum_uplata_dolga_nak] numeric(15, 2) NOT NULL ,
	[sum_uplata_dolga_str] numeric(15, 2) NOT NULL ,
	[LINK_SELF] int NULL ,
	[LINK_SELF2] int NULL ,
	[LINK_ISHOD] int NULL ,
	[GUID] uniqueidentifier NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[SZV_STAZH_PACHKA] TO PUBLIC
	
GO

-- --
--

IF  NOT EXISTS (SELECT * FROM dbo.sysindexes WHERE [name] = 'IX_SZV_STAZH_PACHKA_LINK_SELF')
CREATE INDEX [IX_SZV_STAZH_PACHKA_LINK_SELF] ON [dbo].[SZV_STAZH_PACHKA] ([LINK_SELF]) ON [INDEX]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysindexes WHERE [name] = 'IX_SZV_STAZH_PACHKA_LINK_SELF2')
CREATE INDEX [IX_SZV_STAZH_PACHKA_LINK_SELF2] ON [dbo].[SZV_STAZH_PACHKA] ([LINK_SELF2]) ON [INDEX]
GO
--

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[PK_SZV_STAZH_PACHKA]'))
ALTER TABLE [dbo].[SZV_STAZH_PACHKA] 
ADD CONSTRAINT [PK_SZV_STAZH_PACHKA] PRIMARY KEY CLUSTERED ([link])
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_SZV_STAZH_PACHKA_LINK_SELF2]'))
ALTER TABLE [dbo].[SZV_STAZH_PACHKA] 
ADD CONSTRAINT [FK_SZV_STAZH_PACHKA_LINK_SELF2] FOREIGN KEY ([LINK_SELF2]) REFERENCES [dbo].[SZV_STAZH_PACHKA] ([link])
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_SZV_STAZH_PACHKA_LINK_SELF]'))
ALTER TABLE [dbo].[SZV_STAZH_PACHKA] 
ADD CONSTRAINT [FK_SZV_STAZH_PACHKA_LINK_SELF] FOREIGN KEY ([LINK_SELF]) REFERENCES [dbo].[SZV_STAZH_PACHKA] ([link])
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_PACHKA_proverka]'))
ALTER TABLE [dbo].[SZV_STAZH_PACHKA] 
ADD CONSTRAINT [DF_SZV_STAZH_PACHKA_proverka] DEFAULT ((0)) FOR [proverka]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_pachka_sum_uplata_dolga_nak]'))
ALTER TABLE [dbo].[SZV_STAZH_PACHKA] 
ADD CONSTRAINT [DF_SZV_STAZH_pachka_sum_uplata_dolga_nak] DEFAULT ((0)) FOR [sum_uplata_dolga_nak]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_pachka_sum_uplata_dolga_str]'))
ALTER TABLE [dbo].[SZV_STAZH_PACHKA] 
ADD CONSTRAINT [DF_SZV_STAZH_pachka_sum_uplata_dolga_str] DEFAULT ((0)) FOR [sum_uplata_dolga_str]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_PACHKA_KATEG]'))
ALTER TABLE [dbo].[SZV_STAZH_PACHKA] 
ADD CONSTRAINT [DF_SZV_STAZH_PACHKA_KATEG] DEFAULT ((1)) FOR [KATEG]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_PACHKA_GUID]'))
ALTER TABLE [dbo].[SZV_STAZH_PACHKA] 
ADD CONSTRAINT [DF_SZV_STAZH_PACHKA_GUID] DEFAULT (newid()) FOR [GUID]
GO

-- SZV_STAZH_svedenia
IF not exists(select * from sysobjects where id = object_id('[dbo].[SZV_STAZH_svedenia]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[SZV_STAZH_svedenia] (
	[link] int NOT NULL IDENTITY(1,1) ,
	[link_up] int NOT NULL ,
	[pachka] int NOT NULL ,
	[orders] int NOT NULL ,
	[forma] tinyint NOT NULL ,
	[link_pers] int NOT NULL ,
	[sum_doh] numeric(18, 2) NOT NULL ,
	[sum_str] numeric(18, 2) NOT NULL ,
	[sum_nak] numeric(18, 2) NOT NULL ,
	[sum_dop] numeric(18, 2) NOT NULL ,
	[dper_vn_m] int NOT NULL ,
	[dper_vn_d] int NOT NULL ,
	[dper_oz_m] int NOT NULL ,
	[dper_oz_d] int NOT NULL ,
	[isum_str] numeric(18, 2) NOT NULL ,
	[isum_nak] numeric(18, 2) NOT NULL ,
	[LINK_KATEG] int NOT NULL ,
	[DATE_BEG] datetime NULL ,
	[DATE_END] datetime NULL ,
	[sum_dolg_str] numeric(18, 2) NOT NULL ,
	[sum_uplata_dolga_str] numeric(18, 2) NOT NULL ,
	[sum_dolg_nak] numeric(18, 2) NOT NULL ,
	[sum_uplata_dolga_nak] numeric(18, 2) NOT NULL ,
	[INCOME_M1] numeric(18, 2) NOT NULL ,
	[BASE_BEFORE_M1] numeric(18, 2) NOT NULL ,
	[BASE_AFTER_M1] numeric(18, 2) NOT NULL ,
	[INCOME_M2] numeric(18, 2) NOT NULL ,
	[BASE_BEFORE_M2] numeric(18, 2) NOT NULL ,
	[BASE_AFTER_M2] numeric(18, 2) NOT NULL ,
	[INCOME_M3] numeric(18, 2) NOT NULL ,
	[BASE_BEFORE_M3] numeric(18, 2) NOT NULL ,
	[BASE_AFTER_M3] numeric(18, 2) NOT NULL ,
	[INCOME_T1_M1] numeric(18, 2) NOT NULL ,
	[INCOME_T2_M1] numeric(18, 2) NOT NULL ,
	[INCOME_T1_M2] numeric(18, 2) NOT NULL ,
	[INCOME_T2_M2] numeric(18, 2) NOT NULL ,
	[INCOME_T1_M3] numeric(18, 2) NOT NULL ,
	[INCOME_T2_M3] numeric(18, 2) NOT NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[SZV_STAZH_svedenia] TO PUBLIC
	
GO

-- --
--

IF  NOT EXISTS (SELECT * FROM dbo.sysindexes WHERE [name] = 'IX_SZV_STAZH_0')
CREATE INDEX [IX_SZV_STAZH_0] ON [dbo].[SZV_STAZH_svedenia] ([link_up]) ON [INDEX]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysindexes WHERE [name] = 'IX_SZV_STAZH_0_1')
CREATE INDEX [IX_SZV_STAZH_0_1] ON [dbo].[SZV_STAZH_svedenia] ([link_pers]) ON [INDEX]
GO
--

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[PK_SZV_STAZH_svedenia]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [PK_SZV_STAZH_svedenia] PRIMARY KEY CLUSTERED ([link])
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_SZV_STAZH_0_SZV_STAZH]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [FK_SZV_STAZH_0_SZV_STAZH] FOREIGN KEY ([link_up]) REFERENCES [dbo].[SZV_STAZH_PACHKA] ([link])
 ON UPDATE CASCADE
 ON DELETE CASCADE
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_SZV_STAZH_0_PERSON]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [FK_SZV_STAZH_0_PERSON] FOREIGN KEY ([link_pers]) REFERENCES [dbo].[PERSON] ([LINK])
 ON UPDATE CASCADE
 ON DELETE CASCADE
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_svedenia_LINK_KATEG]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [DF_SZV_STAZH_svedenia_LINK_KATEG] DEFAULT ((1)) FOR [LINK_KATEG]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[SZV_STAZH_SVEDENIA_INCOME_M1]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [SZV_STAZH_SVEDENIA_INCOME_M1] DEFAULT ((0)) FOR [INCOME_M1]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[SZV_STAZH_SVEDENIA_BASE_BEFORE_M1]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [SZV_STAZH_SVEDENIA_BASE_BEFORE_M1] DEFAULT ((0)) FOR [BASE_BEFORE_M1]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[SZV_STAZH_SVEDENIA_BASE_AFTER_M1]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [SZV_STAZH_SVEDENIA_BASE_AFTER_M1] DEFAULT ((0)) FOR [BASE_AFTER_M1]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[SZV_STAZH_SVEDENIA_INCOME_M2]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [SZV_STAZH_SVEDENIA_INCOME_M2] DEFAULT ((0)) FOR [INCOME_M2]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[SZV_STAZH_SVEDENIA_BASE_BEFORE_M2]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [SZV_STAZH_SVEDENIA_BASE_BEFORE_M2] DEFAULT ((0)) FOR [BASE_BEFORE_M2]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[SZV_STAZH_SVEDENIA_BASE_AFTER_M2]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [SZV_STAZH_SVEDENIA_BASE_AFTER_M2] DEFAULT ((0)) FOR [BASE_AFTER_M2]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[SZV_STAZH_SVEDENIA_INCOME_M3]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [SZV_STAZH_SVEDENIA_INCOME_M3] DEFAULT ((0)) FOR [INCOME_M3]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[SZV_STAZH_SVEDENIA_BASE_BEFORE_M3]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [SZV_STAZH_SVEDENIA_BASE_BEFORE_M3] DEFAULT ((0)) FOR [BASE_BEFORE_M3]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[SZV_STAZH_SVEDENIA_BASE_AFTER_M3]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [SZV_STAZH_SVEDENIA_BASE_AFTER_M3] DEFAULT ((0)) FOR [BASE_AFTER_M3]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[SZV_STAZH_SVEDENIA_INCOME_T1_M1]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [SZV_STAZH_SVEDENIA_INCOME_T1_M1] DEFAULT ((0)) FOR [INCOME_T1_M1]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[SZV_STAZH_SVEDENIA_INCOME_T2_M1]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [SZV_STAZH_SVEDENIA_INCOME_T2_M1] DEFAULT ((0)) FOR [INCOME_T2_M1]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[SZV_STAZH_SVEDENIA_INCOME_T1_M2]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [SZV_STAZH_SVEDENIA_INCOME_T1_M2] DEFAULT ((0)) FOR [INCOME_T1_M2]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[SZV_STAZH_SVEDENIA_INCOME_T2_M2]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [SZV_STAZH_SVEDENIA_INCOME_T2_M2] DEFAULT ((0)) FOR [INCOME_T2_M2]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[SZV_STAZH_SVEDENIA_INCOME_T1_M3]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [SZV_STAZH_SVEDENIA_INCOME_T1_M3] DEFAULT ((0)) FOR [INCOME_T1_M3]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[SZV_STAZH_SVEDENIA_INCOME_T2_M3]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [SZV_STAZH_SVEDENIA_INCOME_T2_M3] DEFAULT ((0)) FOR [INCOME_T2_M3]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_sum_dolg_str]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [DF_SZV_STAZH_sum_dolg_str] DEFAULT ((0)) FOR [sum_dolg_str]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_sum_uplata_dolga_str]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [DF_SZV_STAZH_sum_uplata_dolga_str] DEFAULT ((0)) FOR [sum_uplata_dolga_str]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_sum_dolg_nak]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [DF_SZV_STAZH_sum_dolg_nak] DEFAULT ((0)) FOR [sum_dolg_nak]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_sum_uplata_dolga_nak]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [DF_SZV_STAZH_sum_uplata_dolga_nak] DEFAULT ((0)) FOR [sum_uplata_dolga_nak]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_svedenia_pachka]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [DF_SZV_STAZH_svedenia_pachka] DEFAULT ((0)) FOR [pachka]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_svedenia_form]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [DF_SZV_STAZH_svedenia_form] DEFAULT ((2)) FOR [forma]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_0_dohod]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [DF_SZV_STAZH_0_dohod] DEFAULT ((0)) FOR [sum_doh]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_0_sum_str]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [DF_SZV_STAZH_0_sum_str] DEFAULT ((0)) FOR [sum_str]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_0_sum_nak]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [DF_SZV_STAZH_0_sum_nak] DEFAULT ((0)) FOR [sum_nak]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_0_sum_dop]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [DF_SZV_STAZH_0_sum_dop] DEFAULT ((0)) FOR [sum_dop]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_0_dper_vn_m]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [DF_SZV_STAZH_0_dper_vn_m] DEFAULT ((0)) FOR [dper_vn_m]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_0_dper_vn_m1]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [DF_SZV_STAZH_0_dper_vn_m1] DEFAULT ((0)) FOR [dper_vn_d]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_0_dper_vn_m1_1]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [DF_SZV_STAZH_0_dper_vn_m1_1] DEFAULT ((0)) FOR [dper_oz_m]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_0_dper_vn_m1_2]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [DF_SZV_STAZH_0_dper_vn_m1_2] DEFAULT ((0)) FOR [dper_oz_d]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_0_sum_str1]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [DF_SZV_STAZH_0_sum_str1] DEFAULT ((0)) FOR [isum_str]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_0_sum_str1_1]'))
ALTER TABLE [dbo].[SZV_STAZH_svedenia] 
ADD CONSTRAINT [DF_SZV_STAZH_0_sum_str1_1] DEFAULT ((0)) FOR [isum_nak]
GO
--

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_SVEDENIA_SA_DELETE]') AND OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER dbo.[SZV_STAZH_SVEDENIA_SA_DELETE]

GO
CREATE TRIGGER [dbo].[SZV_STAZH_SVEDENIA_SA_DELETE] ON dbo.SZV4_svedenia 
FOR DELETE
AS

update szv4_pachka set proverka = 0
where
	link in (select link_up from DELETED)


GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_SVEDENIA_SA_INSUPD]') AND OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER dbo.[SZV_STAZH_SVEDENIA_SA_INSUPD]

GO
CREATE TRIGGER [dbo].[SZV_STAZH_SVEDENIA_SA_INSUPD] ON dbo.SZV_STAZH_svedenia
FOR INSERT, UPDATE
AS

update szv_STAZH_pachka set proverka = 0
where
	link in (select link_up from INSERTED)


GO


-- SZV_ST_stazh
IF not exists(select * from sysobjects where id = object_id('[dbo].[SZV_ST_stazh]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[SZV_ST_stazh] (
	[link] int NOT NULL IDENTITY(1,1) ,
	[link_up] int NOT NULL ,
	[orders] int NOT NULL ,
	[date1] datetime NOT NULL ,
	[date2] datetime NOT NULL ,
	[ter_usl] varchar(10) NULL ,
	[ter_koef] numeric(18, 2) NULL ,
	[osob_usl] varchar(10) NULL ,
	[osob_k1] varchar(20) NULL ,
	[osob_k2] varchar(20) NULL ,
	[osob_k3] varchar(20) NULL ,
	[is_osnov] varchar(10) NULL ,
	[is_dop] varchar(20) NULL ,
	[is_dop_m] tinyint NULL ,
	[is_dop_d] tinyint NULL ,
	[ud_osnov] varchar(10) NULL ,
	[ud_dop_m] int NULL ,
	[ud_dop_d] int NULL ,
	[ud_dop_k] numeric(18, 2) NULL ,
	[OSOB_SPO] varchar(20) NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[SZV_ST_stazh] TO PUBLIC
	
GO

-- --
--

IF  NOT EXISTS (SELECT * FROM dbo.sysindexes WHERE [name] = 'IX_SZV_ST_stazh_link_up')
CREATE INDEX [IX_SZV_ST_stazh_link_up] ON [dbo].[SZV_ST_stazh] ([link_up]) ON [INDEX]
GO
--

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[PK_SZV_ST_stazh]'))
ALTER TABLE [dbo].[SZV_ST_stazh] 
ADD CONSTRAINT [PK_SZV_ST_stazh] PRIMARY KEY CLUSTERED ([link])
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_SZV_ST_stazh_SZV_STAZH_svedenia]'))
ALTER TABLE [dbo].[SZV_ST_stazh] 
ADD CONSTRAINT [FK_SZV_ST_stazh_SZV_STAZH_svedenia] FOREIGN KEY ([link_up]) REFERENCES [dbo].[SZV_STAZH_svedenia] ([link])
 ON UPDATE CASCADE
 ON DELETE CASCADE
GO
--

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_ST_STAZH_SA_DELETE]') AND OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER dbo.[SZV_ST_STAZH_SA_DELETE]

GO
CREATE TRIGGER [dbo].[SZV_ST_STAZH_SA_DELETE] ON [dbo].[SZV_ST_stazh]
FOR DELETE
AS

update szv_STAZH_pachka set proverka = 0
where
	link in
	(select S. link_up from dbo.SZV_STAZH_SVEDENIA S INNER JOIN DELETED I on S.link = I.link_up)


GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_ST_STAZH_SA_INSUPD]') AND OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER dbo.[SZV_ST_STAZH_SA_INSUPD]

GO
CREATE TRIGGER [dbo].[SZV_ST_STAZH_SA_INSUPD] ON [dbo].[SZV_ST_stazh]
FOR INSERT, UPDATE
AS

update szv_STAZH_pachka set proverka = 0
where
	link in
	(select S. link_up from dbo.SZV_STAZH_SVEDENIA S INNER JOIN INSERTED I on S.link = I.link_up)





GO


-- SZV_STAZH_PLAT
IF not exists(select * from sysobjects where id = object_id('[dbo].[SZV_STAZH_PLAT]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[SZV_STAZH_PLAT] (
	[LINK] int NOT NULL IDENTITY(1,1) ,
	[LINK_UP] int NOT NULL ,
	[MON] int NOT NULL ,
	[SUM_STR] numeric(18, 2) NOT NULL ,
	[SUM_NAK] numeric(18, 2) NOT NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[SZV_STAZH_PLAT] TO PUBLIC
	
GO

-- --
--

IF  NOT EXISTS (SELECT * FROM dbo.sysindexes WHERE [name] = 'IX_SZV_STAZH_PLAT_LINK_UP_MON')
CREATE INDEX [IX_SZV_STAZH_PLAT_LINK_UP_MON] ON [dbo].[SZV_STAZH_PLAT] ([LINK_UP], [MON]) ON [INDEX]
GO
--

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[PK_SZV_STAZH_PLAT]'))
ALTER TABLE [dbo].[SZV_STAZH_PLAT] 
ADD CONSTRAINT [PK_SZV_STAZH_PLAT] PRIMARY KEY CLUSTERED ([LINK])
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_SZV_STAZH_PLAT]'))
ALTER TABLE [dbo].[SZV_STAZH_PLAT] 
ADD CONSTRAINT [FK_SZV_STAZH_PLAT] FOREIGN KEY ([LINK_UP]) REFERENCES [dbo].[SZV_STAZH_PACHKA] ([link])
 ON UPDATE CASCADE
 ON DELETE CASCADE
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_PLAT_SUM_STR]'))
ALTER TABLE [dbo].[SZV_STAZH_PLAT] 
ADD CONSTRAINT [DF_SZV_STAZH_PLAT_SUM_STR] DEFAULT ((0)) FOR [SUM_STR]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_SZV_STAZH_PLAT_SUM_NAK]'))
ALTER TABLE [dbo].[SZV_STAZH_PLAT] 
ADD CONSTRAINT [DF_SZV_STAZH_PLAT_SUM_NAK] DEFAULT ((0)) FOR [SUM_NAK]
GO
--

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_PLAT_INSUPD]') AND OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER dbo.[SZV_STAZH_PLAT_INSUPD]

GO
CREATE TRIGGER [dbo].[SZV_STAZH_PLAT_INSUPD] ON dbo.SZV_STAZH_PLAT
FOR INSERT, UPDATE
AS

UPDATE SZV_STAZH_PACHKA SET PROVERKA = 0
WHERE
	LINK IN (SELECT LINK_UP FROM INSERTED)


GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_PLAT_DELETE]') AND OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER dbo.[SZV_STAZH_PLAT_DELETE]

GO
CREATE TRIGGER [dbo].[SZV_STAZH_PLAT_DELETE] ON dbo.SZV_STAZH_PLAT
FOR DELETE
AS

UPDATE SZV_STAZH_PACHKA SET PROVERKA = 0
WHERE
	LINK IN (SELECT LINK_UP FROM DELETED)




GO


--  28.12.2017
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[ss_SZV_ST_STAZH]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[ss_SZV_ST_STAZH]

GO

CREATE  VIEW [dbo].ss_SZV_ST_STAZH
as

SELECT 
	link = S.link_up,
	link1 = S.link,
	orders,
	S.date1,
	S.date2,
	-- 
	ter_usl,
	n_ter_usl = COALESCE(SPR1.[name],''), 
	ter_koef,
	f_ter_usl = 
			SUBSTRING(
			(case when COALESCE(S.[ter_usl],'') <> '' then ',' + COALESCE(S.[ter_usl],'') else '' end )
			+ (case when coalesce(ter_koef,0) <> 0 then ',' + convert(varchar(20),coalesce(ter_koef,0)) else '' end )
			,2,254),	
	--  
	osob_usl,
	n_osob_usl = COALESCE(SPR2.[name],''),
	osob_k1, --  1
	n_osob_k1 = COALESCE(SPR6.[name],''),
	osob_k2, --  2
	n_osob_k2 = COALESCE(SPR7.[name],''),
	osob_spo, --   
	n_osob_spo = COALESCE(SPR8.[name],''),
	osob_k3, --  3
	n_osob_k3 = COALESCE(SPR9.[name],''),
	f_osob_usl = 
			SUBSTRING(
			(case when COALESCE(S.[osob_usl],'') <> '' then ',' + COALESCE(S.[osob_usl],'') else '' end )
			+ (case when COALESCE(S.[osob_k1],'') <> '' then ',' + COALESCE(S.[osob_k1],'') else '' end )
			+ (case when COALESCE(S.[osob_k2],'') <> '' then ',' + COALESCE(S.[osob_k2],'') else '' end )
			+ (case when COALESCE(S.[osob_k3],'') <> '' then ',' + COALESCE(S.[osob_k3],'') else '' end )
			+ (case when COALESCE(S.[osob_spo],'') <> '' then ',' + COALESCE(S.[osob_spo],'') else '' end )
			,2,254),
	--   
	is_osnov,
	n_is_osnov = COALESCE(SPR3.[name],''),

	is_dop_m,
	is_dop_d,
	is_dop,
	n_is_dop = COALESCE(SPR4.[name],''),

	f_is_osnov = COALESCE(S.[is_osnov],'')
			+ (case when COALESCE(S.[is_osnov],'') <> '' and COALESCE(S.[is_dop_m],0) <> 0 and RTRIM(LTRIM(coalesce(spr3.par1code,''))) <> '' 
				then ',' + Convert(Varchar(10),COALESCE(S.[is_dop_m],0)) + SPACE(1) + RTRIM(LTRIM(coalesce(spr3.par1code,''))) else '' end )
			+ (case when COALESCE(S.[is_osnov],'') <> '' and COALESCE(S.[is_dop_d],0) <> 0 and RTRIM(LTRIM(coalesce(spr3.par2code,''))) <> '' 
				then (case when COALESCE(S.[is_dop_m],0) <> 0 then '' else ',' end)
						+ Convert(varchar(10),COALESCE(S.[is_dop_d],0)) + SPACE(1) + RTRIM(LTRIM(coalesce(spr3.par2code,''))) else '' end )
			+ (case when COALESCE(S.[is_dop],'') <> '' then COALESCE(S.[is_dop],'') else '' end ),

	f_is_dop = (case when COALESCE(S.[is_osnov],'') <> '' and COALESCE(S.[is_dop_m],0) <> 0 and RTRIM(LTRIM(coalesce(spr3.par1code,''))) <> '' then Convert(Varchar(10),COALESCE(S.[is_dop_m],0)) + SPACE(1) + RTRIM(LTRIM(coalesce(spr3.par1code,''))) else '' end )
			+ (case when COALESCE(S.[is_osnov],'') <> '' and COALESCE(S.[is_dop_d],0) <> 0 and RTRIM(LTRIM(coalesce(spr3.par2code,''))) <> '' then (case when COALESCE(S.[is_dop_m],0) <> 0 then ',' else '' end)
						+ Convert(varchar(10),COALESCE(S.[is_dop_d],0)) + SPACE(1) +RTRIM(LTRIM(coalesce(spr3.par2code,''))) else '' end)
			+ (case when COALESCE(S.[is_dop],'') <> '' then COALESCE(S.[is_dop],'') else '' end ),

	-- 	    
	ud_osnov,
	n_ud_osnov = COALESCE(SPR5.[name],''),

	ud_dop_m,
	ud_dop_d,
	ud_dop_k,
	f_ud_osnov = COALESCE(S.[ud_osnov],'')
			+ (case when COALESCE(S.[ud_osnov],'') <> '' and COALESCE(S.[ud_dop_m],0) <> 0 and RTRIM(LTRIM(coalesce(spr5.par1code,''))) <> '' then  ',' + Convert(Varchar(10),COALESCE(S.[ud_dop_m],0)) + SPACE(1) + RTRIM(LTRIM(coalesce(spr5.par1code,''))) else '' end )
			+ (case when COALESCE(S.[ud_osnov],'') <> '' and COALESCE(S.[ud_dop_d],0) <> 0 and RTRIM(LTRIM(coalesce(spr5.par2code,''))) <> '' then (case when COALESCE(S.[ud_dop_m],0) <> 0 then '' else ',' end)
						+ Convert(varchar(10),COALESCE(S.[ud_dop_d],0)) + SPACE(1) + RTRIM(LTRIM(coalesce(spr5.par2code,'')))  else '' end )
			+ (case when COALESCE(S.[ud_osnov],'') <> '' and COALESCE(S.[ud_dop_k],0) <> 0 then (case when (COALESCE(S.[ud_dop_m],0) <> 0 or COALESCE(S.[ud_dop_d],0) <> 0) then ',' else '' end) 
					+ Convert(Varchar(10),COALESCE(S.[ud_dop_k],0)) else '' end ),

	f_ud_dop = (case when COALESCE(S.[ud_osnov],'') <> '' and COALESCE(S.[ud_dop_m],0) <> 0 and RTRIM(LTRIM(coalesce(spr5.par1code,''))) <> '' then  Convert(Varchar(10),COALESCE(S.[ud_dop_m],0)) + SPACE(1) + RTRIM(LTRIM(coalesce(spr5.par1code,''))) else '' end )
			+ (case when COALESCE(S.[ud_osnov],'') <> '' and COALESCE(S.[ud_dop_d],0) <> 0 and RTRIM(LTRIM(coalesce(spr5.par2code,''))) <> '' then (case when COALESCE(S.[ud_dop_m],0) <> 0 then ',' else '' end)
						+ Convert(varchar(10),COALESCE(S.[ud_dop_d],0)) + SPACE(1) + RTRIM(LTRIM(coalesce(spr5.par2code,''))) else '' end )
			+ (case when COALESCE(S.[ud_osnov],'') <> '' and COALESCE(S.[ud_dop_k],0) <> 0 then (case when COALESCE(S.[ud_dop_d],0) <> 0 or COALESCE(S.[ud_dop_m],0) <> 0 then  ',' else '' end)
					+ Convert(Varchar(10),COALESCE(S.[ud_dop_k],0)) else '' end )

from dbo.SZV_ST_stazh S
	left join dbo.szv4_spr spr1 on spr1.spr_code = 'TERR_USL' and spr1.code = S.ter_usl
	left join dbo.szv4_spr spr2 on spr2.spr_code = 'OSOB_USL_TRUDA' and spr2.code = S.osob_usl
	left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = S.is_osnov
	left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = S.is_dop
	left join dbo.szv4_spr spr5 on spr5.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5.code = S.ud_osnov
	left join dbo.szv4_spr spr6 on spr6.spr_code = 'SPISOK1' and spr6.code = S.osob_k1
	left join dbo.szv4_spr spr7 on spr7.spr_code = 'SPISOK2' and spr7.code = S.osob_k2
	left join dbo.szv4_spr spr8 on spr8.spr_code = 'SPO_USL_TRUDA' and spr8.code = S.osob_spo
	left join dbo.szv4_spr spr9 on spr9.spr_code = 'LGOT_PROFES' and spr9.code = S.osob_k3



GO


GRANT SELECT ON dbo.[ss_SZV_ST_STAZH] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_EXPORT_FORMATS_17]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[SS_SZV_ST_EXPORT_FORMATS_17]

GO
				
CREATE VIEW dbo.SS_SZV_ST_EXPORT_FORMATS_17
AS
	 	SELECT FNAME = ' 1.00 (   11  2017. N3)', PROC_NAME = 'SZV_STAZH_EXPORT_PFR_100_17', PRG_SKRIPT = '', DIR = 'PF'

GO


GRANT SELECT ON dbo.[SS_SZV_ST_EXPORT_FORMATS_17] TO PUBLIC

GO




GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_GROUP_DEDUCTION]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[SALARY_GROUP_DEDUCTION]

GO
CREATE View [dbo].SALARY_GROUP_DEDUCTION as

		SELECT CODE = 1, [NAME] = '  , .218  '
UNION	SELECT CODE = 2, [NAME] = '  .211   (     )'
UNION	SELECT CODE = 3, [NAME] = '  .214.1   (      )'
UNION	SELECT CODE = 4, [NAME] = '  /.2 .1 .220   (  )'
UNION	SELECT CODE = 5, [NAME] = '  .221   (  )'
UNION	SELECT CODE = 6, [NAME] = '  .217   (., , ,    .)'
UNION	SELECT CODE = 7, [NAME] = '  .214   (     )'
UNION	SELECT CODE = 8, [NAME] = '  .213   ( . )'
UNION	SELECT CODE = 9, [NAME] = '  .213.1   (  . . )'
UNION	SELECT CODE = 10, [NAME] = '  /.4 .1 .219   (     . . )'
UNION	SELECT CODE = 11, [NAME] = '  /.2 .1 .219   (     )'
UNION	SELECT CODE = 12, [NAME] = '  /.3 .1 .219   (    .   . .)'
UNION	SELECT CODE = 13, [NAME] = '  /.5 .1 .219   (    . .   )'
UNION	SELECT CODE = 14, [NAME] = '  .219.1   (  )'

GO


GRANT SELECT ON dbo.[SALARY_GROUP_DEDUCTION] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_EXPORT_FORMATS_17]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[SS_SZV_ST_EXPORT_FORMATS_17]

GO
				
CREATE VIEW dbo.SS_SZV_ST_EXPORT_FORMATS_17
AS
	 	SELECT FNAME = ' 1.00 (   11  2017. N3)', PROC_NAME = 'SZV_STAZH_EXPORT_PFR_100_17', PRG_SKRIPT = '', DIR = 'PF'

GO


GRANT SELECT ON dbo.[SS_SZV_ST_EXPORT_FORMATS_17] TO PUBLIC

GO




GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BK_VIEW_EXPORT_FORMAT_NALOG_FN]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[BK_VIEW_EXPORT_FORMAT_NALOG_FN]

GO
CREATE FUNCTION dbo.BK_VIEW_EXPORT_FORMAT_NALOG_FN (@YEAR INT = NULL)
RETURNS TABLE

RETURN

	--      --
	SELECT FORM_CODE = 'ND_NP',
		FNAME = ' 5.02 ( 01.01.2009 .)', PROC_NAME = 'BK_EXPORT_F1151006', 
		PRG_SKRIPT = CONVERT(VARCHAR(100),''),
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR < 2011

	UNION ALL

	SELECT FORM_CODE = 'ND_NP',
		FNAME = ' 5.03 ( 01.01.2011 .)', PROC_NAME = 'BK_EXPORT_F1151006_503', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR BETWEEN 2011 AND 2013

	UNION ALL

	SELECT FORM_CODE = 'ND_NP',
		FNAME = ' 5.05 ( 01.12.2013 .)', PROC_NAME = 'BK_EXPORT_F1151006_505', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR >= 2013

	UNION ALL
	--     --
	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 4.01 ( 01.01.2007 .)',
		PROC_NAME = 'BK_EXPORT_F1152004', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152027'
	WHERE @YEAR < 2012	

	UNION ALL

	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 5.01 ( 01.01.2012 .)',
		PROC_NAME = 'BK_EXPORT_F1152004_501', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR = 2012

	UNION ALL

	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 5.02 ( 01.01.2013 .)',
		PROC_NAME = 'BK_EXPORT_F1152004_502', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR = 2013
	
	UNION ALL

	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 5.03 ( 01.01.2015 .)',
		PROC_NAME = 'BK_EXPORT_F1152004_503', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR >= 2014

	UNION ALL

	SELECT FORM_CODE = 'AV_TN',
		FNAME = ' 4.01 ( 01.01.2007 .)', PROC_NAME = 'BK_EXPORT_F1152027', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152027'

	UNION ALL

	---      ---
	SELECT FORM_CODE = 'AV_F1152028',
		FNAME = ' 5.00 ( 01.01.2008 .)',
		PROC_NAME = 'BK_EXPORT_F1152028', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152028'
	UNION ALL
	SELECT FORM_CODE = 'AV_ASS',
		FNAME = ' 5.00 ( 01.01.2008 .)',
		PROC_NAME = 'BK_EXPORT_F1152026', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152028'
	UNION ALL
	--   01.01.2012 --
	SELECT FORM_CODE = 'ND_IMU',
		FNAME = ' 5.02 ( 01.01.2012 .)',
		PROC_NAME = 'BK_EXPORT_F1152026_502', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	WHERE @YEAR < 2013
	UNION ALL
	SELECT FORM_CODE = 'AV_IMU',
		FNAME = ' 5.02 ( 01.01.2012 .)',
		PROC_NAME = 'BK_EXPORT_F1152028_502', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	WHERE @YEAR < 2014		
	UNION ALL
	--   01.01.2013 --
	SELECT FORM_CODE = 'ND_IMU',
		FNAME = ' 5.03 ( 01.01.2013 .)',
		PROC_NAME = 'BK_EXPORT_F1152026_503', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	UNION ALL
	SELECT FORM_CODE = 'AV_IMU',
		FNAME = ' 5.03 ( 01.01.2014 .)',
		PROC_NAME = 'BK_EXPORT_F1152028_503', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	WHERE @YEAR >= 2014		
	UNION ALL
	--   01.01.2018 --
--	SELECT FORM_CODE = 'ND_IMU',
--		FNAME = ' 5.04 ( 01.01.2018 .)',
--		PROC_NAME = 'BK_EXPORT_F1152026_503', 
--		PRG_SKRIPT = '',
--		DIR = 'IMNS',
--		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
--	UNION ALL
	SELECT FORM_CODE = 'AV_IMU_18',
		FNAME = ' 5.04 ( 01.01.2018 .)',
		PROC_NAME = 'BK_EXPORT_F1152028_504', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	WHERE @YEAR >= 2017		

	UNION ALL
	--   4 --
	SELECT FORM_CODE = '4FSS',
		FNAME = ',      06.11.2009 n 871', PROC_NAME = 'SA_4FSS_EXPORT', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR <= 2010	
	UNION ALL	
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.3 ( 19  12.02.2010  .  21.03.2011 (53)', PROC_NAME = 'SA_4FSS_EXPORT_v03', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2011
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.4 (   22.11.2011)', PROC_NAME = 'SA_4FSS_EXPORT_v04', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2012
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.5 ( 107  19.03.2013)', PROC_NAME = 'SA_4FSS_EXPORT_v05', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2013	
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.6 ( 107  19.03.2013  .  11.02.2014  94)', PROC_NAME = 'SA_4FSS_EXPORT_v05', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2014	
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.7 (  59  26.02.2015)', PROC_NAME = 'SA_4FSS_EXPORT_v07', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR IN ( 2015,2016)	
	UNION ALL
		SELECT FORM_CODE = '4FSS',
		FNAME = '  0.93 (  416  11.09.2017)', PROC_NAME = 'SA_4FSS_EXPORT_v093', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR >= 2017	
	UNION ALL
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 (2011)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2011', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR = 2011	
	UNION ALL	
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 ( 15.03.2012 . 232)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2012', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR = 2012			
	UNION ALL	
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 ( 15.03.2012 . 232)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2013', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR = 2013
	UNION ALL	
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 ( 03.03.2014 . 25)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2014', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR >= 2014	
	UNION ALL
	--   -2 () --
	SELECT FORM_CODE = '0617005',
		FNAME = '   -2 ()  ', PROC_NAME = 'BK_EXPORT_F0617005', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''

	UNION ALL
	--   -2 () --
	SELECT FORM_CODE = '0617004',
		FNAME = '   -2 ()  ', PROC_NAME = 'BK_EXPORT_F0617004', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	-- -2 .  01.01.2011 --
	SELECT FORM_CODE = '0617004_11',
		FNAME = '   -2 ()  ', PROC_NAME = 'BK_EXPORT_F0617004_11', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''

	--   -2  () --
	UNION ALL
	SELECT FORM_CODE = '2_',
		FNAME = '   -2()  ', PROC_NAME = 'BK_EXPORT_F0617010', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE @YEAR < 2012	

	UNION ALL
	SELECT FORM_CODE = '2_',
		FNAME = '   -2()  ', PROC_NAME = 'BK_EXPORT_F0617010_2012', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE @YEAR >= 2012	

	UNION ALL
	--   -4 --
	SELECT FORM_CODE = '0606010',
		FNAME = '   -4  ', PROC_NAME = 'SK_EXPORT_F0606010', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE 
		@YEAR <= 2012	
	UNION ALL
	--   -4 c 01.01.2013 --
	SELECT FORM_CODE = '0606010',
		FNAME = '   -4  ', PROC_NAME = 'SK_EXPORT_F0606010_13', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2013		


	UNION ALL
	--   1- --
	SELECT FORM_CODE = '1GS',
		FNAME = '   1-  ', PROC_NAME = 'KJ_EXPORT_1GS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   2- --
	SELECT FORM_CODE = '2GS_GZ',
		FNAME = '   2-  ', PROC_NAME = 'KJ_EXPORT_2GS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1- --
	SELECT FORM_CODE = '1MS',
		FNAME = '   1-  ', PROC_NAME = 'KJ_EXPORT_1MS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   2- --
	SELECT FORM_CODE = '2MS',
		FNAME = '   2-  ', PROC_NAME = 'KJ_EXPORT_2MS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1-() --
	SELECT FORM_CODE = '1T_GMS',
		FNAME = '   1-()  ', PROC_NAME = 'KJ_EXPORT_1T_GMS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1- () --
	SELECT FORM_CODE = '0607006',
		FNAME = '   1-  ', PROC_NAME = 'BK_EXPORT_F0607006', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1- () --
	SELECT FORM_CODE = '1_',
		FNAME = '   1-  ', PROC_NAME = 'BK_EXPORT_F0607006_11', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   11  () --
	SELECT FORM_CODE = '0602002',
		FNAME = '   11-  ', PROC_NAME = 'BK_EXPORT_F0602002', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''

	UNION ALL
	SELECT FORM_CODE = '_11',
		FNAME = '   11-  ', PROC_NAME = 'BK_EXPORT_F0602002_2012', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2012		
	
	--   ( 2013) --		
	UNION ALL
	SELECT
		FORM_CODE = 'AHD_EXPORT_REST',
		FNAME = ' 1.00 ( 01.09.2013 .)',
		PROC_NAME = 'BK_EXPORT_AHD_REST',
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''

	UNION ALL
	SELECT
		FORM_CODE = 'AHD_EXPORT_PROV',
		FNAME = ' 1.00 ( 01.09.2013 .)',
		PROC_NAME = 'BK_EXPORT_AHD_PROV',
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''
	

	--     --		
	UNION ALL
	SELECT
		FORM_CODE = 'EOD_EXPORT_INV1',
		FNAME = ' 1.00 ( 01.01.2013 .)',
		PROC_NAME = 'BK_EXPORT_INV1',
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''

	--  6- --		
	UNION ALL
	SELECT
		FORM_CODE = '6-',
		FNAME = ' 5.01 (  N-7-11/450@  14.10.2015.)',
		PROC_NAME = 'SA_6NDFL_EXPORT_v5_01',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'SA_6NDFL_EXPORT_TEST'
	--  - --		
	UNION ALL
	SELECT
		FORM_CODE = '-',
		FNAME = ' 2.52 ( 21.06.2016 .)',
		PROC_NAME = 'SA_SZVM_EXPORT_v2_52',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = ''--'SA_SZVM_EXPORT_TEST'
	WHERE @YEAR < 2017	
	UNION ALL
	SELECT 	FORM_CODE = '-',
		FNAME = ' 2.56 ( 07.12.2016 . N 1077)',
		PROC_NAME = 'SA_SZVM_EXPORT_v2_56',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = ''--'SA_SZVM_EXPORT_TEST'
	WHERE @YEAR >= 2017
	UNION ALL
	SELECT 	FORM_CODE = '',
		FNAME = ' 5.01 ( 10.10.2016. N-7-11/551@)',
		PROC_NAME = 'SS_RPSV_EXPORT_v5_01',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'SS_RPSV_EXPORT_TEST'
	WHERE @YEAR >= 2017	

	UNION ALL
	--   N- c 01.01.2016 --
	SELECT FORM_CODE = '0606045',
		FNAME = '   0606045(-)  ', PROC_NAME = 'SK_EXPORT_F0606045_17', 
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2013	
	UNION ALL
	--   N- c 01.01.2016 --
	SELECT FORM_CODE = '0606046',
		FNAME = '   0606046(-)', PROC_NAME = 'SK_EXPORT_F0606045_17', 
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2013	
	UNION ALL	
	--   N- c 01.01.2016 --
	SELECT FORM_CODE = '0606047',
		FNAME = '   0606047(-)', PROC_NAME = 'SK_EXPORT_F0606045_17', 
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2013	
	UNION ALL	
	--   N- c 01.01.2016 --
	SELECT FORM_CODE = '0606048',
		FNAME = '   0606048(-)', PROC_NAME = 'SK_EXPORT_F0606045_17', 
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2013
	UNION ALL			
	--   N- c 01.01.2016 --
	SELECT FORM_CODE = '0606049',
		FNAME = '   0606049(-)', PROC_NAME = 'SK_EXPORT_F0606045_17', 
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2013									


GO


GRANT SELECT ON dbo.[BK_VIEW_EXPORT_FORMAT_NALOG_FN] TO PUBLIC

GO


-- --


GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_REPORTS]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[SS_SZV_ST_REPORTS]

GO
CREATE VIEW [dbo].SS_SZV_ST_REPORTS
AS

SELECT ORD = 1, YB = 2017, YE = 2999, [NAME] = '-1 (  ,       () )', REP_CODE = 'SZV_STAZH_REP_ODV1'
UNION
SELECT ORD = 2, YB = 2017, YE = 2999, [NAME] = '- (         )', REP_CODE = 'SZV_STAZH_REP' --'SZV_STAZH_PRINT#EVAL(THISFORM.ALIAS + ".TYPE")=2#    " "!'



GO


GRANT SELECT ON dbo.[SS_SZV_ST_REPORTS] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_SZV_ST_REPORTS]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[SA_SZV_ST_REPORTS]

GO
CREATE VIEW [dbo].SA_SZV_ST_REPORTS
AS

SELECT ORD = 1, YB = 1994, YE = 2009, [NAME] = '-4-1 ( )', REP_CODE = 'SZV4_PER_SZV41#forma = 1#    '
UNION
SELECT ORD = 2, YB = 1994, YE = 2009, [NAME] = '-4-2 ( )', REP_CODE = 'SZV4_PER_SZV42#forma = 2#    '
UNION
SELECT ORD = 3, YB = 1994, YE = 2009, [NAME] = '-6-1 ( )', REP_CODE = 'SZV4_PER_ADV61'
UNION
SELECT ORD = 4, YB = 1994, YE = 2009, [NAME] = '-11 (   )', REP_CODE = 'SZV4_PER_ADV11'
UNION
SELECT ORD = 5, YB = 1994, YE = 2009, [NAME] = ' ', REP_CODE = 'SZV4_PER_SZV41#forma = 1,SZV4_PER_SZV42#forma = 2,SZV4_PER_ADV61,SZV4_PER_ADV11'

UNION
SELECT ORD = 1, YB = 2010, YE = 2012, [NAME] = '-6-1 ( )', REP_CODE = 'SZV4_PER_SZV61#forma = 1#    '
UNION
SELECT ORD = 2, YB = 2010, YE = 2012, [NAME] = '-6-2 ( )', REP_CODE = 'SZV4_PER_SZV62#forma = 2#    '
UNION
SELECT ORD = 3, YB = 2010, YE = 2012, [NAME] = '-6-3 ( )', REP_CODE = 'SZV4_PER_ADV63'
UNION
SELECT ORD = 4, YB = 2010, YE = 2014, [NAME] = '-6-2 ( )', REP_CODE = 'SZV4_PER_ADV62'
UNION
SELECT ORD = 5, YB = 2010, YE = 2012, [NAME] = ' ', REP_CODE = 'SZV4_PER_SZV61#forma = 1,SZV4_PER_SZV62#forma = 2,SZV4_PER_ADV63,SZV4_PER_ADV62'
UNION
SELECT ORD = 6, YB = 2010, YE = 2013, [NAME] = '-1 (   )', REP_CODE = 'SZV4_PER_SPV1#EVAL(THISFORM.ALIAS + ".TYPE")=2#    " "!'
UNION
SELECT ORD = 6, YB = 2014, YE = 2999, [NAME] = '-2 (   )', REP_CODE = 'SZV4_PER_SPV2#EVAL(THISFORM.ALIAS + ".TYPE")=2#    " "!'
UNION
SELECT ORD = 7, YB = 2010, YE = 2013, [NAME] = '  (   )', REP_CODE = 'SZV4_PER_SPV1#EVAL(THISFORM.ALIAS + ".TYPE")=2,SZV4_PER_ADV63#EVAL(THISFORM.ALIAS + ".TYPE")=2,SZV4_PER_ADV62#EVAL(THISFORM.ALIAS + ".TYPE")=2'
UNION
SELECT ORD = 7, YB = 2014, YE = 2999, [NAME] = '  (   )', REP_CODE = 'SZV4_PER_SPV2#EVAL(THISFORM.ALIAS + ".TYPE")=2,SZV4_PER_ADV62#EVAL(THISFORM.ALIAS + ".TYPE")=2'


UNION
SELECT ORD = 1, YB = 2013, YE = 2014, [NAME] = '-6-4 (        )', REP_CODE = 'SZV4_PRINT_SZV64# #    '
UNION
SELECT ORD = 3, YB = 2013, YE = 2014, [NAME] = '-6-5 ( )', REP_CODE = 'SZV4_PRINT_ADV65'
UNION
SELECT ORD = 5, YB = 2013, YE = 2014, [NAME] = ' ', REP_CODE = 'SZV4_PRINT_SZV64,SZV4_PRINT_ADV65,SZV4_PER_ADV62'



GO


GRANT SELECT ON dbo.[SA_SZV_ST_REPORTS] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_STAZH_PACHKA]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[SS_SZV_STAZH_PACHKA]

GO

CREATE VIEW [dbo].SS_SZV_STAZH_PACHKA
as
SELECT
	P.link,
	CODE = 
	(case type when 1 then '' when 2 then '  -' else '' end)
	+ SPACE(1) + (case vid_kor when 2 then '()'+ SPACE(1) when 3 then '()'+ SPACE(1) else '' end)
	+ 'c ' 
	+	SPACE(1) + CONVERT(VARCHAR(4),year_begin) + SPACE(1) + ''
	+ 	SPACE(1) +  '' + SPACE(1) + CONVERT(VARCHAR(10),date,104), 
	numer, 
	[date], 
	[year_begin], [month_end] = 12, 
	[PER] = 4 , PER_N = '' , 
	YEAR_EDT,
	PER_EDT, PER_EDT_N = '' , 
	P.[KATEG],
	[KATEG_CODE] = K.CODE,
	[type], n_type = (case type when 1 then '' when 2 then ' ' else '' end),
	vid_kor, 
	n_vid_kor = (case vid_kor when 1 then '' when 2 then '' when 3 then '' else '' end),
	link_dep,
	proverka,
	nproverka = (case when proverka = 0 then ' ' else '' end),
	
	sum_str =  CONVERT(NUMERIC(18,2),sum(S.sum_doh)), 	
			
	sum_str1 = CONVERT(NUMERIC(18,2),sum(S.sum_str)) , 	
			
	INSUR1 =  ISNULL(P.INSUR1,0), 
	
	sum_nak = CONVERT(NUMERIC(18,2),CASE WHEN P.[type] = 1 THEN sum(S.sum_nak) ELSE /*COALESCE(ADV11.sum_nak,0)*/ 0 END),  --
	
	sum_nak1 = CONVERT(NUMERIC(18,2),sum(S.sum_dop)),

	GAIN1 = ISNULL(P.GAIN1,0), 
				
	sum_dop =  0 ,
	-- 
	INCOME = sum(INCOME_M1) + sum(INCOME_M2) + sum(INCOME_M3),
	--  
	BASE_BEFORE = sum(BASE_BEFORE_M1) + sum(BASE_BEFORE_M2) + sum(BASE_BEFORE_M3),
	--  
	BASE_AFTER = sum(BASE_AFTER_M1) + sum(BASE_AFTER_M2) + sum(BASE_AFTER_M3),	
	--  
	INCOME_T1 = sum(INCOME_T1_M1) + sum(INCOME_T1_M2) + sum(INCOME_T1_M3),
	INCOME_T2 = sum(INCOME_T2_M1) + sum(INCOME_T2_M2) + sum(INCOME_T2_M3),
	--------------------------------------------------------------------------			
	P.LINK_SELF,		
	CODE_SELF = 
				(
				select 
					(case type when 1 then '' when 2 then '  -' else '' end)
					+ SPACE(1) + (case vid_kor when 2 then '()'+ SPACE(1) when 3 then '()'+ SPACE(1) else '' end)
					+ 'c ' 
					+ SPACE(1) + CONVERT(VARCHAR(4),year_begin) + SPACE(1) + ''
					+ 	SPACE(1) +  '' + SPACE(1) + CONVERT(VARCHAR(10),date,104) 
				from DBO.SZV_STAZH_PACHKA P2 where P2.link = P.LINK_SELF
				),
	P.sum_uplata_dolga_str,
	P.sum_uplata_dolga_nak,
	P.LINK_SELF2,
	CODE_SELF2 = 
				(
				select 
					(case type when 1 then '' when 2 then '  -' else '' end)
					+ SPACE(1) + (case vid_kor when 2 then '()'+ SPACE(1) when 3 then '()'+ SPACE(1) else '' end)
					+ 'c ' 
					+ SPACE(1) + CONVERT(VARCHAR(4),year_begin) + SPACE(1) + ''	
					+ SPACE(1) +  '' + SPACE(1) + CONVERT(VARCHAR(10),date,104) 
				from DBO.SZV_STAZH_PACHKA P2 where P2.link = P.LINK_SELF2
				),
	P.LINK_ISHOD,
	P.[GUID]			
FROM 
	dbo.SZV_STAZH_PACHKA P 
	INNER JOIN dbo.SA_PFR_KATEG K on K.LINK = P.KATEG AND [year_begin] BETWEEN YBEG AND YEND
	LEFT JOIN dbo.SZV_STAZH_SVEDENIA S ON P.link = S.link_up
	--LEFT JOIN dbo.SZV_STAZH_ADV11 ADV11 ON P.link = ADV11.link_up AND tip = 3
group by 
		P.link, numer, [date], [year_begin], [month_end], [PER], PER_EDT, YEAR_EDT,
		P.INSUR1, P.GAIN1,
		P.KATEG,K.CODE, K.NAME, 
		[type], vid_kor, link_dep, proverka, 
		/*ADV11.sum_str, ADV11.sum_nak, ADV11.sum_dop,*/ P.LINK_SELF,
		P.sum_uplata_dolga_str,
		P.sum_uplata_dolga_nak,
		P.LINK_SELF2, P.LINK_ISHOD , P.[GUID]



GO


GRANT SELECT ON dbo.[SS_SZV_STAZH_PACHKA] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[VACATION]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[VACATION]

GO
/*
  (Keysystems), 2005
*/
CREATE VIEW dbo.VACATION
AS
SELECT 
	iv.link, iv.moved,
	[flag_jc] = COALESCE(R.ref_doc,0)/COALESCE(R.ref_doc,1),--(case when  then 1 else 0 end),
	o.number, o.date, o.dep_link, iv.order_link, iv.empl_link,
	[tab_num] = LEFT(E.TAB,6), [fio] = LEFT(ISNULL( LTRIM(RTRIM(PERS.FM)) + ' ' + LTRIM(RTRIM(PERS.IM)) + ' ' + LTRIM(RTRIM(PERS.OT)),' '),100), 
	[subdiv] = S.[NAME], 
	[post] = p.[NAME], 
	iv.type_link,
	[type_name]=VV.[name],
	iv.period_begin, iv.period_end, iv.date_begin, iv.date_end, 
	iv.reason_LINK,
	[reason] = VO.OSN, 
	iv.reason_dop,
	iv.active,
	VGT.LINK as VAC_GRAPH_LINK,
	CHILDREN = case when D.WORK_D = 7 then 1 else 0 end,
	VV.HOLIDAY,
	dep.NAME as name_dep,
	NO_SAL ,
	iv.compens
	,INSTR =  case when ISNULL(VV.INSTR,0) = 0 THEN isnull(pt.INSTR,0) + 1 ELSE ISNULL(VV.INSTR,0) + 1 END 
	,INSTR_CODE = I.CODE
	,TEXT_DOP  = iv.text_dop	
FROM 
dbo.item_vacation iv inner join orders o on iv.order_link=o.link
INNER JOIN dbo.EMPL E on iv.empl_link = E.LINK
INNER JOIN dbo.PERSON PERS on E.PERS_LINK = PERS.LINK
INNER JOIN dbo.DEPARTMENTS dep ON dep.link = E.DEP_LINK
LEFT JOIN vacation_vid VV ON VV.LINK = iv.type_link
LEFT JOIN vacation_osn VO ON VO.LINK = iv.reason_link
LEFT JOIN dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK
LEFT JOIN dbo.empl_staff1(DEFAULT) es ON ES.EMPL_LINK = iv.EMPL_LINK
LEFT JOIN dbo.staff Sf ON sf.link = es.STAFF_LINK
LEFT JOIN dbo.POST_TYPES pt ON  pt.link = sf.gossl
LEFT JOIN dbo.subdiv s ON s.link=es.subdiv_link
LEFT JOIN dbo.post p on p.link=es.post_link
LEFT JOIN dbo.VACATION_GRAPHICS_TABLE VGT ON VGT.SFORMIROVAN = IV.LINK
LEFT JOIN ( 
		select distinct sd.ref_doc  from dbo.SDOC S INNER JOIN dbo.SDOC_AVAC SD ON (S.LINK = SD.LINK_UP AND S.OBJECT =(SELECT LINK FROM S_OBJECTS WHERE CODE = 'DOCUMENTS_ADD_FURLOUGH'))
	) R ON R.ref_doc = iv.link
LEFT JOIN dbo.SA_INSTR_AVG I ON I.INSTR = (case when ISNULL(VV.INSTR,0) = 0 THEN isnull(pt.INSTR,0) ELSE ISNULL(VV.INSTR,0)  END)

GO


GRANT SELECT ON dbo.[VACATION] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_TABELS_EMPLS_WP]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[SA_TABELS_EMPLS_WP]

GO
CREATE VIEW [dbo].SA_TABELS_EMPLS_WP
/*         */
AS
Select 
	E.LINK,
	DOC.LINK_DOC as LINK_UP,
	DOC.link as LINK_UP1,
	doc.link_empl,
	link_sovm = 0,
	link_type = N.link,
	N.code as code_type,
	N.link_pays,
	P.CODE as code_pays,
	POST_LINK		=	COALESCE(DP.LINK,0),
	POST_CODE		=	DP.[CODE],
	POST_NAME		=	DP.[NAME],
	RAZR 			= 	COALESCE(IM2.ETS_RAZR,0) + coalesce(E.inc_ets1_value,0) +coalesce(E.inc_ets2_value,0) + coalesce(E.inc_ets3_value,0),
	STAKE			= 	CONVERT(NUMERIC(5,2),COALESCE(IM2.num_stake,0)),
	GRAPH_LINK		=	E.GRAPH_LINK, 
	GRAPH_NAME		=	G.[NAME],
	DATE_BEGIN		= 	im.DATE_BEGIN,
	DATE_END		=   idf.DIS_DATE,
	LINK_KBK 		= 	KBK.LINK,
	CODE_KBK 		= 	KBK.CODE,
	OBJ_CODE	= 'SD_EMPL',
	flag_jc = 0,
	SALPERC = 100,
	UCH = (CASE WHEN E.SYST_PAY = 1 THEN '' ELSE '' END),
	COMMENT = CAST( '' AS VARCHAR(254))
from
	dbo.tabels DOC
	inner join dbo.tabel_nastr2 N on N.code = ''
	inner join dbo.EMPL E on E.link = doc.link_empl
	inner join dbo.USER_INFO UI on 1=1
	LEFT JOIN dbo.EMPL_STAFF1(default) d on e.link = d.empl_link
	LEFT JOIN dbo.subdiv s ON s.link=d.subdiv_link
	LEFT JOIN POST DP ON d.post_link = DP.LINK
	LEFT JOIN dbo.SAL_SFIN KBK ON KBK.LINK = D.LINK_KBK
	LEFT JOIN dbo.GRAPH G ON G.LINK = E.GRAPH_LINK
	LEFT JOIN dbo.item_move IM on IM.empl_link = E.link AND IM.active = 1 AND im.new_face=1
	LEFT JOIN ( --       ,          
		Select distinct empl_link, IM.num_stake, IM.status,ETS_RAZR = isnull(IM.ETS_RAZR,0) from dbo.item_move IM, USER_dates ud where IM.active = 1 AND im.new_face <>4 AND ud.WORKDATE BETWEEN IM.date_begin AND COALESCE(IM.date_end,'29990101')
		) IM2 on IM2.empl_link = E.link
	LEFT JOIN dbo.item_dis_face IDF on IDF.empl_link = E.link AND IDF.active=1 AND COALESCE(IDF.dis_date,UI.WORKDATE) < UI.WORKDATE
	left join dbo.PAYS P on P.link = N.link_pays
where 
	year(dbo.DateEndOfMonth(Doc.PERIOD)) * 100 + MONTH(dbo.DateEndOfMonth(Doc.PERIOD)) 
		between YEAR(im.DATE_BEGIN) * 100 + MONTH(im.DATE_BEGIN)
			and 
			YEAR(coalesce(idf.DIS_DATE, '30001201')) * 100 + MONTH(coalesce(idf.DIS_DATE, '30001201'))	
UNION ALL
SELECT 
	TE.link,
	DOC.LINK_DOC as LINK_UP,
	DOC.link as LINK_UP1,
	doc.link_empl,
	link_sovm = TE.link,
	TE.link_type,
	N.code as code_type,
	N.link_pays,
	P.CODE as code_pays,
	POST_LINK = TE.link_post,
	POST_CODE = P.[CODE],
	POST_NAME = P.[NAME],
	RAZR = coalesce(TE.link_ets,0) +coalesce(inc_ets1_value,0) +coalesce(inc_ets2_value,0) + coalesce(inc_ets3_value,0),
	STAKE			= 	CONVERT(NUMERIC(5,2),COALESCE(TE.NUM_STAKE,0)),
	GRAPH_LINK		=	TE.link_graph, 
	GRAPH_NAME		=	G.[NAME],
	DATE_BEGIN		= 	(CASE WHEN IM.DATE_BEGIN > TE.date_begin then IM.DATE_BEGIN ELSE TE.date_begin END),
	DATE_END		=   (CASE WHEN coalesce(idf.DIS_DATE, '30001201') < coalesce(TE.date_end, '30001201') THEN idf.DIS_DATE ELSE TE.date_end END),
	LINK_KBK = TE.link_sfin,
	CODE_KBK = fin.code,
	OBJ_CODE	= 'EMPLS_WP',
	flag_jc = (case when coalesce(Tab.link_sovm,0) = 0 then 0 else 1 end),
	TE.SALPERC,
	UCH = (CASE WHEN TE.SYST_PAY = 1 THEN '' ELSE '' END),
	TE.COMMENT
 FROM 
 	dbo.tabels DOC 
	inner join dbo.USER_INFO UI on 1=1
	inner join dbo.STO_TARIF_EMPL AS TE	on TE.link_empl = DOC.link_empl
	inner join dbo.tabel_nastr2 N on TE.link_type = N.link
		left join dbo.POST P on  TE.link_post  = P.LINK
		left join dbo.GRAPH G on G.link = TE.link_graph
		left join dbo.SAL_SFIN FIN on FIN.link = TE.link_sfin
	LEFT JOIN dbo.item_move IM on IM.empl_link = TE.link_empl AND IM.active = 1 AND im.new_face=1
	LEFT JOIN dbo.item_dis_face IDF on IDF.empl_link = TE.link_empl AND IDF.active=1 AND COALESCE(IDF.dis_date,UI.WORKDATE) < UI.WORKDATE
	left join (Select distinct link_sovm from dbo.tabels_w) Tab on Tab.link_sovm = TE.link
where
	year(dbo.DateEndOfMonth(Doc.PERIOD)) * 100 + MONTH(dbo.DateEndOfMonth(Doc.PERIOD)) 
		between 
		YEAR((CASE WHEN IM.DATE_BEGIN > TE.date_begin then IM.DATE_BEGIN ELSE TE.date_begin END)) * 100 + MONTH((CASE WHEN IM.DATE_BEGIN > TE.date_begin then IM.DATE_BEGIN ELSE TE.date_begin END))
		and 
		YEAR((CASE WHEN coalesce(idf.DIS_DATE, '30001201') < coalesce(TE.date_end, '30001201') THEN idf.DIS_DATE ELSE coalesce(TE.date_end, '30001201') END)) * 100 + MONTH((CASE WHEN coalesce(idf.DIS_DATE, '30001201') < coalesce(TE.date_end, '30001201') THEN idf.DIS_DATE ELSE coalesce(TE.date_end, '30001201') END))




GO


GRANT SELECT ON dbo.[SA_TABELS_EMPLS_WP] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_STAZH_SVEDENIA]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[SS_SZV_STAZH_SVEDENIA]

GO
CREATE VIEW [dbo].SS_SZV_STAZH_SVEDENIA
as

SELECT 
	link = S.link_up,
	link1 = S.link,
	LINK_FACE = S.link_pers, 
	S.pachka,
	S.orders,
	forma, 	
	n_forma =  case forma when 1 then '' when 2 then '' else '' end,
	S.LINK_KATEG,				
	K.CODE,
	FM, IM, OT, PF_NUM = INSUR_NUM, 

	FIO = LTRIM(RTRIM(FM)) + ' ' + LEFT(LTRIM(RTRIM(IM)),1) + '.' + LEFT(LTRIM(RTRIM(OT)),1) + '.',
	FIO2 = LTRIM(RTRIM(FM)) + ' ' + LTRIM(RTRIM(IM)) + ' ' + LTRIM(RTRIM(OT)),

	ADDRESS = LEFT(ISNULL(dbo.GetAddressByKladr(P.ADR_REAL_LINK), ''), 254) + 
	CASE WHEN LEN(ISNULL(HOUSE_REAL, '')) = 0 THEN '' ELSE ', . ' + LTRIM(RTRIM(HOUSE_REAL)) END 
	+ CASE WHEN LEN(ISNULL(CORP_REAL, '')) = 0 THEN '' ELSE ', . ' + LTRIM(RTRIM(CORP_REAL)) END 
	+ CASE WHEN LEN(ISNULL(FLAT_REAL, '')) = 0 THEN '' ELSE ', . ' + LTRIM(RTRIM(FLAT_REAL)) END ,

	ADDRESS2 = dbo.GET_ADDRESS9PARTS(S.link_pers, 0),

	sum_doh,
	INSUR = sum_str,
	GAIN = sum_nak,
	DOP = sum_dop,
	dper_vn_m,
	dper_vn_d,
	dper_oz_m,
	dper_oz_d,
	isum_str,
	isum_nak,
	S.sum_dolg_str,
	S.sum_uplata_dolga_str,
	S.sum_dolg_nak,
	S.sum_uplata_dolga_nak,
	------- -6-4   ,       
	[INCOME_M1], [BASE_BEFORE_M1], [BASE_AFTER_M1],
	[INCOME_M2], [BASE_BEFORE_M2], [BASE_AFTER_M2],
	[INCOME_M3], [BASE_BEFORE_M3], [BASE_AFTER_M3],
	------- -6-4   ,  
	[INCOME_T1_M1], [INCOME_T2_M1],
	[INCOME_T1_M2], [INCOME_T2_M2],
	[INCOME_T1_M3], [INCOME_T2_M3]
FROM 
	dbo.SZV_STAZH_PACHKA D
	INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_UP = D.LINK
	INNER JOIN PERSON P on P.LINK = S.link_pers
	INNER JOIN dbo.SA_PFR_KATEG K on K.LINK = S.LINK_KATEG AND year_begin BETWEEN YBEG AND YEND




GO


GRANT SELECT ON dbo.[SS_SZV_STAZH_SVEDENIA] TO PUBLIC

GO


GO
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ORDERS_REESTR]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[ORDERS_REESTR]
GO


/*
  (Keysystems), 2005
*/
CREATE VIEW dbo.ORDERS_REESTR
AS
SELECT 
	O.link, O.type, O.number, O.date,
	/*[FIO] = case when type in (1, 2, 18) then dbo.ku_GetEmplFio((select empl_link from item_move where order_link=o.link))
		when type=3 then dbo.ku_GetEmplFio((select empl_link from item_dis_face where order_link=o.link))
		when type in (4, 15) then dbo.ku_GetEmplFio((select empl_link from item_vacation where order_link=o.link))
		when type=5 then dbo.ku_GetEmplFio((select empl_link from item_travel where order_link=o.link))
		when type in (11, 16) then dbo.ku_GetEmplFio((select empl_link from item_vacation_break where order_link=o.link))
		when type=12 then dbo.ku_GetEmplFio((select empl_link from item_vacation_dis where order_link=o.link))
		when type=13 then dbo.ku_GetEmplFio((select empl_link from item_travel_long where order_link=o.link))
		when type=14 then dbo.ku_GetEmplFio((select empl_link from item_change_fm where order_link=o.link))
		when type=19 then dbo.ku_GetEmplFio((select empl_link from item_encour where order_link=o.link))
		else '' end,*/
	[FIO] = dbo.ku_GetOrderFIO(o.link),
	short_comm=left(comment, 254), 
	O.comment, O.status, O.dep_link,
	[TYPE_TXT] = ot.name,
	ot.obj_code,
	[STATUS_TXT] = CAST(
	CASE
		WHEN STATUS = 0 THEN ''
		WHEN STATUS = 1 THEN ''
		WHEN STATUS = 2 THEN ''
	END AS VARCHAR(20) ),
	vid = CASE WHEN obj_code = 'VACATION' THEN LTRIM(rtrim((SELECT TOP 1 [TYPE_NAME] FROM dbo.vacation WHERE order_link = o.link) )) 
			   WHEN obj_code = 'TRAVEL' THEN LTRIM(rtrim((SELECT TOP 1 [TYPE_NAME] FROM dbo.travel WHERE order_link = o.link) ))
			   WHEN obj_code = 'VACATION_BREAK' THEN LTRIM(rtrim((SELECT TOP 1 [TYPE_NAME] FROM dbo.VACATION_BREAK WHERE order_link = o.link) ))
			   WHEN obj_code = 'VACATION_DIS' THEN LTRIM(rtrim((SELECT TOP 1 [TYPE_NAME] FROM dbo.VACATION_DIS WHERE order_link = o.link) ))
			   WHEN obj_code = 'VACATION_MOVE' THEN LTRIM(rtrim((SELECT TOP 1 [TYPE_NAME] FROM dbo.VACATION_MOVE WHERE order_link = o.link) ))
			   WHEN obj_code = 'VACATION_DIS' THEN LTRIM(rtrim((SELECT TOP 1 [TYPE_NAME] FROM dbo.VACATION_DIS WHERE order_link = o.link )))
			   WHEN obj_code = 'VACATION_DIS' THEN LTRIM(rtrim((SELECT TOP 1 [TYPE_NAME] FROM dbo.VACATION_DIS WHERE order_link = o.link) ))
			   ELSE '' end
FROM orders O 
INNER JOIN KS_OPTIONS_ZB ZB ON O.DEP_LINK = ZB.ZB_LINK and o.type<>0
INNER JOIN ORDER_TYPES OT ON O.TYPE=OT.CODE


GO


GRANT SELECT ON dbo.[ORDERS_REESTR] TO PUBLIC

GO


-- --
GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CALENDAR_DAYS3_AllYear_FN]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[SA_CALENDAR_DAYS3_AllYear_FN]

GO

CREATE FUNCTION dbo.SA_CALENDAR_DAYS3_AllYear_FN (@linkEmpl int, @Year int)
RETURNS NUMERIC(18,2)
AS
BEGIN

DECLARE @RealCount NUMERIC(18,2)
/*
,        ,
     ,     :
  ,    
    
   ,        1,5 
         ,      3 
 / /            

*/

declare @DateBegin datetime, @DateEnd datetime

SET @DateBegin = dbo.ConvertDMY2Date(1,1,@Year) 
SET @DateEnd = dbo.ConvertDMY2Date(1,12,@Year) 
SET @DateEnd = dbo.DateEndOfMonth(@DateEnd)

--SET @DateBegin = dbo.ConvertDMY2Date(1,@Month,@Year) 
--SET @DateEnd 	= dbo.DateEndOfMonth(@DateBegin)

DECLARE @DateAccept datetime, @DateSack datetime
SET @DateAccept = ISNULL(dbo.kd_DateBeginWork(@linkEmpl,@DateEnd),'19000101')
SET @DateSack   = ISNULL(dbo.kd_DateEndWork(@linkEmpl,@DateEnd),'30000101')


SET @DateBegin = (case when @DateAccept < @DateBegin then @DateBegin else @DateAccept end)
SET @DateEnd = (case when @DateSack < @DateEnd then @DateSack else @DateEnd end)  

DECLARE @S TABLE 
([TYPE] int,
 [PRIOR] int,
 [HOUR]  numeric(6,2),
 [DATE_1] datetime,
 [DATE_2] datetime,
 [DOC]	int,
 [H] int 	
)


INSERT INTO @S ([TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], [H])
--
SELECT [TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], H FROM 
(SELECT 
	[TYPE] = SD.[TYPE],
	[PRIOR] = TD.PRIORITET,
	[HOUR] = TD.[HOUR],
	[DATE_1] = (CASE WHEN SD.DATE1 < @DateBegin THEN @DateBegin ELSE SD.DATE1 END),
	[DATE_2] = (CASE WHEN SD.DATE2 > @DateEnd  THEN @DateEnd ELSE SD.DATE2 END),
	[DOC]	= 1,
	[H] = 0 
FROM 
	dbo.SDOC_DIS SD
	INNER JOIN dbo.NETRUD N ON SD.[TYPE] = N.LINK
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = N.TYPE_LINK
WHERE 
	SD.LINK_EMPL = @linkEmpl
	AND
	(SD.DATE1 BETWEEN @DateBegin AND @DateEnd OR SD.DATE2 BETWEEN @DateBegin AND @DateEnd OR
	  ((SD.DATE1 < @DateBegin) AND(SD.DATE2 > @DateEnd)))
  
UNION
--
SELECT 	
	[TYPE] = VV.TYPE_LINK,
	[PRIOR] = TD.PRIORITET,
	[HOUR] 	= TD.[HOUR],
	[DATE_1] = (CASE WHEN DATE_BEGIN < @DateBegin THEN @DateBegin ELSE IV.DATE_BEGIN END),
	[DATE_2] = (CASE WHEN ISNULL((

					SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

                    SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
                    WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
					ELSE IVB.DATE_BREAK - 1 END) 

					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc), 
					
                    (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END))) >@DateEnd 

					THEN @DateEnd  
                    ELSE ISNULL((

                    SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM ITEM_VACATION_DIS IVD
        				WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  

 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 

					ELSE IVB.DATE_BREAK - 1 END)  
					
					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc),
					
					ISNULL((
					
					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) END),
	[DOC] = (case when coalesce(TD.WORK_D,1) = 7 then 22 else 2 end),
	H = VV.HOLIDAY
FROM 
	dbo.item_vacation iv
	INNER JOIN dbo.vacation_vid VV ON VV.LINK = iv.type_link
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = VV.TYPE_LINK
WHERE 
	IV.EMPL_LINK = @linkEmpl 
	AND IV.ACTIVE = 1
	AND COALESCE(VV.TIME_ARCHE,0) = 0 --      
	AND (IV.DATE_BEGIN BETWEEN @DateBegin AND @DateEnd 
		OR IV.DATE_END BETWEEN @DateBegin AND @DateEnd 
		OR ((IV.DATE_BEGIN<@DateBegin) AND (IV.DATE_END>@DateEnd))
		OR IV.LINK IN (SELECT VAC_LINK FROM dbo.VACATION_DIS WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND NEW_DATE_END > @DateBegin)
	    )
	AND IV.LINK NOT IN (SELECT VAC_LINK FROM dbo.item_vacation_break ivb WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND ivb.DATE_BREAK < @DateBegin)
	

--  

)  TAB


DELETE FROM @S WHERE DATE_1 > DATE_2

---         
update @S
Set DATE_2 = dateadd(day,-dbo.SA_HOLIDAY_COUNT_FN(DATE_1,DATE_2),DATE_2)
where doc = 2 and h = 1
-----


--SELECT * FROM @S
/*
--       
SELECT TT.[TYPE], TT.[DOC], MIN(TT.[DATE]) AS DATE_BEG, MAX(TT.[DATE]) AS DATE_END
FROM
(
SELECT T.[TYPE], T.[DOC], T.[DATE], ROW_NUMBER() OVER (ORDER BY T.[TYPE], T.[DOC], T.[DATE]) AS RN
FROM
(
SELECT 
	D.[DATE], S.[PRIOR], S.[TYPE], S.[DOC], NUM = ROW_NUMBER() OVER (PARTITION BY D.[DATE] ORDER BY S.[PRIOR] DESC)
FROM 
	dbo.[days_ex](@DateBegin,@DateEnd) D
	INNER JOIN @S S ON D.[DATE] BETWEEN S.DATE_1 AND S.DATE_2
) T WHERE T.[NUM] = 1
) TT
GROUP BY TT.[TYPE], TT.[DOC], datediff(day,DATEADD(D,RN-1,@DateBegin),TT.[DATE])
ORDER BY 3,1,2
*/

IF @DateBegin < @DateEnd 
BEGIN 
	SET @RealCount =
	(
	SELECT datediff(day,@DateBegin,@DateEnd) + 1
	- ISNULL(
		(
		SELECT COUNT(*)
		FROM
		(
		SELECT 
			D.[DATE], S.[PRIOR], S.[TYPE], S.[DOC], NUM = ROW_NUMBER() OVER (PARTITION BY D.[DATE] ORDER BY S.[PRIOR] DESC)
		FROM 
			dbo.[days_ex](@DateBegin,@DateEnd) D
			INNER JOIN @S S ON D.[DATE] BETWEEN S.DATE_1 AND S.DATE_2
		) T WHERE T.[NUM] = 1
		),0)
	)
END
	ELSE BEGIN 
			SET @RealCount = 0
		 END 


SET @RealCount = (CASE WHEN @RealCount > 0 THEN @RealCount ELSE 0 END)

RETURN @RealCount

END




GO


GRANT EXECUTE ON dbo.[SA_CALENDAR_DAYS3_AllYear_FN] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CALENDAR_DAYS_FN]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[SA_CALENDAR_DAYS_FN]

GO

CREATE FUNCTION dbo.SA_CALENDAR_DAYS_FN (@linkEmpl int, @Month int, @Year int)
RETURNS NUMERIC(18,2)
AS
BEGIN

DECLARE @RealCount NUMERIC(18,2)
/*
,        ,
     ,     :
  ,    
    
   ,        1,5 
         ,      3 
 / /            

*/

declare @DateBegin datetime, @DateEnd datetime

SET @DateBegin = dbo.ConvertDMY2Date(1,@Month,@Year) 
SET @DateEnd 	= dbo.DateEndOfMonth(@DateBegin)

DECLARE @DateAccept datetime, @DateSack datetime
SET @DateAccept = ISNULL(dbo.kd_DateBeginWork(@linkEmpl,@DateEnd),'19000101')
SET @DateSack   = ISNULL(dbo.kd_DateEndWork(@linkEmpl,@DateEnd),'30000101')

SET @DateBegin =  (case when @DateAccept < @DateBegin then @DateBegin else @DateAccept end)

SET @DateEnd = (case when @DateSack < @DateEnd then @DateSack else @DateEnd end)  

DECLARE @S TABLE 
([TYPE] int,
 [PRIOR] int,
 [HOUR]  numeric(6,2),
 [DATE_1] datetime,
 [DATE_2] datetime,
 [DOC]	int,
 [H] int 	
)


INSERT INTO @S ([TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], [H])
--
SELECT [TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], H FROM 
(SELECT 
	[TYPE] = SD.[TYPE],
	[PRIOR] = TD.PRIORITET,
	[HOUR] = TD.[HOUR],
	[DATE_1] = (CASE WHEN SD.DATE1 < @DateBegin THEN @DateBegin ELSE SD.DATE1 END),
	[DATE_2] = (CASE WHEN SD.DATE2 > @DateEnd  THEN @DateEnd ELSE SD.DATE2 END),
	[DOC]	= 1,
	[H] = 0 
FROM 
	dbo.SDOC_DIS SD
	INNER JOIN dbo.NETRUD N ON SD.[TYPE] = N.LINK
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = N.TYPE_LINK
WHERE 
	SD.LINK_EMPL = @linkEmpl
	AND
	(SD.DATE1 BETWEEN @DateBegin AND @DateEnd OR SD.DATE2 BETWEEN @DateBegin AND @DateEnd OR
	  ((SD.DATE1 < @DateBegin) AND(SD.DATE2 > @DateEnd)))
  
UNION
--
SELECT 	
	[TYPE] = VV.TYPE_LINK,
	[PRIOR] = TD.PRIORITET,
	[HOUR] 	= TD.[HOUR],
	[DATE_1] = (CASE WHEN DATE_BEGIN < @DateBegin THEN @DateBegin ELSE IV.DATE_BEGIN END),
	[DATE_2] = (CASE WHEN ISNULL((

					SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

                    SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
                    WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
					ELSE IVB.DATE_BREAK - 1 END) 

					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc), 
					
                    (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END))) >@DateEnd 

					THEN @DateEnd  
                    ELSE ISNULL((

                    SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM ITEM_VACATION_DIS IVD
        				WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  

 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 

					ELSE IVB.DATE_BREAK - 1 END)  
					
					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc),
					
					ISNULL((
					
					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) END),
	[DOC] = (case when coalesce(TD.WORK_D,1) = 7 then 22 else 2 end),
	H = VV.HOLIDAY
FROM 
	dbo.item_vacation iv
	INNER JOIN dbo.vacation_vid VV ON VV.LINK = iv.type_link
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = VV.TYPE_LINK
WHERE 
	IV.EMPL_LINK = @linkEmpl 
	AND IV.ACTIVE = 1
	AND COALESCE(VV.TIME_ARCHE,0) = 0 
	AND (IV.DATE_BEGIN BETWEEN @DateBegin AND @DateEnd 
		OR IV.DATE_END BETWEEN @DateBegin AND @DateEnd 
		OR ((IV.DATE_BEGIN<@DateBegin) AND (IV.DATE_END>@DateEnd))
		OR IV.LINK IN (SELECT VAC_LINK FROM dbo.VACATION_DIS WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND NEW_DATE_END > @DateBegin)
	    )
	AND IV.LINK NOT IN (SELECT VAC_LINK FROM dbo.item_vacation_break ivb WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND ivb.DATE_BREAK < @DateBegin)
--
UNION
SELECT 
	[TYPE] 	= it.type_link, 
	[PRIOR] = TD.PRIORITET,
	[HOUR] = TD.[HOUR], 
	[DATE_1] = (CASE WHEN IT.[DATE_BEGIN]<@DateBegin THEN @DateBegin ELSE IT.[DATE_BEGIN] END),
	[DATE_2] = (CASE WHEN (ISNULL((SELECT (CASE WHEN ITL.NEW_DATE_END > IT.DATE_END THEN ITL.NEW_DATE_END ELSE IT.DATE_END END)
				 FROM dbo.ITEM_TRAVEL_LONG ITL WHERE ITL.TRAVEL_LINK = IT.LINK AND ITL.ACTIVE = 1),IT.DATE_END))> @DateEnd 
				 THEN @DateEnd ELSE 
				(ISNULL((SELECT (CASE WHEN ITL.NEW_DATE_END > IT.DATE_END THEN ITL.NEW_DATE_END ELSE IT.DATE_END END)
				 FROM dbo.ITEM_TRAVEL_LONG ITL WHERE ITL.TRAVEL_LINK = IT.LINK AND ITL.ACTIVE = 1),IT.DATE_END)) END),
	[DOC]= 3,
	[H] = 0
FROM 
	dbo.item_travel IT
	INNER JOIN dbo.komand_vid KV ON KV.LINK = IT.type_link
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = KV.TYPE_LINK
WHERE  
	IT.EMPL_LINK = @linkEmpl 
	AND IT.ACTIVE = 1 
	AND COALESCE(KV.TIME_ARCHE,0) = 0 
	AND (IT.DATE_BEGIN BETWEEN @DateBegin AND @DateEnd 
		OR IT.DATE_END BETWEEN @DateBegin AND @DateEnd 
		OR ((IT.DATE_BEGIN<@DateBegin) AND(IT.DATE_END>@DateEnd))
	 )
)  TAB


DELETE FROM @S
WHERE DATE_1 > DATE_2

---         
update @S
Set DATE_2 = dateadd(day,-dbo.SA_HOLIDAY_COUNT_FN(DATE_1,DATE_2),DATE_2)
where doc = 2 and h = 1
-----

--SELECT * FROM @S
/*
--       
SELECT TT.[TYPE], TT.[DOC], MIN(TT.[DATE]) AS DATE_BEG, MAX(TT.[DATE]) AS DATE_END
FROM
(
SELECT T.[TYPE], T.[DOC], T.[DATE], ROW_NUMBER() OVER (ORDER BY T.[TYPE], T.[DOC], T.[DATE]) AS RN
FROM
(
SELECT 
	D.[DATE], S.[PRIOR], S.[TYPE], S.[DOC], NUM = ROW_NUMBER() OVER (PARTITION BY D.[DATE] ORDER BY S.[PRIOR] DESC)
FROM 
	dbo.[days_ex](@DateBegin,@DateEnd) D
	INNER JOIN @S S ON D.[DATE] BETWEEN S.DATE_1 AND S.DATE_2
) T WHERE T.[NUM] = 1
) TT
GROUP BY TT.[TYPE], TT.[DOC], datediff(day,DATEADD(D,RN-1,@DateBegin),TT.[DATE])
ORDER BY 3,1,2
*/

IF @DateBegin < @DateEnd 
BEGIN 
	SET @RealCount =
	(
	SELECT datediff(day,@DateBegin,@DateEnd) + 1
	- ISNULL(
		(
		SELECT COUNT(*)
		FROM
		(
		SELECT 
			D.[DATE], S.[PRIOR], S.[TYPE], S.[DOC], NUM = ROW_NUMBER() OVER (PARTITION BY D.[DATE] ORDER BY S.[PRIOR] DESC)
		FROM 
			dbo.[days_ex](@DateBegin,@DateEnd) D
			INNER JOIN @S S ON D.[DATE] BETWEEN S.DATE_1 AND S.DATE_2
		) T WHERE T.[NUM] = 1
		),0)
	)
END
	ELSE BEGIN 
			SET @RealCount = 0
		 END 

SET @RealCount = (CASE WHEN @RealCount > 0 THEN @RealCount ELSE 0 END)

RETURN @RealCount

RETURN @RealCount

END


GO


GRANT EXECUTE ON dbo.[SA_CALENDAR_DAYS_FN] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CALENDAR_DAYS_AllYear_FN]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[SA_CALENDAR_DAYS_AllYear_FN]

GO

CREATE FUNCTION dbo.SA_CALENDAR_DAYS_AllYear_FN (@linkEmpl int, @Year int)
RETURNS NUMERIC(18,2)
AS
BEGIN

DECLARE @RealCount NUMERIC(18,2)
/*
,        ,
     ,     :
  ,    
    
   ,        1,5 
         ,      3 
 / /            

*/

declare @DateBegin datetime, @DateEnd datetime

SET @DateBegin = dbo.ConvertDMY2Date(1,1,@Year) 
SET @DateEnd = dbo.ConvertDMY2Date(1,12,@Year) 
SET @DateEnd = dbo.DateEndOfMonth(@DateEnd)

--SET @DateBegin = dbo.ConvertDMY2Date(1,@Month,@Year) 
--SET @DateEnd 	= dbo.DateEndOfMonth(@DateBegin)

DECLARE @DateAccept datetime, @DateSack datetime
SET @DateAccept = ISNULL(dbo.kd_DateBeginWork(@linkEmpl,@DateEnd),'19000101')
SET @DateSack   = ISNULL(dbo.kd_DateEndWork(@linkEmpl,@DateEnd),'30000101')

SET @DateBegin = (case when @DateAccept < @DateBegin then @DateBegin else @DateAccept end)
SET @DateEnd = (case when @DateSack < @DateEnd then @DateSack else @DateEnd end)  

DECLARE @S TABLE 
([TYPE] int,
 [PRIOR] int,
 [HOUR]  numeric(6,2),
 [DATE_1] datetime,
 [DATE_2] datetime,
 [DOC]	int,
 [H] int 	
)


INSERT INTO @S ([TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], [H])
--
SELECT [TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], H FROM 
(SELECT 
	[TYPE] = SD.[TYPE],
	[PRIOR] = TD.PRIORITET,
	[HOUR] = TD.[HOUR],
	[DATE_1] = (CASE WHEN SD.DATE1 < @DateBegin THEN @DateBegin ELSE SD.DATE1 END),
	[DATE_2] = (CASE WHEN SD.DATE2 > @DateEnd  THEN @DateEnd ELSE SD.DATE2 END),
	[DOC]	= 1,
	[H] = 0 
FROM 
	dbo.SDOC_DIS SD
	INNER JOIN dbo.NETRUD N ON SD.[TYPE] = N.LINK
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = N.TYPE_LINK
WHERE 
	SD.LINK_EMPL = @linkEmpl
	AND
	(SD.DATE1 BETWEEN @DateBegin AND @DateEnd OR SD.DATE2 BETWEEN @DateBegin AND @DateEnd OR
	  ((SD.DATE1 < @DateBegin) AND(SD.DATE2 > @DateEnd)))
  
UNION
--
SELECT 	
	[TYPE] = VV.TYPE_LINK,
	[PRIOR] = TD.PRIORITET,
	[HOUR] 	= TD.[HOUR],
	[DATE_1] = (CASE WHEN DATE_BEGIN < @DateBegin THEN @DateBegin ELSE IV.DATE_BEGIN END),
	[DATE_2] = (CASE WHEN ISNULL((

					SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

                    SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
                    WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
					ELSE IVB.DATE_BREAK - 1 END) 

					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc), 
					
                    (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END))) >@DateEnd 

					THEN @DateEnd  
                    ELSE ISNULL((

                    SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM ITEM_VACATION_DIS IVD
        				WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  

 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 

					ELSE IVB.DATE_BREAK - 1 END)  
					
					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc),
					
					ISNULL((
					
					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) END),
	[DOC] = (case when coalesce(TD.WORK_D,1) = 7 then 22 else 2 end),
	H = VV.HOLIDAY
FROM 
	dbo.item_vacation iv
	INNER JOIN dbo.vacation_vid VV ON VV.LINK = iv.type_link
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = VV.TYPE_LINK
WHERE 
	IV.EMPL_LINK = @linkEmpl 
	AND IV.ACTIVE = 1
	AND COALESCE(VV.TIME_ARCHE,0) = 0 
	AND (IV.DATE_BEGIN BETWEEN @DateBegin AND @DateEnd 
		OR IV.DATE_END BETWEEN @DateBegin AND @DateEnd 
		OR ((IV.DATE_BEGIN<@DateBegin) AND (IV.DATE_END>@DateEnd))
		OR IV.LINK IN (SELECT VAC_LINK FROM dbo.VACATION_DIS WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND NEW_DATE_END > @DateBegin)
	    )
	AND IV.LINK NOT IN (SELECT VAC_LINK FROM dbo.item_vacation_break ivb WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND ivb.DATE_BREAK < @DateBegin)
--
UNION
SELECT 
	[TYPE] 	= it.type_link, 
	[PRIOR] = TD.PRIORITET,
	[HOUR] = TD.[HOUR], 
	[DATE_1] = (CASE WHEN IT.[DATE_BEGIN]<@DateBegin THEN @DateBegin ELSE IT.[DATE_BEGIN] END),
	[DATE_2] = (CASE WHEN (ISNULL((SELECT (CASE WHEN ITL.NEW_DATE_END > IT.DATE_END THEN ITL.NEW_DATE_END ELSE IT.DATE_END END)
				 FROM dbo.ITEM_TRAVEL_LONG ITL WHERE ITL.TRAVEL_LINK = IT.LINK AND ITL.ACTIVE = 1),IT.DATE_END))> @DateEnd 
				 THEN @DateEnd ELSE 
				(ISNULL((SELECT (CASE WHEN ITL.NEW_DATE_END > IT.DATE_END THEN ITL.NEW_DATE_END ELSE IT.DATE_END END)
				 FROM dbo.ITEM_TRAVEL_LONG ITL WHERE ITL.TRAVEL_LINK = IT.LINK AND ITL.ACTIVE = 1),IT.DATE_END)) END),
	[DOC]= 3,
	[H] = 0
FROM 
	dbo.item_travel IT
	INNER JOIN dbo.komand_vid KV ON KV.LINK = IT.type_link
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = KV.TYPE_LINK
WHERE  
	IT.EMPL_LINK = @linkEmpl 
	AND IT.ACTIVE = 1 
	AND COALESCE(KV.TIME_ARCHE,0) = 0 
	AND (IT.DATE_BEGIN BETWEEN @DateBegin AND @DateEnd 
		OR IT.DATE_END BETWEEN @DateBegin AND @DateEnd 
		OR ((IT.DATE_BEGIN<@DateBegin) AND(IT.DATE_END>@DateEnd))
	 )

)  TAB


DELETE FROM @S
WHERE DATE_1 > DATE_2

---         
update @S
Set DATE_2 = dateadd(day,-dbo.SA_HOLIDAY_COUNT_FN(DATE_1,DATE_2),DATE_2)
where doc = 2 and h = 1
-----

--SELECT * FROM @S
/*
--       
SELECT TT.[TYPE], TT.[DOC], MIN(TT.[DATE]) AS DATE_BEG, MAX(TT.[DATE]) AS DATE_END
FROM
(
SELECT T.[TYPE], T.[DOC], T.[DATE], ROW_NUMBER() OVER (ORDER BY T.[TYPE], T.[DOC], T.[DATE]) AS RN
FROM
(
SELECT 
	D.[DATE], S.[PRIOR], S.[TYPE], S.[DOC], NUM = ROW_NUMBER() OVER (PARTITION BY D.[DATE] ORDER BY S.[PRIOR] DESC)
FROM 
	dbo.[days_ex](@DateBegin,@DateEnd) D
	INNER JOIN @S S ON D.[DATE] BETWEEN S.DATE_1 AND S.DATE_2
) T WHERE T.[NUM] = 1
) TT
GROUP BY TT.[TYPE], TT.[DOC], datediff(day,DATEADD(D,RN-1,@DateBegin),TT.[DATE])
ORDER BY 3,1,2
*/
IF @DateBegin < @DateEnd 
BEGIN 

	SET @RealCount =
	(
	SELECT datediff(day,@DateBegin,@DateEnd) + 1
	- ISNULL(
		(
		SELECT COUNT(*)
		FROM
		(
		SELECT 
			D.[DATE], S.[PRIOR], S.[TYPE], S.[DOC], NUM = ROW_NUMBER() OVER (PARTITION BY D.[DATE] ORDER BY S.[PRIOR] DESC)
		FROM 
			dbo.[days_ex](@DateBegin,@DateEnd) D
			INNER JOIN @S S ON D.[DATE] BETWEEN S.DATE_1 AND S.DATE_2
		) T WHERE T.[NUM] = 1
		),0)
	)
END ELSE begin
			set @RealCount  = 0
		END 

SET @RealCount = (CASE WHEN @RealCount > 0 THEN @RealCount ELSE 0 END)

RETURN @RealCount


END


GO


GRANT EXECUTE ON dbo.[SA_CALENDAR_DAYS_AllYear_FN] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[PrintFSSRep_GetDpData]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[PrintFSSRep_GetDpData]

GO

CREATE  FUNCTION dbo.PrintFSSRep_GetDpData(@varKSnLinkDep int)
RETURNS TABLE 
AS
	RETURN 
	SELECT 
		DD1.OKPO AS OKPO1, 
		DD1.INN AS INN1, DD1.KPP AS KPP1, DD1.FULL_NAME, DD1.NAME AS ORGNAME,
		DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME, 
		DD2.NALOG AS SONO, 
		DD1.OGRN AS OGRN1,
		LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A))) 
			+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE  ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
			+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
		AS ADDR_STR,
		CAST(NULL AS DATETIME) AS DATE_END,
		RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.' AS CHIEF_FIO,
		CHIEF.FM as CHIEF_FM,
		CHIEF.IM as CHIEF_IM,
		CHIEF.OT as CHIEF_OT,
		CHIEF.POST_NAME AS CHIEF_POST,
		RTRIM(CHIEF.PHONE) AS CH_PHONE,
		RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.' AS GLBUH_FIO,
		replace(replace(replace(REPLACE(RTRIM(GLBUH.PHONE),'-',''),' ',''),'(',''),')','') AS GL_PHONE,
		DD1.OGRN,
		(CASE WHEN ( convert(varchar(5),(select value from S_OPTIONS where object = (select top 1 link from s_objects where code = 'NASTR_USE_OKATO_OKTMO'))) = '1' 
				  or convert(varchar(5),(select value from S_OPTIONS where object = (select top 1 link from s_objects where code = 'NASTR_USE_OKATO_OKTMO'))) = '') then DD1.OKATO ELSE '' END) AS OKATO,
		DD1.OKTMO,
		DD1.OKVED,
		DD1.OKPO,
		DD1.FSS_REG_NUM, --  ()  
		DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
		DD1.FSS_KOD_DOP, --      
		DD1.OKOPF, ---    - ;
		DD1.OKFS, ---     ;
		DD1.PFNUMBER,
		DA.PINDEX, DA.REGION, DA.REGCODE, DA.RAION, DA.GOROD, DA.NASEL, DA.STREET, DA.HOUSE, DA.KORP, DA.FLAT,
		TFOMS_RNUM = DD1.TFOMS_REG_NUM,
		TFOMS_KT = DD1.TFOMS_KT,
		DD1.FSS_KP_PC1, DD1.FSS_KP_PC2, DD1.FSS_KP_PC3,
		BUDG_ORG = dd1.buh_type,
		BUDG_CODE	= '0'
	FROM DICTIONARY_DEPARTMENT DD1 
		LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
		LEFT OUTER JOIN dbo.GetOtvFaceData(@varKSnLinkDep, '') chief on chief.link_dep = dd1.link
		LEFT OUTER JOIN dbo.GetOtvFaceData(@varKSnLinkDep, ' ') GLBUH ON GLBUH.link_dep = dd1.link
		LEFT JOIN DBO.DEP_ADRESS(@varKSnLinkDep) DA ON 1=1
	WHERE DD1.LINK = @varKSnLinkDep








GO


GRANT SELECT ON dbo.[PrintFSSRep_GetDpData] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[DOC_TABLE_MZ_NDS]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[DOC_TABLE_MZ_NDS]

GO

CREATE VIEW dbo.DOC_TABLE_MZ_NDS
AS
	SELECT *
	FROM dbo.BK_DOC_TABLE_MZ_NDS_FN (DEFAULT)
	
GO


GRANT SELECT ON dbo.[DOC_TABLE_MZ_NDS] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_PRINT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_STAZH_PRINT]

GO


CREATE PROCEDURE dbo.SZV_STAZH_PRINT(@Link int)
AS
-- exec SZV_STAZH_PRINT 151
DECLARE @varKSNOM_PF VARCHAR(20), @varKSname VARCHAR(254), @varKSDEP int,
	@varKSOKPO VARCHAR(40), @varKSINN VARCHAR(12), @varKSKPP VARCHAR(9), @Month int, @Year int, @date datetime

SELECT
	@varKSDEP = D.link, @varKSNOM_PF = PFNUMBER, @varKSname = UPPER([NAME]),
	@varKSOKPO = OKPO, @varKSINN = INN, @varKSKPP = KPP,
	@Month = month_end, @year = year_begin
FROM dbo.DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = @link

Set @date = dbo.ConvertDMY2Date(1,@Month,@Year)
Set @date = dbo.DateEndOfMonth(@date)

SELECT
	LINK = P.link,
	[YEAR] = ISNULL(CASE WHEN year_begin <> 2010 THEN year_begin ELSE NULL END ,0),
	[INN] = @varKSINN,
	[KPP] = @varKSKPP,
	OKPO = @varKSOKPO,
	[CODE] = K.CODE,	
	[PER] = ISNULL(CASE WHEN year_begin <> 2010 THEN PER ELSE NULL END ,0),
	[PER10] = ISNULL(CASE WHEN year_begin = 2010 THEN PER ELSE NULL END ,0),
	[YEAR_EDT] = ISNULL(p.year_edt,0),
	[PER_EDT] = ISNULL(p.PER_EDT,0),
	[TYPE_SV] = P.[TYPE],
	[TYPE] = P.vid_kor,
	[ID] = S.orders,
	[NGROUP] = S.pachka,
	T_DOG = s.forma,
	[PFNUMBER] = PF_NUM,
	[FIO] = FIO2,
	[FM] = s.FM,
	[IM] = s.IM,
	[OT] = s.OT,
	[INN_PERS] = per.INN,
	[ADDRESS] = [ADDRESS],
	[ADDRESS2] = ADDRESS2,
	[INSUR] = COALESCE(S.sum_doh,0), --     . 
	[INSUR1] = COALESCE(S.INSUR,0), --     . 
	[GAIN] = COALESCE(S.GAIN,0), --     . 
	[GAIN1] = COALESCE(S.DOP,0), --     . 
	INC_T1_M1 = S.INCOME_T1_M1,--      1  1 
	INC_T1_M2 = S.INCOME_T1_M2,--      1  2 
	INC_T1_M3 = S.INCOME_T1_M3,--      1  3 
	INC_T2_M1 = S.INCOME_T2_M1,--      2  1 
	INC_T2_M2 = S.INCOME_T2_M2,--      2  2 
	INC_T2_M3 = S.INCOME_T2_M3,--      2  3 
	[ID_EX] = ST.orders,
	[DATE_BEGIN] = date1,
	[DATE_END] = date2,
	[STR_DIS] = (CASE WHEN coalesce(dper_vn_m,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_vn_m,0)) + ' .' else '' end)
	 		+ (CASE WHEN coalesce(dper_vn_d,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_vn_d,0)) + ' .' else '' end),
	dper_vn_m = coalesce(dper_vn_m,0),
	dper_vn_d = coalesce(dper_vn_d,0),
	[STR_VAC2] = (CASE WHEN coalesce(dper_oz_m,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_oz_m,0)) + ' .' else '' end)
	 		+ (CASE WHEN coalesce(dper_oz_d,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_oz_d,0)) + ' .' else '' end),
	dper_oz_m = coalesce(dper_oz_m,0),
	dper_oz_d = coalesce(dper_oz_d,0),
	[TU_CODE] = f_ter_usl,
	ter_usl,
	ter_koef,
	[OS_CODE] = f_osob_usl,
	osob_usl,
	osob_spis = RTRIM(LTRIM(COALESCE(osob_k1,''))) + RTRIM(LTRIM(COALESCE(osob_k2,''))) + RTRIM(LTRIM(COALESCE(osob_k3,''))),
	[EX_CODE] = is_osnov,
	is_dop_m,
	is_dop_d,
	is_dop,
	f_is_dop,
	[P_CODE] = ud_osnov,
	ud_dop_m,
	ud_dop_d,
	ud_dop_k,
	f_ud_dop,
	@varKSNOM_PF AS REG_NOM_PF,
	@varKSname AS DEP_NAME,
	DATE_CRT = @date,
	DATE_DOC = [date], DD = DAY([date]), MM = M.MON, YY = YEAR([date]),
	UV = CASE WHEN exists(SELECT * FROM sd_empl WHERE pers_link = s.link_face AND DATE_end = @DATE) THEN 'X' ELSE '' end
from
	dbo.SS_SZV_STAZH_PACHKA P INNER JOIN dbo.SS_SZV_STAZH_SVEDENIA S ON P.link = S.link
	INNER JOIN dbo.person per ON  per.link = S.link_FACE
	left JOIN dbo.SS_SZV_ST_STAZH ST ON S.link1 = ST.link
	INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = P.KATEG AND year_begin BETWEEN YBEG AND YEND
	INNER JOIN dbo.MONTHS M ON M.NUM = MONTH([date])
where
	P.link = @Link
	--and P.[type] = 2
	and P.proverka = 1
order by
	S.pachka, S.orders, ST.orders



GO


GRANT EXECUTE ON dbo.[SZV_STAZH_PRINT] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_EMPL_INCOM_VKR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_EMPL_INCOM_VKR]

GO
CREATE   PROCEDURE [dbo].SD_EMPL_INCOM_VKR
	@VARKSNMODE	SMALLINT = 0, 
	@VARKSNMONTH INT = 0,
	@VARKSNYEAR	INT = 0,
	@DEP_LINK INT = NULL,
	@DO_EKR TINYINT = 0 --  
AS

IF @DEP_LINK IS NULL
	EXEC DBO.XD_WHATS_ZB @DEP_LINK OUTPUT
	
DECLARE @LINK_211EKR INT, @LINK_R211EKR INT, @LINK_212EKR INT, @SHOW_212 TINYINT, @LINK_213EKR INT
		  
SET @LINK_211EKR = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '211')
SET @LINK_R211EKR = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = 'R211')
SET @LINK_212EKR = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '212')
SET @LINK_213EKR = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')
SET @SHOW_212 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_3')

DECLARE @ESN_213 INT --      213                                                     
SET @ESN_213 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_5')

/*         
  ,  ,   */
	
IF OBJECT_ID('TEMPDB..#EMPLS1','U') IS NOT NULL
DROP TABLE #EMPLS1

CREATE TABLE #EMPLS1 (DEP_LINK INT, PERS_LINK INT, LINK INT, TAB VARCHAR(254), NUM INT, LINK_EMPL2 INT)

INSERT INTO #EMPLS1 (DEP_LINK, PERS_LINK, LINK, TAB, NUM)
SELECT E.DEP_LINK, E.PERS_LINK, E.LINK, E.TAB, NUM = ROW_NUMBER () OVER (PARTITION BY E.DEP_LINK, E.PERS_LINK ORDER BY DATE_BEGIN DESC)
	FROM dbo.EMPL E INNER JOIN dbo.ITEM_MOVE IM ON E.LINK = IM.EMPL_LINK
		WHERE IM.ACTIVE = 1 AND IM.NEW_FACE=1 AND (IM.[STATUS]=1 OR IM.[STATUS]=3) AND DATE_BEGIN <= dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@VARKSNMONTH,@VARKSNYEAR))
-- AND PERS_LINK = 17100

UPDATE A SET A.LINK_EMPL2 = B.LINK
FROM #EMPLS1 A INNER JOIN #EMPLS1 B ON A.DEP_LINK = B.DEP_LINK AND A.PERS_LINK = B.PERS_LINK
WHERE B.NUM = 1
	
/*      */

IF OBJECT_ID('TEMPDB..#EMPLS2','U') IS NOT NULL
DROP TABLE #EMPLS2

CREATE TABLE #EMPLS2 (DEP_LINK INT, PERS_LINK INT, LINK INT, TAB VARCHAR(254), NUM INT, LINK_EMPL2 INT)

INSERT INTO #EMPLS2 (DEP_LINK, PERS_LINK, LINK, TAB, NUM)
SELECT E.DEP_LINK, E.PERS_LINK, E.LINK, E.TAB, NUM = ROW_NUMBER () OVER (PARTITION BY E.DEP_LINK, E.PERS_LINK ORDER BY DATE_BEGIN DESC)
	FROM dbo.EMPL E INNER JOIN dbo.ITEM_MOVE IM ON E.LINK = IM.EMPL_LINK
		WHERE IM.ACTIVE = 1 AND IM.NEW_FACE=1 AND IM.[STATUS]=2 AND DATE_BEGIN <= dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@VARKSNMONTH,@VARKSNYEAR))
-- AND PERS_LINK = 17100

UPDATE A SET A.LINK_EMPL2 = B.LINK
FROM #EMPLS2 A INNER JOIN #EMPLS2 B ON A.DEP_LINK = B.DEP_LINK AND A.PERS_LINK = B.PERS_LINK
WHERE B.NUM = 1

SELECT 
	T.LINK,
	T.LINK_EMPL,
	T.TAB_NUM,
	T.[NAME_EMPL], 
	T.[STATUS],
	T.NUM_STAKE,	
	LINK_VKR = ISNULL(SF.LINK_SS_SFIN, T.LINK_VKR),
	NAME_VKR = ISNULL(SF2.CODE, T.NAME_VKR),
	T.LINK_EKR,
	T.CODE_EKR,
	LINK_VKR2 = T.LINK_VKR,
	NAME_VKR2 = T.NAME_VKR
INTO #TMP_SD_EMPL_INCOM_VKR
FROM
(			
SELECT DISTINCT
	LINK= E.PERS_LINK,
	LINK_EMPL= E.LINK,
	TAB_NUM= E.TAB,
	[NAME_EMPL]= RTRIM(P.FM) + ' ' + SUBSTRING(RTRIM(P.IM),1,1) + '.' + SUBSTRING(RTRIM(P.OT),1,1) + '.', 
	[STATUS] = 1,
	NUM_STAKE = 1,	
	JC.LINK_VKR, 
	NAME_VKR = KBK.CODE,
	LINK_EKR = EKR.LINK,
	CODE_EKR = EKR.CODE
FROM
	DBO.PERSON P with (nolock)
	INNER JOIN DBO.EMPL E with (nolock) ON E.PERS_LINK = P.LINK AND E.DEP_LINK = COALESCE(@DEP_LINK,E.DEP_LINK)
	--      
	INNER JOIN (
		/*         
		  ,  ,   */
		SELECT DEP_LINK, LINK, LINK_EMPL2 FROM #EMPLS1
		/*      */
		UNION
		SELECT DEP_LINK, LINK, LINK_EMPL2 FROM #EMPLS2
			) T ON T.DEP_LINK = E.DEP_LINK AND T.LINK_EMPL2 = E.LINK
	INNER JOIN dbo.CALCULATE_JURNAL JC ON JC.LINK_EMPL = T.LINK
	INNER JOIN dbo.PAYS PS ON JC.LINK_PAYS = PS.LINK
	INNER JOIN DBO.SAL_SFIN KBK ON JC.LINK_VKR = KBK.LINK
	INNER JOIN DBO.KOSGU EKR ON 
		@SHOW_212 = 1 AND (EKR.LINK = JC.LINK_EKR OR (JC.LINK_EKR = @LINK_212EKR AND EKR.LINK = @LINK_211EKR)) --  212    211  --   
		OR 
		@SHOW_212 = 0 AND EKR.LINK = (CASE WHEN JC.LINK_EKR <> @LINK_212EKR THEN JC.LINK_EKR ELSE @LINK_211EKR END)	
		OR 
		@DO_EKR = 1 AND EKR.LINK = JC.LINK_EKR
WHERE
	EXISTS ( SELECT * FROM dbo.TAX_REF TR INNER JOIN dbo.PAYS P1 ON P1.LINK = TR.LINK_TAX WHERE P1.[OBJECT] = 3 AND TR.LINK_PAYS = JC.LINK_PAYS)
	AND
	E.DEP_LINK = @DEP_LINK
	AND
	PS.[OBJECT] = 1
	AND
	YEAR(JC.PERIOD_BEGIN) = @VARKSNYEAR
	AND
	JC.SUMMA<>0
	AND
	(
		(MONTH(JC.PERIOD_BEGIN) <= @VARKSNMONTH AND @VARKSNMODE <> 0)
		OR
		(MONTH(JC.PERIOD_BEGIN) = @VARKSNMONTH AND @VARKSNMODE = 0)
	)
	AND
	(@ESN_213 = 1 OR @ESN_213 = 0 AND EKR.LINK <> @LINK_213EKR)
) T
INNER JOIN dbo.SAL_SFIN SF ON SF.LINK = T.LINK_VKR
LEFT JOIN dbo.SAL_SFIN SF2 ON SF2.LINK = SF.LINK_SS_SFIN
--WHERE LINK_EMPL = 123	
--ORDER BY
--	4,6,8

SELECT 
	[ORDERS] = CAST( ROW_NUMBER() OVER (ORDER BY [NAME_EMPL], LINK) AS INT),
	[NAME_EMPL], [LINK]
INTO #TMP_SD_EMPL_INCOM_VKR1
FROM #TMP_SD_EMPL_INCOM_VKR GROUP BY [NAME_EMPL], LINK

SELECT B.[ORDERS], A.*
FROM
	 #TMP_SD_EMPL_INCOM_VKR A
	 INNER JOIN #TMP_SD_EMPL_INCOM_VKR1 B ON A.[LINK] = B.[LINK]
ORDER BY
	B.[ORDERS], NAME_VKR, CODE_EKR

GO


GRANT EXECUTE ON dbo.[SD_EMPL_INCOM_VKR] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_FILL_DED_ESN_VKR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SALARY_FILL_DED_ESN_VKR]

GO

CREATE PROCEDURE [dbo].SALARY_FILL_DED_ESN_VKR
--  
@RefPay int, 
@LinkVKR int,
@LINK_EKR INT, 
@linkPers int, 
@Month int, 
@Year int, 
@FlagMS  tinyint,
@FlagShow int = 0,
@DEP_LINK INT  = NULL,
@LinkVKR2 INT = NULL 
AS

SET NOCOUNT ON

IF @LinkVKR2 IS NULL
	SET @LinkVKR2 = @LinkVKR

DECLARE 
	@DATE1 datetime, 
	@linkFace int,
	@LINK_213EKR INT,
	@LINK_211EKR INT,
	@TARIF TINYINT,
	@SHOW_212 TINYINT,
	@LINK_EKR_ADD INT
		  
SET @TARIF = ISNULL((SELECT TOP 1 ENVD FROM dbo.SAL_SFIN WHERE LINK = @LinkVKR),0) + 1	
		  
SET @LINK_211EKR = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '211')
SET @LINK_EKR_ADD = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '212')
SET @LINK_213EKR = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')
SET @FlagMS = 1
SET @SHOW_212 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_3')

IF @SHOW_212 = 1 OR @LINK_EKR <> @LINK_211EKR
	SET @LINK_EKR_ADD = @LINK_EKR
	
DECLARE @ESN_OPTIONS_7 INT -- .     
--         .          . 
--   ,  .   .
SET @ESN_OPTIONS_7 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_7')

DECLARE @ESN_OPTIONS_8 INT -- .   
--         .     .
SET @ESN_OPTIONS_8 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_8')

DECLARE @DATE_BEG DATETIME
SET @DATE_BEG = dbo.convertDMY2Date(1,@Month,@Year)
SET @DATE1 = dbo.DateEndOfMonth(@DATE_BEG)

DECLARE @DATE_YEAR_BEG DATETIME
SET @DATE_YEAR_BEG = dbo.convertDMY2Date(1,1,@Year)

SELECT @linkFace = @linkPers 

DECLARE @T1 TABLE
([NUM]			[int],
 [SUMMA]		[numeric](19,2),
 [SUMMA_VKR]		[numeric](19,2),
 [SUMMA_M]		[numeric](19,2),
 [SUMMA_M_VKR]		[numeric](19,2))


IF @DEP_LINK IS NULL
	exec dbo.xd_whats_zb @DEP_LINK output

/*       */
DECLARE @linkEmpl int, @INCOME_PREVIOUS_JOB numeric(15,2), @DED_PREVIOUS_JOB numeric(15,2), @TAXABLE_INCOME_PREVIOUS_JOB numeric(15,2), @ADOPTED_THIS_YEAR INT, @MONTH_BEGIN_JOB tinyint
SET @ADOPTED_THIS_YEAR = 0
SET @INCOME_PREVIOUS_JOB = 0
SET @DED_PREVIOUS_JOB = 0
SET @TAXABLE_INCOME_PREVIOUS_JOB = 0
SET @MONTH_BEGIN_JOB = 0

SET @linkEmpl = 
	(SELECT TOP 1 IM.EMPL_LINK
	FROM
		DBO.EMPL E with (nolock)
		LEFT JOIN DBO.ITEM_MOVE IM with (nolock) ON IM.EMPL_LINK = E.LINK AND IM.ACTIVE = 1 AND IM.NEW_FACE=1 AND IM.[STATUS] IN (1,3) AND IM.DATE_BEGIN <= @DATE1
		LEFT JOIN DBO.ITEM_DIS_FACE IDF with (nolock) ON IDF.EMPL_LINK = E.LINK AND IDF.ACTIVE=1 AND COALESCE(IDF.DIS_DATE,'20990101') >= dbo.DateBeginOfMonth(@DATE1)
	WHERE
		E.DEP_LINK = @DEP_LINK
		AND
		E.PERS_LINK = @linkPers
	ORDER BY
		DATE_BEGIN DESC	
	)	

---------------------------------------------------
DECLARE @item_move TABLE (LINK INT, EMPL_LINK INT, STAFF_LINK INT, DATE_BEGIN DATETIME, DATE_END DATETIME, NUM_STAKE NUMERIC(5,3), active TINYINT, NEW_FACE TINYINT, [STATUS] TINYINT)
INSERT INTO @item_move (LINK, EMPL_LINK, STAFF_LINK, DATE_BEGIN, DATE_END, NUM_STAKE, active, NEW_FACE, [STATUS])
Select 
	P1.LINK, P1.EMPL_LINK, P1.STAFF_LINK, P1.DATE_BEGIN, P1.DATE_END, P1.NUM_STAKE, P1.active, P1.NEW_FACE, P1.[STATUS]
from 
	dbo.empl e INNER JOIN dbo.item_move P1 ON P1.EMPL_LINK = e.link
WHERE
	E.DEP_LINK = @DEP_LINK AND E.PERS_LINK	= @linkPers
---------------------------------------------------

--       
DECLARE @NUM_STAKE TABLE (LINK_EMPL INT, NUM_STAKE NUMERIC(18,4), DATE_BEG DATETIME, DATE_END DATETIME)
INSERT INTO @NUM_STAKE (LINK_EMPL, NUM_STAKE, DATE_BEG, DATE_END)
SELECT DISTINCT
	EMPL_LINK, NUM_STAKE, DATE_BEGIN, DATE_END 
FROM @item_move
WHERE active = 1 AND NEW_FACE <> 3 AND @DATE1 BETWEEN DATE_BEGIN AND DATE_END

if @FlagShow = 1 
	select ':  '+ LTRIM(RTRIM(P.FM)) + ' ' + SUBSTRING(LTRIM(RTRIM(P.IM)),1,1) + '.' + SUBSTRING(LTRIM(RTRIM(P.OT)),1,1)
		+  ',  ' + convert(varchar(2),@Month)+ ',  ' +convert(varchar(4),@Year) as [ ],
		[] = (select rtrim(name) from pays where link =@RefPay)  FROM dbo.PERSON P where link = @linkFace


DECLARE @NASTR TABLE
([LINK_MINROT] 	[int],
 [REF_PAY]			[int],
 [CODE]				[varchar](5),
 [NAME]				[varchar](254),
 [PREDEL]			[numeric](19, 2))

INSERT INTO @NASTR([LINK_MINROT],[REF_PAY],[CODE],[NAME],[PREDEL])
SELECT [LINK_MINROT],[REF_PAY],[CODE],[NAME],[PREDEL] FROM dbo.Salary_deduct_esn(@DATE1)

SELECT @DED_PREVIOUS_JOB = 0, @ADOPTED_THIS_YEAR = 0

IF dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_6 ') = 1
BEGIN
	IF YEAR(dbo.kd_DateBeginWork(@linkEmpl,null)) = @Year
	BEGIN
		
		--	
		SELECT 
			@DED_PREVIOUS_JOB = SUM(PD.SUMMA_DED), 
			@MONTH_BEGIN_JOB = MONTH(MAX(IM.DATE_BEGIN))
		FROM 
			dbo.SD_EMPL_PREV_DED PD
			INNER JOIN @NASTR T ON T.REF_PAY = PD.LINK_DED
			INNER JOIN dbo.EMPL E with (nolock) ON E.LINK = PD.LINK_EMPL
			INNER JOIN dbo.ITEM_MOVE IM with (nolock) ON IM.EMPL_LINK = E.LINK AND IM.ACTIVE = 1 AND IM.NEW_FACE=1 AND IM.[STATUS] IN (1,3) AND IM.DATE_BEGIN <= @DATE1
			INNER JOIN (
				SELECT E.PERS_LINK, MAX(DATE_BEGIN) AS DATE_BEGIN
				FROM 
					dbo.EMPL E with (nolock)
					INNER JOIN dbo.ITEM_MOVE IM with (nolock) ON IM.EMPL_LINK = E.LINK AND IM.ACTIVE = 1 AND IM.NEW_FACE=1 AND IM.[STATUS] IN (1,3) AND IM.DATE_BEGIN <= @DATE1
					LEFT JOIN DBO.ITEM_DIS_FACE IDF with (nolock) ON IDF.EMPL_LINK = E.LINK AND IDF.ACTIVE=1 AND COALESCE(IDF.DIS_DATE,'20990101') >= dbo.DateBeginOfMonth(@DATE1)	
				GROUP BY
					E.PERS_LINK	
			) A ON A.PERS_LINK = E.PERS_LINK AND A.DATE_BEGIN = IM.DATE_BEGIN
		WHERE
			E.DEP_LINK = @DEP_LINK
			AND
			E.LINK = @linkEmpl 
			AND
			YEAR(IM.DATE_begin) = @Year --    .  ,     
			AND
			MONTH(IM.DATE_BEGIN) <= @Month --    .  ,        
		GROUP BY
			E.PERS_LINK

		IF @DED_PREVIOUS_JOB IS null or @DED_PREVIOUS_JOB < 0
			SET @DED_PREVIOUS_JOB = 0

		--
		SET @INCOME_PREVIOUS_JOB = ISNULL( (SELECT SUM(SUMMA_TYP_INCOMS) FROM dbo.SD_EMPL_PREV_DOHOD WHERE LINK_EMPL = @linkEmpl), 0)
		IF @INCOME_PREVIOUS_JOB IS null or @INCOME_PREVIOUS_JOB < 0
			SET @INCOME_PREVIOUS_JOB = 0	

		-- 
		SET @TAXABLE_INCOME_PREVIOUS_JOB = @INCOME_PREVIOUS_JOB - @DED_PREVIOUS_JOB
		IF @TAXABLE_INCOME_PREVIOUS_JOB IS NULL OR @TAXABLE_INCOME_PREVIOUS_JOB < 0
			SET @TAXABLE_INCOME_PREVIOUS_JOB = 0

		-- ,  .    
		SET @ADOPTED_THIS_YEAR = 1
		
		SELECT @MONTH_BEGIN_JOB = ISNULL(@MONTH_BEGIN_JOB,0)
		
		IF  @FlagShow = 1 
			SELECT 
				' c .  : ' + CAST(@INCOME_PREVIOUS_JOB AS VARCHAR(20)) 
				+ ',  c .  : ' + CAST(@DED_PREVIOUS_JOB AS VARCHAR(20))
			   as '       '
	END
END	


---       ,     ---
DECLARE @SUM_DGH numeric(15,2)
SET @SUM_DGH = 
	ISNULL(
	(
	SELECT SUM(GT.SUMMA_BASE)
	FROM dbo.DOCUMENTS_DGH G INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	WHERE FLAG_JC = 1
			AND YEAR(G.[DATE]) = @Year
			AND MONTH(G.[DATE]) <= @Month
			AND G.LINK_DEP = @DEP_LINK
			AND GT.LINK_PAY = @RefPay
			AND GT.PERS_LINK = @linkFace
	),0)

IF @SUM_DGH <> 0 AND @FlagShow = 1 
	SELECT ' : '+ rtrim(isnull(convert(varchar(100),@SUM_DGH),'0')) as '   '

CREATE TABLE #PERIODY (LINK_EMPL INT, LINK_PERSON INT, TAB VARCHAR(10), NUM_STAKE NUMERIC(18,4), POSTNAME VARCHAR(50), st_date1 datetime, st_date2 datetime, im_date1 datetime, im_date2 datetime, [COD_SPO_USL_TRUD] int)

---------------------------------------------------------------------------------------------------------------
IF EXISTS (SELECT * FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC IN (10,11) AND LINK = @RefPay)
BEGIN

	--sa_item_move
	--	
	DECLARE @sa_item_move TABLE (EMPL_LINK INT, STAFF_LINK INT, DATE_BEGIN DATETIME, DATE_END3 DATETIME, NUM_STAKE NUMERIC(5,3), [STATUS] TINYINT )

	INSERT INTO @sa_item_move (EMPL_LINK, STAFF_LINK, DATE_BEGIN, DATE_END3, NUM_STAKE, [STATUS])
	Select 
		P1.EMPL_LINK, P1.STAFF_LINK, P1.DATE_BEGIN, date_end3 = min(P2.date_begin) - 1, P1.NUM_STAKE, P1.[STATUS]
	from 
		dbo.empl e
		INNER JOIN @item_move P1 ON P1.EMPL_LINK = e.link
		INNER JOIN @item_move P2 on P1.EMPL_LINK = P2.EMPL_LINK
	where
		E.PERS_LINK	= @linkPers 
		AND P1.active = 1 AND P2.active = 1 AND P1.NEW_FACE <> 3 AND P2.NEW_FACE <> 3
		AND P1.[date_begin] < P2.[date_begin] 
	group by 
		P1.EMPL_LINK, P1.STAFF_LINK, P1.DATE_BEGIN, P1.NUM_STAKE, P1.[STATUS]

	INSERT INTO @sa_item_move (EMPL_LINK, STAFF_LINK, DATE_BEGIN, DATE_END3, NUM_STAKE, [STATUS])
	Select 
		P3.EMPL_LINK, P3.STAFF_LINK, P3.DATE_BEGIN, date_end3 = '99991231', P3.NUM_STAKE, P3.[STATUS]
	from
		dbo.empl e 
		INNER JOIN @item_move P3 ON P3.EMPL_LINK = e.link
	where
		E.PERS_LINK	= @linkPers  
		AND
		P3.active = 1 AND P3.NEW_FACE <> 3
		AND
		NOT EXISTS (
					Select *
					from 
						@item_move P1 inner join @item_move P2 on P1.EMPL_LINK = P2.EMPL_LINK
					where
						P1.LINK = P3.link
						AND P1.active = 1 and P2.active = 1 AND P1.NEW_FACE <> 3 AND P2.NEW_FACE <> 3
						and P1.[date_begin] < P2.[date_begin] 
					)
	-----------------------------------------------------------------------------------------------------

	CREATE TABLE #ADD_TYPE (
		[type] INT IDENTITY(1,1),
		[TERR_USL_TRUD] int NULL ,
		[TERR_RK] numeric(3, 2) NULL ,
		[OSOB_USL_TRUD] int NULL ,
		[COD_POS_SPISOK] int NULL ,
		[COD_POS_SPISOK2] int NULL ,
		[USL_DOSROCH_PENS] int NULL ,
		[STAVKA_PED_MED] numeric(3, 2) NULL,
		[COD_SPO_USL_TRUD] int NULL
	)

	INSERT INTO #ADD_TYPE 
	SELECT DISTINCT ISNULL(TERR_USL_TRUD,0), ISNULL(TERR_RK,0), ISNULL(OSOB_USL_TRUD,0), ISNULL(COD_POS_SPISOK,0), ISNULL(COD_POS_SPISOK2,0), ISNULL(USL_DOSROCH_PENS,0), ISNULL(STAVKA_PED_MED,0), ISNULL([COD_SPO_USL_TRUD],0)
	FROM dbo.staff
	WHERE ISNULL(COD_POS_SPISOK,0) <> 0 OR ISNULL(COD_POS_SPISOK2,0) <> 0

	INSERT INTO 
		#PERIODY (LINK_EMPL, LINK_PERSON, TAB, NUM_STAKE, POSTNAME, st_date1, st_date2, im_date1, im_date2, [COD_SPO_USL_TRUD])
	SELECT DISTINCT
		E.LINK,
		E.PERS_LINK,
		TAB,
		IM.NUM_STAKE,
		LEFT(PT.NAME,50),
		st_date1 = dbo.DateBeginOfMonth((case when st.DATE_BEGIN >= @DATE_YEAR_BEG then st.DATE_BEGIN else @DATE_YEAR_BEG end)),
		st_date2 = dbo.DateEndOfMonth((case when coalesce(st.DATE_END,@DATE1) <= @DATE1 then coalesce(st.DATE_END,@DATE1) else @DATE1 end)	),
		im_date1 = dbo.DateBeginOfMonth((case when im.DATE_BEGIN >= @DATE_YEAR_BEG then im.DATE_BEGIN else @DATE_YEAR_BEG end)),
		im_date2 = dbo.DateEndOfMonth( 
							CASE WHEN COALESCE(U.DIS_DATE,'20990101') <= (case when ISNULL(ISNULL(U.DIS_DATE,im.DATE_END3),@DATE1) <= @DATE1 then ISNULL(ISNULL(U.DIS_DATE,im.DATE_END3),@DATE1) else @DATE1 end)
								THEN COALESCE(U.DIS_DATE,'20990101')
								ELSE (case when ISNULL(ISNULL(U.DIS_DATE,im.DATE_END3),@DATE1) <= @DATE1 then ISNULL(ISNULL(U.DIS_DATE,im.DATE_END3),@DATE1) else @DATE1 end)
							END	),
		T.[COD_SPO_USL_TRUD]							
	FROM 
		dbo.empl e
		INNER JOIN @sa_item_move im ON im.EMPL_LINK = e.link
		inner join dbo.staff_head sh on sh.link = STAFF_LINK
		inner join dbo.staff st on st.link_up = sh.link
		INNER JOIN dbo.POST PT ON PT.LINK = st.post_link
		INNER join #ADD_TYPE T on ISNULL(st.TERR_USL_TRUD,0) = ISNULL(T.TERR_USL_TRUD,0) 
								AND ISNULL(st.TERR_RK,0) = ISNULL(T.TERR_RK,0) 
								AND ISNULL(st.OSOB_USL_TRUD,0) = ISNULL(T.OSOB_USL_TRUD,0) 
								AND ISNULL(st.COD_POS_SPISOK,0) = ISNULL(T.COD_POS_SPISOK,0) 
								AND ISNULL(st.COD_POS_SPISOK2,0) = ISNULL(T.COD_POS_SPISOK2,0) 
								AND ISNULL(st.USL_DOSROCH_PENS,0) = ISNULL(T.USL_DOSROCH_PENS,0) 
								AND ISNULL(st.STAVKA_PED_MED,0) = ISNULL(T.STAVKA_PED_MED,0)
								AND ISNULL(st.COD_SPO_USL_TRUD,0) = ISNULL(T.COD_SPO_USL_TRUD,0)
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1	
	where
		E.PERS_LINK	= @linkPers
		and  
		im.DATE_BEGIN <= @DATE1 and im.DATE_END3 >= @DATE_YEAR_BEG
		AND
		IM.[STATUS] <> 2 --      (  )
		AND
		st.DATE_BEGIN <= @DATE1 and st.DATE_END >= @DATE_YEAR_BEG
		AND
		T.[TYPE] IS NOT NULL
		AND
		(
			ISNULL(T.[COD_POS_SPISOK],0) <> 0 AND EXISTS (SELECT * FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 10 AND LINK = @RefPay)
			OR
			ISNULL(T.[COD_POS_SPISOK2],0) <> 0 AND EXISTS (SELECT * FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 11 AND LINK = @RefPay)	
		)	

	if @FlagShow = 1 
		SELECT DISTINCT TAB AS [_],  LEFT(dbo.ku_GetEmplSubdivName(LINK_EMPL,@DATE1),50) AS [], POSTNAME AS [], CONVERT(VARCHAR(10), ST_DATE1, 104) AS '____', CONVERT(VARCHAR(10),ST_DATE2,104) AS '____' FROM #PERIODY
			
	if @FlagShow = 1 
		SELECT DISTINCT TAB AS [_],  NUM_STAKE AS [- ], LEFT(dbo.ku_GetEmplSubdivName(LINK_EMPL,@DATE1),50) AS [], POSTNAME AS [], CONVERT(VARCHAR(10), IM_DATE1, 104) AS '____', CONVERT(VARCHAR(10),IM_DATE2,104) AS '____', CASE WHEN NUM_STAKE < 1 THEN '.   , ..   ' ELSE '' END AS []
		FROM #PERIODY
	
	INSERT INTO @T1 ([NUM],[SUMMA],[SUMMA_VKR],[SUMMA_M],[SUMMA_M_VKR])
	SELECT M.NUM,SUM(SJ.SUMMA) AS SUMMA, 			
			 [SUMMA_VKR]	= SUM(CASE WHEN SJ.LINK_VKR = @LinkVKR2 AND SJ.LINK_EKR IN (@LINK_EKR,@LINK_EKR_ADD) THEN SJ.SUMMA ELSE 0 END),
			 [SUMMA_M] 		= SUM(CASE WHEN MONTH(SJ.PERIOD_BEGIN) = M.NUM THEN SJ.SUMMA ELSE 0 END),
			 [SUMMA_M_VKR] = SUM(CASE WHEN (MONTH(SJ.PERIOD_BEGIN) = M.NUM) 
								AND (SJ.LINK_VKR = @LinkVKR2 AND SJ.LINK_EKR  IN (@LINK_EKR,@LINK_EKR_ADD)) THEN SJ.SUMMA ELSE 0 END)
	FROM 
		dbo.MONTHS M
		INNER JOIN dbo.EMPL E ON 1=1
		INNER JOIN dbo.CALCULATE_JURNAL SJ ON SJ.LINK_EMPL = E.LINK
		INNER JOIN dbo.TAX_REF TR ON TR.LINK_PAYS =  SJ.LINK_PAYS
	WHERE 
		E.PERS_LINK = @linkFace
		AND (M.NUM <= @Month) 
		AND (MONTH(SJ.PERIOD_BEGIN) <= M.NUM) 
		AND (YEAR(SJ.PERIOD_BEGIN) = @Year)
		AND TR.LINK_TAX = @RefPay 
		AND EXISTS (SELECT * FROM #PERIODY P WHERE 
												(@ESN_OPTIONS_7 = 0 OR @ESN_OPTIONS_7 = 1 AND P.NUM_STAKE >=1)
												AND 
												(
													@ESN_OPTIONS_8 = 0 AND P.LINK_EMPL = SJ.LINK_EMPL 
													OR
													@ESN_OPTIONS_8 = 1 AND P.LINK_PERSON = E.PERS_LINK
												)	
												AND SJ.PERIOD_BEGIN <= P.ST_DATE2 
												AND SJ.PERIOD_END >= P.ST_DATE1 
												AND SJ.PERIOD_BEGIN <= P.IM_DATE2 
												AND SJ.PERIOD_END >= P.IM_DATE1)
	GROUP BY  M.NUM	

	
END
---------------------------------------------------------------------------------------------------------------
ELSE
	INSERT INTO @T1 ([NUM],[SUMMA],[SUMMA_VKR],[SUMMA_M],[SUMMA_M_VKR])
	SELECT M.NUM,SUM(SJ.SUMMA) AS SUMMA, 			
			 [SUMMA_VKR]	= SUM(CASE WHEN SJ.LINK_VKR = @LinkVKR2 AND SJ.LINK_EKR IN (@LINK_EKR,@LINK_EKR_ADD) THEN SJ.SUMMA ELSE 0 END),
			 [SUMMA_M] 		= SUM(CASE WHEN MONTH(SJ.PERIOD_BEGIN) = M.NUM THEN SJ.SUMMA ELSE 0 END),
			 [SUMMA_M_VKR] = SUM(CASE WHEN (MONTH(SJ.PERIOD_BEGIN) = M.NUM) AND (SJ.LINK_VKR = @LinkVKR2 AND SJ.LINK_EKR  IN (@LINK_EKR,@LINK_EKR_ADD)) THEN SJ.SUMMA ELSE 0 END)
	FROM 
		dbo.MONTHS M
		INNER JOIN dbo.CALCULATE_JURNAL SJ ON 1=1 
		INNER JOIN dbo.TAX_REF TR ON TR.LINK_PAYS =  SJ.LINK_PAYS
		INNER JOIN dbo.EMPL E ON SJ.LINK_EMPL = E.LINK
	WHERE 
		(TR.LINK_TAX = @RefPay) 
		AND (E.PERS_LINK = @linkFace) 
		AND (MONTH(SJ.PERIOD_BEGIN) <= M.NUM) AND (M.NUM <= @Month) AND (YEAR(SJ.PERIOD_BEGIN)=@Year)
		AND sj.LINK_DEP = @DEP_LINK
	GROUP BY  M.NUM

if @FlagShow = 1 
	SELECT [num] as [], [summa] as [   ],summa_vkr as [     /], summa_m as [  ], 
	summa_m_vkr as [    /]  FROM @T1

-- ,        ,     
IF NOT EXISTS(SELECT * FROM @T1)
	INSERT INTO @T1 ([NUM],[SUMMA],[SUMMA_VKR],[SUMMA_M],[SUMMA_M_VKR])
	VALUES(@Month, 0, 0, 0, 0)

DECLARE @Temp1_1 TABLE
([NUM]			[int],
 [LINK_PAYS]	[int],
 [MP]				[numeric](19,2),
 [MP_M]			[numeric](19,2),
 [MP_M_VKR]		[numeric](19,2))

--------------------------------------------------
CREATE TABLE #DICTIONARY_TYP_INCOMS (LINK INT)
INSERT INTO #DICTIONARY_TYP_INCOMS (LINK)
SELECT LINK FROM dbo.DICTIONARY_TYP_INCOMS WHERE EXISTS (SELECT * FROM @NASTR WHERE REF_PAY = REF_DEDUCT)
CREATE INDEX #DICTIONARY_TYP_INCOMS_IDX1 ON #DICTIONARY_TYP_INCOMS (LINK)

-------------------------------------------------
CREATE TABLE #PAYS (LINK INT)
INSERT INTO #PAYS (LINK)
SELECT P.LINK FROM dbo.PAYS P INNER JOIN #DICTIONARY_TYP_INCOMS I ON I.LINK = P.LINK_INC
CREATE INDEX #PAYS_IDX1 ON #PAYS (LINK)

--------------------------------------------------------------------------------------------------
IF EXISTS (SELECT * FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC IN (10,11) AND LINK = @RefPay)
	--  
	INSERT INTO @Temp1_1 ([NUM],[LINK_PAYS],[MP],[MP_M],[MP_M_VKR])
	SELECT M.NUM,
			 [LINK_PAYS]= (SELECT LINK_INC  from pays where link = sj.LINK_PAYS),
			 [MP] 		= SUM(CASE WHEN month(SJ.PERIOD_BEGIN)<=m.num then SJ.summa else 0 end), 
			 [MP_M] 		= SUM(CASE WHEN month(SJ.PERIOD_BEGIN)=m.num then (CASE WHEN month(SJ.PERIOD_BEGIN)<=m.num then SJ.summa else 0 end) else 0 end),
			 [MP_M_VKR] = SUM(CASE WHEN ( month(SJ.PERIOD_BEGIN)=m.num)AND(sj.link_vkr = @LinkVKR2 AND SJ.LINK_EKR  IN (@LINK_EKR,@LINK_EKR_ADD)) 
								THEN (CASE WHEN month(SJ.PERIOD_BEGIN)<=m.num then SJ.summa else 0 end) else 0 end)
	FROM 
		dbo.MONTHS M 
		INNER JOIN dbo.S_J_C_Short SJ ON 1=1
		INNER JOIN #PAYS P ON P.LINK = SJ.LINK_PAYS
		INNER JOIN dbo.TAX_REF TR ON TR.LINK_PAYS =  SJ.LINK_PAYS
	WHERE 
		TR.LINK_TAX = @RefPay 
		AND (SJ.LINK_FACE = @linkFace)
		AND YEAR(SJ.PERIOD_BEGIN)=@Year AND M.NUM <= @Month 
		AND sj.LINK_DEP = @DEP_LINK
		AND EXISTS (SELECT * FROM #PERIODY P WHERE 
									(
										@ESN_OPTIONS_8 = 0 AND P.LINK_EMPL = SJ.LINK_EMPL
										OR
										@ESN_OPTIONS_8 = 1 AND P.LINK_PERSON = SJ.LINK_FACE
									)									
									AND SJ.PERIOD_BEGIN <= P.ST_DATE2 AND SJ.PERIOD_END >= P.ST_DATE1)		
		AND EXISTS (SELECT * FROM #PERIODY P WHERE 
									(
										@ESN_OPTIONS_8 = 0 AND P.LINK_EMPL = SJ.LINK_EMPL
										OR
										@ESN_OPTIONS_8 = 1 AND P.LINK_PERSON = SJ.LINK_FACE
									)	
									AND (@ESN_OPTIONS_7 = 0 OR @ESN_OPTIONS_7 = 1 AND P.NUM_STAKE >=1)
									AND SJ.PERIOD_BEGIN <= P.IM_DATE2 AND SJ.PERIOD_END >= P.IM_DATE1)		
	GROUP BY 
		M.NUM,SJ.LINK_PAYS
ELSE
	--  
	INSERT INTO @Temp1_1 ([NUM],[LINK_PAYS],[MP],[MP_M],[MP_M_VKR])
	SELECT M.NUM,
			 [LINK_PAYS]= (SELECT LINK_INC  from pays where link = sj.LINK_PAYS),
			 [MP] 		= SUM(CASE WHEN month(SJ.PERIOD_BEGIN)<=m.num then SJ.summa else 0 end), 
			 [MP_M] 		= SUM(CASE WHEN month(SJ.PERIOD_BEGIN)=m.num then (CASE WHEN month(SJ.PERIOD_BEGIN)<=m.num then SJ.summa else 0 end) else 0 end),
			 [MP_M_VKR] = SUM(CASE WHEN ( month(SJ.PERIOD_BEGIN)=m.num)AND(sj.link_vkr = @LinkVKR2 AND SJ.LINK_EKR  IN (@LINK_EKR,@LINK_EKR_ADD)) 
								THEN (CASE WHEN month(SJ.PERIOD_BEGIN)<=m.num then SJ.summa else 0 end) else 0 end)
	FROM 
		dbo.MONTHS M 
		INNER JOIN dbo.S_J_C_Short SJ ON 1=1
		INNER JOIN #PAYS P ON P.LINK = SJ.LINK_PAYS
		INNER JOIN dbo.TAX_REF TR ON TR.LINK_PAYS =  SJ.LINK_PAYS
	WHERE 
		TR.LINK_TAX = @RefPay 
		AND (SJ.LINK_FACE = @linkFace)
		AND YEAR(SJ.PERIOD_BEGIN)=@Year AND M.NUM <= @Month 
		AND sj.LINK_DEP = @DEP_LINK
	GROUP BY 
		M.NUM,SJ.LINK_PAYS

--          ,       
--@Temp1_1    
--@T1 -  
IF EXISTS (	SELECT * FROM @T1 WHERE [NUM] < @MONTH_BEGIN_JOB )
BEGIN
	SET @DED_PREVIOUS_JOB = 0
	SET @TAXABLE_INCOME_PREVIOUS_JOB = 0
	SET @INCOME_PREVIOUS_JOB = 0
END

DECLARE @Temp1 TABLE
([NUM]			[int],
 [LINK_PAYS]	[int],
 [PREDEL]		[numeric](19,2),
 [MP]				[numeric](19,2),
 [MP_M]			[numeric](19,2),
 [MP_M_VKR]		[numeric](19,2))

INSERT INTO @Temp1 ([NUM],[LINK_PAYS],[PREDEL],[MP],[MP_M],[MP_M_VKR])
SELECT NUM,LINK_PAYS,
		[PREDEL] =  ISNULL((SELECT TOP 1 PREDEL FROM @NASTR 
								WHERE REF_PAY = (SELECT TOP 1 REF_DEDUCT FROM dbo.DICTIONARY_TYP_INCOMS WHERE LINK = LINK_PAYS)),0),
		SUM(MP) AS MP,
		SUM(MP_M) AS MP_M, 
		SUM(MP_M_VKR) AS MP_M_VKR
FROM @Temp1_1
GROUP BY NUM,LINK_PAYS

DECLARE @Temp2 TABLE
([NUM]			[int],
 [LINK_PAYS]	[int],
 [PREDEL]		[numeric](19,2),
 [MP]			[numeric](19,2),
 [MP_M]			[numeric](19,2),
 [MP_M_VKR]		[numeric](19,2),
 [SALDO]		[numeric](19,2),
 [KOEF]			[numeric](19,10))

---

INSERT INTO @Temp2 ([NUM],[LINK_PAYS],[PREDEL],[MP],[MP_M],[MP_M_VKR],[SALDO],[KOEF]) 
SELECT T1.[NUM],T1.[LINK_PAYS],T1.[PREDEL],T1.[MP],T1.[MP_M],T1.[MP_M_VKR],
		 [SALDO] = (CASE WHEN @DED_PREVIOUS_JOB + ISNULL((SELECT SUM(MP_M) FROM @Temp1 T2 WHERE T2.NUM <= T1.NUM AND T2.LINK_PAYS = T1.LINK_PAYS),0) > PREDEL
				THEN PREDEL
				ELSE @DED_PREVIOUS_JOB + ISNULL((SELECT SUM(MP_M) FROM @Temp1 T2 WHERE T2.NUM <= T1.NUM AND T2.LINK_PAYS = T1.LINK_PAYS),0)
				END)
				- (CASE WHEN @DED_PREVIOUS_JOB + ISNULL((SELECT SUM(MP_M) FROM @Temp1 T2 WHERE T2.NUM < T1.NUM AND T2.LINK_PAYS = T1.LINK_PAYS),0) > PREDEL
				THEN PREDEL
				ELSE @DED_PREVIOUS_JOB + ISNULL((SELECT SUM(MP_M) FROM @Temp1 T2 WHERE T2.NUM < T1.NUM AND T2.LINK_PAYS = T1.LINK_PAYS),0)
				END),
		 [KOEF] 	= (CASE WHEN (SELECT SUM(MP_M) FROM @Temp1 T3 WHERE T3.NUM = T1.NUM AND T3.LINK_PAYS = T1.LINK_PAYS) = 0 
						THEN 0 ELSE (CASE WHEN (SELECT SUM(MP_M) 
				                         FROM @Temp1 T3 WHERE T3.NUM = T1.NUM AND T3.LINK_PAYS = T1.LINK_PAYS)= 0 
										  THEN 0 ELSE 										
											MP_M_VKR/(SELECT SUM(MP_M) 
                    				     FROM @Temp1 T3 WHERE T3.NUM = T1.NUM AND T3.LINK_PAYS = T1.LINK_PAYS) END) END)
FROM @Temp1 T1

declare @predel numeric(18,2)
Set @predel = COALESCE((SELECT TOP 1 PREDEL FROM @Temp1),0)

DECLARE @Temp3 TABLE
([NUM]			[int],
 [LINK_PAYS]	[int],
 [SUMMA]			[numeric](19,2),
 [SUMMA_ALL]	[numeric](19,2),
 [SUMMA_M]		[numeric](19,2),
 [SUMMA_M_VKR]		[numeric](19,2)
)

INSERT INTO @Temp3 ([NUM],[LINK_PAYS],[SUMMA],[SUMMA_ALL],[SUMMA_M], SUMMA_M_VKR)
SELECT  T.[NUM], T.[LINK_PAYS],
		  [SUMMA] 	= dbo.IS_MIN((SELECT SUM(T3.SALDO * KOEF) FROM @Temp2 T3 WHERE  T3.NUM <= T.NUM AND T3.LINK_PAYS = T.LINK_PAYS),T.PREDEL), 
		  [SUMMA_ALL] 	= dbo.IS_MIN((SELECT SUM(T3.SALDO) FROM @Temp2 T3 WHERE  T3.NUM <= T.NUM AND T3.LINK_PAYS = T.LINK_PAYS),T.PREDEL),
		  [SUMMA_M] 	= CASE WHEN ABS(SUM(MP_M)) < ABS(T.SALDO) THEN ABS(T.SALDO) ELSE T.SALDO END,
		SUMMA_M_VKR 	= CASE WHEN ABS(SUM(MP_M)) < ABS(T.SALDO) THEN ABS(T.SALDO) ELSE T.SALDO END * KOEF
FROM @Temp2 T --WHERE SALDO > 0
GROUP BY T.NUM,T.PREDEL,T.SALDO,T.LINK_PAYS, KOEF 
ORDER BY T.NUM

if @FlagShow = 1  
	select num as [], LINK_PAYS as [], summa as [  /], summa_all as [   ], summa_m as [  ]  from @Temp3


DECLARE @PREDEL_INV [numeric](15, 2)
SET @PREDEL_INV = ISNULL((SELECT TOP 1 PREDEL FROM dbo.DICTIONARY_MROT_TABLE3 DMT 
									WHERE LINK_MINROT = (SELECT TOP 1 LINK FROM dbo.DICTIONARY_MROT 
									WHERE PERIOD <=@DATE1 ORDER BY PERIOD DESC) AND (REF_PAY = @RefPay)),0)

DECLARE @T2_1 TABLE
([NUM]			[int],
 [SUMMA]			[numeric](19, 2),
 [SUMMA_VKR]	[numeric](19, 2),
 [SUMMA_M]		[numeric](19, 2),
 [SUMMA_M_VKR]	[numeric](19, 2),
 [MP]				[numeric](19, 2),
 [MP_VKR]		[numeric](19, 2),
 [MP_M]			[numeric](19, 2),
 [MP_M_VKR]		[numeric](19, 2),
 [STATUS]		[int],
 [INV]			[numeric](19, 2))


INSERT INTO @T2_1 ([NUM],[SUMMA],[SUMMA_VKR],[SUMMA_M],[SUMMA_M_VKR],[MP],[MP_VKR],[MP_M],[MP_M_VKR],[STATUS],[INV])
SELECT T1.[NUM],T1.[SUMMA],T1.[SUMMA_VKR],T1.[SUMMA_M],T1.[SUMMA_M_VKR],
--		 [MP] 		= ISNULL((SELECT SUM(SUMMA) FROM @Temp3 T WHERE T.NUM <= T1.NUM),0),  
		 [MP] 		= ISNULL((SELECT SUM(SUMMA_ALL) FROM @Temp3 T WHERE T.NUM = T1.NUM),0),  
		 [MP_VKR]	= ISNULL((SELECT SUM(SUMMA) FROM @Temp3 T WHERE T.NUM = T1.NUM),0),  
		 [MP_M] 	= ISNULL((SELECT SUM(SUMMA_M) FROM @Temp3 T WHERE T.NUM = T1.NUM),0),  
		 [MP_M_VKR] = ISNULL((SELECT SUM(SUMMA_M_VKR) FROM @Temp3 T WHERE T.NUM = T1.NUM),0),  
--		 [MP_M_VKR] = ISNULL((SELECT SUM(SUMMA) FROM @Temp3 T WHERE T.NUM = T1.NUM),0),  
		 [STATUS] 	= dbo.is_invalid(@linkFace,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,T1.NUM,@Year))), 
		 [INV] 		= cast(0 as numeric(15,2))
FROM @T1 T1 --  
GROUP BY T1.NUM,T1.SUMMA,T1.SUMMA_VKR,T1.SUMMA_M,T1.SUMMA_M_VKR
ORDER BY T1.NUM


DECLARE @summa_m 	[numeric](15, 2), 
		  @mp_m 		[numeric](15, 2),
		  @num 		[int], 
		  @Flag 		[bit], 
		  @itog 		[numeric](15, 2)

SET @itog = 0
DECLARE TMP_CUR CURSOR
FOR SELECT SUMMA_M, MP_M,NUM FROM @T2_1 WHERE STATUS = 2
OPEN TMP_CUR
FETCH TMP_CUR INTO @summa_m, @mp_m,@num
WHILE (@@FETCH_STATUS  = 0) AND (@PREDEL_INV - @itog) > 0 BEGIN
	IF @PREDEL_INV < (@itog+ @summa_m - @mp_m)
		UPDATE @T2_1 SET INV =(@PREDEL_INV-@itog) WHERE NUM = @num
	ELSE
		UPDATE @T2_1 SET INV =(@summa_m - @mp_m) WHERE NUM = @num
	
	SET @itog = @itog + @summa_m - @mp_m
	FETCH TMP_CUR INTO @summa_m,@mp_m,@num
END
CLOSE TMP_CUR
DEALLOCATE TMP_CUR

--      
---  
select 
	TA.LINK_DED, MON = MONTH(CJ.PERIOD_BEGIN),
	SUMMA_G = CAST(0 AS NUMERIC(18,2)),
	SUMMA_M = SUM(SUMMA),
	LIMIT = ISNULL((SELECT TOP 1 PREDEL FROM @NASTR WHERE REF_PAY = TA.LINK_DED),0)
INTO #DED_U
from 
	dbo.EMPL E inner join dbo.calculate_jurnal cj on e.link = cj.link_empl
	inner join dbo.TAX2_APP TA on TA.LINK_UP = CJ.LINK_PAYS
where 
	cj.LINK_DEP = @DEP_LINK
	AND
	year(period_begin) = @Year
	and
	E.PERS_LINK = @linkPers	
	and 
	MONTH(cj.PERIOD_BEGIN) <= @Month
	and
	ISNULL(TA.LINK_DED,0) > 0
GROUP BY 
	TA.LINK_DED, MONTH(CJ.PERIOD_BEGIN)


UPDATE A
SET SUMMA_G = (SELECT SUM(SUMMA_M) FROM #DED_U B WHERE B.MON <= A.MON )
FROM #DED_U A

UPDATE #DED_U
SET 
	SUMMA_G = CASE WHEN ISNULL(SUMMA_G,0) < ISNULL(LIMIT,0) THEN ISNULL(SUMMA_G,0) ELSE ISNULL(LIMIT,0) END,
	SUMMA_M = CASE WHEN ISNULL(SUMMA_G,0) < ISNULL(LIMIT,0) THEN ISNULL(SUMMA_M,0)
				ELSE 
					CASE WHEN ISNULL(LIMIT,0) - (ISNULL(SUMMA_G,0) - ISNULL(SUMMA_M,0)) > 0 THEN 
						ISNULL(LIMIT,0) - (ISNULL(SUMMA_G,0) - ISNULL(SUMMA_M,0))
					ELSE 0
					END
			  END

UPDATE @T2_1 SET INV = ISNULL(INV,0) + ISNULL((SELECT SUM(SUMMA_M) FROM #DED_U WHERE MON = NUM),0)


-- 
--
DECLARE @T2 TABLE 
([NUM]				[int],
 [SUMMA]			[numeric](19, 2),
 [SUMMA_VKR]		[numeric](19, 2),
 [SUMMA_M]			[numeric](19, 2),
 [SUMMA_M_VKR]		[numeric](19, 2),
 [MP]				[numeric](19, 2),
 [MP_VKR]			[numeric](19, 2),
 [MP_M]				[numeric](19, 2),
 [MP_M_VKR]			[numeric](19, 2),
 [STATUS]			[int],
 [INV]				[numeric](19, 2),
 [INV_VKR]			[numeric](19, 2),
 [TARIF]			[TINYINT],
 [SPECO] [INT]
  ) --  

INSERT INTO @T2 ([NUM],[SUMMA],[SUMMA_VKR],[SUMMA_M],[SUMMA_M_VKR],[MP],[MP_VKR],[MP_M],[MP_M_VKR],[STATUS],[INV],[INV_VKR],[TARIF],[SPECO])
SELECT [NUM],[SUMMA],[SUMMA_VKR],[SUMMA_M],[SUMMA_M_VKR],[MP],[MP_VKR],[MP_M],[MP_M_VKR],[STATUS],[INV],
		 [INV_VKR] = (CASE WHEN (SUMMA_M - MP_M) = 0 THEN 0 ELSE (SUMMA_M_VKR - MP_M_VKR)*INV/(SUMMA_M - MP_M) END),
		 TARIF = CASE WHEN dbo.is_invalid(@linkFace,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,NUM,@Year))) = 2 THEN 3 ELSE @TARIF END,
		 [SPECO] = (SELECT TOP 1 [COD_SPO_USL_TRUD] FROM #PERIODY 
						WHERE dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,NUM,@Year)) BETWEEN st_date1 AND st_date2
						AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,NUM,@Year)) BETWEEN im_date1 AND im_date2)
FROM 
	@T2_1

if @FlagShow = 1 
	select [num] as [], [summa] as [  /],summa_vkr as [  /  /], summa_m as [ ], 
	summa_m_vkr as [ . /], mp as [.], mp_vkr as [.  /],mp_m as [.  ],
	mp_m_vkr as [. . /], inv as [], inv_vkr as [  /], TARIF as [], [SPECO]  from @T2

DECLARE @WAY_CALC [int]
SELECT @WAY_CALC = WAY_CALC FROM dbo.PAYS WHERE LINK = @RefPay

DECLARE @Pred table  
(
 TARIF TINYINT,	
 [PREDEL]  [numeric](15, 2),
 [PREDEL1]  [numeric](15, 2), 
 [PREDEL2]  [numeric](15, 2), 
 [PERCENT] [numeric](8, 2),
 WAY_CALC TINYINT,
 SPECO INT,
 NSPECO VARCHAR(254) )

IF @WAY_CALC<5
	
	IF @FlagMS = 1
		INSERT INTO @Pred (TARIF, [PREDEL],[PERCENT],SPECO,NSPECO)
		SELECT TARIF, [PREDEL],[PERCENT],SPECO=0,NSPECO='' FROM dbo.DICTIONARY_RANGE D
		WHERE
			(LINK_PAYS = @RefPay) 
			AND [DATE] = (SELECT TOP 1 [DATE] FROM dbo.DICTIONARY_RANGE D1 WHERE D1.TARIF = D.TARIF AND (LINK_PAYS = @RefPay) AND DATE < @DATE1 ORDER BY [DATE] DESC) 
		ORDER BY 1 
	ELSE 
		INSERT INTO @Pred (TARIF, [PREDEL],[PERCENT],SPECO,NSPECO)
		SELECT TOP 1 TARIF, [PREDEL] = 999999999999, [PERCENT],SPECO=0,NSPECO='' 
		FROM dbo.DICTIONARY_RANGE D
		WHERE 
			(LINK_PAYS = @RefPay) 
			AND [DATE] = (SELECT TOP 1 [DATE] FROM dbo.DICTIONARY_RANGE D1 WHERE D1.TARIF = D.TARIF AND (LINK_PAYS = @RefPay) AND DATE < @DATE1 ORDER BY [DATE] DESC) 
		ORDER BY 1 
ELSE 
BEGIN	
		
	DECLARE @Sex 		[int], 
			  @YearB 	[int], 
			  @Type 		[int]

	SELECT @Sex = SEX, @YearB = CASE WHEN RESIDENT = 1 THEN ISNULL(YEAR(BIRTHDATE),0) 
												ELSE 1966 END --      66   
											FROM dbo.PERSON WHERE LINK =@linkFace
	SET 	@Type = (CASE WHEN (@Sex = 1 AND @YearB < 1953) OR (@Sex = 2 AND @YearB<1957) THEN 1
						WHEN (@Sex = 1 AND @YearB BETWEEN 1953 AND 1966) OR (@Sex = 2 AND  @YearB BETWEEN 1957 AND 1966) THEN 2 
						ELSE 3 END)

	IF @FlagMS = 1 
		INSERT INTO @Pred (TARIF, [PREDEL],[PERCENT],WAY_CALC,SPECO,NSPECO)
		SELECT 
			TARIF,  
			[PREDEL],
			[PERCENT] = (CASE WHEN @Type = 1 THEN PERCENT1 WHEN @Type = 2 THEN PERCENT2 ELSE PERCENT3 END),
			WAY_CALC,
			SPECO,
			NSPECO
		FROM 
			dbo.DICTIONARY_RANGE_PF D
		WHERE
			LINK_PAYS = @RefPay 
			AND [DATE] = (SELECT TOP 1 [DATE] FROM dbo.DICTIONARY_RANGE_PF D1 WHERE D1.TARIF = D.TARIF AND ISNULL(D1.SPECO,0) = ISNULL(D.SPECO,0) AND LINK_PAYS = @RefPay AND DATE < @DATE1 ORDER BY [DATE] DESC) 
		ORDER BY 1 
	ELSE 
		INSERT INTO @Pred (TARIF, [PREDEL],[PERCENT],WAY_CALC,SPECO,NSPECO)
		SELECT TOP 1 
			TARIF, 
			[PREDEL] = 999999999999,
			[PERCENT] = (CASE WHEN @Type = 1 THEN PERCENT1 WHEN @Type = 2 THEN PERCENT2 ELSE PERCENT3 END),
			WAY_CALC,
			SPECO,NSPECO
		FROM 
			dbo.DICTIONARY_RANGE_PF D
		WHERE
			LINK_PAYS = @RefPay 
			AND [DATE] = (SELECT TOP 1 [DATE] FROM dbo.DICTIONARY_RANGE_PF D1 WHERE D1.TARIF = D.TARIF AND ISNULL(D1.SPECO,0) = ISNULL(D.SPECO,0) AND LINK_PAYS = @RefPay AND DATE < @DATE1 ORDER BY [DATE] DESC) 
		ORDER BY 1 
	END

IF @FlagShow = 1 
	select TARIF as [], Predel as [], [Percent] as [], NSPECO AS [] from @Pred P
	WHERE EXISTS (SELECT * FROM @T2 B WHERE B.TARIF = P.TARIF AND ISNULL(B.[SPECO],0) = ISNULL(P.[SPECO],0))

DECLARE @res TABLE
([NUM]			[int],
 [SUMMA]		[numeric] (19, 2),
 [SUMMA_M_VKR]	[numeric] (19, 2),
 [PERC]			[numeric] (19, 2),
 [SUM_MON]		[numeric] (19, 2),
 [TARIF]		INT,
 [SPECO]		INT)

  UPDATE A SET 
	PREDEL1 = ISNULL((SELECT MAX(B.PREDEL)+1 FROM @Pred B WHERE A.TARIF = B.TARIF AND A.SPECO = B.SPECO AND B.PREDEL < A.PREDEL),0), 
	PREDEL2 = PREDEL
 FROM @Pred A


/* 
--INSERT INTO @res([NUM],[SUMMA],[SUMMA_M_VKR],[PERC],[SUM_MON],[TARIF],[SPECO])
SELECT 
	B.[NUM], 
	S.SUMMA, --      
	[SUMMA_M_VKR] = ROUND((SUMMA_M_VKR - MP_M_VKR) * (CASE WHEN S.SUMMA = (B.SUMMA - B.MP) THEN 1 ELSE S.SUMMA / (B.SUMMA - B.MP) END),2), 
	P2.[PERCENT],
	SUM_MON = 0,
	TARIF = ISNULL(B.TARIF,0),
	SPECO = ISNULL(B.SPECO,0)
INTO #TTT
FROM @T2 B
	CROSS APPLY (SELECT PREDEL1, PREDEL2 FROM @Pred P WHERE ISNULL(B.TARIF,0) = ISNULL(P.TARIF,0) AND ISNULL(B.SPECO,0) = ISNULL(P.[SPECO],0)
									AND (B.SUMMA - B.MP + @SUM_DGH + @TAXABLE_INCOME_PREVIOUS_JOB) BETWEEN PREDEL1 AND PREDEL2 
				) P1
	CROSS APPLY (SELECT PREDEL, [PERCENT], PREDEL1, PREDEL2, RN = ROW_NUMBER() OVER (ORDER BY PREDEL1 DESC), RC = COUNT(*) OVER (PARTITION BY TARIF,SPECO) FROM @Pred P WHERE ISNULL(B.TARIF,0) = ISNULL(P.TARIF,0) AND ISNULL(B.SPECO,0) = ISNULL(P.[SPECO],0) 
									AND (P.PREDEL = P1.PREDEL1-1 OR P.PREDEL = P1.PREDEL2)
				) P2
	CROSS APPLY (
				SELECT SUMMA = 
					CASE WHEN P2.RN > 1 THEN P2.PREDEL2 ELSE (B.SUMMA - B.MP + @SUM_DGH + @TAXABLE_INCOME_PREVIOUS_JOB) - P2.PREDEL1 + 1 END
					- (CASE WHEN P2.RC = 1 OR P2.RN > 1 THEN @SUM_DGH + @TAXABLE_INCOME_PREVIOUS_JOB ELSE 0 END) 
				) S
ORDER BY
	B.[NUM], P2.PREDEL1

SELECT A.*
	,SP  = SUMMA - ISNULL((SELECT SUM(SUMMA) AS SP FROM #TTT B WHERE A.NUM - 1 = (B.NUM) AND A.[PERCENT] = B.[PERCENT] AND A.TARIF = B.TARIF AND A.SPECO = B.SPECO),0)
FROM
	#TTT A
*/

INSERT INTO @res([NUM],[SUMMA],[SUMMA_M_VKR],[PERC],[SUM_MON],[TARIF],[SPECO])
SELECT T7.[NUM],T7.[SUMMA],T7.[SUMMA_M_VKR],T7.[PERC], CAST(0 as numeric(15,2)) AS SUM_MON, [TARIF], [SPECO]
FROM  
(
	SELECT 
		[NUM], 
		[SUMMA] = SUMMA - MP, 
		[SUMMA_M_VKR] = SUMMA_M_VKR - MP_M_VKR,	
		[PERC] = ISNULL((SELECT TOP 1 T.[PERCENT] FROM (SELECT TOP 1 * FROM @Pred P WHERE B.TARIF = P.TARIF AND ISNULL(B.SPECO,0) = ISNULL(P.[SPECO],0) AND PREDEL > (SUMMA - MP + @SUM_DGH + @TAXABLE_INCOME_PREVIOUS_JOB) ORDER BY PREDEL) T),0),
		B.[TARIF],
		B.[SPECO]
	 FROM @T2	B
	 UNION
	 SELECT DISTINCT
		[NUM] = ISNULL((SELECT MIN(NUM) FROM @T2 B1 WHERE B1.TARIF = B.TARIF AND ISNULL(B1.[SPECO],0) = ISNULL(B.[SPECO],0) AND (SUMMA - MP + @SUM_DGH + @TAXABLE_INCOME_PREVIOUS_JOB) > PREDEL),12), 
		[SUMMA] = PREDEL - @SUM_DGH - @TAXABLE_INCOME_PREVIOUS_JOB, 
		[SUMMA_M_VKR]= 0, 
		[PERC] = [PERCENT],  
		B.[TARIF],
		B.[SPECO]		
 	 FROM 
 		@T2 B INNER JOIN @Pred T ON B.TARIF = T.TARIF AND ISNULL(B.[SPECO],0) = ISNULL(T.[SPECO],0)
 	 WHERE 
 		PREDEL < (SELECT TOP 1 (SUMMA - MP + @SUM_DGH + @TAXABLE_INCOME_PREVIOUS_JOB) FROM @T2 B1 WHERE B1.TARIF = B.TARIF AND ISNULL(B1.[SPECO],0) = ISNULL(B.[SPECO],0) ORDER BY 1 DESC)
) T7

DECLARE Curs CURSOR FAST_FORWARD FOR
SELECT NUM, SUMMA FROM @res ORDER BY [NUM]  

DECLARE @Summa [numeric] (19, 2), 
	@summa_prev [numeric] (19, 2), 
	@num1 [int]

SET @summa_prev = 0
OPEN Curs
FETCH NEXT FROM Curs INTO @num1, @Summa
WHILE @@FETCH_STATUS = 0 BEGIN
	UPDATE @res SET SUM_MON = @Summa - @summa_prev WHERE NUM = @num1 AND SUMMA = @Summa
	SET @summa_prev = @Summa
  	FETCH NEXT FROM Curs INTO @num1, @Summa
END
CLOSE Curs
DEALLOCATE Curs

DECLARE @Result1 TABLE
([NUM]			[int],
 [SUMMA]			[numeric] (19, 2),
 [SUMMA_M_VKR]	[numeric] (19, 2),
 [PERC]			[numeric] (19, 2),
 [SUM_MON]		[numeric] (19, 2),
 [SKIDKA]		[numeric] (19, 2),
 [KOEF]			[numeric] (19, 10), 
 [TARIF]		INT,
 [SPECO]		INT)


INSERT INTO @Result1 ([NUM],[SUMMA],[SUMMA_M_VKR],[PERC],[SUM_MON],[SKIDKA],[KOEF], [TARIF], [SPECO])
SELECT [NUM],[SUMMA],[SUMMA_M_VKR],[PERC],[SUM_MON],
		 [SKIDKA] = dbo.is_min(T1.SUM_MON, ISNULL((SELECT INV FROM @T2 T4  WHERE T4.NUM = T1.NUM),0)  
						- ISNULL((SELECT SUM(T3.SUM_MON) FROM @res T3 WHERE T3.NUM = T1.NUM AND T3.SUMMA < T1.SUMMA), 0)),
		 [KOEF] = (SELECT (CASE WHEN (SUMMA_M - MP_M) = 0 THEN 0 ELSE (SUMMA_M_VKR - MP_M_VKR)/(SUMMA_M - MP_M) END) FROM @T2 T2 WHERE T2.NUM = T1.NUM),
		 [TARIF], [SPECO]
FROM @res T1

DECLARE @RESULT TABLE
([NUM]			[int],
 [SUM_M]		[numeric] (19, 4),
 [TOTAL_SUM]	[numeric] (19, 4),
 [SUM_M_VKR]	[numeric] (19, 4),
 [PERC]			[numeric] (19, 4),
 [SKIDKA]		[numeric] (19, 4),
 [KOEF]			[numeric] (19, 10),
 [VYCH] 		[numeric] (19, 4),
 [TARIF]		INT,
 [SPECO]		INT,
 [SUM_TAX]		[numeric] (19, 2), -- 
 [SUM_TAX_CJ]	[numeric] (19, 2) -- --   
 )

INSERT INTO @RESULT ([NUM],[TOTAL_SUM],[SUM_M_VKR],[PERC],[SUM_M],[SKIDKA],[KOEF], [TARIF], [SPECO], [SUM_TAX], [SUM_TAX_CJ])
SELECT [NUM],[SUMMA],[SUMMA_M_VKR],[PERC],[SUM_MON],
		 [SKIDKA] = (CASE WHEN SKIDKA < 0 THEN 0 ELSE SKIDKA END),
		 [KOEF], [TARIF], [SPECO], 0, ISNULL([SUM_TAX_CJ],0)
FROM @Result1
	CROSS APPLY (
		SELECT SUM(SJ.SUMMA) AS SUM_TAX_CJ 
		FROM dbo.CALCULATE_JURNAL SJ INNER JOIN dbo.EMPL E ON SJ.LINK_EMPL = E.LINK
		WHERE 
			SJ.LINK_VKR = @LinkVKR 
			AND SJ.LINK_VKR2 = @LinkVKR2
			AND ( (SJ.LINK_EKR IN (@LINK_EKR,@LINK_EKR_ADD) AND @LINK_EKR <> @LINK_211EKR) OR (@LINK_EKR = @LINK_211EKR AND SJ.LINK_EKR = @LINK_EKR) )
			AND SJ.LINK_PAYS = @RefPay 
			AND (E.PERS_LINK = @linkFace) 
			AND MONTH(PERIOD_END) = [NUM]
			AND YEAR(PERIOD_END) = @Year 
			AND sj.LINK_DEP = @DEP_LINK
		) CJ_TAX

DECLARE @Razn [numeric](15, 2), 
	  @NalCurr [numeric](15, 2),
	  @Sum1 [numeric](15, 2)

--  
UPDATE @RESULT SET 
	[SUM_TAX] = ROUND( (COALESCE([SUM_M],0) - COALESCE(SKIDKA,0)) * PERC / 100 * COALESCE(KOEF,0), 2),
	[SUM_TAX_CJ] = ROUND( [SUM_TAX_CJ], 2)

SET @NalCurr = ISNULL((SELECT sum([SUM_TAX]) FROM @RESULT ),0)

--   
SET @Sum1 = ISNULL((SELECT SUM(SJ.SUMMA) FROM dbo.S_J_C_Short SJ 
WHERE 
	SJ.LINK_VKR = @LinkVKR 
	AND SJ.LINK_VKR2 = @LinkVKR2
	--AND ( (SJ.LINK_EKR IN (@LINK_EKR,@LINK_EKR_ADD) AND @LINK_EKR <> @LINK_211EKR) OR (@LINK_EKR = @LINK_211EKR AND SJ.LINK_EKR IN (@LINK_211EKR,@LINK_213EKR)) )
	AND ( (SJ.LINK_EKR IN (@LINK_EKR,@LINK_EKR_ADD) AND @LINK_EKR <> @LINK_211EKR) OR (@LINK_EKR = @LINK_211EKR AND SJ.LINK_EKR = @LINK_EKR) )
	AND SJ.LINK_PAYS = @RefPay 
	AND (SJ.LINK_FACE = @linkFace) 
	AND MONTH_BEGIN <= @Month 
	AND YEAR_BEGIN=@Year 
	AND sj.LINK_DEP = @DEP_LINK),0)

SET @Razn = @NalCurr - @Sum1

DECLARE @FLG INT
SELECT TOP 1 @FLG = ISNULL(CONVERT(INT,VALUE),0) 
FROM S_OPTIONS WHERE OBJECT = (SELECT TOP 1 LINK FROM S_OBJECTS WHERE CODE = 'ESN_OPTIONS_FLG') AND SID IS NULL

IF @Razn <0 AND @FLG = 0
	SET @Razn=0

SELECT [SUMMA] 		= ISNULL(SUMMA_VKR,0), 
	 [SUMMA_VKR] 	= ISNULL(SUMMA_M_VKR, 0),
	 [SUM_DED] 		=	CASE WHEN ISNULL(SUMMA_VKR, 0) > 0 
						THEN
							ISNULL((SELECT TOP 1 MP_VKR FROM @T2 WHERE NUM = @Month), 0)
						ELSE 0 END,	
	 [INV_M] 		= CASE WHEN ISNULL(SUMMA_VKR, 0) > 0 
						THEN
							ISNULL((SELECT SUM(SKIDKA*KOEF) FROM @RESULT WHERE NUM = @Month),0)
						ELSE 0 END,
	 [INV] 			= CASE WHEN ISNULL(SUMMA_VKR, 0) > 0 
						THEN
							ISNULL((SELECT SUM(SKIDKA*KOEF) FROM @RESULT WHERE NUM <= @Month),0)
						ELSE 0 END,
	 [DED_M] 		= CASE WHEN ISNULL(SUMMA_VKR, 0) > 0 
						THEN
							ISNULL((SELECT TOP 1 MP_M_VKR FROM @T2 WHERE NUM = @Month), 0)
						ELSE 0 END,
	 [PERC]			= ISNULL((SELECT MIN(PERC) FROM @RESULT WHERE NUM = @Month),0),
	 [NALOG] 		= @NalCurr, 
	 [NAL_DED] 		= @Sum1, 
	 [NAL_CUR] 		= @Razn,
	 [TARIF]		= ISNULL((SELECT MIN([TARIF]) FROM @RESULT WHERE NUM = @Month),0), 
	 [SPECO]		= ISNULL((SELECT MIN([SPECO]) FROM @RESULT WHERE NUM = @Month),0),
	 [NSPECO]		= (SELECT TOP 1 CODE FROM dbo.SZV4_SPR WHERE LINK = ISNULL((SELECT MIN([SPECO]) FROM @RESULT WHERE NUM = @Month),0) )
FROM 
	@T1 
WHERE 
	NUM = @Month

SET NOCOUNT OFF





GO


GRANT EXECUTE ON dbo.[SALARY_FILL_DED_ESN_VKR] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_REP_2NDFL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_REP_2NDFL]

GO

CREATE PROCEDURE dbo.SD_REP_2NDFL
	@varKScYear varchar(4),			
	@varKSnFirstNum INT,	
	@nCHECK_S int = 0,					   /*    */
	@nSumm_For_Check numeric(18,2) = null, /*    */			
	@varKScVal1 char(1), @varKSnOtborLink1 int,	
	@varKScVal2 char(1), @varKSnOtborLink2 int,
	@nLinkEmpl int = 0,
	@nMonth int = 12,
	@LINK_PERS INT = NULL,
	@nCheck_CheeF int = 0,
	@nOption1 int = 1, /*   1 - , 2 - , 3 -  */
	@nKOrr VARCHAR(2) /*   */
AS BEGIN

SET NOCOUNT ON
	
	Set @nMonth = ISNULL(@nMonth,12)

	DECLARE @varKSnYear INT
	SET @varKSnYear = CAST(@varKScYear AS INT)

	DECLARE @BEGIN_YEAR DATETIME
	SET @BEGIN_YEAR = dbo.ConvertDMY2Date(1,1,@varKSnYear)

	declare @DEP_LINK int
	exec dbo.xd_whats_zb @DEP_LINK OUTPUT

	CREATE TABLE #RES0 (
		ID INT IDENTITY,
		NOM_SPR INT,
		nKorr VARCHAR(2),
		LINK_FACE INT,
		SEX INT,
		INNFIZ VARCHAR(20),
		NUMB_SERT VARCHAR(20),
		STATUS VARCHAR(1),
		FIO VARCHAR(254),
		FM VARCHAR(254),
		IM VARCHAR(254),
		OT VARCHAR(254),
		KDVD VARCHAR(4),
		SERNOM VARCHAR(254), 
		BIRTH DATETIME,
		GRAZD VARCHAR(3),
		KSTR VARCHAR(3),
		LINK_ADR INT,
		IND_ADR VARCHAR(10),
		REGION VARCHAR(4),
		RAION VARCHAR(254),
		GOROD VARCHAR(254),
		NASEL VARCHAR(254),
		STREET VARCHAR(254),
		HOUSE VARCHAR(20),
		KORP VARCHAR(10),
		FLAT VARCHAR(10),

		KSTR_ino VARCHAR(3),
		Adr_ino VARCHAR(200),

		O_OKATO VARCHAR(14),
		O_OKTMO VARCHAR(11),
		O_KPP VARCHAR(9),		

		ksv1 varchar(3), ssv1 numeric(11,2),
		ksv2 varchar(3), ssv2 numeric(11,2),
		ksv3 varchar(3), ssv3 numeric(11,2),
		ksv4 varchar(3), ssv4 numeric(11,2),
		ksv5 varchar(3), ssv5 numeric(11,2),
		ksv6 varchar(3), ssv6 numeric(11,2),
		ksv7 varchar(3), ssv7 numeric(11,2),
		ksv8 varchar(3), ssv8 numeric(11,2),
		ksv9 varchar(3), ssv9 numeric(11,2),
		ksv10 varchar(3), ssv10 numeric(11,2),
		ksv11 varchar(3), ssv11 numeric(11,2),
		ksv12 varchar(3), ssv12 numeric(11,2),
		ssv numeric(11,2), siv numeric(11,2),
		osd13 numeric(11,2), sdo13 numeric(11,2), 
		nalogn13 numeric(18), nalogu13 numeric(18),
		NALOG13S numeric(18),
		err int,
		S_5_6 NUMERIC(18,2), S_5_7 NUMERIC(18,2),		
		dolg_np numeric(8), dolg_na numeric(8),
		kbkcode1 varchar(30), kbkcode2 varchar(30), kbkcode3 varchar(30), kbkcode4 varchar(30), 
		kbksum1 numeric(18,2), kbksum2 numeric(18,2),kbksum3 numeric(18,2),kbksum4 numeric(18,2),
		VIFNSPL numeric(18,2),
		ZSummPL numeric(18,2),
		UdSumPL numeric(18,2),
		VzkIFNS numeric(18,2)

	)	


	CREATE TABLE #FACES (LINK int,PERS_LINK int)

	IF @nLinkEmpl = 0
	BEGIN

		IF (len(@varKScVal1) = 0) AND (len(@varKScVal2) = 0 )
			INSERT INTO #FACES
			SELECT distinct PERS_LINK,PERS_LINK FROM dbo.empl WHERE DEP_LINK = @DEP_LINK --AND dbo.ku_GetEmplSack(link,default) = 0
		ELSE 
		if len(@varKScVal1) <> 0
			INSERT INTO #FACES 
			SELECT distinct Min(RECORD),E.PERS_LINK 
			FROM dbo.EMPL E INNER JOIN dbo.OBJECT_VAR_EMPL OVE ON OVE.RECORD = E.LINK
			WHERE LINK_UP = @varKSnOtborLink1
			GROUP BY E.PERS_LINK

		IF (len(@varKScVal1) = 0) AND (len(@varKScVal2) = 0 )
			INSERT INTO #FACES
			SELECT distinct PERS_LINK,PERS_LINK FROM dbo.SALARY_REESTR_DGH WHERE DEP_LINK = @DEP_LINK
				AND PERS_LINK NOT IN (SELECT PERS_LINK FROM #FACES)
		ELSE 
		IF len(@varKScVal2) <> 0
			INSERT INTO #FACES 
			SELECT distinct Min(RECORD), P.LINK 
			FROM dbo.PERSON P INNER JOIN dbo.OBJECT_VAR_PERSON OVE ON OVE.RECORD = P.LINK  
			WHERE LINK_UP = @varKSnOtborLink2 AND P.LINK NOT IN (SELECT PERS_LINK FROM #FACES)
			GROUP BY P.LINK
	END
	
	IF @nLinkEmpl > 0
	BEGIN
		INSERT INTO #FACES
		SELECT distinct LINK,PERS_LINK FROM dbo.empl WHERE LINK = @nLinkEmpl and DEP_LINK = @DEP_LINK
	END
	
	
	IF @nLinkEmpl IS NULL
		INSERT INTO #FACES (LINK, PERS_LINK)
		VALUES (0, @LINK_PERS)

	-----------------------------
	delete from dbo.SAL_DED_MONTH
	where 
	YEAR(DATE_DED) = @varKSnYear
	AND
	Month(DATE_DED) <= @nMonth
	AND
	LINK_EMPL IN (Select EM.LINK from dbo.EMPL EM INNER JOIN #FACES F on EM.PERS_LINK = F.PERS_LINK)
	AND
	LINK IN 
	(
		select D.LINK 
		from dbo.SAL_DED_MONTH D inner join dbo.empl E on D.link_empl = E.link
		where YEAR(D.DATE_DED) = @varKSnYear AND Month(D.DATE_DED) <= @nMonth
		and not exists (Select * from dbo.CALCULATE_JURNAL JC where YEAR(JC.PERIOD_BEGIN) = @varKSnYear AND Month(JC.PERIOD_BEGIN) <= @nMonth AND JC.LINK_EMPL = E.LINK AND JC.LINK_VKR = D.LINK_VKR)
	)

	-----------------------------	

	EXEC dbo.BufferClear
	EXEC dbo.BufferPushTable '#faces', 'REP2NDFL', 'pers_link'

	/* */
	Declare @isPrevPreiod tinyint
	--        ,     .                   
	Set @isPrevPreiod = dbo.sa_get_option_by_code('NDFL_OPT6')

	create table #S_J_C_SHORT (LINK_FACE int,PERS_LINK int, link_empl int, link_pays int, link_vkr int, link_ekr int, typ_per tinyint, typ_oper tinyint, summa numeric(18,2), link_inc int, period_begin datetime, date1 datetime, link_dep int)

	IF @nOption1 < 3
	BEGIN
		
		Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep)
		Select 
			E.PERS_LINK, JC.PERS_LINK, JC.LINK_EMPL, 
			P.LINK, link_vkr, ISNULL(JC.LINK_EKR,P.LINK_EKR), P.TYP_PER, P.OBJECT, summa, P.LINK_INC,
			period_begin = (case when @isPrevPreiod = 0 then JC.period_begin 
					else (Case 
							when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code = 'DOCUMENTS_ADD_TABEL'
							then JC.DATE_BEGIN else JC.period_begin 
						end) 
					end),
			JC.DATE_BEGIN,
			JC.LINK_DEP
		from 
			dbo.CALCULATE_JURNAL JC 
			INNER JOIN dbo.NDFL_GroupTax() T ON JC.LINK_PAYS=T.LINK_PAYS
			LEFT JOIN dbo.EMPL E ON JC.LINK_EMPL = E.LINK
			LEFT JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
			LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
		where
			(
					(@isPrevPreiod = 0 or ISNULL(d.code,'') <> 'DOCUMENTS_ADD_TABEL') and @nMonth >= month(JC.PERIOD_BEGIN) and @varKSnYear = year(JC.PERIOD_BEGIN)
					or 
					@isPrevPreiod = 1 and ISNULL(d.code,'') = 'DOCUMENTS_ADD_TABEL'
					and (@nMonth >= month(JC.DATE_BEGIN) or @nMonth >= month(JC.PERIOD_BEGIN) )
					and (@varKSnYear = year(JC.DATE_BEGIN) or @varKSnYear = year(JC.PERIOD_BEGIN) )

				)
			AND  
				(	-->>NEW
				E.PERS_LINK in (select PERS_LINK from #FACES )
				or
				JC.PERS_LINK in (select PERS_LINK from #FACES )
				)	
			AND JC.LINK_DEP = @DEP_LINK 
		union all --
		Select LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep
		from dbo.S_J_C_SHORT SJC 
			LEFT JOIN DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC 
		where 
			SJC.LINK_DEP = @DEP_LINK
			and
			(
				SJC.LINK_FACE in (select PERS_LINK from #FACES )
				or
				SJC.PERS_LINK in (select PERS_LINK from #FACES )
			)
			and YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
			and Month(SJC.PERIOD_BEGIN) <= @nMonth
			and TYP_OPER = 2
			
	END --IF @nOption1 < 3
	ELSE
	BEGIN

		Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl, link_dep)
		Select 
			F.PERS_LINK, F.PERS_LINK, E.LINK, @DEP_LINK
		FROM
			#FACES F
			LEFT JOIN dbo.EMPL E ON F.LINK = E.LINK
	END
	
-----------------------------------------------------------
--  
DECLARE @DATE DATETIME
SET @DATE = DBO.ConvertDMY2Date(1,@nMonth, @varKSnYear)
SET @DATE = DBO.DateEndOfMonth(@DATE)

CREATE TABLE #E_SUBDIV (EMPL_LINK INT, SUBDIV_LINK INT)

IF @nLinkEmpl > 0
BEGIN
	INSERT INTO #E_SUBDIV (EMPL_LINK, SUBDIV_LINK)
	SELECT EMPL_LINK, SUBDIV_LINK
	FROM DBO.SA_EMPLS_INFO(@DATE, @nLinkEmpl)
	WHERE [STATUS] = 1 OR [STATUS] = 3	
END
ELSE 
	BEGIN
		INSERT INTO #E_SUBDIV (EMPL_LINK, SUBDIV_LINK)
		SELECT EMPL_LINK, SUBDIV_LINK
		FROM DBO.SA_EMPLS_INFO(@DATE,DEFAULT)
		WHERE [STATUS] = 1 OR [STATUS] = 3	
	END	

CREATE TABLE #S_OBOSOB (SUBDIV_LINK INT, O_OKATO VARCHAR(14), O_OKTMO VARCHAR(11), O_KPP VARCHAR(9))
INSERT INTO #S_OBOSOB (SUBDIV_LINK, O_OKATO,  O_OKTMO, O_KPP)
SELECT SUBDIV_LINK, O_OKATO,  O_OKTMO, O_KPP 
FROM [dbo].SUBDIVISION(@DATE) 
WHERE OBOSOB = 1

CREATE TABLE #P_OBOSOB (PERS_LINK INT, O_OKATO VARCHAR(14), O_OKTMO VARCHAR(11), O_KPP VARCHAR(9))
INSERT INTO #P_OBOSOB(PERS_LINK, O_OKATO, O_OKTMO, O_KPP)
SELECT E.PERS_LINK, SO.O_OKATO , SO.O_OKTMO, SO.O_KPP 
FROM 
	#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
	INNER JOIN  DBO.EMPL E ON   E.LINK = ES.EMPL_LINK

-----------------------------------------------------------
	INSERT INTO #RES0 (
		LINK_FACE,
		SEX,
		INNFIZ, --NALOG,
		NUMB_SERT,
		STATUS,
		FIO,
		FM, IM, OT,
		KDVD,
		SERNOM, 
		BIRTH,
		GRAZD,
		KSTR,
		LINK_ADR,
		IND_ADR,
		REGION,
		RAION,
		GOROD,
		NASEL,
		STREET,
		HOUSE,
		KORP,
		FLAT, 
		KSTR_ino,
		Adr_ino,
		ERR,
		O_OKATO,
		O_OKTMO,
		O_KPP
	)

	SELECT 	distinct 
		P.LINK, P.SEX, P.INN, /*P.IFNS,*/ P.INSUR_NUM, 
		CASE 
			WHEN P.RESIDENT  IS NULL THEN ''
			WHEN P.RESIDENT = 1 THEN '1'
			WHEN P.RESIDENT = 0 THEN '2'
		END,
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT),
		RTRIM(P.FM), RTRIM(P.IM), RTRIM(P.OT),
		[KDVD] = (SELECT TOP 1 CODE FROM FACE_DOCUMENT WHERE LINK = P.DOC_LINK),
		P.DOC_NUM,
		P.BIRTHDATE,
		GRAZD= (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK),
		KSTR= (case when (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK) = '1' then '643' else '' END),
		ADR.LINK_ADDR,
		ADR.IND_ADR,
		ADR.REGION,
		ADR.RAION,
		ADR.GOROD,
		ADR.NASEL,
		ADR.STREET,
		ADR.HOUSE,
		ADR.KORP,
		ADR.FLAT,
		KSTR_ino = '',
		Adr_ino = '',
		0,
		PO.O_OKATO,
		PO.O_OKTMO,
		PO.O_KPP
	FROM 
		#FACES F 
		INNER JOIN PERSON P ON P.LINK = F.PERS_LINK
		INNER JOIN (SELECT LINK_FACE from #S_J_C_Short SJC where LINK_FACE is not null
			 		UNION 
			 		SELECT LINK_FACE= PERS_LINK from #S_J_C_Short SJC where PERS_LINK is not null) J on P.LINK = J.LINK_FACE
		LEFT OUTER JOIN dbo.NDFL_GET_ADDRESS() ADR ON P.LINK = ADR.LINK_FACE
		LEFT JOIN #P_OBOSOB PO ON PO.PERS_LINK = F.PERS_LINK 
	ORDER BY 
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT)

	CREATE TABLE #PAYS_0
	(
		ID INT IDENTITY,
		LINK_FACE INT, 
		mes int, 
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)
	

	
	select distinct LINK_FACE, Y = year(PERIOD_BEGIN), M = month(PERIOD_BEGIN),  LINK_INC, LINK_VKR  
	into #spr_pays_kbk
	from 	#S_J_C_SHORT where TYP_OPER = 1
	

	CREATE TABLE #PAYS_0_tmp
	(
		ID INT IDENTITY,
		LINK_FACE INT,
		mes int, 
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)


IF @nOption1 < 3
BEGIN

	INSERT INTO #PAYS_0_tmp
	(LINK_FACE, mes, 
	LINK_INC, CODE_INC, SUMMA_INC,
	LINK_DED, CODE_DED, SUMMA_DED)
	SELECT 
		F.PERS_LINK,
		mes = MONTH(SJC.PERIOD_BEGIN),
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM 
		#S_J_C_SHORT SJC 
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		INNER JOIN #FACES F ON SJC.LINK_FACE = F.PERS_LINK
	WHERE 
		SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and
		Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND
		ISNULL(SJC.PERS_LINK,0) = 0
		AND
		SJC.LINK_DEP = @DEP_LINK 
	GROUP BY 
		F.PERS_LINK, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED

	---<<    	
	union all 

	SELECT 
		F.PERS_LINK,
		mes = MONTH(SJC.PERIOD_BEGIN),
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM #S_J_C_SHORT SJC 	
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC --AND DTI.SNAME <> '0000'
		INNER JOIN #FACES F ON SJC.PERS_LINK = F.PERS_LINK
	WHERE 	SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and
		Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND
		ISNULL(SJC.LINK_FACE,0) = 0
		AND
		SJC.LINK_DEP = @DEP_LINK
	GROUP BY 
		F.PERS_LINK, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED
	ORDER BY 
		1, ISNULL(DTI.SNAME,'0000'), COD_DED

	INSERT INTO #PAYS_0
	Select LINK_FACE, mes, LINK_INC, CODE_INC, sum(SUMMA_INC), LINK_DED, CODE_DED, sum(SUMMA_DED)
	from #PAYS_0_tmp
	group by LINK_FACE, mes, LINK_INC, CODE_INC, LINK_DED, CODE_DED
	having Sum(SUMMA_INC) <> 0

	drop table #PAYS_0_tmp
	
END
ELSE
BEGIN

	INSERT INTO #PAYS_0
	Select PERS_LINK, 0, NULL, NULL, 0, NULL, NULL, 0 FROM #FACES
	
END

	
IF @nOption1 < 3
BEGIN
	---->>
	--
	SELECT D.LINK_FACE, D.mes, SUM(D.SUMMA) as SUMMA, D.REF_DED INTO #DED 
	FROM 
		dbo.SA_NDFL_MONTH_DED_ALL(@varKSnYear) D 
		inner join #spr_pays_kbk kbk on kbk.LINK_FACE = d.LINK_FACE and kbk.m = d.mes and kbk.link_inc = d.REF_INC and kbk.LINK_VKR = d.LINK_VKR
	where 
		kbk.y = @varKSnYear
		and kbk.m <= @nMonth
	GROUP BY 
		D.LINK_FACE, d.mes, d.REF_DED

	UPDATE #PAYS_0
	SET SUMMA_DED = 
		(SELECT SUM(SUMMA) FROM #DED D WHERE D.LINK_FACE = R.LINK_FACE AND D.REF_DED = R.LINK_DED AND D.mes = R.mes ) 
	FROM #PAYS_0 R 
	WHERE LINK_DED IS NOT NULL


	update #PAYS_0 
		Set CODE_DED = ''
		where ISNULL(SUMMA_DED,0) = 0


	CREATE TABLE #P0 (LINK_FACE INT, ID1 INT)

	--- 1

	CREATE TABLE #PAYS1(LINK_FACE INT, SM NUMERIC(11,2), MONTH_NUM INT)
	INSERT INTO #PAYS1
	SELECT LINK_FACE, SM, [MONTH]
	FROM dbo.NDFL_BASE_SUM_TAX_MONTH_ALL(@nMonth, @varKSnYear)

	---<<    
	insert into #pays1

	SELECT 
		F.PERS_LINK,
		SUM(SUMMA) AS SUMMA_INC,
		Month(SJC.PERIOD_BEGIN)
	FROM 
		#S_J_C_SHORT SJC 
		INNER JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		INNER JOIN #FACES F ON SJC.PERS_LINK = F.PERS_LINK
	WHERE 
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND ISNULL(SJC.LINK_FACE,0) = 0
		AND SJC.LINK_DEP = @DEP_LINK 
	GROUP BY F.PERS_LINK, SJC.PERIOD_BEGIN

	---->>

	SELECT LINK_FACE, SUM(SM) AS SM
	INTO #PAYS_R
	FROM #PAYS1
	GROUP BY LINK_FACE

	INSERT INTO #PAYS1
	SELECT 
		EP.PERS_LINK, -SUM(SUMMA), MONTH(DATE_DED)
	FROM    
		dbo.empl EP 
		inner join SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND [TYPE] = 2)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
	where 
		EP.DEP_LINK = @DEP_LINK	
	GROUP BY 
		EP.PERS_LINK, MONTH(DATE_DED)

	CREATE TABLE #PAYS3(ID INT IDENTITY, LINK_FACE INT, LINK_DED INT, CODE_DED VARCHAR(6), SUMMA NUMERIC(18,2), SUMMA_FAKT NUMERIC(18,2))
	--     
	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.empl EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND TYPE = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@BEGIN_YEAR) DTD on DTD.REF_PAY = S.REF_DED
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = @DEP_LINK	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE

	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.REESTR_DGH EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_DGH AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND S.[TYPE] = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@BEGIN_YEAR) DTD on DTD.REF_PAY = S.REF_DED
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = @DEP_LINK	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE


	--UPDATE #PAYS3
	--SET
	--	SUMMA = (Select sum(SUM_DED) from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	
	--where
	--	exists (Select * from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	


	UPDATE #PAYS3
	SET
		SUMMA = ISNULL(SUMMA_FAKT,0)
	where
		ISNULL(SUMMA,0) = 0

	--  (,     .)
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, SUM(S.SUMMA), SUM(S.SUMMA) 
	FROM 
		dbo.EMPL EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND TYPE = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
	where 
		T.NUMBER NOT IN (	1, --
							6 --    
							)
		AND			
		EP.DEP_LINK = @DEP_LINK	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE

	--   . 
	update #RES0
	Set siv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = @DEP_LINK AND TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)),0),
		ssv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED NOT IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = @DEP_LINK AND TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)),0)		

	from #RES0 R
	

	--
	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV1 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV1 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV2 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV2 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV3 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV3 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV4 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV4 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV5 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV5 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV6 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV6 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV7 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV7 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV8 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV8 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV9 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV9 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV10 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV10 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV11 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV11 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV12 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV12 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	UPDATE #RES0 SET OSD13 = (SELECT top 1 SM FROM #PAYS_R PR WHERE PR.LINK_FACE = R.LINK_FACE) FROM #RES0 R

	----
	UPDATE #RES0 SET SDO13 = OSD13 - ISNULL(SK.SUM_SK, 0.00)
			- ISNULL(SSV1,0.00) - ISNULL(SSV2,0.00) - ISNULL(SSV3,0.00) - ISNULL(SSV4,0.00)
			- ISNULL(SSV5,0.00) - ISNULL(SSV6,0.00) - ISNULL(SSV7,0.00) - ISNULL(SSV8,0.00)
			- ISNULL(SSV9,0.00) - ISNULL(SSV10,0.00) - ISNULL(SSV11,0.00) - ISNULL(SSV12,0.00)
	from #RES0 R LEFT JOIN (Select LINK_FACE, SUM_SK= SUM(SUMMA_DED) from #PAYS_0 GROUP BY LINK_FACE) SK ON R.LINK_FACE = SK.LINK_FACE

	-----
	UPDATE #RES0 SET SDO13 = 0 WHERE SDO13 < 0

	CREATE TABLE #NDFL_TAX(LINK_TAX INT)
	INSERT INTO #NDFL_TAX
	SELECT LINK FROM PAYS P WHERE P.OBJECT = 2 AND P.WAY_CALC = 4

	Create table #NDLF13_tmp (LINK int, SUMMA numeric(18,2))
	Create table #NDLF13 (LINK int, SUMMA numeric(18,2))

	insert into  #NDLF13_tmp (LINK, SUMMA)
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM 
		#S_J_C_Short SJC 
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.LINK_FACE --: EP.LINK
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  
	WHERE 
		YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY 
		B.LINK
	---<<    
	union all
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM #S_J_C_Short SJC 
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.PERS_LINK --: EP.LINK
	WHERE YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and ISNULL(SJC.LINK_FACE,0) = 0
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY B.LINK

	insert into #NDLF13 (LINK, SUMMA)
	Select LINK, Sum(SUMMA) from #NDLF13_tmp group by LINK
	
	drop table #NDLF13_tmp
	--->>

	UPDATE #RES0 SET NALOGU13 = ISNULL((SELECT SUM(SUMMA) FROM #NDLF13 N WHERE N.LINK = R.LINK_FACE), 0) FROM #RES0 R
	UPDATE #RES0 SET NALOGN13 = SDO13 * (CASE WHEN STATUS = '1' THEN 
		( SELECT  top 1 [PERCENT] / 100 FROM DICTIONARY_RANGE R inner join #NDFL_TAX T on R.LINK_PAYS = T.LINK_TAX WHERE TARIF = 1)
								ELSE 0.30 END)
	--     
	DECLARE @SUMMA_PLAT_ALL NUMERIC(18,2)
		
	IF @nCHECK_S = 0
		BEGIN
			SET @SUMMA_PLAT_ALL =  @nSumm_For_Check 	
		END
	ELSE
		BEGIN 
			EXEC dbo.SA_NDFL_PLAT @BEGIN_YEAR, @DATE, @DEP_LINK, @SUMMA_PLAT_ALL OUT
		END 
	
	--     
	DECLARE @SUMMA_NACH_ALL NUMERIC(18,2)
	EXEC dbo.SA_NDFL_NACHISL @BEGIN_YEAR, @DATE, @DEP_LINK, @SUMMA_NACH_ALL OUT
	--  	
	UPDATE #RES0 SET NALOG13S = CONVERT(NUMERIC(18,0), ISNULL( @SUMMA_PLAT_ALL * CASE WHEN @SUMMA_NACH_ALL > 0 THEN (NALOGU13	/ @SUMMA_NACH_ALL) ELSE 0 END, 0))
	UPDATE #RES0 SET NALOG13S = CASE WHEN NALOG13S > NALOGU13 THEN NALOGU13 ELSE NALOG13S END

	UPDATE #RES0 SET NOM_SPR = ID + @varKSnFirstNum - 1
	
	UPDATE #RES0 SET NKORR = CASE WHEN @nOption1 = 2 THEN (case when len(left(ltrim(rtrim(@nKOrr)),2)) = 1 THEN '0'+ltrim(rtrim(@nKOrr)) ELSE  left(ltrim(rtrim(@nKOrr)),2) END ) 
								  WHEN  @nOption1 = 1 THEN '00' 
								  WHEN @nOption1 =3 THEN '99' end

	--- /      
	UPDATE A SET 
		S_5_6 = (CASE WHEN R.NDFL > 0 THEN R.NDFL ELSE 0 END),
		S_5_7 = (CASE WHEN R.NDFL <= 0 THEN - R.NDFL ELSE 0 END)
	FROM
		#RES0 A INNER JOIN 
		(SELECT E.PERS_LINK, NDFL = SUM(SR.NDFL) FROM dbo.SAL_REMAIN SR INNER JOIN dbo.EMPL E ON E.LINK = SR.LINK_EMPL WHERE SR.YEAR_SAL = @varKSnYear GROUP BY E.PERS_LINK) R 
			ON R.PERS_LINK = A.LINK_FACE
	--	
	UPDATE #RES0 SET DOLG_NP = CASE WHEN NALOGN13 - NALOGU13 > 0 THEN NALOGN13 - NALOGU13 ELSE 0 END - ISNULL(S_5_6,0)
	UPDATE #RES0 SET DOLG_NA = CASE WHEN NALOGU13 - NALOGN13 > 0 THEN NALOGU13 - NALOGN13 ELSE 0 END - ISNULL(S_5_7,0)

	--^^^^^^^^^   ^^^^^^^^^^
	create table  #PAYS_NDFL (ID INT IDENTITY, LINK_FACE int, LINK_PAYS int, kbk_code varchar(30), SUMMA numeric(18,2))

	INSERT INTO #PAYS_NDFL (LINK_FACE, LINK_PAYS, kbk_code, SUMMA)
	SELECT LINK_FACE, SJC.LINK_PAYS, left(kbk.CODE,30), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @varKSnYear
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @nMonth
		AND	ISNULL(SJC.PERS_LINK,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)
	GROUP BY 
		LINK_FACE, LINK_PAYS, kbk.CODE

	union all ---<<    	

	SELECT  PERS_LINK, SJC.LINK_PAYS, left(kbk.CODE,20), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @varKSnYear
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @nMonth
		AND	ISNULL(SJC.LINK_FACE,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)

	GROUP BY 
		PERS_LINK, LINK_PAYS, kbk.CODE
	ORDER BY 
		1, 2, 3

	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode1 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum1 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode2 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum2 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode3 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum3 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode4 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum4 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

END --IF @nOption1 < 3
	-------------------------------------
	update #res0
	set 	VIFNSPL =0, ZSummPL =0, UdSumPL =0, VzkIFNS =0


	DECLARE @varKSCNT INT

	SELECT @varKSCNT  = COUNT(*) FROM #RES0

	SELECT TOP 1 
		LTRIM(RTRIM(STR(@varKSCNT))) AS DOCCOUNT, 
		ISNULL(IMNS, '') AS NALOG,
		ISNULL(dd.INN, '') AS INN,
		ISNULL(KPP, '') AS KPP,
		ISNULL(OKATO, '')  AS OKATO,
		ISNULL(OKTMO, '')AS OKTMO,
		convert(varchar (254),(ISNULL(FULL_NAME, ''))) AS FULL_NAME,
		ISNULL(DOTF.PHONE, '') AS PHONE,
		ISNULL(RTRIM(FM), '') + ' ' + ISNULL(RTRIM(IM), '') + ' ' + ISNULL(RTRIM(OT), '') AS GLBUH,
		ISNULL(RTRIM(FM), '') AS FM,
		ISNULL(RTRIM(IM), '') AS IM, 
		ISNULL(RTRIM(OT), '') AS OT,
		ISNULL(RTRIM(DOTF.NAME), '') AS Dolzh
	INTO #DEP
	FROM 
		dbo.DICTIONARY_DEPARTMENT DD 
		LEFT OUTER JOIN dbo.DICTIONARY_OTV_FACE DOTF ON 
		DOTF.DEP_LINK = DD.LINK
		AND 
		(
			(@nCheck_CheeF = 0 and DOTF.NAME = ' ' ) 
			OR 
			(@nCheck_CheeF = 1 and DOTF.NAME = '' )
		)
		LEFT OUTER JOIN dbo.KU_EMPL_PLACING EP ON DOTF.FACE_LINK = EP.LINK
	WHERE 
		DD.link = @DEP_LINK


	CREATE TABLE #LOG(
		LINK INT, ERR INT IDENTITY, 
		NUMBER VARCHAR(20), DETAIL VARCHAR(254) )

	DECLARE @varKScInn VARCHAR(254), @varKScKPP VARCHAR(254), @varKSFULL_NAME varchar(254), 
		@varKSNALOG VARCHAR(254), @varKSOKATO VARCHAR(254), @varKSOKTMO VARCHAR(254), @varKSPHONE VARCHAR(254), 
		@varKSGLBUH VARCHAR(254), 
		@varKSRESULT BIT

	SELECT 
		@varKScInn = INN, @varKScKPP = KPP,
		@varKSFULL_NAME = FULL_NAME, 
		@varKSNALOG = NALOG, @varKSOKATO = Replace(OKATO,' ',''), @varKSOKTMO = Replace(OKTMO,' ',''),
		@varKSPHONE = PHONE, 
		@varKSGLBUH  = GLBUH
	FROM #DEP
	
	IF LEN(@varKScInn) = 0
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')
	ELSE BEGIN
		IF LEN(@varKScInn) <> 10 BEGIN
			INSERT INTO #LOG (LINK, NUMBER, DETAIL)
			VALUES (0, ' ', '  ')
		END
		ELSE BEGIN
			EXEC SD_CHECK_INN @varKScInn, @varKSRESULT OUTPUT, 0
			IF @varKSRESULT = -1
				INSERT INTO #LOG (LINK, NUMBER, DETAIL)
				VALUES (0, ' ', '  ')
		END
	END

	
	IF LEN(@varKScKPP) = 0
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')
	ELSE BEGIN
		IF LEN(@varKScKPP) <>9  BEGIN
			INSERT INTO #LOG (LINK, NUMBER, DETAIL)
			VALUES (0, ' ', '    9 ')
		END
	END

	IF LEN(@varKSNALOG) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')
	ELSE BEGIN
		IF LEN(@varKSNALOG) <> 4  
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '    4 ')

	END

	IF LEN(@varKSFULL_NAME) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   -')



	IF LEN(@varKSOKATO) = 0  
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)		VALUES (0, ' ', '   ')	

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT E.PERS_LINK, '', '      ,     ' + RTRIM(P.FM) + ' ' + SUBSTRING(RTRIM(P.IM),1,1) + '.' + SUBSTRING(RTRIM(P.OT),1,1) + '.'
	FROM
		#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
		INNER JOIN DBO.EMPL E ON E.LINK = ES.EMPL_LINK
		INNER JOIN #FACES F ON F.PERS_LINK = E.PERS_LINK
		INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK
	WHERE
		LEN(O_OKATO) = 0 
		
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT E.PERS_LINK, '', '      KPP   ,     ' + RTRIM(P.FM) + ' ' + SUBSTRING(RTRIM(P.IM),1,1) + '.' + SUBSTRING(RTRIM(P.OT),1,1) + '.'
	FROM
		#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
		INNER JOIN DBO.EMPL E ON E.LINK = ES.EMPL_LINK
		INNER JOIN #FACES F ON F.PERS_LINK = E.PERS_LINK
		INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK		
	WHERE
		LEN(O_KPP) <> 9

	IF LEN(@varKSPHONE) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')

	IF LEN(@varKSGLBUH) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT DISTINCT
		0, ' ', '         ' + LTRIM(RTRIM(ISNULL(D.SNAME,'')))
	FROM
		dbo.TAX_DEDUCTIONS TD INNER JOIN DBO.DICTIONARY_TYP_DEDUCTION D ON D.LINK = TD.LINK_DICTION
	WHERE
		TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth
		AND
		TD.LINK_DICTION NOT IN (SELECT REF_PAY FROM dbo.Salary_deductions(@BEGIN_YEAR))

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '', '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE LEN(ISNULL(FM, '')) = 0 AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '', '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE LEN(ISNULL(IM, '')) = 0 AND OSD13 > 0 

/*	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE LEN(ISNULL(Ot, '')) = 0 AND OSD13 > 0 
*/
/*	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT NOM_SPR, NOM_SPR,  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE dbo.IsValidINNFiz(INNFIZ) = 0
*/
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '   ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE STATUS = '' AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE GRAZD IS NULL AND OSD13 > 0 
/*
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT NOM_SPR, NOM_SPR,  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = ''
*/
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '    ,  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' and KDVD IS NULL AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '     ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' AND ISNULL(SERNOM, '') = '' AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '     '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' AND BIRTH IS NULL AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '  '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' AND link_adr IS NULL AND OSD13 > 0 

	SET @varKSCNT = 0
	SELECT @varKSCNT = COUNT(DISTINCT LINK) FROM #LOG WHERE LINK > 0

	UPDATE #RES0
	SET ERR = 1
	WHERE LINK_FACE IN (SELECT LINK_FACE FROM #LOG)

	/*  */  -- DED_TYPE = 1 - , 2-  
	CREATE TABLE #td (LINK_PERSON INT ,NUM_REF VARCHAR(15),DATE_REF DATETIME,IFNS_CODE VARCHAR(20),DED_TYPE TINYINT)

	IF @nOption1 < 3
	BEGIN
		INSERT INTO #td (LINK_PERSON ,NUM_REF,DATE_REF,IFNS_CODE,DED_TYPE)
		Select LINK_PERSON, 
			   NUM_REF, 
			   DATE_REF, 
			   IFNS_CODE,
			   DED_TYPE = 1 
		from dbo.TAX_DEDUCTIONS td
		where TD.LINK_DEP = @DEP_LINK AND link =  (select min(link) from dbo.TAX_DEDUCTIONS td1 where TD1.LINK_DEP = @DEP_LINK AND td1.LINK_PERSON =  td.LINK_PERSON and td1.[YEAR] = @varKSnYear and td1.Month1 <= @nMonth AND TD1.LINK_DICTION IN (SELECT  LINK FROM DICTIONARY_TYP_DEDUCTION  WHERE NUMBER ='4')  )
		UNION SELECT 
			   LINK_PERSON, 
			   NUM_REF, 
			   DATE_REF, 
			   IFNS_CODE,
			   DED_TYPE = 2 
		from dbo.TAX_DEDUCTIONS td
		where TD.LINK_DEP = @DEP_LINK AND link =  (select min(link) from dbo.TAX_DEDUCTIONS td1 where TD1.LINK_DEP = @DEP_LINK AND td1.LINK_PERSON =  td.LINK_PERSON and td1.[YEAR] = @varKSnYear and td1.Month1 <= @nMonth AND TD1.LINK_DICTION IN (SELECT  LINK FROM DICTIONARY_TYP_DEDUCTION  WHERE NUMBER IN('11','12','13')) )
	END	--IF @nOption1 < 3

	declare @KBK_DEFAULT varchar(254)
	Set @KBK_DEFAULT = (select Top 1 CODE_KBK from dbo.sd_empl where LINK_KBK > 0)

	UPDATE #RES0 Set kbkcode1 = @KBK_DEFAULT, kbksum1 = 0 where ISNULL(kbksum1,0) = 0

	/*  */
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '        '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 inner join  #td on #RES0.LINK_FACE = #td.LINK_PERSON 
	WHERE rtrim(ltrim(ISNULL(NUM_REF,''))) = '' or rtrim(ltrim(ISNULL(IFNS_CODE,''))) = '' or DATE_REF is null AND OSD13 > 0 

	CREATE TABLE #RES_OUT (ID INT,LINK_FACE INT,mes INT,LINK_INC INT,CODE_INC VARCHAR(4),SUMMA_INC NUMERIC(18,2),LINK_DED INT,CODE_DED VARCHAR(3),SUMMA_DED NUMERIC(18,2),ID2 INT)

	INSERT INTO #RES_OUT (ID, LINK_FACE, mes, LINK_INC, CODE_INC, SUMMA_INC, LINK_DED, CODE_DED, SUMMA_DED, ID2)
	SELECT ID, LINK_FACE, mes, LINK_INC, CODE_INC, SUMMA_INC, LINK_DED, CODE_DED, SUMMA_DED, ID2 = 0 
	FROM #PAYS_0 
	ORDER BY LINK_FACE, MES, CODE_INC
	
	---
	CREATE TABLE #RES_OUT_ORD (NUM_PP INT IDENTITY(1,1), ID INT, LINK_FACE INT)
	INSERT INTO #RES_OUT_ORD (ID, LINK_FACE)
	SELECT ID, LINK_FACE FROM #PAYS_0 ORDER BY LINK_FACE, MES, CODE_INC
	--
	CREATE TABLE #RES_OUT_ORD2 (LINK_FACE INT, MIN_NUM INT)
	INSERT INTO #RES_OUT_ORD2 (LINK_FACE, MIN_NUM)
	SELECT LINK_FACE, MIN(NUM_PP) FROM #RES_OUT_ORD GROUP BY LINK_FACE
	---   
	UPDATE R
	SET R.ID2 = O.NUM_PP - O2.MIN_NUM + 1
	FROM 
		#RES_OUT R 
		INNER JOIN #RES_OUT_ORD O ON O.ID = R.ID
		INNER JOIN #RES_OUT_ORD2 O2 ON O2.LINK_FACE = R.LINK_FACE

	CREATE TABLE #ORDERS (ID int)
	DECLARE @SQL VARCHAR(1000)
	SET @SQL = 'ALTER TABLE #ORDERS ADD [NOM_SPR] INT IDENTITY(' + RTRIM(str(ISNULL(@varKSnFirstNum,1))) + ',1)'
	EXEC(@SQL)

	INSERT INTO #ORDERS (ID) 
	SELECT DISTINCT ID 
	FROM #RES0 
	WHERE LINK_FACE IN ( Select DISTINCT LINK_FACE from #RES_OUT where [ID2]%2 = 1 )
			--AND ISNULL(OSD13,0) > 0
	ORDER BY ID

	--UPDATE #ORDERS SET NOM_SPR = NOM_SPR + @varKSnFirstNum - 1

	---   
	UPDATE #DEP SET DOCCOUNT = ISNULL((SELECT MAX(NOM_SPR) FROM #ORDERS),0)

	-------------------
	SELECT 
		R.ID, O.NOM_SPR, r.nKorr, R.LINK_FACE, R.SEX, R.INNFIZ, R.NUMB_SERT, R.STATUS, 
		R.FIO, R.FM, R.IM, R.OT, R.KDVD, R.SERNOM, R.BIRTH, R.GRAZD, R.KSTR, 
		R.LINK_ADR, R.IND_ADR, R.REGION, R.RAION, R.GOROD, R.NASEL, R.STREET, 
		R.HOUSE, R.KORP, R.FLAT, R.KSTR_ino, R.Adr_ino, 
		R.ksv1, R.ssv1, R.ksv2, R.ssv2, R.ksv3, R.ssv3, R.ksv4, R.ssv4, R.ksv5, R.ssv5, R.ksv6, R.ssv6, 
		R.ksv7, R.ssv7, R.ksv8, R.ssv8, R.ksv9, R.ssv9, R.ksv10, R.ssv10, R.ksv11, R.ssv11, R.ksv12, R.ssv12, 
		R.ssv, R.siv, R.osd13, R.sdo13, R.nalogn13, R.nalogu13, R.nalog13s, R.err, R.S_5_6, R.S_5_7, R.dolg_np, R.dolg_na, 
		R.kbkcode1, R.kbkcode2, R.kbkcode3, R.kbkcode4, R.kbksum1, R.kbksum2, R.kbksum3, R.kbksum4, 
		R.VIFNSPL, R.ZSummPL, R.UdSumPL, R.VzkIFNS, 
		ndoc_td = td1.NUM_REF , --   
		ddoc_td = td1.DATE_REF,
		ifnsdoc_td = td1.ifns_code,
		nDoc_SD = td2.NUM_REF, --    
		dDoc_SD = td2.DATE_REF,
		ifnsdoc_sd = td2.ifns_code,
		nalog	= @varKSNALOG,
		KPP1 = ISNULL(R.O_KPP,@varKScKPP),
		OKATO1 = replace(ISNULL(R.O_OKATO,@varKSOKATO),' ',''),
		OKATO2 = (Case when ISNULL(kbksum2,0) <> 0 then @varKSOKATO else '' end),
		OKATO3 = (Case when ISNULL(kbksum3,0) <> 0 then @varKSOKATO else '' end),
		OKATO4 = (Case when ISNULL(kbksum4,0) <> 0 then @varKSOKATO else '' end),
		OKTMO1 = replace(ISNULL(R.O_OKATO,@varKSOKTMO),' ',''),
		OKTMO2 = (Case when ISNULL(kbksum2,0) <> 0 then @varKSOKTMO else '' end),
		OKTMO3 = (Case when ISNULL(kbksum3,0) <> 0 then @varKSOKTMO else '' end),
		OKTMO4 = (Case when ISNULL(kbksum4,0) <> 0 then @varKSOKTMO else '' end),
		T.M1, T.CINC1, T.SINC1, T.CDED1, T.SDED1, T.M2, T.CINC2, T.SINC2, T.CDED2, T.SDED2,
		td1.LINK_PERSON/*, #td.NUM_REF, #td.DATE_REF, #td.IFNS_CODE*/
	FROM #RES0 R 
		INNER JOIN #ORDERS O ON O.ID = R.ID
		INNER JOIN ( 
			Select	T1.LINK_FACE, M1= T1.MES, CINC1= T1.CODE_INC, SINC1= T1.SUMMA_INC, CDED1= T1.CODE_DED, SDED1= T1.SUMMA_DED, M2= T2.MES, CINC2= T2.CODE_INC, SINC2= T2.SUMMA_INC, CDED2= T2.CODE_DED, SDED2= T2.SUMMA_DED
			from	(Select * from #RES_OUT where [ID2]%2 = 1) T1 left join (Select * from #RES_OUT where [ID2]%2 = 0) T2 on T1.link_FACE = T2.LINK_FACE AND T1.[ID2] = (T2.[ID2]-1)
		) T on R.LINK_FACE = T.LINK_FACE
		LEFT OUTER JOIN   #td td1 on R.LINK_FACE = td1.LINK_PERSON AND td1.DED_TYPE = 1 /* */
		LEFT OUTER JOIN   #td td2 on R.LINK_FACE = td2.LINK_PERSON AND td2.DED_TYPE = 2 /* */
	--where OSD13 > 0 
	ORDER BY O.NOM_SPR, T.M1, T.CINC1, T.M2, T.CINC2

	---
	SELECT *, CAST(  (CAST (DOCCOUNT AS INT) - @varKSCNT) AS VARCHAR(254) ) AS DOCCOUNT2 FROM #DEP 
	---	

	UPDATE L SET
		NUMBER = O.NOM_SPR
	FROM 
		#LOG L
		INNER JOIN #RES0 R ON L.LINK = R.LINK_FACE
		INNER JOIN #ORDERS O ON O.ID = R.ID
	
	SELECT * FROM #LOG ORDER BY LINK, ERR
	---
	EXEC dbo.BufferClear

	DROP TABLE #E_SUBDIV
	DROP TABLE #S_OBOSOB
	DROP TABLE #P_OBOSOB	
	DROP TABLE #LOG	
	DROP TABLE #RES0	
	DROP TABLE #ORDERS				
	
END


GO


GRANT EXECUTE ON dbo.[SD_REP_2NDFL] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[KU_VACATION_SAVE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[KU_VACATION_SAVE]

GO
/*
  (Keysystems), 2005
*/

CREATE PROCEDURE [dbo].KU_VACATION_SAVE
	@varKSparLINK	int	OUTPUT,
	@varKSparNumber varchar(30),
	@varKSparDate   datetime,
	@varKSparTYPE_LINK	INT,
	@varKSparCOMPENS	TINYINT,
	@varKSparPERIOD_BEGIN   DATETIME = null,
	@varKSparPERIOD_END     DATETIME = null,
	@varKSparDATE_BEGIN     DATETIME = null,
	@varKSparDATE_END       DATETIME = null,
	@varKSparREASON_link	INT = NULL,	
	@varKSparREASON         VARCHAR(254) = null,
	@varKSparREASON_DOP     VARCHAR(500) = null,
	@varKSparEMPL_LINK      INT = null,
	@varKSparORDER_LINK INT = null,
	@varKSparVAC_GRAPH_LINK int = null,
	@varKSparTEXT_DOP  VARCHAR(500) = NULL,
	@varKSparDEP_LINK int = null,
	@varKSparVAC_LINK int = null,
	@varKSparORDER_STATUS int = 0
	

AS
DECLARE @varKSERROR tinyint, @varKStrancount int, @varKSSQLError int, @varKSRowCount int, @varKScomment varchar(254), @varKSparMOVED int

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN
	
	IF @varKSparDATE_BEGIN IS NULL OR @varKSparDATE_END is null or @varKSparTYPE_LINK is null
	BEGIN
		ROLLBACK
		RETURN 5
	END

	IF @varKSparVAC_LINK is not null SET @varKSparMOVED = 1 ELSE SET @varKSparMOVED = 0

	IF @varKSparDATE_BEGIN > @varKSparDATE_END
		BEGIN
			ROLLBACK
			RETURN 107
		END

	IF @varKSparPERIOD_BEGIN > @varKSparPERIOD_END
		BEGIN
			ROLLBACK
			RETURN 110
		END

	IF (@varKSparPERIOD_BEGIN is null and @varKSparPERIOD_END is not null) or (@varKSparPERIOD_BEGIN is not null and @varKSparPERIOD_END is null)
		BEGIN
			ROLLBACK
			RETURN 111
		END

	
	SELECT @varKSparORDER_LINK = link FROM ORDERS WITH (UPDLOCK) WHERE LINK = @varKSparORDER_LINK
	SELECT @varKSSQLError = @@ERROR, @varKSRowCount = @@ROWCOUNT
	IF @varKSSQLError <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END


	IF @varKSRowCount = 0
	BEGIN
		SET @varKScomment='   '+dbo.ku_GetEmplFIO(@varKSparEMPL_LINK)
		EXECUTE @varKSERROR = KU_ORDER_SAVE @varKSparORDER_LINK OUTPUT, 4, @varKSparNumber, @varKSparDate, @varKScomment, 0, @varKSparDEP_LINK

		IF @varKSERROR <> 0
			RETURN @varKSERROR
	END

	
	IF @varKSparLINK is null OR @varKSparLINK = 0
	BEGIN
		INSERT INTO item_vacation WITH (ROWLOCK) (type_link,COMPENS, period_begin, period_end, date_begin, date_end,reason_link, reason, reason_dop, empl_link, order_link, moved, vac_link, text_dop)
			VALUES (@varKSparTYPE_LINK,@varKSparCOMPENS, @varKSparPERIOD_BEGIN, @varKSparPERIOD_END, @varKSparDATE_BEGIN, 
				@varKSparDATE_END,@varKSparREASON_link, @varKSparREASON,@varKSparREASON_dop, @varKSparEMPL_LINK, @varKSparORDER_LINK, @varKSparMOVED, @varKSparVAC_LINK, @varKSparTEXT_DOP)
		SELECT @varKSSQLError = @@ERROR, @varKSparLINK = @@IDENTITY
		IF @varKSSQLError <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
	END
	
	ELSE
	BEGIN
		UPDATE item_vacation SET type_link=@varKSparTYPE_LINK, COMPENS = @varKSparCOMPENS, period_begin=@varKSparPERIOD_BEGIN,
				period_end=@varKSparPERIOD_END, date_begin=@varKSparDATE_BEGIN, date_end=@varKSparDATE_END, reason_link=@varKSparREASON_link, reason=@varKSparREASON, reason_dop=@varKSparREASON_dop, empl_link=@varKSparEMPL_LINK, 
				order_link=@varKSparORDER_LINK, moved=@varKSparMOVED, vac_link=@varKSparVAC_LINK ,  text_dop=@varKSparTEXT_DOP
		WHERE link=@varKSparLINK
		SELECT @varKSSQLError = @@ERROR, @varKSRowCount = @@ROWCOUNT
		IF @varKSSQLError <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
		IF @varKSRowCount = 0
		BEGIN
			ROLLBACK
			RETURN 2
		END
	END

	UPDATE	dbo.VACATION_GRAPHICS_TABLE
	SET	SFORMIROVAN = @varKSparLINK
	WHERE	LINK = @varKSparVAC_GRAPH_LINK
	SELECT @varKSSQLError = @@ERROR
		IF @varKSSQLError <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
	IF @varKSparORDER_STATUS=1
		UPDATE orders SET status = 1 WHERE link=@varKSparORDER_LINK

IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN
RETURN 0




GO


GRANT EXECUTE ON dbo.[KU_VACATION_SAVE] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[KJ_FORM_T6]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[KJ_FORM_T6]

GO

CREATE PROCEDURE [dbo].KJ_FORM_T6
	@ORDER_LINK	int
AS
	--   (/)
	DECLARE	@nCHECK	int
	SET	@nCHECK = CASE
			    WHEN(SELECT COUNT(*) FROM (SELECT DISTINCT EMPL_LINK FROM ITEM_VACATION WHERE ORDER_LINK = @ORDER_LINK) T) > 1 THEN 1
			    ELSE 0
			  END
	
	
	SELECT	T.*
	INTO	#VACATION_TEMP
	FROM	(
		SELECT
			[LINK]		= V.LINK,			--    
			[VAC_OSN]	= CASE				--     (1-, 0-)
							WHEN (SELECT VAC_V FROM VACATION_VID WHERE LINK = V.TYPE_LINK) = 3 THEN 1
							ELSE 0
						END,
			[DATE_BEGIN]	= V.DATE_BEGIN,			--  
			[DATE_END]	= V.DATE_END,			--  
			[DURATION]	= CASE				-- 
						WHEN V.HOLIDAY = 1 THEN DATEDIFF(DAY,V.DATE_BEGIN,V.DATE_END) - DBO.SA_HOLIDAY_COUNT_FN(V.DATE_BEGIN,V.DATE_END) + 1
						ELSE DATEDIFF(DAY,V.DATE_BEGIN,V.DATE_END) + 1
					  END,
			[PERIOD_BEGIN]	= V.PERIOD_BEGIN,		--  
			[PERIOD_END]	= V.PERIOD_END,			--  
			[REASON]	= V.REASON,			-- 
			[REASON_DOP] = v.reason_dop,	--   
			[DOC_NUM]	= V.NUMBER,			--  
			[DOC_DATE]	= V.DATE,			--  
			[FIO]		= V.FIO,			-- 
			[TN]		= V.TAB_NUM,			--  
			[SUBDIV]	= rtrim(V.SUBDIV),		-- 
			[POST]		= rtrim(V.POST),		-- 
			[VAC_TYPE]	= V.TYPE_NAME,			--  
			[FIO_SHORT]	= LEFT(RTRIM(P.IM), 1) + '.' +  LEFT(RTRIM(P.OT), 1) + '.' + RTRIM(P.FM),
			[TEXT_DOP] = v.text_dop
		FROM	VACATION V LEFT JOIN 
				EMPL E ON V.EMPL_LINK = E.LINK LEFT JOIN 
				PERSON P ON P.LINK = E.PERS_LINK	
		WHERE	V.ORDER_LINK = @ORDER_LINK
		) T
	ORDER	BY T.PERIOD_BEGIN, T.VAC_OSN DESC, T.PERIOD_END, T.DATE_BEGIN,  T.DATE_END
	--
	SELECT * INTO #VACATION_TABLE FROM #VACATION_TEMP
	
	DECLARE @LINK INT, @PERIOD_BEGIN DATETIME, @PERIOD_END DATETIME,@VAC_OSN INT
	WHILE EXISTS(SELECT * FROM #VACATION_TEMP) BEGIN
		SELECT	TOP 1 @LINK = LINK, @PERIOD_BEGIN = PERIOD_BEGIN, @PERIOD_END = PERIOD_END, @VAC_OSN = VAC_OSN FROM #VACATION_TEMP
		UPDATE	#VACATION_TABLE
		SET	VAC_OSN = CASE	WHEN @VAC_OSN = 1 THEN @VAC_OSN
					ELSE (SELECT MIN(VAC_OSN) - 1 FROM #VACATION_TABLE WHERE ISNULL(PERIOD_BEGIN,1) = ISNULL(@PERIOD_BEGIN,1) AND ISNULL(PERIOD_END,1) = ISNULL(@PERIOD_END,1))
				  END
		WHERE	LINK = @LINK
		DELETE	FROM #VACATION_TEMP WHERE LINK = @LINK
	END
	DROP TABLE #VACATION_TEMP
	--      
	CREATE	TABLE #RESULT_1(ORD INT,FIO VARCHAR(300),TN VARCHAR(50),SUBDIV VARCHAR(300),POST VARCHAR(300),
				DOC_NUM VARCHAR(50),DOC_DATE DATETIME,PERIOD_B DATETIME,PERIOD_E DATETIME,
				OSN_BEGIN DATETIME,OSN_END DATETIME,OSN_DUR INT,
				DOP1_BEGIN DATETIME,DOP1_END DATETIME,DOP1_DUR INT,DOP1_TYPE VARCHAR(300),
				DOP2_BEGIN DATETIME,DOP2_END DATETIME,DOP2_DUR INT,DOP2_TYPE VARCHAR(300),
				DOP3_BEGIN DATETIME,DOP3_END DATETIME,DOP3_DUR INT,DOP3_TYPE VARCHAR(300),
				DOP4_BEGIN DATETIME,DOP4_END DATETIME,DOP4_DUR INT,DOP4_TYPE VARCHAR(300),
				FIO_SHORT VARCHAR(50), CLASS_CHIN VARCHAR(254))
	--      
	CREATE	TABLE #RESULT_2(FIO VARCHAR(300),TN VARCHAR(50),SUBDIV VARCHAR(300),POST VARCHAR(300),
				DOC_NUM VARCHAR(50),DOC_DATE DATETIME,PERIOD_B DATETIME,PERIOD_E DATETIME,
				DATE_BEGIN DATETIME,DATE_END DATETIME,DUR_OSN INT,DUR_DOP INT,DUR INT,
				VAC_TYPE VARCHAR(300), FIO_SHORT VARCHAR(50))
	
	DECLARE @ORD INT,@DATE_BEGIN DATETIME,@DATE_END DATETIME,@DURATION INT,@REASON_LINK int,@REASON VARCHAR(200),@REASON_DOP VARCHAR(500),@SUBDIV VARCHAR(150),@TN VARCHAR(20),
		@FIO VARCHAR(150),@DOC_NUM VARCHAR(20),@DOC_DATE DATETIME,@VAC_TYPE VARCHAR(150),@POST VARCHAR(150), @FIO_SHORT VARCHAR(50), @CLASS_CHIN VARCHAR(254),@TEXT_DOP VARCHAR(500)

---------------------]
SET	@CLASS_CHIN = (
			SELECT TOP 1 CH.CHIN_NAME 
			FROM ORDERS			ORD1	LEFT JOIN 
				 VACATION		V	ON ORD1.LINK = V.ORDER_LINK  LEFT JOIN
				 KU_EMPL_CHIN	CH		ON CH.EMPL_LINK = V.EMPL_LINK
			WHERE V.ORDER_LINK = @ORDER_LINK
			ORDER BY CH.DATE DESC)
---------------------------
	DECLARE @DEP_LINK INT
	DECLARE @CHIEF VARCHAR(50), @CHIEF_POST VARCHAR(150), @CHIEF_LINK INT, @LONGNAME VARCHAR(150), @OKPO VARCHAR(50)
	SET @DEP_LINK = (SELECT DEP_LINK FROM USER_DEP)
	SELECT @CHIEF = FACE_NAME, @CHIEF_LINK = FACE_LINK FROM DICTIONARY_OTV_FACE WHERE DEP_LINK = @DEP_LINK AND NAME = ''
	SELECT @LONGNAME = FULL_NAME, @OKPO = OKPO FROM DEPARTMENTS WHERE LINK = @DEP_LINK
	SELECT @CHIEF_POST = POST_NAME FROM KU_EMPL_PLACING WHERE LINK = @CHIEF_LINK

	--     (/)
	IF @nCHECK != 1 BEGIN
		SET @REASON = (SELECT TOP 1 REASON FROM #VACATION_TABLE WHERE LEN(RTRIM(LTRIM(REASON))) != 0)
		SET @REASON_DOP = (SELECT TOP 1 REASON_DOP FROM #VACATION_TABLE WHERE LEN(RTRIM(LTRIM(REASON_DOP))) != 0)
		SET @TEXT_DOP = (SELECT TOP 1 TEXT_DOP FROM #VACATION_TABLE WHERE LEN(RTRIM(LTRIM(TEXT_DOP))) != 0)
		SET @ORD = 0
	 	WHILE EXISTS(SELECT * FROM #VACATION_TABLE) BEGIN		
	 		SELECT	TOP 1 @LINK = LINK, @VAC_OSN = VAC_OSN, @DATE_BEGIN = DATE_BEGIN, @DATE_END = DATE_END, @DURATION = DURATION,
			@PERIOD_BEGIN = PERIOD_BEGIN, @PERIOD_END = PERIOD_END, @DOC_NUM = DOC_NUM,  @DOC_DATE = DOC_DATE,
					@FIO = FIO, @TN = TN, @SUBDIV = SUBDIV, @POST = POST, @VAC_TYPE = VAC_TYPE, @FIO_SHORT = FIO_SHORT
			FROM	#VACATION_TABLE
			IF NOT EXISTS(SELECT * FROM #RESULT_1 WHERE PERIOD_B = @PERIOD_BEGIN AND @PERIOD_END = PERIOD_E) SET @ORD = @ORD + 1
			IF @VAC_OSN = 1 BEGIN
				INSERT	INTO #RESULT_1
				VALUES	(@ORD, @FIO, @TN, @SUBDIV, @POST, @DOC_NUM, @DOC_DATE, @PERIOD_BEGIN, @PERIOD_END,
					 @DATE_BEGIN, @DATE_END, @DURATION, NULL, NULL, 0,'', NULL, NULL, 0,'', NULL, NULL, 0,'', NULL, NULL, 0, '', @FIO_SHORT, @CLASS_CHIN)
			END
			ELSE BEGIN
				IF NOT EXISTS(SELECT * FROM #RESULT_1 WHERE ORD = @ORD) BEGIN
					INSERT	INTO #RESULT_1
					VALUES	(@ORD, @FIO, @TN, @SUBDIV, @POST, @DOC_NUM, @DOC_DATE, @PERIOD_BEGIN, @PERIOD_END,
						 NULL, NULL, 0, NULL, NULL, 0,'', NULL, NULL, 0,'', NULL, NULL, 0,'', NULL, NULL, 0, '', @FIO_SHORT,@CLASS_CHIN)
				END
				IF @VAC_OSN = -1
					UPDATE	#RESULT_1
					SET	DOP1_BEGIN = @DATE_BEGIN, DOP1_END = @DATE_END, DOP1_DUR = @DURATION, DOP1_TYPE = @VAC_TYPE
					WHERE	ORD = @ORD
				IF @VAC_OSN = -2
					UPDATE	#RESULT_1
					SET	DOP2_BEGIN = @DATE_BEGIN, DOP2_END = @DATE_END, DOP2_DUR = @DURATION, DOP2_TYPE = @VAC_TYPE
					WHERE	ORD = @ORD
				IF @VAC_OSN = -3
					UPDATE	#RESULT_1
					SET	DOP3_BEGIN = @DATE_BEGIN, DOP3_END = @DATE_END, DOP3_DUR = @DURATION, DOP3_TYPE = @VAC_TYPE
					WHERE	ORD = @ORD
				IF @VAC_OSN = -4
					UPDATE	#RESULT_1
					SET	DOP4_BEGIN = @DATE_BEGIN, DOP4_END = @DATE_END, DOP4_DUR = @DURATION, DOP4_TYPE = @VAC_TYPE
					WHERE	ORD = @ORD
			END
	 		DELETE FROM #VACATION_TABLE WHERE LINK = @LINK
	 	END
	
		DECLARE @DUR INT, @DATE_B DATETIME, @DATE_E DATETIME
		SET @DUR = (SELECT SUM(OSN_DUR) + SUM(DOP1_DUR) + SUM(DOP2_DUR) + SUM(DOP3_DUR) + SUM(DOP4_DUR) FROM #RESULT_1)
			
		CREATE	TABLE #DATE_TEMP (VALUE DATETIME)
		INSERT	INTO #DATE_TEMP
		SELECT	MIN(OSN_BEGIN) FROM #RESULT_1
		UNION ALL
		SELECT	MIN(DOP1_BEGIN) FROM #RESULT_1
		UNION ALL
		SELECT	MIN(DOP2_BEGIN) FROM #RESULT_1
		UNION ALL
		SELECT	MIN(DOP3_BEGIN) FROM #RESULT_1
		UNION ALL
		SELECT	MIN(DOP4_BEGIN) FROM #RESULT_1
		SET @DATE_B = (SELECT MIN(VALUE) FROM #DATE_TEMP)
	
		DELETE FROM #DATE_TEMP
		INSERT	INTO #DATE_TEMP
		SELECT	MAX(OSN_END) FROM #RESULT_1
		UNION ALL
		SELECT	MAX(DOP1_END) FROM #RESULT_1
		UNION ALL
		SELECT	MAX(DOP2_END) FROM #RESULT_1
		UNION ALL
		SELECT	MAX(DOP3_END) FROM #RESULT_1
		UNION ALL
		SELECT	MAX(DOP4_END) FROM #RESULT_1
		SET @DATE_E = (SELECT MAX(VALUE) FROM #DATE_TEMP)
		DROP TABLE #DATE_TEMP
		
 		SELECT	T.*,
			[LONGNAME] = @LONGNAME,
			[CHIEF] = @CHIEF,
			[CHIEF_POST] = @CHIEF_POST,
			[OKPO] = @OKPO,
			[DUR] = @DUR,
			[DATE_B] = @DATE_B,
			[DATE_E] = @DATE_E,
			[REASON] = @REASON,
			[REASON_DOP] = @REASON_DOP,
			[TEXT_DOP] = @TEXT_DOP
 		FROM	#RESULT_1 T
	END ELSE BEGIN
		INSERT	INTO #RESULT_2
		SELECT	FIO,TN,SUBDIV,POST,DOC_NUM,DOC_DATE,PERIOD_BEGIN,PERIOD_END,DATE_BEGIN,DATE_END,
			CASE WHEN VAC_OSN = 1 THEN DURATION
			     ELSE 0
			END,
			CASE WHEN VAC_OSN != 1 THEN DURATION
			     ELSE 0
			END,
			DURATION,
			CASE WHEN VAC_OSN = 1 THEN ''
			     ELSE VAC_TYPE
			END, FIO_SHORT
		FROM	#VACATION_TABLE

		SELECT	T.*,
			[LONGNAME] = @LONGNAME,
			[CHIEF] = @CHIEF,
			[CHIEF_POST] = @CHIEF_POST,
			[OKPO] = @OKPO
		FROM	#RESULT_2 T
		ORDER	BY FIO, DATE_BEGIN
	END
	--
	DROP TABLE #VACATION_TABLE
	DROP TABLE #RESULT_1
	DROP TABLE #RESULT_2





GO


GRANT EXECUTE ON dbo.[KJ_FORM_T6] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_EXPORT_PFR_100_17]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_STAZH_EXPORT_PFR_100_17]

GO

CREATE      PROCEDURE [dbo].SZV_STAZH_EXPORT_PFR_100_17 (
@DOC_LINK int  /*  */
) AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

CREATE TABLE #DOC(LINK INT)

INSERT INTO #DOC (LINK)
SELECT LINK = @DOC_LINK

CREATE TABLE #ODV1_ONLY(DOC_LINK INT , ODV1_ONLY TINYINT )	
insert into #ODV1_ONLY(DOC_LINK, ODV1_ONLY)
select 
	doc_link = d.link,
	ODV1_ONLY = (SELECT TOP 1 [type] FROM dbo.SS_SZV_STAZH_PACHKA WHERE link = d.Link)
from #DOC d


--  

CREATE TABLE #ODV1 (
		[LINK_SZV]     INT, 
		[YEAR]     INT ,
		[PER]      INT ,
		[PER_edt]      INT ,
		[YEAR_edt]     INT ,
		[PER10]    INT ,
		[TYPE]	   tinyint,
		[VID_KOR]  tinyint, 
		[COUNT_P]  INT,
		[COUNT_PK] INT,
		[COUNT_PERS] INT,  
		[REG_NOM_PF] VARCHAR(20),
		[DEP_NAME] VARCHAR(254),
		[OKPO] VARCHAR(40),
		[INN] VARCHAR(12),
		[KPP] VARCHAR(9),
		DATE_CRT datetime,
		DATE_DOC datetime,
		[GUID] UNIQUEIDENTIFIER)  

CREATE TABLE #ODV1_2 (
		[LINK_SZV]  INT,
		[link_pers] INT , 
		[subdiv_name] VARCHAR(254), 
		[POST_NAME] VARCHAR(254) , 
		[num_stake] NUMERIC(5,2),
		[work_stake] NUMERIC(5,2),
		[Fakt_Work] VARCHAR(254) ,
		[DOC_NAME] VARCHAR(10), 
		[OSOB_USL] VARCHAR(10) , 
		[N_OSOB_USL] VARCHAR(150) ,
		POS_SPIS VARCHAR(150))  

create table #SZV_ST (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[NGROUP] INT,
	[T_DOG] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int)



create table #PERS_INFO2 (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[T_DOG] INT ,
	[NGROUP] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int)



--       -
DECLARE @CURS1 CURSOR, @link_DOC int, @link_doc_old INT 

set @link_doc_old = 0

SET @CURS1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM #DOC order by link 


OPEN @CURS1
FETCH NEXT FROM @CURS1 INTO @LINK_DOC

WHILE @@FETCH_STATUS = 0	

BEGIN
		
			if @link_doc_old = 0
			begin
				set @link_doc_old = @LINK_DOC 
			end
			--  
	
			INSERT INTO #ODV1 ([LINK_SZV],[YEAR],[PER],[PER_EDT],[YEAR_EDT],[PER10],[TYPE],[VID_KOR],[COUNT_P],[COUNT_PK],[COUNT_PERS],
							   [REG_NOM_PF],[DEP_NAME],[OKPO],[INN],[KPP],DATE_CRT,DATE_DOC,[GUID])  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 1 
			
			INSERT INTO #ODV1_2 ([LINK_SZV],[link_pers],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],
								 [DOC_NAME],[OSOB_USL],[N_OSOB_USL] ,[POS_SPIS] )  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 2 
			
	
			---  #SZV_ST
				
				INSERT INTO #SZV_ST([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV)
				exec dbo.SZV_STAZH_PRINT @LINK_DOC
				
	
				update #SZV_ST  set FM = UPPER(FM), IM = UPPER(IM), OT = UPPER(OT), ADDRESS2 = UPPER(ADDRESS2) WHERE link_SZV = @LINK_DOC 
			
				
				--  #PERS_INFO2 

				INSERT INTO #PERS_INFO2([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP)

				SELECT	[LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP
				FROM #SZV_ST
			

			set @link_doc_old = @link_doc

	FETCH NEXT FROM @CURS1 INTO @LINK_DOC
END

CLOSE @CURS1
DEALLOCATE @CURS1			

DECLARE @NN INT, @PN INT, @ON INT
SELECT @NN = 0, @PN = 0, @ON = 0




DECLARE @PI_NGROUP INT, @PI_ID INT, @PI_link_szv int, @PI_T_DOG tinyint  
DECLARE @Cur_PI CURSOR
SET @Cur_PI = CURSOR FORWARD_ONLY

FOR select link_szv, NGROUP,T_DOG, [ID]  from #SZV_ST order by link_szv,T_DOG, NGROUP, [ID]

OPEN @Cur_PI
FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		SET @NN = (CASE WHEN @PI_NGROUP <> @PN THEN 1 ELSE (CASE WHEN @ON <> @PI_ID THEN @NN + 1 ELSE @NN END) END)
		SET @PN = (CASE WHEN @PI_NGROUP <> @PN THEN @PI_NGROUP ELSE @PN END)

		UPDATE A
		SET 
			ID = @NN
		FROM #SZV_ST A 
		WHERE link_szv = @PI_link_szv and  NGROUP = @PI_NGROUP and  T_DOG = @PI_T_DOG  AND ID = @PI_ID

		SET @ON = @NN				

	END

	FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
END

CLOSE @Cur_PI
DEALLOCATE @Cur_PI




-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

DECLARE @Cur1 CURSOR, @link_szv INT, @NGROUP int /* */, @lcFNAME varchar(254) /*  */, 
	@TIPD varchar(254), @DATE_DOC datetime, 
	@INN VARCHAR(12), @KPP VARCHAR(9), @OKPO VARCHAR(40), @DEP_NAME VARCHAR(254), @PFNUMBER VARCHAR(254), @PACHNUM VARCHAR(5),
	@COUNT_P VARCHAR(10) , @COUNT_PK VARCHAR(10), @COUNT_PERS VARCHAR(4), @DATE_CRT VARCHAR(10),
	@YEAR VARCHAR(4),@sved int , @TYP_SVED VARCHAR(20), @kor INT,
	@VID_KOR VARCHAR(20),@PER VARCHAR(1),@PER_EDT VARCHAR(1), @YEAR_EDT VARCHAR(4),  @TYPE VARCHAR(20), @GUID VARCHAR(36),
	@EGRUL varchar(15), @CHIEF_POST_OUR VARCHAR(150) , @CH_FM  VARCHAR(150) , @CH_IM  VARCHAR(150),@CH_OT  VARCHAR(150)
	/*@INSUR VARCHAR(20), @INSUR1 VARCHAR(20), @GAIN VARCHAR(20), @GAIN1 VARCHAR(20),
	@INC_T1_M1 VARCHAR(20),@INC_T1_M2 VARCHAR(20),@INC_T1_M3 VARCHAR(20),@INC_T2_M1 VARCHAR(20),@INC_T2_M2 VARCHAR(20),@INC_T2_M3 VARCHAR(20),  
	
	@KATEG VARCHAR(20)*/

SELECT 
	@EGRUL = LTRIM(RTRIM(EGRUL))
FROM DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )


SELECT @CHIEF_POST_OUR = (SELECT TOP 1 post_name FROM dbo.SD_EMPL AS se WHERE link  = a.face_link),
		@CH_FM = (SELECT TOP 1 LTRIM(RTRIM(FM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_IM = (SELECT TOP 1 LTRIM(RTRIM(IM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_OT = (SELECT TOP 1 LTRIM(RTRIM(OT)) FROM dbo.sd_empl WHERE link  = a.face_link)
FROM DICTIONARY_OTV_FACE_ALL A  
inner join dbo.SS_SZV_STAZH_PACHKA P on a.dep_link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )
AND  a.NAME = '' 



SET @Cur1 = CURSOR FORWARD_ONLY
FOR 
select 	
	link_szv,
	FNAME = '_'+ RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))) + '_'+LEFT(REPLACE([REG_NOM_PF],'-',''),6)+'_-_'+CONVERT(VARCHAR(8),ltrim(rtrim(replace(CONVERT(VARCHAR(10),DATE_DOC,102),'.',''))))+'_'+ltrim(rtrim([GUID]))+'.XML',
	INN = 	RTRIM(LTRIM(COALESCE(INN,''))),
	KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
	[OKPO] = RTRIM(LTRIM(COALESCE(OKPO,''))),
	DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
	PFNUMBER = RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))),
	--PACHNUM = RTRIM(LTRIM(CONVERT(VARCHAR(10),NGROUP))), 	
	[COUNT_P] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_P]))), 	
	[COUNT_PK] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PK]))),
	[COUNT_PERS] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PERS]))),
	DATE_CRT = CONVERT(VARCHAR(10),DATE_CRT,104),
	DATE_DOC = DATE_DOC,
	[YEAR] = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END),
	SVED = [TYPE] ,
	TYP_SVED = (CASE WHEN [TYPE] = 1 THEN '' else (CASE WHEN [TYPE] = 2 THEN '' else '' end) end),
	KOR = [VID_KOR] ,
	VID_KOR = (CASE WHEN [VID_KOR] = 2 THEN '' else (CASE WHEN [VID_KOR] = 3 THEN '' else '' end) end),
	[PER] = 0 ,  --CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
	PER_EDT = CONVERT(VARCHAR(1),[PER_edt]), 
	YEAR_EDT = CONVERT(VARCHAR(4),[YEAR_EDT]), 
	[TYPE] = (CASE [TYPE] WHEN 1 THEN '' WHEN 2 THEN '' WHEN 3 THEN '' ELSE '' end),
	[GUID] = RTRIM(LTRIM(CONVERT(VARCHAR(36),iSnull([GUID],null))))
from #ODV1 order by link_szv

/*  A63        61 */
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	 @SVED, @TYP_SVED, @KOR,@VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			  SELECT @lcFNAME, 'UTF-8' -- 
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8" ?>'
			 -- UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.///2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21" xmlns:="http://.///2014-01-01" xmlns:="http://.///2017-01-01"'+CHAR(10)+CHAR(13) 
			--										+ 'xmlns:xs="http://www.w3.org/2001/XMLSchema">'
			UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21"'+CHAR(10)+CHAR(13)
+ ' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://.//-/2017-01-01'+CHAR(10)
+'..\..\..\..\\\\2017\-_2017-01-01.xsd">'
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
				 
				UNION ALL SELECT @lcFNAME, SPACE(2) + '<:GUID>'+RTRIM(LTRIM(COALESCE(@GUID,'')))+'</:GUID>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<:>'+CONVERT(VARCHAR(25),ltrim(rtrim(replace(convert(varchar(19),GETDATE(),126 ),'.','')+'+03:00')))+'</:>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<2:>'+ @NAME_PROG +' ' + @VERS_PROG +'</2:>' + CHAR(13) + CHAR(10)
				UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<-1>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + CASE when @VID_KOR = 2 THEN '1' ELSE '0' end + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'					
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + RTRIM(LTRIM(ISNULL(@COUNT_PERS,''))) + '</>'
	

	IF (SELECT COUNT([work_stake])  FROM #ODV1_2 WHERE [LINK_SZV] =  @link_szv ) <>0
	BEGIN 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		  SELECT @lcFNAME , SPACE(2) + '<>'
		
		
		-- 1 
		DECLARE @Cur2 CURSOR, @LINK_SZV1 int, @subdiv_name varchar(254), @POST_NAME varchar(254), @num_stake NUMERIC(5,2), @work_stake NUMERIC(5,2),
				@Fakt_Work VARCHAR(254), @DOC_NAME VARCHAR (10),@OSOB_USL VARCHAR(10),@POS_SPIS VARCHAR(150) 
			SET @Cur2 = CURSOR FORWARD_ONLY
			FOR 
			Select	[LINK_SZV],[subdiv_name],
					[POST_NAME],[num_stake],[work_stake],
					[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 
			FROM #ODV1_2  WHERE  [LINK_SZV] = @link_szv 
			GROUP BY [LINK_SZV],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 			   			
		
				OPEN @Cur2
				FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS
				WHILE (@@fetch_status <> -1)
				BEGIN
					IF (@@fetch_status <> -2)
					BEGIN	
						IF isnull(@OSOB_USL,'') <> '' AND isnull(@POS_SPIS,'') <> '' 
						begin		
							  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											Select @lcFNAME, SPACE(3) + '<:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@subdiv_name,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@POST_NAME,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(CONVERT(VARCHAR(8),ISNULL(@num_stake,''))))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(ISNULL(@work_stake,''))))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(ISNULL(@Fakt_Work,''))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@DOC_NAME,'-')))+'</:>' 
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@OSOB_USL,'')))+'</:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@POS_SPIS,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '</:>'
								  UNION ALL SELECT @lcFNAME, SPACE(3) + '</:>'
						end
					END
				
					FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS					  
					
				END 
			CLOSE @Cur2
			DEALLOCATE @Cur2
								
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(3) + '<:>'+ RTRIM(LTRIM(CONVERT(VARCHAR(8),SUM(@num_stake))))+ '</:> '  + CHAR(10)
							  +	 SPACE(3) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(sum(@work_stake))))) + '</:>'
				FROM #ODV1_2 WHERE LINK_SZV = @DOC_LINK  GROUP BY LINK_SZV
				UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	END 

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(2) + '<>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+RTRIM(LTRIM(isnull(@CHIEF_POST_OUR,'')))+'</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_FM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_IM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_OT,'')))+'</:>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+convert(VARCHAR(10),@DATE_DOC , 120) +'</>'
		UNION ALL SELECT @lcFNAME, SPACE(1) + '</-1>'

	-- - 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	Select @lcFNAME, SPACE(1) + '<->'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	UNION ALL Select @lcFNAME, SPACE(2) + '<>'+CASE WHEN  @SVED = 2 THEN '2' 
															     WHEN  @SVED = 1 AND @KOR = 1 THEN '0'	
															     WHEN @SVED = 1 AND @KOR = 2 THEN '1'
															ELSE '0'  END    
												  +'</>'  + CHAR(10)
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'	


	DECLARE @LINK_SZV_ST int, @TYPE_SV INT , @TYPE_KOR INT , @ID int, @ID_EX INT, @PF_NUMBER VARCHAR(14)
	SET @Cur2 = CURSOR FORWARD_ONLY
	FOR 
	Select	[LINK_SZV],[TYPE_SV],[TYPE],[ID],[PFNUMBER]
	FROM #SZV_ST  WHERE  [LINK_SZV] = @link_szv 
	GROUP BY [LINK_SZV],[ID],[PFNUMBER],[TYPE_SV],[TYPE]
	ORDER BY [LINK_SZV],[ID],[PFNUMBER]	,[TYPE_SV],[TYPE]	   			
	
	OPEN @Cur2
	FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN	
			  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						Select @lcFNAME, SPACE(2) +'<>'	+ CHAR(10)
										  + SPACE(3) + '<>'	+ CHAR(10)  
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(FM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(IM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(OT,'')))+'</:>'+ CHAR(10) 
										  + SPACE(3) + '</>'+ CHAR(10) 
										  + SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL([PFNUMBER],''))) + '</>' + CHAR(10) 
										FROM 	#SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1 AND [PFNUMBER] = @PF_NUMBER

									
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
									Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
											  + SPACE(4) + '<:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
											  + SPACE(4) + '</:>' + CHAR(10) 
											  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
														or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
													 THEN  
											  		SPACE(4) + '<:>' + CHAR(10) 
												  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
														 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
													  + SPACE(5) + '</:>' + CHAR(10) 		 
													ELSE '' END
												  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
													  + SPACE(5) + '</:>' + CHAR(10)
													ELSE '' END
												  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)	
														+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														 SPACE(6) + '<:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</: >' + CHAR(10)
														  ELSE '' END
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														  SPACE(6) + '<:>' + CHAR(10)
															--SPACE(9) + '<>0</>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</:>' + CHAR(10)
														  ELSE '' END
													  + SPACE(5) + '</:>' + CHAR(10)
													 ELSE '' END
													  
													  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
														SPACE(5) + '<:>' + CHAR(10)
														+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
															 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
															 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
														+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
												  			--SPACE(9) + '<>0</>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
													  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  			SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  		ELSE '' END
													  +SPACE(5) + '</:>' + CHAR(10)
													   ELSE '' END
												  + SPACE(4) + '</:>' + CHAR(10) 
											  ELSE '' END											  
										  + SPACE(3) + '</>' + CHAR(10)  
										FROM #pers_info2
										where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER
	  
										  
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
								Select @lcFNAME, SPACE(2) +'</>'	+ CHAR(10)  
										FROM 	#SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1  AND [PFNUMBER] = @PF_NUMBER
		END
	
		FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER--,@ID_EX 				  
		
	END 
	CLOSE @Cur2
	DEALLOCATE @Cur2	
		

	END


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	 SELECT @lcFNAME, SPACE(1) + '</->'	
	UNION ALL SELECT @lcFNAME, SPACE(0) +'</>'

	FETCH NEXT FROM @Cur1 INTO  @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	@SVED, @TYP_SVED,@KOR, @VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
END

CLOSE @Cur1
DEALLOCATE @Cur1


SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]















GO


GRANT EXECUTE ON dbo.[SZV_STAZH_EXPORT_PFR_100_17] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[KJ_VACATION_TO_PERIOD]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[KJ_VACATION_TO_PERIOD]

GO

/*
  (Keysystems), 2005
*/

CREATE PROCEDURE [dbo].KJ_VACATION_TO_PERIOD
	@date1 datetime,
	@date2 datetime
AS
DECLARE @WORKDATE DATETIME
DECLARE @DEP_LINK INT
SET @DEP_LINK = (SELECT DEP_LINK FROM USER_DEP)
SELECT	IV.TAB_NUM as tab,
	IV.FIO as fio,
	IV.SUBDIV as subdiv,
	IV.POST as post,
	IV.TYPE_NAME as vac_vid,
	IV.DATE_BEGIN as d_begin,
	IV.DATE_END as d_end,
	IV.period_begin AS p_begin,
	IV.period_end AS p_end,
	duration = 	 datediff(day, iv.DATE_BEGIN,IV.DATE_END) -  (select dbo.SA_HOLIDAY_COUNT_FN(iv.DATE_BEGIN,IV.DATE_END)) +  1
FROM	dbo.VACATION IV
WHERE	IV.DEP_LINK = @DEP_LINK
	AND IV.ACTIVE = 1
	AND IV.DATE_BEGIN BETWEEN @date1 AND @date2
ORDER BY IV.[DATE],IV.FIO,IV.DATE_BEGIN

GO


GRANT EXECUTE ON dbo.[KJ_VACATION_TO_PERIOD] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_PACHKA_DELETE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_PACHKA_DELETE]

GO

---------------------------------

CREATE PROCEDURE dbo.SS_SZV_ST_PACHKA_DELETE
	@varKSintLINK	int
AS
DECLARE @varKStrancount	int,
		@varKSObjectLink	int,
		@varKSEventText	varchar(254)

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN
	SELECT @varKSEventText = ' : ' + RTRIM(LTRIM(convert(varchar(10),Numer))) + '  ' + CONVERT(VARCHAR(10),Date,104) FROM dbo.SS_SZV_STAZH_PACHKA 
			WITH (UPDLOCK) WHERE LINK = @varKSintLINK
	IF @@RowCount = 0 OR @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 2
	END
	DELETE FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @varKSintLINK
	IF @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END
IF @@TRANCOUNT > @varKStrancount
	BEGIN
		SELECT @varKSObjectLink = LINK FROM S_OBJECTS WHERE CODE = 'SS_SZV_STAZH_PACHKA'
		EXECUTE WF_GENERATEEVENT '  ', @varKSEventText, @varKSObjectLink, 'SS_SZV_STAZH_PACHKA', @varKSintLINK

		COMMIT TRAN
	END
RETURN 0


GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_PACHKA_DELETE] TO PUBLIC

GO


-- --


GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_U_NDFL_FILL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_U_NDFL_FILL]

GO

CREATE PROCEDURE [dbo].[SD_U_NDFL_FILL]
	@varKSlinkEmpl	 int,  
	@varKSRef_Pay  int, 	 
	@varKSDate datetime, 	 
	@varKSLinkVKR int,
	@varKSLinkEKR int,	
	@varKSfl int = 0

AS 
SET NOCOUNT ON
DECLARE @varKSMonth int, 
	  @varKSYear int, 
	  @LINK_PERSON int, 
	  @Sum_PredMestoRab numeric(15,2), 
	  @Sum_DGH numeric(15,2), 
	  @varKSFlagD int,
	  @Status int	-->>NEW

IF @varKSfl>0
	SET @varKSfl = 1

DECLARE @NDFL_OPT8 TINYINT --   
SET @NDFL_OPT8 = dbo.sa_get_option_by_code('NDFL_OPT8')

SET @varKSMonth= month(@varKSDate)
SET @varKSYear = year(@varKSDate)

declare @DEP_LINK int
SELECT @DEP_LINK = DEP_LINK, @LINK_PERSON = PERS_LINK FROM DBO.EMPL WHERE LINK = @varKSlinkEmpl

DECLARE @Link211EKR int
Set @Link211EKR = ISNULL((SELECT TOP 1 LINK FROM KOSGU WHERE CODE = '211'),0)

if @varKSfl = 1
	Select [] = [NAME] from dbo.DEPARTMENTS where link = @DEP_LINK

Select @Status= [STATUS] from dbo.ITEM_MOVE where ACTIVE = 1 and EMPL_LINK = @varKSlinkEmpl	-->>NEW

SET @varKSFlagD = 0

DECLARE @DIS_DATE DATETIME
SET @DIS_DATE = COALESCE((SELECT TOP 1 IDF.DIS_DATE FROM DBO.ITEM_DIS_FACE IDF with (nolock) WHERE IDF.EMPL_LINK = @varKSlinkEmpl AND IDF.ACTIVE=1),'29990101')

SET @Sum_PredMestoRab = 0
IF YEAR(dbo.kd_DateBeginWork(@varKSlinkEmpl,@varKSDate)) = @varKSYear
BEGIN

	SET @Sum_PredMestoRab =(SELECT ISNULL(SUM(SUMMA_TYP_INCOMS),0) FROM dbo.SD_EMPL_PREV_DOHOD WHERE LINK_EMPL = @varKSlinkEmpl)
			- (SELECT ISNULL(SUM(SUMMA_DED),0) FROM dbo.SD_EMPL_PREV_DED WHERE LINK_EMPL = @varKSlinkEmpl and 
					LINK_DED IN (SELECT distinct REF_DEDUCT FROM DICTIONARY_TYP_INCOMS where REF_DEDUCT is not null) )
	IF @Sum_PredMestoRab IS null or @Sum_PredMestoRab < 0
		SET @Sum_PredMestoRab = 0
	SET @varKSFlagD = 1
END

--    
SET @Sum_DGH = ISNULL(
	(
	SELECT SUM(SUMMA_BASE)
	FROM 
		dbo.PAYS P
		INNER JOIN dbo.CALCULATE_JURNAL J ON P.LINK = J.LINK_PAYS
	WHERE
		P.[OBJECT] = 2 --
		AND P.WAY_CALC = 4 -- 13%
		AND J.PERS_LINK = @LINK_PERSON
		AND ISNULL(J.LINK_EMPL,0) = 0
		AND J.LINK_DEP = @DEP_LINK
		AND YEAR(J.PERIOD_BEGIN) = @varKSYear
		AND MONTH(J.PERIOD_BEGIN) <= @varKSMonth
	),0)
---
IF @varKSfl = 1 
	SELECT Case @Status when 1 then ' ' when 2 then ' ' else ' ' end + 
	': '+rtrim(TAB)+ ' ' +rtrim(dbo.sd_GetEmplName(LINK))+  ',  ' + rtrim(convert(varchar(100),@varKSMonth))+ 
			 ',  ' +rtrim( convert(varchar(100),@varKSYear )) as ' '  FROM dbo.EMPL WHERE LINK = @varKSlinkEmpl

IF @varKSfl = 1 
	SELECT dbo.SumToMoney(@Sum_DGH) AS [       ] 
			    
IF  @varKSfl = 1 
	SELECT ' : '+ dbo.SumToMoney((select sum(summa_TYP_INCOMS) from dbo.SD_EMPL_PREV_DOHOD where link_empl =@varKSlinkEmpl)) + ' ,  : '+
	 dbo.SumToMoney((select sum(summa_ded) from dbo.SD_EMPL_PREV_DED where link_empl =@varKSlinkEmpl and LINK_DED NOT IN (SELECT distinct REF_DEDUCT FROM DICTIONARY_TYP_INCOMS where REF_DEDUCT is not null) ))
	+ ' ,  : '+
	dbo.SumToMoney((select sum(summa_ded) from dbo.SD_EMPL_PREV_DED where link_empl =@varKSlinkEmpl and LINK_DED IN (SELECT distinct REF_DEDUCT FROM DICTIONARY_TYP_INCOMS where REF_DEDUCT is not null) ))  as [    ]


/**/
Declare @isPrevPreiod tinyint
--        ,     .                   
Set @isPrevPreiod = dbo.sa_get_option_by_code('NDFL_OPT6')
Set @isPrevPreiod = 1 - ISNULL(@isPrevPreiod,0)

Declare @SJC table (link_empl int, link_pays int, link_vkr int, link_ekr int, typ_per tinyint, typ_oper tinyint, summa numeric(18,2), period_begin datetime, date1 datetime)

Insert into @SJC (link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, period_begin, date1)
Select 
	JC.LINK_EMPL, P.LINK, link_vkr, S.LINK, P.TYP_PER, P.[OBJECT], summa, 
	period_begin = (case when @isPrevPreiod = 0 then JC.period_begin 
			else (Case 
					when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code <> 'DOCUMENTS_ADD_PREMIUM' and d.code <> 'DOCUMENTS_ADD_PERCENT'
					then JC.DATE_BEGIN else JC.period_begin 
				end) 
			end),
	JC.DATE_BEGIN
from 
	dbo.CALCULATE_JURNAL JC 
	INNER JOIN dbo.EMPL E ON JC.LINK_EMPL = E.LINK
	INNER JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
	CROSS APPLY (SELECT LINK FROM dbo.KOSGU T WHERE T.CODE = 'R211') R211
	CROSS APPLY (SELECT LINK FROM dbo.KOSGU T WHERE T.CODE = '211') T211
	INNER JOIN dbo.KOSGU S ON S.LINK = (CASE WHEN R211.LINK = ISNULL(JC.LINK_EKR,P.LINK_EKR) THEN T211.LINK ELSE ISNULL(JC.LINK_EKR,P.LINK_EKR) END)	
	LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
where
	P.OBJECT = 1
	AND
	P.LINK in (Select TAX_LINK from dbo.group_tax(@varKSRef_Pay)) 
	AND (
			@isPrevPreiod = 0 and @varKSMonth >= month(JC.PERIOD_BEGIN) and @varKSYear = year(JC.PERIOD_BEGIN)
		or 
			@isPrevPreiod = 1 
			and (@varKSMonth >= month(JC.DATE_BEGIN) or @varKSMonth >= month(JC.PERIOD_BEGIN) )
			and (@varKSYear = year(JC.DATE_BEGIN) or @varKSYear = year(JC.PERIOD_BEGIN) )
		)
	AND  
		(	-->>NEW
		@Status <> 1 AND JC.LINK_EMPL = @varKSlinkEmpl /*   ,      */
		or
		@Status = 1 AND E.PERS_LINK = @LINK_PERSON /*  ,      */
		)	
	AND JC.LINK_DEP = @DEP_LINK 
	

DECLARE @Val TABLE 
([MONTH] 		[int],
 [EMPL_SUMMA] 		[numeric](19, 2),
 [SUMMA] 		[numeric](19, 2),
 [EMPL_SUMMA_VKR]	[numeric](19, 2),
 [SUMMA_VKR]		[numeric](19, 2),
 [SUMMA_M]		[numeric](19, 2),
 [SUMMA_M_211]  [numeric](19, 2), --        211 
 [SUMMA_M_VKR]		[numeric](19, 2)
 --[SUMMA_M_VKR1]		[numeric](19, 2)
)

INSERT INTO @Val([MONTH],[SUMMA],[EMPL_SUMMA], [SUMMA_VKR], [EMPL_SUMMA_VKR],[SUMMA_M],[SUMMA_M_211],[SUMMA_M_VKR])--,[SUMMA_M_VKR1])
SELECT T.NUM AS [MONTH],  
		[SUMMA] = SUM(SJ.SUMMA), 
		[EMPL_SUMMA] = SUM(CASE WHEN SJ.LINK_EMPL = @varKSlinkEmpl THEN SJ.SUMMA ELSE 0 END),
		[SUMMA_VKR] = SUM(CASE WHEN SJ.LINK_VKR = @varKSLinkVKR   AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END), 
		[EMPL_SUMMA_VKR] = SUM(CASE WHEN SJ.LINK_VKR = @varKSLinkVKR AND SJ.LINK_EMPL = @varKSlinkEmpl AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END), 
		[SUMMA_M] = SUM(CASE WHEN Month(sj.period_begin) = T.NUM AND SJ.LINK_EMPL = @varKSlinkEmpl THEN SJ.SUMMA ELSE 0 END), 
		[SUMMA_M_211] = SUM(CASE WHEN Month(sj.period_begin) = T.NUM AND SJ.LINK_EMPL = @varKSlinkEmpl AND SJ.LINK_EKR = @Link211EKR THEN SJ.SUMMA ELSE 0 END), 
		[SUMMA_M_VKR] = SUM(CASE WHEN Month(sj.period_begin) =T.NUM AND SJ.LINK_VKR = @varKSLinkVKR AND SJ.LINK_EMPL = @varKSlinkEmpl AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END)
--		[SUMMA_M_VKR1] = SUM(CASE WHEN Month(sj.period_begin) =T.NUM AND SJ.LINK_VKR = @varKSLinkVKR AND SJ.LINK_EMPL = @varKSlinkEmpl THEN SJ.SUMMA ELSE 0 END)
FROM dbo.MONTHS T, @SJC SJ
WHERE SJ.TYP_OPER = 1 AND T.NUM <= @varKSMonth
		AND T.NUM >= Month(sj.period_begin)
		AND  @varKSYear = Year(sj.period_begin)
GROUP BY  T.NUM

if @varKSfl = 1 
	select [month] as [], dbo.SumToMoney([summa]) as [     ], dbo.SumToMoney(summa_vkr) as [      ], dbo.SumToMoney(summa_m) as [   ], 
	dbo.SumToMoney(summa_m_vkr) as [     ]  from @Val

/*  */
DECLARE @Val2 TABLE 
([MONTH] 		[int],
 [SUMMA] 		[numeric](19, 2),
 [EMPL_SUMMA] 		[numeric](19, 2),
 [SUMMA_VKR]		[numeric](19, 2),
 [EMPL_SUMMA_VKR]	[numeric](19, 2),
 [SUMMA_M]		[numeric](19, 2),
 [SUMMA_M_VKR]		[numeric](19, 2))


INSERT INTO @Val2([MONTH],[SUMMA],[EMPL_SUMMA], [SUMMA_VKR], [EMPL_SUMMA_VKR],[SUMMA_M],[SUMMA_M_VKR])
SELECT T.NUM AS [MONTH],
		[SUMMA] = SUM(SJ.SUMMA),
		[EMPL_SUMMA] = SUM(CASE WHEN SJ.LINK_EMPL = @varKSlinkEmpl THEN SJ.SUMMA ELSE 0 END),
		[SUMMA_VKR] = SUM(CASE WHEN SJ.LINK_VKR = @varKSLinkVKR AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END),
		[EMPL_SUMMA_VKR] = SUM(CASE WHEN SJ.LINK_VKR = @varKSLinkVKR AND (SJ.LINK_EMPL = @varKSlinkEmpl) AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END), 
		[SUMMA_M] = SUM(CASE WHEN (CASE WHEN SJ.TYP_PER=1 THEN Month(sj.period_begin) ELSE MONTH(sj.DATE1) END)=T.num AND SJ.LINK_EMPL = @varKSlinkEmpl then sj.summa else 0 end),
		[SUMMA_M_VKR] = SUM(CASE WHEN ((CASE WHEN SJ.TYP_PER=1 THEN Month(sj.period_begin) ELSE MONTH(sj.DATE1) END)=T.num)
							AND sj.link_vkr = @varKSLinkVKR AND SJ.LINK_EMPL = @varKSlinkEmpl AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END)
FROM dbo.MONTHS T, @SJC SJ
WHERE SJ.TYP_OPER = 1 
		AND T.NUM <= @varKSMonth AND
		T.NUM >=(CASE WHEN SJ.TYP_PER=1 THEN Month(sj.period_begin) ELSE MONTH(SJ.DATE1) END)
		AND @varKSYear =(case WHEN SJ.TYP_PER=1 THEN Year(sj.period_begin) ELSE YEAR(sj.DATE1) END)
GROUP BY  T.NUM

insert into @Val2 ([MONTH],[SUMMA],[EMPL_SUMMA], [SUMMA_VKR], [EMPL_SUMMA_VKR],[SUMMA_M],[SUMMA_M_VKR])
select T.NUM, 0, 0, 0, 0, 0, 0  from dbo.MONTHS T where T.NUM < (Select min([month]) from @Val2)

if @varKSfl = 1 
	select [month] as [], [summa] as [    ], @Sum_PredMestoRab as [     ], summa_vkr as [       ], summa_m as [   ], 
	summa_m_vkr as [     ]  from @Val2 order by [month]

/*  */
if @varKSfl=1 
   select code as [ ], LEFT(name,50) as [ ], SUMMA as [] from dbo.Salary_deductions(@varKSDate) WHERE TYPE = 5

/*
    ,          
   ,  
*/

/*   .*/
DECLARE @varKSTemp1 TABLE 
([NUM] 			[int],
 [REF_PAY]		[int],	
 [MP]		 	[numeric](19, 2),
 [MP_M]			[numeric](19, 2),
 [MP_M_VKR]		[numeric](19, 2),
 [PREDEL]		[numeric](19, 2))

-- 
INSERT INTO @varKSTemp1 ([NUM],[REF_PAY],[MP],[MP_M],[MP_M_VKR],[PREDEL])
SELECT m.num,T1.REF_PAY,
	/*      .*/
	[mp] = SUM(case when Month(sj.period_begin)<=m.num then SJ.summa else 0 end), 
	/*      .*/
	[mp_m] = sum(case when Month(sj.period_begin)=m.num then (case when Month(sj.period_begin)<=m.num then SJ.summa else 0 end) else 0 end),
	/*      .     */
	[mp_m_vkr] = sum(case when Month(sj.period_begin) = m.num AND sj.link_vkr = @varKSLinkVKR AND SJ.LINK_EKR = @varKSLinkEKR then (case when Month(sj.period_begin)<=m.num then SJ.summa else 0 end) else 0 end),
	[PREDEL] = T1.SUMMA -(case when @varKSFlagD = 1 then isnull((select sum(summa_ded) from dbo.SD_EMPL_PREV_DED where LINK_DED = T1.REF_PAY and  link_empl=@varKSlinkEmpl),0)  else 0 end) 
FROM 
	dbo.MONTHS M, @SJC SJ, dbo.Salary_deductions(@varKSDate) T1
WHERE  
	Year(sj.period_begin) = @varKSYear and m.num <= @varKSMonth AND T1.TYPE = 6 --  "   "
	AND T1.REF_PAY = (select ref_deduct  from dbo.DICTIONARY_TYP_INCOMS where link = (select LINK_INC from dbo.PAYS where LINK = SJ.LINK_PAYS)) 
	AND @Status in (1 /**/, 3 /* */) AND SJ.LINK_EMPL = @varKSlinkEmpl
	AND T1.SUMMA > 0 
GROUP BY m.num, T1.REF_PAY, T1.SUMMA

IF @varKSfl=1 
	select [num] as [], [] = (select CODE from diction where link = ref_pay), [mp] as [    ], mp_m as [   ], 
	mp_m_vkr as [     ], predel as []  from @varKSTemp1

DECLARE @varKSTemp2 TABLE 
([NUM] 			[int],
 [REF_PAY]		[int],	
 [MP]		 	[numeric](19, 2),
 [MP_M]			[numeric](19, 2),
 [MP_M_VKR]		[numeric](19, 2), [PREDEL]		[numeric](19, 2),
 [SALDO]		[numeric](19, 2),
 [KOEF] 		[numeric](19, 10))

--
INSERT INTO @varKSTemp2 ([NUM],[REF_PAY],[MP],[MP_M],[MP_M_VKR],[PREDEL],[SALDO],[KOEF])
SELECT 
	T1.NUM,T1.REF_PAY,T1.MP,T1.MP_M,T1.MP_M_VKR,T1.PREDEL, 
	[SALDO] = (CASE WHEN PREDEL < 0 THEN 0 ELSE PREDEL END) - ISNULL((select sum(mp_m) from @varKSTemp1 T2 where T2.num < T1.num and T2.REF_PAY = T1.REF_PAY),0),
	[KOEF] =  (CASE WHEN MP_M = 0 THEN 0 ELSE MP_M_VKR/MP_M END)
FROM @varKSTemp1 T1

--  
DECLARE @varKSTemp3 TABLE 
(
	[NUM] 			[int],
	[REF_PAY]		[int],	
	[MP_M]			[numeric](19, 2),
	[MP_M_VKR]		[numeric](19, 2),
	[KOEF] 		[numeric](19, 10),
	[DED]			[numeric](19, 2)
)
INSERT INTO @varKSTemp3 ([NUM],[REF_PAY],[MP_M],[MP_M_VKR],[KOEF],[DED])
SELECT [NUM],[REF_PAY],[MP_M],[MP_M_VKR],[KOEF], 
	   [DED] = 	case when SALDO < 0 then 
				- case when (CASE WHEN PREDEL < 0 THEN 0 ELSE PREDEL END) - ISNULL(MP,0) > 0	then
					(CASE WHEN PREDEL < 0 THEN 0 ELSE PREDEL END) - ISNULL(MP,0) 
					else 0
				end
			else
				(CASE WHEN MP_M > SALDO THEN SALDO ELSE MP_M END)
			end
FROM @varKSTemp2 

/*  :       ,        .
           2*/
DELETE
FROM 
	dbo.SAL_DED_MONTH
WHERE
	YEAR(dbo.SAL_DED_MONTH.DATE_DED) = YEAR(@varKSDate)
	AND LINK_VKR = @varKSLinkVKR
	AND ISNULL(LINK_EKR,@varKSLinkEKR) = @varKSLinkEKR 	
	and
	not exists (
		SELECT j.LINK 
		FROM dbo.calculate_jurnal j
		WHERE 
			YEAR(j.PERIOD_BEGIN) = YEAR(@varKSDate)
			and j.link_empl = dbo.SAL_DED_MONTH.link_empl 
			and j.LINK_VKR = dbo.SAL_DED_MONTH.LINK_VKR
			and j.LINK_EKR = dbo.SAL_DED_MONTH.LINK_EKR
			AND EXISTS (SELECT LINK_PAYS FROM dbo.PAYS P 
						INNER JOIN dbo.TAX_REF R ON R.LINK_TAX = P.LINK 
						WHERE P.OBJECT = 2 AND P.WAY_CALC = 4 AND R.LINK_PAYS = j.link_pays)
	)

/*      ,     */
DELETE FROM dbo.SAL_DED_MONTH
WHERE 
	LINK_EMPL = @varKSlinkEmpl 
	AND LINK_VKR = @varKSLinkVKR 
	AND ISNULL(LINK_EKR,@varKSLinkEKR) = @varKSLinkEKR 
	AND YEAR(DATE_DED) = YEAR(@varKSDate) 
	AND MONTH(DATE_DED) <= MONTH(@varKSDate) 

/*   */
INSERT INTO dbo.SAL_DED_MONTH (LINK_EMPL,REF_DED,SUMMA,DATE_DED,LINK_VKR,LINK_EKR,TYPE)
SELECT [LINK_EMPL] = @varKSlinkEmpl,
		 [REF_DED]   = T.REF_PAY,
		 [SUMMA] 	 = ISNULL(T.DED,0) * ISNULL(T.KOEF,1),
		 [DATE_DED]  = dbo.ConvertDMY2Date(1,t.num,year(@varKSDate)),
		 [LINK_VKR]	 = @varKSLinkVKR,
		 [LINK_EKR]	 = @varKSLinkEKR,
		 [TYPE] = 2
FROM @varKSTemp3 T WHERE T.MP_M_VKR <> 0 AND T.DED <> 0 

/*  */

DECLARE @TotTab TABLE
([MONTH] 		[int],
 [EMPL_SUMMA]		[numeric](19, 2), --
 [EMPL_SUMMA_VKR]	[numeric](19, 2), --
 [SUMMA_VKR]		[numeric](19, 2),
 [SUMMA_M]		[numeric](19, 2),
 [SUMMA_M_211]  [numeric](19, 2), --        211 
 [SUMMA_M_VKR]		[numeric](19, 2), --  , 
 [DED_M_ALL] 		[numeric](19, 2),
 --[DED_M_ALL_211] 	[numeric](19, 2), --        211 
 [DED]			[numeric](19, 2),
 [DED_M]		[numeric](19, 2),
 [DED0]			[numeric](19, 2)
 ) 

/*          */
INSERT INTO @TotTab([MONTH], [EMPL_SUMMA], [EMPL_SUMMA_VKR], [SUMMA_VKR],[SUMMA_M],[SUMMA_M_211],[SUMMA_M_VKR],[DED_M_ALL],[DED],[DED_M],DED0)
SELECT 	
		M.[NUM], 
		ISNULL(T1.EMPL_SUMMA,0), 
		ISNULL(T1.[EMPL_SUMMA_VKR],0), 
		ISNULL(T1.[SUMMA_VKR],0), 
		ISNULL(T1.[SUMMA_M],0),
		ISNULL(T1.[SUMMA_M_211],0),	 
		ISNULL(T1.[SUMMA_M_VKR],0),
	 	[DED_M_ALL] = ISNULL((SELECT SUM(T2.DED) FROM @varKSTemp3 T2 WHERE T2.NUM=M.[NUM]),0),
		[DED] 		= ISNULL((SELECT SUM(T2.DED * T2.KOEF) FROM @varKSTemp3 T2 WHERE T2.NUM <= M.[NUM]),0),
		[DED_M] 	= ISNULL((SELECT SUM(T2.DED * T2.KOEF) FROM @varKSTemp3 T2 WHERE T2.NUM = M.[NUM]),0),
		[DED0] 		= ISNULL((SELECT SUM(T2.DED) FROM @varKSTemp3 T2 WHERE T2.NUM <= M.[NUM]),0)
FROM  dbo.months M LEFT JOIN @Val T1 on M.num = T1.[MONTH] 
WHERE M.NUM <= @varKSMonth
GROUP BY M.[NUM], T1.[EMPL_SUMMA], T1.[EMPL_SUMMA_VKR], T1.SUMMA_VKR, T1.SUMMA_M_VKR, T1.SUMMA_M, T1.SUMMA_M_211

IF @varKSfl=1 
select [month] as [],summa_vkr as [      ], summa_m as [   ], 
	summa_m_vkr as [    ], ded_m_all as [ ], ded as [   ], ded_m as [    ]  from @TotTab

DECLARE @varKSTT TABLE
([REF_PAY] 	[int],
 [PREDEL]	[numeric](19, 2),
 [SUMMA]		[numeric](19, 2),
 [MONTHEND]	[int])

---   :   
INSERT INTO @varKSTT ([REF_PAY],[PREDEL],[SUMMA],[MONTHEND])
SELECT TD.REF_PAY,TD.PREDEL,TD.SUMMA, 
		[MonthEnd] =  (SELECT TOP 1 T1.[MONTH] FROM  @Val2 T1 
 							WHERE (SUMMA + ISNULL(@Sum_PredMestoRab,0) - ISNULL((select sum(ded) from @varKSTemp3 where num<=T1.[MONTH]),0))
							<(CASE WHEN TD.PREDEL = 0 THEN 999999999999 ELSE TD.PREDEL END)
							ORDER BY T1.[MONTH] DESC)
FROM 
	dbo.Salary_deductions(@varKSDate ) as TD where TYPE = 1

DECLARE @varKSTotal TABLE
( link int not null IDENTITY(1,1),
 [REF_PAY] 	[int],
 [MONTH_BEGIN]	[int],
 [MONTH_END]	[int],		
 [SUMMA]	[numeric](19, 2),
[SUMMA_V] numeric(18,2), [SUMMA_D] numeric(18,2), [Ostatok_V] numeric(18,2)--    
)

--  
/*
              , 
    13 ,            .
*/
INSERT INTO @varKSTotal ([REF_PAY],[MONTH_BEGIN],[MONTH_END],[SUMMA],[SUMMA_V],[SUMMA_D])
SELECT 		
	[REF_PAY] 		= TT.REF_PAY, 
	[MONTH_BEGIN]	= M.[NUM],--SDE.MONTH_BEGIN,
	[MONTH_END] 	= M.[NUM],--(CASE WHEN TT.MonthEnd> SDE.MONTH_END THEN SDE.MONTH_END ELSE TT.MonthEnd END),
	[SUMMA] 		= TT.SUMMA,
	[SUMMA_V]		= TT.SUMMA,	--    
	[SUMMA_D]		= ISNULL(D.[summa_m],0)	--    
				- ISNULL((select sum(ded) from @varKSTemp3 where num = M.[NUM]),0)
FROM 
	@varKSTT TT
	INNER JOIN (SELECT link_ded, month_begin,month_end FROM DBO.salary_ded_empl(@varKSlinkEmpl,@varKSMonth, @varKSYear)T1 WHERE t1.month_begin<=t1.month_end) SDE
		ON SDE.LINK_DED =TT.REF_PAY
	INNER JOIN dbo.Months M ON TT.MonthEnd >= M.[NUM] AND M.[NUM] between SDE.MONTH_BEGIN and SDE.MONTH_END
	LEFT JOIN @Val D ON M.NUM = D.[month] --    
WHERE 
	@Status in (1 /**/, 3 /* */)	-->>NEW
	AND -- ,           .
	dbo.DateEndOfMonth(@DIS_DATE) >= dbo.DateEndOfMonth( dbo.ConvertDMY2Date(1,M.[NUM],@varKSYear))
ORDER BY
	M.NUM

---     
INSERT INTO @varKSTotal ([REF_PAY],[MONTH_BEGIN],[MONTH_END],[SUMMA],[SUMMA_V],[SUMMA_D])
select 
	TA.LINK_DED, MONTH(cj.PERIOD_BEGIN), MONTH(cj.PERIOD_BEGIN), SUM(cj.SUMMA),SUM(cj.SUMMA), 
	[SUMMA_D]		= MAX(ISNULL(D.[summa_m],0))	--    
				- ISNULL((select sum(ded) from @varKSTemp3 where num = MONTH(cj.PERIOD_BEGIN)),0)	
from 
	dbo.EMPL E inner join dbo.calculate_jurnal cj on e.link = cj.link_empl
	inner join dbo.TAX2_APP TA on TA.LINK_UP = CJ.LINK_PAYS
	LEFT JOIN @Val D ON MONTH(cj.PERIOD_BEGIN) = D.[month] --    
where 
	year(period_begin) = @varKSYear
	and
	E.LINK = @varKSlinkEmpl	
	and
	@Status in (1 /**/, 3 /* */) and MONTH(cj.PERIOD_BEGIN) <= Month(@varKSDate) 
	and
	ISNULL(TA.LINK_DED,0) > 0
GROUP BY 
	TA.LINK_DED, MONTH(cj.PERIOD_BEGIN)


--    ,     :      
--    
BEGIN

	DECLARE @Cur1 CURSOR, @MES tinyint, @REF_V int, @SUMMA_V numeric(18,2), @SUMMA_D numeric(18,2), @Ostatok_V numeric(18,2), @Ostatok numeric(18,2), @Ostatok_m numeric(18,2), @link int
	Declare @SumVPred numeric(18,2) --      
	SET @Cur1 = CURSOR FORWARD_ONLY

	FOR select link, MONTH_BEGIN, REF_PAY, SUMMA_V, SUMMA_D, Ostatok_V from @varKSTotal order by link
	
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @link, @MES, @REF_V, @SUMMA_V, @SUMMA_D, @Ostatok_V
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
			Set @Ostatok = 
					ISNULL((
						Select Sum(Ostatok_V)  from @varKSTotal 
						where MONTH_BEGIN <= @MES --         (   )
						and link < @link and REF_PAY = @REF_V
					),0)
			
			Set @Ostatok_m = ISNULL((Select Sum(Ostatok_V)  from @varKSTotal where Ostatok_V > 0 and MONTH_BEGIN = @MES and link < @link),0)
			Set @SUMMA_V = ISNULL((Select Sum(SUMMA_V)  from @varKSTotal where MONTH_BEGIN = @MES and link <= @link),0)
			Set @SumVPred = ISNULL((Select Sum(SUMMA_V)  from @varKSTotal where MONTH_BEGIN = @MES and link < @link),0)
	
			update @varKSTotal
			Set 	SUMMA_V = (case when ISNULL(@SUMMA_V,0) + @Ostatok > ISNULL(SUMMA_D,0) 
					then ISNULL(SUMMA_D,0) - @SumVPred
					else (case when @Ostatok_m = 0 then ISNULL(@SUMMA_V,0) + @Ostatok - @SumVPred else 0 end) 
				end),
				Ostatok_V = (case when ISNULL(@SUMMA_V,0) + @Ostatok > ISNULL(SUMMA_D,0)
							then ISNULL(@SUMMA_V,0) - ISNULL(SUMMA_D,0)
							else  - @Ostatok
						end)
			where link = @link

		END
	
		FETCH NEXT FROM @Cur1 INTO @link, @MES, @REF_V, @SUMMA_V, @SUMMA_D, @Ostatok_V
	END
	
	CLOSE @Cur1
	DEALLOCATE @Cur1

	IF @varKSfl=1 
	select [] = (select  rtrim(sname) + ' ' + LEFT(rtrim(name),100) from dbo.DICTIONARY_TYP_DEDUCTION where link = REF_PAY),
		month_begin as [ ], month_end as [ ], summa as [   ], summa_v as [  ], Ostatok_V as [  ] from @varKSTotal order by month_begin,  REF_PAY
	
	update @varKSTotal 
	Set summa = summa_v

END
/**/

/* ^^^^^^   -   ^^^^^^^^*/

declare @VychOpt9 int --       
Set @VychOpt9 = ISNULL((SELECT top 1 CONVERT(INT,VALUE) FROM dbo.S_OPTIONS WHERE OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = 'NDFL_OPT9')),0)

declare @SprOtherDed table(LINK_DICTION int, MONTH1 TINYINT, Summa numeric(18,2))

insert into @SprOtherDed
Select LINK_DICTION, MONTH1, SUM(SUM_DED) 
from 
	EMPL E 
	inner join TAX_DEDUCTIONS TD on E.PERS_LINK = TD.LINK_PERSON AND E.DEP_LINK = TD.LINK_DEP
where 
	E.LINK = @varKSlinkEmpl 
	and [YEAR] = @varKSYear 
	AND @Status in (1 /**/, 3 /* */) 
	and MONTH1 <= Month(@varKSDate) --DATE_REF <= dbo.DateEndOfMonth(@varKSDate)
	AND E.DEP_LINK = @DEP_LINK
Group by 
	LINK_DICTION, MONTH1

IF @varKSfl=1 
	select []= rtrim(SNAME), [ ] = LEFT(rtrim(name),50), [ ] = ISNULL(OD.summa,0) 
	from @SprOtherDed OD inner join dbo.DICTIONARY_TYP_DEDUCTION  D on D.link = OD.LINK_DICTION

-------
declare @TMP Table ([REF_PAY] int, [MONTH_BEGIN] int, [MONTH_END] int, [SUMMA] numeric(18,2))

Insert into @TMP
Select 
	[REF_PAY], M.NUM, M.NUM, SUM([SUMMA]) 
from 
	dbo.Months M, @varKSTotal T1 
where 
	M.[NUM] between [MONTH_BEGIN] and [MONTH_END] and [REF_PAY] not in (select LINK_DICTION from @SprOtherDed) 
group by 
	[REF_PAY], M.NUM

	
----------------------
DECLARE @REF_PAY int, @MONTH_BEGIN int, @SUMMA numeric(18,2), @Saldo numeric(18,2), @STD_VYCH NUMERIC(18,2), @MONTH1 TINYINT

-------------
DECLARE @Cur CURSOR, @Cur11 CURSOR
SET @Cur11 = CURSOR FORWARD_ONLY
FOR 
	Select LINK_DICTION from @SprOtherDed ORDER BY LINK_DICTION

OPEN @Cur11
FETCH NEXT FROM @Cur11 INTO @REF_PAY
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		SET @Cur = CURSOR FORWARD_ONLY
		FOR 
			Select M.NUM, [SUMMA], MONTH1 = (CASE WHEN @VychOpt9 = 1 THEN OD.MONTH1 ELSE 1 END) 
			from @SprOtherDed OD, dbo.Months M 
			WHERE 
				LINK_DICTION = @REF_PAY
				AND M.NUM BETWEEN (CASE WHEN @VychOpt9 = 1 THEN OD.MONTH1 ELSE 1 END) AND @varKSMonth
			ORDER BY M.NUM

		OPEN @Cur
		FETCH NEXT FROM @Cur INTO @MONTH_BEGIN, @SUMMA, @MONTH1
		WHILE (@@fetch_status <> -1)
		BEGIN
			IF (@@fetch_status <> -2)
			BEGIN

				Set @Saldo = ISNULL(@SUMMA,0) - ISNULL((Select Sum(Summa) from @tmp T where T.REF_PAY = @REF_PAY),0)

				SET @STD_VYCH = ISNULL((SELECT SUM(SUMMA) FROM @varKSTotal WHERE [MONTH_BEGIN] < @MONTH1),0)

				INSERT INTO @TMP ([REF_PAY],[MONTH_BEGIN],[MONTH_END],[SUMMA])
				Select --
					@REF_PAY, @MONTH_BEGIN, @MONTH_BEGIN, 
					(Case When @Saldo > (ISNULL(DS.EMPL_SUMMA,0) - ISNULL(DS.DED0,0) 
										- (ISNULL(DS2.EMPL_SUMMA,0) - ISNULL(DS2.DED0,0) - @STD_VYCH)
										- ISNULL((Select SUM(summa) from @TMP where MONTH_BEGIN <=  @MONTH_BEGIN ),0))
						then (ISNULL(DS.EMPL_SUMMA,0) - ISNULL(DS.DED0,0) 
								- (ISNULL(DS2.EMPL_SUMMA,0) - ISNULL(DS2.DED0,0) - @STD_VYCH)
								- ISNULL((Select SUM(summa) from @TMP where MONTH_BEGIN <=  @MONTH_BEGIN ),0))
					else
						@Saldo
					end)
				from
					@TotTab DS
					LEFT JOIN @TotTab DS2 ON DS2.[Month] = @MONTH1-1 
				where
					DS.[Month] = @MONTH_BEGIN
					and
					(ISNULL(DS.EMPL_SUMMA,0) - ISNULL(DS.DED0,0)
						- (ISNULL(DS2.EMPL_SUMMA,0) - ISNULL(DS2.DED0,0) - @STD_VYCH) 
						- ISNULL((Select SUM(summa) from @TMP where MONTH_BEGIN <=  @MONTH_BEGIN ),0)) > 0
					and 
					@Saldo > 0

			END
			FETCH NEXT FROM @Cur INTO @MONTH_BEGIN, @SUMMA, @MONTH1
		END

		CLOSE @Cur
		DEALLOCATE @Cur

		INSERT INTO @varKSTotal ( [REF_PAY], [MONTH_BEGIN], [MONTH_END], [SUMMA])
		Select * from @TMP where [REF_PAY] = @REF_PAY

	END
	FETCH NEXT FROM @Cur11 INTO @REF_PAY
END

CLOSE @Cur11
DEALLOCATE @Cur11

/* vvvvvv   -   vvvvvvv */

IF @varKSfl=1 
select [] = (select  rtrim(sname) + ' ' + LEFT(rtrim(name),50) from dbo.DICTIONARY_TYP_DEDUCTION where link = REF_PAY),
	month_begin as [ ], month_end as [ ], summa as [ ]  from @varKSTotal T1  order by month_begin, REF_PAY

DECLARE @varKSTotal1 TABLE
([KOL]			[int],
 [REF_PAY] 		[int],
 [MONTH_BEGIN]		[int],
 [MONTH_END]		[int],		
 [SUMMA]		[numeric](19, 2))

INSERT INTO @varKSTotal1 ([KOL],[REF_PAY],[MONTH_BEGIN],[MONTH_END],[SUMMA])
SELECT COUNT(*) AS [KOL],REF_PAY,MONTH_BEGIN,MONTH_END,SUMMA
FROM @varKSTotal 
GROUP BY REF_PAY,MONTH_BEGIN,MONTH_END,SUMMA

DECLARE @vych TABLE
([MONTH] 	[int],
 [REF_PAY] 	[int],
 [DEDUCT]	[numeric] (19, 2),
 [COMMENT]  [varchar] (254),
 [KOEF_VKR] [numeric] (18,10),
 [kol] [numeric] (18,2),
 [SPR_SUM]  NUMERIC(18,2)	
)

DECLARE @NDFL_OPT7 int
SET @NDFL_OPT7 = dbo.sa_get_option_by_code('NDFL_OPT7')

DECLARE @Koef table (Mon int, koef NUMERIC(18,15), doh tinyint, koef2 NUMERIC(18,10))
insert into @Koef (Mon, Koef, doh, koef2)
Select 	T2.[Month], 
	CASE WHEN @NDFL_OPT7 = 1 --      211 
	THEN 
		CASE WHEN @varKSLinkEKR = @Link211EKR 
		THEN --  
			CONVERT(NUMERIC(18,10), case when t2.summa_m_211 <> 0 then (v.summa_m_vkr/t2.summa_m_211) else 0 end )
			--CONVERT(NUMERIC(18,10), case when t2.summa_m_211 <> 0 then ((v.summa_m_vkr-T2.DED_M)/(t2.summa_m_211-T2.DED_M_ALL)) else 0 end )
		ELSE 
			0 
		END
	ELSE --    
		--CONVERT(NUMERIC(18,10), case when t2.summa_m <> 0 then (t2.summa_m_vkr/t2.summa_m) else 0 end)
		CONVERT(NUMERIC(18,10), case when (t2.summa_m-T2.DED_M_ALL) > 0 then ((t2.summa_m_vkr-T2.DED_M)/(t2.summa_m-T2.DED_M_ALL)) else 0 end)
	END,
	(Case when t2.summa_m <> 0 then 1 else 0 end),
	--CONVERT(NUMERIC(18,10), case when t2.summa_m <> 0 then (t2.summa_m_vkr/t2.summa_m) else 0 end)
	CONVERT(NUMERIC(18,10), case when (t2.summa_m-T2.DED_M_ALL) > 0 then ((t2.summa_m_vkr-T2.DED_M)/(t2.summa_m-T2.DED_M_ALL)) else 0 end)
from 
	@TotTab T2 
	inner join @Val V on T2.[month] = V.[month]
	

--   
DECLARE @DICT_TAX_DEDUCTIONS TABLE (LINK INT)
INSERT INTO @DICT_TAX_DEDUCTIONS (LINK)
SELECT LINK FROM dbo.DICTIONARY_TYP_DEDUCTION WHERE NUMBER = 4

/*   .   ,    .  ,    */
INSERT INTO @vych ([MONTH],[REF_PAY],[DEDUCT],[COMMENT],[KOEF_VKR],[KOL], [SPR_SUM])
SELECT [MONTH] = T1.MONTH_BEGIN, T1.REF_PAY,
	[DEDUCT] = 
				CONVERT(NUMERIC(18,10), T1.KOL*T1.SUMMA * 
				case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef <> 0 order by Mon),0) end)
	,[COMMENT] = 
				'('+RTRIM(LTRIM(STR(T1.KOL)))+'*'+RTRIM(LTRIM(CONVERT(VARCHAR(100),T1.SUMMA)))+ 
				'*'+ rtrim(ltrim(convert(varchar(100), CONVERT(NUMERIC(18,4), case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef from @Koef K where K.Mon >= T1.MONTH_BEGIN and K.Koef <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef from @Koef K where K.Mon = T1.MONTH_BEGIN and doh <> 0 order by Mon),0) end)) )) +')'
	,[KOEF_VKR] =
				 CONVERT(NUMERIC(18,10), case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef from @Koef K where K.Mon >= T1.MONTH_BEGIN and K.Koef <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef from @Koef K where K.Mon = T1.MONTH_BEGIN and doh <> 0 order by Mon),0) end )
	,T1.KOL,
	T1.KOL*T1.SUMMA
FROM @varKSTotal1 t1 left join @TotTab D on T1.MONTH_BEGIN = D.[Month]
WHERE
	NOT EXISTS (SELECT * FROM @DICT_TAX_DEDUCTIONS IM WHERE IM.LINK = T1.REF_PAY)
ORDER BY 1

/* .   ,           */
IF @NDFL_OPT7 = 1
BEGIN

--SELECT * FROM @Koef
--SELECT * FROM @TotTab
--SELECT '!!!!', * FROM @vych
--select * from @varKSTotal1

	UPDATE K SET K.koef2 = CONVERT(NUMERIC(18,10), case when (T2.summa_m - T2.ded_m_all - Y.SPR_SUM) <> 0 
													then
														CONVERT(NUMERIC(28,10),	(T2.summa_m_vkr - (T2.ded_m_all + Y.SPR_SUM)*K.KOEF)) 
														/ CONVERT(NUMERIC(28,10), (T2.summa_m - T2.ded_m_all - Y.SPR_SUM) )
													else 0 end )
	FROM 
		@Koef K
		INNER JOIN @TotTab T2 ON K.Mon = T2.[Month]
		INNER JOIN (SELECT [MONTH], SPR_SUM = SUM(ISNULL(KOL * SPR_SUM,0)) FROM @vych GROUP BY [MONTH]) Y ON K.Mon = Y.[MONTH]
END		

IF @varKSfl=1 
	select [] = Mon, [_] = koef, [__] = koef2 from @Koef T1  order by Mon


-- 
INSERT INTO @vych ([MONTH],[REF_PAY],[DEDUCT],[COMMENT],[KOEF_VKR],[KOL], [SPR_SUM])
SELECT [MONTH] = T1.MONTH_BEGIN, T1.REF_PAY,
	[DEDUCT] = 
				CASE WHEN 
					CONVERT(NUMERIC(18,2), T1.KOL*T1.SUMMA * 
					case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end)
					> ISNULL(D.SUMMA_M_VKR,0) - ISNULL((SELECT SUM(DEDUCT) FROM @vych WHERE [MONTH] = T1.MONTH_BEGIN),0)
				THEN 
					ISNULL(D.SUMMA_M_VKR,0) - ISNULL([DED_M_ALL],0) - ISNULL((SELECT SUM(DEDUCT) FROM @vych WHERE [MONTH] = T1.MONTH_BEGIN),0)
				ELSE 
					CONVERT(NUMERIC(18,10), T1.KOL*T1.SUMMA * 
					case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end)						
				END
	
	,[COMMENT] = 
				CASE WHEN 
					CONVERT(NUMERIC(18,2), T1.KOL*T1.SUMMA * 
					case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end)
					> ISNULL(D.SUMMA_M_VKR,0) - ISNULL((SELECT SUM(DEDUCT) FROM @vych WHERE [MONTH] = T1.MONTH_BEGIN),0)
				THEN
				'('+convert( varchar(20), CONVERT(NUMERIC(18,2),ISNULL(D.SUMMA_M_VKR,0)))
				+'-' + convert( varchar(20), ISNULL([DED_M_ALL],0))
				+'-' + convert( varchar(20), CONVERT(NUMERIC(18,2),ISNULL((SELECT SUM(DEDUCT) FROM @vych WHERE [MONTH] = T1.MONTH_BEGIN),0)))
				+')'				
				ELSE
				'('+RTRIM(LTRIM(STR(T1.KOL)))+'*'+RTRIM(LTRIM(CONVERT(VARCHAR(100),T1.SUMMA)))+
				+'*' + convert( varchar(20), CONVERT(NUMERIC(18,4),(
						case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
						else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end
						))
					)
				+')'					
				END
	,[KOEF_VKR] = 
						case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
						else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end
	,T1.KOL
	,T1.KOL*T1.SUMMA
FROM
	@DICT_TAX_DEDUCTIONS IM 
	INNER JOIN @varKSTotal1 t1 ON IM.LINK = T1.REF_PAY
	INNER JOIN @Koef K ON K.Mon = T1.MONTH_BEGIN
	left join @TotTab D on T1.MONTH_BEGIN = D.[Month]
WHERE
	T1.SUMMA > 0	
ORDER BY 1
--SELECT '111',* FROM @TotTab
--select * from @vych

INSERT INTO dbo.SAL_DED_MONTH (LINK_EMPL,REF_DED,SUMMA,DATE_DED,LINK_VKR,LINK_EKR,TYPE, KOEF_VKR, KOL )
SELECT 	[LINK_EMPL] = @varKSlinkEmpl,
		[REF_DED] 	= T.REF_PAY,
		[SUMMA] 	= T.DEDUCT,
		[DATE_DED] 	= dbo.ConvertDMY2Date(1,t.[month],year(@varKSDate)),
		[LINK_VKR]	= @varKSLinkVKR,
		[LINK_EKR]	= @varKSLinkEKR,
		[TYPE] 		= 1, 
		[KOEF_VKR],
		[KOL]
FROM @vych T WHERE T.DEDUCT <> 0 

--==============
--    ,        
SELECT S.REF_DED, MONTH(DATE_DED) AS MN, V.SPR_SUM - SUM(SUMMA) AS SUMMA
INTO #CORRECT
FROM dbo.SAL_DED_MONTH S INNER JOIN @vych V ON V.[MONTH] = MONTH(S.DATE_DED) AND S.REF_DED = V.REF_PAY
WHERE YEAR(DATE_DED) = year(@varKSDate) AND LINK_EMPL = @varKSlinkEmpl
GROUP BY S.REF_DED, MONTH(DATE_DED), V.SPR_SUM
HAVING ABS(V.SPR_SUM - SUM(SUMMA)) BETWEEN 0.01 AND 0.02

IF EXISTS(SELECT * FROM #CORRECT) BEGIN

	UPDATE V
	SET V.DEDUCT = ISNULL(V.DEDUCT,0) + ISNULL(C.SUMMA,0)
	FROM @vych V INNER JOIN #CORRECT C ON V.[MONTH] = C.MN AND C.REF_DED = V.REF_PAY

	DELETE FROM dbo.SAL_DED_MONTH 
	WHERE YEAR(DATE_DED) = year(@varKSDate) AND LINK_EMPL = @varKSlinkEmpl AND [LINK_VKR] = @varKSLinkVKR AND [LINK_EKR] = @varKSLinkEKR
		AND REF_DED IN (SELECT REF_PAY FROM @vych)

	INSERT INTO dbo.SAL_DED_MONTH (LINK_EMPL,REF_DED,SUMMA,DATE_DED,LINK_VKR,LINK_EKR,TYPE, KOEF_VKR, KOL )
	SELECT 	[LINK_EMPL] = @varKSlinkEmpl,
				[REF_DED] 	= T.REF_PAY,
				[SUMMA] 	= T.DEDUCT,
				[DATE_DED] 	= dbo.ConvertDMY2Date(1,t.[month],year(@varKSDate)),
				[LINK_VKR]	= @varKSLinkVKR,
				[LINK_EKR]	= @varKSLinkEKR,
				[TYPE] 		= 1, --convert(NUMERIC(3,0),B.VALUE)
				[KOEF_VKR],
				[KOL]
	FROM @vych T WHERE T.DEDUCT <> 0 

END

----------------------------------------------------------------------------------------
IF @varKSfl=1 
	SELECT 
		[] = MONTH([DATE_DED]), [] = S.CODE, [] = LEFT(S.NAME,50), [] = D.SUMMA, [] = CONVERT(NUMERIC(18,4),D.KOEF_VKR)
	FROM 
		dbo.SAL_DED_MONTH D
		INNER JOIN dbo.[DICTIONARY_TYP_DEDUCTION] S ON S.LINK = D.REF_DED
	WHERE 
		LINK_EMPL = @varKSlinkEmpl
		AND YEAR([DATE_DED]) = @varKSYear
		AND [LINK_VKR]	= @varKSLinkVKR
		AND [LINK_EKR]	= @varKSLinkEKR
	ORDER BY
		MONTH([DATE_DED]), S.CODE	

-----------------------------------------------------------------------------------------
DECLARE @varKSTota TABLE
([MONTH] 		[int],
 [PERS_SUMMA_VKR]	[numeric](19, 2),
 [SUMMA_VKR]	[numeric](19, 2),
 [SUMMA_M]		[numeric](19, 2),
 [SUMMA_M_VKR]	[numeric](19, 2),
 [DED_M_ALL] 	[numeric](19, 2),
 [DED]			[numeric](19, 2),
 [DED_M]			[numeric](19, 2),
 [VYCH]			[numeric](19, 2),
 [VYCH_M]		[numeric](19, 2),
 [DOHOD_ALL]	[numeric](19, 2),
 [VICHET_ALL]	[numeric](19, 2)
 ) 

INSERT INTO @varKSTota([MONTH], [PERS_SUMMA_VKR], [SUMMA_VKR],[SUMMA_M],[SUMMA_M_VKR],[DED_M_ALL],[DED],[DED_M],[VYCH],[VYCH_M],[DOHOD_ALL],[VICHET_ALL])
SELECT T1.[MONTH],T1. [SUMMA_VKR], T1.[EMPL_SUMMA_VKR],T1.[SUMMA_M],T1.[SUMMA_M_VKR],T1.[DED_M_ALL],T1.[DED],T1.[DED_M],
		[VYCH]	=ISNULL((SELECT SUM(V.DEDUCT) FROM @vych v WHERE V.[MONTH]<= T1.[MONTH]),0),
		[VYCH_M] =ISNULL((SELECT SUM(V.DEDUCT) FROM @vych v WHERE V.[MONTH] = T1.[MONTH]),0),
		[DOHOD_ALL] = T1.[EMPL_SUMMA],
		[VICHET_ALL] = ISNULL((SELECT SUM(V.SPR_SUM) FROM @vych v WHERE V.[MONTH]<= T1.[MONTH]),0)
FROM @TotTab T1

IF @varKSfl=1 
	select [month] as [],pers_summa_vkr as [      ], summa_vkr as [      ], summa_m as [   ], 
	summa_m_vkr as [     ], ded_m_all as [ ], ded as [   ], ded_m as [    ], 
	vych as [ ], vych_m  as [  ] from @varKSTota

----
declare @varKSSumDed numeric(15,2), @varKSRange  numeric(15,2), @varKSResid int, @varKSStrCom varchar(1000)

SET @varKSSumDed = ISNULL(
	(SELECT sum(summa) 
	FROM
		dbo.PAYS P INNER JOIN dbo.CALCULATE_JURNAL SJ ON P.LINK = SJ.LINK_PAYS
	WHERE
		SJ.LINK_PAYS = @varKSRef_Pay
		AND YEAR(SJ.PERIOD_BEGIN) = @varKSYear
		AND MONTH(SJ.PERIOD_BEGIN) <=@varKSMonth 
		AND SJ.LINK_EMPL = @varKSlinkEmpl 
		AND SJ.LINK_VKR = @varKSLinkVKR
		AND SJ.LINK_DEP = @DEP_LINK 
		AND ISNULL(SJ.LINK_EKR,P.LINK_EKR) = @varKSLinkEKR)
	,0)	
	
SET @varKSSumDed = @varKSSumDed + ISNULL( (SELECT SUM(SR.NDFL) FROM dbo.SAL_REMAIN SR WHERE SR.LINK_EMPL = @varKSlinkEmpl AND SR.YEAR_SAL = @varKSYear AND SR.LINK_VKR = @varKSLinkVKR AND SR.LINK_EKR = @varKSLinkEKR), 0)

set @varKSRange =  dbo.SalaryGetNDFLRange (@varKSlinkEmpl,@varKSDate)
set @varKSResid = dbo.GetEmplResident(@varKSlinkEmpl)

IF @varKSfl=1 
	select [   ] = @varKSSumDed, [ ] = @varKSRange, [] = (case when @varKSResid = 1  then '' else ' ' end)


set @varKSStrCom = ''
DECLARE @varKSCurs CURSOR,
		  @varKSCurCOMMENT varchar(255)

SET @varKSCurs = CURSOR FORWARD_ONLY
FOR SELECT COMMENT FROM @vych WHERE DEDUCT <> 0 and [month]=@varKSMonth
OPEN @varKSCurs
FETCH NEXT FROM @varKSCurs INTO @varKSCurCOMMENT
WHILE @@FETCH_STATUS = 0
BEGIN
	SET @varKSStrCom = @varKSStrCom + ' ' + isnull(@varKSCurCOMMENT,'0')+ ' +'
	FETCH NEXT FROM @varKSCurs INTO @varKSCurCOMMENT
END 
CLOSE @varKSCurs
DEALLOCATE @varKSCurs

IF LEN(@varKSStrCom) > 2
	SET @varKSStrCom = LEFT(@varKSStrCom,LEN(@varKSStrCom)-2) 

IF @varKSfl=1 
BEGIN	
	PRINT '      '
	
	SELECT T.*,
	[sum_ded]=  isnull(@varKSSumDed,0),
	[summa] = 	case when DOHOD_ALL > VICHET_ALL THEN
					convert(numeric(18,2),(summa_vkr -ded - (case when @varKSResid = 1 then vych else 0 end))*@varKSRange/100)
				ELSE
					0
				END,
	[comment] = @varKSStrCom
	FROM @varKSTota T
	WHERE [MONTH] = @varKSMonth
	
END
--SELECT summa_vkr -ded - vych, * FROM @varKSTota
/*,         /    */
IF @varKSfl<>1 
SELECT 
	[MONTH],
	PERS_SUMMA_VKR= convert(numeric(18,2), [PERS_SUMMA_VKR]),
	SUMMA_VKR= convert(numeric(18,2), [SUMMA_VKR]),
	SUMMA_M= convert(numeric(18,2), [SUMMA_M]),
	SUMMA_M_VKR= convert(numeric(18,2), [SUMMA_M_VKR]),
	DED_M_ALL= convert(numeric(18,2), [DED_M_ALL]),
	DED= convert(numeric(18,2),[DED]),
	DED_M= convert(numeric(18,2),[DED_M]),
	VYCH= convert(numeric(18,2), [VYCH]),
	VYCH_M= convert(numeric(18,2), [VYCH_M]),
	[sum_ded]=  convert(numeric(18,0), isnull(@varKSSumDed,0)), 
	[summa] = 	case when convert(numeric(18,0),(summa_vkr -ded - (case when @varKSResid = 1 then vych else 0 end))*@varKSRange/100) > 0
			then 
				case when DOHOD_ALL > VICHET_ALL THEN
					convert(numeric(18,0),(summa_vkr -ded - (case when @varKSResid = 1 then vych else 0 end))*@varKSRange/100)
				ELSE
					0
				END					
			else 
				CASE WHEN @NDFL_OPT8 = 0 
				THEN 
					0
				ELSE
					convert(numeric(18,0),(summa_vkr -ded - (case when @varKSResid = 1 then vych else 0 end))*@varKSRange/100)
				END
			end,
	[comment] = Case when len(rtrim(ltrim(@varKSStrCom))) > 0 then '{' + RTRIM(LTRIM(@varKSStrCom)) + '}' else '' end,
	[RANGE] = @varKSRange/100
FROM @varKSTota T
WHERE [MONTH] = @varKSMonth


GO


GRANT EXECUTE ON dbo.[SD_U_NDFL_FILL] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[KU_ORDER_CONFIRM]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[KU_ORDER_CONFIRM]

GO

/*
  (Keysystems), 2005
*/

CREATE   PROCEDURE [dbo].KU_ORDER_CONFIRM
	@LINK int,
	@Status int = 1
AS
	DECLARE @trancount int, @SQLError int, @RowCount int, @txt varchar(254), @event varchar(254), @otype int, @MSG VARCHAR(254)
	SET @trancount = @@TRANCOUNT
	SET IMPLICIT_TRANSACTIONS ON
	BEGIN TRAN
	COMMIT TRAN

	SET @txt = case when @Status=1 then '' else '' end + ' '
	SELECT 
		@event = ' '+rtrim(number)+'  '+convert(varchar(10), [date], 104)+' '''+rtrim(comment)+'''', @otype = type,
		@MSG = LEFT(@txt + ' ' + ' '+rtrim(number)+'  '+convert(varchar(10), [date], 104)+' '''+rtrim(ot.name)+'''', 254)
		FROM orders O INNER JOIN dbo.ORDER_TYPES ot ON O.[TYPE] = ot.CODE WHERE link=@LINK

IF @otype NOT IN (1, 101) BEGIN
	IF @Status<>1 and exists(SELECT * FROM vacation WHERE order_link=@LINK and flag_jc=1)
	BEGIN
		ROLLBACK
		RETURN 106
	END

	IF @Status<>1 and exists(SELECT * FROM travel WHERE order_link=@LINK and flag_jc=1 )
	BEGIN
		ROLLBACK
		RETURN 106
	END

	IF @Status<>1 and exists(SELECT * from dbo.DIS_FACE_1 WHERE order_link = @LINK AND flag_jc = 1)
	BEGIN
		ROLLBACK
		RETURN 106
	END	
END

	IF @otype in (3, 103) AND @Status = 1 BEGIN
		SELECT	LINK, EMPL_LINK, DIS_DATE
		INTO	#TEMP_DIS
		FROM	ITEM_DIS_FACE WHERE ORDER_LINK = @LINK

		DECLARE @MSG_DIS VARCHAR(255)
		DECLARE @DIS_LINK INT, @DIS_EMPL_LINK INT, @DIS_DATE DATETIME
		WHILE EXISTS(SELECT * FROM #TEMP_DIS) BEGIN

			SELECT TOP 1 @DIS_LINK = LINK, @DIS_EMPL_LINK = EMPL_LINK, @DIS_DATE = DIS_DATE FROM #TEMP_DIS

			DELETE FROM #TEMP_DIS WHERE LINK = @DIS_LINK
			SET @MSG_DIS = ''
			--      
			IF EXISTS(   
				SELECT	*
				FROM	ITEM_VACATION IV LEFT JOIN ITEM_VACATION_BREAK IVB ON IV.LINK = IVB.VAC_LINK AND IVB.ACTIVE = 1
				WHERE	IV.EMPL_LINK = @DIS_EMPL_LINK AND IV.ACTIVE = 1
						AND (@DIS_DATE < CASE WHEN ISNULL(IVB.DATE_BREAK,0) = 0 THEN IV.DATE_END
											   ELSE CASE WHEN ISNULL(IVB.LEN_KAL_DAYS,0) = 0 THEN IVB.DATE_BREAK - 1
														 ELSE DATEADD(DAY,IVB.LEN_KAL_DAYS,IV.DATE_END) 
													END 
										  END)
					) BEGIN

				SET	@MSG_DIS = '      ' + CHAR(10) + CHAR(10)
				SELECT	TOP 1
						@MSG_DIS = @MSG_DIS + '  ' + RTRIM(number) + '  ' + CONVERT(VARCHAR(10),DATE,104) + ' . (' + RTRIM(FIO) + ')'
				FROM	VACATION
				WHERE	EMPL_LINK = @DIS_EMPL_LINK AND ACTIVE = 1 AND @DIS_DATE <= DATE_END

				DELETE FROM #TEMP_DIS
			END
		END
		DROP TABLE #TEMP_DIS

		IF LEN(RTRIM(@MSG_DIS)) > 0 BEGIN
			RAISERROR(@MSG_DIS, 11, 1)
			ROLLBACK
			RETURN 666
		END
	
	END

	IF @otype = 24	
		IF @Status<>1 and exists(SELECT TE.LINK FROM DBO.STO_TAR_EMPL TE WHERE TE.ORDER_LINK = @LINK)
		BEGIN
			ROLLBACK
			RETURN 106
		END

	UPDATE orders SET status = @Status WHERE link=@LINK
	SELECT @SQLError = @@ERROR, @RowCount = @@ROWCOUNT
	IF @SQLError <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END
	IF @RowCount = 0
	BEGIN
		ROLLBACK
		RETURN 2
	END

	UPDATE ITEM_CHANGE_FM SET active = @Status WHERE order_link=@LINK
	UPDATE ITEM_DIS_FACE SET active = @Status WHERE order_link=@LINK
	UPDATE ITEM_ENCOUR SET active = @Status WHERE order_link=@LINK
	UPDATE ITEM_MOVE SET active = @Status WHERE order_link=@LINK
	UPDATE ITEM_ORDER_UNDO SET active = @Status WHERE order_link=@LINK
	UPDATE ITEM_TRAVEL SET active = @Status WHERE order_link=@LINK
	UPDATE ITEM_TRAVEL_LONG SET active = @Status WHERE order_link=@LINK
	UPDATE ITEM_VACATION SET active = @Status WHERE order_link=@LINK
	UPDATE ITEM_VACATION_BREAK SET active = @Status WHERE order_link=@LINK
	UPDATE ITEM_VACATION_DIS SET active = @Status WHERE order_link=@LINK
	UPDATE ITEM_ENCOUR SET active = @Status WHERE order_link=@LINK
	UPDATE ITEM_PENALTY SET active = @Status WHERE order_link=@LINK
	UPDATE ITEM_PENALTY_CANCEL SET active = @Status WHERE order_link=@LINK
	UPDATE ITEM_SUBST SET active = @Status WHERE order_link=@LINK
	UPDATE ITEM_FREE SET active = @Status WHERE order_link=@LINK
	UPDATE ITEM_WELFARE SET active = @Status WHERE order_link=@LINK
	UPDATE ITEM_COMB SET active = @Status WHERE order_link=@LINK
	UPDATE ITEM_CHANGE_OKLAD_STAFF SET active = @Status WHERE order_link=@LINK
	

	DECLARE @item_link int, @empl_link int, @date_begin datetime, @date_end datetime, @type int, @compens tinyint 
	DECLARE @cur CURSOR 

	IF @otype in (4, 104, 15) and dbo.sa_get_option_by_code('TABEL_OPTIONS_OTP_AVTO_OTP') = 1   BEGIN
		SET @cur = CURSOR FAST_FORWARD FOR
			SELECT link, empl_link, date_begin, date_end, type_link, compens FROM item_vacation WHERE order_link=@link
		OPEN @cur
		FETCH NEXT FROM @cur INTO @item_link, @empl_link, @date_begin, @date_end, @type ,@compens 
		WHILE @@fetch_status=0 BEGIN
			IF @compens = 0 
  		    begin 
			  exec dbo.SA_SET_DAYS_IN_TABELS @empl_link, @date_begin, @date_end, @MSG
			END
			FETCH NEXT FROM @cur INTO @item_link, @empl_link, @date_begin, @date_end, @type, @compens 
			IF @otype IN (4,104)AND @type IN (SELECT VV.LINK FROM VACATION_VID VV INNER JOIN TYP_DAYS TD ON VV.TYPE_LINK = TD.LINK WHERE TD.WORK_D = 7) 
				AND @compens = 0  
			BEGIN
				UPDATE EMPL
				SET NOTWORK =	CASE WHEN @Status = 1 THEN 1
						     ELSE 0
						END
				WHERE EMPL.LINK = @empl_link
			END
		
		END
		CLOSE @cur
		DEALLOCATE @cur
	END

	IF @otype in (11,16) and dbo.sa_get_option_by_code('TABEL_OPTIONS_OTP_AVTO_OTP') = 1 BEGIN
		SET @cur = CURSOR FAST_FORWARD FOR
			SELECT ivb.link, ivb.empl_link, ivb.DATE_BREAK, date_end, type_link, IVB.LEN_KAL_DAYS, IVB.BREAK_WORK_DAYS FROM item_vacation iv inner join item_vacation_break ivb on ivb.vac_link = iv.link WHERE ivb.order_link=@link
		OPEN @cur
		DECLARE @BREAK_WORK_DAYS INT		--    
		DECLARE @LEN_KAL_DAYS INT			--    
		FETCH NEXT FROM @cur INTO @item_link, @empl_link, @date_begin, @date_end, @type, @LEN_KAL_DAYS, @BREAK_WORK_DAYS
		WHILE @@fetch_status=0 BEGIN
			if @BREAK_WORK_DAYS = 0
				--   
				exec dbo.SA_SET_DAYS_IN_TABELS @empl_link, @date_begin, @date_end, @MSG
			else 	begin
				--      
				SET @date_end = @date_end + @LEN_KAL_DAYS
				exec dbo.SA_SET_DAYS_IN_TABELS @empl_link, @date_begin, @date_end, @MSG
			end
			FETCH NEXT FROM @cur INTO @item_link, @empl_link, @date_begin, @date_end, @type, @LEN_KAL_DAYS, @BREAK_WORK_DAYS
		END
		CLOSE @cur
		DEALLOCATE @cur
	END

	IF @otype in (12) and dbo.sa_get_option_by_code('TABEL_OPTIONS_OTP_AVTO_OTP') = 1 BEGIN
		SET @cur = CURSOR FAST_FORWARD FOR
			SELECT ivb.link, ivb.empl_link, iv.date_begin, ivb.NEW_DATE_END, type_link FROM item_vacation iv inner join item_vacation_dis ivb on ivb.vac_link = iv.link WHERE ivb.order_link=@link
		OPEN @cur
		FETCH NEXT FROM @cur INTO @item_link, @empl_link, @date_begin, @date_end, @type
		WHILE @@fetch_status=0 BEGIN
			exec dbo.SA_SET_DAYS_IN_TABELS @empl_link, @date_begin, @date_end, @MSG
			FETCH NEXT FROM @cur INTO @item_link, @empl_link, @date_begin, @date_end, @type
		END
		CLOSE @cur
		DEALLOCATE @cur
	END


	IF @otype in (5, 105) and dbo.sa_get_option_by_code('TABEL_OPTIONS_OTP_AVTO_COM') = 1 BEGIN
		SET @cur = CURSOR FAST_FORWARD FOR
			SELECT link, empl_link, date_begin, date_end, type_link FROM item_travel WHERE order_link=@link
		OPEN @cur
		FETCH NEXT FROM @cur INTO @item_link, @empl_link, @date_begin, @date_end, @type
		WHILE @@fetch_status=0 BEGIN
			exec dbo.SA_SET_DAYS_IN_TABELS @empl_link, @date_begin, @date_end, @MSG
			FETCH NEXT FROM @cur INTO @item_link, @empl_link, @date_begin, @date_end, @type
		END
		CLOSE @cur
		DEALLOCATE @cur
	END

	IF @otype in (13) and dbo.sa_get_option_by_code('TABEL_OPTIONS_OTP_AVTO_COM') = 1 BEGIN
		SET @cur = CURSOR FAST_FORWARD FOR
			SELECT ivb.link, ivb.empl_link, iv.date_begin, ivb.NEW_DATE_END, type_link FROM item_travel iv inner join item_travel_long ivb on ivb.TRAVEL_LINK = iv.link WHERE ivb.order_link=@link
		OPEN @cur
		FETCH NEXT FROM @cur INTO @item_link, @empl_link, @date_begin, @date_end, @type
		WHILE @@fetch_status=0 BEGIN
			exec dbo.SA_SET_DAYS_IN_TABELS @empl_link, @date_begin, @date_end, @MSG
			FETCH NEXT FROM @cur INTO @item_link, @empl_link, @date_begin, @date_end, @type
		END
		CLOSE @cur
		DEALLOCATE @cur
	END

	--           
	IF @otype in (1,101) BEGIN
		DECLARE NEW_FAC_CUR CURSOR FOR SELECT EMPL_LINK, DATE_BEGIN FROM ITEM_MOVE WHERE ORDER_LINK = @LINK
		DECLARE @OLDWORK_LINK INT
		OPEN NEW_FAC_CUR
		FETCH NEXT FROM NEW_FAC_CUR INTO @EMPL_LINK, @DATE_BEGIN
		DECLARE @EMPL_OLDWORK TABLE(LINK INT IDENTITY(1,1),LINK_OLD INT, EMPL_LINK INT,DATE_BEGIN DATETIME,DATE_END DATETIME,DEP VARCHAR(254),PLACE VARCHAR(254),POST VARCHAR(254),REASON VARCHAR(254))
		DECLARE @EMPL_WORK TABLE(LINK INT , MOVE_LINK INT, EMPL_LINK INT, DATE_BEGIN DATETIME, DATE_END DATETIME, DEP VARCHAR(254), PLACE VARCHAR(254), POST VARCHAR(254), REASON VARCHAR(254))
		DECLARE @I INT, @J INT
		DECLARE @OLDWORK_NEW_LINK INT
		DECLARE @EMPL_OLD_LINK INT
		--
		DECLARE	@DEP VARCHAR(254)
		DECLARE @DATE_DIS DATETIME
		DECLARE	@OLD_LINK INT
		DECLARE	@OLD_NEW_LINK INT
		DECLARE @REAS_DIS VARCHAR(254)
		--
		SET @I = 1
		WHILE @@FETCH_STATUS = 0 BEGIN
			IF @Status = 1 and not exists(select * from empl_oldwork where empl_link = @empl_link) BEGIN
				SET @EMPL_OLD_LINK = (	SELECT	TOP 1 LINK
							FROM	KU_EMPL_PLACING
							WHERE	PERS_LINK IN (SELECT PERS_LINK FROM EMPL WHERE LINK = @EMPL_LINK)
								AND STATUS = 1
								AND LINK != @EMPL_LINK
							ORDER BY DATE_BEGIN DESC
						      )
				-- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * --
				--           --
				-- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * --
				IF EXISTS(SELECT * FROM EMPL_OLDWORK WHERE EMPL_LINK = @EMPL_OLD_LINK AND DATE_BEGIN <= @DATE_BEGIN) BEGIN
					INSERT INTO @EMPL_OLDWORK
					SELECT LINK, EMPL_LINK,DATE_BEGIN,DATE_END,DEP,PLACE,POST,REASON FROM EMPL_OLDWORK WHERE EMPL_LINK = @EMPL_OLD_LINK AND DATE_BEGIN <= @DATE_BEGIN
					SET @J = @@IDENTITY
					WHILE @I <= @J BEGIN
						INSERT INTO EMPL_OLDWORK(EMPL_LINK,DATE_BEGIN,DATE_END,DEP,PLACE,POST,REASON)
						SELECT @EMPL_LINK,DATE_BEGIN,DATE_END,DEP,PLACE,POST,REASON FROM @EMPL_OLDWORK WHERE LINK = @I
						SET @OLDWORK_NEW_LINK = @@IDENTITY
						INSERT OLDWORK_KOEF(OLDWORK_LINK,EXPIR_LINK,KOEF)
						SELECT @OLDWORK_NEW_LINK,EXPIR_LINK,KOEF FROM OLDWORK_KOEF WHERE OLDWORK_LINK = (SELECT LINK_OLD FROM @EMPL_OLDWORK WHERE LINK = @I)
						SET @I = @I + 1
					END
				END
				-- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * --
				--              --
				-- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * -- * --
				IF EXISTS (SELECT * FROM DIS_FACE  WHERE EMPL_LINK = @EMPL_OLD_LINK AND ACTIVE = 1) BEGIN
					SET @DEP = (SELECT NAME FROM DEPARTMENTS WHERE LINK = (SELECT DEP_LINK FROM EMPL WHERE LINK = @EMPL_OLD_LINK))
					SELECT @DATE_DIS = dis_date, @REAS_DIS = RTRIM(reason_name) FROM DIS_FACE WHERE EMPL_LINK = @EMPL_OLD_LINK AND ACTIVE = 1
					--
					INSERT	INTO @EMPL_WORK
					SELECT	ROW_NUMBER() OVER (PARTITION BY  EMPL_LINK ORDER BY LINK,EMPL_LINK, DATE_BEGIN ),  LINK, EMPL_LINK, DATE_BEGIN, DATE_END, @DEP, '', ISNULL(POST_NAME,''), @REAS_DIS
					FROM	KU_ONLY_MOVES 
					WHERE	EMPL_LINK = @EMPL_OLD_LINK
					ORDER	BY EMPL_LINK, DATE_BEGIN
					--
					UPDATE	@EMPL_WORK
					SET	DATE_END = @DATE_DIS
					WHERE	LINK = (SELECT COUNT(*) FROM @EMPL_WORK)
					--	
					SET @OLD_LINK = 1
					WHILE EXISTS(SELECT * FROM @EMPL_WORK WHERE LINK = @OLD_LINK) BEGIN
						INSERT INTO EMPL_OLDWORK(EMPL_LINK, DATE_BEGIN, DATE_END, DEP, PLACE, POST, REASON)
						SELECT @EMPL_LINK, DATE_BEGIN, DATE_END, DEP, PLACE, POST, REASON FROM @EMPL_WORK WHERE LINK = @OLD_LINK
						SET @OLD_NEW_LINK = @@IDENTITY
						INSERT OLDWORK_KOEF(OLDWORK_LINK, EXPIR_LINK, KOEF)
						SELECT @OLD_NEW_LINK, EXPIR_LINK, KOEF FROM MOVE_KOEF WHERE MOVE_LINK = (SELECT MOVE_LINK FROM @EMPL_WORK WHERE LINK = @OLD_LINK)
						SET @OLD_LINK = @OLD_LINK + 1
					    
					END
					DELETE FROM @EMPL_WORK
				END
			END
			FETCH NEXT FROM NEW_FAC_CUR INTO @EMPL_LINK, @DATE_BEGIN
		END
		CLOSE NEW_FAC_CUR
		DEALLOCATE NEW_FAC_CUR
	END

	EXEC WF_GENERATEEVENT @txt, @event, null, 'ORDERS', @LINK
	IF @@TRANCOUNT > @trancount
		COMMIT TRAN
	RETURN 0









GO


GRANT EXECUTE ON dbo.[KU_ORDER_CONFIRM] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_PRINT_TABEL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_PRINT_TABEL]

GO

CREATE   PROCEDURE dbo.SA_PRINT_TABEL
	@varKSnLINKDoc INT,
	@varKSnOption1 INT= 1,
	@varKSnCheck1 INT = 0,
	@nSort3 int = 0 /* 3*/,
	@nCheck3 tinyint = 0 /* */,
	@nCheck5 tinyint = 0 /*   */,
	@varKSSUBDIV VARCHAR(254) OUTPUT, 
	@varKSSUBDIV_CODE VARCHAR(10) OUTPUT,
	@varKSDIV_CODE VARCHAR(10) OUTPUT, 
	@varKSDIV_NAME VARCHAR(254) OUTPUT,
	@varKSTI_CODE VARCHAR(10) OUTPUT, 
	@varKSTI_NAME VARCHAR(254) OUTPUT,
	@varKSEXP_CODE VARCHAR(10) OUTPUT, 
	@varKSEXP_NAME VARCHAR(254) OUTPUT

AS
BEGIN

	declare @varKSdDate1 DATETIME, @varKSdDate2 DATETIME
	SELECT @varKSdDate1 = PERIOD FROM TABELS WHERE LINK_DOC = @varKSnLINKDoc
	SELECT @varKSdDate1 = dbo.DateBeginOfMonth(@varKSdDate1)
	SELECT @varKSdDate2 = dbo.DateEndOfMonth(@varKSdDate1)

	CREATE TABLE #T_RES00 (
		ID VARCHAR(20),
		LINK_FACE INT, 
		LINK_EMPL INT,
		LINK_SOVM INT,
		FIO VARCHAR(254),
		NAME_EMPL VARCHAR(254),
		TN VARCHAR(10) ,
		STAKE NUMERIC(3,2),
		SUBDIV_LINK INT, 
		CODE_SUB VARCHAR(10),
		SUBDIV VARCHAR(254) ,
		POST_LINK INT,
		CODE_POST VARCHAR(10),
		POST VARCHAR(254) ,
		LINK_DAY INT,
		SYMB VARCHAR(4),
		DAY_1 CHAR(2),	DAY_2 CHAR(2),	DAY_3 CHAR(2),	DAY_4 CHAR(2),	DAY_5 CHAR(2),
		DAY_6 CHAR(2),	DAY_7 CHAR(2),	DAY_8 CHAR(2),	DAY_9 CHAR(2),	DAY_10 CHAR(2),
		DAY_11 CHAR(2),	DAY_12 CHAR(2),	DAY_13 CHAR(2),	DAY_14 CHAR(2),	DAY_15 CHAR(2),
		DAY_16 CHAR(2),	DAY_17 CHAR(2),	DAY_18 CHAR(2),	DAY_19 CHAR(2),	DAY_20 CHAR(2),
		DAY_21 CHAR(2),	DAY_22 CHAR(2),	DAY_23 CHAR(2),	DAY_24 CHAR(2),	DAY_25 CHAR(2),
		DAY_26 CHAR(2),	DAY_27 CHAR(2),	DAY_28 CHAR(2),	DAY_29 CHAR(2),	DAY_30 CHAR(2),
		DAY_31 CHAR(2),
		
		H_1 NUMERIC(6,2),  H_2 NUMERIC(6,2),  H_3 NUMERIC(6,2),  H_4 NUMERIC(6,2),  H_5 NUMERIC(6,2),  H_6 NUMERIC(6,2),
		H_7 NUMERIC(6,2),  H_8 NUMERIC(6,2),  H_9 NUMERIC(6,2),  H_10 NUMERIC(6,2), H_11 NUMERIC(6,2), H_12 NUMERIC(6,2),
		H_13 NUMERIC(6,2), H_14 NUMERIC(6,2), H_15 NUMERIC(6,2), H_16 NUMERIC(6,2), H_17 NUMERIC(6,2), H_18 NUMERIC(6,2),
		H_19 NUMERIC(6,2), H_20 NUMERIC(6,2), H_21 NUMERIC(6,2), H_22 NUMERIC(6,2), H_23 NUMERIC(6,2), H_24 NUMERIC(6,2),
		H_25 NUMERIC(6,2), H_26 NUMERIC(6,2), H_27 NUMERIC(6,2), H_28 NUMERIC(6,2), H_29 NUMERIC(6,2), H_30 NUMERIC(6,2),
		H_31 NUMERIC(6,2),
		
		HALF_D INT, HALF_H NUMERIC(6,2), 	
		HALF2_D INT, HALF2_H NUMERIC(6,2), 	
		ALL_D INT, ALL_H NUMERIC(6,2), 		
		NONE_DAYS INT, NONE_HOURS NUMERIC(6,2)	,
		
		TYPE_1 INT, TYPE_1H NUMERIC(6,2), TYPE_2H INT, TYPE_2 INT, TYPE_3 INT, TYPE_4 INT, TYPE_5 INT, TYPE_6 INT, 
		TYPE_7 INT, TYPE_8 INT, TYPE_9 INT, TYPE_10 INT, TYPE_11 INT, TYPE_12 INT,

		TYPE_13 INT,	--     
		TYPE_14 INT,	--     
		TYPE_15 INT,	--         
	) 

	---
	DECLARE @ISMINUTES TINYINT
	SET @ISMINUTES = DBO.SA_GET_OPTION_BY_CODE('TABEL_OPT10') --     

	---
	declare @def_tdlink int, @def_tdname varchar(254), @def_tdsymb varchar(4)
	Select @def_tdlink = LINK, @def_tdname = [NAME], @def_tdsymb = SYMB from dbo.TYP_DAYS where WORK_D = 1 AND TYP_YAVKA = 1

	select  LINK_DOC, NUMBER, DATE, LINK_EMPL, PERIOD, [DAY], 
		SUM([HOUR]) as [HOUR], 
		MAX(WORK_D) as WORK_D,
		MAX(TYP_YAV) AS TYP_YAV,
		(CASE when count(TYPE_DAY) = 1 then MAX(TYPE_DAY) else @def_tdlink end) as TYPE_DAY,
		(CASE when count(SYMB) = 1 then MAX(SYMB) else @def_tdsymb end) as SYMB,	
		(CASE when count(SYMB) = 1 then MAX(TYPE_DATY_NAME) else @def_tdname end) as TYPE_DATY_NAME
	into #tabel 
	from TABEL WHERE LINK_DOC = @varKSnLINKDoc
	group by LINK_DOC, NUMBER, DATE, LINK_EMPL, PERIOD, [DAY]
--	having count(SYMB) > 1
--AND TYPE_DAY not in (Select KOD from [dbo].[SA_TYPES_DOP_TAB])

	---    
	SELECT W.LINK_UP1, W.LINK_SOVM,
	DAYS_H1 = 
		CASE WHEN SUM(W.D1) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D2) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D3) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D4) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D5) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D6) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D7) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D8) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D9) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D10) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D11) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D12) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D13) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D14) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D15) > 0 THEN 1 ELSE 0 END,

	DAYS_H2 = 
		CASE WHEN SUM(W.D16) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D17) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D18) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D19) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D20) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D21) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D22) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D23) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D24) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D25) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D26) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D27) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D28) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D29) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D30) > 0 THEN 1 ELSE 0 END 
	+	CASE WHEN SUM(W.D31) > 0 THEN 1 ELSE 0 END,

	HORS_H1 = SUM(W.D1) + SUM(W.D2) + SUM(W.D3) + SUM(W.D4) + SUM(W.D5) + SUM(W.D6) + SUM(W.D7) + SUM(W.D8) + SUM(W.D9) + SUM(W.D10) + SUM(W.D11) + SUM(W.D12) + SUM(W.D13) + SUM(W.D14) + SUM(W.D15),
	HORS_H2 = SUM(W.D16) + SUM(W.D17) + SUM(W.D18) + SUM(W.D19) + SUM(W.D20) + SUM(W.D21) + SUM(W.D22) + SUM(W.D23) + SUM(W.D24) + SUM(W.D25) + SUM(W.D26) + SUM(W.D27) + SUM(W.D28) + SUM(W.D29) + SUM(W.D30) + SUM(W.D31)
		
	INTO 
		#WORK_DAYS
	FROM 
		DBO.SA_TABELS_W W
	WHERE 
		LINK_UP = @varKSnLINKDoc
	GROUP BY 
		W.LINK_UP1, W.LINK_SOVM

	---    
	SELECT W.LINK_UP1, W.LINK_SOVM,
	DAYS_Y7 = 
			CASE WHEN SUM(W.D1) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D2) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D3) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D4) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D5) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D6) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D7) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D8) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D9) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D10) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D11) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D12) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D13) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D14) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D15) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D16) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D17) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D18) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D19) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D20) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D21) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D22) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D23) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D24) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D25) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D26) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D27) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D28) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D29) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D30) > 0 THEN 1 ELSE 0 END 
		+	CASE WHEN SUM(W.D31) > 0 THEN 1 ELSE 0 END
	INTO 
		#WORK_DAYS1
	FROM 
		DBO.SA_TABELS_W W
	WHERE 
		LINK_UP = @varKSnLINKDoc
		AND
		TYP_YAVKA = 7
	GROUP BY 
		W.LINK_UP1, W.LINK_SOVM			

	---    
	SELECT 
		N.LINK_UP1,
		T.WORK_D,
		COUNT_DAYS = 
			CASE WHEN N.D1 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D2 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D3 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D4 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D5 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D6 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D7 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D8 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D9 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D10 = T.LINK THEN 1 ELSE 0 END

			+ CASE WHEN N.D11 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D12 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D13 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D14 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D15 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D16 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D17 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D18 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D19 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D20 = T.LINK THEN 1 ELSE 0 END

			+ CASE WHEN N.D21 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D22 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D23 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D24 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D25 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D26 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D27 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D28 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D29 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D30 = T.LINK THEN 1 ELSE 0 END 
			+ CASE WHEN N.D31 = T.LINK THEN 1 ELSE 0 END 
	INTO 
		#NOTWORK_DAYS
	FROM
		DBO.SA_TABELS_N N, DBO.TYP_DAYS T
	WHERE
		LINK_UP = @varKSnLINKDoc

	---
	INSERT INTO #T_RES00
		(ID,LINK_FACE, LINK_EMPL, LINK_SOVM, FIO, NAME_EMPL, TN,STAKE, SUBDIV_LINK, CODE_SUB, SUBDIV, POST_LINK, CODE_POST, POST,
		LINK_DAY,
		SYMB,
		DAY_1,  DAY_2,  DAY_3,  DAY_4,  DAY_5,  DAY_6,  DAY_7,  DAY_8,  DAY_9,  DAY_10, 
		DAY_11, DAY_12, DAY_13, DAY_14, DAY_15, DAY_16, DAY_17, DAY_18, DAY_19, DAY_20, 
		DAY_21, DAY_22, DAY_23, DAY_24, DAY_25, DAY_26, DAY_27, DAY_28, DAY_29, DAY_30,
		DAY_31,
		H_1,  H_2, H_3,  H_4,  H_5,  H_6,  H_7,  H_8,  H_9,  H_10, 
		H_11, H_12, H_13, H_14, H_15, H_16, H_17, H_18, H_19, H_20, 
		H_21, H_22, H_23, H_24, H_25, H_26, H_27, H_28, H_29, H_30, 
		H_31,
		HALF_D, HALF_H,
		HALF2_D, HALF2_H,
		ALL_D, ALL_H,
		NONE_DAYS, NONE_HOURS,
		TYPE_1, TYPE_1H, TYPE_2, TYPE_2H, TYPE_3, TYPE_4, TYPE_5, TYPE_6, 
		TYPE_7, TYPE_8, TYPE_9, TYPE_10, TYPE_11, TYPE_12,

		TYPE_13,TYPE_14,TYPE_15

	)
	SELECT
		ID = RIGHT( REPLACE(SPACE(20),SPACE(1),'0') + CONVERT(VARCHAR(20),WP.LINK_EMPL),10) +RIGHT( REPLACE(SPACE(20),SPACE(1),'0') + CONVERT(VARCHAR(20),WP.LINK_SOVM),10) ,
		[LINK_FACE] = P.LINK,
		WP.LINK_EMPL,
		WP.LINK_SOVM,
		[FIO]  = (case when coalesce(@nCheck3,0) = 1 then  coalesce(LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(P.FM)) + ' ' + LTRIM(RTRIM(P.IM)) + ' ' + LTRIM(RTRIM(P.OT)),' '))),100), SPACE(100)) 
					else coalesce(LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(FM)) + ' ' + LEFT(LTRIM(RTRIM(IM)),1) + '.' + LEFT(LTRIM(RTRIM(OT)),1) + '.', ' '))),30), SPACE(100)) end),
		[NAME_EMPL] = LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(FM)) + ' ' + LEFT(LTRIM(RTRIM(IM)),1) + '.' + LEFT(LTRIM(RTRIM(OT)),1) + '.', ' '))),30),
		[TN] 		= ISNULL(TE.TAB, SPACE(10)),
		[STAKE] =  (SELECT TOP 1 stake FROM SD_EMPL WHERE link = E.link),
		[SUBDIV_LINK] = TE.SUBDIV_LINK,
		[CODE_SUB] = ISNULL( TE.SUBDIV_CODE, SPACE(10) ),
		[SUBDIV] = ISNULL( TE.SUBDIV_NAME, SPACE(254) ),
		[POST_LINK] = WP.POST_LINK,
		[CODE_POST] = ISNULL( WP.POST_CODE, SPACE(10) ),
		[POST] 		= ISNULL( WP.POST_NAME, SPACE(120) ),
		W.LINK_DAY,		
		W.SYMB,
		[DAY_1] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB1, SPACE(2) ) end,
		[DAY_2] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB2, SPACE(2) ) end,
		[DAY_3] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB3, SPACE(2) ) end,
		[DAY_4] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB4, SPACE(2) ) end,
		[DAY_5] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB5, SPACE(2) ) end,
		[DAY_6] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB6, SPACE(2) ) end,
		[DAY_7] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB7, SPACE(2) ) end,
		[DAY_8] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB8, SPACE(2) ) end,
		[DAY_9] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB9, SPACE(2) ) end,
		[DAY_10] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB10, SPACE(2) ) end,

		[DAY_11] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB11, SPACE(2) ) end,
		[DAY_12] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB12, SPACE(2) ) end,
		[DAY_13] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB13, SPACE(2) ) end,
		[DAY_14] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB14, SPACE(2) ) end,
		[DAY_15] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB15, SPACE(2) ) end,
		[DAY_16] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB16, SPACE(2) ) end,
		[DAY_17] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB17, SPACE(2) ) end,
		[DAY_18] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB18, SPACE(2) ) end,
		[DAY_19] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB19, SPACE(2) ) end,
		[DAY_20] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB20, SPACE(2) ) end,

		[DAY_21] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB21, SPACE(2) ) end,
		[DAY_22] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB22, SPACE(2) ) end,
		[DAY_23] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB23, SPACE(2) ) end,
		[DAY_24] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB24, SPACE(2) ) end,
		[DAY_25] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB25, SPACE(2) ) end,
		[DAY_26] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB26, SPACE(2) ) end,
		[DAY_27] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB27, SPACE(2) ) end,
		[DAY_28] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB28, SPACE(2) ) end,
		[DAY_29] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB29, SPACE(2) ) end,
		[DAY_30] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB30, SPACE(2) ) end,
		[DAY_31] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB31, SPACE(2) ) end,

		[H1] = case when @nCheck5 = 1 then 0 else W.D1 end, 
		[H2] = case when @nCheck5 = 1 then 0 else W.D2 end,
		[H3] = case when @nCheck5 = 1 then 0 else W.D3 end,
		[H4] = case when @nCheck5 = 1 then 0 else W.D4 end, 
		[H5] = case when @nCheck5 = 1 then 0 else W.D5 end,
		[H6] = case when @nCheck5 = 1 then 0 else W.D6 end,
		[H7] = case when @nCheck5 = 1 then 0 else W.D7 end,  
		[H8] = case when @nCheck5 = 1 then 0 else W.D8 end, 
		[H9] = case when @nCheck5 = 1 then 0 else W.D9 end, 
		[H10] = case when @nCheck5 = 1 then 0 else W.D10 end,

		[H11] = case when @nCheck5 = 1 then 0 else W.D11 end,
		[H12] = case when @nCheck5 = 1 then 0 else W.D12 end, 
		[H13] = case when @nCheck5 = 1 then 0 else W.D13 end, 
		[H14] = case when @nCheck5 = 1 then 0 else W.D14 end, 
		[H15] = case when @nCheck5 = 1 then 0 else W.D15 end, 
		[H16] = case when @nCheck5 = 1 then 0 else W.D16 end, 
		[H17] = case when @nCheck5 = 1 then 0 else W.D17 end, 
		[H18] = case when @nCheck5 = 1 then 0 else W.D18 end, 
		[H19] = case when @nCheck5 = 1 then 0 else W.D19 end, 
		[H20] = case when @nCheck5 = 1 then 0 else W.D20 end, 

		[H21] = case when @nCheck5 = 1 then 0 else W.D21 end, 
		[H22] = case when @nCheck5 = 1 then 0 else W.D22 end, 
		[H23] = case when @nCheck5 = 1 then 0 else W.D23 end, 
		[H24] = case when @nCheck5 = 1 then 0 else W.D24 end, 
		[H25] = case when @nCheck5 = 1 then 0 else W.D25 end, 
		[H26] = case when @nCheck5 = 1 then 0 else W.D26 end, 
		[H27] = case when @nCheck5 = 1 then 0 else W.D27 end, 
		[H28] = case when @nCheck5 = 1 then 0 else W.D28 end, 
		[H29] = case when @nCheck5 = 1 then 0 else W.D29 end, 
		[H30] = case when @nCheck5 = 1 then 0 else W.D30 end, 
		[H31] = case when @nCheck5 = 1 then 0 else W.D31 end, 
--
		[HALF_D] = case when @nCheck5 = 1 then 0 else isnull(WD.DAYS_H1,0) end, 
		[HALF_H] = case when @nCheck5 = 1 then 0 else 
			DBO.MINUTES_TO_NUM( 
			DBO.NUM_TO_MINUTES(W.D1,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D2,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D3,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D4,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D5,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D6,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D7,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D8,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D9,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D10,@ISMINUTES)

		+	DBO.NUM_TO_MINUTES(W.D11,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D12,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D13,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D14,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D15,@ISMINUTES) 
		,@ISMINUTES) end,

		[HALF_D2] = case when @nCheck5 = 1 then 0 else isnull(WD.DAYS_H2,0) end,
		[HALF_H2] = case when @nCheck5 = 1 then 0 else isnull(WD.HORS_H2,0) end,

		[ALL_D] = case when @nCheck5 = 1 then 0 else isnull(WD.DAYS_H1,0) + isnull(WD.DAYS_H2,0) end,
		[ALL_H] = case when @nCheck5 = 1 then 0 else isnull(WD.HORS_H1,0) + isnull(WD.HORS_H2,0) end,

		[NONE_DAYS] = case when @nCheck5 = 1 then 0 else (case when NOT (W.WORK_D = 1 AND W.TYP_YAVKA = 1) then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D IN (4, 5, 6, 7, 8, 9, 10, 13)) end ) end,
		[NONE_HOURS] = case when @nCheck5 = 1 then 0 else 0 end,

		-- 		
		[TYPE_1] = case when @nCheck5 = 1 then 0 else (case when NOT (W.WORK_D = 1 AND W.TYP_YAVKA = 1) then 0 else COALESCE(WD.DAYS_H1,0) + COALESCE(WD.DAYS_H2,0) end) end,
		-- 
		[TYPE_1H] =  case when @nCheck5 = 1 then 0 else 
			DBO.MINUTES_TO_NUM( 
			DBO.NUM_TO_MINUTES(W.D1,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D2,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D3,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D4,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D5,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D6,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D7,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D8,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D9,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D10,@ISMINUTES)

		+	DBO.NUM_TO_MINUTES(W.D11,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D12,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D13,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D14,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D15,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D16,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D17,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D18,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D19,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D20,@ISMINUTES)

		+	DBO.NUM_TO_MINUTES(W.D21,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D22,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D23,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D24,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D25,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D26,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D27,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D28,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D29,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D30,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D31,@ISMINUTES)
		,@ISMINUTES) end,

		[TYPE_2] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 2) end,		--  ()
		[TYPE_2H] = 0,	--  ()
		[TYPE_3] = case when @nCheck5 = 1 then 0 else ISNULL((SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 3),0) + ISNULL(Y.DAYS_Y7,0) end,		--   ()
		[TYPE_4] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 4) end,		--     ()
		[TYPE_5] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 5) end,		--    ()
		[TYPE_6] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 6) end,		--   ()
		[TYPE_7] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D IN (7,13)) end, 	--     ()
		[TYPE_8] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 8) end,		--     ()
		[TYPE_9] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 9) end,		--   ()
		[TYPE_10] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 10) end,	--    ()
		[TYPE_11] = case when @nCheck5 = 1 then 0 else (case when NOT (W.WORK_D = 1 AND W.TYP_YAVKA = 1) then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D IN (11,14)) end ) end,	--     ()
		[TYPE_12] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 12) end,
		--
		[TYPE_13] = case when @nCheck5 = 1 then 0 else (SELECT COUNT(*)  FROM #TABEL WHERE LINK_EMPL = T.LINK_EMPL AND WORK_D = 1 and TYP_YAV = 4) end,	--  
		[TYPE_14] = case when @nCheck5 = 1 then 0 else (SELECT COUNT(*)  FROM #TABEL WHERE LINK_EMPL = T.LINK_EMPL AND WORK_D = 1 and TYP_YAV = 2) end, --    
		[TYPE_15] = case when @nCheck5 = 1 then 0 else (SELECT COUNT(*)  FROM #TABEL WHERE LINK_EMPL = T.LINK_EMPL AND WORK_D = 1 and TYP_YAV = 3) end	--     
	FROM 
		DBO.TABELS T 
		INNER JOIN DBO.SA_TABELS_EMPLS TE ON T.LINK = TE.LINK
		INNER JOIN DBO.SA_TABELS_EMPLS_WP WP ON TE.LINK = WP.LINK_UP1
		INNER JOIN DBO.EMPL E ON E.LINK = TE.LINK_EMPL
		INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK
		LEFT JOIN DBO.SA_TABELS_N N ON TE.LINK = N.LINK_UP1
		LEFT JOIN DBO.SA_TABELS_W W ON TE.LINK = W.LINK_UP1 AND W.LINK_SOVM = WP.LINK_SOVM
		LEFT JOIN #WORK_DAYS WD ON TE.LINK = WD.LINK_UP1 AND WD.LINK_SOVM = WP.LINK_SOVM
		LEFT JOIN #WORK_DAYS1 Y ON TE.LINK = Y.LINK_UP1 AND WD.LINK_SOVM = Y.LINK_SOVM
	WHERE 
		T.LINK_DOC = @varKSnLINKDoc
	ORDER BY 
		1

IF (SELECT COUNT(DISTINCT SUBDIV_LINK) FROM #T_RES00) <> 1 BEGIN
		SELECT @varKSSUBDIV = '', @varKSSUBDIV_CODE = ''
	END
	ELSE 
		BEGIN
			SELECT TOP 1 @varKSSUBDIV = SUBDIV, @varKSSUBDIV_CODE = CODE_SUB FROM  #T_RES00
		END

	DECLARE 
		@varKSCNT1 INT, @varKSCNT2 INT, @varKSCNT3 INT
	
	SELECT TOP 1 
		@varKSCNT1 = COUNT(DISTINCT LINK_FKR_D), 
		@varKSCNT2 = COUNT(DISTINCT LINK_FKR_T), 
		@varKSCNT3 = COUNT(DISTINCT LINK_FKR_E),
		@varKSDIV_CODE = MAX(CODE_FKR_D),
		@varKSDIV_NAME = MAX(NAME_FKR_D),
		@varKSTI_CODE = MAX(CODE_FKR_T),
		@varKSTI_NAME = MAX(NAME_FKR_T),
		@varKSEXP_CODE = MAX(CODE_FKR_E),
		@varKSEXP_NAME = MAX(NAME_FKR_E)
	FROM DICTIONARY_PAYS_EMPL DPE
	INNER JOIN dbo.PAYS P ON DPE.LINK_PAYS = P.LINK
	INNER JOIN bi_diction_vkr VKR ON VKR.LINK = DPE.LINK_KBK
	INNER JOIN #T_RES00 R ON DPE.LINK_EMPL = R.LINK_EMPL
	where date_begin <= @varKSdDate2
		AND (DATE_END >= @varKSdDate1 OR DATE_END IS NULL) 


		declare @LINK_DEP int
		Set @LINK_DEP = Coalesce( (SELECT TOP 1 ZB_LINK FROM dbo.KS_OPTIONS_ZB), dbo.GetOwnDepLink())

		declare @nAVGCount numeric(18,2), @nMCount numeric(18,2)

		Select @nAVGCount = dbo.sa_ssch_empls(@varKSdDate1, @varKSdDate2, null, 0, 1, 0, DEFAULT)
		Select @nMCount = dbo.sa_sch_empls(@varKSdDate2, null, 0, 1, 0, DEFAULT)


	IF @varKSCNT1 <> 1
		SELECT @varKSDIV_CODE = '', @varKSDIV_NAME = ''
	IF @varKSCNT2 <> 1
		SELECT @varKSTI_CODE = '', @varKSTI_NAME = ''
	IF @varKSCNT3 <> 1
		SELECT @varKSEXP_CODE = '', @varKSEXP_NAME = ''

	SELECT *, @nAVGCount as AVGCount, @nMCount as MCount 
	FROM #T_RES00
	ORDER BY 
		LTRIM(RTRIM(CASE @varKSnOption1 
			WHEN 1 THEN REPLICATE ('0',10 - len(ltrim(rtrim((TN))))) + ltrim(rtrim((TN))) 
			WHEN 2 THEN REPLICATE ('0',10 - len(ltrim(rtrim((CODE_POST))))) + ltrim(rtrim((CODE_POST)))
			WHEN 3 THEN POST
			WHEN 4 THEN FIO
			WHEN 5 THEN REPLICATE ('0',10 - len(ltrim(rtrim((CODE_SUB))))) + ltrim(rtrim((CODE_SUB)))
			WHEN 6 THEN SUBDIV
			ELSE ''
		END)),

		LTRIM(RTRIM(CASE @varKSnCheck1 
			WHEN 2 THEN REPLICATE ('0',10 - len(ltrim(rtrim((TN))))) + ltrim(rtrim((TN))) 
			WHEN 3 THEN REPLICATE ('0',10 - len(ltrim(rtrim((CODE_POST))))) + ltrim(rtrim((CODE_POST)))
			WHEN 4 THEN POST
			WHEN 5 THEN FIO
			WHEN 6 THEN REPLICATE ('0',10 - len(ltrim(rtrim((CODE_SUB))))) + ltrim(rtrim((CODE_SUB)))
			WHEN 7 THEN SUBDIV
			ELSE ''
		END)),
		
		LTRIM(RTRIM(CASE @nSort3 
			WHEN 2 THEN '' + REPLICATE ('0',10 - len(ltrim(rtrim((TN))))) + ltrim(rtrim((TN))) 
			WHEN 3 THEN '' +REPLICATE ('0',10 - len(ltrim(rtrim((CODE_POST))))) + ltrim(rtrim((CODE_POST)))
			WHEN 4 THEN '' +POST
			WHEN 5 THEN '' +FIO
			WHEN 6 THEN '' +REPLICATE ('0',10 - len(ltrim(rtrim((CODE_SUB))))) + ltrim(rtrim((CODE_SUB)))
			WHEN 7 THEN '' +SUBDIV
			ELSE ''
		END))

END













GO


GRANT EXECUTE ON dbo.[SA_PRINT_TABEL] TO PUBLIC

GO


-- --


GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSA_RPSV_PERS_UCH_SZV]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSA_RPSV_PERS_UCH_SZV]

GO

--   EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20160101', '20161231', 13488, 0 , 3239
CREATE PROCEDURE dbo.RSA_RPSV_PERS_UCH_SZV
	@dDate1 DATETIME,
	@dDate2 DATETIME,
	@LINK_DEP int = NULL,
	@REP TINYINT = 0, 
	@VARILSF INT = null
AS BEGIN


	declare @DEP_LINK int
	exec dbo.xd_whats_zb @DEP_LINK output

	SET @DEP_LINK = COALESCE(@LINK_DEP,@DEP_LINK)

   DECLARE @nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

	SELECT 
		@nYEAR = YEAR(@dDATE1),
		@nMONTH1 = MONTH(@dDATE1),
		@nMONTH2 = MONTH(@dDATE1)+1,
		@nMONTH3 = MONTH(@dDATE1)+2

	DECLARE @ATR_PERS_UCH INT
	DECLARE @ATR_likvid INT
	DECLARE @NUM_KOR  INT 
	SET @ATR_PERS_UCH  = (SELECT DBO.RN_GET_ATR_VALUE(@VARILSF, 'REPORTS_ATR_PERS_UCH'))
	SET @ATR_likvid  = CASE WHEN (SELECT DBO.RN_GET_ATR_VALUE(@VARILSF, 'REPORTS_ATR_LIKVID')) = '' THEN 0 ELSE 1 END 
	SET @NUM_KOR  = (SELECT [version] FROM REPORT_SAVED_FORMS AS rsf WHERE Link_Saved_Form = @VARILSF)

	DECLARE  @Period_Number TINYINT, @Begin_Date DATETIME, @End_Date DATETIME
	SELECT
		@Period_Number = Period_Number,
		@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
		@End_Date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,Period_Number*3,YEAR(Begin_Date)))
	FROM dbo.REPORT_SAVED_FORMS WHERE LINK_SAVED_FORM = @VARILSF

--************************************************************
	--       
	--    
--***********************************************************

	create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int , REF_PHYS_PERS INT , link_empl int, link_vkr INT  , FACE_GROUP TINYINT, I TINYINT, E TINYINT, INO TINYINT, TDOG INT , SP VARCHAR(4) , KATEG TINYINT)
	-----     ,  , ,           13%, 
	--	  PERSON_CZ  - 0 ..        .
	SELECT DISTINCT PERS_LINK = p.link , p.RESIDENT ,  
					PERSON_CZ =  CASE WHEN ltrim(rtrim(c.name)) LIKE ('%%') THEN 
									 (case when (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
											or (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
											OR (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
											OR (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%') then 0 else 1 end) WHEN ltrim(rtrim(c.name)) LIKE ('% %') THEN  2 ELSE 0 end
	
	INTO #PERS_INO
	FROM person p
	INNER JOIN  citizenship  c ON c.link = p.CITIZ_LINK  AND (ltrim(rtrim(c.name)) LIKE ('%%') OR  ltrim(rtrim(c.name)) LIKE ('% %'))

	Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS , link_empl, FACE_GROUP, I, E, INO, TDOG , SP, KATEG)
	Select [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS,
		link_empl  = null, 
		( CASE WHEN P.RESIDENT = 0 THEN 3
			   WHEN YEAR(birthdate)<= 1966 THEN 1
			   WHEN YEAR(birthdate)>= 1967 THEN 2 END ) AS FACE_GROUP,
		1,---   dbo.is_invalid(REF_PHYS_PERS,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH_BASE,@nYEAR))),
		F.ENVD,
		IN0 = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		TDOG = 1,
		SP = isnull(left(s4.code,4),''),
		KATEG
	from dbo.SA_ESN_VIEW(@nYEAR, @nMONTH3, @DEP_LINK, 0) S
		inner join PERSON P on S.REF_PHYS_PERS = P.link
		inner join dbo.SAL_SFIN F on F.LINK = S.LINK_VKR
		LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = S.SPECO  AND s4.spr_code = 'SPO_USL_TRUDA'
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = P.link AND (o.PERSON_CZ <> 0 AND o.RESIDENT <> 1)
	WHERE  WAY_CALC not in (5)
	
	UPDATE s
	SET  link_empl = ( SELECT top 1 link FROM  dbo.sd_empl sd WHERE  sd.pers_link = s.REF_PHYS_PERS AND  dbo.ConvertDMY2Date(1, s.[MONTH_BASE], @nYEAR) BETWEEN sd.DATE_begin AND isnull(sd.DATE_end,'20991231')  )
	from #SPR_ESN s 


	--  
	INSERT INTO #SPR_ESN
		([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, FACE_GROUP, I, E, INO, TDOG, KATEG)
	SELECT
		MONTH(G.[DATE]) AS MONTH_BASE, GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK,
		( CASE WHEN P.RESIDENT = 0  THEN 3
			   WHEN YEAR(birthdate)<= 1966 THEN 1
			   WHEN YEAR(birthdate)>= 1967 THEN 2 END) AS FACE_GROUP ,
		1,---   dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@nYEAR))),
		F.ENVD,
		IN0 = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		TDOG = 2,
		KATEG = 	CASE WHEN dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@nYEAR))) = 2
					THEN 3
					ELSE
					(CASE WHEN F.ENVD = 1 THEN 2 ELSE 1 END )
		        	END 
		
	FROM
		DOCUMENTS_DGH G INNER JOIN DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
		inner join PERSON P on GT.PERS_LINK = P.link
		inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = P.link AND (o.PERSON_CZ <> 0 AND o.RESIDENT <> 1)
	WHERE
		FLAG_JC = 1
		AND GT.WAY_CALC  not in (5)
		AND YEAR(G.[DATE]) = @nYEAR
		AND MONTH(G.[DATE]) <= @nMONTH3
		AND LINK_DEP = @DEP_LINK

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170301', '20170630', 74578, 3 ,  3400

	DELETE FROM #SPR_ESN
	WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS <= @dDate1)
		

	Declare @StBase2 table (link int)
	Insert into @StBase2 (link)
	select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 6)

	--   
	SELECT
		GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, F.ENVD, SUMMA_BASE = sum(GT.SUMMA_BASE)
	INTO #DGH_FAKT_BASE
	FROM
		dbo.DOCUMENTS_DGH G INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
		INNER JOIN dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
	WHERE
		FLAG_JC = 1
		AND GT.WAY_CALC  = 6
		AND YEAR(G.[DATE]) = @nYEAR
		AND MONTH(G.[DATE]) <= @nMONTH3
		AND LINK_DEP = @DEP_LINK
	GROUP BY
		GT.PERS_LINK, MONTH(G.[DATE]), F.ENVD

	SELECT  PERS_LINK, MONTH_BASE, SUMMA_BASE = SUM(SUMMA_BASE)
	INTO #DGH_FAKT_BASE1
	FROM #DGH_FAKT_BASE
	GROUP BY PERS_LINK, MONTH_BASE

	DECLARE @LINK_EKR213 INT
	SET @LINK_EKR213 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')

	DECLARE @ESN_213 INT --      213 
	SET @ESN_213 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_5')

	------
	CREATE TABLE #CALCULATE_JURNAL (LINK_PAYS INT, PERIOD_BEGIN DATETIME, LINK_DOC INT, PERS_LINK INT, LINK_VKR INT, LINK_EKR INT, LINK_EMPL INT, SUMMA NUMERIC(18,2), WAY_CALC TINYINT , SPECO int)
	INSERT INTO #CALCULATE_JURNAL (LINK_PAYS, PERIOD_BEGIN, LINK_DOC, PERS_LINK, LINK_VKR, LINK_EKR, LINK_EMPL, SUMMA,way_calc , SPECO)
	SELECT CJ.LINK_PAYS, CJ.PERIOD_BEGIN, CJ.LINK_DOC, CJ.PERS_LINK, CJ.LINK_VKR, cj.LINK_EKR, CJ.LINK_EMPL, SUMMA = SUM(CJ.SUMMA), p.way_calc , SPECO
	FROM dbo.CALCULATE_JURNAL CJ INNER JOIN dbo.PAYS P ON  CJ.LINK_PAYS = p.link
	WHERE
		Year(period_begin) = @nYEAR
		and Month(period_begin) <= @nMONTH3
		and CJ.LINK_DEP = @DEP_LINK
	GROUP BY
		cj.LINK_PAYS, cj.PERIOD_BEGIN, cj.LINK_DOC, cj.PERS_LINK, cj.LINK_VKR, cj.LINK_EKR, cj.LINK_EMPL, P.WAY_CALC,cj.SPECO


	DELETE FROM #CALCULATE_JURNAL 
	WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = (SELECT e.PERS_LINK FROM empl e WHERE e.link = LINK_EMPL  )  and K.CHECK_SZV = 0  AND DATE_PENS <= @dDate1)


	------	      
	CREATE TABLE #PERS_INV (PERS_LINK INT)
	--SELECT DISTINCT PERS_LINK
	--INTO #PERS_INV
	--FROM dbo.PERS_INVALID I
	--WHERE COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 1 ,  803
	------	            
	SELECT DISTINCT sd.LINK, DOP = (CASE when S.COD_POS_SPISOK is NOT NULL then 1 else 2 end) , SPO = isnull(s4.code,'')
	INTO #EMPL_DT
	FROM DBO.KU_EMPL_PLACING SD
		left JOIN (select * from STAFF WHERE dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@nYEAR)) BETWEEN DATE_BEGIN AND DATE_END  ) S ON S.LINK_up = SD.STAFF_HEAD  AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@nYEAR )) BETWEEN S.DATE_BEGIN AND S.DATE_END
		LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = s.COD_SPO_USL_TRUD  AND s4.spr_code = 'SPO_USL_TRUDA'
		WHERE
			(S.COD_POS_SPISOK is NOT NULL OR S.COD_POS_SPISOK2 is NOT NULL)


	--  #SALARY_SUM2
	CREATE TABLE #SALARY_SUM_DATA (PERS_LINK INT,LINK_EMPL INT ,T_DOG INT , PERIOD_BEGIN DATETIME, SUMMA_ALL NUMERIC(18,2), SUMMA_NO NUMERIC(18,2), SUMMA_ALL_I NUMERIC(18,2), SUMMA_NO_I NUMERIC(18,2), SUMMA_ALL_E NUMERIC(18,2), SUMMA_NO_E NUMERIC(18,2), INV TINYINT , INO TINYINT,
			SUMMA_ALL_INO NUMERIC(18,2), SUMMA_NO_INO NUMERIC(18,2)
			/*,SUMMA_ALL_D1 NUMERIC(18,2)*/, SUMMA_NO_D1 NUMERIC(18,2)/*, SUMMA_ALL_D2 NUMERIC(18,2)*/, SUMMA_NO_D2 NUMERIC(18,2),
		SUM_NO_D1_O4 NUMERIC(18,2) ,SUM_NO_D1_B34 NUMERIC(18,2) ,SUM_NO_D1_B33 NUMERIC(18,2),SUM_NO_D1_B32 NUMERIC(18,2), SUM_NO_D1_B31 NUMERIC(18,2),
			SUM_NO_D2_O4 NUMERIC(18,2) ,SUM_NO_D2_B34 NUMERIC(18,2) ,SUM_NO_D2_B33 NUMERIC(18,2),SUM_NO_D2_B32 NUMERIC(18,2), SUM_NO_D2_B31 NUMERIC(18,2), sack CHAR(1) DEFAULT ''
			)
	--


	INSERT INTO #SALARY_SUM_DATA (PERS_LINK,LINK_EMPL,T_DOG, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO , 
				SUMMA_ALL_INO , SUMMA_NO_INO
			/*,SUMMA_ALL_D1*/, SUMMA_NO_D1/*, SUMMA_ALL_D2*/, SUMMA_NO_D2,SUM_NO_D1_O4,SUM_NO_D1_B34,SUM_NO_D1_B33, SUM_NO_D1_B32, SUM_NO_D1_B31,
			SUM_NO_D2_O4,SUM_NO_D2_B34,SUM_NO_D2_B33, SUM_NO_D2_B32, SUM_NO_D2_B31, sack)
	select
		E.PERS_LINK,
		CJ.LINK_EMPL,
		T_DOG  = 1 ,
		CJ.PERIOD_BEGIN,
		SUMMA_ALL = SUM(SUMMA),
		SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
		SUMMA_ALL_I = 0,
		SUMMA_NO_I = 0,
		SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
		SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 AND (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) THEN SUMMA ELSE 0 END),
		INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		
		SUMMA_ALL_INO = 0,
		SUMMA_NO_INO = 0,
		--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
		SUMMA_NO_D1 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 1 AND isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),

		----SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
		SUMMA_NO_D2 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 2 and  isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='4'  THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.1' THEN SUMMA ELSE 0 END),	
		SUM_NO_D2_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='4' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.1' THEN SUMMA ELSE 0 END),
		sack = ''--CASE WHEN isnull(e.DATE_END,'') BETWEEN dbo.DateENDOfMonth(@dDate1) AND @dDate2 THEN (case when isnull(e.sack,0) = 0 THEN '' ELSE CONVERT( char(1),e.sack ) end ) ELSE '' END 
	from
		#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
		INNER JOIN DBO.sd_EMPL E ON E.LINK = CJ.LINK_EMPL
		LEFT JOIN @StBase2 B ON B.LINK = cj.LINK_PAYS
		LEFT JOIN #PERS_INV I ON I.PERS_LINK = E.PERS_LINK
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = E.PERS_LINK AND (o.PERSON_CZ <> 0 AND O.resident<>1)
		LEFT JOIN #EMPL_DT ED ON ED.link = CJ.LINK_EMPL
	where 	
		P.[OBJECT] = 1
	GROUP BY
		E.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN , O.pers_LINK,CJ.LINK_EMPL--, e.DATE_END --, e.sack

	INSERT INTO #SALARY_SUM_DATA (PERS_LINK,LINK_EMPL,T_DOG, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO , 
				SUMMA_ALL_INO , SUMMA_NO_INO
			/*,SUMMA_ALL_D1*/, SUMMA_NO_D1/*, SUMMA_ALL_D2*/, SUMMA_NO_D2,SUM_NO_D1_O4,SUM_NO_D1_B34,SUM_NO_D1_B33, SUM_NO_D1_B32, SUM_NO_D1_B31,
			SUM_NO_D2_O4,SUM_NO_D2_B34,SUM_NO_D2_B33, SUM_NO_D2_B32, SUM_NO_D2_B31, sack)
	select
		s.ref_phys_pers,
		s.LINK_EMPL,
		T_DOG  = 1 ,
		dbo.ConvertDMY2Date(1, s.[MONTH_BASE], @nYEAR),
		SUMMA_ALL = SUM(SUMMA),
		SUMMA_NO = 0, --     
		SUMMA_ALL_I = 0,
		SUMMA_NO_I = 0,
		SUMMA_ALL_E = 0,
		SUMMA_NO_E = 0,
		INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		
		SUMMA_ALL_INO = 0,
		SUMMA_NO_INO = 0,
		--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
		SUMMA_NO_D1 =0,

		----SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
		SUMMA_NO_D2 = 0,
		SUM_NO_D1_O4 = 0,
		SUM_NO_D1_B34 = 0,
		SUM_NO_D1_B33 = 0,
		SUM_NO_D1_B32 = 0,
		SUM_NO_D1_B31 = 0,	
		SUM_NO_D2_O4 = 0,
		SUM_NO_D2_B34 = 0,
		SUM_NO_D2_B33 = 0,
		SUM_NO_D2_B32 = 0,
		SUM_NO_D2_B31 = 0,
		sack = ''--CASE WHEN isnull(e.DATE_END,'') BETWEEN dbo.DateENDOfMonth(@dDate1) AND @dDate2 THEN (case when isnull(e.sack,0) = 0 THEN '' ELSE CONVERT( char(1),e.sack ) end ) ELSE '' END 
	from
		#SPR_ESN s
		INNER JOIN DBO.sd_EMPL E ON E.LINK = s.LINK_EMPL
		LEFT JOIN #PERS_INV I ON I.PERS_LINK = E.PERS_LINK
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = E.PERS_LINK AND (o.PERSON_CZ <> 0 AND O.resident<>1)
		LEFT JOIN #EMPL_DT ED ON ED.link = s.LINK_EMPL
	WHERE  NOT EXISTS( SELECT  link_empl FROM #SALARY_SUM_DATA AS ss WHERE ss.PERS_LINK = s.REF_PHYS_PERS AND ss.PERIOD_BEGIN = dbo.ConvertDMY2Date(1, s.[MONTH_BASE], @nYEAR))
		  AND   dbo.ConvertDMY2Date(1, s.[MONTH_BASE], @nYEAR) BETWEEN e.DATE_begin AND isnull(e.DATE_END,'21991231')
	GROUP BY
		s.ref_phys_pers, E.PERS_LINK, I.PERS_LINK , s.[MONTH_BASE] , O.pers_LINK,s.LINK_EMPL--, e.DATE_END --, e.sack
	
 --EXEC dbo.RSA_RPSV_PERS_UCH_SZV  '2017-04-01 00:00:00','2017-06-30 00:00:00',  74578 , 1, 6426


	--
	INSERT INTO #SALARY_SUM_DATA (PERS_LINK,  T_DOG, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO,SUMMA_ALL_INO,SUMMA_NO_INO
			--,SUMMA_ALL_D1, SUMMA_NO_D1, SUMMA_ALL_D2, SUMMA_NO_D2
			)
	select
		CJ.PERS_LINK,
		T_DOG = 2,
		CJ.PERIOD_BEGIN,
		SUMMA_ALL = SUM(SUMMA),
		SUMMA_NO = SUM(SUMMA) - ISNULL((SELECT SUM(B1.SUMMA_BASE) FROM #DGH_FAKT_BASE1 B1 WHERE B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)),0), --     
		SUMMA_ALL_I = 0,
		SUMMA_NO_I = 0,
		SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
		SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END)  - ISNULL((SELECT SUM(B.SUMMA_BASE) FROM #DGH_FAKT_BASE B WHERE B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1),0),
		INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		SUMMA_ALL_INO = 0,
		SUMMA_NO_INO = 0
		--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
		--SUMMA_NO_D1 = 0,

		--SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
		--SUMMA_NO_D2 = 0
			
	from
		#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
		INNER JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
		--     
	--	LEFT JOIN #DGH_FAKT_BASE B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1
		--   
	--	LEFT JOIN #DGH_FAKT_BASE1 B1 ON B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
		LEFT JOIN #PERS_INV I ON I.PERS_LINK = CJ.PERS_LINK
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = CJ.PERS_LINK AND (o.PERSON_CZ <> 0 AND O.resident<>1)
	where 	
		P.[OBJECT] = 1
	GROUP BY
		CJ.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN, P1.RESIDENT, p1.birthdate , O.pers_LINK



	----    ,      
	--UPDATE D SET
	--	SUMMA_ALL_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL ELSE 0 END),
	--	SUMMA_NO_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO ELSE 0 END),
	--	SUMMA_ALL_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL_E ELSE 0 END),
	--	SUMMA_NO_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO_E ELSE 0 END)
	--FROM #SALARY_SUM_DATA D
	--WHERE INV = 1 --    -  	

	--    ,      
	UPDATE D SET
		SUMMA_ALL_INO = (CASE when D.PERS_LINK = (SELECT top 1 i1.pers_link FROM #PERS_INO I1 WHERE I1.PERS_LINK =  D.PERS_LINK) THEN SUMMA_ALL ELSE 0 END),
		SUMMA_NO_INO = (CASE WHEN D.PERS_LINK = (SELECT top 1 i1.pers_link FROM #PERS_INO I1 WHERE I1.PERS_LINK =  D.PERS_LINK) THEN SUMMA_NO ELSE 0 END)
	FROM #SALARY_SUM_DATA D
	WHERE INO = 1 --  -  	


-----------
DECLARE @PREDEL NUMERIC(18,2)
SET @PREDEL = ISNULL((SELECT MIN(PREDEL) FROM dbo.DICTIONARY_RANGE_PF WHERE WAY_CALC = 6 AND TARIF = 1 AND [DATE] >= dbo.ConvertDMY2Date(1,1,YEAR(@dDate1))),0)
-----------

	--   
	SELECT
		PERS_LINK,
		--MON = Month(PERIOD_BEGIN),
		T_DOG = MIN(T_DOG),
		SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO),
		SUMMA_ALL_I = SUM(SUMMA_ALL_I), SUMMA_NO_I = SUM(SUMMA_NO_I),
		SUMMA_ALL_E = SUM(SUMMA_ALL_E), SUMMA_NO_E = SUM(SUMMA_NO_E),
		SUMMA_ALL_INO = SUM(SUMMA_ALL_INO), SUMMA_NO_INO = SUM(SUMMA_NO_INO),
		SUMMA_ALL_DO_I = (CASE WHEN SUM(SUMMA_ALL_I) > @PREDEL THEN  @PREDEL ELSE (SUM(SUMMA_ALL_I) - SUM(SUMMA_NO_I)) END ),
		SUMMA_ALL_DO = (CASE WHEN SUM(SUMMA_ALL) > @PREDEL THEN  @PREDEL ELSE (SUM(SUMMA_ALL) - SUM(SUMMA_NO)) END ),
		SUMMA_ALL_AFTER = (CASE WHEN SUM(SUMMA_ALL - SUMMA_ALL_I - SUMMA_NO - SUMMA_NO_I)  > @PREDEL THEN  SUM(SUMMA_ALL) - @PREDEL ELSE 0 END ),
		SUMMA_ALL_AFTER_I = (CASE WHEN SUM(SUMMA_ALL_I) > @PREDEL THEN  SUM(SUMMA_ALL) - @PREDEL ELSE 0 END )
		,BASE_DOG = SUM(CASE WHEN T_DOG = 2 THEN SUMMA_ALL - SUMMA_NO ELSE 0 END),
		SUMMA_NO_D1 = SUM(SUMMA_NO_D1), SUMMA_NO_D2 = SUM(SUMMA_NO_D2),
		SUM_NO_D1_O4  = SUM(SUM_NO_D1_O4), SUM_NO_D1_B34 = SUM(SUM_NO_D1_B34),
		SUM_NO_D1_B33 = SUM(SUM_NO_D1_B33), SUM_NO_D1_B32 = SUM(SUM_NO_D1_B32), SUM_NO_D1_B31 = SUM(SUM_NO_D1_B31),
		SUM_NO_D2_O4  = SUM(SUM_NO_D2_O4), SUM_NO_D2_B34 = SUM(SUM_NO_D2_B34),
		SUM_NO_D2_B33 = SUM(SUM_NO_D2_B33), SUM_NO_D2_B32 = SUM(SUM_NO_D2_B32), SUM_NO_D2_B31 = SUM(SUM_NO_D2_B31) /*,
		SACK = MAX(SACK)*/
	INTO #SALARY_SUM2
	FROM #SALARY_SUM_DATA WHERE month(PERIOD_BEGIN)BETWEEN @nMONTH1 AND @nMONTH3
	GROUP BY
		PERS_LINK
		

	----EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 13488, 1, 2928
	------    
	--
	--,        
	DECLARE @LIMIT NUMERIC(18,2)

	SELECT
		@LIMIT  = MIN(S.PREDEL)
	FROM
		dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
	WHERE
		tarif =1
		and
		[DATE] =  (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0
		
	SET @LIMIT = ISNULL(@LIMIT,0)


	--,        
	DECLARE @LIMIT_OMS NUMERIC(18,2)

	SELECT @LIMIT_OMS = MAX(S.PREDEL)
	FROM
		dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
	WHERE
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0
		
	SET @LIMIT_OMS = ISNULL(@LIMIT_OMS,0)


	--  ,        (%)
	--   
	--    2014         ,      " 1967"
	DECLARE
		@PERCENT NUMERIC(18,2),
		--    2014  
		-- @PERCENT_N NUMERIC(18,2)  --
		@PERCENT_OMS NUMERIC(18,2), @IPERCENT_OMS NUMERIC(18,2)
		
	SELECT
		@PERCENT = S.PERCENT3
	FROM
		dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
	WHERE
		predel = @LIMIT
		and tarif =1
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT3 > 0
		
	SET @PERCENT = ISNULL(@PERCENT,0)	


	--
	SELECT @PERCENT_OMS = S.PERCENT1
	FROM
		dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
	WHERE
		predel = @LIMIT_OMS
		and tarif =1
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT_OMS
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0

	--
	SELECT @IPERCENT_OMS = S.PERCENT1
	FROM
		dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
	WHERE
		predel = @LIMIT_OMS
		and tarif =3
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT_OMS
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0	

	SET @PERCENT_OMS = ISNULL(@PERCENT_OMS,0)	
	SET @IPERCENT_OMS = ISNULL(@IPERCENT_OMS,0)

	--  
	---  
	DECLARE @IPERCENT NUMERIC(28,2)
	SELECT @IPERCENT = S.PERCENT3
	FROM
		dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
	WHERE
		predel = @LIMIT
		and tarif = 3
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0
	SET @IPERCENT = ISNULL(@IPERCENT,0)		


	SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END INTO #SPR_ESN1 FROM #SPR_ESN WHERE WAY_CALC = 6 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 2 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 3 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 4 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 5 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 6 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 7 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END  FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 8 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 9 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 10 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 11 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 12 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS

	SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
	INTO #SPR_ESN2
	FROM
		#SPR_ESN1 T INNER JOIN dbo.months_ex(@dDate1, @dDate2) M ON 1=1
		LEFT JOIN #SPR_ESN1 T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
		LEFT JOIN #SPR_ESN1 T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1
		

	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 1 ,  3239	
		
--************************************************************
	--     (****)
--***********************************************************

	--   
	DECLARE @ROUND_TYPE tinyint, @ROUND_LEN tinyint
	Set @ROUND_TYPE = dbo.sa_get_option_by_code('SA_SZV4_OPT2')
	Set @ROUND_LEN = (case when @ROUND_TYPE <= 1 then 2 else 0 end)
	Set @ROUND_TYPE = (case when @ROUND_TYPE = 3 then 1 else 0 end)

	--  
	DECLARE @IT_ROUND_TYPE tinyint
	Set @IT_ROUND_TYPE = dbo.sa_get_option_by_code('SA_SZV4_OPT5')
	
	/*SELECT DISTINCT PERS_LINK = p.link , p.RESIDENT ,  PERSON_CZ =  CASE WHEN ltrim(rtrim(c.name)) LIKE ('%%') THEN  1 WHEN ltrim(rtrim(c.name)) LIKE ('% %') THEN  2 ELSE 0 end
	INTO #PERS_INO
	FROM person p
	INNER JOIN  citizenship  c ON c.link = p.CITIZ_LINK  AND (ltrim(rtrim(c.name)) LIKE ('%%') OR  ltrim(rtrim(c.name)) LIKE ('% %'))
	*/
	-----  

		
	SELECT 	 
		[YEAR] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @nYEAR ELSE NULL END ,0),
		[CODE] = CASE WHEN ss.INV = 1 then '' ELSE  
												(CASE WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 2 THEN ''
												WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 0 THEN ''
												ELSE '' END) 
							end ,
		[PER] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @Period_Number ELSE NULL END ,0),
		[PER10] = ISNULL(CASE WHEN @nYEAR = 2013 THEN @Period_Number ELSE NULL END ,0),
		[TYPE] = '1' /*        */,
		[PER_EDT] = 0 /*    */,
		[YEAR_EDT] = 0 /*     */,
		[NGROUP] = 100 /*  -  */,
		[PFNUMBER] = p.INSUR_NUM,
		[T_DOG] = 1,
		link_FACE = ss.PERS_LINK,
		EMPL_LINK = SE.LINK,
		NUM = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY SS.T_DOG),
		[FM]=p.FM,
		[IM]=p.IM,
		[OT] = p.OT,
		[ADDRESS] = (SELECT dbo.GetAddressByKladr(P.ADR_OFIC_LINK)),
		[MON] = month(ss.PERIOD_BEGIN),
		[INC] = ss.SUMMA_ALL,
		[B_BEF] = ((select sum(summa_base) - sum(ded_m) - sum(inv_m) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND WAY_CALC = 6 AND I = 1 AND TDOG = SS.T_DOG  )/(SELECT COUNT(link_empl) FROM #salary_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND month(PERIOD_BEGIN) = month(ss.period_begin) AND T_DOG = SS.T_DOG )   ),
		[B_AFT] = CASE WHEN ss.INV = 1 	THEN (CASE WHEN
													(CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL_I) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG )) 
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND month_base <= month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG ),0) ))
													) > @limit
													THEN 
													(CONVERT(numeric(18,2),(SELECT CONVERT(numeric(18,2),sum(SUMMA_ALL_I) - sum(SUMMA_NO_I)) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN AND T_DOG = SS.T_DOG ) )
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) - @limit 
													ELSE 
													0 END) 
											ELSE
												(CASE WHEN 
													( CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL) - sum(SUMMA_ALL_I) - SUM(SUMMA_NO) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG))
													- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = ss.PERS_LINK AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) > @limit 
												THEN @limit
												ELSE 
													0
												END) 
											END			
										
											 
		,
		[INC_T1] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 10  AND TDOG = SS.T_DOG),0),
		[INC_T2] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 11  AND TDOG = SS.T_DOG),0),
		[INSUR] = isnull((select sum(summa) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 6 AND i = case when ss.inv= 0 THEN 1 ELSE 2 END  AND TDOG = SS.T_DOG ),0), --     . 
		/*[INSUR1] = COALESCE(S.INSUR,0), --     . 
		[GAIN] = COALESCE(S.GAIN,0), --     . 
		[GAIN1] = COALESCE(S.DOP,0), --     . 
		*/[DOP] = COALESCE((SELECT ISNULL(dt.dop,0) FROM #empl_dt dt WHERE dt.link = se.link ),0) ,
		--[ID_EX] = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY ,ss.pers_link),
		[DATE_BEGIN] = ss.PERIOD_BEGIN,
		[DATE_END] = dbo.DateENDOfMonth(ss.PERIOD_BEGIN), /*
		dper_vn_m = coalesce(s.dper_vn_m,0),
		dper_vn_d = coalesce(s.dper_vn_d,0),
		dper_oz_m = coalesce(s.dper_oz_m,0),
		dper_oz_d = coalesce(s.dper_oz_d,0),
		[TU_CODE] = f_ter_usl,
		[OS_CODE] = f_osob_usl,
		osob_usl,*/
		OSOB_SPO = (SELECT ISNULL(dt.spo,'') FROM #empl_dt dt WHERE dt.link = se.link ) ,
		/*[EX_CODE] = is_osnov,
		f_is_dop,
		[P_CODE] = ud_osnov,
		f_ud_dop,
		DATE_DOC = [date],*/
		dep_PFNUM = (select PFNUMBER from dbo.departments where link=@DEP_LINK)
	INTO #SZV_ALL
	FROM #SALARY_SUM_DATA AS ss 
	INNER JOIN dbo.PERSON AS p ON ss.PERS_LINK = p.LINK
	inner JOIN dbo.sd_empl AS se ON   se.link = ss.link_empl /*AND se.sack = 0*/ AND  se.DATE_BEGIN <= @dDate2   and (isnull(se.date_END,'20991231')  >= @dDate1 OR year(isnull(se.date_END,'20991231'))  = year(@dDate1))
	where  (CASE WHEN  exists(SELECT TOP 1  status_empl  from dbo.sd_empl AS s1 where  s1.link = se.link  /*AND se.sack = 0*/ AND  s1.DATE_BEGIN <= @dDate2    and (isnull(se.date_END,'20991231')  >= @dDate1 OR year(isnull(se.date_END,'20991231'))  = year(@dDate1)) and s1.status_empl = 1)
		THEN 1 ELSE (SELECT TOP 1  status_empl  from dbo.sd_empl AS s1 where s1.link = se.link  /*AND se.sack = 0*/ AND  s1.DATE_BEGIN <= @dDate2   and (isnull(se.date_END,'20991231')  >= @dDate1 OR year(isnull(se.date_END,'20991231'))  = year(@dDate1)))  
			      END ) = se.statuS_empl  
	ORDER BY se.FM, se.IM,se.OT,se.DATE_BEGIN, ss.PERIOD_BEGIN
		

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 74579, 1 ,  2501	
 --EXEC dbo.RSA_RPSV_PERS_UCH_SZV  '2017-04-01 00:00:00','2017-06-30 00:00:00',  74578 , 0, 6426
	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 2 ,  3239	
    ---    

    

	INSERT INTO #SZV_ALL
	SELECT 	 
		[YEAR] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @nYEAR ELSE NULL END ,0),
		[CODE] = CASE WHEN ss.INV = 1 then '' ELSE  
							(CASE WHEN t_dog = 1 THEN  
												(CASE WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 2 THEN ''
												WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 0 THEN ''
												ELSE '' END) 
								 WHEN  t_dog = 2 then ''  END )
							end ,
		[PER] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @Period_Number ELSE NULL END ,0),
		[PER10] = ISNULL(CASE WHEN @nYEAR = 2013 THEN @Period_Number ELSE NULL END ,0),
		[TYPE] = '1' /*        */,
		[PER_EDT] = 0 /*    */,
		[YEAR_EDT] = 0 /*     */,
		[NGROUP] = 100 /*  -  */,
		[PFNUMBER] = p.INSUR_NUM,
		[T_DOG] = SS.T_DOG,
		link_FACE = ss.PERS_LINK,
		EMPL_LINK = '',
		NUM = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY SS.T_DOG),
		[FM]=p.FM,
		[IM]=p.IM,
		[OT] = p.OT,
		[ADDRESS] = (SELECT dbo.GetAddressByKladr(P.ADR_OFIC_LINK)),
		[MON] = month(ss.PERIOD_BEGIN),
		[INC] = ss.SUMMA_ALL,
		[B_BEF] = ((select sum(summa_base) - sum(ded_m) - sum(inv_m) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND WAY_CALC = 6 AND I = 1 AND TDOG = SS.T_DOG  )   ),
		[B_AFT] = CASE WHEN ss.INV = 1 	THEN (CASE WHEN
													(CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL_I) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG )) 
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND month_base <= month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG ),0) ))
													) > @limit
													THEN 
													(CONVERT(numeric(18,2),(SELECT CONVERT(numeric(18,2),sum(SUMMA_ALL_I) - sum(SUMMA_NO_I)) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN AND T_DOG = SS.T_DOG ) )
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) - @limit 
													ELSE 
													0 END) 
											ELSE
												(CASE WHEN 
													( CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL) - sum(SUMMA_ALL_I) - SUM(SUMMA_NO) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG))
													- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = ss.PERS_LINK AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) > @limit 
												THEN  @limit
												ELSE 
													0
												END)
											END			
										
											 
		,
		[INC_T1] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 10  AND TDOG = SS.T_DOG),0),
		[INC_T2] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 11  AND TDOG = SS.T_DOG),0),
		[INSUR] = isnull((select sum(summa) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 6 AND i = case when ss.inv= 0 THEN 1 ELSE 2 END  AND TDOG = SS.T_DOG ),0), --     . 
		/*[INSUR1] = COALESCE(S.INSUR,0), --     . 
		[GAIN] = COALESCE(S.GAIN,0), --     . 
		[GAIN1] = COALESCE(S.DOP,0), --     . 
		*/[DOP] = 0 ,
		--[ID_EX] = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY ,ss.pers_link),
		[DATE_BEGIN] = ss.PERIOD_BEGIN,
		[DATE_END] = dbo.DateENDOfMonth(ss.PERIOD_BEGIN), /*
		dper_vn_m = coalesce(s.dper_vn_m,0),
		dper_vn_d = coalesce(s.dper_vn_d,0),
		dper_oz_m = coalesce(s.dper_oz_m,0),
		dper_oz_d = coalesce(s.dper_oz_d,0),
		[TU_CODE] = f_ter_usl,
		[OS_CODE] = f_osob_usl,
		osob_usl,*/
		OSOB_SPO = '',
		/*[EX_CODE] = is_osnov,
		f_is_dop,
		[P_CODE] = ud_osnov,
		f_ud_dop,
		DATE_DOC = [date],*/
		dep_PFNUM = (select PFNUMBER from dbo.departments where link=@DEP_LINK)
	
	FROM #SALARY_SUM_DATA AS ss 
	INNER JOIN dbo.PERSON AS p ON ss.PERS_LINK = p.LINK
	WHERE NOT EXISTS (SELECT link_FACE FROM #SZV_ALL WHERE link_FACE = p.link and ss.PERIOD_BEGIN between date_begin and date_end ) AND ss.T_DOG = 2
	ORDER BY SS.T_DOG , p.FM, p.IM,p.OT --,se.DATE_BEGIN
    
-- EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 74578, 1, 3407 

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 74578, 0,         3413

SELECT * INTO #SZV_SUM FROM	 
(SELECT 
	RN = ROW_NUMBER() OVER (PARTITION BY LINK_FACE, CODE, T_DOG, [TYPE], PER_EDT, NGROUP/*, ID_EX*/ ORDER BY T_DOG),
	CODE,
	LINK_FACE,
	[PFNUMBER],
	T_DOG,
	INC_M1= convert(numeric(18,2),0) ,
	B_BEF_M1= convert(numeric(18,2),0) ,
	B_AFT_M1= convert(numeric(18,2),0) ,
	INC_M2 = convert(numeric(18,2),0) ,
	B_BEF_M2 = convert(numeric(18,2),0),
	B_AFT_M2 = convert(numeric(18,2),0),
	INC_M3 = convert(numeric(18,2),0),
	B_BEF_M3 = convert(numeric(18,2),0),
	B_AFT_M3 = convert(numeric(18,2),0),		
	per,
	[year],
	[TYPE],
	per_edt,
	year_edt,
	INSUR  = convert(numeric(18,2),0)
FROM 
	#SZV_ALL 
	GROUP BY CODE ,LINK_FACE,[PFNUMBER],T_DOG,per,[year],[TYPE],per_edt,year_edt,NGROUP, num
) T WHERE RN = 1

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 74578, 1, 3407


UPDATE s 	 
set INC_M1 = (SELECT isnull(SUM(s1.INC),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND LTRIM(RTRIM(s1.link_face)) = LTRIM(RTRIM(s.link_face)) AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG)) AND  ltrim(rtrim(s1.mon)) = ltrim(rtrim(@nMONTH1))),
	B_BEF_M1 = (SELECT isnull(SUM(s1.B_BEF),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH1),
	B_AFT_M1 = (SELECT isnull(SUM(s1.B_AFT),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH1),
	INC_M2 = (SELECT isnull(SUM(s1.INC),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH2),
	B_BEF_M2 = (SELECT isnull(SUM(s1.B_BEF),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH2),
	B_AFT_M2 = (SELECT isnull(SUM(s1.B_AFT),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH2),
	INC_M3 = (SELECT isnull(SUM(s1.INC),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH3),
	B_BEF_M3 = (SELECT isnull(SUM(s1.B_BEF),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH3),
	B_AFT_M3 = (SELECT isnull(SUM(s1.B_AFT),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND s1.mon = @nMONTH3),
	INSUR = (select isnull(sum(s1.INSUR),0) from #SZV_ALL s1 WHERE s1.link_face = s.link_face AND  LTRIM(RTRIM(s1.code))= LTRIM(RTRIM(s.code))  AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND rtrim(ltrim(s1.per)) = ltrim(rtrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon IN( @nMONTH1,@nMONTH2,@nMONTH3 ) GROUP BY s1.code, s1.link_face,s1.T_DOG ,s1.per ,s1.[year])
FROM 	
#SZV_SUM s 

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 3 ,  356	
--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 0 ,  803

----------------------------

SELECT 
	LINK_FACE, [PFNUMBER], CODE, per, [year], [TYPE], per_edt, year_edt, INSUR = SUM(INSUR)
INTO 
	#SZV_PC		
FROM 
	(
	SELECT 
		A.LINK_FACE, A.[PFNUMBER], A.CODE, A.T_DOG, A.per, A.[year], A.[TYPE], A.per_edt, A.year_edt, 
		INSUR = CASE WHEN MIN(B_AFT_M1) + MIN(B_AFT_M2) + MIN(B_AFT_M3) <> 0 THEN
					MIN(B_BEF_M1 * PERCENT1 / 100) + MIN(B_BEF_M2 * PERCENT1 / 100) + MIN(B_BEF_M3 * PERCENT1 / 100)
				ELSE
					MIN(INSUR)
				END				
	FROM 
		#SZV_SUM A left JOIN dbo.SA_PFR_KATEG B ON A.CODE = B.CODE AND [year] BETWEEN YBEG AND YEND
			left JOIN 
			(
				SELECT 
					TARIF, PERCENT1
				FROM 
					dbo.DICTIONARY_RANGE_PF D
				WHERE
					WAY_CALC = 6 AND PREDEL = @PREDEL
					AND [DATE] = (SELECT TOP 1 [DATE] FROM dbo.DICTIONARY_RANGE_PF D1 WHERE D1.TARIF = D.TARIF AND ISNULL(D1.SPECO,0) = ISNULL(D.SPECO,0) AND WAY_CALC = 6 AND DATE <= @dDate1 ORDER BY [DATE] DESC) 
			) C ON C.TARIF = B.LINK2 
	GROUP BY
		A.LINK_FACE, A.[PFNUMBER], A.CODE, A.T_DOG, A.per, A.[year], A.[TYPE], A.per_edt, A.year_edt
	) T
GROUP BY
	LINK_FACE, [PFNUMBER], CODE, per, [year], [TYPE], per_edt, year_edt

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 13488, 0 ,  2909
----EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 74578, 0,         3413
-----------------------------------------------------
	IF @REP = 0 
	BEGIN 
		
		declare @modify_date DATETIME
		SELECT  @modify_date = modify_date
		FROM dbo.REPORT_SAVED_FORMS WHERE LINK_SAVED_FORM = @VARILSF
	--PARTITION BY SNILS, [TYPE] ORDER BY CODE_STR
	--(ORDER BY a.[PFNUMBER]))
		SELECT
			CODE = CONVERT(VARCHAR(4),RANK() OVER (ORDER BY  a.[TYPE],a.[T_DOG], a.[FM],a.[IM],a.[OT],p.INN )),
			COL1 = CONVERT(VARCHAR(4),RANK() OVER (ORDER BY a.[TYPE],a.[T_DOG], a.[FM],a.[IM],a.[OT],p.INN )),
			COL2 = @NUM_KOR, 
			COL3 = CASE WHEN @ATR_likvid = 0 then (CASE a.per when 1 THEN 21 
															  WHEN 2 THEN 31
															  WHEN 3 THEN 33
															  WHEN 4 THEN 34 END )
											 ELSE (CASE a.per when 1 THEN 51 
															  WHEN 2 THEN 52
															  WHEN 3 THEN 53
															  WHEN 4 THEN 90 END )			  
											END ,
			COL4 = a.year,
			COL5 = CONVERT(VARCHAR(10), @modify_date, 104),
			COL6 = p.INN ,
			COL7 = CONVERT(VARCHAR(14),a.[PFNUMBER]),
			COL8 = CONVERT(varchar(100),a.[FM]),
			COL9 = CONVERT(varchar(100),a.[IM]),
			COL10 = CONVERT(varchar(100),a.[OT]),
			COL11 = CONVERT(VARCHAR(10),p.BIRTHDATE, 104),
			COL12 = CASE WHEN (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) IN (1,2) 
							THEN '643' 
							ELSE (CASE WHEN p.DOC_WHOM = 'MDA' THEN '498' 
										WHEN p.DOC_WHOM LIKE '%%' THEN '398'
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '804'
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '051' 
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '112' 
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '417'
										ELSE '000' end) end ,
			COL13 = p.SEX,
			col14 = (SELECT code FROM FACE_DOCUMENT WHERE LINK = p.DOC_LINK ) ,
			col15 = substring(REPLACE(REPLACE(ltrim(rtrim(p.DOC_NUM)),'.',''),'/',''),1, len(REPLACE(ltrim(RTRIM(p.DOC_NUM)), right(LTRIM(RTRIM(p.DOC_NUM)),6) , ''))),
			col16 = right(REPLACE(ltrim(rtrim(p.DOC_NUM)),' ','') , 6),
			col17 = 1, --(CASE WHEN (SELECT SUM(summa) FROM  #SPR_ESN WHERE MONTH_BASE BETWEEN 1 AND month(@dDate2) AND WAY_CALC = 6 AND REF_PHYS_PERS = a.LINK_FACE) <> 0 THEN 1 ELSE 2 end),
			col18 = 1,--(CASE WHEN (SELECT SUM(summa) FROM  #SPR_ESN WHERE MONTH_BASE BETWEEN 1 AND month(@dDate2) AND WAY_CALC IN(3,4) AND REF_PHYS_PERS = a.LINK_FACE) <> 0 THEN 1 ELSE 2 end),
			col19 = 1,--(CASE WHEN (SELECT SUM(summa) FROM  #SPR_ESN WHERE MONTH_BASE BETWEEN 1 AND month(@dDate2) AND WAY_CALC = 2 AND REF_PHYS_PERS = a.LINK_FACE) <> 0 THEN 1 ELSE 2 end),
			COL20 = [TYPE],
			COL21 = [NGROUP],
			COL22 = a.LINK_FACE,
			col23 = per_EDT
		FROM
			#SZV_ALL a
		inner join dbo.PERSON p on p.LINK = a.LINK_FACE   AND a.mon BETWEEN month(@dDate1) AND month(@dDate2)
		GROUP BY a.[TYPE],a.[T_DOG],a.[FM],a.[IM],a.[OT],a.[PFNUMBER],a.LINK_FACE, a.[NGROUP]/*, a.[FNAME],a.DATE_DOC*/,a.per_EDT, 
		a.PER, a.[YEAR], p.inn,p.BIRTHDATE,p.CITIZ_LINK,p.SEX,p.DOC_LINK,p.DOC_NUM,p.DOC_WHOM ,p.BIRTHPLACE
		ORDER BY
			a.[TYPE],a.[T_DOG],a.[FM],a.[IM],a.[OT],a.per_EDT

	END


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 13488, 0 ,  2909
-- EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 13488, 1,  2909
	IF @REP = 1 
	BEGIN 	

	/*****************************************************/
	--     
	/*****************************************************/
		create table #TMP1(CODE int,col1 int,   COL2 varchar(14), COL3 varchar(100), COL4 varchar (4), COL5 varchar (4), COL6 numeric(18,2), COL7 numeric(18,2), 
						   COL8 numeric(18,2), COL9 numeric(18,2),COL10 numeric(18,2) , COL11 varchar(1), COL12 varchar(4), COL13 varchar(15), COL14 varchar(1), COL15 varchar(4),
						   COL16 int, COL17 varchar(100), COL18 varchar(100), COL19 varchar(100), COL20 int, COL21 int, COL22 numeric(18,2), COL23 numeric(18,2), COL24 numeric(18,2),
						   COL25 int, COL26 int, COL27 numeric(18,2), COL28 numeric(18,2), COL29 numeric(18,2),
						   COL30 int, COL31 int, COL32 numeric(18,2), COL33 numeric(18,2), COL34 numeric(18,2),
						   COL35 int, COL36 int, COL37 numeric(18,2), COL38 numeric(18,2), COL39 numeric(18,2),
						   COL40 int, COL41 int, COL42 numeric(18,2), COL43 numeric(18,2), COL44 numeric(18,2), COL45 char(1) DEFAULT '' )
		
		
		/***************************************/
		--            
---------->>>>>>>>>>

-----------<<<<<<<<</*   ,  */
		
		DECLARE @nYEAR1_K INT, @nMONTH_1_K INT, @nMONTH_2_K INT, @nMONTH_3_K INT	
		select 
   		@nYEAR1_K = YEAR_EDT,
   		@nMONTH_1_K = /*case when YEAR_EDT  between '2011' and '2013' then (*/case  PER_EDT when 1 then  1 when 2 then  4 when 3 then  7 when 4 then  10 else 10 end/*)
					when  YEAR_EDT >= '2014'  then (case  PER_EDT when 3 then  1 when 6 then  4 when 9 then  7 else  10 end)
					else null end */
		from #SZV_ALL	
		where [TYPE] = 2
		and YEAR_EDT >=2014
							 
		select @nMONTH_2_K = @nMONTH_1_K+1,
				@nMONTH_3_K = @nMONTH_1_K +2	

		DECLARE @BYearDate_K	datetime , @EndYear_K datetime
		SET @BYearDate_K = dbo.DateBeginOfYear (@nYEAR1_K+'0101')
		Set @EndYear_K = dbo.DateEndOfYear(@BYearDate_K)


		DECLARE @PREDEL_K NUMERIC(18,2)
		SET @PREDEL_K = (SELECT TOP 1 PREDEL FROM DICTIONARY_RANGE WHERE TARIF = 1 AND YEAR([DATE]) =  @nYEAR1_K)


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 13488, 1, 2928
		/*******************   ********************/
		DECLARE @Cur1 CURSOR, @CODE varchar(4), @TYPE tinyint , @T_DOG tinyint, @PFNUMBER VARCHAR (14) , @FM VARCHAR(100),@IM VARCHAR(100),@OT VARCHAR(100),
		@LINK_FACE1 int , @CODE_old VARCHAR(4), @TYPE_OLD TINYINT, @nom_pp INT, @MON INT, @LINK_FACE INT , @EMPL_LINK INT 
		SET @LINK_FACE1 = 0
		set @CODE_old = '' 
		set @TYPE_OLD = 0
		set @nom_pp = 1
 
		SET @Cur1 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],LINK_FACE,EMPL_LINK, [PFNUMBER], [FM],[IM],[OT], MIN(MON) AS mon 
			FROM #SZV_ALL where [TYPE] = 1 AND mon BETWEEN month(@dDate1) AND month(@dDate2)  
			GROUP BY [FM],[IM],[OT],[PFNUMBER],LINK_FACE,EMPL_LINK,[TYPE],CODE 
			ORDER BY [FM],[IM],[OT],[PFNUMBER],LINK_FACE,EMPL_LINK, mon
		OPEN @Cur1
		FETCH NEXT FROM @Cur1 INTO  @CODE,@TYPE/*,@T_DOG*/,@LINK_FACE,@EMPL_LINK,@PFNUMBER,@FM,@IM,@OT, @MON
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN

				---        ( , , )
				IF (/*@T_DOG = 1 and */ @LINK_FACE <> @LINK_FACE1 ) 
				BEGIN
				
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19, COL45)
					SELECT CODE =  @nom_pp,
						   COL1 =  @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'400'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' THEN ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL - SS.SUMMA_ALL_I ,0) END,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL 
										THEN @PREDEL
										ELSE 
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											)
										END)	
									ELSE
										(CASE WHEN 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL 
										THEN @PREDEL
										ELSE 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0)  - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
											) 
											- CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m IN (@nMONTH1,@nmonth2,@nmonth3) ),0) )  --      =   -    
										END) 
								 END,
						   COL8 = ISNULL(SS.BASE_DOG,0),
						   COL9 = CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL 
										THEN 
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											) - @PREDEL 
										ELSE 
											0
										END)	
									ELSE
										 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m IN (@nMONTH1,@nmonth2,@nmonth3) ),0) )
					 
									 END,
						   COL10 =  (	 CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= @nmonth3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m IN (@nMONTH1,@nmonth2,@nmonth3))/*     */
						   								  )  
						   								  * (@PERCENT/100) ,0)) /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   							END 
						   						 ),	 
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT), 
						  -- COL44 = isnull([INSUR],0),
						   COL45 = '' --ISNULL([sack],'')
					FROM #SZV_PC s LEFT JOIN #SALARY_SUM2 ss ON ss.pers_link = s.link_face
					WHERE 
						code = @CODE and [TYPE] = @TYPE AND  S.LINK_FACE = @link_face

	

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 1 ,  4058
		
				/*	select row_number() over (order by PER_EDT) as ID , 
							[PER_EDT] as k_PER_EDT, 
							YEAR_EDT as k_YEAR_EDT, 
							INSUR - (SELECT SUM(SUM_doh) FROM #tmp_pers_kor_sum_r1 WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.[PER_EDT]  )  as k_INSUR, 
							GAIN - (SELECT SUM(SUM_NAK) FROM #tmp_pers_kor_sum_r1 WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.[PER_EDT] ) as k_GAIN, 
							PFNUMBER as k_PFNUMBER , 
							FM as k_FM 
					INTO #TMP01
					from  #SZV_ALL s
					WHERE  [TYPE] = 2 AND mon =1 and FM = @FM AND PFNUMBER = @PFNUMBER

					UPDATE #TMP1
					SET COL20 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=1),
						COL21 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1),
						COL22 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=1)  ELSE 0 END ),
						COL23 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=1) ELSE 0 END ),
						COL24 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=1) ELSE 0 END ), 
						COL25 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=2),
					    COL26 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2), 
					    COL27 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=2)  ELSE 0 END ), 
					    COL28 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=2) ELSE 0 END ), 
					    COL29 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=2) ELSE 0 END ),
					    COL30 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=3),
					    COL31 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3), 
					    COL32 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=3)  ELSE 0 END ), 
					    COL33 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=3) ELSE 0 END ), 
					    COL34 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=3) ELSE 0 END ),
					    COL35 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=4),
					    COL36 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4), 
					    COL37 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=4)  ELSE 0 END ), 
					    COL38 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=4) ELSE 0 END ), 
					    COL39 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=4) ELSE 0 END ),
					    COL40 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=5),
					    COL41 = (SELECT TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5), 
					    COL42 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=5)  ELSE 0 END ), 
					    COL43 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=5) ELSE 0 END ), 
					    COL44 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=5) ELSE 0 END )--,
					FROM #TMP1
					WHERE #TMP1.COL5 = @CODE 
						AND #TMP1.COL12 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), '') 
						AND #TMP1.COL2 = @PFNUMBER and #TMP1.COL17 = @FM and #TMP1.COL18 = @IM and #TMP1.COL19= @OT

					drop table #TMP01
				*/
					set @nom_pp = @nom_pp + 1
		----EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 74578, 1, 3407
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14,COL15, COL16,COL17, COL18 , COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(s.[PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'401'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
									--        ,      
						   COL6 = case when SUM(s.[INC_M1]) < 0
									   THEN 0
									   ELSE (CASE WHEN SUM(s.[INC_M2]) >= 0 
												THEN SUM(s.[INC_M1])
												ELSE SUM(s.[INC_M1]) - ABS(SUM(s.[INC_M2])) END)
									   END ,
						   COL7 = CASE WHEN SUM(s.[B_BEF_M1])<0
										THEN 0
						   				ELSE 
						   					(CASE WHEN  SUM(s.[B_BEF_M2]) >= 0
													THEN (case when  SUM(s.[B_BEF_M1]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH1) <=0 THEN 0
														  ELSE SUM(s.[B_BEF_M1]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH1)
														  END  ) --      =   -    
													ELSE SUM(s.[B_BEF_M1]) - ABS(SUM(s.[B_BEF_M2])) END )
										END ,
						   COL8 = SUM(CASE WHEN s.T_DOG = 2 THEN [B_BEF_M1] 
										   ELSE  (CASE WHEN  isnull(ss.summa_all,0)   <> 0 
												THEN ss.summa_all ELSE 0 END ) 
						              END),
						   COL9 = case when SUM([B_AFT_M1])>=0 
										THEN (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH1)
										ELSE SUM([B_AFT_M1]) END ,
						   COL10 =   CASE WHEN [per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 1)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   									  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   								 END )
						   						END 
						   					 )
						   				WHEN [per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 4)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   									  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   									  ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   								 END )
						   						END 
						   					 )
						   				WHEN [per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 7)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   									  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   									  ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   								 END )
						   						END 
						   					 )
						   				WHEN [per] = 4 THEN 
								   			 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 10)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   									  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   									  ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   								 END )
						   						END 
						   					 ) END ,	 
						    --CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1 WHERE  I = 1 AND ref_phys_pers = s.link_face AND month_base = 1) ,0) ), 
						   COL11 = ISNULL(s.[per],''), 
						   COL12 = ISNULL(s.[year],''), 
						   COL13 = ISNULL((case WHEN s.[TYPE] = 1 then '' when s.[TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),s.[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),s.[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s 
					LEFT JOIN #salary_sum_data  ss on ss.pers_link =   s.LINK_FACE and ss.t_dog = 2 and  month(ss.period_begin) = @nMonth1
					WHERE s.code = @CODE and s.[TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND s.LINK_FACE = @link_face	
					GROUP BY s.[PFNUMBER], s.link_face,s.[per],s.[year],s.[TYPE],s.[per_edt],s.[year_edt]

				
					set @nom_pp = @nom_pp + 1

					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(s.[PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'402'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   	--        ,      
						   COL6 = case when SUM(s.[INC_M2]) < 0
									   THEN 0
									   ELSE (CASE WHEN SUM(s.[INC_M3]) >= 0 
												THEN SUM(s.[INC_M2])
												ELSE SUM(s.[INC_M2]) - ABS(SUM(s.[INC_M3])) END)
									   END ,
						   COL7 = CASE WHEN SUM(s.[B_BEF_M2])<0
										THEN 0
						   				ELSE 
						   					(CASE WHEN  SUM(s.[B_BEF_M3]) >= 0
													THEN (case when  SUM(s.[B_BEF_M2]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH2) <=0 THEN 0
														  ELSE SUM(s.[B_BEF_M2]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH2)
														  END  )--      =   -    
													ELSE SUM(s.[B_BEF_M2]) - ABS(SUM(s.[B_BEF_M3])) END )
										END ,
						   COL8 = SUM(CASE WHEN s.T_DOG = 2 THEN [B_BEF_M2] 
										   ELSE  (CASE WHEN  isnull(ss.summa_all,0)   <> 0 
												THEN ss.summa_all ELSE 0 END ) 
						              END),
						   COL9 = case when SUM([B_AFT_M2])>=0 
										THEN (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH2)
										ELSE SUM([B_AFT_M2]) END,
						   COL10 =   CASE WHEN s.[per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 2)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) < 0
														   THEN 0
														   ELSE
						   										(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   											  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   										 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   										 END )
						   								   END) 		 
						   						END 
						   					 )
						   				WHEN s.[per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 5)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							ELSE
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) < 0
														   THEN 0
														   ELSE
						   										(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   											  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   										 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   										 END )
						   								   END ) 		 						   								 
						   						END 
						   					 )
						   				WHEN s.[per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 8)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) < 0
														   THEN 0
														   ELSE	
						   										(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   											  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   										 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   										 END )	
						   								END ) 		 					   								
						   						END 
						   					 )
						   				WHEN s.[per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 11)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) < 0
														   THEN 0
														   ELSE	
						   										(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   											  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   										 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   										 END )	
						   								END ) 		 					   		
						   							END 
						   					 ) END ,
						   COL11 = ISNULL(s.[per],''), 
						   COL12 = ISNULL(s.[year], ''), 
						   COL13 = ISNULL((case WHEN s.[TYPE] = 1 then '' when s.[TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),s.[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),s.[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s 
					LEFT JOIN #salary_sum_data  ss on ss.pers_link =   s.LINK_FACE and ss.t_dog = 2 and  month(ss.period_begin) = @nMonth2
					WHERE s.code = @CODE and s.[TYPE] = @TYPE AND s.LINK_FACE = @link_face	
					GROUP BY s.[PFNUMBER], s.link_face,s.[per],s.[year],s.[TYPE],s.[per_edt],s.[year_edt]
			
					set @nom_pp = @nom_pp + 1
							--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 13488, 1, 2909
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(s.[PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'403'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   --        ,        
						   COL6 = case when SUM(s.[INC_M3]) <= 0
									   THEN 0
									   ELSE SUM(s.[INC_M3])
									   END ,
						   COL7 = CASE WHEN SUM(s.[B_BEF_M3])<=0
										THEN 0
						   				ELSE 
											(case when  SUM(s.[B_BEF_M3]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH3) <=0 THEN 0
														  ELSE SUM(s.[B_BEF_M3]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH3)
														  END  ) --      =   -    
										END ,

						   COL8 = SUM(CASE WHEN s.T_DOG = 2 THEN s.[B_BEF_M3] 
										   ELSE  (CASE WHEN  isnull(ss.summa_all,0)   <> 0 
												THEN ss.summa_all ELSE 0 END ) 
						              END),
						   COL9 = case when SUM([B_AFT_M3])>=0 
										THEN (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH3)
										ELSE SUM([B_AFT_M3]) END,
						   COL10 =   CASE WHEN s.[per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 3)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) <= 0
														   THEN 0
														   ELSE
																 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								   END) 	
						   						END 
						   					 )
						   				WHEN s.[per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 6)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) <= 0
														   THEN 0
														   ELSE
																 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								   END) 

						   						END 
						   					 )
						   				WHEN s.[per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 9)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) <= 0
														   THEN 0
														   ELSE
																 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								   END) 
						   						END 
						   					 )
						   				WHEN s.[per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 12)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   							  (case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) <= 0
														   THEN 0
														   ELSE
																 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								   END) 
						   						END 
						   					 ) END ,

						   COL11 = ISNULL(s.[per],''), 
						   COL12 = ISNULL(s.[year], ''), 
						   COL13 = ISNULL((case WHEN s.[TYPE] = 1 then '' when s.[TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),s.[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),s.[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s 
					LEFT JOIN #salary_sum_data  ss on ss.pers_link =   s.LINK_FACE and ss.t_dog = 2 and  month(ss.period_begin) = @nMonth3
					WHERE s.code = @CODE and s.[TYPE] = @TYPE AND s.LINK_FACE = @link_face
					GROUP BY s.[PFNUMBER], s.link_face,s.[per],s.[year],s.[TYPE],s.[per_edt],s.[year_edt]

	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 1 ,  3239	
					
					set @nom_pp = @nom_pp + 1
				END
	
	

				---        (         )
				IF /*@T_DOG = 1 and*/  @LINK_FACE = @LINK_FACE1 and @CODE <> @CODE_old	and  @TYPE = @TYPE_OLD
				BEGIN 

					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19,COL45)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' then ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL- SS.SUMMA_ALL_I,0) end,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
									--  
									(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
									- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
									)
								ELSE
									--  
									( (ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0)) - (ISNULL(SS.SUMMA_NO,0) -  ISNULL(SS.SUMMA_NO_I,0))
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
									)
								END
								- -- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL
								ELSE
									0
								END,	
														
						   COL8 = ISNULL(SS.BASE_DOG,0),

						   COL9 = 
								-- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL
								ELSE
									0
								END,
						   COL10 = (	 CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= @nmonth3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m IN (@nMONTH1,@nmonth2,@nmonth3))/*     */
						   								  )  
						   								  * (@PERCENT/100) ,0)) /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   							END 
						   						 ),
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT),
						   COL45 = '' -- ISNULL(SACK,'')
					FROM 
						#SZV_PC s LEFT JOIN #SALARY_SUM2 ss ON ss.pers_link = s.link_face
					WHERE 
						code = @CODE and [TYPE] = @TYPE AND LINK_FACE = @link_face
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 =   CASE WHEN [per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 1)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 4)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 7)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 10)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 ) END ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
						   
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND LINK_FACE = @link_face
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 =    CASE WHEN [per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 2)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 5)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 8)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 11)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 ) END ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND LINK_FACE = @link_face
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =    CASE WHEN [per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 3)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 6)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 9)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 12)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 ) END ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND LINK_FACE = @link_face
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
				END						
--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 1 ,  803
				---    '410','411','412','413' 
			
				if not exists (select * from #tmp1 
								where COl2 = @PFNUMBER 
								and COL13 = (case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end)
								and COL4 = '410' ) AND NOT EXISTS (SELECT * FROM #SZV_ALL WHERE PFNUMBER = @PFNUMBER AND CODE != @CODE AND [TYPE] = 1) 
				begin 
							
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(@PFNUMBER,''), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((SELECT TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),'') , 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
				
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''), 
						 COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),'') , 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 		
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1		
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13, COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp, 
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),'') , 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1	
				
				end 

					set @LINK_FACE1 = @LINK_FACE
					set @CODE_old = @CODE
					set @TYPE_OLD = @TYPE
			END

			FETCH NEXT FROM @Cur1 INTO @CODE,@TYPE/*,@T_DOG*/,@LINK_FACE,@EMPL_LINK,@PFNUMBER,@FM,@IM,@OT, @MON
		END

		CLOSE @Cur1
		DEALLOCATE @Cur1

/*
		/*****************************************************/
		--    /
		/*****************************************************/
		DECLARE @Cur2 CURSOR , @PER_EDT1 INT, @PER_OLD INT
		set @pf_num1 = ''
		
		set @CODE_old = '' 
		set @TYPE_OLD = 0
		set @nom_pp = (SELECT MAX(CODE) FROM #TMP1 WHERE COL12= '') + 1 
		
		SET @Cur2 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], PER_EDT  FROM #SZV_ALL where /*T_DOG = 1 and*/ [TYPE] != 1 /*AND YEAR_EDT >=2014*/ GROUP BY [FM],[IM],[OT],[PFNUMBER],[TYPE],CODE/*, [T_DOG]*/, PER_EDT ORDER BY [FM],[IM],[OT],[PFNUMBER],[TYPE],CODE/*, [T_DOG]*/, PER_EDT
		OPEN @Cur2
		FETCH NEXT FROM @Cur2 INTO  @CODE,@TYPE,@PFNUMBER,@FM,@IM,@OT,@PER_EDT1
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				  
				---        ( , , )
				IF (/*@T_DOG = 1 and */ @PFNUMBER <> @pf_num1  OR ( @PFNUMBER = @pf_num1 AND  @PER_EDT1 <> @PER_OLD)) 
				BEGIN
					
				 					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19, COL45)
					SELECT CODE =  @nom_pp,
						   COL1 =  @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'400'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' THEN ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL - SS.SUMMA_ALL_I,0) END,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K 
										THEN @PREDEL_K
										ELSE 
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											)
										END)	
									ELSE
										(CASE WHEN 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K 
										THEN @PREDEL_K
										ELSE 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) 
										END) 
								 END,								 

						   COL8 = ISNULL(SS.BASE_DOG,0),

						   COL9 = CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K 
										THEN 
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) - @PREDEL_K 
										ELSE 
											0
										END)	
									ELSE
										(CASE WHEN 
											(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K
										THEN 
											(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) - @PREDEL_K
										ELSE 
											0
										END) 
								 END,
						   COL10 = isnull([INSUR],0),												
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT),
						   
						   COL45 = ISNULL([SACK],'')
					FROM 
						#SZV_PC s LEFT JOIN #SALARY_SUM2_K ss ON ss.pers_link = s.link_face
					WHERE 
						code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER  AND PER_EDT = @PER_EDT1 
						
					

					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14,COL15, COL16,COL17, COL18 , COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'401'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face AND month_base = 1) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE  code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]

			
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'402'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face AND month_base = 2) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]

										
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'403'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face AND month_base = 3) ,0) ) , 
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
				END
					

		
				---        (         )
				IF /*@T_DOG = 1 and*/  @PFNUMBER = @pf_num1 and @CODE <> @CODE_old	and  @TYPE = @TYPE_OLD
				BEGIN 
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' then ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL - SS.SUMMA_ALL_I,0) end,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
									--  
									(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
									- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
									)
								ELSE
									--  
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
									)
								END
								- -- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL_K
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL_K
								ELSE
									0
								END,
													
						   COL8 = ISNULL(SS.BASE_DOG,0),
						   
						   COL9 = 
								-- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL_K
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL_K
								ELSE
									0
								END,
						   COL10 = isnull([INSUR],0), 										
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM 
						#SZV_ALL s LEFT JOIN #SALARY_SUM2_K ss ON ss.pers_link = s.link_face
					WHERE 
						S.NUM = 1 AND code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER and FM = @FM					
					GROUP BY 
						[TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],[per],[year],[per_edt],[year_edt],[INSUR],[INC_M1],[INC_M2],[INC_M3],[B_BEF_M1],[B_BEF_M2],[B_BEF_M3], [B_AFT_M1],[B_AFT_M2],[B_AFT_M3],SS.SUMMA_ALL_I, SS.SUMMA_NO, SS.SUMMA_NO_I, SS.SUMMA_NO_E
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6  AND ref_phys_pers = s.link_face AND month_base = 1) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM 
						#SZV_ALL s WHERE  code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER and per_edt = @per_edt1
					GROUP BY 
						[TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],s.link_face,[per],[year],[per_edt],[year_edt],[INSUR],[INC_M1],[INC_M2],[INC_M3],[B_BEF_M1],[B_BEF_M2],[B_BEF_M3], [B_AFT_M1],[B_AFT_M2],[B_AFT_M3]
					
					set @nom_pp = @nom_pp + 1
			
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6  AND ref_phys_pers = s.link_face AND month_base = 2) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_ALL s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER],s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
										
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6  AND ref_phys_pers = s.link_face AND month_base = 3) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_ALL s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER AND  per_edt = @PER_EDT1
					GROUP BY [PFNUMBER] ,s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
										
					set @nom_pp = @nom_pp + 1
				END						

				---    '410','411','412','413' 
			
				if not exists (select * from #tmp1 
								where COL2 = @PFNUMBER 
								and COL12 = (case WHEN @TYPE = 2 then '' else ''end)
								and COL4 = '410' ) AND NOT EXISTS (SELECT * FROM #SZV_ALL WHERE PFNUMBER = @PFNUMBER AND CODE != @CODE AND [TYPE] = 1) 
				begin 
						
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(@PFNUMBER,''), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						 COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''), 
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 		
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1		
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13, COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp, 
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
						   
					set @nom_pp = @nom_pp + 1	
					--exec [dbo].RSA_RSV_1_PERS_UCH_SZV '20141001', '20141231', 74578 ,1,  2190
		
				end 
			
					set @pf_num1 = @PFNUMBER
					set @CODE_old = @CODE
					set @TYPE_OLD = @TYPE
					SET @PER_OLD = @PER_EDT1
			END

			FETCH NEXT FROM @Cur2 INTO @CODE,@TYPE/*,@T_DOG*/,@PFNUMBER,@FM,@IM,@OT, @PER_EDT1
		END

		CLOSE @Cur2
		DEALLOCATE @Cur2
*/       
		SELECT DISTINCT 
			CODE = ROW_NUMBER() OVER (ORDER BY CODE),
			COL1 = ROW_NUMBER() OVER (ORDER BY COL1),
			COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, 
			COL11, COL12, COL13, COL14, COL15, COL16, COL17, COL18, COL19, COL20, 
			COL21, COL22, COL23, COL24, COL25, COL26, COL27, COL28, COL29, COL30, 
			COL31, COL32, COL33, COL34, COL35, COL36, COL37, COL38, COL39, COL40, 
			COL41, COL42, COL43, COL44, COL45	
		FROM #TMP1 where col5 <> '' ORDER BY  CODE, COL15
		
	--drop table #SALARY_SUM2_K
	--drop table #SPR_ESN1_K			
	drop table #SPR_ESN
	DROP TABLE #SPR_ESN1
	DROP TABLE #SALARY_SUM_DATA
	drop table #SALARY_SUM2
	DROP TABLE #CALCULATE_JURNAL
	drop table #TMP1

	END  

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 1 ,  803

/*	IF @REP = 2 
	BEGIN 	
		/*   6.6    */
		/*            ,           
		*  ,     .     6.6 , 
		*      ()   6  ()   -6-1,  () -6-2,  () -6-4.
		*/
		/*   ,      */
	
		---    
			DECLARE @BYDateK	datetime , @nYEAR_K INT, @nMON1 INT, @nMON2 INT, @nMON3 INT
	

			select top 1 
			@BYDateK = (convert(varchar(4),YEAR_EDT)+'0101'),
			@nYEAR_K = YEAR_EDT,
			@nMON1 = (case  PER_EDT when 1 then  1 when 2 then  4 when 3 then  7 when 4 then  10 else 10 end)
			from #SZV_ALL WHERE [TYPE] = 2
			
			SELECT  @nMON2 = @nMON1 +1 , 	
					@nMON3 = @nMON1 +2 	
					
----------<<<<<<<<< #SPR_ESN     (  )

		/*    */
		SELECT year_edt = p.YEAR_EDT, 
				PER_EDT = p.PER_EDT, 
				link_dep = p.link_dep,
				link_pers = s.link_pers,
				Link_kateg = case when S.Link_kateg = 3 then 1 else S.Link_kateg  end ,
				pachka = s.pachka
		INTO #tmp_pers
		FROM 	dbo.SA_SZV4_PACHKA P 
				INNER JOIN dbo.SZV4_SVEDENIA S ON P.link = S.link_up 															
		where
			P.link in (select link from #DOCS WHERE vid_kor = 2)
			and P.proverka = 1
			and P.vid_kor > 1
			and p.link_dep = @DEP_LINK


		CREATE TABLE #tmp_pers_kor_sum (link INT  , [date] DATETIME, YEAR_degin INT , per INT , vid_kor int, link_dep INT , proverka INT  , CODE VARCHAR(5), link_pers INT , 
										sum_doh NUMERIC(18,2), sum_str NUMERIC(18,2), sum_nak NUMERIC(18,2),sum_dop NUMERIC(18,2) , pachka int) 
	
		DECLARE @Cur_R2 CURSOR, @link int ,@LINK_pers INT, @year_edt INT , @per_edt INT , @Link_kateg INT ,@pachka int
		SET @Cur_R2 = CURSOR FORWARD_ONLY

		FOR SELECT LINK_pers, year_edt, per_edt, Link_kateg ,pachka FROM #tmp_pers ORDER by link_pers

		OPEN @Cur_R2
		FETCH NEXT FROM @Cur_R2 INTO @LINK_pers, @year_edt, @per_edt , @link_kateg, @pachka
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				
					SET @link = 0
					
					SELECT @link =max(pp.link)
					FROM SA_SZV4_PACHKA pp 
					INNER JOIN dbo.SZV4_SVEDENIA Ss ON ss.link_up = pp.link  
					WHERE  pp.proverka = 1 AND pp.vid_kor = 1 
										  AND pp.link_dep = @DEP_LINK 
										  AND pp.year_begin =@year_edt  
										  AND pp.PER =@per_edt 
										  AND @LINK_pers = ss.link_pers
										  --AND @link_kateg = ss.link_kateg  
										  AND pp.date = (SELECT MAX(p1.[date]) FROM SA_SZV4_PACHKA p1 
																INNER JOIN dbo.SZV4_SVEDENIA S1 ON s1.link_up = p1.link  
																WHERE  pp.proverka = 1 AND p1.vid_kor = 1 
																					  AND p1.link_dep = @DEP_LINK 
																					  AND p1.year_begin =@year_edt  
																					  AND p1.PER =@per_edt 
																					  AND @LINK_pers = s1.link_pers
																					  /*AND @link_kateg = s1.link_kateg*/ )
					
					INSERT INTO #tmp_pers_kor_sum (link, [date], YEAR_degin, per, vid_kor, link_dep, proverka , CODE, link_pers, 
										sum_doh, sum_str, sum_nak,sum_dop, pachka) 
					SELECT pp.link, pp.[date], pp.YEAR_begin, pp.per, pp.vid_kor, pp.link_dep, pp.proverka, CODE = k.code, ss.link_pers, 
										ss.sum_doh, ss.sum_str, ss.sum_nak,ss.sum_dop , pachka = @pachka
					FROM SA_SZV4_PACHKA pp 
					INNER JOIN dbo.SZV4_SVEDENIA Ss ON ss.link_up = pp.link  
					INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = ss.LINK_KATEG AND pp.YEAR_begin BETWEEN YBEG AND YEND		
					WHERE pp.link = @link and pp.proverka = 1 
										 AND pp.vid_kor = 1 
										 AND pp.link_dep = @DEP_LINK 
										 AND pp.year_begin =@year_edt  
										 AND pp.PER =@per_edt 
										 AND ss.link_pers = @LINK_pers
										/* AND ss.link_kateg = @link_kateg*/
										  

			END

			FETCH NEXT FROM @Cur_R2 INTO @LINK_pers, @year_edt, @per_edt, @link_kateg, @pachka
		END

		CLOSE @Cur_R2
		DEALLOCATE @Cur_R2
--exec [dbo].RSA_RSV_1_PERS_UCH_SZV '20141001', '20141231', 74578 ,1,  2191


---------->>>>>>>>>>
		create table #TMP2(CODE int identity(1,1) ,col1 int,   COL2 tinyint, COL3 varchar(4), COL4 numeric(18,2), COL5 numeric(18,2), COL6 numeric(18,2), COL7 VARCHAR(14), COL8 INT)

		INSERT INTO #TMP2 (COL2, COL3, COL4, COL5, COL6, COL7)
		SELECT 
			   COL2 = /*case when YEAR_EDT between '2011' and '2013'  then (case*/ [PER_EDT]/* when 1 then 1 when 2 then 2 when 3 then 3 when 4 then 4 else 0 end)
							when YEAR_EDT = '2014' then (case [PER_EDT] when 1 then 3 when 2 then 6 when 3 then 9 when 4 then 0 else null end) end */, 
			   COL3 = CONVERT(VARCHAR(4),YEAR_EDT),
			   COL4 = (CASE WHEN YEAR_EDT = '2014' THEN INSUR - (SELECT SUM(SUM_doh) FROM #tmp_pers_kor_sum WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.per_edt )  ELSE 0 END ),
			   COL5 = (CASE WHEN YEAR_EDT < '2014' THEN INSUR - (SELECT SUM(SUM_doh) FROM #tmp_pers_kor_sum WHERE CODE = '' AND LINK_pers = s.link_face  AND  per = s.per_edt )  ELSE 0 END ),
			   COL6 = (CASE WHEN YEAR_EDT < '2014' THEN GAIN - (SELECT SUM(SUM_NAK) FROM #tmp_pers_kor_sum WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.per_edt )   ELSE 0 END ),
			   COL7 = CONVERT(VARCHAR(14),PFNUMBER)
		FROM #SZV_ALL s WHERE  [TYPE] = 2 AND id_ex =1 
		GROUP BY link_face, YEAR_EDT,  [PER_EDT] , INSUR , GAIN ,[FM],[IM],[OT], PFNUMBER 
		ORDER BY [FM],[IM],[OT],[PFNUMBER]
		
		UPDATE #TMP2 
			SET col1 = CODE , COL8 = CODE 

		
		SELECT * FROM #TMP2 ORDER BY CODE


		drop table #tmp_pers
		drop table #tmp_pers_kor_sum
		--DROP TABLE #SPR_ESN_K
		drop table #TMP2
		--GROUP BY [TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],[per],[year],[per_edt],[year_edt]	
	

	
	END	
*/	
	IF @REP = 3 
	BEGIN 	
		/*   3.2.2           ,     , 
		*              ,    1, 2  2.1  58.3 
		*    24  2009 .  212- */

	/*****************************************************/
	--     
	/*****************************************************/

		DECLARE @BYear_Date	datetime
			SET @BYear_Date = dbo.DateBeginOfYear (@dDate1)

		/*UPDATE #SZV_ALL 
			SET [OSOB_SPO] =  SP 
			FROM #SPR_ESN   WHERE pf_num = #SZV_ALL.[PFNUMBER] AND WAY_CALC IN (10,11) AND MONTH_BASE = @nMONTH3  AND SUMMA_BASE <> 0 */    

		create table #TMP3(CODE int,col1 int,   COL2 varchar(100), COL3 varchar(4), COL4 varchar (4), COL5 numeric(18,2), COL6 numeric(18,2), COL7 VARCHAR(14), COL8 int, COL9 int, 
							COL10 VARCHAR(10), COL11 VARCHAR(10), COL12 VARCHAR(10),COL13 VARCHAR(30), COL14 VARCHAR(10), COL15 VARCHAR(100), COL16 VARCHAR(10),COL17 VARCHAR(100),
							COL18 VARCHAR(10), COL19 VARCHAR(10), COL20 VARCHAR(10),COL21 VARCHAR(30), COL22 VARCHAR(10), COL23 VARCHAR(100), COL24 VARCHAR(10), COL25 VARCHAR(100), 
							COL26 VARCHAR(10), COL27 VARCHAR(10), COL28 VARCHAR(10),COL29 VARCHAR(30), COL30 VARCHAR(10), COL31 VARCHAR(100), COL32 VARCHAR(10), COL33 VARCHAR(100),
							COL34 VARCHAR(10), COL35 VARCHAR(10), COL36 VARCHAR(10), COL37 VARCHAR(30), COL38 VARCHAR(10), COL39 VARCHAR(100), COL40 VARCHAR(10), COL41 VARCHAR(100), COL42 varchar(100), COL43 varchar(100), COL44 varchar(100),
							COL45 VARCHAR(300), COL46 VARCHAR(300))


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 3 , 370

		DECLARE @Cur3 CURSOR, @CODE1 varchar(4), @TYPE1 tinyint , @PFNUMBER1 VARCHAR (14) , @FM1 VARCHAR(100),@IM1 VARCHAR(100),@OT1 VARCHAR(100),
		@LINK_FACE11 INT ,@LINK_FACE01 int ,@TYPE_OLD1 TINYINT, @nom_pp1 INT, @OSOB_SPO VARCHAR(4), @OSOB_SPO_old VARCHAR(4),
		@DateM1B DATETIME, @DateM2B DATETIME, @DateM3B DATETIME, @DateM1E DATETIME, @dateM2E DATETIME, @dateM3E DATETIME
		
		set @Link_FACE11 = 0
		set @OSOB_SPO_old = NULL 
		set @TYPE_OLD1 = 0
		set @nom_pp1 = 1
	
		SELECT @DateM1B = @dDate1,
			   @DateM2B =  dbo.ConvertDMY2Date(1,month(@dDate1)+1,YEAR(@dDate1)), 	
			   @DateM3B =  dbo.ConvertDMY2Date(1,month(@dDate1)+2,YEAR(@dDate1)), 
			   @DateM1E =  dbo.DateEndOfMonth(@DateM1B),
			   @DateM2E =  dbo.DateEndOfMonth(@DateM2B), 	
			   @DateM3E =  @dDate2


		SET @Cur3 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],LINK_FACE,[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]  
			FROM #SZV_ALL 
			where [TYPE] = 1  AND ISNULL([OSOB_SPO],'') <> '' AND mon BETWEEN month(@dDate1) AND month(@dDate2) 
			GROUP BY [FM],[IM],[OT],LINK_FACE,[PFNUMBER],[TYPE],CODE,mon, [OSOB_SPO] 
			ORDER BY [FM],[IM],[OT],LINK_FACE,[PFNUMBER],[TYPE],CODE,mon, [OSOB_SPO]
		OPEN @Cur3
		FETCH NEXT FROM @Cur3 INTO  @CODE1,@TYPE1,@LINK_FACE01,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				SELECT @OSOB_SPO = ISNULL(@OSOB_SPO, '')
				select @OSOB_SPO_old = ISNULL(@OSOB_SPO_old, '')
				---        ( , , )
				
				IF @LINK_FACE01 <> @LINK_FACE11 
				BEGIN

					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42, COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'700'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL(  (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN e.MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL(  (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL(  ( sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END  ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   ,0)  
								  END,
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE], 
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM 
						#SZV_ALL s
						left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		AND  s.mon = e.MONTH_BASE					
					WHERE  
						s.code = @CODE1 and s.[TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO --AND s.MON = month(@DateM1B)
						AND  s.mon between 	@nMONTH1 AND @nMONTH3	
						AND  e.MONTH_BASE between @nMONTH1 AND @nMONTH3							   
					GROUP BY 
						[TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt]/*, INC_T1,INC_T2*/,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS 
----------------------------------------

-----------------------------------------------
					--                   -      
					UPDATE TMP3
					SET COL5 = (SELECT case when s.per = 1 THEN sum((CASE WHEN  mon = 1 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 1 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 2 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 2 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 3 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 3 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )		) 
											when s.per = 2 then sum((CASE WHEN  mon = 4 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 4 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 5 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 5 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 6 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 6 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END ) 		) 
											when s.per = 3 then sum((CASE WHEN  mon = 7 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 7 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 8 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 8 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 9 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 9 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )		) 
											when s.per = 4 then sum((CASE WHEN  mon = 10 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 10 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 11 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 11 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 11 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 11 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )		)  end
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon between 	@nMONTH1 AND @nMONTH3
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '700' 			    


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170301', '20170630', 74578, 3 ,  3400

					SELECT  @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'701'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11)  THEN DED_M + INV_M  ELSE 0 END))   ,0),
						   COL6 = ISNULL( (sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11)  THEN SUMMA ELSE 0 END))  ,0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.MON = month(@DateM1B)
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1,INC_T1,INC_T1,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS  
				
					UPDATE TMP3
					SET COL5 = (SELECT  sum((CASE WHEN  mon = month(@DateM1E) AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = month(@DateM1E) AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																	) 
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon = month(@DateM1E)
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '701' 

			

					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'702'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   ,0),
						   COL6 = ISNULL( (sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.MON =month(@DateM2B)
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1,INC_T1,INC_T1,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS  

					UPDATE TMP3
					SET COL5 = (SELECT  sum((CASE WHEN  mon = month(@DateM2E) AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = month(@DateM2E) AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																	) 
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon = month(@DateM2E)
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '702' 
			
					set @nom_pp1 = @nom_pp1 + 1

					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'703'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL(( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.MON = month(@DateM3B)
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1,INC_T1,INC_T1,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS  


				
					UPDATE TMP3
					SET COL5 = (SELECT  sum((CASE WHEN  mon = month(@DateM3E) AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = month(@DateM3E) AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																	) 
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon = month(@DateM3E)
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '703' 


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 74578, 3 ,  3400						
					set @nom_pp1 = @nom_pp1 + 1
				
				END
		
					
		/*		---        (         )
				IF @PFNUMBER1 = @pf_num11 and @OSOB_SPO <> @OSOB_SPO_old
				BEGIN 
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																+ (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) ) 
															   + (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
								  END,
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
					
					set @nom_pp1 = @nom_pp1 + 1
				
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
				
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL  s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM 	
				
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
				
					set @nom_pp1 = @nom_pp1 + 1
				END						
			*/	---    '410','411','412','413' 
 	
			/*	if not exists (select * from #tmp3 
								where COL7 = @PFNUMBER1 
								and COL9 = @TYPE1
								and COL4 = '710' ) 
					AND NOT EXISTS (
						SELECT * FROM #SZV_ALL 
						WHERE PFNUMBER = @PFNUMBER1 
							AND ISNULL(OSOB_SPO,'') != ISNULL(@OSOB_SPO,'') 
							AND [TYPE] = 1
						) 
				begin 
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT 
						   CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
			
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
			
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						 COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)

					set @nom_pp1 = @nom_pp1 + 1		
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
	
					set @nom_pp1 = @nom_pp1 + 1	
				end 
				*/
					select	row_number() over (order by DATE_BEGIN) as ID ,
							FM1 = [FM]  ,
							IM1 = [IM],
							OT1 = [OT],
							PFNUMBER1 = [PFNUMBER], 
							T_DOG1= T_DOG,
							TYPE1 = [TYPE], 
							DATE_BEGIN1 = [DATE_BEGIN], 
							DATE_END1 = (CASE WHEN [DATE_END]> @dDate2 THEN @dDate2 ELSE [DATE_END] end),
							link_face1 = link_face 
					into #TMP03
					FROM #SZV_ALL  WHERE  mon IS NOT NULL AND YEAR(@dDate1)<=YEAR(Date_END) and MONTH(@dDate2) >= MONTH(Date_END) and MONTH(@dDate2) >= MONTH(Date_BEGIN) and [TYPE] = @TYPE1 AND LINK_FACE =@LINK_FACE01 and fm = @FM1 and T_DOG = 1
					GROUP BY [FM],[IM],[OT],LINK_FACE,[PFNUMBER], T_DOG,[TYPE], [DATE_BEGIN], [DATE_END]
					ORDER BY  [FM],[IM],[OT],LINK_FACE,[PFNUMBER], T_DOG,[TYPE]
			
	--SELECT * FROM #TMP03
	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 0 ,  356	
--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 3 ,  803
					UPDATE #TMP3
					set COL10 = (SELECT distinct convert(varchar(10),DATE_BEGIN1,104 ) FROM #TMP03 where ID=1 and FM1= @FM1),
						COL11 = (SELECT distinct convert(varchar(10),DATE_END1,104 ) FROM #TMP03 where ID=1 and FM1= @FM1),
						COL12 = NULL,
						COL13 = NULL,
						COL14 = NULL, 
						COL15 = NULL,
					    COL16 = NULL, 
					    COL17 = NULL, 
					    COL18 = NULL, 
					    COL19 = NULL,
					    COL20 = NULL,
					    COL21 = NULL,
						COL22 = NULL, 
						COL23 = NULL,
					    COL24 = NULL, 
					    COL25 = NULL,
					    COL26 = NULL, 
					    COL27 = NULL,
					    COL28 = NULL,
					    COL29 = NULL,
						COL30 = NULL, 
						COL31 = NULL,
					    COL32 = NULL, 
					    COL33 = NULL,
					    COL34 = NULL, 
					    COL35 = NULL,
					    COL36 = NULL,
					    COL37 = NULL,
						COL38 = NULL, 
						COL39 = NULL,
					    COL40 = NULL, 
					    COL41 = NULL,
					    
					    COL45 = NULL, 
					    COL46 = NULL
					    

					from #TMP3	
					WHERE #TMP3.COL9 = @TYPE1 
					and #TMP3.COL8 = @LINK_FACE01 AND #TMP3.COL3 = '700' /*and #TMP3.CODE =  @nom_pp1*/


					drop table #TMP03				


				
				 
					set @LINK_FACE11 = @LINK_FACE01
					set @OSOB_SPO_old = @OSOB_SPO
					set @TYPE_OLD1 = @TYPE1
					
			
			END

			FETCH NEXT FROM @Cur3 INTO @CODE1,@TYPE1,@LINK_FACE01,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		END

		CLOSE @Cur3
		DEALLOCATE @Cur3
		
		
		
		
	/*	/*****************************************************/
		--    /
		/*****************************************************/
		--create table #TMP1(CODE int,col1 int,   COL2 varchar(14), COL3 varchar(100), COL4 varchar (4), COL5 varchar (4), COL6 numeric(18,2), COL7 numeric(18,2), COL8 numeric(18,2), COL9 numeric(18,2), COL10 varchar(1), COL11 varchar(4), COL12 varchar(15), COL13 varchar(1), COL14 varchar(4),COL15 int)
	

		DECLARE @Cur4 CURSOR
		set @pf_num11 = ''
		set @OSOB_SPO_old = ''  
		set @TYPE_OLD1 = 0
		set @nom_pp1 = (SELECT MAX(CODE) FROM #TMP3 WHERE COL9 = 1) + 1 
		
			
		SET @Cur4 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]  FROM #SZV_ALL where /*T_DOG = 1 and */[TYPE] != 1 /*and year_edt >=2014*/  GROUP BY [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]ORDER BY [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]
		OPEN @Cur4
		FETCH NEXT FROM @Cur4 INTO  @CODE1,@TYPE1,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				
				SELECT @OSOB_SPO = ISNULL(@OSOB_SPO, '')
				select @OSOB_SPO_old = ISNULL(@OSOB_SPO_old, '')	
				---        ( , , )
				IF (@PFNUMBER1 <> @pf_num11 ) 
				BEGIN
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'700'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																+ (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)) 
															   + (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
								  END,

						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3 , date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
					

					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'701'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 10 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end ,s.OSOB_SPO,E.SP, e.PF_NUM 	
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'702'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM 
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'703'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt]	,INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 		
					
					set @nom_pp1 = @nom_pp1 + 1
				END
					
				
				---        (         )
				IF @PFNUMBER1 = @pf_num11 and @OSOB_SPO <> @OSOB_SPO_old
				BEGIN 
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																+ (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) ) 
															   + (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
								  END,						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM 	
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 		
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 			
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM  		
					
					set @nom_pp1 = @nom_pp1 + 1
				END						

				---    '710','711','712','713' 
			
				if not exists (select * from #tmp3 
								where COL7 = @PFNUMBER1 
								and COL9 = @TYPE1
								and COL4 = '710' ) AND NOT EXISTS (SELECT * FROM #SZV_ALL WHERE PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') != @OSOB_SPO AND [TYPE] = 2) 
				begin 
						
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1		
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1	
				
				end 


					select	row_number() over (order by DATE_BEGIN) as ID ,
							FM1 = [FM]  ,
							IM1 = [IM],
							OT1 = [OT],
							PFNUMBER1 = [PFNUMBER], 
							T_DOG1= T_DOG,
							TYPE1 = [TYPE], 
							DATE_BEGIN1 = [DATE_BEGIN], 
							DATE_END1 = (CASE WHEN [DATE_END] > @dDate2 THEN @dDate2 ELSE  [DATE_END] END )  , 
							TU_CODE1 = [TU_CODE], 
							OS_CODE1 = [OS_CODE], 
							EX_CODE1 = [EX_CODE], 
							f_is_dop1 = [f_is_dop], 
							P_CODE1 = [P_CODE], 
							f_ud_dop1 = [f_ud_dop] 
					into #TMP04
					FROM #SZV_ALL  WHERE  id_ex IS NOT NULL /*AND YEAR(@dDate1)<=YEAR(Date_END) and MONTH(@dDate2) >= MONTH(Date_END) and MONTH(@dDate2) >= MONTH(Date_BEGIN)*/ and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 and fm = @FM1 --and T_DOG = 1
					GROUP BY [FM],[IM],[OT],[PFNUMBER], T_DOG,[TYPE], [DATE_BEGIN], [DATE_END] , [TU_CODE], [OS_CODE], [EX_CODE], [f_is_dop], [P_CODE], [f_ud_dop]
					ORDER BY  [FM],[IM],[OT],[PFNUMBER], T_DOG,[TYPE]
				
				

					UPDATE #TMP3
					set COL10 = (SELECT distinct convert(varchar(10),DATE_BEGIN1, 104 ) FROM #TMP04 where ID=1 and FM1= @FM1),
						COL11 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=1 and FM1= @FM1),
						COL12 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=1 and FM1= @FM1) ,
						COL13 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=1 and FM1= @FM1),
						COL14 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=1 and FM1= @FM1), 
						COL15 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=1 and FM1= @FM1),
					    COL16 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=1 and FM1= @FM1), 
					    COL17 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=1 and FM1= @FM1), 
					    COL18 = (SELECT distinct convert(varchar(10),DATE_BEGIN1 , 104 ) FROM #TMP04 where ID=2 and FM1= @FM1), 
					    COL19 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL20 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL21 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=2 and FM1= @FM1),
						COL22 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=2 and FM1= @FM1), 
						COL23 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL24 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=2 and FM1= @FM1), 
					    COL25 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL26 = (SELECT distinct convert(varchar(10),DATE_BEGIN1, 104 ) FROM #TMP04 where ID=3 and FM1= @FM1), 
					    COL27 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL28 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL29 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=3 and FM1= @FM1),
						COL30 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=3 and FM1= @FM1), 
						COL31 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL32 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=3 and FM1= @FM1), 
					    COL33 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL34 = (SELECT distinct convert(varchar(10),DATE_BEGIN1, 104 ) FROM #TMP04 where ID=4 and FM1= @FM1), 
					    COL35 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL36 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL37 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=4 and FM1= @FM1),
						COL38 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=4 and FM1= @FM1), 
						COL39 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL40 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=4 and FM1= @FM1), 
					    COL41 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=4 and FM1= @FM1),
						
					    COL45 = CONVERT(VARCHAR(300),ISNULL((SELECT distinct isnull(convert(varchar(10),DATE_BEGIN1,104 ),' ') 
																	  + ',' + isnull(convert(varchar(10),DATE_END1,104 ),' ')
																	  + ',' + isnull(convert(varchar(10),TU_CODE1 ),' ') 
																	  + ',' + isnull(convert(varchar(30),OS_CODE1 ),' ') 
																		+ ','  + isnull(convert(varchar(10),EX_CODE1 ),' ')
																	 + ','  + isnull(convert(varchar(100),f_is_dop1 ),' ')
																	 + ','  + isnull(convert(varchar(10),P_CODE1) ,' ')
																	 + ','  + isnull(convert(varchar(100),f_ud_dop1),' ')			
																	 + ','  
					                                         FROM #TMP04 where ID=5 and FM1= @FM1),' ')), 
					    COL46 = CONVERT(VARCHAR(300),ISNULL((SELECT distinct isnull(convert(varchar(10),DATE_BEGIN1,104 ),' ') 
																	  + ',' + isnull(convert(varchar(10),DATE_END1,104 ),' ')
																	  + ',' + isnull(convert(varchar(10),TU_CODE1 ), ' ') 
																	  + ',' + isnull(convert(varchar(30),OS_CODE1 ),' ') 
																		+ ','  + isnull(convert(varchar(10),EX_CODE1 ),' ')
																	 + ','  + isnull(convert(varchar(100),f_is_dop1 ),' ')
																	 + ','  + isnull(convert(varchar(10),P_CODE1) ,' ')
																	 + ','  + isnull(convert(varchar(100),f_ud_dop1),' ')
																	 + ','  			
															 FROM #TMP04 where ID=6 and FM1= @FM1),' '))
				
					
					from #TMP3	
					WHERE #TMP3.COL9 = @TYPE1 
					and #TMP3.COL7 = @PFNUMBER1 and  #TMP3.COL3 = '700'

				
					drop table #TMP04	


					set @pf_num11 = @PFNUMBER1
					set @OSOB_SPO_old = @OSOB_SPO
					set @TYPE_OLD1 = @TYPE1
					
			END

			FETCH NEXT FROM @Cur4 INTO @CODE1,@TYPE1,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		END

		CLOSE @Cur4
		DEALLOCATE @Cur4
	*/
	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 3 ,  803
		
		SELECT DISTINCT 
			CODE = ROW_NUMBER() OVER (ORDER BY CODE),
			COL1 = ROW_NUMBER() OVER (ORDER BY COL1),
			COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, 
			COL11, COL12, COL13, COL14, COL15, COL16, COL17, COL18, COL19, COL20, 
			COL21, COL22, COL23, COL24, COL25, COL26, COL27, COL28, COL29, COL30, 
			COL31, COL32, COL33, COL34, COL35, COL36, COL37, COL38, COL39, COL40, 
			COL41, COL42, COL43, COL44, COL45, COL46
		FROM #TMP3 where col5 <> 0 or col6 <> 0 or ISNULL(COL10,'') <> '' ORDER BY CODE, COL8

--RSA_RSV_1_PERS_UCH_szv '20140401', '20140630', 13488 , 3, 2786
		drop table #TMP3
	
	END		

	IF @REP = 4 
	BEGIN 	
		/*  6.8          6 */
		create table #TMP4(CODE int identity(1,1) ,col1 int,   COL2 VARCHAR(10), COL3 VARCHAR(10), COL4 VARCHAR(10), COL5 VARCHAR(30), COL6 VARCHAR(10), COL7 varchar(100), COL8 VARCHAR(10), COL9 varchar(100), COL10 VARCHAR(14), COL11 INT , COL12 INT, COL13 VARCHAR(100), COL14 varchar(100), COL15 VARCHAR(100) )

		INSERT INTO #TMP4 (COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL12, COL13, COL14, COL15 )
		SELECT 
			   COL2 = convert(varchar(10),(CASE WHEN [DATE_BEGIN] > @dDate2 THEN @dDate2 ELSE [DATE_BEGIN] END) , 104), 
			   COL3 = CONVERT(varchar(10),[DATE_END] , 104),
			   COL4 = CONVERT(VARCHAR(10),ISNULL([TU_CODE],'')),
			   COL5 = CONVERT(VARCHAR(30),ISNULL([OS_CODE],'')),
			   COL6 = CONVERT(VARCHAR(10),ISNULL([EX_CODE],'')),
			   COL7 = CONVERT(VARCHAR(100),ISNULL([f_is_dop],'')),
			   COL8 = CONVERT(VARCHAR(10),ISNULL([P_CODE],'')),
			   COL9 = CONVERT(VARCHAR(100),ISNULL([f_ud_dop],'')),
			   COL10 = CONVERT(VARCHAR(100),ISNULL([PFNUMBER],'')),
			   COL12 = ISNULL([TYPE],0),
			   COL13 = CONVERT(varchar(100),FM),
			   COL14 = CONVERT(varchar(100),IM),
			   COL15 = CONVERT(varchar(100),OT)
		FROM #SZV_ALL 
		WHERE 
			id_ex IS NOT NULL AND YEAR(@dDate1)<=YEAR(Date_END) and MONTH(@dDate2) >= MONTH(Date_END) and MONTH(@dDate2) >= MONTH(Date_BEGIN)
		GROUP BY 
			[FM],[IM],[OT],[PFNUMBER],[TYPE], [DATE_BEGIN], [DATE_END] , [TU_CODE], [OS_CODE], [EX_CODE], [f_is_dop], [P_CODE], [f_ud_dop]
		ORDER BY
			[FM],[IM],[OT],[PFNUMBER],[TYPE]

		UPDATE #TMP4 
			SET col1 = CODE , COL11 = CODE 

		SELECT * FROM #TMP4 ORDER BY CODE
		
		drop table #TMP4
		--GROUP BY [TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],[per],[year],[per_edt],[year_edt]	
		
	END	
	
	
		
		drop table #SZV_ALL
		--drop table #docs_kor_otm
		--drop table #docs

END










GO


GRANT EXECUTE ON dbo.[RSA_RPSV_PERS_UCH_SZV] TO PUBLIC

GO


-- --


GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_SET_STATIC_NASTR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_SET_STATIC_NASTR]

GO

CREATE  PROCEDURE DBO.SA_SET_STATIC_NASTR @CODE VARCHAR(20)
AS
----:  
BEGIN

	DECLARE @TITLE VARCHAR(254)
	SET @TITLE = '   -'

	DECLARE	@TD_LINK INT

	DELETE FROM DBO.SAL_WORNINGS WHERE TASK = 'SALARY' AND SID = SUSER_SID()
			

	IF @CODE = '2016' BEGIN

		SET @TITLE = @TITLE + '  01  2016.'

		--.      1 
		EXEC dbo.X_SET_OPTION 'VAC_CHILD_OPT1', 0, '2884.16'
		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '.      1  = 2884.16', '', 'SALARY'


		--.      2   .          
		EXEC dbo.X_SET_OPTION 'VAC_CHILD_OPT2', 0, '5768.31'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '.      2   . = 5768.31', '', 'SALARY'


		--.      1                                                                                                               
		EXEC dbo.X_SET_OPTION 'VAC_CHILD_OPT3', 0, '21554.82'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '.      1  = 21554.82', '', 'SALARY'

		--.       2   .                                                                                            
		EXEC dbo.X_SET_OPTION 'VAC_CHILD_OPT4', 0, '21554.82'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '.       2   . = 21554.82', '', 'SALARY'


		----                                                                                                                                                                    
		EXEC dbo.X_SET_OPTION 'ARCHE_OPT1', 0, '59833.33'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '     = 59833.33', '', 'SALARY'

		--                                                                                                                                                                   
		EXEC dbo.X_SET_OPTION 'ARCHE_OPT6', 0, '59833.33'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '       = 59833.33', '', 'SALARY'
		
		--                                                                                                                                                               
		EXEC dbo.X_SET_OPTION 'ARCHE_OPT7', 0, '55833.33'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '        = 55833.33', '', 'SALARY'

		--                                                                                                                                                               
		EXEC dbo.X_SET_OPTION 'ARCHE_OPT8', 0, '55833.33'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '          = 55833.33', '', 'SALARY'		

/*       ,   */
/*			--    
		DELETE	FROM HOLIDAYS
	--     
		SET @TD_LINK = (SELECT TOP 1 LINK FROM TYP_DAYS WHERE WORK_D = 11)
		IF COALESCE(@TD_LINK,0) > 0
			--    
			INSERT	HOLIDAYS (NAME, DAY, MONTH, TD_LINK, TYPE_HOL)
			SELECT	'1  ( )', 1, 1, @TD_LINK, 1
			UNION ALL
			SELECT	'2  ( )', 2, 1, @TD_LINK, 1
			UNION ALL
			SELECT	'3  ( )', 3, 1, @TD_LINK, 1
			UNION ALL
			SELECT	'4  ( )', 4, 1, @TD_LINK, 1
			UNION ALL
			SELECT	'5  ( )', 5, 1, @TD_LINK, 1
			UNION ALL
			SELECT	'6  ( )', 6, 1, @TD_LINK, 1
			UNION ALL
			SELECT	'7  ( )', 7, 1, @TD_LINK, 1
			UNION ALL
			SELECT	'8  ( )', 8, 1, @TD_LINK, 1
			UNION ALL
			SELECT	'23  (  )', 23, 2, @TD_LINK, 1
			UNION ALL
			SELECT	'8  (  )', 8, 3, @TD_LINK, 1
			UNION ALL
			SELECT	'1  (   )', 1, 5, @TD_LINK, 1
			UNION ALL
			SELECT	'9  ( )', 9, 5, @TD_LINK, 1
			UNION ALL
			SELECT	'12  ( )', 12, 6, @TD_LINK, 1
			UNION ALL
			SELECT	'4  (  )', 4, 11, @TD_LINK, 1

		SET @TITLE = '  '

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, NAME, '', 'SALARY' FROM dbo.HOLIDAYS WHERE TYPE_HOL = 1 ORDER BY [MONTH], [DAY] 

		--     
		SET @TD_LINK = (SELECT TOP 1 LINK FROM TYP_DAYS WHERE SYMB = '')
		IF COALESCE(@TD_LINK,0) > 0
			--     
			INSERT	HOLIDAYS (NAME, DAY, MONTH, TD_LINK, TYPE_HOL, DAY1, MONTH1)
			SELECT	'20 ', 20, 2, @TD_LINK, 2, NULL, NULL
			UNION ALL
			SELECT	'3 ', 3, 11, @TD_LINK, 2, NULL, NULL

		SET @TITLE = '  '

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, NAME, '', 'SALARY' FROM dbo.HOLIDAYS WHERE TYPE_HOL = 2 ORDER BY [MONTH], [DAY] 

		--     
		SET @TD_LINK = (SELECT TOP 1 LINK FROM TYP_DAYS WHERE WORK_D = 11)
		IF COALESCE(@TD_LINK,0) > 0
			--     
			INSERT	HOLIDAYS (NAME, DAY, MONTH, TD_LINK, TYPE_HOL, DAY1, MONTH1)
			SELECT	'7  (   3 )', 7, 3, @TD_LINK, 3, 3, 1
			UNION ALL
			SELECT	'3  (   2 )', 3, 5, @TD_LINK, 3, 2, 1
			UNION ALL
			SELECT	'2  (   1 )', 2,5, @TD_LINK, 3, 1, 5
			UNION ALL
			SELECT	'22  (   20 )', 22, 2, @TD_LINK, 3, 20, 2
			UNION ALL
			SELECT	'13  (   12 )', 13, 6, @TD_LINK, 3, 12, 6

		SET @TITLE = '    ( )'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, NAME, '', 'SALARY' FROM dbo.HOLIDAYS WHERE TYPE_HOL = 3 ORDER BY [MONTH], [DAY] 

		--     
		SET @TD_LINK = (SELECT TOP 1 LINK FROM TYP_DAYS WHERE SYMB IN ('',''))
		IF COALESCE(@TD_LINK,0) > 0
		BEGIN
			--  Ѩ  
			/*	INSERT	HOLIDAYS (NAME, DAY, MONTH, TD_LINK, TYPE_HOL, DAY1, MONTH1)
				SELECT	'11  (   9 )', 11, 3, @TD_LINK, 3, 9, 3

				INSERT	HOLIDAYS (NAME, DAY, MONTH, TD_LINK, TYPE_HOL, DAY1, MONTH1)
				SELECT	'5  (   7 )', 5, 5, @TD_LINK, 3, 7, 5
			*/
			/*    2015   */
		
		
			SET @TITLE = '   '

			INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
			SELECT @TITLE, '    2016  ', '', 'SALARY'
		end
*/	END --IF @CODE = '2016' BEGIN	


	IF @CODE = '2017' BEGIN

		SET @TITLE = @TITLE + '  01  2017.'

		--.      1 
		EXEC dbo.X_SET_OPTION 'VAC_CHILD_OPT1', 0, '3000.00'
		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '.      1  = 3000.00', '', 'SALARY'


		--.      2   .          
		EXEC dbo.X_SET_OPTION 'VAC_CHILD_OPT2', 0, '5817.24'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '.      2   . = 5817.24', '', 'SALARY'


		--.      1                                                                                                               
		EXEC dbo.X_SET_OPTION 'VAC_CHILD_OPT3', 0, '23120.66'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '.      1  = 23120.66', '', 'SALARY'

		--.       2   .                                                                                            
		EXEC dbo.X_SET_OPTION 'VAC_CHILD_OPT4', 0, '23120.66'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '.       2   . = 23120.66', '', 'SALARY'


		----                                                                                                                                                                    
		EXEC dbo.X_SET_OPTION 'ARCHE_OPT1', 0, '59833.33'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '     = 59833.33', '', 'SALARY'

		--                                                                                                                                                                   
		EXEC dbo.X_SET_OPTION 'ARCHE_OPT6', 0, '59833.33'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '       = 59833.33', '', 'SALARY'
		
		--                                                                                                                                                               
		EXEC dbo.X_SET_OPTION 'ARCHE_OPT7', 0, '59833.33'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '        = 59833.33', '', 'SALARY'

		--                                                                                                                                                               
		EXEC dbo.X_SET_OPTION 'ARCHE_OPT8', 0, '59833.33'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '          = 59833.33', '', 'SALARY'		

	END --IF @CODE = '2017' BEGIN	


	IF @CODE = '2018' BEGIN

		SET @TITLE = @TITLE + '  01  2018.'

		--.      1 
		EXEC dbo.X_SET_OPTION 'VAC_CHILD_OPT1', 0, '3163.79'
		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '.      1  = 3163.79', '', 'SALARY'


		--.      2   .          
		EXEC dbo.X_SET_OPTION 'VAC_CHILD_OPT2', 0, '6327.57'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '.      2   . = 6327.57', '', 'SALARY'


		--.      1                                                                                                               
		EXEC dbo.X_SET_OPTION 'VAC_CHILD_OPT3', 0, '24536.57'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '.      1  = 24536.57', '', 'SALARY'

		--.       2   .                                                                                            
		EXEC dbo.X_SET_OPTION 'VAC_CHILD_OPT4', 0, '24536.57'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '.       2   . = 24536.57', '', 'SALARY'


		----                                                                                                                                                                    
		EXEC dbo.X_SET_OPTION 'ARCHE_OPT1', 0, '67916.67'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '     = 67916.67', '', 'SALARY'

		--                                                                                                                                                                   
		EXEC dbo.X_SET_OPTION 'ARCHE_OPT6', 0, '67916.67'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '       = 67916.67', '', 'SALARY'
		
		--                                                                                                                                                               
		EXEC dbo.X_SET_OPTION 'ARCHE_OPT7', 0, '62916.67'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '        = 62916.67', '', 'SALARY'

		--                                                                                                                                                               
		EXEC dbo.X_SET_OPTION 'ARCHE_OPT8', 0, '62916.67'

		INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
		SELECT @TITLE, '          = 62916.67', '', 'SALARY'		

	END --IF @CODE = '2018' BEGIN	


END

GO


GRANT EXECUTE ON dbo.[SA_SET_STATIC_NASTR] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_DELETE_SDOC_FR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_DELETE_SDOC_FR]

GO
CREATE     PROCEDURE dbo.SS_DELETE_SDOC_FR

	@varKSintLINK	int
AS
DECLARE @varKStrancount	int, @varKSObjectLink	int, @varKSEventText varchar(254), @MSG VARCHAR(254)
DECLARE @CODE_SOBJ VARCHAR(30), @obj_link INT 

--IF (SELECT FLAG_JC FROM SDOC WHERE LINK = @varKSintLINK) = 1
--	RETURN 30

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN
	
	SELECT @varKSEventText = (select rtrim(name) from s_objects where link =(SELECT TOP 1 link FROM dbo.s_objects WHERE code = 'SA_SDOC_FR'))+
		 '   ' + RTRIM(LTRIM(s1.NUMBER)) + '  ' + CONVERT(VARCHAR(10),S1.DATE,104) ,
		 @varKSObjectLink =  (SELECT TOP 1 link FROM dbo.s_objects WHERE code = 'SA_SDOC_FR')
	FROM dbo.SA_SDOC_FR S1 WITH (UPDLOCK) WHERE S1.LINK = @varKSintLINK


	SET @CODE_SOBJ = (SELECT TOP 1 RTRIM(CODE) FROM dbo.S_OBJECTS WHERE LINK = @varKSObjectLink)	

	IF @@RowCount = 0 OR @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 2
	END

	/**/
	DELETE FROM dbo.SA_DOCFR WHERE LINK = @varKSintLINK
	IF @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END
	
	/* */
	IF @CODE_SOBJ = 'SA_SDOC_FR'
	BEGIN
		SET @MSG = LEFT(' ' + @varKSEventText, 254)
		--exec dbo.SA_SET_DAYS_IN_TABELS @varKSparREF_EMPL, @varKSparDate1, @varKSparDate2, @MSG
	END

	IF @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END

IF @@TRANCOUNT > @varKStrancount
	BEGIN
			EXECUTE WF_GENERATEEVENT ' ', @varKSEventText, @varKSObjectLink, 'SA_DOCFR',@varKSintLINK
		COMMIT TRAN
	END
RETURN 0








GO


GRANT EXECUTE ON dbo.[SS_DELETE_SDOC_FR] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_STAZH_SAVE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_STAZH_SAVE]

GO


------------------------------------------------------------------------
CREATE   PROCEDURE dbo.SS_SZV_ST_STAZH_SAVE
	@link		int output,
	@link_up	int,
	@orders		int,
	@date1		datetime,
	@date2		datetime,
	@ter_usl	varchar(10) = '',
	@ter_koef	numeric(18,2),
	@osob_usl	varchar(10) = '',
	@osob_k1	varchar(20) = '',
	@osob_k2	varchar(20) = '',
	@osob_SPO	varchar(20) = '',
	@osob_k3	varchar(20) = '',
	@is_osnov	varchar(10) = '',
	@is_dop		varchar(20) = '',
	@is_dop_m	tinyint,
	@is_dop_d	tinyint,
	@ud_osnov	varchar(10) = '',
	@ud_dop_m	int,
	@ud_dop_d	int,
	@ud_dop_k	numeric(18,2)
AS
DECLARE @varKSERROR	tinyint, @varKSstrVALUE	 varchar(7000), @varKStrancount	 int, @varKSRowCount INT, @varKSsoLink int

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN


IF coalesce(@link_up,0) = 0 or @date1 is null
BEGIN
	ROLLBACK
	RETURN 5
END

IF exists (select * from dbo.SZV_ST_STAZH where link <> @link and link_up = @link_up and (@date1 between date1 and coalesce(date2,'20990101') 
										or coalesce(@date2,'20990101') between date1 and coalesce(date2,'20990101') ))
BEGIN
	ROLLBACK
	RETURN 8
END

SELECT @varKSsoLink = LINK FROM s_objects  WHERE CODE = 'SS_SZV_ST_STAZH'

IF @LINK is null OR @LINK = 0
	BEGIN
		INSERT INTO dbo.SZV_ST_STAZH WITH (ROWLOCK) (link_up, orders, date1, date2, ter_usl, ter_koef, osob_usl, osob_k1, osob_k2, osob_spo, osob_k3, 
								is_osnov, is_dop, is_dop_m, is_dop_d, ud_osnov, ud_dop_m, ud_dop_d, ud_dop_k)
			VALUES (@link_up, @orders, @date1, @date2, RTRIM(LTRIM(@ter_usl)), @ter_koef, RTRIM(LTRIM(@osob_usl)), RTRIM(LTRIM(@osob_k1)), 
								RTRIM(LTRIM(@osob_k2)), RTRIM(LTRIM(@osob_SPO)), RTRIM(LTRIM(@osob_k3)), RTRIM(LTRIM(@is_osnov)), RTRIM(LTRIM(@is_dop)), 
								@is_dop_m, @is_dop_d, RTRIM(LTRIM(@ud_osnov)), @ud_dop_m, @ud_dop_d, @ud_dop_k)

		SELECT @varKSERROR = @@ERROR, @LINK = @@IDENTITY
		IF @varKSERROR <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
	END
ELSE
	BEGIN

		UPDATE dbo.SZV_ST_STAZH WITH (ROWLOCK) 
		SET 	link_up =@link_up, orders =@orders, date1 =@date1, date2 =@date2, 
			ter_usl = RTRIM(LTRIM(@ter_usl)), ter_koef = @ter_koef, osob_usl = RTRIM(LTRIM(@osob_usl)), 
			osob_k1 = RTRIM(LTRIM(@osob_k1)), osob_k2 = RTRIM(LTRIM(@osob_k2)),osob_spo = RTRIM(LTRIM(@osob_SPO)), osob_k3 = RTRIM(LTRIM(@osob_k3)), 
			is_osnov = RTRIM(LTRIM(@is_osnov)), is_dop = RTRIM(LTRIM(@is_dop)), is_dop_m = @is_dop_m, 
			is_dop_d = @is_dop_d, ud_osnov = RTRIM(LTRIM(@ud_osnov)), ud_dop_m = @ud_dop_m, ud_dop_d = @ud_dop_d, ud_dop_k = @ud_dop_k

		WHERE LINK = @LINK

		SELECT @varKSERROR = @@ERROR, @varKSRowCount = @@ROWCOUNT
		IF @varKSERROR <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
		IF @varKSRowCount = 0
		BEGIN
			ROLLBACK
			RETURN 2
		END
	END

/* */
declare @uslovie int
set @uslovie = 1

update SZV_ST_STAZH set orders = 0 where link_up = @link_up

while @uslovie > 0
begin
	update SZV_ST_STAZH set orders = @uslovie 
	from SZV_ST_STAZH as tt
	where 	
		link_up = @link_up
		and coalesce(orders,0) = 0
		and date1 = (select min(t.date1) from SZV_ST_STAZH t where coalesce(orders,0) = 0 and link_up = @link_up)

	if @@rowcount > 0
		set @uslovie = @uslovie + 1
	else
		set @uslovie = 0
end


declare @varKSEventText varchar(200)
Select  @varKSEventText = '-    ' + RTRIM(LTRIM(FIO)) from dbo.SS_SZV_STAZH_SVEDENIA where link = @LINK_UP
EXECUTE WF_GENERATEEVENT ' ', @varKSEventText, @varKSsoLink, 'SS_SZV_ST_STAZH',@LINK
WHILE @@TRANCOUNT > @varKStrancount
	COMMIT TRAN

RETURN 0



GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_STAZH_SAVE] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_PACHKA_SAVE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_PACHKA_SAVE]

GO
CREATE   PROCEDURE dbo.SS_SZV_ST_PACHKA_SAVE
	@LINK		int	OUTPUT,
	@Numer		int = null,
	@Date		datetime = null,
	@year_begin	int = null,
	@month_end	tinyint = null,
	@PER		tinyint = null,
	@YEAR_EDT	int = null,
	@PER_EDT	tinyint = null,
	@KATEG		tinyint = null,
	@type		tinyint = null,
	@vid_kor	tinyint = null,
	@LINK_SELF INT = NULL,
	@LINK_ISHOD int = NULL
AS
DECLARE @varKSERROR	tinyint, @varKSstrVALUE	 varchar(7000), @varKStrancount	 int 	
declare @varKSPeriodLink	 int, @varKSsoLink int, @varKSRowCount INT


SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

IF @Numer IS NULL OR @Numer = '' or @Date IS NULL OR @year_begin  IS NULL OR @month_end  IS NULL OR @type  IS NULL OR @vid_kor  IS NULL
BEGIN
	ROLLBACK
	RETURN 5
END

DECLARE @MONTH_BEG TINYINT
SET @MONTH_BEG = (CASE @PER WHEN 1 THEN 1 WHEN 2 THEN 4 WHEN 3 THEN 7 WHEN 4 THEN 10 END)
SET @month_end = (CASE WHEN @month_end < (@month_end+3-1) THEN @month_end ELSE (@month_end+3-1) END)

IF @MONTH_BEG > @month_end
	SET @month_end = @MONTH_BEG + 3 - 1

SELECT @varKSsoLink = LINK FROM s_objects  WHERE CODE = 'SS_SZV_STAZH_PACHKA'

IF @LINK is null OR @LINK = 0
	BEGIN
		INSERT INTO dbo.SZV_STAZH_PACHKA WITH (ROWLOCK) (Numer,[Date],year_begin,month_end,PER,YEAR_EDT, PER_EDT, KATEG, [type],vid_kor, link_dep, LINK_SELF,LINK_ISHOD,[GUID])  
			VALUES (@Numer, @Date ,@year_begin, @month_end, @PER, @YEAR_EDT, @PER_EDT, @KATEG, @type, @vid_kor, @DEP_LINK, @LINK_SELF,@LINK_ISHOD,NEWID())

		SELECT @varKSERROR = @@ERROR, @LINK = @@IDENTITY
		IF @varKSERROR <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
	END
ELSE
	BEGIN
		UPDATE dbo.SZV_STAZH_PACHKA WITH (ROWLOCK) 
		SET 	Numer = @Numer, [Date] = @Date, year_begin = @year_begin, month_end = @month_end, 
				PER = @PER, YEAR_EDT = @YEAR_EDT, PER_EDT = @PER_EDT, KATEG = @KATEG,
				[type] = @type, vid_kor = @vid_kor, LINK_SELF = @LINK_SELF , LINK_ISHOD = @LINK_ISHOD
		WHERE LINK = @LINK

		SELECT @varKSERROR = @@ERROR, @varKSRowCount = @@ROWCOUNT
		IF @varKSERROR <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
		IF @varKSRowCount = 0
		BEGIN
			ROLLBACK
			RETURN 2
		END
	END


declare @varKSEventText varchar(200)
SET @varKSEventText = '      (-)  ' + RTRIM(LTRIM(convert(varchar(10),@Numer))) + '  ' + CONVERT(VARCHAR(10),@Date,104)
EXECUTE WF_GENERATEEVENT ' ', @varKSEventText, @varKSsoLink, 'SS_SZV_STAZH_PACHKA',@LINK
WHILE @@TRANCOUNT > @varKStrancount
	COMMIT TRAN

RETURN 0




GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_PACHKA_SAVE] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SK_EXPORT_F0606010_13]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SK_EXPORT_F0606010_13]

GO
CREATE PROCEDURE dbo.SK_EXPORT_F0606010_13 (@iLINK_FORM INT)
AS
BEGIN

--    
	exec dbo.RN_MOVE_FORM_FROM_ARH @iLINK_FORM

	DECLARE 
		@FNAME VARCHAR (254),
		@FNAME_ID VARCHAR (254),
		@DEP_LINK	INT,
		@KPP VARCHAR (9),
		@OKVED VARCHAR (8),
		@OKPO	VARCHAR (20),
		@TLF_GL_BUH	VARCHAR (10),
		@DEP_NAME VARCHAR (254),
		@FIO_RUK	VARCHAR (254),
		@dDATE_FORM	DATETIME,
		@PERIOD_NUM	INT,
		@cPERIOD_NUM	VARCHAR (2),
		@iLINK_TABLE	INT,
		@OKATO_D VARCHAR (15),
		@cYEAR_FORM	VARCHAR (4),
		@strEXEC	VARCHAR (3000),
		@OKFS	VARCHAR (2),
		@FLT_NAME VARCHAR (254),
		@PAR NUMERIC(18,2)

	SELECT @FLT_NAME = dbo.SA_GET_WORD_NUM(ISNULL(dbo.RN_GET_ATR_VALUE(@iLINK_FORM, 'REPORTS_FILTER_SUBDIV') + ',',''),2,'-')

	---   ---
	SELECT @DEP_LINK = LINK_ORGANIZATION,
			@dDATE_FORM	= BEGIN_DATE,
			@PERIOD_NUM	= PERIOD_NUMBER
	FROM dbo.REPORT_SAVED_FORMS RSF
	WHERE link_saved_form = @iLINK_FORM

	SELECT @cYEAR_FORM = CONVERT (VARCHAR (4), YEAR (@dDATE_FORM)),
		@cPERIOD_NUM = CONVERT (VARCHAR (2), @PERIOD_NUM)
	
	SELECT @KPP = CONVERT (VARCHAR (9), KPP),
		@OKVED = CONVERT (VARCHAR (8), OKVED),
		@DEP_NAME = REPLACE(LEFT(LTRIM(RTRIM(@FLT_NAME)) + LTRIM(RTRIM([NAME])),254),'"','&quot;'),
		@OKATO_D = CONVERT (VARCHAR (11), REPLACE (OKATO, ' ', '')),
		@OKPO = RTRIM (OKPO),
		@OKFS = ISNULL (OKFS, '')
	FROM dbo.DICTIONARY_DEPARTMENT
	WHERE LINK = @DEP_LINK

	SELECT @TLF_GL_BUH = PHONE
	FROM dbo.DICTIONARY_OTV_FACE
	WHERE DEP_LINK = @DEP_LINK
		AND [NAME] = ' '

	SELECT @FIO_RUK = EMP.NAME_EMPL
	FROM dbo.DICTIONARY_OTV_FACE DOF
	INNER JOIN dbo.KU_EMPL_PLACING EMP ON (EMP.LINK = DOF.FACE_LINK)
	WHERE DOF.DEP_LINK = @DEP_LINK
		AND DOF.[NAME] = ''

	----  
	DECLARE @POST VARCHAR(254), @FIO VARCHAR(254), @PHONE VARCHAR(20)
	SELECT TOP 1 
		@POST = E.POST_NAME,
		@FIO = E.FIO,
		@PHONE = CASE WHEN LTRIM(RTRIM(ISNULL(CODE,''))) <> '' THEN '('+LTRIM(RTRIM(P.CODE))+') ' ELSE '' END + CASE WHEN LTRIM(RTRIM(ISNULL(NUMBER,''))) <> '' THEN LTRIM(RTRIM(P.NUMBER)) ELSE '' END
	FROM 
		dbo.USER_INFO UI 
		INNER JOIN dbo.WHO_IS_WHO WW ON WW.SID = UI.SID
		INNER JOIN dbo.SD_EMPL_FN(DEFAULT, @dDATE_FORM, DEFAULT, @DEP_LINK) E ON E.LINK = WW.USER_REF
		LEFT JOIN dbo.EMPL_PHONE P ON P.[TYPE] = 3 AND P.EMPL_LINK = E.LINK

	--- !!!!!! ---
	--   1 --
		SELECT @iLINK_TABLE = LINK_TABLE
		FROM dbo.REPORT_SAVED_FORMS RSF 
		INNER JOIN dbo.REPORT_TABLES RT ON (RT.LINK_FORM = RSF.LINK_FORM)
		WHERE RSF.LINK_SAVED_FORM = @iLINK_FORM
			AND RT.ORDERS = 1

--SELECT @iLINK_TABLE

	CREATE TABLE #TABLE1 (CHECKED INT,
		UPD INT,
		DEL INT,
		LINK_SAVED_FORM INT,
		LINK_ROW INT,
		ORDERS INT,
		CALC_ORDERS INT,
		PRINT_NULL INT,
		CODE VARCHAR (50),
		COL1 VARCHAR (250),
		COL2 VARCHAR(250),	--  
		COL3 VARCHAR (250),	-- 
		FCOL3 VARCHAR (250),	-- 
		COL4 NUMERIC (20,1), 	
		FCOL4 varchar (2500),
		COL5 NUMERIC (20,0), 	
		FCOL5 varchar (2500),
		COL6 NUMERIC (20,1), 	
		FCOL6 varchar (2500),
		COL7 NUMERIC (20,0), 	
		FCOL7 varchar (2500),
		COL8 NUMERIC (20,0), 	
		FCOL8 varchar (2500),
		COL9 NUMERIC (20,0), 	
		FCOL9 varchar (2500),
		COL10 NUMERIC (20,1), 	
		FCOL10 varchar (2500),
		COL11 NUMERIC (20,1), 	
		FCOL11 varchar (2500),
		COL12 NUMERIC (20,1), 	
		FCOL12 varchar (2500),
		COL13 NUMERIC (20,1), 	
		FCOL13 varchar (2500),
		COL14 NUMERIC (20,1), 	
		FCOL14 varchar (2500),
		ITOG NUMERIC (20)) 	

	SET @strEXEC = 'INSERT INTO #TABLE1 (CHECKED, UPD, DEL, LINK_SAVED_FORM, LINK_ROW, ORDERS, 
				CALC_ORDERS, PRINT_NULL, CODE, COL1, COL2, COL3, FCOL3, COL4, FCOL4, 
				COL5, FCOL5, COL6, FCOL6, COL7, FCOL7, COL8, FCOL8, COL9, FCOL9,
				COL10, FCOL10, COL11, FCOL11, COL12, FCOL12, COL13, FCOL13,
				COL14, FCOL14, ITOG)
			EXEC dbo.RI_PROC_T' + LTRIM (STR (@iLINK_TABLE))
				+ ' ' + LTRIM (STR (@iLINK_FORM)) + ', 0'

	EXECUTE (@strEXEC)

	--    form  shifr  :
	-- -4   ,      (. .  15 .) ( 18.08.08): form="5" shifr="un_p4"
	-- -4   ,      (. .  15 .) ( 18.08.08): form="3" shifr="un_p4" 
	DECLARE @IDF VARCHAR(3) --  	
	SET @PAR = ISNULL((SELECT TOP 1 SUMMA2 FROM dbo.SA_SAVED_REPORT_VIEW(@iLINK_FORM,default,default,default) WHERE ROW_CODE = '01' AND COL = 5),0)
	SET @IDF = CASE WHEN @PAR <= 15 THEN '5' ELSE '3' END
	
	DECLARE @IDP VARCHAR(3)
	SET @IDP = CASE WHEN @PAR <= 15 THEN '04' ELSE '12' END  --  ()
	
	DECLARE @DATE DATETIME
	SET @DATE = GETDATE()
	
	DECLARE @GUID VARCHAR(36)
	SET @GUID = RIGHT(newid(),36)
	
	---  XML ---
	SELECT @FNAME_ID = '0606010_' + '00' + @IDF + '_0' + @IDP + '_' + ISNULL (RTRIM (@OKPO), '000000000000') + '_'
		+ ISNULL (RTRIM (@cYEAR_FORM), '0000') + '_' + ISNULL (RTRIM (@cPERIOD_NUM), '0')
		+ '_' + REPLACE (@OKVED, '.', '-') 
		+ '_' + CONVERT(VARCHAR(4),YEAR(@DATE)) + RIGHT('0' + CONVERT(VARCHAR(2),MONTH(@DATE)),2) + RIGHT('0' + CONVERT(VARCHAR(2),DAY(@DATE)),2)
				+ RIGHT('0' + CONVERT(VARCHAR(2),DATEPART(Hour,@DATE)),2)+ RIGHT('0' + CONVERT(VARCHAR(2),DATEPART(Minute,@DATE)),2)
		+ '_' + @GUID	

	SELECT @FNAME = RTRIM (@FNAME_ID) + '.XML'

	DECLARE @OUTPUT TABLE (ID int identity(1,1), F_NAME VARCHAR(254) DEFAULT (''),
			OUT_TEXT TEXT DEFAULT (''))

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, 'UTF-8')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<?xml version="1.0" encoding="utf-8" ?>')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<report code="606010' + '00' + @IDF + '0' + @IDP + '" form="' + @IDF + '" shifr="un_p4"'
															+ ' year="' + @cYEAR_FORM + '"' + ' period="' + @cPERIOD_NUM + '">')

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<title>')
	IF ISNULL (@OKPO, '') <> ''
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<item name="okpo" value="' + LTRIM (@OKPO) + '"/>')
	IF ISNULL (@OKVED, '') <> ''
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<item name="okved" value="' + LTRIM (@OKVED) + '"/>')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<item name="okfs" value="' + RTRIM (ISNULL (@OKFS, '')) + '"/>')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<item name="name" value="' + RTRIM (ISNULL (@DEP_NAME, '')) + '"/>')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<item name="leader_fio" value="' + RTRIM (ISNULL (@FIO_RUK, '')) + '"/>')
	IF LTRIM(RTRIM(ISNULL(@POST, ''))) <> ''
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<item name="responsible_post" value="' + LTRIM(RTRIM(ISNULL(@POST, ''))) + '"/>')
	IF LTRIM(RTRIM(ISNULL(@FIO, ''))) <> ''
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<item name="responsible_fio" value="' + LTRIM(RTRIM(ISNULL(@FIO, ''))) + '"/>')		
	IF LTRIM(RTRIM(ISNULL(@PHONE, ''))) <> ''
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<item name="phone" value="' + LTRIM(RTRIM(ISNULL(@PHONE, ''))) + '"/>')		
	
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</title>')

	---  ---
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<sections>')

	---    1 ---
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<section code="1">')

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) 
	SELECT @FNAME,
		'<row code ="' + CONVERT (VARCHAR (2), CONVERT (INT, COL2))
			+ '" s1="' + ISNULL (COL3, '') + '">' + CHAR (13) + CHAR (10)
		+ CASE 
			WHEN COL4 = 0 THEN ''
			ELSE '<col code="1">' + CONVERT (VARCHAR (20), COL4) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL5 = 0 THEN ''
			ELSE '<col code="2">' + CONVERT (VARCHAR (20), COL5) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL6 = 0 THEN ''
			ELSE '<col code="3">' + CONVERT (VARCHAR (20), COL6) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL7 = 0 THEN ''
			ELSE '<col code="4">' + CONVERT (VARCHAR (20), COL7) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL8 = 0 THEN ''
			ELSE '<col code="5">' + CONVERT (VARCHAR (20), COL8) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL9 = 0 THEN ''
			ELSE '<col code="6">' + CONVERT (VARCHAR (20), COL9) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL10 = 0 THEN ''
			ELSE '<col code="7">' + CONVERT (VARCHAR (20), COL10) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL11 = 0 THEN ''
			ELSE '<col code="8">' + CONVERT (VARCHAR (20), COL11) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL12 = 0 THEN ''
			ELSE '<col code="9">' + CONVERT (VARCHAR (20), COL12) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL13 = 0 THEN ''
			ELSE '<col code="10">' + CONVERT (VARCHAR (20), COL13) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL14 = 0 THEN ''
			ELSE '<col code="11">' + CONVERT (VARCHAR (20), COL14) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ '</row>'
	FROM #TABLE1
	WHERE COL4 <> 0
		OR COL5 <> 0
		OR COL6 <> 0
		OR COL7 <> 0
		OR COL8 <> 0
		OR COL9 <> 0
		OR COL10 <> 0
		OR COL11 <> 0	
		OR COL12 <> 0
		OR COL13 <> 0
		OR COL14 <> 0
	ORDER BY ORDERS

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</section>')

--  2013    --
	---    2 ---
	--INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<section code="2">')

	--DECLARE @OUT_STR VARCHAR(1000), @ROW_CODE VARCHAR(5), @ROW INT, @COL INT, @SUMMA INT

	--DECLARE @Cur1 CURSOR, @Cur2 CURSOR

	--SET @Cur1 = CURSOR FORWARD_ONLY

	--FOR SELECT ROW_CODE, ROW FROM dbo.SA_SAVED_REPORT_VIEW(@iLINK_FORM,3,default,default) WHERE SUMMA <> 0 ORDER BY ROW
	
	--OPEN @Cur1
	--FETCH NEXT FROM @Cur1 INTO @ROW_CODE, @ROW
	--WHILE (@@fetch_status <> -1)
	--BEGIN
	--	IF (@@fetch_status <> -2)
	--	BEGIN
	--		SET @OUT_STR = '<row code="' + @ROW_CODE + '">'  		

	--		SET @Cur2 = CURSOR FORWARD_ONLY
	--		FOR SELECT COL-2, SUMMA FROM dbo.SA_SAVED_REPORT_VIEW(@iLINK_FORM,3,@ROW,default) WHERE SUMMA <> 0 ORDER BY COL
	--		OPEN @Cur2
	--		FETCH NEXT FROM @Cur2 INTO @COL, @SUMMA 
	--		WHILE (@@fetch_status <> -1)
	--		BEGIN
	--			IF (@@fetch_status <> -2)
	--				SET @OUT_STR = @OUT_STR + ' <col code="' + convert(varchar(5),@COL) + '">' + convert(varchar(20),@SUMMA) + '</col>'
	--			FETCH NEXT FROM @Cur2 INTO @COL, @SUMMA 
	--		END
	--		CLOSE @Cur2
	--		DEALLOCATE @Cur2

	--		SET @OUT_STR = @OUT_STR + ' </row>'
	--		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, @OUT_STR)

	--	END
	
	--	FETCH NEXT FROM @Cur1 INTO @ROW_CODE, @ROW
	--END
	
	--CLOSE @Cur1
	--DEALLOCATE @Cur1
	
	--INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</section>')

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</sections>')	

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</report>')

	
	SELECT * FROM @OUTPUT ORDER BY ID
	DROP TABLE #TABLE1
END 


GO


GRANT EXECUTE ON dbo.[SK_EXPORT_F0606010_13] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SK_EXPORT_F0606045_17]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SK_EXPORT_F0606045_17]

GO
CREATE PROCEDURE dbo.SK_EXPORT_F0606045_17 (@iLINK_FORM INT)
AS
BEGIN

--    
	exec dbo.RN_MOVE_FORM_FROM_ARH @iLINK_FORM

	DECLARE 
		@FNAME VARCHAR (254),
		@FNAME_ID VARCHAR (254),
		@DEP_LINK	INT,
		@KPP VARCHAR (9),
		@INN VARCHAR(12),
		@OKVED VARCHAR (8),
		@OKPO	VARCHAR (20),
		@TLF_GL_BUH	VARCHAR (10),
		@DEP_NAME VARCHAR (254),
		@FIO_RUK	VARCHAR (254),
		@dDATE_FORM	DATETIME,
		@PERIOD_NUM	INT,
		@cPERIOD_NUM	VARCHAR (2),
		@iLINK_TABLE	INT,
		@OKATO_D VARCHAR (15),
		@cYEAR_FORM	VARCHAR (4),
		@strEXEC	VARCHAR (3000),
		@OKFS	VARCHAR (2),
		@FLT_NAME VARCHAR (254),
		@PAR NUMERIC(18,2),
		@DEP_TYPE VARCHAR (10),
		@DEP_ADDR VARCHAR(254),
		@export_code VARCHAR(16),
		@FORM_code VARCHAR(10)

	SELECT @FLT_NAME = dbo.SA_GET_WORD_NUM(ISNULL(dbo.RN_GET_ATR_VALUE(@iLINK_FORM, 'REPORTS_FILTER_SUBDIV') + ',',''),2,'-')

	---   ---
	SELECT @DEP_LINK = LINK_ORGANIZATION,
			@dDATE_FORM	= BEGIN_DATE,
			@PERIOD_NUM	= case when period_type = 2 then (CASE PERIOD_NUMBER  WHEN  '1' THEN '03'
																			  WHEN  '2' THEN '06'
																			  WHEN  '3' THEN '09'
																			  WHEN  '4' THEN '12' 
														   END )					   
									ELSE  PERIOD_NUMBER END ,			
			@export_code = CASE (SELECT TOP 1 LTRIM(RTRIM(Code)) FROM I_REPORT_FORMS_VIEW where link_form =RSF.Link_Form) 
			WHEN '0606045' THEN 'q_zp_zdrav' 
			WHEN '0606046' THEN 'q_zp_kultura'
			WHEN '0606047' THEN 'q_zp_nauka'
			WHEN '0606048' THEN 'q_zp_obrazovanie'
			WHEN '0606049' THEN 'q_zp_soc'	END  	,									   					    
			@form_code = (SELECT TOP 1 LTRIM(RTRIM(Code)) FROM I_REPORT_FORMS_VIEW where link_form =RSF.Link_Form) 		
	FROM dbo.REPORT_SAVED_FORMS RSF
	WHERE link_saved_form = @iLINK_FORM

	SELECT @cYEAR_FORM = CONVERT (VARCHAR (4), YEAR (@dDATE_FORM)),
		@cPERIOD_NUM = CONVERT (VARCHAR (2), @PERIOD_NUM)
	
	SELECT @KPP = CONVERT (VARCHAR (9), KPP),
		@INN = CONVERT (VARCHAR (12),INN),
		@OKVED = CONVERT (VARCHAR (8), OKVED),
		@DEP_NAME = REPLACE(LEFT(LTRIM(RTRIM(@FLT_NAME)) + LTRIM(RTRIM([NAME])),254),'"','&quot;'),
		@OKATO_D = CONVERT (VARCHAR (11), REPLACE (OKATO, ' ', '')),
		@OKPO = RTRIM (OKPO),
		@OKFS = ISNULL (OKFS, ''),
		@DEP_TYPE = ISNULL (NM_BUHTYPE, ''), 
		@DEP_ADDR = (SELECT dbo.GetAddressByDepLink(@DEP_LINK, 1))
	FROM dbo.DICTIONARY_DEPARTMENT
	WHERE LINK = @DEP_LINK


	SELECT @TLF_GL_BUH = PHONE
	FROM dbo.DICTIONARY_OTV_FACE
	WHERE DEP_LINK = @DEP_LINK
		AND [NAME] = ' '

	SELECT @FIO_RUK = EMP.NAME_EMPL
	FROM dbo.DICTIONARY_OTV_FACE DOF
	INNER JOIN dbo.KU_EMPL_PLACING EMP ON (EMP.LINK = DOF.FACE_LINK)
	WHERE DOF.DEP_LINK = @DEP_LINK
		AND DOF.[NAME] = ''

	----  
	DECLARE @POST VARCHAR(254), @FIO VARCHAR(254), @PHONE VARCHAR(20), @EMAIL VARCHAR(100)
	SELECT TOP 1 
		@POST = E.POST_NAME,
		@FIO = E.FIO,
		@PHONE = CASE WHEN LTRIM(RTRIM(ISNULL(CODE,''))) <> '' THEN '('+LTRIM(RTRIM(P.CODE))+') ' ELSE '' END + CASE WHEN LTRIM(RTRIM(ISNULL(NUMBER,''))) <> '' THEN LTRIM(RTRIM(P.NUMBER)) ELSE '' END,
		@EMAIL = p.EMAIL
	FROM 
		dbo.USER_INFO UI 
		INNER JOIN dbo.WHO_IS_WHO WW ON WW.SID = UI.SID
		INNER JOIN dbo.SD_EMPL_FN(DEFAULT, @dDATE_FORM, DEFAULT, @DEP_LINK) E ON E.LINK = WW.USER_REF
		LEFT JOIN dbo.EMPL_PHONE P ON P.[TYPE] = 3 AND P.EMPL_LINK = E.LINK

	--- !!!!!! ---
	--   1 --
		SELECT @iLINK_TABLE = LINK_TABLE
		FROM dbo.REPORT_SAVED_FORMS RSF 
		INNER JOIN dbo.REPORT_TABLES RT ON (RT.LINK_FORM = RSF.LINK_FORM)
		WHERE RSF.LINK_SAVED_FORM = @iLINK_FORM
			AND RT.ORDERS = 1


	CREATE TABLE #TABLE1 (CHECKED INT,
		UPD INT,
		DEL INT,
		LINK_SAVED_FORM INT,
		LINK_ROW INT,
		ORDERS INT,
		CALC_ORDERS INT,
		PRINT_NULL INT,
		CODE VARCHAR (50),
		COL1 VARCHAR (250),
		COL2 VARCHAR(250),	--  
		COL3 VARCHAR (250),	-- 
		COL4 NUMERIC (20,1), 	
		FCOL4 varchar (2500),
		COL5 NUMERIC (20,0), 	
		FCOL5 varchar (2500),
		COL6 NUMERIC (20,1), 	
		FCOL6 varchar (2500),
		COL7 NUMERIC (20,0), 	
		FCOL7 varchar (2500),
		COL8 NUMERIC (20,0), 	
		FCOL8 varchar (2500),
		COL9 NUMERIC (20,0), 	
		FCOL9 varchar (2500),
		COL10 NUMERIC (20,1), 	
		FCOL10 varchar (2500),
		COL11 NUMERIC (20,1), 	
		FCOL11 varchar (2500),
		COL12 NUMERIC (20,1), 	
		FCOL12 varchar (2500),
		COL13 NUMERIC (20,1), 	
		FCOL13 varchar (2500),
		COL14 NUMERIC (20,1), 	
		FCOL14 varchar (2500),
		ITOG NUMERIC (20)) 	

	SET @strEXEC = 'INSERT INTO #TABLE1 (CHECKED, UPD, DEL, LINK_SAVED_FORM, LINK_ROW, ORDERS, 
				CALC_ORDERS, PRINT_NULL, CODE, COL1, COL2, COL3, COL4, FCOL4, 
				COL5, FCOL5, COL6, FCOL6, COL7, FCOL7, COL8, FCOL8, COL9, FCOL9,
				COL10, FCOL10, COL11, FCOL11, COL12, FCOL12, COL13, FCOL13,
				COL14, FCOL14, ITOG)
			EXEC dbo.RI_PROC_T' + LTRIM (STR (@iLINK_TABLE))
				+ ' ' + LTRIM (STR (@iLINK_FORM)) + ', 0'

	EXECUTE (@strEXEC)

	--    form  shifr  :
	-- -4   ,      (. .  15 .) ( 18.08.08): form="5" shifr="un_p4"
	-- -4   ,      (. .  15 .) ( 18.08.08): form="3" shifr="un_p4" 
	DECLARE @IDF VARCHAR(3) --  	
	SET @PAR = ISNULL((SELECT TOP 1 SUMMA2 FROM dbo.SA_SAVED_REPORT_VIEW(@iLINK_FORM,default,default,default) WHERE ROW_CODE = '01' AND COL = 4),0)
	SET @IDF = CASE WHEN @PAR <= 15 THEN '1' ELSE '1' END
	
	DECLARE @IDP VARCHAR(3)
	SET @IDP = CASE WHEN @PAR <= 15 THEN '04' ELSE '04' END  --  ()
	
	DECLARE @DATE DATETIME
	SET @DATE = GETDATE()
	
	DECLARE @GUID VARCHAR(36)
	SET @GUID = RIGHT(newid(),36)

	
	---  XML ---
	SELECT @FNAME_ID = ''+RTRIM (@form_code)+'_' + @IDF + '_' + @IDP + '_' + ISNULL (RTRIM (@OKPO), '000000000000') + '_'
		+ ISNULL (RTRIM (@cYEAR_FORM), '0000') + '_01' + CASE when len(ISNULL (RTRIM (@cPERIOD_NUM), '00')) = 1 THEN '0'+ISNULL(RTRIM(@cPERIOD_NUM), '00') ELSE ISNULL(RTRIM(@cPERIOD_NUM), '00')  END 
		+ '_' + REPLACE (@OKVED, '.', '-') 
		+ '_' + CONVERT(VARCHAR(4),YEAR(@DATE)) +'-'+ RIGHT('0' + CONVERT(VARCHAR(2),MONTH(@DATE)),2) +'-'+ RIGHT('0' + CONVERT(VARCHAR(2),DAY(@DATE)),2)
				--+ RIGHT('0' + CONVERT(VARCHAR(2),DATEPART(Hour,@DATE)),2)+ RIGHT('0' + CONVERT(VARCHAR(2),DATEPART(Minute,@DATE)),2)
		+ '_' + @GUID	

	SELECT @FNAME = RTRIM (@FNAME_ID) + '.XML'


	DECLARE @OUTPUT TABLE (ID int identity(1,1), F_NAME VARCHAR(254) DEFAULT (''),
			OUT_TEXT TEXT DEFAULT (''))

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, 'UTF-8')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<?xml version="1.0" encoding="utf-8" ?>')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<report code="'+RTRIM (@Form_code)+'' + '00' + @IDF + '0' + @IDP + '" form="' + @IDF + '" shifr="'+@export_code+'"'
															+ ' year="' + @cYEAR_FORM + '"' + ' period="01' + CASE when len(ISNULL (RTRIM (@cPERIOD_NUM), '00')) = 1 THEN '0'+ISNULL(RTRIM(@cPERIOD_NUM), '00') ELSE ISNULL(RTRIM(@cPERIOD_NUM), '00')  END + '">')

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<title>')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<item name="name" value="' + RTRIM (ISNULL (@DEP_NAME, '')) + '"/>')
	IF ISNULL (@DEP_ADDR, '') <> ''
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<item name="org_adress" value="' + RTRIM (ISNULL (@DEP_ADDR, '')) + '"/>')
	IF ISNULL (@OKPO, '') <> ''
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<item name="okpo" value="' + LTRIM (@OKPO) + '"/>')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<item name="org_type" value="' + LTRIM (@DEP_TYPE) + '"/>')
	IF LTRIM(RTRIM(ISNULL(@POST, ''))) <> ''
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<item name="responsible_post" value="' + LTRIM(RTRIM(ISNULL(@POST, ''))) + '"/>')
	IF LTRIM(RTRIM(ISNULL(@FIO, ''))) <> ''
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<item name="responsible_fio" value="' + LTRIM(RTRIM(ISNULL(@FIO, ''))) + '"/>')		
	IF LTRIM(RTRIM(ISNULL(@PHONE, ''))) <> ''
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<item name="phone" value="' + LTRIM(RTRIM(ISNULL(@PHONE, ''))) + '"/>')		
	IF LTRIM(RTRIM(ISNULL(@EMAIL, ''))) <> ''
		INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<item name="email" value="' + LTRIM(RTRIM(ISNULL(@EMAIL, ''))) + '"/>')		

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<item name="inn" value="' + LTRIM (@INN) + '"/>')
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<item name="kpp" value="' + RTRIM (ISNULL (@KPP, '')) + '"/>')

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</title>')

	---  ---
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<sections>')

	---    1 ---
	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '<section code="1">')

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) 
	SELECT @FNAME,
		'<row code ="' + CONVERT (VARCHAR (2), CONVERT (INT, COL3))
			+ '" s1="' + ltrim(rtrim(ISNULL (COL2, ''))) + '">' + CHAR (13) + CHAR (10)
		+ CASE 
			WHEN COL4 = 0 THEN ''
			ELSE '<col code="1">' + CONVERT (VARCHAR (20), COL4) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL5 = 0 THEN ''
			ELSE '<col code="2">' + CONVERT (VARCHAR (20), COL5) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL6 = 0 THEN ''
			ELSE '<col code="3">' + CONVERT (VARCHAR (20), COL6) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL7 = 0 THEN ''
			ELSE '<col code="4">' + CONVERT (VARCHAR (20), COL7) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL8 = 0 THEN ''
			ELSE '<col code="5">' + CONVERT (VARCHAR (20), COL8) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL9 = 0 THEN ''
			ELSE '<col code="6">' + CONVERT (VARCHAR (20), COL9) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL10 = 0 THEN ''
			ELSE '<col code="7">' + CONVERT (VARCHAR (20), COL10) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL11 = 0 THEN ''
			ELSE '<col code="8">' + CONVERT (VARCHAR (20), COL11) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL12 = 0 THEN ''
			ELSE '<col code="9">' + CONVERT (VARCHAR (20), COL12) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL13 = 0 THEN ''
			ELSE '<col code="10">' + CONVERT (VARCHAR (20), COL13) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ CASE 
			WHEN COL14 = 0 THEN ''
			ELSE '<col code="11">' + CONVERT (VARCHAR (20), COL14) + '</col>' + CHAR (13) + CHAR (10)
		END	
		+ '</row>'
	FROM #TABLE1
	WHERE COL4 <> 0
		OR COL5 <> 0
		OR COL6 <> 0
		OR COL7 <> 0
		OR COL8 <> 0
		OR COL9 <> 0
		OR COL10 <> 0
		OR COL11 <> 0	
		OR COL12 <> 0
		OR COL13 <> 0
		OR COL14 <> 0
	ORDER BY ORDERS

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</section>')

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</sections>')	

	INSERT INTO @OUTPUT (F_NAME, OUT_TEXT) VALUES (@FNAME, '</report>')

	
	SELECT * FROM @OUTPUT ORDER BY ID
	DROP TABLE #TABLE1
END 


GO


GRANT EXECUTE ON dbo.[SK_EXPORT_F0606045_17] TO PUBLIC

GO



GO
SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SD_REP_POST_ZP]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[SD_REP_POST_ZP]
GO



/*
  (Keysystems), 2005
*/
CREATE  procedure dbo.SD_REP_POST_ZP
@varKSDATE1 datetime,
@varKSDATE2 datetime
as 
set @varKSDATE1= dbo.DateBeginOfMonth(@varKSDATE1)
set @varKSDATE2 = dbo.DateEndOfMonth(@varKSDATE2)

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

select *
into #Temp from  s_j_c
where period_begin >= @varKSDATE1 and period_end<=@varKSDATE2 and typ_oper = 1 and summa<>0 and not link_post is null
	and LINK_DEP = @DEP_LINK

---           
UPDATE t
SET t.LINK_POST = si.POST_LINK
FROM #Temp t  
INNER JOIN (SELECT i.EMPL_LINK, i.DATE_BEGIN , i.DATE_END ,s.POST_LINK  FROM ITEM_MOVE i 
					INNER JOIN  staff s ON s.link_up = i.STAFF_LINK 
					where 
					i.active=1 and i.new_face not in(3,4)
					AND i.DATE_end BETWEEN s.DATE_BEGIN AND s.DATE_END) si on  si.EMPL_LINK = t.LINK_EMPL  
WHERE t.PERIOD_END BETWEEN si.DATE_BEGIN AND si.DATE_END	
	
select distinct link_empl, link_post into #T1 from #Temp


select 	link_post,
		[code_post]=dp.code,
		[name_post]=dp.[name],
		link_pays, 
		[name_pays] = p.[name],
		[code_pays]= p.[code],
		sum(summa) as summa,
		[kol] = (select count(link_empl) from #T1 t1 where t1.link_post =T.link_post),
		[months] = DATEDIFF(m,@varKSDATE1,@varKSDATE2)+1
from #Temp T
left outer join dictionary_post dp on t.LINK_post = dp.link
left outer join pays p on t.link_pays = p.link
group by  link_post, dp.code, dp.[name], link_pays, p.code, p.[name]
order by code_post, code_pays

drop table #Temp
drop table #T1





GO


GRANT EXECUTE ON dbo.[SD_REP_POST_ZP] TO PUBLIC

GO


GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[KJ_KADRY_ALL_PHIS_REP]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[KJ_KADRY_ALL_PHIS_REP]

GO
CREATE       PROCEDURE dbo.KJ_KADRY_ALL_PHIS_REP        
	@dDate1 datetime,
	@cText1 varchar(20),
	@varKScVal1 CHAR(1),
	@varKSnOtborLink1 int
AS BEGIN
	
	-- EXEC KJ_KADRY_ALL_PHIS_REP '20160101' , '223' , '', NULL
	--     
	CREATE TABLE #KSPERS (PERS_LINK INT)
	IF LEN(@varKScVal1) <> 0 
		INSERT	INTO #KSPERS
		SELECT	RECORD FROM OBJECT_VAR_PERSON WHERE LINK_UP = @varKSnOtborLink1
	ELSE
		INSERT	INTO #KSPERS
		SELECT	p.LINK
		FROM	DBO.ku_person p




	/* --   -- */
	DECLARE @intORG_LINK INT 
	SET @intORG_LINK = dbo.GetOwnDepLink()

	--    
	-- !!!      !!! --
	DECLARE
		@ORGNAME VARCHAR(254), @DEP_LINK INT, @ORGFULLNAME VARCHAR(2000),@DEP_ACC_M VARCHAR(20),
	    @DEP_INN VARCHAR(12), @DEP_KPP VARCHAR(9), @DEP_OKPO VARCHAR(20), @DEP_OGRN VARCHAR(13),
	    @N_ACC_CODE VARCHAR(20), @count_phiz INT,
	    @DOC_ID  UNIQUEIDENTIFIER

	SET @count_phiz = (SELECT COUNT(*) FROM #KSPERS)
	SET @DOC_ID = NEWID()    
	SELECT  top 1 
			
			@ORGNAME 	= LEFT(DEP.[NAME],254),
			@ORGFULLNAME  = LEFT(DEP.[FULL_NAME],2000),
			@DEP_LINK 	= DEP.LINK,
			@DEP_INN = LEFT(INN,12), @DEP_KPP = LEFT(KPP,9), @DEP_OKPO = LEFT(OKPO,20), @DEP_OGRN = LEFT(OGRN,13) , @DEP_ACC_M = CONVERT(VARCHAR(20),DEP.MAIN_LINK),
			@N_ACC_CODE = N_ACC_CODE
	FROM dbo.DICTIONARY_DEPARTMENT DEP WHERE link = @intORG_LINK


	/*************************/
	
	SELECT	
		N_PP = ROW_NUMBER() OVER (/*PARTITION BY p.LINK */ORDER BY P.FM, P.IM, P.OT ),
		p.LINK,
		p.FM,
		P.IM ,
		P.OT, 
		B.OSB ,
		B.FILIAL,
		B.FILIAL_NAME,
		RESIDENT = CASE  when P.RESIDENT in (1,3) 
							THEN 'FALSE' 
							ELSE 'TRUE' END,
		P.CITIZ_NAME ,
		VALUTE_CODE = 'RUR',
		PODVIDV_CODE = (SELECT TOP 1 POSTFIX FROM dbo.CARDS WHERE link = EC.CARD_LINK ) ,
		VIDV_CODE =  (SELECT TOP 1 CODE FROM dbo.CARDS WHERE link = EC.CARD_LINK ),
		VIDV_NAME = (SELECT TOP 1 NAME FROM dbo.CARDS WHERE link = EC.CARD_LINK ),
		p.DOC_LINK, 
		p.DOC_CODE,
		p.DOC_NAME,
		DOC_SER = convert(varchar(6),(CASE WHEN PATINDEX ( '% %' , substring(P.DOC_NUM,4,16 )) = 0 AND  PATINDEX ( '%/%' , substring(P.DOC_NUM,1,15 )) <> 0
						THEN left(P.DOC_NUM, PATINDEX ( '%/%' , substring(P.DOC_NUM,1,15 ))-1)
						ELSE left(P.DOC_NUM, 5) END) ),

		DOC_NUM = CASE WHEN PATINDEX ( '% %' , substring(P.DOC_NUM,4,16 )) = 0  AND  PATINDEX ( '%/%' , substring(P.DOC_NUM,1,15 )) <> 0 
						then SUBSTRING(P.DOC_NUM,PATINDEX ( '%/%' , substring(P.DOC_NUM,1,20 ))+1,10)
						ELSE SUBSTRING(P.DOC_NUM,7,10) END ,
		DOC_DATE = CONVERT(VARCHAR(10),P.DOC_DATE,104),
		P.DOC_WHOM,
		p.BIRTHDATE,
		SEX = CASE WHEN SEX = 1 THEN '' ELSE '' END ,
		P.BIRTHPLACE,
		[PINDEX] = (select rtrim(PINDEX) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		[PSTR] =  case when (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK) = '1' then ' ' else '' END,
		PREGION_NAME = (select rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		PREGION_SOKR = CASE WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''
							WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''	
							WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''
							WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''
							ELSE ''		
		               END,
		PRAION_N =   (select rtrim(RAION_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),   
		PRAION_S =   (select rtrim(RAION_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),   
		PGOROD_N = (select rtrim(GOROD_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		PGOROD_S = (select rtrim(GOROD_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		PNASEL_N = (select rtrim(NASEL_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		PNASEL_S =(select rtrim(NASEL_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		PSTREET_N =(select rtrim(STREET_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		PSTREET_S = (select rtrim(STREET_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
 		PHOUSE = RTRIM(CONVERT(varchar(10),P.HOUSE_OFIC)) ,
		PKORP = RTRIM(CONVERT(varchar(10),P.CORP_OFIC)) ,
		PFLAT = RTRIM(CONVERT(varchar(10),P.FLAT_OFIC)) ,
		[FINDEX] = (select rtrim(PINDEX) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		[FSTR] =  (case when (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK) = '1' then ' ' else '' END),
		FREGION_NAME = (select rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		FREGION_SOKR = CASE WHEN  PATINDEX ( '% %' ,(select TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''
							WHEN  PATINDEX ( '% %' ,(select TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''	
							WHEN  PATINDEX ( '% %' ,(select TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''
							WHEN  PATINDEX ( '% %' ,(select TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''
							ELSE ''		
		               END,
		FRAION_N =   (select rtrim(RAION_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),   
		FRAION_S =   (select rtrim(RAION_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),   
		FGOROD_N = (select rtrim(GOROD_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		FGOROD_S = (select rtrim(GOROD_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		FNASEL_N = (select rtrim(NASEL_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		FNASEL_S =(select rtrim(NASEL_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		FSTREET_N =(select rtrim(STREET_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		FSTREET_S = (select rtrim(STREET_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
 		FHOUSE = RTRIM(CONVERT(varchar(10),P.HOUSE_OFIC)) ,
		FKORP = RTRIM(CONVERT(varchar(10),P.CORP_OFIC)) ,
		FFLAT = RTRIM(CONVERT(varchar(10),P.FLAT_OFIC)) ,
		ADDR = (case when rtrim((select dbo.GetAddressByKladr(P.ADR_OFIC_LINK))) = ''
					 THEN '' 
					 ELSE rtrim((select dbo.GetAddressByKladr(P.ADR_OFIC_LINK))) END )
				 + (CASE WHEN  RTRIM(P.HOUSE_OFIC)='' THEN '' ELSE ', .'+ RTRIM(P.HOUSE_OFIC) END)   
				 + (CASE WHEN  RTRIM(P.CORP_OFIC)='' THEN '' ELSE ', .'+ RTRIM(P.CORP_OFIC) END )
				 + (CASE WHEN  RTRIM(P.FLAT_OFIC)='' THEN '' ELSE ', .'+ RTRIM(P.FLAT_OFIC) END ), 
		COL3 = CASE WHEN SEX = 1 THEN 'MR' ELSE 'MRS' END,
		COL2 = 	
		(select replace(replace(replace(replace(replace(replace(replace(replace(replace(REPLACE(REPLACE(
				REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(
				REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(
				REPLACE(REPLACE(replace(upper(p.FM),
                         '','X')
                        ,'','A')
						 , '','B')
						 , '','V')
						 , '', 'G')
						 , '', 'D')
						 , '', 'E')
						 , '','Z') 
						 , '', 'I')
						 , '', 'Y')
						 , '', 'K') 
						 , '', 'L')
						 , '', 'M')
						 , '', 'N')
						 , '', 'O')
						 , '', 'P')
						 , '', 'R')
						 , '', 'S')
						 , '', 'T')
						 , '', 'U')
						 , '', 'F')
						 , '', 'H')
						 , '', 'Y')
						 , '', '#')
						 , '', '''')						
                        , '','ZH')
                        ,'','YO')
                        ,'','TS')
                        ,'','CH')
                        ,'','SH')
                        ,'','SCH')
                        ,'','EH')
                        ,'','YU')
                        ,'','YA'))
                        ,

		COL1= 	
		(select replace(replace(replace(replace(replace(replace(replace(replace(replace(REPLACE(REPLACE(
				REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(
				REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(
				REPLACE(REPLACE(replace(upper(p.im),
                         '','X')
                        ,'','A')
						 , '','B')
						 , '','V')
						 , '', 'G')
						 , '', 'D')
						 , '', 'E')
						 , '','Z') 
						 , '', 'I')
						 , '', 'Y')
						 , '', 'K') 
						 , '', 'L')
						 , '', 'M')
						 , '', 'N')
						 , '', 'O')
						 , '', 'P')
						 , '', 'R')
						 , '', 'S')
						 , '', 'T')
						 , '', 'U')
						 , '', 'F')
						 , '', 'H')
						 , '', 'Y')
						 , '', '#')
						 , '', '''')						
                        , '','ZH')
                        ,'','YO')
                        ,'','TS')
                        ,'','CH')
                        ,'','SH')
                        ,'','SCH')
                        ,'','EH')
                        ,'','YU')
                        ,'','YA'))
                        ,
       DATE_DOC = @dDate1,
	   num_dog = @cText1,
	   orgname = @ORGNAME ,
	   org_fuln = @ORGFULLNAME,
	   dep_link = @DEP_LINK,
	   DEP_INN = @DEP_INN,
	   N_ACC_CODE = @N_ACC_CODE,
	   count_phiz = @count_phiz,
       DOC_ID  = @DOC_ID              
		FROM	
		DBO.ku_person p 
		LEFT JOIN dbo.SA_PERSON_ECARD_DEFAULT EC ON EC.PERS_LINK = p.LINK
		LEFT JOIN dbo.BANKS AS b ON b.LINK = EC.BANK_LINK
	WHERE	((LEN(@varKScVal1) <> 0 AND p.LINK IN (SELECT PERS_LINK FROM #KSPERS)) OR LEN(@varKScVal1) = 0)
	ORDER BY P.FM, P.IM, P.OT


DROP TABLE #KSPERS

END






GO


GRANT EXECUTE ON dbo.[KJ_KADRY_ALL_PHIS_REP] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_PERS_CARD_ESN_15]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_PERS_CARD_ESN_15]

GO
CREATE PROC [dbo].[SA_PERS_CARD_ESN_15] (@LINK_EMPL INT = NULL, @YEAR INT, @LINK_PERSON INT = NULL)
AS
BEGIN

DECLARE @DEP_LINK INT
SET @DEP_LINK = (SELECT TOP 1 DEP_LINK FROM USER_DEP)

create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, FACE_GROUP TINYINT, I TINYINT, E TINYINT ,SP VARCHAR(4))

IF @LINK_EMPL IS NOT NULL
	SET @LINK_PERSON = ISNULL((SELECT TOP 1 PERS_LINK FROM dbo.EMPL WHERE LINK = @LINK_EMPL),0)

DECLARE @PERSON_CZ INT, @PERSON_RESIDENT int
SELECT  @PERSON_RESIDENT = resident , @PERSON_CZ =  CASE WHEN ltrim(rtrim(c.name)) LIKE ('%%') THEN  1 WHEN ltrim(rtrim(c.name)) LIKE ('% %') THEN  2 ELSE 0 end
	FROM person p
	INNER JOIN  citizenship  c ON c.link = p.CITIZ_LINK 
	WHERE p.link = @LINK_PERSON

DECLARE @BYearDate DATETIME, @EndYear DATETIME
SELECT @BYearDate = dbo.ConvertDMY2Date(1,1,@YEAR), @EndYear = dbo.ConvertDMY2Date(31,12,@YEAR)

--   
Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, FACE_GROUP, I, E, SP)
Select [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, 
	( CASE WHEN YEAR(birthdate)<= 1966 THEN 1 ELSE 2 END ) AS FACE_GROUP, 
	dbo.is_invalid(REF_PHYS_PERS,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH_BASE,@YEAR))),
	F.ENVD	,
	SP = isnull(s4.code,'') 
from 
	dbo.SA_ESN_VIEW(@YEAR, 12, @DEP_LINK, @LINK_PERSON) S
	inner join PERSON P on S.REF_PHYS_PERS = P.link
	inner join dbo.SAL_SFIN F on F.LINK = S.LINK_VKR
	LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = S.SPECO  AND s4.spr_code = 'SPO_USL_TRUDA'
WHERE 
	WAY_CALC not in (5)

--  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, FACE_GROUP, I, E)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK, ( CASE WHEN YEAR(birthdate)<= 1966 THEN 1 ELSE 2 END ) AS FACE_GROUP , dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@YEAR))),F.ENVD
FROM 
	DOCUMENTS_DGH G INNER JOIN DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join PERSON P on GT.PERS_LINK = P.link
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  not in (5)
	AND YEAR(G.[DATE]) = @YEAR
	AND LINK_DEP = @DEP_LINK
	AND (P.link = @LINK_PERSON OR @LINK_PERSON = 0)

-- 2.     ,     
Declare @StBase2 table (link int)
Insert into @StBase2 (link)
select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 6)

--   
SELECT GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, F.ENVD, SUMMA_BASE = sum(GT.SUMMA_BASE)
INTO #DGH_FAKT_BASE
FROM 
	dbo.DOCUMENTS_DGH G INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	INNER JOIN dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  = 6
	AND YEAR(G.[DATE]) = @YEAR
	AND LINK_DEP = @DEP_LINK
	AND (GT.PERS_LINK = @LINK_PERSON OR @LINK_PERSON = 0) 
GROUP BY 
	GT.PERS_LINK, MONTH(G.[DATE]), F.ENVD

SELECT  PERS_LINK, MONTH_BASE, SUMMA_BASE = SUM(SUMMA_BASE)
INTO #DGH_FAKT_BASE1
FROM #DGH_FAKT_BASE
GROUP BY PERS_LINK, MONTH_BASE

DECLARE @LINK_EKR213 INT
SET @LINK_EKR213 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')

DECLARE @ESN_213 INT --      213                                                     
SET @ESN_213 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_5')

CREATE TABLE #DGH_CJ (PERS_LINK INT, PERIOD_BEGIN DATETIME, LINK_VKR INT, FACE_GROUP TINYINT, SUMMA NUMERIC(18,2))
INSERT INTO #DGH_CJ (PERS_LINK, PERIOD_BEGIN, LINK_VKR, FACE_GROUP, SUMMA)
SELECT PERS_LINK, PERIOD_BEGIN, LINK_VKR, 
	FACE_GROUP = ( CASE WHEN YEAR(p1.birthdate)<= 1966 THEN 1 ELSE 2 END ),
	SUM(SUMMA)
FROM dbo.CALCULATE_JURNAL CJ
	INNER JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
	INNER JOIN DBO.PAYS P ON P.LINK = CJ.LINK_PAYS
WHERE
	yEAR(CJ.period_begin) = @YEAR
	AND CJ.LINK_DEP = @DEP_LINK
	AND P.[OBJECT] = 1
	AND (P1.link = @LINK_PERSON OR @LINK_PERSON = 0)	
GROUP BY
	PERS_LINK, PERIOD_BEGIN, LINK_VKR, ( CASE WHEN YEAR(p1.birthdate)<= 1966 THEN 1 ELSE 2 END )	



------	            
SELECT DISTINCT sd.LINK, DOP = (CASE when S.COD_POS_SPISOK is NOT NULL then 1 else 2 end) , SPO = isnull(s4.code,''), mn.m
INTO #EMPL_DT
FROM DBO.KU_EMPL_PLACING SD
	left JOIN (select * from STAFF WHERE dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,1,@YEAR)) BETWEEN DATE_BEGIN AND DATE_END  or dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,12,@YEAR)) BETWEEN DATE_BEGIN AND DATE_END  ) S ON S.LINK_up = SD.STAFF_HEAD  AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,12,@YEAR )) BETWEEN S.DATE_BEGIN AND S.DATE_END
	LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = s.COD_SPO_USL_TRUD  AND s4.spr_code = 'SPO_USL_TRUDA'
	inner join  dbo.months_ex(@BYearDate, @EndYear) mn ON dbo.ConvertDMY2Date(1,mn.m,mn.y)  between s.DATE_BEGIN  AND s.DATE_END
	WHERE
		(S.COD_POS_SPISOK is NOT NULL OR S.COD_POS_SPISOK2 is NOT NULL)
		AND sd.pers_link = @LINK_PERSON
--

-----
SELECT MON, FACE_GROUP, 
	SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO), 
	--SUMMA_ALL_I = SUM(SUMMA_ALL_I), SUMMA_NO_I = SUM(SUMMA_NO_I),
	SUMMA_ALL_E = SUM(SUMMA_ALL_E), SUMMA_NO_E = SUM(SUMMA_NO_E),
	SUMMA_ALL_D1 = SUM(SUMMA_ALL_D1), SUMMA_NO_D1 = SUM(SUMMA_NO_D1), SUMMA_ALL_D2 = SUM(SUMMA_ALL_D2), SUMMA_NO_D2 = SUM(SUMMA_NO_D2),
	SUM_NO_D1_O4 = SUM(SUM_NO_D1_O4),SUM_NO_D1_B34 = SUM(SUM_NO_D1_B34),SUM_NO_D1_B33 = SUM(SUM_NO_D1_B33),SUM_NO_D1_B32 = SUM(SUM_NO_D1_B32),SUM_NO_D1_B31 = SUM(SUM_NO_D1_B31),
	SUM_NO_D2_O4 = SUM(SUM_NO_D2_O4), SUM_NO_D2_B34 = SUM(SUM_NO_D2_B34), SUM_NO_D2_B33 = SUM(SUM_NO_D2_B33), SUM_NO_D2_B32 = SUM(SUM_NO_D2_B32),SUM_NO_D2_B31 = SUM(SUM_NO_D2_B31)
INTO #SALARY_SUM2
FROM 
(
select 
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
	( CASE WHEN YEAR(birthdate)<= 1966 THEN 1 ELSE 2 END ) AS FACE_GROUP,
	--SUMMA_ALL_I = SUM(CASE WHEN I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND  COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA ELSE 0 END),
	--SUMMA_NO_I = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) AND I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA ELSE 0 END),
	SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 /*AND I.LINK IS NULL*/ THEN SUMMA ELSE 0 END),
	SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 /*AND I.LINK IS NULL*/ AND (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) THEN SUMMA ELSE 0 END),
	
	--- .    
	SUMMA_ALL_D1 = SUM(CASE WHEN p.way_calc = 10 then  SUMMA ELSE 0 end ),
	SUMMA_NO_D1 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 1 AND isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),

	SUMMA_ALL_D2 = SUM(CASE WHEN p.way_calc = 11 then  SUMMA ELSE 0 end ),
	SUMMA_NO_D2 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 2 and  isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='4'  THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.1' THEN SUMMA ELSE 0 END),	
	SUM_NO_D2_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='4' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.1' THEN SUMMA ELSE 0 END)
from 
	dbo.CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
	INNER JOIN DBO.EMPL E ON E.LINK = CJ.LINK_EMPL
	INNER JOIN DBO.PERSON P1 ON P1.LINK = E.PERS_LINK
	LEFT JOIN @StBase2 B ON B.LINK = cj.LINK_PAYS
	--LEFT JOIN DBO.KU_PERS_INVALID I ON I.PERS_LINK = E.PERS_LINK AND COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate
	LEFT JOIN #EMPL_DT ED ON ED.link = CJ.LINK_EMPL AND ed.m = Month(CJ.PERIOD_BEGIN)
where 	
	Year(period_begin) = @YEAR
	and CJ.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1
	AND (P1.link = @LINK_PERSON OR @LINK_PERSON = 0)
GROUP BY
	Month(CJ.PERIOD_BEGIN), ( CASE WHEN YEAR(birthdate)<= 1966 THEN 1 ELSE 2 END )
UNION ALL	
select 
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(SUMMA - ISNULL(B1.SUMMA_BASE,0)), --     
	FACE_GROUP,
	--SUMMA_ALL_I = SUM(CASE WHEN I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND  COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA ELSE 0 END),
	--SUMMA_NO_I = SUM(CASE WHEN I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND  COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA - ISNULL(B1.SUMMA_BASE,0) ELSE 0 END),
	SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 /*AND I.LINK IS NULL*/ THEN SUMMA ELSE 0 END),
	SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 /*AND I.LINK IS NULL*/ THEN SUMMA - ISNULL(B.SUMMA_BASE,0) ELSE 0 END),
	SUMMA_ALL_D1 =	0,
	SUMMA_NO_D1 = 0,
	SUMMA_ALL_D2 = 0,
	SUMMA_NO_D2 = 0,
	SUM_NO_D1_O4 = 0,
	SUM_NO_D1_B34 = 0,
	SUM_NO_D1_B33 = 0,
	SUM_NO_D1_B32 = 0,
	SUM_NO_D1_B31 = 0,
	SUM_NO_D2_O4 = 0,
	SUM_NO_D2_B34 = 0,
	SUM_NO_D1_B33 = 0,
	SUM_NO_D2_B32 = 0,
	SUM_NO_D2_B31 = 0
from 
	#DGH_CJ CJ
	INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
	--     
	LEFT JOIN #DGH_FAKT_BASE B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1
	--   
	LEFT JOIN #DGH_FAKT_BASE1 B1 ON B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
	--LEFT JOIN DBO.KU_PERS_INVALID I ON I.PERS_LINK = CJ.PERS_LINK AND COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate
GROUP BY
	Month(CJ.PERIOD_BEGIN), FACE_GROUP
) AS T
GROUP BY 
	MON, FACE_GROUP

--========================================================================================================	
----        

SELECT 
	MON = MONTH(G.DATE_CALC), 
	SUMMA_NO = SUM(T1.SUMMA),
	--SUMMA_NO_I = SUM(CASE WHEN I.LINK IS NOT NULL AND dbo.DateEndOfMonth(G.DATE_CALC) BETWEEN COALESCE(I.DATE_BEGIN,G.DATE_CALC) AND COALESCE(I.DATE_END,dbo.DateEndOfMonth(G.DATE_CALC)) THEN T1.SUMMA ELSE 0 END),
	SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 /*AND I.LINK IS NULL*/ THEN SUMMA ELSE 0 END)
INTO #DGH_FSS	
FROM 
	dbo.SDOC G
	INNER JOIN dbo.SDOC_DGH_TABLE T1 ON G.LINK = T1.LINK_UP
	INNER JOIN dbo.SAL_SFIN F on F.LINK = T1.LINK_VKR
	--LEFT JOIN DBO.KU_PERS_INVALID I ON I.PERS_LINK = T1.PERS_LINK AND COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate	
WHERE
	G.[OBJECT] =(select TOP 1 LINK from s_objects where code = 'DOCUMENTS_DGH')
	and T1.[OBJECT] = 1
	AND G.FLAG_JC = 1
	AND YEAR(G.[DATE]) = @YEAR
	AND LINK_DEP = @DEP_LINK 
	AND (T1.PERS_LINK = @LINK_PERSON OR @LINK_PERSON = 0)
	AND NOT EXISTS ( SELECT T3.* FROM dbo.SDOC_DGH_TABLE T3 INNER JOIN dbo.PAYS P on T3.LINK_PAY = P.LINK
						WHERE T3.[OBJECT] = 3
							AND T3.LINK_UP = T1.LINK_UP AND P.WAY_CALC  = 2 AND T1.LINK_VKR = T3.LINK_VKR)	
GROUP BY 
	MONTH(G.DATE_CALC)


--========================================================================================================

---     
SELECT 
	MON = MONTH(period_begin),
	SUMMA = SUM(SUMMA),
	--SUMMA_I = SUM(CASE WHEN I.LINK IS NOT NULL AND dbo.DateEndOfMonth(period_begin) BETWEEN COALESCE(I.DATE_BEGIN,period_begin) AND COALESCE(I.DATE_END,dbo.DateEndOfMonth(period_begin)) THEN SUMMA ELSE 0 END),
	SUMMA_E = SUM(CASE WHEN F.ENVD = 1 /*AND I.LINK IS NULL*/ THEN SUMMA ELSE 0 END)	
INTO #SUM_FSS
FROM 
	dbo.PAYS P
	INNER JOIN dbo.CALCULATE_JURNAL J ON P.LINK = J.LINK_PAYS
	INNER JOIN dbo.SAL_SFIN F on F.LINK = J.LINK_VKR
	INNER JOIN dbo.EMPL E ON J.LINK_EMPL = E.LINK
	--LEFT JOIN DBO.KU_PERS_INVALID I ON I.PERS_LINK = E.PERS_LINK AND COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate		
WHERE
	Year(period_begin) = @YEAR
	and J.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1	
	AND J.LINK_EKR = (SELECT TOP 1 LINK FROM KOSGU WHERE CODE = '213')	
	AND E.PERS_LINK = @LINK_PERSON	
GROUP BY 	
	MONTH(period_begin)
	
	

--========================================================================================================

CREATE TABLE #RES(CODE_STR VARCHAR(3), SUM01 NUMERIC(18,2), SUM02 NUMERIC(18,2), SUM03 NUMERIC(18,2), SUM04 NUMERIC(18,2), SUM05 NUMERIC(18,2), SUM06 NUMERIC(18,2), SUM07 NUMERIC(18,2), SUM08 NUMERIC(18,2), SUM09 NUMERIC(18,2), SUM10 NUMERIC(18,2), SUM11 NUMERIC(18,2), SUM12 NUMERIC(18,2))

INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '100',
	CASE WHEN @PERSON_CZ IN (1,2) THEN ( case when @PERSON_RESIDENT = 3 THEN 1 WHEN @PERSON_RESIDENT = 1 THEN 2 ELSE 0 END ) ELSE 0 END  ,
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0	
---<<<<<<    >>>>>>>>>
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '101',
	ISNULL((SELECT SUM(SUMMA_ALL /*- SUMMA_ALL_I*/ - SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 1), 0),
	ISNULL((SELECT SUM(SUMMA_ALL /*- SUMMA_ALL_I*/ - SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 2), 0),
	ISNULL((SELECT SUM(SUMMA_ALL /*- SUMMA_ALL_I*/ - SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 3), 0),
	ISNULL((SELECT SUM(SUMMA_ALL /*- SUMMA_ALL_I*/ - SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 4), 0),
	ISNULL((SELECT SUM(SUMMA_ALL /*- SUMMA_ALL_I*/ - SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 5), 0),
	ISNULL((SELECT SUM(SUMMA_ALL /*- SUMMA_ALL_I*/ - SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 6), 0),
	ISNULL((SELECT SUM(SUMMA_ALL /*- SUMMA_ALL_I*/ - SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 7), 0),
	ISNULL((SELECT SUM(SUMMA_ALL /*- SUMMA_ALL_I*/ - SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 8), 0),
	ISNULL((SELECT SUM(SUMMA_ALL /*- SUMMA_ALL_I*/ - SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 9), 0),
	ISNULL((SELECT SUM(SUMMA_ALL /*- SUMMA_ALL_I*/ - SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 10), 0),
	ISNULL((SELECT SUM(SUMMA_ALL /*- SUMMA_ALL_I*/ - SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 11), 0),
	ISNULL((SELECT SUM(SUMMA_ALL /*- SUMMA_ALL_I*/ - SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 12), 0)	



INSERT INTO #RES VALUES ('103', 0,0,0,0,0,0,0,0,0,0,0,0)	

INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '105',
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 1), 0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 2), 0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 3), 0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 4), 0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 5), 0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 6), 0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 7),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 7), 0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 8),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 8), 0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 9),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 9), 0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 10),0)+ ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 10), 0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 11),0)+ ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 11), 0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 12),0)+ ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 12), 0)

INSERT INTO #RES VALUES ('107', 0,0,0,0,0,0,0,0,0,0,0,0)

INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '109',
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 1),0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 2),0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 3),0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 4),0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 5),0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 6),0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 7),0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 8),0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 9),0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 10),0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 11),0),
	ISNULL( (SELECT SUM(SUMMA_NO /*- SUMMA_NO_I*/ - SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 12),0)


--,        ,  . 8  
--  
DECLARE @LIMIT_OPS NUMERIC(18,2)

SELECT @LIMIT_OPS = MAX(S.PREDEL)
FROM 
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND S.TARIF = 1
WHERE 
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND S.TARIF = 1 AND [DATE] < @EndYear ORDER BY [DATE] DESC) 
	AND
	S.PERCENT1 > 0
	AND s.PREDEL <> 999999999.00 

	
SET @LIMIT_OPS = ISNULL(@LIMIT_OPS,0)


SELECT MON = 1, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OPS ELSE 0 END INTO #SPR_ESN1 FROM #SPR_ESN WHERE WAY_CALC = 6 AND MONTH_BASE <= 1 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP 
INSERT INTO #SPR_ESN1 SELECT MON = 2, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 2 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 3, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 3 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 4, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 4 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 5, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 5 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 6, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 6 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 7, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 7 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 8, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 8 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 9, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 9 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 10, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 10 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 11, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 11 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1 SELECT MON = 12, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 12 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP



SELECT DISTINCT T.REF_PHYS_PERS, M.M, T.FACE_GROUP, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2
FROM 
	#SPR_ESN1 T INNER JOIN dbo.months_ex(@BYearDate, @EndYear) M ON 1=1
	LEFT JOIN #SPR_ESN1 T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1 T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1
WHERE
	(ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)) > 0

-- 
DECLARE @LIMIT_FSS NUMERIC(18,2)

SELECT @LIMIT_FSS = MAX(S.PREDEL)
FROM 
    dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 2 AND S.TARIF = 1
WHERE 
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 2 AND S.TARIF = 1 AND [DATE] < @EndYear ORDER BY [DATE] DESC) 
	AND
	S.PERCENT1 > 0
	AND s.PREDEL <> 999999999.00 
	
SET @LIMIT_FSS = ISNULL(@LIMIT_FSS,0)


SELECT MON = 1, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END INTO #SPR_ESN1_F FROM #SPR_ESN WHERE WAY_CALC = 2 AND MONTH_BASE <= 1 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP 
INSERT INTO #SPR_ESN1_F SELECT MON = 2, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 2 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1_F SELECT MON = 3, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 3 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1_F SELECT MON = 4, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 4 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1_F SELECT MON = 5, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 5 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1_F SELECT MON = 6, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 6 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1_F SELECT MON = 7, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 7 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1_F SELECT MON = 8, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 8 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1_F SELECT MON = 9, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 9 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1_F SELECT MON = 10, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 10 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1_F SELECT MON = 11, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 11 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP
INSERT INTO #SPR_ESN1_F SELECT MON = 12, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 12 /*AND I = 1*/ AND E = 0 GROUP BY REF_PHYS_PERS, FACE_GROUP



SELECT DISTINCT T.REF_PHYS_PERS, M.M, T.FACE_GROUP, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2_F
FROM 
	#SPR_ESN1_F T INNER JOIN dbo.months_ex(@BYearDate, @EndYear) M ON 1=1
	LEFT JOIN #SPR_ESN1_F T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1_F T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1
WHERE
	(ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)) > 0


INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '111',
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2 WHERE  M = 1) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2 WHERE  M = 2) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2 WHERE  M = 3) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2 WHERE  M = 4) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2 WHERE  M = 5) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2 WHERE  M = 6) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2 WHERE  M = 7) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2 WHERE  M = 8) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2 WHERE  M = 9) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2 WHERE  M = 10) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2 WHERE  M = 11) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2 WHERE  M = 12) ,0)

INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '113',
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_F WHERE  M = 1) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_F WHERE  M = 2) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_F WHERE  M = 3) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_F WHERE  M = 4) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_F WHERE  M = 5) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_F WHERE  M = 6) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_F WHERE  M = 7) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_F WHERE  M = 8) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_F WHERE  M = 9) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_F WHERE  M = 10) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_F WHERE  M = 11) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_F WHERE  M = 12) ,0)

INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '115',
	ISNULL( MIN(R1.SUM01) - SUM(R2.SUM01) ,0),
	ISNULL( MIN(R1.SUM02) - SUM(R2.SUM02) ,0),
	ISNULL( MIN(R1.SUM03) - SUM(R2.SUM03) ,0),
	ISNULL( MIN(R1.SUM04) - SUM(R2.SUM04) ,0),
	ISNULL( MIN(R1.SUM05) - SUM(R2.SUM05) ,0),
	ISNULL( MIN(R1.SUM06) - SUM(R2.SUM06) ,0),
	ISNULL( MIN(R1.SUM07) - SUM(R2.SUM07) ,0),
	ISNULL( MIN(R1.SUM08) - SUM(R2.SUM08) ,0),
	ISNULL( MIN(R1.SUM09) - SUM(R2.SUM09) ,0),
	ISNULL( MIN(R1.SUM10) - SUM(R2.SUM10) ,0),
	ISNULL( MIN(R1.SUM11) - SUM(R2.SUM11) ,0),
	ISNULL( MIN(R1.SUM12) - SUM(R2.SUM12) ,0)
FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '101'
WHERE R2.CODE_STR IN ('103', '105', '107', '111' )


INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '117',
	ISNULL( MIN(R1.SUM01) - SUM(R2.SUM01) ,0),
	ISNULL( MIN(R1.SUM02) - SUM(R2.SUM02) ,0),
	ISNULL( MIN(R1.SUM03) - SUM(R2.SUM03) ,0),
	ISNULL( MIN(R1.SUM04) - SUM(R2.SUM04) ,0),
	ISNULL( MIN(R1.SUM05) - SUM(R2.SUM05) ,0),
	ISNULL( MIN(R1.SUM06) - SUM(R2.SUM06) ,0),
	ISNULL( MIN(R1.SUM07) - SUM(R2.SUM07) ,0),
	ISNULL( MIN(R1.SUM08) - SUM(R2.SUM08) ,0),
	ISNULL( MIN(R1.SUM09) - SUM(R2.SUM09) ,0),
	ISNULL( MIN(R1.SUM10) - SUM(R2.SUM10) ,0),
	ISNULL( MIN(R1.SUM11) - SUM(R2.SUM11) ,0),
	ISNULL( MIN(R1.SUM12) - SUM(R2.SUM12) ,0)
FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '101'
WHERE R2.CODE_STR IN ('103', '105', '107')

INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '119',
	ISNULL( MIN(R1.SUM01) - SUM(R2.SUM01) ,0),
	ISNULL( MIN(R1.SUM02) - SUM(R2.SUM02) ,0),
	ISNULL( MIN(R1.SUM03) - SUM(R2.SUM03) ,0),
	ISNULL( MIN(R1.SUM04) - SUM(R2.SUM04) ,0),
	ISNULL( MIN(R1.SUM05) - SUM(R2.SUM05) ,0),
	ISNULL( MIN(R1.SUM06) - SUM(R2.SUM06) ,0),
	ISNULL( MIN(R1.SUM07) - SUM(R2.SUM07) ,0),
	ISNULL( MIN(R1.SUM08) - SUM(R2.SUM08) ,0),
	ISNULL( MIN(R1.SUM09) - SUM(R2.SUM09) ,0),
	ISNULL( MIN(R1.SUM10) - SUM(R2.SUM10) ,0),
	ISNULL( MIN(R1.SUM11) - SUM(R2.SUM11) ,0),
	ISNULL( MIN(R1.SUM12) - SUM(R2.SUM12) ,0)
FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '101'
WHERE R2.CODE_STR IN ('103', '105', '107', '109', '113')

--exec [SA_PERS_CARD_ESN_15] 324 ,2015, NULL


INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '121',
	ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 1) /*- (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 2)*/ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 2) /*- (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 2)*/ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 3) /*- (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 3)*/ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 4) /*- (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 4) */ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 5) /*- (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 5)*/ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 6) /*- (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 6)*/ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 7) /*- (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 7)*/ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 8)/* - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 8) */,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 9) /*- (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 9)*/ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 10) /* - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 10)*/ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 11)/* - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 11)*/ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 12) /* - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 12)*/ ,0)

INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '123',
	ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 1) /*- (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 2)*/ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 2) /*- (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 2)*/ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 3) /*- (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 3)*/ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 4) /*- (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 4) */ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 5) /*- (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 5)*/ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 6) /*- (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 6)*/ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 7) /*- (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 7)*/ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 8)/* - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 8) */,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 9) /*- (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 9)*/ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 10) /* - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 10)*/ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 11)/* - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 11)*/ ,0),
	ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1 s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 /*AND s.I = 1*/ AND s.E = 0 AND s.MONTH_BASE = 12) /* - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 12)*/ ,0)


/*
	ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 1) ,0),
	ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 2) ,0),
	ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 3) ,0),
	ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 4) ,0),
	ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 5) ,0),
	ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 6) ,0),
	ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 7) ,0),
	ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 8) ,0),
	ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 9) ,0),
	ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 10) ,0),
	ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 11) ,0),
	ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2 WHERE  M = 12) ,0)	
*/
--     
/*INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '123',
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in(10,11) AND I = 1 AND E = 0 AND MONTH_BASE = 1) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in(10,11) AND I = 1 AND E = 0 AND MONTH_BASE = 2) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in(10,11) AND I = 1 AND E = 0 AND MONTH_BASE = 3) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in(10,11) AND I = 1 AND E = 0 AND MONTH_BASE = 4) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in(10,11) AND I = 1 AND E = 0 AND MONTH_BASE = 5) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in(10,11) AND I = 1 AND E = 0 AND MONTH_BASE = 6) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in(10,11) AND I = 1 AND E = 0 AND MONTH_BASE = 7) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in(10,11) AND I = 1 AND E = 0 AND MONTH_BASE = 8) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in(10,11) AND I = 1 AND E = 0 AND MONTH_BASE = 9) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in(10,11) AND I = 1 AND E = 0 AND MONTH_BASE = 10) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in(10,11) AND I = 1 AND E = 0 AND MONTH_BASE = 11) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in(10,11) AND I = 1 AND E = 0 AND MONTH_BASE = 12) ,0)	
*/
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '125',
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 1) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 2) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 3) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 4) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 5) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 6) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 7) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 8) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 9) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 10) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 11) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 12) ,0)
	
/*INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '127',
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND I = 1 AND E = 0 AND MONTH_BASE = 1) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND I = 1 AND E = 0 AND MONTH_BASE = 2) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND I = 1 AND E = 0 AND MONTH_BASE = 3) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND I = 1 AND E = 0 AND MONTH_BASE = 4) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND I = 1 AND E = 0 AND MONTH_BASE = 5) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND I = 1 AND E = 0 AND MONTH_BASE = 6) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND I = 1 AND E = 0 AND MONTH_BASE = 7) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND I = 1 AND E = 0 AND MONTH_BASE = 8) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND I = 1 AND E = 0 AND MONTH_BASE = 9) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND I = 1 AND E = 0 AND MONTH_BASE = 10) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND I = 1 AND E = 0 AND MONTH_BASE = 11) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND I = 1 AND E = 0 AND MONTH_BASE = 12) ,0)
*/
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '127',
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 1) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 2) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 3) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 4) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 5) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 6) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 7) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 8) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 9) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 10) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 11) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 /*AND I = 1*/ AND E = 0 AND MONTH_BASE = 12) ,0)

--INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
--SELECT '128',0,0,0,0, 0,0,0,0,0,0,0,0
-->
---    

select link_pers = isnull(s.LINK_PERS,v.link_pers) ,
	month_base = month(jc.period_begin) ,	
	SOTR = CASE WHEN COALESCE(JC.PERS_LINK,0) = 0 THEN 'C' ELSE '' END , 
	SUMMA_BASE = SUM(SUMMA_BASE), 
	PROCENT, 
	SUMMA = SUM(JC.SUMMA),
	SKIDKA = SUM(ISNULL(S.SUMMA,0)),
	VYCHET = SUM(ISNULL(V.SUMMA,0))
INTO #TRAVM_FSS
from 
	dbo.SALARY_JURNAL_CALCULAT JC WITH(NOLOCK)
	--INNER JOIN dbo.DEPARTMENTS D WITH(NOLOCK) ON JC.LINK_DEP = D.LINK
	LEFT JOIN dbo.SDOC_DOT_SKIDKI S ON S.LINK_UP = JC.LINK_DOC AND S.LINK_TAX = JC.LINK_PAYS AND S.LINK_VKR = JC.LINK_VKR AND S.[PERCENT] = JC.PROCENT
	LEFT JOIN dbo.SDOC_DOT_VYCHET V ON V.LINK_UP = JC.LINK_DOC AND V.LINK_TAX = JC.LINK_PAYS AND V.LINK_VKR = JC.LINK_VKR AND V.[PERCENT] = JC.PROCENT
where
	TYP_OPER = 3 
	and JC.LINK_DEP = @DEP_LINK
	and WAY_CALC = 5
	AND isnull(s.link_pers,v.link_pers) = @LINK_PERSON  
	AND JC.PERIOD_BEGIN between @BYearDate AND  @EndYear
GROUP BY s.LINK_PERS ,V.LINK_PERS,JC.PERS_LINK , jc.PERIOD_BEGIN , jc.procent


INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '129',0,0,0,0, 0,0,0,0,0,0,0,0

INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '131',0,0,0,0, 0,0,0,0,0,0,0,0

DECLARE @perc_FssTravm NUMERIC(3,2)

SET @perc_FssTravm = (SELECT stavka FROM DICTIONARY_MROT_TABLE3 WHERE link_minrot = (SELECT top 1 link FROM DICTIONARY_MROT A WHERE period = (SELECT MAX(period) FROM DICTIONARY_MROT) ))

SET @perc_FssTravm  = CASE WHEN @perc_FssTravm > = 0.2  THEN @perc_FssTravm ELSE 0.2 end 

INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '133',
	ISNULL( R1.SUM01 * (@perc_FssTravm / 100) ,0),
	ISNULL( R1.SUM02 * (@perc_FssTravm / 100) ,0),
	ISNULL( R1.SUM03 * (@perc_FssTravm / 100) ,0),
	ISNULL( R1.SUM04 * (@perc_FssTravm / 100) ,0),
	ISNULL( R1.SUM05 * (@perc_FssTravm / 100) ,0),
	ISNULL( R1.SUM06 * (@perc_FssTravm / 100) ,0),
	ISNULL( R1.SUM07 * (@perc_FssTravm / 100) ,0),
	ISNULL( R1.SUM08 * (@perc_FssTravm / 100) ,0),
	ISNULL( R1.SUM09 * (@perc_FssTravm / 100) ,0),
	ISNULL( R1.SUM10 * (@perc_FssTravm / 100) ,0),
	ISNULL( R1.SUM11 * (@perc_FssTravm / 100) ,0),
	ISNULL( R1.SUM12 * (@perc_FssTravm / 100) ,0)
FROM #RES R1
WHERE R1.CODE_STR = '119'


/*INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '133',
	ISNULL( (SELECT SUM(SUMMA) FROM  #TRAVM_FSS WHERE MONTH_BASE = 1) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #TRAVM_FSS WHERE MONTH_BASE = 2) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #TRAVM_FSS WHERE MONTH_BASE = 3) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #TRAVM_FSS WHERE MONTH_BASE = 4) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #TRAVM_FSS WHERE MONTH_BASE = 5) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #TRAVM_FSS WHERE MONTH_BASE = 6) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #TRAVM_FSS WHERE MONTH_BASE = 7) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #TRAVM_FSS WHERE MONTH_BASE = 8) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #TRAVM_FSS WHERE MONTH_BASE = 9) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #TRAVM_FSS WHERE MONTH_BASE = 10) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #TRAVM_FSS WHERE MONTH_BASE = 11) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #TRAVM_FSS WHERE MONTH_BASE = 12) ,0)
*/
/*INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '131',
	ISNULL( (SELECT SUM(SUMMA - SUMMA_I - SUMMA_E) FROM  #SUM_FSS WHERE MON = 1) ,0),
	ISNULL( (SELECT SUM(SUMMA - SUMMA_I - SUMMA_E) FROM  #SUM_FSS WHERE MON = 2) ,0),
	ISNULL( (SELECT SUM(SUMMA - SUMMA_I - SUMMA_E) FROM  #SUM_FSS WHERE MON = 3) ,0),
	ISNULL( (SELECT SUM(SUMMA - SUMMA_I - SUMMA_E) FROM  #SUM_FSS WHERE MON = 4) ,0),
	ISNULL( (SELECT SUM(SUMMA - SUMMA_I - SUMMA_E) FROM  #SUM_FSS WHERE MON = 5) ,0),
	ISNULL( (SELECT SUM(SUMMA - SUMMA_I - SUMMA_E) FROM  #SUM_FSS WHERE MON = 6) ,0),
	ISNULL( (SELECT SUM(SUMMA - SUMMA_I - SUMMA_E) FROM  #SUM_FSS WHERE MON = 7) ,0),
	ISNULL( (SELECT SUM(SUMMA - SUMMA_I - SUMMA_E) FROM  #SUM_FSS WHERE MON = 8) ,0),
	ISNULL( (SELECT SUM(SUMMA - SUMMA_I - SUMMA_E) FROM  #SUM_FSS WHERE MON = 9) ,0),
	ISNULL( (SELECT SUM(SUMMA - SUMMA_I - SUMMA_E) FROM  #SUM_FSS WHERE MON = 10) ,0),
	ISNULL( (SELECT SUM(SUMMA - SUMMA_I - SUMMA_E) FROM  #SUM_FSS WHERE MON = 11) ,0),
	ISNULL( (SELECT SUM(SUMMA - SUMMA_I - SUMMA_E) FROM  #SUM_FSS WHERE MON = 12) ,0)	
*/
/* ---      4:    
--("_.303.02","_.302.13"," >='01.01'  <")
CREATE TABLE #RASH_OPS (VID TINYINT, Y INT, MON TINYINT, SUMMA NUMERIC(18,2), Y_P INT, MON_P TINYINT)

	exec dbo.BufferClear 'DT'
	exec dbo.BufferClear 'KT'

	INSERT INTO BUFFER (link, id)
	select link, 'DT' from s_accounts where cSinth = '303' and cAnalit = '02'
	
	INSERT INTO BUFFER (link, id)
	select link, 'KT' from s_accounts where cSinth = '302' and cAnalit = '13'

	INSERT INTO #RASH_OPS (VID, Y, MON, SUMMA, Y_P, MON_P)
	SELECT 1,
		Y = CONVERT(INT,YEAR(p.DATE_PROV)),
		MON = CONVERT(INT,MONTH(p.DATE_PROV)),
		P.SUMMA,
		Y_P = CONVERT(INT,DBO.SA_GET_WORD_NUM(PERIOD,3,'.')),
		MON_P = CONVERT(INT,DBO.SA_GET_WORD_NUM(PERIOD,2,'.'))
	from
		dbo.AProvByBufferConditionsShortDate(@BYearDate, @endYear, 'DT', 'KT') P	
		left join dbo.DOCUMENTS_PAY_ADD PA on P.link = PA.link
		left join dbo.g_prov G on G.link = P.link
		LEFT JOIN dbo.KOSGU DG ON DG.LINK = P.DT_EKR
	WHERE
		P.DEP_LINK = @DEP_LINK
		AND
		G.DEP = @DEP_LINK
		--AND
		--CONVERT(INT,DBO.SA_GET_WORD_NUM(PERIOD,2,'.')) <= @M
		--AND
		--CONVERT(INT,DBO.SA_GET_WORD_NUM(PERIOD,3,'.')) = @Y
		AND
		DG.CODE <>'290'

	exec dbo.BufferClear 'DT'
	exec dbo.BufferClear 'KT'


INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '129',
	ISNULL( (SELECT SUM(SUMMA) FROM  #RASH_OPS WHERE MON = 1) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #RASH_OPS WHERE MON = 2) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #RASH_OPS WHERE MON = 3) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #RASH_OPS WHERE MON = 4) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #RASH_OPS WHERE MON = 5) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #RASH_OPS WHERE MON = 6) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #RASH_OPS WHERE MON = 7) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #RASH_OPS WHERE MON = 8) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #RASH_OPS WHERE MON = 9) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #RASH_OPS WHERE MON = 10) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #RASH_OPS WHERE MON = 11) ,0),
	ISNULL( (SELECT SUM(SUMMA) FROM  #RASH_OPS WHERE MON = 12) ,0)	
*/
---<<<<<<     >>>>>>>>>


---<<<<<<    >>>>>>>>>    -     

--IF EXISTS(SELECT * FROM #SALARY_SUM2 WHERE SUMMA_ALL_I <> 0)
--	OR EXISTS (SELECT * FROM #SPR_ESN WHERE I = 2 AND (DED_M <> 0 OR INV_M <> 0 OR SUMMA <> 0) )
--BEGIN	

/*INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '300',
	CASE WHEN @PERSON_CZ IN (1,2) THEN ( case when @PERSON_RESIDENT = 3 THEN 1 WHEN @PERSON_RESIDENT =1 THEN 2 ELSE 0 END ) ELSE 0 END  ,
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0	

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '301',
		ISNULL((SELECT SUM(SUMMA_ALL_I) FROM #SALARY_SUM2 WHERE MON = 1), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_I) FROM #SALARY_SUM2 WHERE MON = 2), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_I) FROM #SALARY_SUM2 WHERE MON = 3), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_I) FROM #SALARY_SUM2 WHERE MON = 4), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_I) FROM #SALARY_SUM2 WHERE MON = 5), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_I) FROM #SALARY_SUM2 WHERE MON = 6), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_I) FROM #SALARY_SUM2 WHERE MON = 7), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_I) FROM #SALARY_SUM2 WHERE MON = 8), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_I) FROM #SALARY_SUM2 WHERE MON = 9), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_I) FROM #SALARY_SUM2 WHERE MON = 10), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_I) FROM #SALARY_SUM2 WHERE MON = 11), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_I) FROM #SALARY_SUM2 WHERE MON = 12), 0)	

	INSERT INTO #RES VALUES ('303', 0,0,0,0,0,0,0,0,0,0,0,0)		

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '305',
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 1),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 1), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 2),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 2), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 3),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 3), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 4),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 4), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 5),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 5), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 6),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 6), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 7),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 7), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 8),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 8), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 9),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 9), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 10),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 10), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 11),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 11), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 12),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 12), 0)

	INSERT INTO #RES VALUES ('307', 0,0,0,0,0,0,0,0,0,0,0,0)

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '309',
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #DGH_FSS WHERE MON = 1),0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #DGH_FSS WHERE MON = 2),0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #DGH_FSS WHERE MON = 3),0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #DGH_FSS WHERE MON = 4),0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #DGH_FSS WHERE MON = 5),0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #DGH_FSS WHERE MON = 6),0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #DGH_FSS WHERE MON = 7),0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #DGH_FSS WHERE MON = 8),0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #DGH_FSS WHERE MON = 9),0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #DGH_FSS WHERE MON = 10),0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #DGH_FSS WHERE MON = 11),0),
		ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #DGH_FSS WHERE MON = 12),0)

----,        ,  . 8  
--  
	DECLARE @LIMIT_OPSI NUMERIC(18,2)

	SELECT @LIMIT_OPSI = MAX(S.PREDEL)
	FROM 
		dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND S.TARIF = 3
	WHERE 
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND S.TARIF = 3 AND [DATE] < @EndYear ORDER BY [DATE] DESC) 
		AND
		S.PERCENT1 > 0
		AND s.PREDEL <> 999999999.00 

		
	SET @LIMIT_OPSI = ISNULL(@LIMIT_OPSI,0)

	SELECT MON = 1, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSI THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OPSI ELSE 0 END INTO #SPR_ESN1I FROM #SPR_ESN WHERE WAY_CALC = 6 AND MONTH_BASE <= 1 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP 
	INSERT INTO #SPR_ESN1I SELECT MON = 2, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 2 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1I SELECT MON = 3, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 3 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1I SELECT MON = 4, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 4 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1I SELECT MON = 5, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 5 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1I SELECT MON = 6, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 6 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1I SELECT MON = 7, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 7 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1I SELECT MON = 8, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 8 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1I SELECT MON = 9, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 9 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1I SELECT MON = 10, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 10 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1I SELECT MON = 11, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 11 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1I SELECT MON = 12, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 12 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP

	SELECT DISTINCT T.REF_PHYS_PERS, M.M, T.FACE_GROUP, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
	INTO #SPR_ESN2I
	FROM 
		#SPR_ESN1I T INNER JOIN dbo.months_ex(@BYearDate, @EndYear) M ON 1=1
		LEFT JOIN #SPR_ESN1I T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
		LEFT JOIN #SPR_ESN1I T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1
	WHERE
		(ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)) > 0



-- 
DECLARE @LIMIT_FSSI NUMERIC(18,2)

SELECT @LIMIT_FSSI = MAX(S.PREDEL)
FROM 
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 2 AND S.TARIF = 3
WHERE 
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 2 AND S.TARIF = 1 AND [DATE] < @EndYear ORDER BY [DATE] DESC) 
	AND
	S.PERCENT1 > 0
	AND s.PREDEL <> 999999999.00 


SET @LIMIT_FSSI = ISNULL(@LIMIT_FSSI,0)


	SELECT MON = 1, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSI THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSSI ELSE 0 END INTO #SPR_ESN1FI FROM #SPR_ESN WHERE WAY_CALC = 2 AND MONTH_BASE <= 1 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP 
	INSERT INTO #SPR_ESN1FI SELECT MON = 2, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 2 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1FI SELECT MON = 3, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 3 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1FI SELECT MON = 4, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 4 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1FI SELECT MON = 5, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 5 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1FI SELECT MON = 6, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 6 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1FI SELECT MON = 7, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 7 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1FI SELECT MON = 8, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 8 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1FI SELECT MON = 9, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 9 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1FI SELECT MON = 10, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 10 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1FI SELECT MON = 11, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 11 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1FI SELECT MON = 12, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSI THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSI ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 12 AND I = 2 GROUP BY REF_PHYS_PERS, FACE_GROUP

	SELECT DISTINCT T.REF_PHYS_PERS, M.M, T.FACE_GROUP, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
	INTO #SPR_ESN2FI
	FROM 
		#SPR_ESN1FI T INNER JOIN dbo.months_ex(@BYearDate, @EndYear) M ON 1=1
		LEFT JOIN #SPR_ESN1FI T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
		LEFT JOIN #SPR_ESN1FI T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1
	WHERE
		(ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)) > 0

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '311',
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2I WHERE  M = 1) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2I WHERE  M = 2) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2I WHERE  M = 3) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2I WHERE  M = 4) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2I WHERE  M = 5) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2I WHERE  M = 6) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2I WHERE  M = 7) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2I WHERE  M = 8) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2I WHERE  M = 9) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2I WHERE  M = 10) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2I WHERE  M = 11) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2I WHERE  M = 12) ,0)

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '313',
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2FI WHERE  M = 1) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2FI WHERE  M = 2) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2FI WHERE  M = 3) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2FI WHERE  M = 4) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2FI WHERE  M = 5) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2FI WHERE  M = 6) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2FI WHERE  M = 7) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2FI WHERE  M = 8) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2FI WHERE  M = 9) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2FI WHERE  M = 10) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2FI WHERE  M = 11) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2FI WHERE  M = 12) ,0)		

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '315',
		ISNULL( MIN(R1.SUM01) - SUM(R2.SUM01) ,0),
		ISNULL( MIN(R1.SUM02) - SUM(R2.SUM02) ,0),
		ISNULL( MIN(R1.SUM03) - SUM(R2.SUM03) ,0),
		ISNULL( MIN(R1.SUM04) - SUM(R2.SUM04) ,0),
		ISNULL( MIN(R1.SUM05) - SUM(R2.SUM05) ,0),
		ISNULL( MIN(R1.SUM06) - SUM(R2.SUM06) ,0),
		ISNULL( MIN(R1.SUM07) - SUM(R2.SUM07) ,0),
		ISNULL( MIN(R1.SUM08) - SUM(R2.SUM08) ,0),
		ISNULL( MIN(R1.SUM09) - SUM(R2.SUM09) ,0),
		ISNULL( MIN(R1.SUM10) - SUM(R2.SUM10) ,0),
		ISNULL( MIN(R1.SUM11) - SUM(R2.SUM11) ,0),
		ISNULL( MIN(R1.SUM12) - SUM(R2.SUM12) ,0)
	FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '301'
	WHERE R2.CODE_STR IN ('303', '305', '307')

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '317', SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12 FROM #RES WHERE CODE_STR = '315'

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '319',
		ISNULL( MIN(R1.SUM01) - SUM(R2.SUM01) ,0),
		ISNULL( MIN(R1.SUM02) - SUM(R2.SUM02) ,0),
		ISNULL( MIN(R1.SUM03) - SUM(R2.SUM03) ,0),
		ISNULL( MIN(R1.SUM04) - SUM(R2.SUM04) ,0),
		ISNULL( MIN(R1.SUM05) - SUM(R2.SUM05) ,0),
		ISNULL( MIN(R1.SUM06) - SUM(R2.SUM06) ,0),
		ISNULL( MIN(R1.SUM07) - SUM(R2.SUM07) ,0),
		ISNULL( MIN(R1.SUM08) - SUM(R2.SUM08) ,0),
		ISNULL( MIN(R1.SUM09) - SUM(R2.SUM09) ,0),
		ISNULL( MIN(R1.SUM10) - SUM(R2.SUM10) ,0),
		ISNULL( MIN(R1.SUM11) - SUM(R2.SUM11) ,0),
		ISNULL( MIN(R1.SUM12) - SUM(R2.SUM12) ,0)
	FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '301'
	WHERE R2.CODE_STR IN ('303', '305', '307', '309')


	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '321',
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 1),0),
		--ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 1) - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1) ,0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 2),0),
		--ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 2) - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1) ,0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 3),0),
		--ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 3) - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1) ,0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 4),0),
		--ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 4) - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1) ,0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 5),0),
		--ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 5) - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1) ,0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 6),0),
		--ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 6) - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1) ,0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 7),0),
		--ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 7) - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1) ,0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 8),0),
		--ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 8) - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 9),0),
		--ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 9) - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 10),0),
		--ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 10) - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 11),0),
		--ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 11) - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 12),0)
		--ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 12) - (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1),0)

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '323',
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 1),0),
		--ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1) ,0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 2),0),
		--ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1) ,0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 3),0),
		--ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1) ,0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 4),0),
		--ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1) ,0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 5),0),
		--ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1) ,0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 6),0),
		--ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1) ,0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 7),0),
		--ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1) ,0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 8),0),
		--ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1) ,0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 9),0),
		--ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1) ,0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 10),0),
		--ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1) ,0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 11),0),
		--ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1) ,0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1I s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6 AND s.I = 2 AND s.E = 0 AND s.MONTH_BASE = 12),0)
		--ISNULL( (SELECT SUM(ISNULL(SUMMA,0)) FROM  #SPR_ESN2I WHERE  M = 1) ,0)	

/*	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '323',
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND I = 2 AND MONTH_BASE = 1) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND I = 2 AND MONTH_BASE = 2) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND I = 2 AND MONTH_BASE = 3) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND I = 2 AND MONTH_BASE = 4) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND I = 2 AND MONTH_BASE = 5) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND I = 2 AND MONTH_BASE = 6) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND I = 2 AND MONTH_BASE = 7) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND I = 2 AND MONTH_BASE = 8) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND I = 2 AND MONTH_BASE = 9) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND I = 2 AND MONTH_BASE = 10) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND I = 2 AND MONTH_BASE = 11) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND I = 2 AND MONTH_BASE = 12) ,0)	
*/

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '325',
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND I = 2 AND MONTH_BASE = 1) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND I = 2 AND MONTH_BASE = 2) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND I = 2 AND MONTH_BASE = 3) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND I = 2 AND MONTH_BASE = 4) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND I = 2 AND MONTH_BASE = 5) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND I = 2 AND MONTH_BASE = 6) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND I = 2 AND MONTH_BASE = 7) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND I = 2 AND MONTH_BASE = 8) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND I = 2 AND MONTH_BASE = 9) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND I = 2 AND MONTH_BASE = 10) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND I = 2 AND MONTH_BASE = 11) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND I = 2 AND MONTH_BASE = 12) ,0)
	
	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '327',
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 1) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 2) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 3) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 4) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 5) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 6) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 7) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 8) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 9) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 10) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 11) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 12) ,0)

/*	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '329',
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 1) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 2) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 3) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 4) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 5) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 6) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 7) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 8) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 9) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 10) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 11) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 12) ,0)

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '331',
		ISNULL( (SELECT SUM(SUMMA_I) FROM  #SUM_FSS WHERE MON = 1) ,0),
		ISNULL( (SELECT SUM(SUMMA_I) FROM  #SUM_FSS WHERE MON = 2) ,0),
		ISNULL( (SELECT SUM(SUMMA_I) FROM  #SUM_FSS WHERE MON = 3) ,0),
		ISNULL( (SELECT SUM(SUMMA_I) FROM  #SUM_FSS WHERE MON = 4) ,0),
		ISNULL( (SELECT SUM(SUMMA_I) FROM  #SUM_FSS WHERE MON = 5) ,0),
		ISNULL( (SELECT SUM(SUMMA_I) FROM  #SUM_FSS WHERE MON = 6) ,0),
		ISNULL( (SELECT SUM(SUMMA_I) FROM  #SUM_FSS WHERE MON = 7) ,0),
		ISNULL( (SELECT SUM(SUMMA_I) FROM  #SUM_FSS WHERE MON = 8) ,0),
		ISNULL( (SELECT SUM(SUMMA_I) FROM  #SUM_FSS WHERE MON = 9) ,0),
		ISNULL( (SELECT SUM(SUMMA_I) FROM  #SUM_FSS WHERE MON = 10) ,0),
		ISNULL( (SELECT SUM(SUMMA_I) FROM  #SUM_FSS WHERE MON = 11) ,0),
		ISNULL( (SELECT SUM(SUMMA_I) FROM  #SUM_FSS WHERE MON = 12) ,0)	
*/
--END		
*/
---<<<<<<     >>>>>>>>>


---<<<<<<   >>>>>>>>>
--IF EXISTS(SELECT * FROM #SALARY_SUM2 WHERE SUMMA_ALL_E <> 0)
--	OR EXISTS (SELECT * FROM #SPR_ESN WHERE E = 1 AND (DED_M <> 0 OR INV_M <> 0 OR SUMMA <> 0) )
--BEGIN
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '500',
	CASE WHEN @PERSON_CZ IN (1,2) THEN ( case when @PERSON_RESIDENT = 3 THEN 1 WHEN @PERSON_RESIDENT =1 THEN 2 ELSE 0 END ) ELSE 0 END  ,
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '501',
		ISNULL((SELECT SUM(SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 1), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 2), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 3), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 4), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 5), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 6), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 7), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 8), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 9), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 10), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 11), 0),
		ISNULL((SELECT SUM(SUMMA_ALL_E) FROM #SALARY_SUM2 WHERE MON = 12), 0)	
		
	INSERT INTO #RES VALUES ('503', 0,0,0,0,0,0,0,0,0,0,0,0)	

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '505',
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND E = 1 AND MONTH_BASE = 1), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND E = 1 AND MONTH_BASE = 2), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND E = 1 AND MONTH_BASE = 3), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND E = 1 AND MONTH_BASE = 4), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND E = 1 AND MONTH_BASE = 5), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND E = 1 AND MONTH_BASE = 6), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 7),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND E = 1 AND MONTH_BASE = 7), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 8),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND E = 1 AND MONTH_BASE = 8), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 9),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND E = 1 AND MONTH_BASE = 9), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 10),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND E = 1 AND MONTH_BASE = 10), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 11),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND E = 1 AND MONTH_BASE = 11), 0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 12),0) + ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND E = 1 AND MONTH_BASE = 12), 0)

	INSERT INTO #RES VALUES ('507', 0,0,0,0,0,0,0,0,0,0,0,0)

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '509',
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 1),0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 2),0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 3),0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 4),0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 5),0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 6),0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 7),0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 8),0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 9),0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 10),0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 11),0),
		ISNULL( (SELECT SUM(SUMMA_NO_E) FROM #DGH_FSS WHERE MON = 12),0)

	--,        ,  . 8  
	--  
	DECLARE @LIMIT_OPSE NUMERIC(18,2)

	SELECT @LIMIT_OPSE = MAX(S.PREDEL)
	FROM 
		dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND S.TARIF = 2
	WHERE 
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND S.TARIF = 2 AND [DATE] < @EndYear ORDER BY [DATE] DESC) 
		AND
		S.PERCENT1 > 0
		AND s.PREDEL <> 999999999.00 

		
	SET @LIMIT_OPSE = ISNULL(@LIMIT_OPSE,0)

	SELECT MON = 1, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSE THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OPSE ELSE 0 END INTO #SPR_ESN1E FROM #SPR_ESN WHERE WAY_CALC = 6 AND MONTH_BASE <= 1 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP 
	INSERT INTO #SPR_ESN1E SELECT MON = 2, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 2 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1E SELECT MON = 3, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 3 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1E SELECT MON = 4, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 4 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1E SELECT MON = 5, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 5 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1E SELECT MON = 6, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 6 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1E SELECT MON = 7, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 7 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1E SELECT MON = 8, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 8 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1E SELECT MON = 9, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 9 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1E SELECT MON = 10, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 10 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1E SELECT MON = 11, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 11 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1E SELECT MON = 12, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OPSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_OPSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 12 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP

	SELECT DISTINCT T.REF_PHYS_PERS, M.M, T.FACE_GROUP, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
	INTO #SPR_ESN2E
	FROM 
		#SPR_ESN1E T INNER JOIN dbo.months_ex(@BYearDate, @EndYear) M ON 1=1
		LEFT JOIN #SPR_ESN1E T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
		LEFT JOIN #SPR_ESN1E T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1
	WHERE
		(ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)) > 0

	-- FSS
	DECLARE @LIMIT_FSSE NUMERIC(18,2)

	SELECT @LIMIT_FSSE = MAX(S.PREDEL)
	FROM 
		dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND S.TARIF = 2
	WHERE 
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND S.TARIF = 2 AND [DATE] < @EndYear ORDER BY [DATE] DESC) 
		AND
		S.PERCENT1 > 0
		AND s.PREDEL <> 999999999.00 

		
	SET @LIMIT_FSSE = ISNULL(@LIMIT_FSSE,0)

	SELECT MON = 1, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSE THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSSE ELSE 0 END INTO #SPR_ESN1_FE FROM #SPR_ESN WHERE WAY_CALC = 2 AND MONTH_BASE <= 1 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP 
	INSERT INTO #SPR_ESN1_FE SELECT MON = 2, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 2 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1_FE SELECT MON = 3, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 3 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1_FE SELECT MON = 4, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 4 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1_FE SELECT MON = 5, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 5 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1_FE SELECT MON = 6, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 6 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1_FE SELECT MON = 7, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 7 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1_FE SELECT MON = 8, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 8 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1_FE SELECT MON = 9, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 9 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1_FE SELECT MON = 10, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 10 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1_FE SELECT MON = 11, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 11 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP
	INSERT INTO #SPR_ESN1_FE SELECT MON = 12, REF_PHYS_PERS, FACE_GROUP, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_FSSE THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT_FSSE ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND  MONTH_BASE <= 12 AND E = 1 GROUP BY REF_PHYS_PERS, FACE_GROUP

	SELECT DISTINCT T.REF_PHYS_PERS, M.M, T.FACE_GROUP, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
	INTO #SPR_ESN2_FE
	FROM 
		#SPR_ESN1_FE T INNER JOIN dbo.months_ex(@BYearDate, @EndYear) M ON 1=1
		LEFT JOIN #SPR_ESN1_FE T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
		LEFT JOIN #SPR_ESN1_FE T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1
	WHERE
		(ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)) > 0


	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '511',
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2E WHERE  M = 1) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2E WHERE  M = 2) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2E WHERE  M = 3) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2E WHERE  M = 4) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2E WHERE  M = 5) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2E WHERE  M = 6) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2E WHERE  M = 7) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2E WHERE  M = 8) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2E WHERE  M = 9) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2E WHERE  M = 10) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2E WHERE  M = 11) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2E WHERE  M = 12) ,0)

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '513',
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_FE WHERE  M = 1) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_FE WHERE  M = 2) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_FE WHERE  M = 3) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_FE WHERE  M = 4) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_FE WHERE  M = 5) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_FE WHERE  M = 6) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_FE WHERE  M = 7) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_FE WHERE  M = 8) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_FE WHERE  M = 9) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_FE WHERE  M = 10) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_FE WHERE  M = 11) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN2_FE WHERE  M = 12) ,0)		

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '515',
		ISNULL( MIN(R1.SUM01) - SUM(R2.SUM01) ,0),
		ISNULL( MIN(R1.SUM02) - SUM(R2.SUM02) ,0),
		ISNULL( MIN(R1.SUM03) - SUM(R2.SUM03) ,0),
		ISNULL( MIN(R1.SUM04) - SUM(R2.SUM04) ,0),
		ISNULL( MIN(R1.SUM05) - SUM(R2.SUM05) ,0),
		ISNULL( MIN(R1.SUM06) - SUM(R2.SUM06) ,0),
		ISNULL( MIN(R1.SUM07) - SUM(R2.SUM07) ,0),
		ISNULL( MIN(R1.SUM08) - SUM(R2.SUM08) ,0),
		ISNULL( MIN(R1.SUM09) - SUM(R2.SUM09) ,0),
		ISNULL( MIN(R1.SUM10) - SUM(R2.SUM10) ,0),
		ISNULL( MIN(R1.SUM11) - SUM(R2.SUM11) ,0),
		ISNULL( MIN(R1.SUM12) - SUM(R2.SUM12) ,0)
	FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '501'
	WHERE R2.CODE_STR IN ('503', '505', '507')

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '517', SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12 FROM #RES WHERE CODE_STR = '515'

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '519',
		ISNULL( MIN(R1.SUM01) - SUM(R2.SUM01) ,0),
		ISNULL( MIN(R1.SUM02) - SUM(R2.SUM02) ,0),
		ISNULL( MIN(R1.SUM03) - SUM(R2.SUM03) ,0),
		ISNULL( MIN(R1.SUM04) - SUM(R2.SUM04) ,0),
		ISNULL( MIN(R1.SUM05) - SUM(R2.SUM05) ,0),
		ISNULL( MIN(R1.SUM06) - SUM(R2.SUM06) ,0),
		ISNULL( MIN(R1.SUM07) - SUM(R2.SUM07) ,0),
		ISNULL( MIN(R1.SUM08) - SUM(R2.SUM08) ,0),
		ISNULL( MIN(R1.SUM09) - SUM(R2.SUM09) ,0),
		ISNULL( MIN(R1.SUM10) - SUM(R2.SUM10) ,0),
		ISNULL( MIN(R1.SUM11) - SUM(R2.SUM11) ,0),
		ISNULL( MIN(R1.SUM12) - SUM(R2.SUM12) ,0)
	FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '501'
	WHERE R2.CODE_STR IN ('503', '505', '507', '509')

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '521',
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 1),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 2),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 3),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 4),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 5),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 6),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 7),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 8),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 9),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 10),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 11),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) = 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 12),0)


	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '523',
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 1),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 2),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 3),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 4),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 5),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 6),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 7),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 8),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 9),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 10),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 11),0),
		ISNULL( (SELECT (case when sum(S1.SUMMA) <> 0 then SUM(s.SUMMA) else 0 end) FROM  #SPR_ESN s inner join #SPR_ESN1E s1 on s1.mon =s.MONTH_BASE and s1.face_group= s.face_group  WHERE s.WAY_CALC = 6  AND s.E = 1 AND s.MONTH_BASE = 12),0)
	/*INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '521',
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 7 AND E = 1 AND MONTH_BASE = 1) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 7 AND E = 1 AND MONTH_BASE = 2) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 7 AND E = 1 AND MONTH_BASE = 3) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 7 AND E = 1 AND MONTH_BASE = 4) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 7 AND E = 1 AND MONTH_BASE = 5) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 7 AND E = 1 AND MONTH_BASE = 6) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 7 AND E = 1 AND MONTH_BASE = 7) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 7 AND E = 1 AND MONTH_BASE = 8) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 7 AND E = 1 AND MONTH_BASE = 9) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 7 AND E = 1 AND MONTH_BASE = 10) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 7 AND E = 1 AND MONTH_BASE = 11) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 7 AND E = 1 AND MONTH_BASE = 12) ,0)	

	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '523',
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND E = 1 AND MONTH_BASE = 1) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND E = 1 AND MONTH_BASE = 2) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND E = 1 AND MONTH_BASE = 3) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND E = 1 AND MONTH_BASE = 4) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND E = 1 AND MONTH_BASE = 5) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND E = 1 AND MONTH_BASE = 6) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND E = 1 AND MONTH_BASE = 7) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND E = 1 AND MONTH_BASE = 8) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND E = 1 AND MONTH_BASE = 9) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND E = 1 AND MONTH_BASE = 10) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND E = 1 AND MONTH_BASE = 11) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC in (10,11) AND E = 1 AND MONTH_BASE = 12) ,0)	
*/
	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '525',
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND E = 1 AND MONTH_BASE = 1) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND E = 1 AND MONTH_BASE = 2) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND E = 1 AND MONTH_BASE = 3) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND E = 1 AND MONTH_BASE = 4) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND E = 1 AND MONTH_BASE = 5) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND E = 1 AND MONTH_BASE = 6) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND E = 1 AND MONTH_BASE = 7) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND E = 1 AND MONTH_BASE = 8) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND E = 1 AND MONTH_BASE = 9) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND E = 1 AND MONTH_BASE = 10) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND E = 1 AND MONTH_BASE = 11) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC IN(3,4) AND E = 1 AND MONTH_BASE = 12) ,0)
		
/*	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '527',
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND E = 1 AND MONTH_BASE = 1) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND E = 1 AND MONTH_BASE = 2) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND E = 1 AND MONTH_BASE = 3) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND E = 1 AND MONTH_BASE = 4) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND E = 1 AND MONTH_BASE = 5) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND E = 1 AND MONTH_BASE = 6) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND E = 1 AND MONTH_BASE = 7) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND E = 1 AND MONTH_BASE = 8) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND E = 1 AND MONTH_BASE = 9) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND E = 1 AND MONTH_BASE = 10) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND E = 1 AND MONTH_BASE = 11) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 4 AND E = 1 AND MONTH_BASE = 12) ,0)
*/
	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '527',
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND E = 1 AND MONTH_BASE = 1) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND E = 1 AND MONTH_BASE = 2) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND E = 1 AND MONTH_BASE = 3) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND E = 1 AND MONTH_BASE = 4) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND E = 1 AND MONTH_BASE = 5) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND E = 1 AND MONTH_BASE = 6) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND E = 1 AND MONTH_BASE = 7) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND E = 1 AND MONTH_BASE = 8) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND E = 1 AND MONTH_BASE = 9) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND E = 1 AND MONTH_BASE = 10) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND E = 1 AND MONTH_BASE = 11) ,0),
		ISNULL( (SELECT SUM(SUMMA) FROM  #SPR_ESN WHERE WAY_CALC = 2 AND E = 1 AND MONTH_BASE = 12) ,0)
/*
	INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '531',
		ISNULL( (SELECT SUM(SUMMA_E) FROM  #SUM_FSS WHERE MON = 1) ,0),
		ISNULL( (SELECT SUM(SUMMA_E) FROM  #SUM_FSS WHERE MON = 2) ,0),
		ISNULL( (SELECT SUM(SUMMA_E) FROM  #SUM_FSS WHERE MON = 3) ,0),
		ISNULL( (SELECT SUM(SUMMA_E) FROM  #SUM_FSS WHERE MON = 4) ,0),
		ISNULL( (SELECT SUM(SUMMA_E) FROM  #SUM_FSS WHERE MON = 5) ,0),
		ISNULL( (SELECT SUM(SUMMA_E) FROM  #SUM_FSS WHERE MON = 6) ,0),
		ISNULL( (SELECT SUM(SUMMA_E) FROM  #SUM_FSS WHERE MON = 7) ,0),
		ISNULL( (SELECT SUM(SUMMA_E) FROM  #SUM_FSS WHERE MON = 8) ,0),
		ISNULL( (SELECT SUM(SUMMA_E) FROM  #SUM_FSS WHERE MON = 9) ,0),
		ISNULL( (SELECT SUM(SUMMA_E) FROM  #SUM_FSS WHERE MON = 10) ,0),
		ISNULL( (SELECT SUM(SUMMA_E) FROM  #SUM_FSS WHERE MON = 11) ,0),
		ISNULL( (SELECT SUM(SUMMA_E) FROM  #SUM_FSS WHERE MON = 12) ,0)	
*/--END		
---<<<<<<     >>>>>>>>>

----------------------------------------------
-------<<<<<        >>>>>> 

/********        ,     , ***********/
/*******  118  1  27    17  2001   173-       ******/
----    
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '600',
	CASE WHEN @PERSON_CZ IN (1,2) THEN ( case when @PERSON_RESIDENT = 3 THEN 1 WHEN @PERSON_RESIDENT = 1 THEN 2 ELSE 0 END ) ELSE 0 END  ,
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0
---     . 1-2 . 7 212-
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '601',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUMMA_NO_D2) +  SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 1),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUMMA_NO_D2) +  SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 2),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUMMA_NO_D2) +  SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 3),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUMMA_NO_D2) +  SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 4),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUMMA_NO_D2) +  SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 5),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUMMA_NO_D2) +  SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 6),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUMMA_NO_D2) +  SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 7),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUMMA_NO_D2) +  SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 8),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUMMA_NO_D2) +  SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 9),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUMMA_NO_D2) +  SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUMMA_NO_D2) +  SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUMMA_NO_D2) +  SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 12),0))
FROM #SPR_ESN
WHERE WAY_CALC IN (10,11)


--   ,      212- . 8
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '603', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0

--  ,      212- . 9
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '605',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 2 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
	    Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 7 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 8 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 9 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) + SUM(SUM_NO_D1_O4) + SUM(SUM_NO_D1_B34) + SUM(SUM_NO_D1_B33)+ SUM(SUM_NO_D1_B32)+ SUM(SUM_NO_D1_B31) + SUM(SUM_NO_D2_O4) + SUM(SUM_NO_D2_B34) + SUM(SUM_NO_D2_B33)+ SUM(SUM_NO_D2_B32)+ SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 12 ),0))
FROM #SPR_ESN
WHERE WAY_CALC IN (10,11)

----       
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '607',
		ISNULL( (R1.SUM01) - (R2.SUM01)- (R3.SUM01) ,0),
		ISNULL( (R1.SUM02) - (R2.SUM02)- (R3.SUM02) ,0),
		ISNULL( (R1.SUM03) - (R2.SUM03)- (R3.SUM03) ,0),
		ISNULL( (R1.SUM04) - (R2.SUM04)- (R3.SUM04) ,0),
		ISNULL( (R1.SUM05) - (R2.SUM05)- (R3.SUM05) ,0),
		ISNULL( (R1.SUM06) - (R2.SUM06)- (R3.SUM06) ,0),
		ISNULL( (R1.SUM07) - (R2.SUM07)- (R3.SUM07) ,0),
		ISNULL( (R1.SUM08) - (R2.SUM08)- (R3.SUM08) ,0),
		ISNULL( (R1.SUM09) - (R2.SUM09)- (R3.SUM09) ,0),
		ISNULL( (R1.SUM10) - (R2.SUM10)- (R3.SUM10) ,0),
		ISNULL( (R1.SUM11) - (R2.SUM11)- (R3.SUM11) ,0),
		ISNULL( (R1.SUM12) - (R2.SUM12)- (R3.SUM12) ,0)
	FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '601'
	INNER JOIN #RES R3 ON R2.CODE_STR = '603'
	WHERE R3.CODE_STR IN ('605')

INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '609', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '611', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0

---------------------
------ 1
-----   ,    1  1  27    17.12.2001 .  173-,        
---     . 1-2 . 7 212-
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '613',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 1),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA_BASE ELSE 0 END),0)+ ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 2),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 3),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 4),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 5),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 6),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 7),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 8),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 9),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA_BASE ELSE 0 END),0)+ ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 12),0))
FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = ''

--   ,      212- . 8
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '615', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0

--  ,      212- . 9
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '617',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 1),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 2),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 3),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 4),0)),
	    Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 5),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 6),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 7),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 8),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 9),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN DED_M + INV_M ELSE 0 END),0)+ ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = 12),0))
FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = ''

--    																														
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '619',
		ISNULL( MIN(R1.SUM01) - SUM(R2.SUM01) ,0),
		ISNULL( MIN(R1.SUM02) - SUM(R2.SUM02) ,0),
		ISNULL( MIN(R1.SUM03) - SUM(R2.SUM03) ,0),
		ISNULL( MIN(R1.SUM04) - SUM(R2.SUM04) ,0),
		ISNULL( MIN(R1.SUM05) - SUM(R2.SUM05) ,0),
		ISNULL( MIN(R1.SUM06) - SUM(R2.SUM06) ,0),
		ISNULL( MIN(R1.SUM07) - SUM(R2.SUM07) ,0),
		ISNULL( MIN(R1.SUM08) - SUM(R2.SUM08) ,0),
		ISNULL( MIN(R1.SUM09) - SUM(R2.SUM09) ,0),
		ISNULL( MIN(R1.SUM10) - SUM(R2.SUM10) ,0),
		ISNULL( MIN(R1.SUM11) - SUM(R2.SUM11) ,0),
		ISNULL( MIN(R1.SUM12) - SUM(R2.SUM12) ,0)
	FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '613'
	WHERE R2.CODE_STR IN ('617')

---***  
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT
	'621',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA ELSE 0 END),0))
FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = ''

------------------------------------------------------------
-----           4 ()
---     . 1-2 . 7 212-
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '623',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 2),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 7),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 8),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 9),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 12),0))
FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = '4'

--   ,      212- . 8
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '625', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0

--  ,      212- . 9
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '627',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 2 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
	    Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 7 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 8 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 9 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = 12 ),0))
FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = '4'

--    																														
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '629',
		ISNULL( MIN(R1.SUM01) - SUM(R2.SUM01) ,0),
		ISNULL( MIN(R1.SUM02) - SUM(R2.SUM02) ,0),
		ISNULL( MIN(R1.SUM03) - SUM(R2.SUM03) ,0),
		ISNULL( MIN(R1.SUM04) - SUM(R2.SUM04) ,0),
		ISNULL( MIN(R1.SUM05) - SUM(R2.SUM05) ,0),
		ISNULL( MIN(R1.SUM06) - SUM(R2.SUM06) ,0),
		ISNULL( MIN(R1.SUM07) - SUM(R2.SUM07) ,0),
		ISNULL( MIN(R1.SUM08) - SUM(R2.SUM08) ,0),
		ISNULL( MIN(R1.SUM09) - SUM(R2.SUM09) ,0),
		ISNULL( MIN(R1.SUM10) - SUM(R2.SUM10) ,0),
		ISNULL( MIN(R1.SUM11) - SUM(R2.SUM11) ,0),
		ISNULL( MIN(R1.SUM12) - SUM(R2.SUM12) ,0)
	FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '623'
	WHERE R2.CODE_STR IN ('627')

---***  
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT
	'631',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA ELSE 0 END),0))
FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = '4'
---------------------------------------------------------------------------------
/********   ,    1  1  27    17.12.2001 .  173-,        3.4 ( 3.4)**********/
---     . 1-2 . 7 212-
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '633',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 2),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 7),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 8),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA_BASE ELSE 0 END) ,0)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 9),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA_BASE ELSE 0 END) ,0)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 12),0))
FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = '3.4'

--   ,      212- . 8
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '635', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0

--  ,      212- . 9
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '637',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 2 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
	    Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 7 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 8 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 9 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = 12 ),0))
FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP ='3.4'

--    																														
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '639',
		ISNULL( MIN(R1.SUM01) - SUM(R2.SUM01) ,0),
		ISNULL( MIN(R1.SUM02) - SUM(R2.SUM02) ,0),
		ISNULL( MIN(R1.SUM03) - SUM(R2.SUM03) ,0),
		ISNULL( MIN(R1.SUM04) - SUM(R2.SUM04) ,0),
		ISNULL( MIN(R1.SUM05) - SUM(R2.SUM05) ,0),
		ISNULL( MIN(R1.SUM06) - SUM(R2.SUM06) ,0),
		ISNULL( MIN(R1.SUM07) - SUM(R2.SUM07) ,0),
		ISNULL( MIN(R1.SUM08) - SUM(R2.SUM08) ,0),
		ISNULL( MIN(R1.SUM09) - SUM(R2.SUM09) ,0),
		ISNULL( MIN(R1.SUM10) - SUM(R2.SUM10) ,0),
		ISNULL( MIN(R1.SUM11) - SUM(R2.SUM11) ,0),
		ISNULL( MIN(R1.SUM12) - SUM(R2.SUM12) ,0)
	FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '633'
	WHERE R2.CODE_STR IN ('637')

---***  
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT
	'641',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA ELSE 0 END),0))
FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = '3.4'

/*******   ,    1  1  27    17.12.2001 .  173-,        3.3 ( 3.3)  ******/
---     . 1-2 . 7 212-
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '643',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 2),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 7),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 8),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 9),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 12),0))
FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = '3.3'	

--   ,      212- . 8
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '645', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0

--  ,      212- . 9
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '647',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 2 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
	    Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 7 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 8 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 9 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = 12 ),0))
FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP ='3.3'	

--    																														
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '649',
		ISNULL( MIN(R1.SUM01) - SUM(R2.SUM01) ,0),
		ISNULL( MIN(R1.SUM02) - SUM(R2.SUM02) ,0),
		ISNULL( MIN(R1.SUM03) - SUM(R2.SUM03) ,0),
		ISNULL( MIN(R1.SUM04) - SUM(R2.SUM04) ,0),
		ISNULL( MIN(R1.SUM05) - SUM(R2.SUM05) ,0),
		ISNULL( MIN(R1.SUM06) - SUM(R2.SUM06) ,0),
		ISNULL( MIN(R1.SUM07) - SUM(R2.SUM07) ,0),
		ISNULL( MIN(R1.SUM08) - SUM(R2.SUM08) ,0),
		ISNULL( MIN(R1.SUM09) - SUM(R2.SUM09) ,0),
		ISNULL( MIN(R1.SUM10) - SUM(R2.SUM10) ,0),
		ISNULL( MIN(R1.SUM11) - SUM(R2.SUM11) ,0),
		ISNULL( MIN(R1.SUM12) - SUM(R2.SUM12) ,0)
	FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '643'
	WHERE R2.CODE_STR IN ('647')

---***  
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT
	'651',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA ELSE 0 END),0))
FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = '3.3'	

/********   ,    1  1  27    17.12.2001 .  173-,        3.2 ( 3.2)**********/
---     . 1-2 . 7 212-
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '653',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 2),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 7),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 8),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 9),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 12),0))
FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = '3.2'	

--   ,      212- . 8
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '655', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0

--  ,      212- . 9
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '657',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN DED_M + INV_M ELSE 0 END) ,0)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 2 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
	    Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 7 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 8 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 9 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = 12 ),0))
FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP ='3.2'	

--    																														
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '659',
		ISNULL( MIN(R1.SUM01) - SUM(R2.SUM01) ,0),
		ISNULL( MIN(R1.SUM02) - SUM(R2.SUM02) ,0),
		ISNULL( MIN(R1.SUM03) - SUM(R2.SUM03) ,0),
		ISNULL( MIN(R1.SUM04) - SUM(R2.SUM04) ,0),
		ISNULL( MIN(R1.SUM05) - SUM(R2.SUM05) ,0),
		ISNULL( MIN(R1.SUM06) - SUM(R2.SUM06) ,0),
		ISNULL( MIN(R1.SUM07) - SUM(R2.SUM07) ,0),
		ISNULL( MIN(R1.SUM08) - SUM(R2.SUM08) ,0),
		ISNULL( MIN(R1.SUM09) - SUM(R2.SUM09) ,0),
		ISNULL( MIN(R1.SUM10) - SUM(R2.SUM10) ,0),
		ISNULL( MIN(R1.SUM11) - SUM(R2.SUM11) ,0),
		ISNULL( MIN(R1.SUM12) - SUM(R2.SUM12) ,0)
	FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '653'
	WHERE R2.CODE_STR IN ('657')

---***  
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT
	'661',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA ELSE 0 END),0))
FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = '3.2'	

/*******   ,    1  1  27    17.12.2001 .  173-,        3.1 ( 3.1) *****/
---     . 1-2 . 7 212-
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '663',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 2),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 7),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 8),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 9),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 12),0))
FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = '3.1'	

--   ,      212- . 8
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '665', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0

--  ,      212- . 9
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '667',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 2 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
	    Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 7 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 8 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 9 ),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = 12 ),0))
FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP ='3.1'	

--    																														
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '669',
		ISNULL( MIN(R1.SUM01) - SUM(R2.SUM01) ,0),
		ISNULL( MIN(R1.SUM02) - SUM(R2.SUM02) ,0),
		ISNULL( MIN(R1.SUM03) - SUM(R2.SUM03) ,0),
		ISNULL( MIN(R1.SUM04) - SUM(R2.SUM04) ,0),
		ISNULL( MIN(R1.SUM05) - SUM(R2.SUM05) ,0),
		ISNULL( MIN(R1.SUM06) - SUM(R2.SUM06) ,0),
		ISNULL( MIN(R1.SUM07) - SUM(R2.SUM07) ,0),
		ISNULL( MIN(R1.SUM08) - SUM(R2.SUM08) ,0),
		ISNULL( MIN(R1.SUM09) - SUM(R2.SUM09) ,0),
		ISNULL( MIN(R1.SUM10) - SUM(R2.SUM10) ,0),
		ISNULL( MIN(R1.SUM11) - SUM(R2.SUM11) ,0),
		ISNULL( MIN(R1.SUM12) - SUM(R2.SUM12) ,0)
	FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '663'
	WHERE R2.CODE_STR IN ('667')

---***  
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT
	'671',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA ELSE 0 END),0))
FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = '3.1'	

----------------------------------------
------------ 2
-----   ,    218  1  27    17.12.2001 .  173-,        
---     . 1-2 . 7 212-

INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '701',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 1),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 2),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 3),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 4),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 5),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 6),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 7),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 8),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 9),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA_BASE ELSE 0 END),0)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA_BASE ELSE 0 END),0)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA_BASE ELSE 0 END),0)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 12),0))
FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = ''

--   ,      212- . 8
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '703', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0

--  ,      212- . 9
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '705',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 1),0) ),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 1),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 1),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 1),0)),
	    Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 1),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 1),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 1),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 1),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 1),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN DED_M + INV_M ELSE 0 END),0)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 1),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN DED_M + INV_M ELSE 0 END),0)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 1),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN DED_M + INV_M ELSE 0 END),0)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = 1),0))
FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = ''

--    																														
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '707',
		ISNULL( MIN(R1.SUM01) - SUM(R2.SUM01) ,0),
		ISNULL( MIN(R1.SUM02) - SUM(R2.SUM02) ,0),
		ISNULL( MIN(R1.SUM03) - SUM(R2.SUM03) ,0),
		ISNULL( MIN(R1.SUM04) - SUM(R2.SUM04) ,0),
		ISNULL( MIN(R1.SUM05) - SUM(R2.SUM05) ,0),
		ISNULL( MIN(R1.SUM06) - SUM(R2.SUM06) ,0),
		ISNULL( MIN(R1.SUM07) - SUM(R2.SUM07) ,0),
		ISNULL( MIN(R1.SUM08) - SUM(R2.SUM08) ,0),
		ISNULL( MIN(R1.SUM09) - SUM(R2.SUM09) ,0),
		ISNULL( MIN(R1.SUM10) - SUM(R2.SUM10) ,0),
		ISNULL( MIN(R1.SUM11) - SUM(R2.SUM11) ,0),
		ISNULL( MIN(R1.SUM12) - SUM(R2.SUM12) ,0)
	FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '701'
	WHERE R2.CODE_STR IN ('705')

---***  
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT
	'709',
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL( SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA ELSE 0 END),0))
FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = ''

------------------------------------------------------------
-----           4 ()
---     . 1-2 . 7 212-
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '711',
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 2),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 7),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 8),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 9),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 12),0))
FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = '4'

--   ,      212- . 8
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '713', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0

--  ,      212- . 9
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '715',
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 1 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 2 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 2 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 3 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 4 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
	    Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 5 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 6 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 7 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 7 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 8 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 8 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 9 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 9 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 10 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 11 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 12 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = 12 ),0))
FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = '4'

--    																														
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '717',
		ISNULL( MIN(R1.SUM01) - SUM(R2.SUM01) ,0),
		ISNULL( MIN(R1.SUM02) - SUM(R2.SUM02) ,0),
		ISNULL( MIN(R1.SUM03) - SUM(R2.SUM03) ,0),
		ISNULL( MIN(R1.SUM04) - SUM(R2.SUM04) ,0),
		ISNULL( MIN(R1.SUM05) - SUM(R2.SUM05) ,0),
		ISNULL( MIN(R1.SUM06) - SUM(R2.SUM06) ,0),
		ISNULL( MIN(R1.SUM07) - SUM(R2.SUM07) ,0),
		ISNULL( MIN(R1.SUM08) - SUM(R2.SUM08) ,0),
		ISNULL( MIN(R1.SUM09) - SUM(R2.SUM09) ,0),
		ISNULL( MIN(R1.SUM10) - SUM(R2.SUM10) ,0),
		ISNULL( MIN(R1.SUM11) - SUM(R2.SUM11) ,0),
		ISNULL( MIN(R1.SUM12) - SUM(R2.SUM12) ,0)
	FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '711'
	WHERE R2.CODE_STR IN ('715')

---***  
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT
	'719',
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA ELSE 0 END),0))
FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = '4'
---------------------------------------------------------------------------------
/********   ,    218  1  27    17.12.2001 .  173-,        3.4 ( 3.4)**********/
---     . 1-2 . 7 212-
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '721',
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 2),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 7),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 8),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 9),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 12),0))
FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = '3.4'

--   ,      212- . 8
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '723', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0

--  ,      212- . 9
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '725',
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 1 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 2 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 2 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 3 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 4 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
	    Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 5 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 6 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 7 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 7 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 8 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 8 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 9 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 9 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 10 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 11 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 12 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = 12 ),0))
FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP ='3.4'

--    																														
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '727',
		ISNULL( MIN(R1.SUM01) - SUM(R2.SUM01) ,0),
		ISNULL( MIN(R1.SUM02) - SUM(R2.SUM02) ,0),
		ISNULL( MIN(R1.SUM03) - SUM(R2.SUM03) ,0),
		ISNULL( MIN(R1.SUM04) - SUM(R2.SUM04) ,0),
		ISNULL( MIN(R1.SUM05) - SUM(R2.SUM05) ,0),
		ISNULL( MIN(R1.SUM06) - SUM(R2.SUM06) ,0),
		ISNULL( MIN(R1.SUM07) - SUM(R2.SUM07) ,0),
		ISNULL( MIN(R1.SUM08) - SUM(R2.SUM08) ,0),
		ISNULL( MIN(R1.SUM09) - SUM(R2.SUM09) ,0),
		ISNULL( MIN(R1.SUM10) - SUM(R2.SUM10) ,0),
		ISNULL( MIN(R1.SUM11) - SUM(R2.SUM11) ,0),
		ISNULL( MIN(R1.SUM12) - SUM(R2.SUM12) ,0)
	FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '721'
	WHERE R2.CODE_STR IN ('725')

---***  
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT
	'729',
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA ELSE 0 END),0))
FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = '3.4'

/*******   ,    218  1  27    17.12.2001 .  173-,        3.3 ( 3.3)  ******/
---     . 1-2 . 7 212-
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '731',
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 2),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 7),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 8),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 9),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 12),0))
FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = '3.3'	

--   ,      212- . 8
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '733', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0

--  ,      212- . 9
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '735',
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 1 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 2 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 2 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 3 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 4 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
	    Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 5 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 6 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 7 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 7 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 8 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 8 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 9 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 9 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 10 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 11 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 12 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = 12 ),0))
FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP ='3.3'	

--    																														
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '737',
		ISNULL( MIN(R1.SUM01) - SUM(R2.SUM01) ,0),
		ISNULL( MIN(R1.SUM02) - SUM(R2.SUM02) ,0),
		ISNULL( MIN(R1.SUM03) - SUM(R2.SUM03) ,0),
		ISNULL( MIN(R1.SUM04) - SUM(R2.SUM04) ,0),
		ISNULL( MIN(R1.SUM05) - SUM(R2.SUM05) ,0),
		ISNULL( MIN(R1.SUM06) - SUM(R2.SUM06) ,0),
		ISNULL( MIN(R1.SUM07) - SUM(R2.SUM07) ,0),
		ISNULL( MIN(R1.SUM08) - SUM(R2.SUM08) ,0),
		ISNULL( MIN(R1.SUM09) - SUM(R2.SUM09) ,0),
		ISNULL( MIN(R1.SUM10) - SUM(R2.SUM10) ,0),
		ISNULL( MIN(R1.SUM11) - SUM(R2.SUM11) ,0),
		ISNULL( MIN(R1.SUM12) - SUM(R2.SUM12) ,0)
	FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '731'
	WHERE R2.CODE_STR IN ('735')

---***  
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT
	'739',
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA ELSE 0 END),0))
FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = '3.3'	

/********   ,    218  1  27    17.12.2001 .  173-,        3.2 ( 3.2)**********/
---     . 1-2 . 7 212-
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '741',
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 2),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 7),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 8),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 9),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 12),0))
FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = '3.2'	

--   ,      212- . 8
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '743', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0

--  ,      212- . 9
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '745',
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 1 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 2 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 2 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 3 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 4 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
	    Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 5 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 6 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 7 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 7 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 8 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 8 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 9 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 9 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 10 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 11 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 12 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = 12 ),0))
FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP ='3.2'	

--    																														
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '747',
		ISNULL( MIN(R1.SUM01) - SUM(R2.SUM01) ,0),
		ISNULL( MIN(R1.SUM02) - SUM(R2.SUM02) ,0),
		ISNULL( MIN(R1.SUM03) - SUM(R2.SUM03) ,0),
		ISNULL( MIN(R1.SUM04) - SUM(R2.SUM04) ,0),
		ISNULL( MIN(R1.SUM05) - SUM(R2.SUM05) ,0),
		ISNULL( MIN(R1.SUM06) - SUM(R2.SUM06) ,0),
		ISNULL( MIN(R1.SUM07) - SUM(R2.SUM07) ,0),
		ISNULL( MIN(R1.SUM08) - SUM(R2.SUM08) ,0),
		ISNULL( MIN(R1.SUM09) - SUM(R2.SUM09) ,0),
		ISNULL( MIN(R1.SUM10) - SUM(R2.SUM10) ,0),
		ISNULL( MIN(R1.SUM11) - SUM(R2.SUM11) ,0),
		ISNULL( MIN(R1.SUM12) - SUM(R2.SUM12) ,0)
	FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '741'
	WHERE R2.CODE_STR IN ('745')

---***  
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT
	'749',
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA ELSE 0 END),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA ELSE 0 END),0))
FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = '3.2'	

/*******   ,    218  1  27    17.12.2001 .  173-,        3.1 ( 3.1) *****/
---     . 1-2 . 7 212-
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '751',
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 2),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 7),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 8),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 9),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA_BASE ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 12),0))
FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = '3.1'	

--   ,      212- . 8
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '753', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0

--  ,      212- . 9
INSERT INTO #RES(CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '755',
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 1 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 1 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 2 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 2 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 3 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 3 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 4 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 4 ),0)),
	    Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 5 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 5 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 6 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 6 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 7 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 7 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 8 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 8 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 9 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 9 ),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 10 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 10),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 11 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 11),0)),
		Convert(numeric(18,2),ISNULL(SUM(CASE WHEN MONTH_BASE = 12 THEN DED_M + INV_M ELSE 0 END),0) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = 12 ),0))
FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP ='3.1'	

--    																														
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
	SELECT '757',
		ISNULL( MIN(R1.SUM01) - SUM(R2.SUM01) ,0),
		ISNULL( MIN(R1.SUM02) - SUM(R2.SUM02) ,0),
		ISNULL( MIN(R1.SUM03) - SUM(R2.SUM03) ,0),
		ISNULL( MIN(R1.SUM04) - SUM(R2.SUM04) ,0),
		ISNULL( MIN(R1.SUM05) - SUM(R2.SUM05) ,0),
		ISNULL( MIN(R1.SUM06) - SUM(R2.SUM06) ,0),
		ISNULL( MIN(R1.SUM07) - SUM(R2.SUM07) ,0),
		ISNULL( MIN(R1.SUM08) - SUM(R2.SUM08) ,0),
		ISNULL( MIN(R1.SUM09) - SUM(R2.SUM09) ,0),
		ISNULL( MIN(R1.SUM10) - SUM(R2.SUM10) ,0),
		ISNULL( MIN(R1.SUM11) - SUM(R2.SUM11) ,0),
		ISNULL( MIN(R1.SUM12) - SUM(R2.SUM12) ,0)
	FROM #RES R1 INNER JOIN #RES R2 ON R1.CODE_STR = '751'
	WHERE R2.CODE_STR IN ('755')

---***  
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT
	'759',
		ISNULL(Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = 1 THEN SUMMA ELSE 0 END)),0),
		ISNULL(Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = 2 THEN SUMMA ELSE 0 END)),0),
		ISNULL(Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = 3 THEN SUMMA ELSE 0 END)),0),
		ISNULL(Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = 4 THEN SUMMA ELSE 0 END)),0),
		ISNULL(Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = 5 THEN SUMMA ELSE 0 END)),0),
		ISNULL(Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = 6 THEN SUMMA ELSE 0 END)),0),
		ISNULL(Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = 7 THEN SUMMA ELSE 0 END)),0),
		ISNULL(Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = 8 THEN SUMMA ELSE 0 END)),0),
		ISNULL(Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = 9 THEN SUMMA ELSE 0 END)),0),
		ISNULL(Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = 10 THEN SUMMA ELSE 0 END)),0),
		ISNULL(Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = 11 THEN SUMMA ELSE 0 END)),0),
		ISNULL(Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = 12 THEN SUMMA ELSE 0 END)),0)
FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = '3.1'	



--------  5   -  8xx 
---	
	
SELECT 
	EMPL_LINK = E.LINK ,
	mon = month(a.date) ,
	---    (        )
	SUMMA801 = SUM((CASE WHEN COALESCE(A.DEKRET,0) = 1 OR A0.PAYER = 1  THEN 0 ELSE 1 END) * ISNULL(A0.SUMMA,0)),
	DAYS803 = SUM( (CASE WHEN COALESCE(A.DEKRET,0) = 1 OR A0.PAYER = 1 THEN 0 ELSE 1 END) * ISNULL(A0.[DAY],0)), --(DATEDIFF(DAY,T.DATE1,T.DATE2)+1) ),	
	--       ,    ,     
	SUMMA804 = SUM( COALESCE(A.DEKRET,0)  * ISNULL(A0.SUMMA,0)),
	DAYS806 = SUM( COALESCE(A.DEKRET,0)  * ISNULL(A0.[DAY],0))--* (DATEDIFF(DAY,T.DATE1,T.DATE2)+1) ),	
INTO #posob_tab
  FROM 
	DBO.DOCUMENTS_ADD_ARCHE A
	INNER JOIN dbo.SD_EMPL E ON A.REF_EMPL = E.LINK 
	INNER JOIN DBO.DOCUMENTS_ADD_ARCHE_table0 A0 on A0.LINK =  A.link
	INNER JOIN dbo.person P ON p.LINK = e.PERS_LINK
	left JOIN dbo.CITIZENSHIP c ON c.LINK = p.CITIZ_LINK 
WHERE 
	E.LINK = @Link_empl
	and LINK_DEP = @DEP_LINK 
	AND FLAG_JC = 1 --
	AND YEAR(DATE) = @Year --   
	AND MONTH(DATE) <= MONTH(@EndYear) --   
	--AND YEAR(a0.DATE1)= @Year--   
	--AND MONTH(a0.DATE2) <= MONTH(@EndYear) --   
GROUP BY E.LINK,month(a.date)


SELECT J.LINK_EMPL, P.F4FSS, E.[STATUS], RESIDENT = (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) , CNT_EMPL = COUNT(DISTINCT J.LINK_EMPL), CNT = COUNT( J.LINK_EMPL),SUMMA = SUM(SUMMA), CNT_DAYS = SUM([DAYS]), mon = Month(period_begin)
INTO #posob_tab1
FROM 
	dbo.ATRIBUT_F4FSS A
	INNER JOIN dbo.PAYS P ON A.LINK = P.F4FSS
	INNER JOIN dbo.CALCULATE_JURNAL J ON P.LINK = J.LINK_PAYS
	INNER JOIN DBO.SA_EMPLS_INFO(@EndYear, DEFAULT) E ON E.EMPL_LINK = J.LINK_EMPL 	
	INNER JOIN dbo.sd_empl se ON  sE.LINK = E.EMPL_LINK 
	INNER JOIN dbo.PERSON pe ON pe.LINK=se.PERS_LINK
	INNER JOIN dbo.CITIZENSHIP c ON c.LINK = pe.CITIZ_LINK
WHERE
	Year(period_begin) = @YEAR and Month(period_begin) <= month(@EndYear)
	and J.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1	
	and P.F4FSS > 1
	AND J.LINK_EKR = (SELECT LINK FROM KOSGU WHERE CODE = '213')
	and J.LINK_EMPL = @LINK_EMPL	
 
GROUP BY 	
	P.F4FSS, E.[STATUS],c.CODE , Month(period_begin), J.LINK_EMPL
order by link_empl 


--    
-----   

---    
 --=. 05,  801
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '801', 
	ISNULL((SELECT SUM(SUMMA801) FROM #posob_tab WHERE MON = 1 ),0), 
	ISNULL((SELECT SUM(SUMMA801) FROM #posob_tab WHERE MON = 2 ),0), 
	ISNULL((SELECT SUM(SUMMA801) FROM #posob_tab WHERE MON = 3 ),0), 
	ISNULL((SELECT SUM(SUMMA801) FROM #posob_tab WHERE MON = 4 ),0), 
	ISNULL((SELECT SUM(SUMMA801) FROM #posob_tab WHERE MON = 5 ),0), 
	ISNULL((SELECT SUM(SUMMA801) FROM #posob_tab WHERE MON = 6 ),0), 
	ISNULL((SELECT SUM(SUMMA801) FROM #posob_tab WHERE MON = 7 ),0), 
	ISNULL((SELECT SUM(SUMMA801) FROM #posob_tab WHERE MON = 8 ),0), 
	ISNULL((SELECT SUM(SUMMA801) FROM #posob_tab WHERE MON = 9 ),0), 
	ISNULL((SELECT SUM(SUMMA801) FROM #posob_tab WHERE MON = 10 ),0), 
	ISNULL((SELECT SUM(SUMMA801) FROM #posob_tab WHERE MON = 11 ),0), 
	ISNULL((SELECT SUM(SUMMA801) FROM #posob_tab WHERE MON = 12 ),0)
	--ISNULL(@P02014,0), 
--	@P02013, @P02010, ''

INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '802',0,0,0,0, 0,0,0,0,0,0,0,0

---     
--=. 05,  803
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '803', 
	ISNULL((SELECT SUM(DAYS803) FROM #posob_tab WHERE MON = 1 ),0), 
	ISNULL((SELECT SUM(DAYS803) FROM #posob_tab WHERE MON = 2 ),0), 
	ISNULL((SELECT SUM(DAYS803) FROM #posob_tab WHERE MON = 3 ),0), 
	ISNULL((SELECT SUM(DAYS803) FROM #posob_tab WHERE MON = 4 ),0), 
	ISNULL((SELECT SUM(DAYS803) FROM #posob_tab WHERE MON = 5 ),0), 
	ISNULL((SELECT SUM(DAYS803) FROM #posob_tab WHERE MON = 6 ),0), 
	ISNULL((SELECT SUM(DAYS803) FROM #posob_tab WHERE MON = 7 ),0), 
	ISNULL((SELECT SUM(DAYS803) FROM #posob_tab WHERE MON = 8 ),0), 
	ISNULL((SELECT SUM(DAYS803) FROM #posob_tab WHERE MON = 9 ),0), 
	ISNULL((SELECT SUM(DAYS803) FROM #posob_tab WHERE MON = 10),0), 
	ISNULL((SELECT SUM(DAYS803) FROM #posob_tab WHERE MON = 11),0), 
	ISNULL((SELECT SUM(DAYS803) FROM #posob_tab WHERE MON = 12),0) 

---     
--=. 05,  804
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '804', 
	ISNULL((SELECT SUM(SUMMA804) FROM #posob_tab WHERE MON = 1),0), 
	ISNULL((SELECT SUM(SUMMA804) FROM #posob_tab WHERE MON = 2),0), 
	ISNULL((SELECT SUM(SUMMA804) FROM #posob_tab WHERE MON = 3),0), 
	ISNULL((SELECT SUM(SUMMA804) FROM #posob_tab WHERE MON = 4),0), 
	ISNULL((SELECT SUM(SUMMA804) FROM #posob_tab WHERE MON = 5),0), 
	ISNULL((SELECT SUM(SUMMA804) FROM #posob_tab WHERE MON = 6),0), 
	ISNULL((SELECT SUM(SUMMA804) FROM #posob_tab WHERE MON = 7),0), 
	ISNULL((SELECT SUM(SUMMA804) FROM #posob_tab WHERE MON = 8),0), 
	ISNULL((SELECT SUM(SUMMA804) FROM #posob_tab WHERE MON = 9),0), 
	ISNULL((SELECT SUM(SUMMA804) FROM #posob_tab WHERE MON = 10),0), 
	ISNULL((SELECT SUM(SUMMA804) FROM #posob_tab WHERE MON = 11),0), 
	ISNULL((SELECT SUM(SUMMA804) FROM #posob_tab WHERE MON = 12),0)


INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '805',0,0,0,0, 0,0,0,0,0,0,0,0

---      
--=. 05,  806
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '806', 
	ISNULL((SELECT SUM(DAYS806) FROM #posob_tab WHERE MON = 1 ),0), 
	ISNULL((SELECT SUM(DAYS806) FROM #posob_tab WHERE MON = 2 ),0), 
	ISNULL((SELECT SUM(DAYS806) FROM #posob_tab WHERE MON = 3 ),0), 
	ISNULL((SELECT SUM(DAYS806) FROM #posob_tab WHERE MON = 4 ),0), 
	ISNULL((SELECT SUM(DAYS806) FROM #posob_tab WHERE MON = 5 ),0), 
	ISNULL((SELECT SUM(DAYS806) FROM #posob_tab WHERE MON = 6 ),0), 
	ISNULL((SELECT SUM(DAYS806) FROM #posob_tab WHERE MON = 7 ),0), 
	ISNULL((SELECT SUM(DAYS806) FROM #posob_tab WHERE MON = 8 ),0), 
	ISNULL((SELECT SUM(DAYS806) FROM #posob_tab WHERE MON = 9 ),0), 
	ISNULL((SELECT SUM(DAYS806) FROM #posob_tab WHERE MON = 10),0), 
	ISNULL((SELECT SUM(DAYS806) FROM #posob_tab WHERE MON = 11),0), 
	ISNULL((SELECT SUM(DAYS806) FROM #posob_tab WHERE MON = 12),0) 	

---     ,          
--=. 05,  807
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '807', 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 1 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 2 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 3 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 4 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 5 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 6 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 7 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 8 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 9 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 10 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 11 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 12 and F4FSS = 4),0)

--- -     ,          
--=. 05,  808
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '808', 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 1 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 2 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 3 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 4 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 5 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 6 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 7 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 8 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 9 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 10 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 11 and F4FSS = 4),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 12 and F4FSS = 4),0)


---       
--=. 05,  809
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '809', 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 1 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 2 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 3 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 4 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 5 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 6 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 7 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 8 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 9 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 10 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 11 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 12 and F4FSS = 5),0)

--- -       
--=. 05,  810
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '810', 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 1 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 2 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 3 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 4 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 5 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 6 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 7 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 8 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 9 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 10 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 11 and F4FSS = 5),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 12 and F4FSS = 5),0)


---        
--=. 05,  811
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '811', 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 1 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 2 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 3 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 4 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 5 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 6 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 7 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 8 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 9 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 10 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 11 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 12 and F4FSS in (6,7)),0)


INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '812',0,0,0,0, 0,0,0,0,0,0,0,0

--- -        
 --=. 05,  813
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '813', 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 1 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 2 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 3 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 4 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 5 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 6 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 7 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 8 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 9 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 10 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 11 and F4FSS in (6,7)),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 12 and F4FSS in (6,7)),0)


---       
 --=. 05,  814
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '814', 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 1 and F4FSS = 6),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 2 and F4FSS = 6),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 3 and F4FSS = 6),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 4 and F4FSS = 6),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 5 and F4FSS = 6),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 6 and F4FSS = 6),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 7 and F4FSS = 6),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 8 and F4FSS = 6),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 9 and F4FSS = 6),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 10 and F4FSS = 6),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 11 and F4FSS = 6),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 12 and F4FSS = 6),0)

INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '815',0,0,0,0, 0,0,0,0,0,0,0,0

---         
 --=. 05,  816
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '816', 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 1 and F4FSS = 7),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 2 and F4FSS = 7),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 3 and F4FSS = 7),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 4 and F4FSS = 7),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 5 and F4FSS = 7),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 6 and F4FSS = 7),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 7 and F4FSS = 7),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 8 and F4FSS = 7),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 9 and F4FSS = 7),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 10 and F4FSS = 7),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 11 and F4FSS = 7),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 12 and F4FSS = 7),0)

INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '817',0,0,0,0, 0,0,0,0,0,0,0,0
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '818',0,0,0,0, 0,0,0,0,0,0,0,0
---  :  4-       -
 --=. 05,  819
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '819', 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 1 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 2 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 3 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 4 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 5 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 6 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 7 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 8 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 9 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 10 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 11 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 12 and F4FSS = 8),0)

INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '820',0,0,0,0, 0,0,0,0,0,0,0,0
--- - :  4-       -
 --=. 05,  821
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '821', 
	ISNULL((SELECT SUM(CNT_DAYS) FROM #posob_tab1 WHERE MON = 1 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(CNT_DAYS) FROM #posob_tab1 WHERE MON = 2 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(CNT_DAYS) FROM #posob_tab1 WHERE MON = 3 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(CNT_DAYS) FROM #posob_tab1 WHERE MON = 4 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(CNT_DAYS) FROM #posob_tab1 WHERE MON = 5 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(CNT_DAYS) FROM #posob_tab1 WHERE MON = 6 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(CNT_DAYS) FROM #posob_tab1 WHERE MON = 7 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(CNT_DAYS) FROM #posob_tab1 WHERE MON = 8 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(CNT_DAYS) FROM #posob_tab1 WHERE MON = 9 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(CNT_DAYS) FROM #posob_tab1 WHERE MON = 10 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(CNT_DAYS) FROM #posob_tab1 WHERE MON = 11 and F4FSS = 8),0), 
	ISNULL((SELECT SUM(CNT_DAYS) FROM #posob_tab1 WHERE MON = 12 and F4FSS = 8),0)

---  :            
 --=. 05,  822
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '822', 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 1 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 2 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 3 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 4 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 5 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 6 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 7 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 8 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 9 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 10 and F4FSS =9),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 11 and F4FSS =9),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #posob_tab1 WHERE MON = 12 and F4FSS =9),0)

INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '823',0,0,0,0, 0,0,0,0,0,0,0,0
--- - :            
--=. 05,  824
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '824', 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 1 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 2 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 3 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 4 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 5 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 6 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 7 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 8 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 9 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 10 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 11 and F4FSS = 9),0), 
	ISNULL((SELECT SUM(CNT) FROM #posob_tab1 WHERE MON = 12 and F4FSS = 9),0)

INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '825',0,0,0,0, 0,0,0,0,0,0,0,0
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '826',0,0,0,0, 0,0,0,0,0,0,0,0
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '827',0,0,0,0, 0,0,0,0,0,0,0,0
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '828',0,0,0,0, 0,0,0,0,0,0,0,0
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '829',0,0,0,0, 0,0,0,0,0,0,0,0
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '830',0,0,0,0, 0,0,0,0,0,0,0,0
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '831',0,0,0,0, 0,0,0,0,0,0,0,0
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '832',0,0,0,0, 0,0,0,0,0,0,0,0
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '833',0,0,0,0, 0,0,0,0,0,0,0,0
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '834',0,0,0,0, 0,0,0,0,0,0,0,0
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '835',0,0,0,0, 0,0,0,0,0,0,0,0
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '836',0,0,0,0, 0,0,0,0,0,0,0,0
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '837',0,0,0,0, 0,0,0,0,0,0,0,0
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '838',0,0,0,0, 0,0,0,0,0,0,0,0
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '839',0,0,0,0, 0,0,0,0,0,0,0,0
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '840',0,0,0,0, 0,0,0,0,0,0,0,0
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT '841',0,0,0,0, 0,0,0,0,0,0,0,0



UPDATE r 
SEt SUM01 = (select SUM(SUM01) FROM  #RES WHERE CODE_STR IN ('801','804','807','809','811','819','822')), 
	SUM02 = (select SUM(SUM02) FROM  #RES WHERE CODE_STR IN ('801','804','807','809','811','819','822')), 
	SUM03 = (select SUM(SUM03) FROM  #RES WHERE CODE_STR IN ('801','804','807','809','811','819','822')), 
	SUM04 = (select SUM(SUM04) FROM  #RES WHERE CODE_STR IN ('801','804','807','809','811','819','822')), 
	SUM05 = (select SUM(SUM05) FROM  #RES WHERE CODE_STR IN ('801','804','807','809','811','819','822')), 
	SUM06 = (select SUM(SUM06) FROM  #RES WHERE CODE_STR IN ('801','804','807','809','811','819','822')), 
	SUM07 = (select SUM(SUM07) FROM  #RES WHERE CODE_STR IN ('801','804','807','809','811','819','822')), 
	SUM08 = (select SUM(SUM08) FROM  #RES WHERE CODE_STR IN ('801','804','807','809','811','819','822')), 
	SUM09 = (select SUM(SUM09) FROM  #RES WHERE CODE_STR IN ('801','804','807','809','811','819','822')), 
	SUM10 = (select SUM(SUM10) FROM  #RES WHERE CODE_STR IN ('801','804','807','809','811','819','822')), 
	SUM11 = (select SUM(SUM11) FROM  #RES WHERE CODE_STR IN ('801','804','807','809','811','819','822')), 
	SUM12 = (select SUM(SUM12) FROM  #RES WHERE CODE_STR IN ('801','804','807','809','811','819','822'))
FROM #RES r
WHERE r.code_str = '131' 


/*UPDATE r 
SEt SUM01 = (select SUM(SUM01) FROM  #RES WHERE CODE_STR IN ('825','827','829','831','833','835','837','839','841')), 
	SUM02 = (select SUM(SUM02) FROM  #RES WHERE CODE_STR IN ('825','827','829','831','833','835','837','839','841')), 
	SUM03 = (select SUM(SUM03) FROM  #RES WHERE CODE_STR IN ('825','827','829','831','833','835','837','839','841')), 
	SUM04 = (select SUM(SUM04) FROM  #RES WHERE CODE_STR IN ('825','827','829','831','833','835','837','839','841')), 
	SUM05 = (select SUM(SUM05) FROM  #RES WHERE CODE_STR IN ('825','827','829','831','833','835','837','839','841')), 
	SUM06 = (select SUM(SUM06) FROM  #RES WHERE CODE_STR IN ('825','827','829','831','833','835','837','839','841')), 
	SUM07 = (select SUM(SUM07) FROM  #RES WHERE CODE_STR IN ('825','827','829','831','833','835','837','839','841')), 
	SUM08 = (select SUM(SUM08) FROM  #RES WHERE CODE_STR IN ('825','827','829','831','833','835','837','839','841')), 
	SUM09 = (select SUM(SUM09) FROM  #RES WHERE CODE_STR IN ('825','827','829','831','833','835','837','839','841')), 
	SUM10 = (select SUM(SUM10) FROM  #RES WHERE CODE_STR IN ('825','827','829','831','833','835','837','839','841')), 
	SUM11 = (select SUM(SUM11) FROM  #RES WHERE CODE_STR IN ('825','827','829','831','833','835','837','839','841')), 
	SUM12 = (select SUM(SUM12) FROM  #RES WHERE CODE_STR IN ('825','827','829','831','833','835','837','839','841'))
FROM #RES r
WHERE r.code_str = '133' 


UPDATE r 
SET SUM01 = ISNULL( (SELECT SUM(skidka)+SUM(VYCHET) FROM  #TRAVM_FSS WHERE MONTH_BASE = 1) ,0),
	SUM02 = ISNULL( (SELECT SUM(skidka)+SUM(VYCHET) FROM  #TRAVM_FSS WHERE MONTH_BASE = 2) ,0),
	SUM03 = ISNULL( (SELECT SUM(skidka)+SUM(VYCHET) FROM  #TRAVM_FSS WHERE MONTH_BASE = 3) ,0),
	SUM04 = ISNULL( (SELECT SUM(skidka)+SUM(VYCHET) FROM  #TRAVM_FSS WHERE MONTH_BASE = 4) ,0),
	SUM05 = ISNULL( (SELECT SUM(skidka)+SUM(VYCHET) FROM  #TRAVM_FSS WHERE MONTH_BASE = 5) ,0),
	SUM06 = ISNULL( (SELECT SUM(skidka)+SUM(VYCHET) FROM  #TRAVM_FSS WHERE MONTH_BASE = 6) ,0),
	SUM07 = ISNULL( (SELECT SUM(skidka)+SUM(VYCHET) FROM  #TRAVM_FSS WHERE MONTH_BASE = 7) ,0),
	SUM08 = ISNULL( (SELECT SUM(skidka)+SUM(VYCHET) FROM  #TRAVM_FSS WHERE MONTH_BASE = 8) ,0),
	SUM09 = ISNULL( (SELECT SUM(skidka)+SUM(VYCHET) FROM  #TRAVM_FSS WHERE MONTH_BASE = 9) ,0),
	SUM10 = ISNULL( (SELECT SUM(skidka)+SUM(VYCHET) FROM  #TRAVM_FSS WHERE MONTH_BASE = 10) ,0),
	SUM11 = ISNULL( (SELECT SUM(skidka)+SUM(VYCHET) FROM  #TRAVM_FSS WHERE MONTH_BASE = 11) ,0),
	SUM12 = ISNULL( (SELECT SUM(skidka)+SUM(VYCHET) FROM  #TRAVM_FSS WHERE MONTH_BASE = 12) ,0)
FROM #RES r
WHERE r.code_str = '133'  AND r.SUM01=0 AND r.SUM02=0 AND r.SUM03=0 AND r.SUM04=0 AND r.SUM05=0 AND r.SUM06=0 
						  AND r.SUM07=0 AND r.SUM08=0 AND r.SUM09=0 AND r.SUM10=0 AND r.SUM11=0 AND r.SUM12=0 

*/
-------<<<<<   >>>>
	
--   
INSERT INTO #RES (CODE_STR, SUM01, SUM02, SUM03, SUM04, SUM05, SUM06, SUM07, SUM08, SUM09, SUM10, SUM11, SUM12)
SELECT 
	CONVERT(VARCHAR(3), CONVERT(INT,CODE_STR) + 1),
	R.SUM01,
	R.SUM01 + R.SUM02,
	R.SUM01 + R.SUM02 + R.SUM03,
	R.SUM01 + R.SUM02 + R.SUM03 + R.SUM04,
	R.SUM01 + R.SUM02 + R.SUM03 + R.SUM04 + R.SUM05,
	R.SUM01 + R.SUM02 + R.SUM03 + R.SUM04 + R.SUM05 + R.SUM06,
	R.SUM01 + R.SUM02 + R.SUM03 + R.SUM04 + R.SUM05 + R.SUM06 + R.SUM07,
	R.SUM01 + R.SUM02 + R.SUM03 + R.SUM04 + R.SUM05 + R.SUM06 + R.SUM07 + R.SUM08,
	R.SUM01 + R.SUM02 + R.SUM03 + R.SUM04 + R.SUM05 + R.SUM06 + R.SUM07 + R.SUM08 + R.SUM09,
	R.SUM01 + R.SUM02 + R.SUM03 + R.SUM04 + R.SUM05 + R.SUM06 + R.SUM07 + R.SUM08 + R.SUM09 + R.SUM10,
	R.SUM01 + R.SUM02 + R.SUM03 + R.SUM04 + R.SUM05 + R.SUM06 + R.SUM07 + R.SUM08 + R.SUM09 + R.SUM10 + R.SUM11,
	R.SUM01 + R.SUM02 + R.SUM03 + R.SUM04 + R.SUM05 + R.SUM06 + R.SUM07 + R.SUM08 + R.SUM09 + R.SUM10 + R.SUM11 + R.SUM12
FROM #RES R WHERE CONVERT(INT,CODE_STR) % 2 > 0  and CONVERT(INT,CODE_STR) < 800

UPDATE r 
SEt SUM01 = (select SUM(SUM01) FROM  #RES WHERE CODE_STR = '131'), 
	SUM02 = (select SUM(SUM02) FROM  #RES WHERE CODE_STR = '131'), 
	SUM03 = (select SUM(SUM03) FROM  #RES WHERE CODE_STR = '131'), 
	SUM04 = (select SUM(SUM04) FROM  #RES WHERE CODE_STR = '131'), 
	SUM05 = (select SUM(SUM05) FROM  #RES WHERE CODE_STR = '131'), 
	SUM06 = (select SUM(SUM06) FROM  #RES WHERE CODE_STR = '131'), 
	SUM07 = (select SUM(SUM07) FROM  #RES WHERE CODE_STR = '131'), 
	SUM08 = (select SUM(SUM08) FROM  #RES WHERE CODE_STR = '131'), 
	SUM09 = (select SUM(SUM09) FROM  #RES WHERE CODE_STR = '131'), 
	SUM10 = (select SUM(SUM10) FROM  #RES WHERE CODE_STR = '131'), 
	SUM11 = (select SUM(SUM11) FROM  #RES WHERE CODE_STR = '131'), 
	SUM12 = (select SUM(SUM12) FROM  #RES WHERE CODE_STR = '131')
FROM #RES r
WHERE r.code_str = '129' 

UPDATE r 
SEt SUM01 = (select SUM(SUM01) FROM  #RES WHERE CODE_STR = '132'), 
	SUM02 = (select SUM(SUM02) FROM  #RES WHERE CODE_STR = '132'), 
	SUM03 = (select SUM(SUM03) FROM  #RES WHERE CODE_STR = '132'), 
	SUM04 = (select SUM(SUM04) FROM  #RES WHERE CODE_STR = '132'), 
	SUM05 = (select SUM(SUM05) FROM  #RES WHERE CODE_STR = '132'), 
	SUM06 = (select SUM(SUM06) FROM  #RES WHERE CODE_STR = '132'), 
	SUM07 = (select SUM(SUM07) FROM  #RES WHERE CODE_STR = '132'), 
	SUM08 = (select SUM(SUM08) FROM  #RES WHERE CODE_STR = '132'), 
	SUM09 = (select SUM(SUM09) FROM  #RES WHERE CODE_STR = '132'), 
	SUM10 = (select SUM(SUM10) FROM  #RES WHERE CODE_STR = '132'), 
	SUM11 = (select SUM(SUM11) FROM  #RES WHERE CODE_STR = '132'), 
	SUM12 = (select SUM(SUM12) FROM  #RES WHERE CODE_STR = '132')
FROM #RES r
WHERE r.code_str = '130' 

--SELECT * FROM #RES
--exec SA_PERS_CARD_ESN_15  94,'2015'
---
CREATE TABLE #SPR_TARIF (NUM_STR INT IDENTITY(1,1), LINK2 INT, CODE VARCHAR(20))

INSERT INTO #SPR_TARIF (LINK2, CODE)
SELECT DISTINCT 
	K.LINK2, K.CODE
FROM #RES R
	INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = CONVERT(INT,LEFT(CODE_STR,1)) AND @YEAR BETWEEN YBEG AND YEND
ORDER BY
	K.CODE	



DECLARE @Sex TINYINT, @YearB  INT, @Type INT

SELECT TOP 1 @Sex = SEX, @YearB =ISNULL(YEAR(BIRTHDATE),0) FROM dbo.PERSON WHERE LINK = @LINK_PERSON
SET @Type = (CASE WHEN (@Sex = 1 AND @YearB < 1953) OR (@Sex = 2 AND @YearB<1957) THEN 1
					WHEN (@Sex = 1 AND @YearB BETWEEN 1953 AND 1966) OR (@Sex = 2 AND  @YearB BETWEEN 1957 AND 1966) THEN 2 
					ELSE 3 END)
--   
SELECT 
	T.LINK2, T.CODE, WC = W.CODE, W.NAME, PERCENT1 , PREDEL = 0
INTO #TARIF	
FROM 
	#SPR_TARIF T
	INNER JOIN dbo.WAY_CALC W ON 1=1
	INNER JOIN dbo.PAYS P ON P.[OBJECT] = 3 AND P.WAY_CALC = W.CODE
	INNER JOIN dbo.STAVKI S ON S.LINK_PAYS = P.LINK AND S.TARIF = T.LINK2
WHERE
	W.[TYPE] = 2
	AND W.CODE BETWEEN 2 AND 4 
	AND [DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = W.CODE WHERE S.TARIF = T.LINK2 AND [DATE] < @EndYear ORDER BY [DATE] DESC) 
	AND S.PERCENT1 > 0
--     
UNION ALL
SELECT 
	T.LINK2, T.CODE, WC = W.CODE, W.NAME, (CASE WHEN @Type = 1 THEN PERCENT1 WHEN @Type = 2 THEN PERCENT2 ELSE PERCENT3 END) , PREDEL = 0
FROM 
	#SPR_TARIF T
	INNER JOIN dbo.WAY_CALC W ON 1=1
	INNER JOIN dbo.PAYS P ON P.[OBJECT] = 3 AND P.WAY_CALC = W.CODE
	INNER JOIN dbo.STAVKI_PF S ON S.LINK_PAYS = P.LINK AND S.TARIF = T.LINK2
WHERE
	W.[TYPE] = 2 
	AND W.CODE BETWEEN 6 AND 7 
	AND [DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = W.CODE WHERE S.TARIF = T.LINK2 AND [DATE] < @EndYear ORDER BY [DATE] DESC) 
	AND (S.PERCENT1 > 0 OR S.PERCENT2 > 0 OR S.PERCENT3 > 0)
	AND s.PREDEL <> 999999999.00

	
UNION ALL
SELECT 
	T.LINK2, T.CODE, WC = W.CODE, W.NAME, (CASE WHEN @Type = 1 THEN PERCENT1 WHEN @Type = 2 THEN PERCENT2 ELSE PERCENT3 END) , PREDEL = 1
FROM 
	#SPR_TARIF T
	INNER JOIN dbo.WAY_CALC W ON 1=1
	INNER JOIN dbo.PAYS P ON P.[OBJECT] = 3 AND P.WAY_CALC = W.CODE
	INNER JOIN dbo.STAVKI_PF S ON S.LINK_PAYS = P.LINK AND S.TARIF = T.LINK2
WHERE
	W.[TYPE] = 2 
	AND W.CODE BETWEEN 6 AND 7 
	AND [DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = W.CODE WHERE S.TARIF = T.LINK2 AND [DATE] < @EndYear ORDER BY [DATE] DESC) 
	AND (S.PERCENT1 > 0 OR S.PERCENT2 > 0 OR S.PERCENT3 > 0)	
	AND s.PREDEL = 999999999.00
	
-- 
UNION ALL
SELECT 
	T.LINK2, T.CODE, WC = W.CODE, W.NAME, (CASE WHEN @Type = 1 THEN PERCENT1 WHEN @Type = 2 THEN PERCENT2 ELSE PERCENT3 END), PREDEL = 0
FROM 
	#SPR_TARIF T
	INNER JOIN dbo.WAY_CALC W ON 1=1
	INNER JOIN dbo.PAYS P ON P.[OBJECT] = 3 AND P.WAY_CALC = W.CODE
	INNER JOIN dbo.STAVKI_PF S ON S.LINK_PAYS = P.LINK AND S.TARIF = T.LINK2
WHERE
	W.[TYPE] = 2 
	AND W.CODE BETWEEN 10 AND 11 
	AND [DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = W.CODE WHERE S.TARIF = T.LINK2 AND [DATE] < @EndYear ORDER BY [DATE] DESC) 
	AND (S.PERCENT1 > 0 OR S.PERCENT2 > 0 OR S.PERCENT3 > 0)	

DECLARE @FULL_NAME VARCHAR(254), @INN VARCHAR(20), @KPP VARCHAR(20)	
SELECT TOP 1 @FULL_NAME = FULL_NAME, @INN = INN, @KPP = KPP FROM dbo.DEPARTMENTS WHERE LINK = @DEP_LINK


SELECT distinct
	[YEAR] = @YEAR, DEP_NAME = @FULL_NAME, INN = @INN, KPP = @KPP,
	P.FM,
	P.IM,
	P.OT,
	DIF.DOC_NUM,
	P.INSUR_NUM,
	P.INN,
	GRAZH = S.NAME,
	BIRTHDATE = CONVERT(VARCHAR(10),P.BIRTHDATE,104),
	INV = CASE WHEN DIF.LINK IS NULL THEN '' ELSE '' END,
	CONVERT(VARCHAR(10),DIF.DATE_BEGIN,104) AS PER_BEG,
	CONVERT(VARCHAR(10),DIF.DATE_END,104) AS PER_END,
	ORDER_NUM = CASE WHEN @LINK_EMPL IS NOT NULL  THEN  LTRIM(RTRIM(SUBSTRING ((SELECT
							', ' + LTRIM(RTRIM(ISNULL (o.NUMBER, '')))
							FROM dbo.ITEM_MOVE  im 
							INNER join orders o on o.link = im.ORDER_LINK
							WHERE im.empl_link = @LINK_EMPL AND im.ACTIVE = 1 AND im.[STATUS] IN(1,3) AND im.NEW_FACE = 1   /*AND im.date_end > @BYearDate*/
							FOR XML PATH ('')),
							3,
							1000) ))
					 ELSE 	LTRIM(RTRIM(SUBSTRING ((SELECT
							', ' + ISNULL (number, '')
							FROM dbo.salary_reestr_dgh 
							WHERE pers_link = @LINK_PERSON AND year(@BYearDate) BETWEEN year(date1) AND year(date2)  
							FOR XML PATH ('')),
							3,
							1000) ))
	                END ,
	ORDER_DATE= CASE WHEN @LINK_EMPL IS NOT NULL  THEN  (select max(im.date_begin) from ITEM_MOVE im
						INNER join orders o on o.link = im.ORDER_LINK
						WHERE im.empl_link = @LINK_EMPL AND im.ACTIVE = 1 AND im.[STATUS] IN(1,3) AND im.NEW_FACE = 1 /* AND im.date_end > @BYearDate*/)	
					ELSE 	(select max(date1) FROM salary_reestr_dgh WHERE pers_link =  @LINK_PERSON AND   year(@BYearDate) BETWEEN  year(date1) AND  year(date2) ) END ,				
	T.NUM_STR,
	T.LINK2,
	CT = T.CODE, -- 
	OPS_SC = ISNULL((SELECT TOP 1 T2.PERCENT1 FROM #TARIF T2 WHERE T2.LINK2 = T.LINK2 AND T2.WC = 6 AND T2.PREDEL = 0 ),0),
	OPS_NC = ISNULL((SELECT TOP 1 T2.PERCENT1 FROM #TARIF T2 WHERE T2.LINK2 = T.LINK2 AND T2.WC = 7 AND T2.PREDEL = 0 ),0),
	OPS_PR = ISNULL((SELECT TOP 1 T2.PERCENT1 FROM #TARIF T2 WHERE T2.LINK2 = T.LINK2 AND T2.WC = 6 AND T2.PREDEL = 1 ),0),
	OPS_D1 = ISNULL((SELECT TOP 1 T2.PERCENT1 FROM #TARIF T2 WHERE T2.LINK2 = T.LINK2 AND T2.WC = 10),0),
	OPS_D2 = ISNULL((SELECT TOP 1 T2.PERCENT1 FROM #TARIF T2 WHERE T2.LINK2 = T.LINK2 AND T2.WC = 11),0),
	OMS_F = ISNULL((SELECT TOP 1 T2.PERCENT1 FROM #TARIF T2 WHERE T2.LINK2 = T.LINK2 AND T2.WC = 3),0),
	OMS_T = ISNULL((SELECT TOP 1 T2.PERCENT1 FROM #TARIF T2 WHERE T2.LINK2 = T.LINK2 AND T2.WC = 4),0),
	FSS = ISNULL((SELECT TOP 1 T2.PERCENT1 FROM #TARIF T2 WHERE T2.LINK2 = T.LINK2 AND T2.WC = 2),0),
	DGH = CASE WHEN @LINK_EMPL IS NOT NULL THEN '1' ELSE '2' END   
	
FROM 
	#SPR_TARIF T
	INNER JOIN dbo.PERSON P ON 1=1
	LEFT JOIN dbo.CITIZENSHIP S ON S.LINK = P.CITIZ_LINK
	LEFT JOIN dbo.KU_PERS_INVALID DIF ON DIF.PERS_LINK = P.LINK AND COALESCE(DIF.DATE_BEGIN,@EndYear) <= @EndYear AND COALESCE(DIF.DATE_END,@BYearDate) >= @BYearDate AND 
	DIF.DATE_BEGIN  = (SELECT MAX(date_begiN) from dbo.KU_PERS_INVALID WHERE  PERS_LINK = P.LINK AND  COALESCE(DATE_BEGIN,@EndYear) <= @EndYear AND COALESCE(DATE_END,@BYearDate) >= @BYearDate )

WHERE 
	P.LINK = @LINK_PERSON
ORDER BY
	T.NUM_STR	



SELECT LINK2 = CONVERT(INT,LEFT(CODE_STR,1)), * FROM #RES ORDER BY CODE_STR


IF object_id('tempdb..#SPR_ESN') IS NOT NULL
	DROP TABLE #SPR_ESN

IF object_id('tempdb..#DGH_FAKT_BASE') IS NOT NULL
	DROP TABLE #DGH_FAKT_BASE

IF object_id('tempdb..#DGH_FAKT_BASE1') IS NOT NULL
	DROP TABLE #DGH_FAKT_BASE1

IF object_id('tempdb..#SALARY_SUM2') IS NOT NULL
	DROP TABLE #SALARY_SUM2

IF object_id('tempdb..#RES') IS NOT NULL
	DROP TABLE #RES

IF object_id('tempdb..#SPR_ESN1') IS NOT NULL
	DROP TABLE #SPR_ESN1

IF object_id('tempdb..#SPR_ESN1_F') IS NOT NULL
	DROP TABLE #SPR_ESN1_F	

IF object_id('tempdb..#SPR_ESN2') IS NOT NULL
	DROP TABLE #SPR_ESN2

IF object_id('tempdb..#SPR_ESN2_F') IS NOT NULL
	DROP TABLE #SPR_ESN2_F
	

IF object_id('tempdb..#DGH_FSS') IS NOT NULL
	DROP TABLE #DGH_FSS

IF object_id('tempdb..#SUM_FSS') IS NOT NULL
	DROP TABLE #SUM_FSS

IF object_id('tempdb..#SPR_ESN1I') IS NOT NULL
	DROP TABLE #SPR_ESN1I

IF object_id('tempdb..#SPR_ESN2I') IS NOT NULL
	DROP TABLE #SPR_ESN2I

IF object_id('tempdb..#SPR_ESN1I') IS NOT NULL
	DROP TABLE #SPR_ESN1FI

IF object_id('tempdb..#SPR_ESN2I') IS NOT NULL
	DROP TABLE #SPR_ESN2FI

IF object_id('tempdb..#SPR_ESN1E') IS NOT NULL
	DROP TABLE #SPR_ESN1E

IF object_id('tempdb..#SPR_ESN2E') IS NOT NULL
	DROP TABLE #SPR_ESN2E

IF object_id('tempdb..#SPR_ESN1E') IS NOT NULL
	DROP TABLE #SPR_ESN1_FE

IF object_id('tempdb..#SPR_ESN2E') IS NOT NULL
	DROP TABLE #SPR_ESN2_FE

IF object_id('tempdb..#TARIF') IS NOT NULL
	DROP TABLE #TARIF

IF object_id('tempdb..#SPR_TARIF') IS NOT NULL
	DROP TABLE #SPR_TARIF

END

RETURN 0














GO


GRANT EXECUTE ON dbo.[SA_PERS_CARD_ESN_15] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_STAZH_SVEDENIA_DELETE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_STAZH_SVEDENIA_DELETE]

GO

CREATE PROCEDURE dbo.SS_SZV_STAZH_SVEDENIA_DELETE
	@varKSintLINK	int
AS
DECLARE @varKStrancount	int,
		@varKSObjectLink	int,
		@varKSEventText	varchar(254),
		@LinkPach int

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

	Set @LinkPach = (select top 1 link_up from dbo. SZV_STAZH_SVEDENIA where LINK = @varKSintLINK)

	SELECT @varKSEventText = '  : ' + ' ' + FIO + ' ' FROM dbo.SS_SZV_STAZH_SVEDENIA 
			WITH (UPDLOCK) WHERE LINK1 = @varKSintLINK
	IF @@RowCount = 0 OR @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 2
	END
	DELETE FROM dbo.SZV_STAZH_SVEDENIA WHERE LINK = @varKSintLINK

	IF @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END

	--exec dbo.SZV4_NUMERATOR @LinkPach
	
	UPDATE dbo.SZV_STAZH_PACHKA SET PROVERKA = 0 WHERE LINK = @LinkPach

IF @@TRANCOUNT > @varKStrancount
	BEGIN
		SELECT @varKSObjectLink = LINK FROM S_OBJECTS WHERE CODE = 'SS_SZV_STAZH_SVEDENIA'
		EXECUTE WF_GENERATEEVENT '  ', @varKSEventText, @varKSObjectLink, 'SS_SZV_STAZH_SVEDENIA', @varKSintLINK

		COMMIT TRAN
	END
RETURN 0



GO


GRANT EXECUTE ON dbo.[SS_SZV_STAZH_SVEDENIA_DELETE] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_STAZH_DELETE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_STAZH_DELETE]

GO



---------------------------------

CREATE PROCEDURE dbo.SS_SZV_ST_STAZH_DELETE
	@varKSintLINK	int
AS
DECLARE @varKStrancount	int,
		@varKSObjectLink	int,
		@varKSEventText	varchar(254)

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

	DECLARE @link_up int
	select @link_up = link_up from dbo.SZV_ST_STAZH where link = @varKSintLINK
	
	Select  @varKSEventText = '    ' + RTRIM(LTRIM(FIO)) from dbo.SS_SZV_STAZH_SVEDENIA 
		WHERE link = @LINK_UP

	Select  @varKSEventText = @varKSEventText + '  ' + convert(varchar(10), date1, 104) + '  ' + convert(varchar(10), coalesce(date2,'20990101'), 104) from dbo.SZV_ST_STAZH 
		WITH (UPDLOCK) WHERE link = @varKSintLINK

	IF @@RowCount = 0 OR @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 2
	END

	DELETE FROM dbo.SZV_ST_STAZH WHERE LINK = @varKSintLINK
	IF @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END


	/* */
	declare @uslovie int
	set @uslovie = 1
	
	update SZV_ST_STAZH set orders = 0 where link_up = @link_up
	
	while @uslovie > 0
	begin
		update SZV_ST_STAZH set orders = @uslovie 
		from SZV_ST_STAZH as tt
		where 	
			link_up = @link_up
			and coalesce(orders,0) = 0
			and date1 = (select min(t.date1) from SZV_ST_STAZH t where coalesce(orders,0) = 0 and link_up = @link_up)
	
		if @@rowcount > 0
			set @uslovie = @uslovie + 1
		else
			set @uslovie = 0
	end

IF @@TRANCOUNT > @varKStrancount
	BEGIN
		SELECT @varKSObjectLink = LINK FROM S_OBJECTS WHERE CODE = 'SS_SZV_ST_STAZH'
		EXECUTE WF_GENERATEEVENT '  ', @varKSEventText, @varKSObjectLink, 'SS_SZV_ST_STAZH', @varKSintLINK

		COMMIT TRAN
	END
RETURN 0


GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_STAZH_DELETE] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CALENDAR_DAYS3_ALLYEAR_INFO]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_CALENDAR_DAYS3_ALLYEAR_INFO]

GO

CREATE PROCEDURE dbo.SA_CALENDAR_DAYS3_ALLYEAR_INFO (@linkEmpl int, @Year int)
AS

DECLARE @INFO TABLE (
	ORD TINYINT, 
	SYMB varchar(4),
	NAME VARCHAR(254), 
	DATE_BEG DATETIME, 
	DATE_END DATETIME, 
	COMMENT VARCHAR(254), 
	LINK_OBJ INT, 
	CODE_OBJ VARCHAR(254)
)

/*     */

declare @DateBegin datetime, @DateEnd datetime

--SET @DateBegin = dbo.ConvertDMY2Date(1,@Month,@Year) 
--SET @DateEnd 	= dbo.DateEndOfMonth(@DateBegin)

SET @DateBegin = dbo.ConvertDMY2Date(1,1,@Year) 
SET @DateEND = dbo.ConvertDMY2Date(1,12,@Year)
SET @DateEnd 	= dbo.DateEndOfMonth(@DateEND)

DECLARE @DateAccept datetime, @DateSack datetime
SET @DateAccept = ISNULL(dbo.kd_DateBeginWork(@linkEmpl,@DateEnd),'19000101')
SET @DateSack   = ISNULL(dbo.kd_DateEndWork(@linkEmpl,@DateEnd),'30000101')

SET @DateBegin = (case when @DateAccept < @DateBegin then @DateBegin 
						when @DateAccept > @DateBegin and year(@DateAccept)= YEAR(@DateBegin) THEN @DateAccept 
						ELSE  @DateEND  end)
--SET @DateBegin = (case when @DateAccept < @DateBegin then @DateBegin else @DateAccept end)
SET @DateEnd = (case when @DateSack < @DateEnd then @DateSack else @DateEnd end)  

DECLARE @RealCount NUMERIC(18,2)
SET @RealCount = DBO.SA_CALENDAR_DAYS3_AllYear_FN(@linkEmpl,@Year)

INSERT INTO @INFO (ORD,SYMB, NAME, DATE_BEG, DATE_END, COMMENT, LINK_OBJ, CODE_OBJ)
SELECT 
	1,'', ' ', @DateBegin, @DateEnd, '  /',
	(SELECT ORDER_LINK FROM ITEM_MOVE WHERE NEW_FACE = 1 AND EMPL_LINK = @linkEmpl AND ACTIVE = 1),
	'ORDERS_REESTR'

UPDATE @INFO
SET LINK_OBJ = (SELECT TOP 1 ORDER_LINK FROM ITEM_DIS_FACE IM WHERE EMPL_LINK = @linkEmpl AND  ACTIVE = 1)
WHERE @DateSack = @DateEnd

DECLARE @S TABLE 
([TYPE] int,
 [SYMB] varchar(4),
 [PRIOR] int,
 [HOUR]  numeric(6,2),
 [DATE_1] datetime,
 [DATE_2] datetime,
 [DOC]	int,
 [H] int,
 LINK_DOC INT 	 	
)

INSERT INTO @S ([TYPE], [SYMB],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], [H], LINK_DOC)
---
SELECT [TYPE], [SYMB],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], H, LINK FROM 
(SELECT 
	[TYPE] = SD.[TYPE],
	[SYMB] = TD.SYMB,
	[PRIOR] = TD.PRIORITET,
	[HOUR] = TD.[HOUR],
	[DATE_1] = (CASE WHEN SD.DATE1 < @DateBegin THEN @DateBegin ELSE SD.DATE1 END),
	[DATE_2] = (CASE WHEN SD.DATE2 > @DateEnd  THEN @DateEnd ELSE SD.DATE2 END),
	[DOC]	= 1,
	[H] = 0,
	LINK = SD.LINK_UP 
FROM 
	dbo.SDOC_DIS SD
	INNER JOIN dbo.NETRUD N ON SD.[TYPE] = N.LINK
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = N.TYPE_LINK
WHERE 
	SD.LINK_EMPL = @linkEmpl
	AND
	(SD.DATE1 BETWEEN @DateBegin AND @DateEnd OR SD.DATE2 BETWEEN @DateBegin AND @DateEnd OR
	  ((SD.DATE1 < @DateBegin) AND(SD.DATE2 > @DateEnd)))
  
UNION
--
SELECT 	
	[TYPE] = VV.TYPE_LINK,
	[SYMB] = TD.SYMB,
	[PRIOR] = TD.PRIORITET,
	[HOUR] 	= TD.[HOUR],
	[DATE_1] = (CASE WHEN DATE_BEGIN < @DateBegin THEN @DateBegin ELSE IV.DATE_BEGIN END),
	[DATE_2] = (CASE WHEN ISNULL((

					SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

                    SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
                    WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
					ELSE IVB.DATE_BREAK - 1 END) 

					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc), 
					
                    (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END))) >@DateEnd 

					THEN @DateEnd  
                    ELSE ISNULL((

                    SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM ITEM_VACATION_DIS IVD
        				WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  

 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 

					ELSE IVB.DATE_BREAK - 1 END)  
					
					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc),
					
					ISNULL((
					
					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) END),
	[DOC] = (case when coalesce(TD.WORK_D,1) = 7 then 22 else 2 end),
	H = VV.HOLIDAY,
	LINK = IV.LINK
FROM 
	dbo.item_vacation iv
	INNER JOIN dbo.vacation_vid VV ON VV.LINK = iv.type_link
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = VV.TYPE_LINK
WHERE 
	IV.EMPL_LINK = @linkEmpl 
	AND IV.ACTIVE = 1
	AND COALESCE(VV.TIME_ARCHE,0) = 0 
	AND (IV.DATE_BEGIN BETWEEN @DateBegin AND @DateEnd 
		OR IV.DATE_END BETWEEN @DateBegin AND @DateEnd 
		OR ((IV.DATE_BEGIN<@DateBegin) AND (IV.DATE_END>@DateEnd))
		OR IV.LINK IN (SELECT VAC_LINK FROM dbo.VACATION_DIS WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND NEW_DATE_END > @DateBegin)
	    )
	AND IV.LINK NOT IN (SELECT VAC_LINK FROM dbo.item_vacation_break ivb WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND ivb.DATE_BREAK < @DateBegin)

--  
	
)  TAB

DELETE FROM @S
WHERE DATE_1 > DATE_2



INSERT INTO @INFO (ORD,SYMB, NAME, DATE_BEG, DATE_END, COMMENT, LINK_OBJ, CODE_OBJ)
	SELECT 2,SYMB, case when SYMB = '' then '    ' when SYMB = '' then '    ' else ' ' end, DATE_1, DATE_2, case when SYMB = '' then '    ' when SYMB = '' then '    ' else ' ' end, LINK_DOC, 'ORDER_DISABILITY_SHEET'
	FROM @S WHERE DOC = 1
UNION 
	SELECT 3,'', ',  ', DATE_1, DATE_2, '  ', LINK_DOC, 'VACATION'
	FROM @S WHERE DOC = 2 AND coalesce(H,0) = 1
UNION 
	SELECT 4,'', ',   ', DATE_1, DATE_2, '  ', LINK_DOC, 'VACATION'
	FROM @S WHERE DOC = 2 AND coalesce(H,0) <> 1
UNION 
	SELECT 5,'', '    ', DATE_1, DATE_2, '  ,   ', LINK_DOC, 'VACATION'
	FROM @S WHERE DOC = 22 AND coalesce(H,0) = 1
UNION 
	SELECT 6,'', '    ', DATE_1, DATE_2, '  ,   ', LINK_DOC, 'VACATION'
	FROM @S WHERE DOC = 22 AND coalesce(H,0) <> 1
UNION 
	SELECT 7,'', '', DATE_1, DATE_2, '  ', LINK_DOC, 'TRAVEL'
	FROM @S WHERE DOC = 3

/*      */
SET @DateBegin = dbo.ConvertDMY2Date(1,1,@Year) 
SET @DateEND = dbo.ConvertDMY2Date(1,12,@Year)
SET @DateEnd 	= dbo.DateEndOfMonth(@DateEND)

INSERT INTO @INFO (ORD,SYMB, NAME, DATE_BEG, DATE_END, COMMENT, LINK_OBJ, CODE_OBJ)
	SELECT 8, '', ' ', t1.DATE, t1.DATE, TYPE_HOL_STR, LINK, 'KD_HOLIDAYS'
	FROM
		dbo.SD_DAY(@DateBegin,@DateEnd) T1 
		INNER JOIN KD_HOLIDAYS DH ON day(t1.DATE) = DH.DAY and month(t1.DATE) = DH.MONTH and YEAR(t1.DATE) = DH.YEAR
	WHERE 
		(DH.WORK_D = 14 or DH.WORK_D = 11) AND TYPE_HOL = 1
		AND
		EXISTS (SELECT * FROM @INFO I WHERE ORD IN(3,5) AND T1.DATE BETWEEN DATE_BEG AND DATE_END)

SELECT ORD,SYMB, [NAME] AS NAME_PER, DATE_BEG, DATE_END, 
	CNT_DAYS = abs(CASE WHEN ORD BETWEEN 2 AND 7 THEN -1 ELSE 1 END * (datediff(day,DATE_BEG,DATE_END) + 1 )), 
	RealCount = @RealCount, COMMENT AS COM , LINK_OBJ, CODE_OBJ 
FROM @INFO ORDER BY ORD, DATE_BEG

RETURN 0










GO


GRANT EXECUTE ON dbo.[SA_CALENDAR_DAYS3_ALLYEAR_INFO] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_REPORT_F49]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SALARY_REPORT_F49]

GO

CREATE    PROCEDURE [dbo].[SALARY_REPORT_F49]

	@varKSnMonth int, /*  */
	@varKSnYear varchar(4), /*  */
	@varKSnSortMode INT, /*   */
	@nCheck1 int = 0, /*   */
	@nCheck2 int = 0, /*  ...    */
	@nCheck3 int = 0, /*     */
	@nCheck4 int = 0, /*     */
	@nCheck5 int = 0, /*  /      */
	@varKScVal1 CHAR(1) = '',  --   
	@varKSnOtborLink1 int = 0,
	@ALL_DEP tinyint = NULL,
	@nCheck7 tinyint = 0, /*        */	
	@nMPAY tinyint = 1,/*  */
	@DETALIZE_SFIN tinyint = 0, --  ,
	@DETALIZE_EKR tinyint = 0, --  ,
	@cVal2 CHAR(1) = '', --   
	@nOtborLink2 int = 0		
AS 
BEGIN

/*          .   @ALL_DEP = 1*/

SET @ALL_DEP = COALESCE(@ALL_DEP,0)

DECLARE @DEP_LINK INT
exec dbo.xd_whats_zb @DEP_LINK output

--  
CREATE TABLE #VKR (LINK_VKR INT)
IF LEN(@varKScVal1) <> 0 
	INSERT  INTO #VKR
	SELECT O.RECORD
	FROM OBJECT_VAR_SAL_SFIN O WHERE LINK_UP = @varKSnOtborLink1
else 
	INSERT INTO #VKR
	SELECT F.LINK FROM SAL_SFIN F

declare @cur_date datetime
Set @cur_date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@varKSnMonth,@varKSnYEAR)) 
	
CREATE TABLE #RES (LINK_DEP INT, LINK_EMPL INT, LINK_SFIN INT, LINK_EKR INT, LINK_PAYS INT, CP VARCHAR(11), NP VARCHAR(254), S NUMERIC(20,2) , sum_n NUMERIC(20,2))
CREATE TABLE #RES_U (LINK_DEP2 INT, LINK_EMPL2 INT, LINK_SFIN1 INT, LINK_EKR1 INT, CU VARCHAR(11), NU VARCHAR(254), SU NUMERIC(20,2) , sum_U NUMERIC(20,2) )

set @nCheck1 = Coalesce(@nCheck1,0)
set @nCheck2 = Coalesce(@nCheck2,0)
set @nCheck3 = Coalesce(@nCheck3,0)
set @nCheck4 = Coalesce(@nCheck4,0)
set @nCheck5 = Coalesce(@nCheck5,0)
set @nMPAY = coalesce(@nMPAY,0)


DECLARE @LINK_R211 INT, @LINK_211 INT
SET @LINK_R211 = (SELECT TOP 1 LINK FROM dbo.KOSGU T WHERE T.CODE = 'R211')
SET @LINK_211 = (SELECT TOP 1 LINK FROM dbo.KOSGU T WHERE T.CODE = '211')
	
--   
SELECT 
	LINK_DEP = J.LINK_DEP,
	PERS_LINK = CAST(0 AS INT), 
	LINK_FACE = E.PERS_LINK,	 
	J.LINK_EMPL, 
	TAB_NUM = E.TAB, 
	[STAKE] = E.STAKE,
	[FIO] = LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100), 

	LINK_PAYS = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.LINK ELSE P.LINK END),
	CODE_PAYS = CONVERT(VARCHAR(11), (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.CODE ELSE P.CODE END)),
	NAME_PAYS = CONVERT(VARCHAR(254),(CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.NAME ELSE P.NAME END)),
	WAY_CALC = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.WAY_CALC ELSE P.WAY_CALC END),
	TYP_OPER = P.[OBJECT],

	LINK_EKR = EKR.LINK,
	CODE_EKR = EKR.CODE,
	 
	MONTH_BEGIN	= MONTH(J.PERIOD_BEGIN),
	YEAR_BEGIN	= YEAR(J.PERIOD_BEGIN),
	
	J.SUMMA, 
	
	CODE_SUBDIV = UPPER(E.SUBDIV_CODE), 
	NAME_SUBDIV = UPPER(E.SUBDIV_NAME), 
	CODE_POST = E.POST_CODE, 
	NAME_POST = E.POST_NAME,

	J.LINK_DOC, 
	
	LINK_SFIN = (CASE WHEN @DETALIZE_SFIN = 1 THEN J.LINK_VKR ELSE 0 END),
	LINK_EKR1 = (CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END)	
INTO 
	#DOC1 
FROM 
	dbo.CALCULATE_JURNAL J
	INNER JOIN dbo.SD_EMPL_FN(DEFAULT,@cur_date, DEFAULT, @DEP_LINK) E ON E.LINK = J.LINK_EMPL
	INNER JOIN dbo.PAYS P on P.LINK = J.LINK_PAYS
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = COALESCE(J.LINK_EKR,P.LINK_EKR) THEN @LINK_211 ELSE COALESCE(J.LINK_EKR,P.LINK_EKR) END)
	LEFT JOIN dbo.PAYS MP on MP.LINK = P.LINK_MPAY
WHERE 
	((LINK_DEP = @DEP_LINK AND @ALL_DEP = 0) OR @ALL_DEP = 1)
	and MONTH(J.PERIOD_BEGIN) = @varKSnMonth and YEAR(J.PERIOD_BEGIN) =convert(int, @varKSnYear) 
	and LINK_VKR in (select link_vkr from #VKR) 
	and P.[OBJECT] in (1,2) 
	and ((link_empl is not null and @nCheck1 = 0) or @nCheck1 = 1)
	and COALESCE(LINK_DOC,0) not in (select link from DOCUMENTS_DED_PR where TYP_PAYMENT = 1  and CARD_LINK is null) 
	and (LEN(@cVal2) = 0
		OR
		E.SUBDIV_HEAD IN (select RECORD from dbo.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @nOtborLink2)
		)
--   
UNION ALL
SELECT 
	LINK_DEP = J.LINK_DEP,
	J.PERS_LINK,
	LINK_FACE = 0,
	LINK_EMPL = 0, 
	TAB_NUM = '', 
	STAKE = null,
	[FIO] = LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100), 

	LINK_PAYS = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.LINK ELSE P.LINK END),
	CODE_PAYS = CONVERT(VARCHAR(11), (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.CODE ELSE P.CODE END)),
	NAME_PAYS = CONVERT(VARCHAR(254),(CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.NAME ELSE P.NAME END)),
	WAY_CALC = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.WAY_CALC ELSE P.WAY_CALC END),
	TYP_OPER = P.[OBJECT],

	LINK_EKR = EKR.LINK,
	CODE_EKR = EKR.CODE,
	 
	MONTH_BEGIN	= MONTH(J.PERIOD_BEGIN),
	YEAR_BEGIN	= YEAR(J.PERIOD_BEGIN),
	
	J.SUMMA, 
	
	CODE_SUBDIV = '', 
	NAME_SUBDIV = '', 
	CODE_POST = '', 
	NAME_POST = '',

	J.LINK_DOC, 
	
	LINK_SFIN = (CASE WHEN @DETALIZE_SFIN = 1 THEN J.LINK_VKR ELSE 0 END),
	LINK_EKR1 = (CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END)

FROM 
	dbo.CALCULATE_JURNAL J
	INNER JOIN dbo.PERSON E ON E.LINK = J.PERS_LINK
	INNER JOIN dbo.PAYS P on P.link = J.LINK_PAYS
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = COALESCE(J.LINK_EKR,P.LINK_EKR) THEN @LINK_211 ELSE COALESCE(J.LINK_EKR,P.LINK_EKR) END)
	LEFT JOIN dbo.PAYS MP on MP.link = P.LINK_MPAY
WHERE 
	((LINK_DEP = @DEP_LINK AND @ALL_DEP = 0) OR @ALL_DEP = 1)
	and MONTH(J.PERIOD_BEGIN) = @varKSnMonth and YEAR(J.PERIOD_BEGIN) =convert(int, @varKSnYear) 
	and LINK_VKR in (select link_vkr from #VKR) 
	and P.[OBJECT] in (1,2) 
	and ((link_empl is not null and @nCheck1 = 0) or @nCheck1 = 1)
	and COALESCE(LINK_DOC,0) not in (SELECT LINK FROM dbo.DOCUMENTS_DED_PR_DGH WHERE TYP_PAYMENT = 1 and CARD_LINK is null)

if @@rowcount <>0
	select top 1 *  from months
else 
	select * from months where num = 0

/*,   */
if @nCheck3 = 1
	UPDATE #DOC1 
	Set #DOC1.NAME_PAYS = LEFT(rtrim(ltrim(COALESCE(P.SNAME,''))),254)
	from #DOC1 D inner join dbo.Pays P on D.LINK_PAYS = P.link


----- " "  
IF @nCheck1 = 1 and  @nCheck4 = 1
	UPDATE #DOC1
	Set NAME_PAYS = LEFT(RTRIM(NAME_PAYS) + ' ( )', 254), CODE_PAYS = LEFT(RTRIM(CODE_PAYS) + '/',10)
	where COALESCE(LINK_DOC,0) in (select link from DOCUMENTS_DED_PR_DGH where TYP_PAYMENT = 1 and CARD_LINK is not null)
-------" "  
IF @nCheck4 = 1
begin
	UPDATE #DOC1
	Set NAME_PAYS = LEFT(RTRIM(NAME_PAYS) + ' ( )', 254), CODE_PAYS = LEFT(RTRIM(CODE_PAYS) + '/',10)
	where COALESCE(LINK_DOC,0) in (select link from DOCUMENTS_DED_PR where TYP_PAYMENT <> 1 and CARD_LINK is not null)

	UPDATE #DOC1
	Set NAME_PAYS = LEFT( RTRIM(NAME_PAYS) + ' ( )', 254), CODE_PAYS = LEFT( RTRIM(CODE_PAYS) + '/', 10)
	where COALESCE(LINK_DOC,0) in (select link from DOCUMENTS_DED_PR where TYP_PAYMENT = 1 and CARD_LINK is not null)
end

IF @nCheck5=1
	UPDATE #DOC1
	Set 
		CODE_PAYS = LEFT(rtrim(ltrim(CODE_PAYS)) + (case rtrim(ltrim(CODE_EKR)) when '211' then '' when '213' then '' else '' end),10), 
		NAME_PAYS = LEFT(rtrim(ltrim(NAME_PAYS)) + SPACE(1) + (case rtrim(ltrim(CODE_EKR)) when '211' then '(  -)' when '213' then '(  )' else '' end),254)
	where link_ekr is not null and way_calc in (13,20) and TYP_OPER = 1

UPDATE #DOC1 
SET LINK_EMPL = -PERS_LINK,
	TAB_NUM = '.',
	NAME_POST = '.: ' + dbo.SA_DOCUMENTS_DGH(PERS_LINK, @varKSnYear, @varKSnMonth)
WHERE COALESCE(LINK_EMPL,0) = 0
------

declare @varKSFKR1 varchar(200),@varKSFKR2 varchar(200),@varKSFKR3 varchar(200),@varKSCode_1 varchar(20),@varKSCode_2 varchar(20),@varKSCode_3 varchar(20)
if (select count(*) from #VKR) = 1
	select @varKSFKR1 = NAME_FKR_D, @varKSFKR2 = NAME_FKR_E, @varKSFKR3 = NAME_FKR_T, 
		@varKSCode_1 = CODE_FKR_D, @varKSCode_2 =CODE_FKR_T, @varKSCode_3 =CODE_FKR_E   from BI_DICTION_VKR where link = (select link_vkr from #VKR)
else 
	select @varKSFKR1='',@varKSFKR2='',@varKSFKR3='',@varKSCode_1 = '', @varKSCode_2 ='', @varKSCode_3 =''

--------------------------------------------------------------------------------------------
CREATE TABLE #SAL_REMAIN (link_empl int, LINK_SFIN INT, LINK_EKR INT, SUMMA numeric(18,2))

INSERT INTO #SAL_REMAIN (link_empl,LINK_SFIN, LINK_EKR, SUMMA)
SELECT
	LINK_EMPL, 
	(CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END), 
	(CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END), 
	SUM(SUMMA) 
FROM 
	dbo.dictionary_sal_remain SR 
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = SR.LINK_EKR THEN @LINK_211 ELSE SR.LINK_EKR END)
WHERE 
	YEAR_SAL = convert(int, @varKSnYear) and LINK_VKR in (SELECT link_vkr FROM #VKR)
GROUP BY 
	LINK_EMPL, 
	(CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END), 
	(CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END)
----

CREATE TABLE #VIPLATY (LINK_DEP int, link_empl int, LINK_SFIN INT, LINK_EKR INT, ostatok numeric(18,2), vipl numeric(18,2))

insert into #VIPLATY (LINK_DEP, link_empl, LINK_SFIN, LINK_EKR, ostatok, vipl)
select 
	SJ.LINK_DEP,
	link_empl = (case when COALESCE(SJ.LINK_EMPL,0) = 0 then -SJ.PERS_LINK else SJ.LINK_EMPL end), 
	LINK_SFIN = (CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END),
	LINK_EKR = (CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END),
	ostatok = sum(case when  month_begin < @varKSnMonth then (case when typ_oper = 1 then SJ.summa else -SJ.summa end) else 0 end),
	vipl = SUM(case when 	SJ.MONTH_BEGIN = @varKSnMonth and SJ.TYP_OPER  = 2 and (coalesce(v.link,0) <> 0 or coalesce(v1.link,0) <> 0) then summa else 0 end)
from 
	S_J_C_Short SJ
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = SJ.LINK_EKR THEN @LINK_211 ELSE SJ.LINK_EKR END) 
	left join (SELECT LINK FROM dbo.DOCUMENTS_DED_PR WHERE (LINK_DEP = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1) AND TYP_PAYMENT = 1 and CARD_LINK is null) V on SJ.LINK_DOC = V.link
	left join (SELECT LINK FROM dbo.DOCUMENTS_DED_PR_DGH WHERE (LINK_DEP = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1) AND TYP_PAYMENT = 1 and CARD_LINK is null) V1 on SJ.LINK_DOC = V1.link
where 
	LINK_VKR in (select link_vkr from #VKR)  
	and year_begin = convert(int, @varKSnYear)
	and month_begin <= @varKSnMonth
	and ((link_empl is not null and @nCheck1 = 0) or @nCheck1 = 1)
	and typ_oper in (1,2)
	and (SJ.LINK_DEP = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1)
group by 
	SJ.LINK_DEP, SJ.LINK_EMPL, 
	(CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END),
	(CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END), 
	(case when COALESCE(SJ.LINK_EMPL,0) = 0 then -SJ.PERS_LINK else SJ.LINK_EMPL end)

--       
UPDATE E
SET E.ostatok = ISNULL(E.ostatok,0) + ISNULL(SR.summa, 0)
FROM 
	#VIPLATY E INNER JOIN #SAL_REMAIN SR on E.link_empl = SR.link_empl AND E.LINK_SFIN = SR.LINK_SFIN AND E.LINK_EKR = SR.LINK_EKR
	
INSERT INTO #VIPLATY (LINK_DEP, link_empl, LINK_SFIN, LINK_EKR, ostatok, vipl)	
SELECT E.DEP_LINK, R.link_empl, R.LINK_SFIN, R.LINK_EKR, R.SUMMA, 0 
FROM #SAL_REMAIN R INNER JOIN dbo.EMPL E ON E.LINK = R.LINK_EMPL
WHERE NOT EXISTS (SELECT * FROM #VIPLATY V WHERE R.LINK_EMPL = V.LINK_EMPL AND R.LINK_SFIN = V.LINK_SFIN AND R.LINK_EKR = V.LINK_EKR)

--------------------------------------------------------------------------------------------
select distinct D1.LINK_DEP, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC =YEAR_BEGIN, 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = D1.LINK_EMPL,
	[POST] = name_post,
	[TN]=TAB_NUM,
	[STAKE] = STAKE,
	[FIO] = (case when @nCheck2 = 0 then FIO else (case when coalesce(LINK_FACE,0) <> 0 then dbo.sa_GetPersName(LINK_FACE) else dbo.sa_GetPersName(PERS_LINK) end) end), --FIO,
	[saldo] = coalesce(ostatok,0),
	[vipl] = coalesce(vipl,0),
	SubdivName = UPPER(convert(varchar(254),NAME_SUBDIV)),
	SubdivCode = UPPER(convert(varchar(254),CODE_SUBDIV)),
	CODE_POST = convert(varchar(254),CODE_POST),
	NAME_POST = convert(varchar(254),NAME_POST),
	D1.LINK_SFIN,
	D1.LINK_EKR1
into #Empls
from #DOC1 D1 INNER JOIN #VIPLATY V on D1.link_empl = V.link_empl and D1.LINK_DEP = V.LINK_DEP AND D1.LINK_SFIN = V.LINK_SFIN AND D1.LINK_EKR1 = V.LINK_EKR
where
	D1.MONTH_BEGIN = @varKSnMonth

------ ,     ,     
INSERT INTO #Empls
select distinct E.DEP_LINK, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC = convert(int, @varKSnYear), 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = V.LINK_EMPL,
	[POST] = POST_NAME,
	[TN]= TAB,
	[STAKE] = STAKE,
	[FIO] = (case when @nCheck2 = 0 then LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100) else FIO end), --FIO,
	[saldo] = coalesce(ostatok,0),
	[vipl] = coalesce(vipl,0),
	SubdivName = UPPER(E.SUBDIV_NAME),	
	SubdivCode = UPPER(E.SUBDIV_CODE),	
	E.POST_CODE,
	E.POST_NAME,
	V.LINK_SFIN,
	V.LINK_EKR	
from 
	dbo.SD_EMPL_FN(DEFAULT,@cur_date, DEFAULT, @DEP_LINK) E 
	INNER JOIN #VIPLATY V on E.link = V.link_empl and coalesce(ostatok,0) <> 0 and E.DEP_LINK = V.LINK_DEP
where 	
	(DEP_LINK = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1)
	AND NOT EXISTS (SELECT * FROM #DOC1 D WHERE D.link_empl = V.link_empl AND D.LINK_SFIN = V.LINK_SFIN AND D.LINK_EKR1 = V.LINK_EKR)
	AND (LEN(@cVal2) = 0
		OR
		E.SUBDIV_HEAD IN (select RECORD from dbo.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @nOtborLink2)
		)	

------------------------------------------------------------------------------------------
---- ,     ,     
INSERT INTO #Empls
select distinct V.LINK_DEP, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC = convert(int, @varKSnYear), 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = -P.link,
	[POST] = ' ',
	[TN]='.',
	[STAKE] = null,
	[FIO] = (case when @nCheck2 = 0 then FIO else NAME_PERS end), --FIO,
	[saldo] = coalesce(ostatok,0),
	[vipl] = coalesce(vipl,0),
	SubdivName = null,
	SubdivCode = null,
	POST_CODE = null,
	POST_NAME = null,
	V.LINK_SFIN,
	V.LINK_EKR	
from 
	dbo.KU_Person P 
	inner join #VIPLATY V on P.link = -V.link_empl and coalesce(ostatok,0) > 0
where 	
	@nCheck1 = 1
	AND NOT EXISTS (SELECT * FROM #DOC1 D WHERE D.link_empl = V.link_empl AND D.LINK_SFIN = V.LINK_SFIN AND D.LINK_EKR1 = V.LINK_EKR)

--------------------------------------------------------------------------------------------

INSERT INTO #Empls
select distinct E.DEP_LINK, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC = convert(int, @varKSnYear), 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = E.LINK,
	[POST] = POST_NAME,
	[TN]= TAB,
	[STAKE] = STAKE, 
	[FIO] = (case when @nCheck2 = 0 then LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100) else FIO end), --FIO,
	[saldo] = 0,
	[vipl] = 0,
	SubdivName = UPPER(E.SUBDIV_NAME),
	SubdivCode = UPPER(E.SUBDIV_CODE),
	E.POST_CODE,
	E.POST_NAME,
	LINK_SFIN = 0,
	LINK_EKR = 0	
from 
	dbo.SD_EMPL_FN(DEFAULT,@cur_date, DEFAULT, @DEP_LINK) E 
where 
	@nCheck7 = 1
	and (DEP_LINK = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1)
	and E.LINK not in (Select distinct LINK_EMPL0 from #Empls)
	and (@varKSnYear * 100 + @varKSnMonth) BETWEEN (YEAR(DATE_BEGIN)*100 + MONTH(DATE_BEGIN)) AND COALESCE((YEAR(DATE_END)*100 + MONTH(DATE_END)), (@varKSnYear * 100 + @varKSnMonth))
	and (LEN(@cVal2) = 0
		OR
		E.SUBDIV_HEAD IN (select RECORD from dbo.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @nOtborLink2)
		)	

select 
	LINK_DEP, FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C,
	YEAR_CALC, MONTH_CALC,LINK_EMPL0, POST, TN, STAKE, FIO,
	SubdivName, SubdivCode, CODE_POST, NAME_POST, LINK_SFIN, LINK_EKR1,
	saldo = SUM(saldo),
	vipl = SUM(vipl)	
into #EmplsG
from #Empls
group by
	LINK_DEP, FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C,
	YEAR_CALC, MONTH_CALC,LINK_EMPL0, POST, TN, STAKE, FIO,
	SubdivName, SubdivCode, CODE_POST, NAME_POST, LINK_SFIN, LINK_EKR1

--------------------------------------------------------------------------------------------

	INSERT INTO #RES
	SELECT LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, LINK_PAYS, [CODE_PAY] = CODE_PAYS, [NAME_PAY] = NAME_PAYS, sum(SUMMA), 0
	FROM #DOC1 WHERE TYP_OPER = 1 group by LINK_PAYS, LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, CODE_PAYS, NAME_PAYS

	declare @CODE_PAYS varchar(254), @NAME_PAYS varchar(254), @LINK_PAYS INT
	Select top 1 @LINK_PAYS = LINK_PAYS, @CODE_PAYS = CODE_PAYS, @NAME_PAYS = NAME_PAYS from #DOC1 WHERE TYP_OPER = 1 and CODE_PAYS is not null

	INSERT INTO #RES
	SELECT DISTINCT LINK_DEP, LINK_EMPL0, LINK_SFIN, LINK_EKR1, @LINK_PAYS, [CODE_PAY] = @CODE_PAYS, [NAME_PAY] = @NAME_PAYS, 0, 0
	FROM #EmplsG WHERE LINK_EMPL0 not in (Select distinct LINK_EMPL from #DOC1)

	UPDATE R
	SET CP = CP + '*'
	FROM
		#RES R
		INNER JOIN dbo.PAYS P on P.LINK_MPAY = R.LINK_PAYS
	WHERE
		@nMPAY = 1

	--- 
	UPDATE #RES
	Set NP = CP + '#&' + NP

	INSERT INTO #RES_U
	SELECT LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, [CODE_PAY] = CODE_PAYS, [NAME_PAY] = NAME_PAYS, sum(SUMMA), 0
	FROM #DOC1 WHERE TYP_OPER = 2 group by LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, CODE_PAYS, NAME_PAYS

	Select top 1 @CODE_PAYS = CODE_PAYS, @NAME_PAYS = NAME_PAYS from #DOC1 WHERE TYP_OPER = 2 and CODE_PAYS is not null

	INSERT INTO #RES_U
	SELECT DISTINCT LINK_DEP, LINK_EMPL0, LINK_SFIN, LINK_EKR1, [CODE_PAY] = @CODE_PAYS, [NAME_PAY] = @NAME_PAYS, 0, 0
	FROM #EmplsG WHERE LINK_EMPL0 not in (Select distinct LINK_EMPL from #DOC1)

	--- 
	UPDATE #RES_U
	Set NU = CU + '#&' + NU

	DECLARE @varKSTABLE_N VARCHAR(100), @varKSTABLE_U VARCHAR(120), @varKSTABLE_R VARCHAR(120)
	EXEC X_GET_TABLE_NAME @varKSTABLE_N OUTPUT
	SELECT @varKSTABLE_U = @varKSTABLE_N + '_U', @varKSTABLE_R = @varKSTABLE_N + '_R'

	DECLARE @varKSCNT_N INT, @varKSCNT_U INT
	SELECT @varKSCNT_N = COUNT(DISTINCT CP) FROM #RES 
	SELECT @varKSCNT_U = COUNT(DISTINCT CU) FROM #RES_U

	IF @ALL_DEP = 0 BEGIN
		EXEC M_CROSS_TABLE
			'LINK_EMPL, LINK_SFIN, LINK_EKR, SUM_N', 
			'NP', 'VARCHAR(254)', 
			'S', 'NUMERIC(20,2)', 'SUM(S) AS S',
			'#RES', @varKSTABLE_N
	
		EXEC M_CROSS_TABLE
			'LINK_EMPL2, LINK_SFIN1, LINK_EKR1, SUM_U', 
			'NU', 'VARCHAR(254)', 
			'SU', 'NUMERIC(20,2)', 'SUM(SU) AS SU',
			'#RES_U', @varKSTABLE_U

		EXEC (' SELECT N.*, U.*   INTO ' +  @varKSTABLE_R +'  FROM ' + @varKSTABLE_N +  ' N FULL OUTER JOIN ' + @varKSTABLE_U + ' U 
			ON N.LINK_EMPL = U.LINK_EMPL2 AND N.LINK_SFIN = U.LINK_SFIN1 AND N.LINK_EKR = U.LINK_EKR1' )
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set link_empl = link_empl2 where link_empl is null')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_EKR = ISNULL(LINK_EKR1,0) where ISNULL(LINK_EKR,0) = 0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_SFIN = ISNULL(LINK_SFIN1,0) where ISNULL(LINK_SFIN,0) = 0 ')

		EXEC('
		INSERT INTO ' + @varKSTABLE_R + ' (link_empl, LINK_SFIN, LINK_EKR)
		SELECT DISTINCT E.link_empl0, E.LINK_SFIN, E.LINK_EKR1
		FROM #EmplsG E
		WHERE NOT EXISTS (SELECT * FROM ' + @varKSTABLE_R + ' R WHERE R.link_empl = E.link_empl0 AND R.LINK_SFIN = E.LINK_SFIN AND R.LINK_EKR = E.LINK_EKR1)
		')		
	
	END
	ELSE BEGIN
		EXEC M_CROSS_TABLE
			'LINK_DEP, LINK_SFIN, LINK_EKR, SUM_N', 
			'NP', 'VARCHAR(254)', 
			'S', 'NUMERIC(20,2)', 'SUM(S) AS S',
			'#RES', @varKSTABLE_N
	
		EXEC M_CROSS_TABLE
			'LINK_DEP2, LINK_SFIN1, LINK_EKR1, SUM_U', 
			'NU', 'VARCHAR(254)', 
			'SU', 'NUMERIC(20,2)', 'SUM(SU) AS SU',
			'#RES_U', @varKSTABLE_U

		EXEC (' SELECT N.*, U.*   INTO ' +  @varKSTABLE_R +'  FROM ' + @varKSTABLE_N +  ' N FULL OUTER JOIN ' + @varKSTABLE_U + ' U 
			ON N.LINK_DEP = U.LINK_DEP2 AND N.LINK_SFIN = U.LINK_SFIN1 AND N.LINK_EKR = U.LINK_EKR1' )
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_DEP = LINK_DEP2 where LINK_DEP is null')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_EKR = ISNULL(LINK_EKR1,0) where ISNULL(LINK_EKR,0) = 0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_SFIN = ISNULL(LINK_SFIN1,0) where ISNULL(LINK_SFIN,0) = 0 ')		

		EXEC('
		INSERT INTO ' + @varKSTABLE_R + ' (LINK_DEP, LINK_SFIN, LINK_EKR)
		SELECT DISTINCT E.LINK_DEP, E.LINK_SFIN, E.LINK_EKR1
		FROM #EmplsG E
		WHERE NOT EXISTS (SELECT * FROM ' + @varKSTABLE_R + ' R WHERE R.LINK_DEP = E.LINK_DEP AND R.LINK_SFIN = E.LINK_SFIN AND R.LINK_EKR = E.LINK_EKR1)
		')

	END
	
	DECLARE @varKSI INT, @varKSSQL_STR VARCHAR(4000), @varKSFIELD_NAME VARCHAR(100)
	SET @varKSI=1
	WHILE @varKSI <= @varKSCNT_N BEGIN

		SET @varKSFIELD_NAME= 'NP_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = (SELECT TOP 1 '+@varKSFIELD_NAME+' FROM ' +@varKSTABLE_N + ' WHERE '+
			@varKSFIELD_NAME+ '  IS NOT NULL ) ' 

		EXEC (@varKSSQL_STR)

		SET @varKSFIELD_NAME= 'S_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = 0  WHERE ' +
			@varKSFIELD_NAME+ '  IS  NULL ' 

		EXEC (@varKSSQL_STR)

		SET @varKSI=@varKSI+1
	END

	SET @varKSI=1
	WHILE @varKSI <= @varKSCNT_U BEGIN
		SET @varKSFIELD_NAME= 'NU_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = (SELECT TOP 1 '+@varKSFIELD_NAME+' FROM ' +@varKSTABLE_U + ' WHERE '+
			@varKSFIELD_NAME+ '  IS NOT NULL ) ' 
		EXEC (@varKSSQL_STR)
		SET @varKSFIELD_NAME= 'SU_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = 0  WHERE ' +
			@varKSFIELD_NAME+ '  IS  NULL ' 
		EXEC (@varKSSQL_STR)
		SET @varKSI=@varKSI+1
	END

	IF @ALL_DEP = 0 BEGIN
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_N = (SELECT SUM(S)  FROM #RES R WHERE R.LINK_SFIN = ISNULL(R0.LINK_SFIN,0) AND R.LINK_EKR = ISNULL(R0.LINK_EKR,0) AND R.LINK_EMPL = R0.LINK_EMPL) FROM ' +   @varKSTABLE_R + ' R0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_U= (SELECT SUM(SU)  FROM #RES_U R WHERE R.LINK_SFIN1 = ISNULL(R0.LINK_SFIN1,0) AND R.LINK_EKR1 = ISNULL(R0.LINK_EKR1,0) AND R.LINK_EMPL2   = R0.LINK_EMPL) FROM ' +   @varKSTABLE_R + ' R0 ')
	END 
	ELSE BEGIN
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_N = (SELECT SUM(S)  FROM #RES R WHERE R.LINK_SFIN = ISNULL(R0.LINK_SFIN,0) AND R.LINK_EKR = ISNULL(R0.LINK_EKR,0) AND R.LINK_DEP = R0.LINK_DEP) FROM ' +   @varKSTABLE_R + ' R0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_U= (SELECT SUM(SU)  FROM #RES_U R WHERE R.LINK_SFIN1 = ISNULL(R0.LINK_SFIN1,0) AND R.LINK_EKR1 = ISNULL(R0.LINK_EKR1,0) AND R.LINK_DEP2   = R0.LINK_DEP2) FROM ' +   @varKSTABLE_R + ' R0 ')		
	END


	
	IF @varKSCNT_N = 0 BEGIN
		EXEC (' ALTER TABLE ' + @varKSTABLE_R + ' ADD CP_0 VARCHAR(10), NP_0_0 VARCHAR(254), S_0_0 numeric(20,2) ')
	END
	IF @varKSCNT_U = 0 BEGIN
		EXEC (' ALTER TABLE ' + @varKSTABLE_R + ' ADD CU_0 VARCHAR(10), NU_0_0 VARCHAR(254), SU_0_0 numeric(20,2) ')
	END

	DECLARE @varKScSQL VARCHAR(7000)


	IF @ALL_DEP = 0
		SET @varKScSQL = ' SELECT E.*, D.INN, D.KPP, R.*, SFIN_CODE = F.CODE, EKR_CODE = EKR.CODE, s_saldo, s_vipl '
			+ ' FROM #EmplsG E LEFT JOIN DBO.SAL_SFIN F ON F.LINK = E.LINK_SFIN' 
			+ ' LEFT JOIN DEPARTMENTS D on e.LINK_DEP = D.LINK '
			+ ' LEFT JOIN DBO.KOSGU EKR ON EKR.LINK = E.LINK_EKR1' 			
			+ ' LEFT JOIN ' + @varKSTABLE_R+' R on link_empl0 = link_empl AND ISNULL(R.LINK_SFIN,0) = E.LINK_SFIN AND ISNULL(R.LINK_EKR,0) = E.LINK_EKR1'
			+ ' LEFT JOIN (SELECT s_saldo = SUM(saldo), s_vipl = SUM(vipl) FROM #EMPLSG) S on 1=1'
			+ ' order by '
			+ (CASE @varKSnSortMode WHEN 1 THEN 'COALESCE(TN,'''')' 
						WHEN 2 THEN 'FIO, F.CODE, EKR.CODE' 
						WHEN 3 THEN 'COALESCE(SubdivName,''''), COALESCE(TN,''''), F.CODE, EKR.CODE' 
						WHEN 4 THEN 'COALESCE(SubdivName,''''), FIO, F.CODE, EKR.CODE' 
						WHEN 5 THEN 'COALESCE(SubdivCode,''''), COALESCE(TN,''''), F.CODE, EKR.CODE' 
						WHEN 6 THEN 'COALESCE(SubdivCode,''''), FIO, F.CODE, EKR.CODE' 
						WHEN 7 THEN 'COALESCE(SubdivName,''''), COALESCE(CODE_POST,''''), FIO, F.CODE, EKR.CODE' 
						WHEN 8 THEN 'COALESCE(SubdivCode,''''), COALESCE(CODE_POST,''''), FIO, F.CODE, EKR.CODE' 
						else 'COALESCE(TN,''''), F.CODE, EKR.CODE'  END)
	ELSE

		SET @varKScSQL = ' SELECT R.* , D.INN, D.KPP, E.*, SFIN_CODE = F.CODE, EKR_CODE = EKR.CODE, DEP_NAME= D.[NAME], GRP_NAME = COALESCE(GRP.GRP_NAME,'' '')  FROM ' + @varKSTABLE_R+' R '
	+ ' INNER JOIN DEPARTMENTS D on R.LINK_DEP = D.LINK
		LEFT JOIN DBO.SAL_SFIN F ON F.LINK = R.LINK_SFIN
		LEFT JOIN DBO.KOSGU EKR ON EKR.LINK = R.LINK_EKR
		LEFT JOIN (select GRP_NAME= G.[NAME], D_LINK= REF.DEP_LINK
			from DEPARTMENT_GROUPS G inner join DEPARTMENT_GROUPS_REF REF on G.LINK = REF.GROUP_LINK
			where G.LINK = (SELECT MAX(REF1.GROUP_LINK) from DEPARTMENT_GROUPS_REF REF1 where REF1.DEP_LINK = REF.DEP_LINK)) GRP on D.LINK = GRP.D_LINK'
	+ ' INNER JOIN (SELECT link_dep, LINK_SFIN, LINK_EKR1, saldo = SUM(saldo), vipl = SUM(vipl), FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C FROM #EMPLSG group by link_dep, LINK_SFIN, LINK_EKR1, FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C) E on R.LINK_DEP = E.link_dep AND R.LINK_SFIN = E.LINK_SFIN AND R.LINK_EKR1 = E.LINK_EKR1'
	+ ' order by GRP.GRP_NAME, D.NAME, F.CODE'
	
	exec (@varKScSQL)

	EXEC ('DROP TABLE ' + @varKSTABLE_N)
	EXEC ('DROP TABLE ' + @varKSTABLE_U)
	EXEC ('DROP TABLE ' + @varKSTABLE_R)
	drop table #Doc1
	drop table #Empls
	drop table #EmplsG
END






GO


GRANT EXECUTE ON dbo.[SALARY_REPORT_F49] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_SVEDENIA_SAVE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_SVEDENIA_SAVE]

GO

CREATE   PROCEDURE dbo.SS_SZV_ST_SVEDENIA_SAVE
	@LINK		int,
	@link_up	int,
	@pachka		int,
	@orders		int,
	@link_pers	int,
	@sum_doh	numeric(18,2) = 0,
	@sum_str	numeric(18,2) = 0,
	@sum_nak	numeric(18,2) = 0,
	@sum_dop	numeric(18,2) = 0,
	@dper_vn_m	numeric(18,2) = 0,
	@dper_vn_d	numeric(18,2) = 0,
	@dper_oz_m	numeric(18,2) = 0,
	@dper_oz_d	numeric(18,2) = 0,
	@isum_str	numeric(18,2) = 0,
	@isum_nak	numeric(18,2) = 0,
	@sum_dolg_str	numeric(18,2) = 0,
	@sum_uplata_dolga_str	numeric(18,2) = 0,
	@sum_dolg_nak	numeric(18,2) = 0,
	@sum_uplata_dolga_nak	numeric(18,2) = 0,
	@LINK_KATEG INT
AS
DECLARE @varKSERROR	tinyint, @varKSstrVALUE	 varchar(7000), @varKStrancount	 int, @varKSRowCount INT, @varKSsoLink int

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

IF ISNULL(@LINK_KATEG,0) = 0
SET @LINK_KATEG = (SELECT TOP 1 LINK FROM dbo.PFR_KATEG WHERE CODE = '')

IF coalesce(@link_up,0) = 0 or coalesce(@orders,0) = 0 or coalesce(@link_pers,0) = 0 
BEGIN
	ROLLBACK
	RETURN 5
END

SELECT @varKSsoLink = LINK FROM s_objects  WHERE CODE = 'SS_SZV_STAZH_SVEDENIA'

IF @LINK is null OR @LINK = 0
	BEGIN

		INSERT INTO dbo.SZV_STAZH_SVEDENIA WITH (ROWLOCK) (link_up, pachka, orders, link_pers, LINK_KATEG, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d, dper_oz_m, dper_oz_d, isum_str, isum_nak, sum_dolg_str, sum_uplata_dolga_str, sum_dolg_nak, sum_uplata_dolga_nak) 
			VALUES (@link_up, @pachka, @orders, @link_pers, @LINK_KATEG, @sum_doh, @sum_str, @sum_nak, @sum_dop, @dper_vn_m, @dper_vn_d, @dper_oz_m, @dper_oz_d, @isum_str, @isum_nak, @sum_dolg_str, @sum_uplata_dolga_str, @sum_dolg_nak, @sum_uplata_dolga_nak)

		SELECT @varKSERROR = @@ERROR, @LINK = @@IDENTITY
		IF @varKSERROR <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
	END
ELSE
	BEGIN

		UPDATE dbo.SZV_STAZH_SVEDENIA WITH (ROWLOCK) 
		SET 	link_up =@link_up, pachka = @pachka, orders =@orders, link_pers =@link_pers, sum_doh =@sum_doh, sum_str = @sum_str, 
			sum_nak =@sum_nak, sum_dop = @sum_dop, dper_vn_m = @dper_vn_m, dper_vn_d =@dper_vn_d, dper_oz_m =@dper_oz_m, 
			dper_oz_d =@dper_oz_d, isum_str =@isum_str, isum_nak = @isum_nak,
			sum_dolg_str = @sum_dolg_str, sum_uplata_dolga_str = @sum_uplata_dolga_str, sum_dolg_nak = @sum_dolg_nak, sum_uplata_dolga_nak = @sum_uplata_dolga_nak,
			LINK_KATEG = @LINK_KATEG
		WHERE LINK = @LINK

		SELECT @varKSERROR = @@ERROR, @varKSRowCount = @@ROWCOUNT
		IF @varKSERROR <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
		IF @varKSRowCount = 0
		BEGIN
			ROLLBACK
			RETURN 2
		END
	END


declare @varKSEventText varchar(200)
Select  @varKSEventText = '      (-)   ' + RTRIM(LTRIM(FIO)) from dbo.SS_SZV_STAZH_SVEDENIA where link = @LINK
EXECUTE WF_GENERATEEVENT ' ', @varKSEventText, @varKSsoLink, 'SS_SZV_STAZH_SVEDENIA',@LINK
WHILE @@TRANCOUNT > @varKStrancount
	COMMIT TRAN

RETURN 0


GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_SVEDENIA_SAVE] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_SVEDENIA2_SAVE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_SVEDENIA2_SAVE]

GO

CREATE   PROCEDURE dbo.SS_SZV_ST_SVEDENIA2_SAVE
	@LINK int,
	@INCOME_M1 numeric(18, 2),
	@BASE_BEFORE_M1 numeric(18, 2),
	@BASE_AFTER_M1 numeric(18, 2),
	@INCOME_M2 numeric(18, 2),
	@BASE_BEFORE_M2 numeric(18, 2),
	@BASE_AFTER_M2 numeric(18, 2),
	@INCOME_M3 numeric(18, 2),
	@BASE_BEFORE_M3 numeric(18, 2),
	@BASE_AFTER_M3 numeric(18, 2),
	@INCOME_T1_M1 numeric(18, 2),
	@INCOME_T2_M1 numeric(18, 2),
	@INCOME_T1_M2 numeric(18, 2),
	@INCOME_T2_M2 numeric(18, 2),
	@INCOME_T1_M3 numeric(18, 2),
	@INCOME_T2_M3 numeric(18, 2)
AS

DECLARE @varKSERROR	tinyint, @varKSstrVALUE	 varchar(7000), @varKStrancount	 int, @varKSRowCount INT, @varKSsoLink int

IF ISNULL(@LINK,0) > 0
BEGIN
	UPDATE 
		dbo.SZV_STAZH_SVEDENIA WITH (ROWLOCK) 
	SET 
		INCOME_M1 = ISNULL(@INCOME_M1,0),
		BASE_BEFORE_M1 = ISNULL(@BASE_BEFORE_M1,0),
		BASE_AFTER_M1 = ISNULL(@BASE_AFTER_M1,0),
		INCOME_M2 = ISNULL(@INCOME_M2,0),
		BASE_BEFORE_M2 = ISNULL(@BASE_BEFORE_M2,0),
		BASE_AFTER_M2 = ISNULL(@BASE_AFTER_M2,0),
		INCOME_M3 = ISNULL(@INCOME_M3,0),
		BASE_BEFORE_M3 = ISNULL(@BASE_BEFORE_M3,0),
		BASE_AFTER_M3 = ISNULL(@BASE_AFTER_M3,0),
		INCOME_T1_M1 = ISNULL(@INCOME_T1_M1,0),
		INCOME_T2_M1 = ISNULL(@INCOME_T2_M1,0),
		INCOME_T1_M2 = ISNULL(@INCOME_T1_M2,0),
		INCOME_T2_M2 = ISNULL(@INCOME_T2_M2,0),
		INCOME_T1_M3 = ISNULL(@INCOME_T1_M3,0),
		INCOME_T2_M3 = ISNULL(@INCOME_T2_M3,0)
	WHERE 
		LINK = @LINK

	SELECT @varKSERROR = @@ERROR, @varKSRowCount = @@ROWCOUNT
	IF @varKSERROR <> 0
	BEGIN
		RETURN 7
	END
	IF @varKSRowCount = 0
	BEGIN
		RETURN 2
	END
END	
			

RETURN 0



GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_SVEDENIA2_SAVE] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_6NDFL_PREPARE_R2]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_6NDFL_PREPARE_R2]

GO
-- exec [dbo].SA_6NDFL_PREPARE_R2 '2016', 1 , '1' ,95494

CREATE PROCEDURE dbo.SA_6NDFL_PREPARE_R2 @dBDATE datetime /*    */, 
									 @dEDATE DATETIME /*    */,
									 @cBUFFID_NAME VARCHAR(10), /*     */
									 @nDep_link int 	/*   */
AS




IF OBJECT_ID('tempdb..#FIZ_VID_DOH') IS NOT NULL 
BEGIN 


	DECLARE
		@DEP_LINK INT 
		
	SET @DEP_LINK = @nDep_link	
	set @cBUFFID_NAME = LTRIM(RTRIM(@cBUFFID_NAME))


	SET DATEFIRST 7

DECLARE @dBDATE_EMP DATETIME,
		@dEDATE_EMP datetime
	set @dBDATE_EMP  = DATEADD(MONTH , -1 ,@dBDATE)

	set @dEDATE_EMP  = DATEADD(MONTH , 1 ,@dEDATE)

		create table #S_J_C_SHORT (link int,LINK_FACE int,PERS_LINK int, link_empl int, link_doc INT, link_pays int, 
								 name_pays VARCHAR(60), link_vkr int,link_ekr int, typ_per tinyint, typ_oper tinyint, 
								 summa numeric(18,2), link_inc int, period_begin datetime,period_end datetime, date1 datetime, 
								 date2 datetime, link_dep INT ,way_calc INT, way_name VARCHAR(50), type_doc VARCHAR(100), 
								 num_doc VARCHAR(30), Dt_doc datetime, comm_doc VARCHAR(254), CODE VARCHAR(30))

		Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl,link_doc, link_pays, 
								 name_pays,link_vkr, link_ekr, typ_per, typ_oper, 
								 summa,link_inc, period_begin, period_end, date1, 
								 date2,link_dep,way_calc, way_name,type_doc, 
								 num_doc,Dt_doc,comm_doc, CODE)
		Select E.PERS_LINK, JC.PERS_LINK, JC.LINK_EMPL, JC.link_doc, P.LINK, 
				name_pays = p.name, link_vkr, ISNULL(JC.LINK_EKR,P.LINK_EKR), P.TYP_PER, P.OBJECT, 
				summa, P.LINK_INC,
			period_begin = (Case 
							when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code = 'DOCUMENTS_ADD_TABEL'
							then JC.DATE_BEGIN else JC.period_begin 
							end) ,
			JC.PERIOD_END,
			JC.DATE_BEGIN,
			JC.DATE_END,
			JC.LINK_DEP ,
			P.WAY_CALC ,
			way_name = w.name,
			type_doc = sd.[TYPE], 
			num_doc = sd.NUMBER,
			Dt_doc = sd.[DATE], 
			comm_doc = sd.COMMENTARY, 
			CODE = sd.CODE
		from 
			dbo.CALCULATE_JURNAL JC 
			INNER JOIN dbo.NDFL_GroupTax() T ON JC.LINK_PAYS=T.LINK_PAYS
			LEFT JOIN dbo.EMPL E ON JC.LINK_EMPL = E.LINK
			LEFT JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
			LEFT JOIN dbo.WAY_CALC w ON w.CODE = p.way_calc AND w.[TYPE] = 1 
			LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
			LEFT JOIN dbo.SALARY_FULL_JURNAL_DOC sd ON sd.link = jc.LINK_DOC
		where
			(
					(ISNULL(d.code,'') <> 'DOCUMENTS_ADD_TABEL') and (JC.PERIOD_BEGIN between @dBDATE_EMP AND @dEDATE_EMP)
					or 
					ISNULL(d.code,'') = 'DOCUMENTS_ADD_TABEL'
					and (JC.DATE_BEGIN between @dBDATE_EMP AND @dEDATE_EMP or JC.PERIOD_BEGIN between @dBDATE_EMP AND @dEDATE_EMP )
					

				)
			AND 
				(	-->>NEW
				E.PERS_LINK in (select LINK from dbo.BufferGetTableById(@cBUFFID_NAME) )
				or
				JC.PERS_LINK in (select LINK from dbo.BufferGetTableById(@cBUFFID_NAME) )
				)	
			AND JC.LINK_DEP = @DEP_LINK 
		
		union all --
		SELECT LINK_FACE, PERS_LINK, link_empl, link_doc, link_pays, 
				 name_pays = p.name, sjc.link_vkr, sjc.link_ekr, sjc.typ_per, sjc.typ_oper, 
				 summa,sjc.link_inc, period_begin, period_end, date1, 
				 date2,SJC.link_dep, sjc.WAY_CALC, way_name = w.name,
				 type_doc = sd.[TYPE], 
				 num_doc = sd.NUMBER,
				 Dt_doc = sd.[DATE], 
				 comm_doc = sd.COMMENTARY, 
				 CODE = sd.CODE
		from dbo.S_J_C_SHORT SJC 
			LEFT JOIN DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC 
			LEFT JOIN dbo.SALARY_FULL_JURNAL_DOC sd ON sd.link = SJC.LINK_DOC
			LEFT JOIN dbo.PAYS P ON SJC.LINK_PAYS = P.LINK
			LEFT JOIN dbo.WAY_CALC w ON w.CODE = sjc.way_calc AND w.[TYPE] = 1
		where 
			SJC.LINK_DEP = @DEP_LINK
			and SJC.PERIOD_BEGIN between @dBDATE AND @dEDATE
			and TYP_OPER = 2



	--  #S_J_C_SHORT             , 
	--     - , ,       ,     DIS ,       
	IF OBJECT_ID('tempdb..#FIZ_EMPL_TAB') IS NOT NULL DROP TABLE #FIZ_EMPL_TAB
	CREATE TABLE #FIZ_EMPL_TAB (LINK_FACE INT, PERS_LINK INT , LINK_EMPL INT, INOSTR int, DIS TINYINT , DATE_DIS DATETIME)
	INSERT INTO #FIZ_EMPL_TAB (LINK_FACE, PERS_LINK, LINK_EMPL, INOSTR , DIS, DATE_DIS)
	SELECT sjc.LINK_FACE,
		sjc.pers_link,
		sjc.link_empl,
		INOSTR = CASE WHEN (SELECT TOP 1 code FROM citizenship WHERE link = p.CITIZ_LINK ) NOT IN('1','2') THEN 1 
					 ELSE 0 END,
		dis = CASE WHEN IDF.empl_link IS NOT NULL THEN 1 ELSE 0 END,
		IDF.DIS_DATE
	FROM 	#S_J_C_SHORT sjc
	INNER JOIN dbo.PERSON p ON p.link = ISNULL(sjc.LINK_FACE,sjc.pers_link) 
	left JOIN dbo.item_dis_face IDF ON IDF.empl_link = sjc.link_empl AND IDF.DIS_DATE BETWEEN @dBDATE AND @dEDATE AND IDF.ACTIVE = 1
	WHERE sjc.typ_oper = 1
	GROUP BY sjc.LINK_FACE, sjc.pers_link , sjc.link_empl, IDF.DIS_DATE, IDF.empl_link , p.CITIZ_LINK 

--------------------------------------------------------
---     
--------------------------------------------------------
-------- 1)    

	----------              ,
	----------  ,       
	IF OBJECT_ID('tempdb..#FIZ_DOH') IS NOT NULL DROP TABLE #FIZ_DOH
	CREATE TABLE #FIZ_DOH(link_FACE INT, PERS_LINK INT, LINK_EMPL INT, INOSTR int, DIS TINYINT , DATE_DIS DATETIME, link_ved int ,VID_DOH CHAR(3),
						  mon int,summa_doh NUMERIC(18,2),summa_nal NUMERIC(18,2),DATE_VED DATETIME,DATE_CALC DATETIME,DATE_PAY DATETIME,
						  TYP_PAYMENT TINYINT, TYP_TAX TINYINT, LINK_VKR int, LINK_EKR INT,LINK_PD INT,CODE_PD CHAR(4),NAME_PD VARCHAR(50),
						  DATE_FACT TINYINT,  DATE_FACT_C VARCHAR(50), DATE_ENUM TINYINT,DATE_ENUM_C VARCHAR(50), LINK_NDFL INT,
						  NDFL_SUM_BASE NUMERIC(18,2), NDFL_MONTH_SK NUMERIC(18,2),NDFL_SUMMA NUMERIC(18,2),SUMMA NUMERIC(18,2),DISBURS NUMERIC(18,2), 
						  DATE_DOH DATETIME,DATE_NAL datetime, DATE_ISCH DATETIME , DED TINYINT, t3sum_d NUMERIC(18,2))
INSERT INTO #FIZ_DOH(link_FACE , PERS_LINK, LINK_EMPL , INOSTR, DIS , DATE_DIS, link_ved,VID_DOH,
						  mon, summa_doh ,summa_nal,DATE_VED,DATE_CALC,DATE_PAY,
						  TYP_PAYMENT , TYP_TAX , LINK_VKR , LINK_EKR,LINK_PD,CODE_PD ,NAME_PD,
						  DATE_FACT ,  DATE_FACT_C , DATE_ENUM ,DATE_ENUM_C , LINK_NDFL ,
						  NDFL_SUM_BASE , NDFL_MONTH_SK ,NDFL_SUMMA ,SUMMA ,DISBURS , 
						  DATE_DOH ,DATE_NAL , DATE_ISCH , DED ,t3sum_d)
	SELECT link_FACE = null,
			f.PERS_LINK, 
			f.LINK_EMPL , 
			f.INOSTR ,
			f.dis,
			F.date_DIS,
			link_ved = s.link,
			VID_DOH = 'DZP', 
			mon =  MONTH(S.DATE_CALC),
			summa_doh =  CASE WHEN f.PERS_LINK IS NOT NULL 
							  THEN (CASE WHEN F.INOSTR = 1
										THEN (sum(t.SUMMA) / 0.70)--sj.summa_doh
										ELSE (sum(t.SUMMA) / 0.87)
									END) 
							ELSE  0		
						 END  ,  			
			summa_nal = CASE WHEN f.PERS_LINK IS NOT NULL  
							THEN (CASE WHEN f.INOSTR = 1
									THEN (sum(t.SUMMA) / 0.70) - sum(t.DISBURS)  
									ELSE (sum(t.SUMMA) / 0.87)- sum(t.DISBURS) 
								   END)
							ELSE 0  
			            end ,
			DATE_VED = max(S.DATE),
			DATE_CALC =  dbo.DateEndOfMonth(S.DATE_CALC),
			DATE_PAY = null,
			SD.TYP_PAYMENT, 
			TYP_TAX = 0 ,
			SD.LINK_VKR,
			SD.LINK_EKR,
			LINK_PD = NULL,
			CODE_PD = NULL,
			NAME_PD = NULL,
			DATE_FACT = NULL,
			DATE_FACT_C = NULL,
			DATE_ENUM = NULL,
			DATE_ENUM_C = NULL,
			LINK_NDFL = null,
			NDFL_SUM_BASE = null,
			NDFL_MONTH_SK = null,
			NDFL_SUMMA = null,			
			SUMMA = sum(t.SUMMA),
			DISBURS = sum(t.DISBURS),	
			date_doh = 	dbo.DateEndOfMonth(S.DATE_CALC),
			DATE_NAL = max(S.DATE),
			DATE_ISCH = CASE WHEN ISNULL(max(S.DATE),'') <> '' THEN dbo.next_work_day(max(S.DATE)) ELSE NULL END,
			DED = 0, 
			t3sum_d = 0
	  FROM
			DBO.sdoc s 
			INNER JOIN dbo.SDOC_VEDOM_DGH sd ON sd.LINK_UP = s.LINK --AND sd.TYP_PAYMENT = 1
			INNER JOIN dbo.SDOC_VEDOM_DGH_TABLE1 T ON T.LINK_UP = s.LINK
			INNER JOIN #FIZ_EMPL_TAB f ON /*sj.LINK_FACE = f.LINK_FACE AND*/ t.PERS_LINK = f.PERS_LINK	
	  WHERE
			sd.TYP_PAYMENT IN ( 1,3)
			AND
			S.DATE_CALC BETWEEN @dBDATE AND @dEDATE
		GROUP BY	
			f.PERS_LINK, S.DATE_CALC, s.link , 
			f.LINK_EMPL,f.INOSTR,f.dis,F.date_DIS, /*S.DATE ,*/
			SD.TYP_PAYMENT,sd.LINK_VKR,sd.LINK_EKR


/*	UNION ALL */
	INSERT INTO #FIZ_DOH(link_FACE , PERS_LINK, LINK_EMPL , INOSTR, DIS , DATE_DIS, link_ved,VID_DOH,
						  mon, summa_doh ,summa_nal,DATE_VED,DATE_CALC,DATE_PAY,
						  TYP_PAYMENT , TYP_TAX , LINK_VKR , LINK_EKR,LINK_PD,CODE_PD ,NAME_PD,
						  DATE_FACT ,  DATE_FACT_C , DATE_ENUM ,DATE_ENUM_C , LINK_NDFL ,
						  NDFL_SUM_BASE , NDFL_MONTH_SK ,NDFL_SUMMA ,SUMMA ,DISBURS , 
						  DATE_DOH ,DATE_NAL , DATE_ISCH , DED ,t3sum_d)
-------- 2)    	
	SELECT  f.link_face,
		    PERS_LINK = NULL , 
		    t.link_EMPL, 
			f.INOSTR ,
			f.dis,
			F.date_DIS,
			link_ved = s.link,
			VID_DOH = CASE WHEN f.dis =1 AND month(F.date_DIS) = MONTH(S.DATE_CALC) THEN 'UV'					
						   WHEN sd.typ_payment = 1 THEN 'ZP' 
						   WHEN sd.typ_payment = 3 THEN 'DR' 
						   END , 
			mon =  MONTH(S.DATE_CALC),
			summa_doh = case when sd.typ_payment = 1
								THEN sum(isnull(t31.t3_SUM_D,0.00)) - (sum(isnull(t32.t3_sum_U,0.00)) - (CASE WHEN  sum(isnull(t32.t3_sum_U,0.00)) = 0 THEN 0
																										ELSE   SUM(isnull(t32.t3_sum_Av,0.00))
																								        END 	      
																									))
																	
										   --EXECUTE KIR_EXEC_QUERY 20302,'''2016'',3,10,0,20308'
							ELSE (CASE WHEN  isnull(dd.LINK,0) <> 0   --     -      
									   THEN sum(isnull(dd.summa_base,0.00)	)
									   WHEN  isnull(dd.LINK,0) = 0 and sd.typ_tax = 2    --    "  " -       
									   THEN  0 --               -      UPDATE
									   WHEN isnull(dd.LINK,0) = 0 and sd.typ_tax = 3  --    "   " -      
									   THEN (CASE WHEN   (sum(ISNULL(t32.t3_sum_U,0.00)) + sum(ISNULL(t32.t3_sum_AV,0.00))) <> 0 AND f.dis  = 1 AND  sd.typ_payment <> 3
												   THEN 
												   			sum(isnull(t31.t3_SUM_D,0.00)) - (sum(ISNULL(t32.t3_sum_N,0.00)) + sum(ISNULL(t32.t3_sum_U,0.00)) + sum(ISNULL(t32.t3_sum_AV,0.00))) 
												   ELSE 
												   			sum(isnull(t31.t3_SUM_D,0.00)) 
										   		   END 	 )   	
											  	
									   else sum(isnull(t31.t3_SUM_D,0.00)) 		     
										  END )	
							END ,
			summa_nal = case when sd.typ_payment = 1 
								THEN	sum(isnull(t32.t3_SUM_N,0))  
									/*(CASE WHEN f.INOSTR = 1
											THEN ROUND((sum(t.SUMMA) / 0.70) - sum(t.DISBURS),0,0) - (sum(isnull(dd.MONTH_SK,0)) *0.13) 
											ELSE ROUND((sum(t.SUMMA) / 0.87)- sum(t.DISBURS) ,0,0) - (sum(isnull(dd.MONTH_SK,0)) *0.13)
										   END)*/
							ELSE  (CASE WHEN  isnull(dd.LINK,0) <> 0   --     -      
											THEN sum(dd.SUMMA)
									
										WHEN  isnull(dd.LINK,0) = 0 and sd.typ_tax = 2 --    "  " -     
											THEN (CASE WHEN f.INOSTR = 1
														THEN ROUND((sum(t.SUMMA) / 0.70) - sum(t.DISBURS),0,0) 
														ELSE ROUND((sum(t.SUMMA) / 0.87)- sum(t.DISBURS) ,0,0)
													END)
										WHEN  isnull(dd.LINK,0) = 0 and sd.typ_tax = 3	--    "   " -      
											then  (CASE WHEN   sum(ISNULL(t32.t3_sum_U,0)) <> 0 AND f.dis  = 1 
													   THEN 
													   	    0
													   ELSE 
													   		sum(isnull(t32.t3_SUM_N,0)) 
												   	   END 	    	
											      )
											 ELSE sum(isnull(t32.t3_SUM_N,0))  	
							       END ) 
										
						END ,
			DATE_VED = S.DATE ,
			
			DATE_CALC = dbo.DateEndOfMonth(S.DATE_CALC),
			DATE_PAY = SD.DATE_PAY,
			SD.TYP_PAYMENT, 
			SD.TYP_TAX,
			LINK_VKR =  isnull(t.link_sfin,SD.LINK_VKR),
			LINK_EKR = isnull(t.link_ekr,SD.LINK_EKR),
			LINK_PD = sd.LINK_PD,
			CODE_PD = pd.CODE,
			NAME_PD = pd.NAME,
			DATE_FACT = pd.DATE_FACT,
			DATE_FACT_C = pd.DATE_FACT_C,
			DATE_ENUM = pd.DATE_ENUM,
			DATE_ENUM_C = pd.DATE_ENUM_C,
			LINK_NDFL = dd.LINK,
			NDFL_SUM_BASE = sum(dd.summa_base),
			NDFL_MONTH_SK = sum(dd.MONTH_SK),
			NDFL_SUMMA = sum(dd.SUMMA),			
			SUMMA = sum(t.SUMMA),
			DISBURS = sum(t.DISBURS),
			date_doh = 	case when sd.typ_payment = 1 
								then ISNULL(dbo.DateEndOfMonth(S.DATE_CALC),SD.DATE_PAY)
							 WHEN sd.typ_payment = 3  
			           			then (CASE WHEN pd.DATE_FACT = 1 
												THEN dbo.next_work_day(dbo.DateEndOfMonth(S.DATE_CALC)-1)
								           ELSE ISNULL(SD.DATE_PAY, S.DATE) 
									  END ) 	
			           	END ,
			DATE_NAL = case when sd.typ_payment = 1  
								then ISNULL(SD.DATE_PAY,dbo.DateEndOfMonth(S.DATE_CALC))
							WHEN sd.typ_payment = 3 
								THEN (CASE WHEN pd.DATE_ENUM = 1 
												THEN dbo.next_work_day(dbo.DateEndOfMonth(S.DATE_CALC)-1)
								           ELSE ISNULL(SD.DATE_PAY, S.DATE) 
									  END ) 		
						END ,
			DATE_ISCH = case when sd.typ_payment = 1   
								then dbo.next_work_day(ISNULL(SD.DATE_PAY,dbo.DateEndOfMonth(S.DATE_CALC)))
			                 WHEN sd.typ_payment = 3
								THEN (CASE WHEN pd.DATE_ENUM = 1 
												THEN dbo.next_work_day(dbo.DateEndOfMonth(S.DATE_CALC)-1)
								           ELSE dbo.next_work_day(ISNULL(SD.DATE_PAY, S.DATE)) 
									  END ) 
						 END ,
	      
	    
	     /* t.link_EMPL, 
	      LINK_FACE = f.link_face, 
	      TYP_PAYMENT  = sd.TYP_PAYMENT ,
	      DATE_DV = CASE WHEN sd.TYP_PAYMENT = 1
								then dbo.DateEndOfMonth(S.DATE_CALC) 
	                     else sd.date_pay end , 
	      DATE_V = case when sd.TYP_PAYMENT = 1 
							then max(S.DATE) 
						else (case when pd.date_fact = 1 
									 then dbo.DateEndOfMonth(S.DATE_CALC) 
								   else sd.date_pay end) 
	                    end , 
		
			s.link, T.LINK_EKR, sd.TYP_PAYMENT, sum(s.SUMMA_T) AS SUMMA_T, sum(t.SUMMA) AS SUMMA, sum(t.DISBURS) AS DISBURS */
			DED = 0,
			t3SUM_D = sum(isnull(t31.t3_SUM_D,0))
		FROM
			DBO.sdoc s 
			INNER JOIN dbo.SDOC_VEDOM sd ON sd.LINK_UP = s.LINK AND sd.TYP_PAYMENT IN( 1,3)
			INNER JOIN dbo.SDOC_VEDOM_TABLE1 T ON T.LINK_UP = s.LINK
			INNER JOIN #FIZ_EMPL_TAB f ON /*sj.LINK_FACE = f.LINK_FACE AND*/ t.LINK_EMPL = f.LINK_EMPL
			LEFT JOIN (SELECT t3_SUM_D = SUM(s3.summa),s3.link_empl, s3.link_UP, s3.link_ekr, s3.link_sfin from dbo.sdoc_vedom_table3 s3 
						INNER JOIN SDOC_VEDOM_TABLE1 AS svt ON svt.LINK_UP = s3.LINK_UP  AND svt.LINK_EMPL= s3.LINK_EMPL AND svt.link_ekr = s3.link_ekr AND svt.LINK_SFIN = s3.LINK_SFIN						
						INNER JOIN dbo.pays sp3 ON sp3.LINK = s3.LINK_PAY 
			           where  s3.typ_pay = 1
			           AND svt.disburs <> 0 AND sp3.way_calc not in (14)
			           GROUP BY s3.link_empl, s3.link_UP, s3.link_ekr, s3.link_sfin) AS t31 ON t31.LINK_UP = s.LINK AND  t31.link_empl = t.link_empl AND t31.link_ekr =  t.link_EKR AND t31.link_sfin = t.LINK_SFIN  --    
			LEFT JOIN (SELECT t3_sum_N = ISNULL(SUM(case when p3.way_calc = 4 then t3.summa 
												ELSE 0 end ),0),
							t3_sum_U =  ISNULL(sum(case when p3.way_calc = 1 and p3.name =' ' THEN t3.summa
												ELSE 0 end ),0), 
							t3_sum_av = ISNULL((SELECT sUM(t1.disburs) 
											   FROM  
											   DBO.sdoc s1 
											   INNER JOIN dbo.SDOC_VEDOM sd1 ON sd1.LINK_UP = s1.LINK 
											   INNER JOIN dbo.SDOC_VEDOM_TABLE1 T1 ON T1.LINK_UP = sd1.LINK_UP
											   WHERE  sd1.TYP_PAYMENT IN( 2) 
											   AND t1.LINK_EMPL = t3.link_empl AND s1.date_calc = ss.DATE_CALC AND t1.link_sfin = t3.LINK_SFIN AND t1.link_ekr = t3.link_ekr 
							            ),0),		
							link_empl, 
							link_UP, t3.LINK_SFIN,t3.link_ekr
			           FROM dbo.sdoc_vedom_table3 t3 
					   INNER JOIN dbo.pays p3 ON p3.LINK = t3.LINK_PAY 
					   LEFT JOIN DBO.sdoc ss ON ss.link = t3.LINK_UP 		
			           where t3.typ_pay = 2 AND p3.way_calc in (4 , 1)
						GROUP BY link_empl, link_UP,ss.DATE_CALC ,t3.LINK_SFIN,t3.link_ekr) AS t32 ON t32.LINK_UP = s.LINK AND  t32.link_empl = t.link_empl AND t.link_sfin = t32.LINK_SFIN AND t.link_ekr = t32.link_ekr   --    
			LEFT JOIN dbo.dict_pay_direction Pd ON PD.LINK = SD.LINK_PD
			LEFT JOIN (SELECT D.LINK,D.NUMBER,D.DATE, D.FLAG_JC,D.PERIOD,D.SUMMA AS SUM_all,D.MONTH_BASE,D.YEAR_BASE,D.RKO,D.name_dep,
						  DI.ORDERS,DI.REF_EMPL,DI.LINK_VKR,DI.SUMMA_BASE,DI.TOTAL_SK,DI.SUM_CALC,DI.SUMMA,DI.TOTAL_DED,DI.TOTAL_SUM,DI.TOTAL_TAX,
						  DI.MONTH_SK,DI.MONTH_DED,LINK_EKR,DI.NDFL_RANGE
					   FROM DOCUMENTS_INCTAX D 
							LEFT JOIN DOCUMENTS_INCTAX_table DI ON DI.LINK = D.LINK
					   WHERE D.FLAG_JC = 1 ) AS DD 
							ON DD.LINK = SD.LINK_NDFL	 
							AND DD.REF_EMPL = f.LINK_EMPL 
							AND DD.LINK_VKR = T.LINK_SFIN
							AND DD.LINK_EKR = T.LINK_EKR
		WHERE
			( ((sd.TYP_PAYMENT = 1 AND t.summa = 0 AND NOT EXISTS( SELECT * FROM DBO.sdoc s_1 
																	INNER JOIN dbo.SDOC_VEDOM sd_1 ON sd_1.LINK_UP = s_1.LINK AND sd_1.TYP_PAYMENT = 3
																	INNER JOIN dbo.SDOC_VEDOM_TABLE1 T_1 ON T_1.LINK_UP = s_1.LINK 
																	LEFT JOIN dbo.dict_pay_direction Pd_1 ON Pd_1.LINK = SD_1.LINK_PD
			                                                       WHERE  t_1.LINK_EMPL = f.LINK_EMPL
			                                                       AND s_1.FLAG_JC = 1
			                                                       AND ( (isnull(SD_1.LINK_PD,0)= 0 AND S_1.DATE_CALC BETWEEN @dBDATE AND @dEDATE) OR 
																			  (isnull(SD_1.LINK_PD,0)<> 0 AND (
			  																									(Pd_1.DATE_FACT = 1 and S_1.DATE_CALC BETWEEN @dBDATE AND @dEDATE) 
			  																									 OR  (Pd_1.DATE_FACT = 2 and SD_1.DATE_PAY BETWEEN @dBDATE AND @dEDATE) 
			  																								 )  
																		  )								 
																		)
																  )
			    ) 
			   OR (sd.TYP_PAYMENT = 1 AND t.summa <> 0)
			   )
			  or (sd.TYP_PAYMENT = 3 AND t.summa <> 0) 
			)
			AND 
			s.FLAG_JC = 1
			AND
			( (isnull(SD.LINK_PD,0)= 0 AND S.DATE_CALC BETWEEN @dBDATE AND @dEDATE) OR 
			  (isnull(SD.LINK_PD,0)<> 0 AND ( (sd.TYP_PAYMENT = 1 AND SD.DATE_PAY BETWEEN @dBDATE AND @dEDATE) or
											 	
			  								 ((sd.TYP_PAYMENT <> 1 AND PD.DATE_FACT = 1 and S.DATE_CALC BETWEEN @dBDATE AND @dEDATE) 
			  								 OR  (sd.TYP_PAYMENT <> 1 AND PD.DATE_FACT = 2 and SD.DATE_PAY BETWEEN @dBDATE AND @dEDATE) 
			  								 ))  
			  )								 
			)
			--AND T.LINK_UP =     22427
			--AND  t.LINK_EMPL = 184
		GROUP BY T.LINK_EMPL ,date_calc ,f.link_face,f.INOSTR ,f.dis,F.date_DIS, s.link, S.DATE,SD.DATE_PAY,SD.TYP_PAYMENT, 
			SD.TYP_TAX,SD.LINK_VKR,SD.LINK_EKR,t.LINK_EKR,t.link_sfin,sd.LINK_PD,pd.CODE,pd.NAME,pd.DATE_FACT,pd.DATE_FACT_C,pd.DATE_ENUM,pd.DATE_ENUM_C,
			dd.link, sd.LINK_NDFL


--EXECUTE KIR_EXEC_QUERY 20671,'''2016'',4,12,0,20677'
----------------------------------

----------------------------------
---     UPDATE        "  " , 
--             
 UPDATE doh
		SET summa_doh = (CASE WHEN doh.INOSTR = 1
													THEN Floor(FLOOR(isnull(doh.summa,0.00)) / 0.70)/* + (sum(t.SUMMA) - Floor(sum(t.SUMMA)))*/ --sj.summa_doh
													ELSE Floor(FLOOR(isnull(doh.summa,0.00)) / 0.87) /*+ (sum(t.SUMMA) - Floor(sum(t.SUMMA)))*/
												END)   
						+ (disburs - FLOOR(DISBURS))						 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'DR'	AND doh.TYP_PAYMENT = 3
 AND doh.TYP_TAX = 2
 AND isnull(doh.LINK_NDFL,0) =  0

 -----------------------------------
 UPDATE doh
		SET summa_doh =  doh.NDFL_SUM_BASE						 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'DR'	AND doh.TYP_PAYMENT = 3
 AND doh.TYP_TAX = 2
 AND isnull(doh.LINK_NDFL,0) <>  0			
	

 --****
 UPDATE doh
		SET summa_doh =  ISNULL(( SELECT SUM(DI.summa_base)
					    FROM DOCUMENTS_INCTAX D 
							LEFT JOIN DOCUMENTS_INCTAX_table DI ON DI.LINK = D.LINK
					   WHERE D.FLAG_JC = 1 
					   AND d.MONTH_BASE = doh.mon AND d.YEAR_BASE = YEAR(doh.date_calc)	 								
							AND DI.REF_EMPL = doh.link_empl
							AND DI.LINK_VKR = doh.LINK_VKR
							AND DI.LINK_EKR = doh.LINK_EKR 
							AND summa_base <> 0.00 and di.summa <> 0.00 
							AND d.[date] = (SELECT MAX(d1.[DATE]) FROM DOCUMENTS_INCTAX d1 LEFT JOIN DOCUMENTS_INCTAX_table DI1 ON DI1.LINK = D1.LINK 
															WHERE D1.FLAG_JC = 1 AND d1.MONTH_BASE = doh.mon AND d1.YEAR_BASE = YEAR(doh.date_calc) 
															AND DI1.REF_EMPL = doh.link_empl AND di1.summa_base <> 0.00 and di1.summa <> 0.00 ))
								
						- 
						(SELECT sum(fd.summa_doh) from #FIZ_DOH fd 
								WHERE fd.vid_doh = 'DR'	
									 AND fd.TYP_PAYMENT = 3 
									 AND fd.LINK_EMPL = doh.LINK_EMPL
									 AND fd.mon = doh.mon
									 AND fd.LINK_VKR = doh.LINK_VKR
									 AND fd.LINK_EKR = doh.link_ekr) ,0)							 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'ZP'	AND doh.TYP_PAYMENT = 1 
 AND EXISTS(select * from #FIZ_DOH fd 
			WHERE fd.vid_doh = 'DR'	
			 AND fd.TYP_PAYMENT = 3 
			 AND fd.LINK_EMPL = doh.LINK_EMPL
			 AND fd.mon = doh.mon
			 AND fd.LINK_VKR = doh.LINK_VKR
			 AND fd.LINK_EKR = doh.link_ekr)
			 

 UPDATE doh
		SET summa_nal =  ( SELECT SUM(DI.summa)
					   FROM DOCUMENTS_INCTAX D 
							LEFT JOIN DOCUMENTS_INCTAX_table DI ON DI.LINK = D.LINK
					   WHERE D.FLAG_JC = 1 
					   AND d.MONTH_BASE = doh.mon AND d.YEAR_BASE = YEAR(doh.date_calc)	 
							AND DI.REF_EMPL = doh.link_empl
							AND DI.LINK_VKR = doh.LINK_VKR
							AND DI.LINK_EKR = doh.LINK_EKR) 
						- 
						(SELECT sum(fd.summa_nal) from #FIZ_DOH fd 
								WHERE fd.vid_doh = 'DR'	
									 AND fd.TYP_PAYMENT = 3 
									 AND fd.LINK_EMPL = doh.LINK_EMPL
									 AND fd.mon = doh.mon
									 AND fd.LINK_VKR = doh.LINK_VKR
									 AND fd.LINK_EKR = doh.link_ekr)							 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'ZP'	AND doh.TYP_PAYMENT = 1 
 AND EXISTS(select * from #FIZ_DOH fd 
			WHERE fd.vid_doh = 'DR'	
			 AND fd.TYP_PAYMENT = 3 
			 AND fd.LINK_EMPL = doh.LINK_EMPL
			 AND fd.mon = doh.mon
			 AND fd.LINK_VKR = doh.LINK_VKR
			 AND fd.LINK_EKR = doh.link_ekr)			 


 
 UPDATE doh
		SET summa_doh =  doh.summa_doh 
						- 
						(SELECT sum(fd.summa_doh) from #FIZ_DOH fd 
								WHERE fd.vid_doh = 'UV'	
									 AND fd.TYP_PAYMENT = 3 
									 AND fd.LINK_EMPL = doh.LINK_EMPL
									 AND fd.mon = doh.mon
									 AND fd.date_ved > doh.DATE_DIS
									 AND fd.LINK_VKR = doh.LINK_VKR
									 AND fd.LINK_EKR = doh.link_ekr 
									 AND fd.summa_nal = 0 )							 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'UV'	AND doh.TYP_PAYMENT = 3
 AND doh.DATE_VED = doh.DATE_DIS		
  AND EXISTS(select * from #FIZ_DOH fd 
			WHERE fd.vid_doh = 'UV'	
			 AND fd.TYP_PAYMENT = 3 
			 AND fd.LINK_EMPL = doh.LINK_EMPL
			 AND fd.mon = doh.mon
			 AND fd.date_ved > doh.DATE_DIS
			 AND fd.LINK_VKR = doh.LINK_VKR
			 AND fd.LINK_EKR = doh.link_ekr
			 AND fd.summa_nal = 0)		 
--***

 UPDATE doh
		SET summa_doh =  doh.t3SUM_D 
						 -
						 (SELECT sum(fd.summa_doh) from #FIZ_DOH fd 
										WHERE fd.vid_doh = 'UV'	
										 AND fd.TYP_PAYMENT = 3
										 AND fd.LINK_NDFL IS NOT NULL  
										 AND fd.LINK_EMPL = doh.LINK_EMPL
										 AND fd.mon = doh.mon
										 AND fd.date_ved < doh.DATE_DIS
										 AND fd.LINK_VKR = doh.LINK_VKR
										 AND fd.LINK_EKR = doh.link_ekr
										 /*AND fd.summa_nal = 0 */)							 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'UV'	AND doh.TYP_PAYMENT = 1
 AND (doh.DATE_VED >= doh.DATE_DIS OR (  year(doh.DATE_VED) = year(doh.DATE_DIS)	AND  MONTH(doh.DATE_VED) = month(doh.DATE_DIS)	)	)
 AND EXISTS(select * from #FIZ_DOH fd 
			WHERE fd.vid_doh = 'UV'	
			 AND fd.TYP_PAYMENT = 3
			 AND fd.LINK_NDFL IS NOT NULL  
			 AND fd.LINK_EMPL = doh.LINK_EMPL
			 AND fd.mon = doh.mon
			 AND fd.date_ved < doh.DATE_DIS
			 AND fd.LINK_VKR = doh.LINK_VKR
			 AND fd.LINK_EKR = doh.link_ekr
			-- AND fd.summa_nal = 0)		
)

UPDATE  doh
SET summa_nal = ROUND(ROUND(summa,0,0)/ 0.87 - summa,0,0)
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'UV'	AND doh.TYP_PAYMENT = 1
 AND (doh.DATE_VED >= doh.DATE_DIS OR (  year(doh.DATE_VED) = year(doh.DATE_DIS)	AND  MONTH(doh.DATE_VED) = month(doh.DATE_DIS)	)	)
 AND EXISTS(select * from #FIZ_DOH fd 
			WHERE fd.vid_doh = 'UV'	
			 AND fd.TYP_PAYMENT = 3
			 AND fd.LINK_NDFL IS NOT NULL  
			 AND fd.LINK_EMPL = doh.LINK_EMPL
			 AND fd.mon = doh.mon
			 AND fd.date_ved < doh.DATE_DIS
			 AND fd.LINK_VKR = doh.LINK_VKR
			 AND fd.LINK_EKR = doh.link_ekr
			)	
 
 UPDATE doh
		SET summa_doh =  case when (doh.dISBURS - ceiling(doh.dISBURS) ) > 0
							  THEN CEILING(doh.summa_doh) + (doh.dISBURS - ceiling(doh.dISBURS))
							  ELSE CEILING(doh.summa_doh)
							  END 				 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'DZP'
 	
 UPDATE doh
		SET summa_nal =  ceiling(doh.summa_nal) 									 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'DZP'	
--***	

--EXECUTE KIR_EXEC_QUERY 20302,'''2016'',3,10,0,20308'

 INSERT INTO #FIZ_VID_DOH(link_FACE, PERS_LINK, LINK_EMPL, INOSTR , DIS, DATE_DIS, VID_DOH, mon,summa_doh,summa_nal,DATE_DOH,DATE_NAL, DATE_ISCH, DED, link_ved , sum_ded ) 
 SELECT
		link_FACE, 
		PERS_LINK, 
		LINK_EMPL, 
		INOSTR , 
		DIS = CASE when MONTH(DATE_DIS) = mon  THEN 1 ELSE 0 end, 
		DATE_DIS, 
		VID_DOH, 
		mon,
		summa_doh, 
		summa_nal, 
		DATE_DOH,
		DATE_NAL, 
		DATE_ISCH, 
		DED, 
		link_ved ,
		SUM_DED_OTHER = 0
 FROM #FIZ_DOH 	WHERE (summa_doh <> 0 )--AND summa_nal <> 0)	 


--SELECT * FROM #FIZ_VID_DOH ORDER BY link_empl, mon, date_doh
-- -- EXECUTE KIR_EXEC_QUERY 20185,'''2016'',1,20193'


	DROP TABLE #S_J_C_SHORT
	DROP TABLE #FIZ_EMPL_TAB

--DROP TABLE #FIZ_DOH

END 

RETURN 0







GO


GRANT EXECUTE ON dbo.[SA_6NDFL_PREPARE_R2] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_ST_NUMERATOR2]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_ST_NUMERATOR2]

GO


CREATE   PROCEDURE [dbo].SZV_ST_NUMERATOR2 (@link int)
AS

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @Year INT, @PER TINYINT, @MONTH_END TINYINT, @MONTH_BEG TINYINT, @INSUR1 NUMERIC(20,2), @GAIN1 NUMERIC(20,2)
SELECT @Year = YEAR_BEGIN, @PER = PER, @MONTH_END = MONTH_END, @INSUR1 = ISNULL(INSUR1,0),  @GAIN1 = ISNULL(GAIN1,0) FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link

DECLARE @PeriodBegin datetime, @PeriodEnd datetime

IF @Year < 2010
BEGIN
	SET @MONTH_BEG = 1
	SET @MONTH_END = (CASE WHEN @MONTH_END < 12 THEN @MONTH_END ELSE 12 END)
END

IF @Year = 2010
BEGIN
	SET @MONTH_BEG = (CASE WHEN @PER = 2 THEN 1 ELSE 7 END)
	SET @MONTH_END = (CASE WHEN @MONTH_END < (@MONTH_BEG+6-1) THEN @MONTH_END ELSE (@MONTH_BEG+6-1) END)
END

IF @Year > 2010
BEGIN
	SET @MONTH_BEG = (CASE @PER WHEN 1 THEN 1 WHEN 2 THEN 4 WHEN 3 THEN 7 WHEN 4 THEN 10 END)
	SET @MONTH_END = (CASE WHEN @MONTH_END < (@MONTH_BEG+3-1) THEN @MONTH_END ELSE (@MONTH_BEG+3-1) END)
END

SELECT @PeriodBegin = dbo.ConvertDMY2Date(1,@MONTH_BEG,@Year), @PeriodEnd = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH_END,@Year))

/*  */
CREATE TABLE #TBL (LINK INT)
INSERT INTO #TBL(LINK)
Select DISTINCT SV.link  from dbo.SZV_STAZH_svedenia SV inner join dbo.szv_ST_stazh ST on ST.link_up = SV.link
	where SV.link_up = @link 
	group by SV.link
	having count(SV.link) > 1
UNION
Select DISTINCT SV.link  from dbo.SZV_STAZH_svedenia SV inner join dbo.szv_ST_stazh ST on ST.link_up = SV.link
	where SV.link_up = @link 
		and ( coalesce(osob_usl,'') <> ''
			or coalesce(is_osnov,'') <> ''
			or coalesce(is_dop,'') <> ''
			or coalesce(ud_osnov,'') <> ''
			or (@Year >= 2010 AND coalesce(ter_usl,'') <> '')
		)

--  >= 2010        
CREATE TABLE #LGOT (LINK INT)
INSERT INTO #LGOT(LINK)
Select DISTINCT SV.link  from dbo.SZV_STAZH_svedenia SV inner join dbo.szv_ST_stazh ST on ST.link_up = SV.link
	where SV.link_up = @link 
		and ( coalesce(osob_usl,'') <> ''
			or coalesce(is_osnov,'') <> ''
			or coalesce(ud_osnov,'') <> ''
			or (@Year >= 2010 AND coalesce(ter_usl,'') <> '')
		)

--  < 2010     
CREATE TABLE #SZV_ST2_TERUSL (LINK INT, TER_CODE VARCHAR(20))
INSERT INTO #SZV_ST2_TERUSL (LINK, TER_CODE)
Select DISTINCT SV.link, ST.ter_usl from dbo.SZV_STAZH_svedenia SV inner join dbo.szv_ST_stazh ST on ST.link_up = SV.link
where 
	SV.link_up = @link 
	and coalesce(ter_usl,'') <> '' 
	and SV.link not in (select tbl.link from #TBL tbl)
	AND @Year < 2010

----------------------------------------------------------------------------------------
update dbo.szv_STAZH_svedenia 
Set forma = 1
from dbo.szv_STAZH_svedenia  S inner join #TBL T on S.link = T.link
where S.link_up = @link	

update dbo.szv_STAZH_svedenia 
Set forma = 2
where link_up = @link and link not in (Select T.link from #TBL T)	

/*   */
UPDATE dbo.SZV_STAZH_SVEDENIA SET ORDERS = 0 WHERE link_up = @link

DECLARE @MAXNUM int, @Forma tinyint
SET @MAXNUM = dbo.sa_get_option_by_code('SA_SZV_STAZH_OPT1')

IF COALESCE(@MAXNUM,0) <=0
	SET @MAXNUM = 200

declare @nextOrd int, @pachNum int, @newForm tinyint, @oldForm tinyint
Set @pachNum = Coalesce((select numer from dbo.szv_STAZH_pachka where link = @link),0) 
Set @pachNum = (case when @pachNum = 0 then 1 else @pachNum end)
Set @pachNum = COALESCE(@pachNum,0) + (CASE WHEN COALESCE(dbo.sa_get_option_by_code('SA_SZV_STAZH_OPT3'),0) = 1 THEN 1 ELSE 0 END)

--CREATE TABLE #INVALIDY (PERS_LINK INT)
--INSERT INTO #INVALIDY (PERS_LINK)
--SELECT DISTINCT E.PERS_LINK FROM dbo.KU_PERS_INVALID  DIF INNER JOIN dbo.EMPL E ON DIF.PERS_LINK = E.PERS_LINK
--WHERE COALESCE(DIF.DATE_BEGIN,@PeriodEnd) <= @PeriodEnd AND COALESCE(DIF.DATE_END,@PeriodBegin) >= @PeriodBegin and E.DEP_LINK = @DEP_LINK

CREATE TABLE #ORDERS (ID INT, LINK INT, FORMA tinyint, KATEG tinyint, LGT tinyint, TER_CODE VARCHAR(254), ORD INT)
INSERT INTO #ORDERS (LINK, FORMA, KATEG, LGT, TER_CODE)
Select 
	S.link, forma, 
	S.LINK_KATEG,
	LGT = (CASE WHEN ISNULL(L.LINK,0) = 0 THEN 0 ELSE 1 END),
	TER_CODE = (CASE WHEN LTRIM(RTRIM(ISNULL(T.TER_CODE,''))) = '' THEN '' ELSE LTRIM(RTRIM(ISNULL(T.TER_CODE,''))) END)
from dbo.SZV_STAZH_SVEDENIA S
	LEFT JOIN #LGOT L ON L.LINK = S.LINK
	LEFT JOIN #SZV_ST2_TERUSL T ON T.LINK = S.LINK
where link_up = @link
ORDER BY
	forma, 
	(CASE WHEN ISNULL(L.LINK,0) = 0 THEN 0 ELSE 1 END),	
	(CASE WHEN LTRIM(RTRIM(ISNULL(T.TER_CODE,''))) = '' THEN 0 ELSE LTRIM(RTRIM(ISNULL(T.TER_CODE,''))) END),	
	dbo.ku_GetPersFIO(S.link_pers)

-- ,      
CREATE TABLE #ORDERS1 (ID1 INT IDENTITY(1,1), FORMA INT, KATEG INT, LGT INT, TER_CODE VARCHAR(20))

INSERT INTO #ORDERS1 (FORMA, KATEG, LGT, TER_CODE)
SELECT DISTINCT FORMA, KATEG, LGT, TER_CODE
FROM #ORDERS
ORDER BY FORMA, KATEG, LGT, TER_CODE		

UPDATE O
SET ID = ID1
FROM #ORDERS O INNER JOIN #ORDERS1 O1 ON O.FORMA = O1.FORMA AND O.KATEG = O1.KATEG AND O.LGT = O1.LGT AND O.TER_CODE = O1.TER_CODE


CREATE TABLE #ORDERS_N (ID INT, LINK INT, FORMA tinyint, KATEG tinyint, LGT tinyint, TER_CODE VARCHAR(254), ORD INT)
INSERT INTO #ORDERS_N (ID, LINK, FORMA, KATEG, LGT, TER_CODE, ORD)
SELECT ID, LINK, FORMA, KATEG, LGT, TER_CODE, ORD FROM #ORDERS ORDER BY ID

--   
DECLARE @ORD INT, @ID INT
SELECT @ORD = 0, @ID = 0

UPDATE #ORDERS_N
SET
	@ORD = CASE WHEN @ID <> ID THEN 1 ELSE @ORD + 1 END,
	ORD = @ORD,
	@ID = ID

--  
CREATE TABLE #ORDERS2 (ID1 INT IDENTITY(1,1), FORMA INT, KATEG INT, LGT INT, TER_CODE VARCHAR(20), PART INT )

INSERT INTO #ORDERS2 (FORMA, KATEG, LGT, TER_CODE, PART)	
SELECT DISTINCT FORMA, KATEG, LGT, TER_CODE, PART = CEILING(CAST(ord AS FLOAT) /@MAXNUM)
FROM #ORDERS_N
ORDER BY FORMA, KATEG, LGT, TER_CODE, CEILING(CAST(ord AS FLOAT) /@MAXNUM)


UPDATE O
SET ID = ID1
FROM #ORDERS_N O INNER JOIN #ORDERS2 O1 
	ON O.FORMA = O1.FORMA 
		AND O.KATEG = O1.KATEG
		AND O.LGT = O1.LGT 
		AND O.TER_CODE = O1.TER_CODE
		AND CEILING(CAST(O.ord AS FLOAT) /@MAXNUM) = O1.PART

UPDATE S
Set 
	PACHKA = T.ID + @pachNum - 1,
	orders = (T.ord-1) % @MAXNUM + 1--,
from dbo.SZV_STAZH_SVEDENIA S inner join #ORDERS_N T on S.link = T.link
WHERE S.link_up = @link




GO


GRANT EXECUTE ON dbo.[SZV_ST_NUMERATOR2] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_NUMERATOR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_STAZH_NUMERATOR]

GO


CREATE   PROCEDURE [dbo].SZV_STAZH_NUMERATOR (@link int)
AS

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @Year INT
SELECT @Year = YEAR_BEGIN FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link

IF @Year <= 2012
	EXEC dbo.SZV_ST_NUMERATOR2 @link
ELSE
	EXEC dbo.SZV_ST_NUMERATOR3 @link	


GO


GRANT EXECUTE ON dbo.[SZV_STAZH_NUMERATOR] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_ST_PACHKA_PROVERKA]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_ST_PACHKA_PROVERKA]

GO

CREATE   PROCEDURE dbo.SZV_ST_PACHKA_PROVERKA (@result int output, @link int, @mode tinyint)
AS

if @mode = 0 
BEGIN
	Select @result = proverka from dbo.SZV_STAZH_PACHKA where link = @link
	RETURN 0
END

if @mode = 1
BEGIN
	set @result = 0

	declare @DEP_LINK int
	exec dbo.xd_whats_zb @DEP_LINK output

	DECLARE @varKSNOM_PF VARCHAR(20), @varKSname VARCHAR(254), @varKSDEP int,
		@varKSOKPO VARCHAR(40), @varKSINN VARCHAR(12), @varKSKPP VARCHAR(9)--, @varKSRESULT INT

	SELECT 
		@varKSDEP = D.link, @varKSNOM_PF = PFNUMBER, @varKSname = UPPER([NAME]),
		@varKSOKPO = OKPO, @varKSINN = INN, @varKSKPP = KPP
	FROM DICTIONARY_DEPARTMENT D 
	WHERE D.link = @DEP_LINK

	declare @year_begin int
	set @year_begin = (SELECT year_begin FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link)

--	EXEC SD_CHECK_INN @varKSINN, @varKSRESULT OUTPUT, 0

	SELECT pachka = 0, orders = 0, msg = '  : ' + 
	(case when LEN(RTRIM(LTRIM(COALESCE(@varKSKPP,'')))) = 0 THEN '   ;' else '' end)
	WHERE LEN(RTRIM(LTRIM(COALESCE(@varKSKPP,'')))) = 0 
	UNION
	SELECT pachka = 0, orders = 0, msg = '  : ' + 
	(case when LEN(RTRIM(LTRIM(COALESCE(@varKSOKPO,'')))) = 0 THEN '   ;' else '' end)
	WHERE LEN(RTRIM(LTRIM(COALESCE(@varKSOKPO,'')))) = 0 
	UNION
	SELECT pachka = 0, orders = 0, msg = '  : ' + 
	(case when LEN(RTRIM(LTRIM(COALESCE(@varKSINN,'')))) = 0 THEN '   ;' 
		else (case when LEN(RTRIM(LTRIM(COALESCE(@varKSINN,'')))) < 10  then '    ' + RTRIM(LTRIM(COALESCE(@varKSINN,''))) else '' end) end)
	WHERE LEN(RTRIM(LTRIM(COALESCE(@varKSINN,'')))) < 10  --or @varKSRESULT = -1
	UNION
	SELECT pachka = 0, orders = 0, msg = '  : ' + 
	(case when LEN(RTRIM(LTRIM(COALESCE(@varKSNOM_PF,'')))) = 0 THEN '      ;' 
		else (case when LEN(RTRIM(LTRIM(COALESCE(@varKSNOM_PF,'')))) <> 14 then '       ' + RTRIM(LTRIM(COALESCE(@varKSNOM_PF,''))) else '' end) end)
	WHERE LEN(RTRIM(LTRIM(COALESCE(@varKSNOM_PF,'')))) <> 14
	UNION
	Select pachka, orders, msg = ' ' + convert(varchar(10),pachka) + ' . ' + convert(varchar(10),orders) + '  () ():' + 
		(case when coalesce(FM,'') = '' then ' ;' else '' end) + 
		(case when coalesce(IM,'') = '' then ' ;' else '' end) + 
		--(case when coalesce(OT,'') = '' then ' ;' else '' end) + 
		(case when coalesce(PF_NUM,'') = '' then '   ;' else '' end) + 
		(case when len(coalesce(ADDRESS2,'')) <= 9 then ' ' else '' end)
	from dbo.ss_szv_STAZH_svedenia
	where	
		link = @link
		and (
		coalesce(FM,'') = ''
		or coalesce(IM,'') = ''
		--or coalesce(OT,'') = ''
		or coalesce(PF_NUM,'') = ''
		or len(coalesce(ADDRESS2,'')) <= 9
		)
	UNION
	Select pachka, orders, msg = ' ' + convert(varchar(10),pachka) + ' . ' + convert(varchar(10),orders) + ' :' + 
		+ (case when coalesce(dper_vn_m,0)>12 or coalesce(dper_oz_m,0)>12 then ' -      12;' else '' end)
		+ (case when coalesce(dper_vn_d,0)>=30 or coalesce(dper_oz_d,0)>=30 then ' -     30;' else '' end)
		+ (case when (coalesce(dper_vn_m,0) + coalesce(dper_vn_d,0) / 30 + coalesce(dper_oz_m,0) + coalesce(dper_oz_d,0) / 30) > 12 then 
				'    . .     /    12 .;' else '' end)	

	from dbo.ss_szv_STAZH_svedenia
	where	
		link = @link
		and (
		coalesce(dper_vn_m,0)>12
		or coalesce(dper_vn_d,0)>=30
		or coalesce(dper_oz_m,0)>12
		or coalesce(dper_oz_d,0)>=30
		or (coalesce(dper_vn_m,0) + coalesce(dper_vn_d,0)/30 + coalesce(dper_oz_m,0) + coalesce(dper_oz_d,0)/30) > 12
		)

	UNION
	Select pachka, orders, msg = ' ' + convert(varchar(10),pachka) + ' . ' + convert(varchar(10),orders) + ' :' + 
		+ '    !'
	from dbo.ss_szv_STAZH_svedenia SV
	where	
		link = @link
		and exists (select * from dbo.SZV_ST_stazh S1 inner join dbo.SZV_ST_stazh S2 on S1.link_up = S2.link_up and  S1.link <> S2.link
		where S1.link_up = SV.link1 and (S1.date1 between S2.date1 and S2.date2 or S1.date2 between S2.date1 and S2.date2)) 
	UNION
	/*    ,            */	
	Select pachka, orders, msg = ' ' + convert(varchar(10),pachka) + ' . ' + convert(varchar(10),orders) + ' ,       .           ,     .'
	from dbo.ss_szv_STAZH_svedenia S inner join  dbo.szv_STAZH_pachka p on p.link = s.link
	WHERE s.link = @LINK AND s.sum_doh = 0 AND s.INSUR = 0 AND s.GAIN = 0 AND s.DOP = 0 and s.sum_uplata_dolga_str = 0 and s.sum_uplata_dolga_nak = 0 AND S.INCOME_M1 = 0 AND S.INCOME_M2 = 0 AND S.INCOME_M3 = 0
	and p.vid_kor != 3
	AND NOT EXISTS (SELECT * FROM dbo.SZV_ST_STAZH ST WHERE ST.LINK_UP = S.LINK1)
	Order by pachka, orders

	if @@ROWCOUNT = 0 
	BEGIN
		exec dbo.SZV_ST_NUMERATOR @link
		update dbo.szv_STAZH_pachka set proverka = 1 where link = @link
		set @result = 1
	END		


END

RETURN 0






GO


GRANT EXECUTE ON dbo.[SZV_ST_PACHKA_PROVERKA] TO PUBLIC

GO


-- --


GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SVODREP_DATA_SELECT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SVODREP_DATA_SELECT]

GO
/*
:     
 :  @xmlmessage  _REPORT_REQUEST_DATA_SELECT 
 :
 :
        exec [dbo].[SVODREP_DATA_SELECT] @xmlmessage =@xmlmessage
:
:  ..
*/

CREATE PROCEDURE [dbo].[SVODREP_DATA_SELECT] 
	@dBEGIN_DATE datetime = null,
	@dEND_DATE  datetime = null,
	@cCode varchar (100) = null,
	@vCodeDep varchar(10) = null,
	@uGUID uniqueidentifier = null,
	@debug int = 0
			
AS BEGIN
    SET NOCOUNT ON
    SET QUOTED_IDENTIFIER ON
    SET ANSI_NULLS ON 
    declare @iDep int,
			@cVersion varchar(3)
    
    set @cVersion = '3.2'
   
    select @iDep = LINK 
    from dbo.DEPARTMENTS
    WHERE SVOD_CODE = @vCodeDep and ([TYPE] = 4 or ZB is not null)
    
							
	if @cCode like '0503[17]75%'
	begin
	
		SELECT	ACC		= SA.LINK
				,EKR	= GPA.EKR
				,KBK	= GPA.KBK
				,COR	= case when GPA.DEP is not null and GPA.DEP <> G.DEP then GPA.DEP else GPA1.DEP end
				,OSN	= GPA.AP1
				,SUMMA	= sum(ISNULL(CASE GPA.DB_KR WHEN 1 THEN g2.SUMMA ELSE -g2.SUMMA END,0))
				,G.DEP
		INTO #tOBOROT
		FROM dbo.G_PROV G
		INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
		INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
		INNER JOIN dbo.G_PROV_AP GPA ON GPA.LINK_UP = G2.LINK
		INNER JOIN dbo.G_PROV_AP GPA1 ON GPA1.LINK_UP = G2.LINK and GPA.DB_KR <> GPA1.DB_KR
		INNER JOIN dbo.S_ACCOUNTS sa ON sa.LINK = GPA.ACCOUNT
		--  
		WHERE G.DEP = @iDep
			and g.DATE_PROV BETWEEN @dBEGIN_DATE AND @dEND_DATE
			and not exists(select * from dbo.S_OBJECTS SO where SO.LINK = G.[OBJECT] and  (SO.CODE <> 'SHABLON_DOCUMENTS_PROV' or SO.CODE <> 'DOC_CLOSE_YEAR'))
			and (sa.cSinth = '502' and (sa.cAnalit = '11' or sa.cAnalit = '12'))
		GROUP BY SA.LINK, GPA.EKR, GPA.KBK, GPA.AP1, G.DEP, case when GPA.DEP is not null and GPA.DEP <> G.DEP then GPA.DEP else GPA1.DEP end
	
	
		UPDATE O
		SET SUMMA = O.SUMMA -  ISNULL(CASE GPA.DB_KR WHEN 1 THEN g2.SUMMA ELSE -g2.SUMMA END, 0)
		FROM #tOBOROT O
		INNER JOIN dbo.G_PROV G ON G.DEP = O.DEP
		INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
		INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
		INNER JOIN dbo.G_PROV_AP GPA ON GPA.LINK_UP = G2.LINK and GPA.AP1 = O.OSN and GPA.KBK = O.KBK and GPA.EKR = O.EKR
		INNER JOIN dbo.S_ACCOUNTS sa ON sa.LINK = GPA.ACCOUNT
		WHERE g.DATE_PROV BETWEEN @dBEGIN_DATE AND @dEND_DATE
			and not exists(select * from dbo.S_OBJECTS SO where SO.LINK = G.[OBJECT] and  (SO.CODE <> 'SHABLON_DOCUMENTS_PROV' or SO.CODE <> 'DOC_CLOSE_YEAR'))
			and (sa.cSinth = '502' and (sa.cAnalit = '11' or sa.cAnalit = '12'))
			and (sa.cSinth = '304' and sa.cAnalit = '05' or sa.cSinth = '201' and sa.cAnalit = '11' and GPA.DB_KR = 1)
		
	
		insert into dbo.SVOD_REP_CALC_DATA75
		SELECT @uGUID,
				KBK_CODE = REPLACE(KBK.CODE, '.', ''),
				KBK_TYPE = KBK.[TYPE],
				ACC_CODE = SA.CODE,
				EKR_CODE = EKR.CODE,
				DATE_B = right(convert(char(10), CH.DATE_ACCEPT,104), 7),
				DATE_I = right(convert(char(10), CH.DATE_EXEC,104), 7),
				SUMMA = O.SUMMA,
				OPERS = '',
				DEP_INN = case isnull(len(DEP.INN), 0) when 10 then DEP.INN else '0000000000' end ,
				DEP_NAME = case isnull(len(DEP.INN), 0) when 10 then DEP.NAME else '' end ,
				STAMP = 0
		FROM #tOBOROT O
		left join dbo.KL_KBK KBK on KBK.LINK = O.KBK
		left join dbo.S_ACCOUNTS SA on SA.LINK = O.ACC
		left join dbo.KOSGU EKR on EKR.LINK = O.EKR
		left join dbo.OSNOV OSN  ON OSN.LINK = O.OSN
		left join dbo.FINANSE_CONTRACT_HEAD CH ON CH.LINK_UP = OSN.LINK_G_PROV  
		left join dbo.DEPARTMENTS DEP on DEP.LINK = O.COR
	end
	
	insert into dbo.SVOD_REP_CALC_DATA
	select @uGUID,
			KBK_CODE_DT = REPLACE(KBK_D.CODE, '.', ''),
			KBK_TYPE_DT = KBK_D.TYPE,
			ACC_CODE_DT = SA_D.CODE,
			SGU_CODE_DT = SGU_D.CODE,
			EKR_CODE_DT = EKR_D.CODE,
			KAU_CODE_DT = KAU_D.CODE,
			DEP_CODE_DT = coalesce('#D#' + DEP_D.CODE, '#E#' + EMP_D.TAB, ''),
			DEP_NAME_DT = coalesce(DEP_D.NAME, EMP_D.NAME_EMPL, ''),
			DEP_INN_DT  = DEP_D.INN_LONG,
			DEP_OKTMO_DT = DEP_D.OKTMO,
			DEP_ADM_DT = DEP_D.VED,
			DEP_EL_BUDG_DT = BUD_D.CODE_EL,
			DEP_ACC_DT = DA_D.CODE,
			DCL_DT = DCL_D.CODE,
	        
			KBK_CODE_KT = REPLACE(KBK_K.CODE, '.', ''),
			KBK_TYPE_KT = KBK_K.TYPE,
			ACC_CODE_KT = SA_K.CODE,
			SGU_CODE_KT = SGU_K.CODE,
			EKR_CODE_KT = EKR_K.CODE,
			KAU_CODE_KT = KAU_K.CODE,
			DEP_CODE_KT = coalesce('#D#' + DEP_K.CODE, '#E#' + EMP_K.TAB, ''),
			DEP_NAME_KT = coalesce(DEP_K.NAME, EMP_K.NAME_EMPL, ''),
			DEP_INN_KT = DEP_K.INN_LONG,
			DEP_OKTMO_KT = DEP_K.OKTMO,
			DEP_ADM_KT = DEP_K.VED,
			DEP_EL_BUDG_KT = BUD_K.CODE_EL,
			DEP_ACC_KT = DA_K.CODE,
			DCL_KT = DCL_K.CODE,
	        
			[DATE] = P.DATE_PROV,
			SUMMA = P.SUMMA,
			OPERS = '',
			P.[TYPE],
			dep_inn = DEP.INN_LONG,
			DEP_INN1 = DEP.INN_LONG,
			DEP_OKTMO = DEP.OKTMO,
			DEP_ADM = DEP.VED,
			0
	from (
	select DT_VKR, DT_ACCOUNT, DT_SGU, DT_EKR, DT_KAU, DT_EMP, DT_DEP, DT_DEP_ACC, DT_AP2, 
		KT_VKR, KT_ACCOUNT, KT_SGU, KT_EKR, KT_KAU, KT_EMP, KT_DEP, KT_DEP_ACC, KT_AP2, 
		DATE_PROV = @dEND_DATE, SUMMA = sum(P.SUMMA), [TYPE] = 1
	from dbo.AProvByBufferConditionsShort(@dBEGIN_DATE, @dEND_DATE, null, null) P 
	where P.DEP_LINK = @iDep
		--and not exists(select * from dbo.G_PROV1 G1
		--				inner join dbo.G_PROV2 G2 on G2.LINK_UP = G1.LINK and G2.LINK <> LINK_G2 and G1.LINK = LINK_G1
		--				inner join dbo.G_PROV_AP GAP on GAP.LINK_UP = G2.LINK and DB_KR = 1
		--				inner join dbo.S_Accounts SAK on SAK.link = GAP.ACCOUNT and SAK.ZABALANS = 1
		--				inner join dbo.S_Accounts SAD on SAD.CODE = SAK.CODE and P.DT_ACCOUNT = SAD.LINK and SAD.ZABALANS = 1)
		--and not exists(select * from dbo.G_PROV1 G1
		--				inner join dbo.G_PROV2 G2 on G2.LINK_UP = G1.LINK and G2.LINK <> LINK_G2 and G1.LINK = LINK_G1
		--				inner join dbo.G_PROV_AP GAP on GAP.LINK_UP = G2.LINK and DB_KR = 0
		--				inner join dbo.S_Accounts SAD on SAD.link = GAP.ACCOUNT and SAD.ZABALANS = 1
		--				inner join dbo.S_Accounts SAK on SAK.CODE = SAD.CODE and P.KT_ACCOUNT = SAK.LINK and SAK.ZABALANS = 1)
	group by DT_VKR, DT_ACCOUNT, DT_SGU, DT_EKR, DT_KAU, DT_EMP, DT_DEP, DT_DEP_ACC, DT_AP2, 
			KT_VKR, KT_ACCOUNT, KT_SGU, KT_EKR, KT_KAU, KT_EMP, KT_DEP, KT_DEP_ACC, KT_AP2, 
			P.DEP_LINK
	union all
	select case when sum(D_SUMMA - K_SUMMA) > 0 and SA.cSinth in ('205', '208', '303', '209') or  
					sum(D_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then KBK else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) > 0 and SA.cSinth in ('205', '208', '303', '209') or 
					sum(D_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then ACCOUNT else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) > 0 and SA.cSinth in ('205', '208', '303', '209') or 
					sum(D_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then SGU else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) > 0 and SA.cSinth in ('205', '208', '303', '209') or  
					sum(D_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then EKR else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) > 0 and SA.cSinth in ('205', '208', '303', '209') or  
					sum(D_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then KAU else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) > 0 and SA.cSinth in ('205', '208', '303', '209') or  
					sum(D_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then EMP else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) > 0 and SA.cSinth in ('205', '208', '303', '209') or  
					sum(D_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then DEP else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) > 0 and SA.cSinth in ('205', '208', '303', '209') or  
					sum(D_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then DEP_ACC else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) > 0 and SA.cSinth in ('205', '208', '303', '209') or  
					sum(D_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then AP2 else NULL end, 
			
			case when sum(D_SUMMA - K_SUMMA) < 0 and SA.cSinth in ('205', '208', '303', '209') or  
					sum(K_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then KBK else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) < 0 and SA.cSinth in ('205', '208', '303', '209') or    
					sum(K_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then ACCOUNT else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) < 0 and SA.cSinth in ('205', '208', '303', '209') or   
					sum(K_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then SGU else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) < 0 and SA.cSinth in ('205', '208', '303', '209') or    
					sum(K_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then EKR else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) < 0 and SA.cSinth in ('205', '208', '303', '209') or    
					sum(K_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then KAU else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) < 0 and SA.cSinth in ('205', '208', '303', '209') or    
					sum(K_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then EMP else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) < 0 and SA.cSinth in ('205', '208', '303', '209') or    
					sum(K_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then DEP else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) < 0 and SA.cSinth in ('205', '208', '303', '209') or    
					sum(K_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then DEP_ACC else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) < 0 and SA.cSinth in ('205', '208', '303', '209') or    
					sum(K_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then AP2 else NULL end, 
			@dBegin_DATE,
			case when SA.cSinth in ('205', '208', '303', '209') then abs(sum(D_SUMMA - K_SUMMA))  
				when sum(D_SUMMA) <> 0 then sum(D_SUMMA)
				when sum(K_SUMMA) <> 0 then sum(K_SUMMA) else 0 end, 
			[TYPE] = 2
	from dbo.ARestTableByDAte(@dBegin_DATE,null) P
	inner join dbo.S_ACCOUNTS SA on SA.LINK = P.ACCOUNT
	where P.DEP_LINK = @iDep
	group by KBK, ACCOUNT, SGU, EKR, KAU, DEP, DEP_ACC, DEP_LINK, AP2, EMP, SA.cSinth
	union all
	select case when sum(D_SUMMA - K_SUMMA) > 0 and SA.cSinth in ('205', '208', '303', '209') or  
					sum(D_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then KBK else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) > 0 and SA.cSinth in ('205', '208', '303', '209') or 
					sum(D_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then ACCOUNT else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) > 0 and SA.cSinth in ('205', '208', '303', '209') or 
					sum(D_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then SGU else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) > 0 and SA.cSinth in ('205', '208', '303', '209') or  
					sum(D_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then EKR else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) > 0 and SA.cSinth in ('205', '208', '303', '209') or  
					sum(D_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then KAU else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) > 0 and SA.cSinth in ('205', '208', '303', '209') or  
					sum(D_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then EMP else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) > 0 and SA.cSinth in ('205', '208', '303', '209') or  
					sum(D_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then DEP else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) > 0 and SA.cSinth in ('205', '208', '303', '209') or  
					sum(D_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then DEP_ACC else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) > 0 and SA.cSinth in ('205', '208', '303', '209') or  
					sum(D_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then AP2 else NULL end, 
			
			case when sum(D_SUMMA - K_SUMMA) < 0 and SA.cSinth in ('205', '208', '303', '209') or  
					sum(K_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then KBK else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) < 0 and SA.cSinth in ('205', '208', '303', '209') or    
					sum(K_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then ACCOUNT else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) < 0 and SA.cSinth in ('205', '208', '303', '209') or   
					sum(K_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then SGU else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) < 0 and SA.cSinth in ('205', '208', '303', '209') or    
					sum(K_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then EKR else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) < 0 and SA.cSinth in ('205', '208', '303', '209') or    
					sum(K_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then KAU else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) < 0 and SA.cSinth in ('205', '208', '303', '209') or    
					sum(K_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then EMP else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) < 0 and SA.cSinth in ('205', '208', '303', '209') or    
					sum(K_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then DEP else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) < 0 and SA.cSinth in ('205', '208', '303', '209') or    
					sum(K_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then DEP_ACC else NULL end, 
			case when sum(D_SUMMA - K_SUMMA) < 0 and SA.cSinth in ('205', '208', '303', '209') or    
					sum(K_SUMMA) <> 0 and SA.cSinth not in ('205', '208', '303', '209') then AP2 else NULL end, 
			@dEND_DATE,
			case when SA.cSinth in ('205', '208', '303', '209') then abs(sum(D_SUMMA - K_SUMMA))  
				when sum(D_SUMMA) <> 0 then sum(D_SUMMA)
				when sum(K_SUMMA) <> 0 then sum(K_SUMMA) else 0 end,
			[TYPE] = 3
	from dbo.ARestTableByDAte(@dEND_DATE + 1,null) P
	inner join dbo.S_ACCOUNTS SA on SA.LINK = P.ACCOUNT
	where  P.DEP_LINK = @iDep
	group by KBK, ACCOUNT, SGU, EKR, KAU, DEP, DEP_ACC, DEP_LINK, AP2, EMP, SA.cSinth) P
	left join dbo.KL_KBK KBK_D on KBK_D.LINK = P.DT_VKR
	left join dbo.S_ACCOUNTS SA_D on SA_D.LINK = P.DT_ACCOUNT
	left join dbo.KOSGU SGU_D on SGU_D.LINK = P.DT_SGU
	left join dbo.KOSGU EKR_D on EKR_D.LINK = P.DT_EKR
	left join dbo.KAU KAU_D on KAU_D.LINK = P.DT_KAU
	left join dbo.DICTIONARY_DEPARTMENT DEP_D on DEP_D.LINK = P.DT_DEP
	left join dbo.KL_BUDG_TYPE BUD_D on DEP_D.ved_Budg = BUD_D.LINK
	left join dbo.DEPARTMENT_ACCOUNTS DA_D on DA_D.LINK = P.DT_DEP_ACC
	left join dbo.DOP_CLASSIF DCL_D on DCL_D.LINK = P.DT_AP2
	left join dbo.KU_EMPL_PLACING EMP_D	on	EMP_D.LINK  = P.DT_EMP
		

	left join dbo.KL_KBK KBK_K on KBK_K.LINK = P.KT_VKR
	left join dbo.S_ACCOUNTS SA_K on SA_K.LINK = P.KT_ACCOUNT
	left join dbo.KOSGU SGU_K on SGU_K.LINK = P.KT_SGU
	left join dbo.KOSGU EKR_K on EKR_K.LINK = P.KT_EKR   
	left join dbo.KAU KAU_K on KAU_K.LINK = P.KT_KAU
	left join dbo.DICTIONARY_DEPARTMENT DEP_K on DEP_K.LINK = P.KT_DEP
	left join dbo.KL_BUDG_TYPE BUD_K on DEP_K.ved_Budg = BUD_K.LINK
	left join dbo.DEPARTMENT_ACCOUNTS DA_K on DA_K.LINK = P.KT_DEP_ACC
	left join dbo.DOP_CLASSIF DCL_K on DCL_K.LINK = P.KT_AP2
	left join dbo.KU_EMPL_PLACING EMP_K	on	EMP_K.LINK  = P.KT_EMP
		
--  
	inner join dbo.DICTIONARY_DEPARTMENT DEP on DEP.LINK = @iDep 
		
	if @debug > 0
	begin	
		select '#DATA', * from dbo.SVOD_REP_CALC_DATA where [UID] = @uGUID
		select '#DATA75', * from dbo.SVOD_REP_CALC_DATA75 where [UID] = @uGUID
	end
	
	insert into dbo.SYS_VALUES([RID], CODE, [VARCHAR])
	values (@uGUID, 'VERSION', @cVersion)
			

END

GO


GRANT EXECUTE ON dbo.[SVODREP_DATA_SELECT] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]

GO

CREATE   PROCEDURE [dbo].SS_SZV_ST_PACHKA_CALC_Buffer_2017 (@BufferCode varchar(10), @link int, @Year int, @Month tinyint) 
AS

DECLARE @SQL VARCHAR(1000)

SET @SQL = '
delete from dbo.Buffer
where RTRIM(LTRIM(ID)) = RTRIM(LTRIM( ''' + @BufferCode + ''' ))
	and link IN (select S.link_pers from dbo.SZV_STAZH_SVEDENIA S where S.link_up = ' + CONVERT(VARCHAR(20),@LINK) + ')'
--EXEC (@SQL)	--!!


CREATE TABLE #PERSON (LINK INT)	

SET @SQL = '
INSERT INTO #PERSON (LINK)
SELECT DISTINCT LINK FROM dbo.Buffer WHERE RTRIM(LTRIM(ID)) = RTRIM(LTRIM(''' + @BufferCode + '''))'
EXEC (@SQL)	

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @PER TINYINT, @MONTH_END TINYINT, @MONTH_BEG TINYINT, @VID_KOR TINYINT , @type_doc tinyint

SELECT @VID_KOR = VID_KOR, @type_doc = [type]
FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link


IF @VID_KOR = 2
begin  
	SELECT @Year = @Year, @PER = PER_EDT, @MONTH_END = @Month
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
else 
begin
	SELECT @Year = YEAR_BEGIN, @PER = PER, @MONTH_END = MONTH_END
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
DECLARE @PeriodBegin datetime, @PeriodEnd datetime

/*IF @type_doc = 1 OR (@type_doc = 2 AND @PER <> 4)
BEGIN
	SET @MONTH_BEG = (CASE @PER WHEN 1 THEN 1 WHEN 2 THEN 4 WHEN 3 THEN 7 WHEN 4 THEN 10 END)
	SET @MONTH_END = (CASE WHEN @MONTH_END < (@MONTH_BEG+3-1) THEN @MONTH_END ELSE (@MONTH_BEG+3-1) END)

	IF @MONTH_BEG > @MONTH_END
		SET @MONTH_END = @MONTH_BEG + 3 - 1
END
IF  @type_doc = 2 AND @PER = 4
 BEGIN */
		SET @MONTH_BEG = 1 
		SET @MONTH_END = 12
/* END */

SELECT @PeriodBegin = dbo.ConvertDMY2Date(1,@MONTH_BEG,@Year), @PeriodEnd = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH_END,@Year))

--  .
--
DECLARE @LINK_OZOI INT
SET @LINK_OZOI = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 3 AND @Year BETWEEN YBEG AND YEND),1)

------	      
CREATE TABLE #PERS_INV (PERS_LINK INT, DATE_BEGIN DATETIME, DATE_END DATETIME)

INSERT INTO #PERS_INV (PERS_LINK, DATE_BEGIN, DATE_END) 
SELECT PERS_LINK, DATE_BEGIN = MIN(ISNULL(I.DATE_BEGIN,@PeriodBegin)), DATE_END = MAX(ISNULL(I.DATE_END,@PeriodEnd))
FROM dbo.PERS_INVALID I
WHERE ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin
GROUP BY PERS_LINK


--forma    2013     (1 , 2 )
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_OZOI,
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END,
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
from 
	(	SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2 
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	INNER JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		

----
DECLARE @LINK_NR INT
SET @LINK_NR = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 1 AND @Year BETWEEN YBEG AND YEND),1)

--forma    2013     (1 , 2 )	
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_NR,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodBegin < CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		THEN @PeriodBegin 
		ELSE CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END + 1
	END,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodEnd > CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		THEN @PeriodEnd
		ELSE CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END - 1
	END
from 
	(	
		SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		
WHERE --          
	I.PERS_LINK IS NULL --  
	OR --    
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1
	OR --    
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1	

----
DECLARE @LINK_USEN INT
SET @LINK_USEN = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 2 AND @Year BETWEEN YBEG AND YEND),1)		
	
insert into dbo.SZV_STAZH_SVEDENIA 
	(link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
SELECT 	
	link_up, orders, forma, link_pers, ISNULL(sum_doh,0), ISNULL(sum_str,0), ISNULL(sum_nak,0), ISNULL(sum_dop,0), ISNULL(dper_vn_m,0), ISNULL(dper_vn_d,0), ISNULL(dper_oz_m,0), ISNULL(dper_oz_d,0), ISNULL(isum_str,0), ISNULL(isum_nak,0), @LINK_USEN, DATE_BEG, DATE_END
FROM
	#PERSON B INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON B.LINK = S.link_pers 
WHERE
	link_up = @link
	AND
	LINK_KATEG = @LINK_NR	

----        
CREATE TABLE #PERS_SUM_J (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, MON INT, INCOME NUMERIC(18,2), SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM_J (LINK_PERS, LINK_KATEG, DOG, MON, INCOME, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG, MON,
	SUM(CASE WHEN [OBJECT] = 1 THEN SUMMA ELSE 0 END), --  (INCOME)
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.EMPL E ON E.PERS_LINK = S.LINK_PERS
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_EMPL = E.LINK 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 1 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
	UNION ALL	
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.PERS_LINK = S.LINK_PERS 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 2 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG, MON

--
CREATE INDEX #TMP_IDX_#PERS_SUM_J ON #PERS_SUM_J (LINK_PERS, LINK_KATEG)

--ר     
-- ר         512   ר 
create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, KATEG TINYINT, DOG TINYINT)

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG = 1
FROM 
	dbo.SA_ESN_VIEW(@Year, @Month, @DEP_LINK, 0) S
WHERE 
	WAY_CALC IN (6,7,10,11)
	AND EXISTS (SELECT * FROM #PERSON B WHERE B.LINK = S.REF_PHYS_PERS)

--  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, 
	GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK, 
	CASE WHEN dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@Year))) = 2
		THEN 3
		ELSE
		CASE WHEN F.ENVD = 1 THEN 2 ELSE 1 END
	END, 
	DOG = 2
FROM 
	dbo.DOCUMENTS_DGH G 
	INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join dbo.PERSON P on GT.PERS_LINK = P.link
	INNER JOIN #PERSON B ON B.LINK = P.LINK
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  IN (6,7,10,11)
	AND YEAR(G.[DATE]) = @Year
	AND MONTH(G.[DATE]) <= @Month
	AND LINK_DEP = @DEP_LINK


--
CREATE INDEX #TMP_IDX_SPR_ESN ON #SPR_ESN (REF_PHYS_PERS, KATEG, DOG)

--
DELETE FROM #SPR_ESN
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS < @PeriodBegin )

--  
DECLARE @STAVKI TABLE ( LINK_PERS INT, TARIF TINYINT, PREDEL NUMERIC(15,2), [PERCENT] NUMERIC(8,2), WAY_CALC TINYINT)

INSERT INTO @STAVKI (LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC)
SELECT 
	LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC 
FROM 
	dbo.SA_ESN_TARIF(DEFAULT, @PeriodEnd, DEFAULT) S
WHERE 
	WAY_CALC IN (6,7)
	AND EXISTS (SELECT * FROM #PERSON P WHERE P.LINK = S.LINK_PERS)

--	
DECLARE @LIMIT NUMERIC(18,2)
SET @LIMIT = ISNULL((SELECT MIN(PREDEL) FROM @STAVKI WHERE TARIF = 1 AND WAY_CALC = 6),0)

------      ר   ר  512.
CREATE TABLE #SUM_PERSON (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT, WAY_CALC TINYINT, [PERCENT] NUMERIC(18,2), MON TINYINT, 
				BAZA NUMERIC(18,2), SUM_LIM NUMERIC(18,2), SUM_KOR NUMERIC(18,2),BAZA2 NUMERIC(18,2),  NALOG NUMERIC(20,6), M BIT)

INSERT INTO #SUM_PERSON (LINK_PERSON, KATEG, DOG, WAY_CALC, [PERCENT], MON, BAZA, NALOG, M)
SELECT
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE,
	SUM(ISNULL(SUMMA_BASE,0) - ISNULL(DED_M,0) - ISNULL(INV_M,0)) AS BAZA,
	SUM(SUMMA),
	0
FROM 
	#SPR_ESN E
	INNER JOIN @STAVKI S ON S.LINK_PERS = E.REF_PHYS_PERS AND S.WAY_CALC = E.WAY_CALC AND S.TARIF = E.KATEG
WHERE 
	S.PREDEL = @LIMIT
GROUP BY
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE

-- ,     
CREATE TABLE #PERS_AFTER (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT)

INSERT INTO #PERS_AFTER (LINK_PERSON, KATEG, DOG)
SELECT LINK_PERSON, KATEG, DOG
FROM #SUM_PERSON 
WHERE WAY_CALC = 6
GROUP BY LINK_PERSON, KATEG, DOG
HAVING SUM(BAZA) > @LIMIT
DECLARE @Cur2 CURSOR, @MON TINYINT, @KATEG TINYINT, @DOG TINYINT

SET @Cur2 = CURSOR FORWARD_ONLY
FOR SELECT DISTINCT MON, KATEG, DOG FROM #SUM_PERSON SP
	ORDER BY MON, KATEG ASC, DOG DESC
OPEN @Cur2
FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		UPDATE SP --     
		SET 
			M = 1,
			SUM_LIM = (SELECT SUM(BAZA) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.WAY_CALC = SP.WAY_CALC AND (M=1 OR SP1.MON = SP.MON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG))
		FROM #SUM_PERSON SP
		WHERE MON = @MON AND KATEG = @KATEG AND DOG = @DOG
		
		UPDATE #SUM_PERSON -- 
		SET SUM_KOR = CASE WHEN ISNULL(SUM_LIM,0) > @LIMIT THEN ISNULL(SUM_LIM,0) - @LIMIT ELSE 0 END

		UPDATE #SUM_PERSON
		SET BAZA2 = CASE WHEN (ISNULL(BAZA,0) > ISNULL(SUM_KOR,0) OR ISNULL(BAZA,0) < 0)
							THEN ISNULL(BAZA,0) - ISNULL(SUM_KOR,0) ELSE 0 END
		
		UPDATE SP
		SET NALOG = 
					CASE WHEN BAZA <> BAZA2 
						THEN 
							
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON <= SP.MON),0)
							* ISNULL([PERCENT],0) / 100)
							-
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON < SP.MON),0)
							* ISNULL([PERCENT],0) / 100)

						ELSE 
							(SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND SP.DOG = PS.DOG AND PS.MON = SP.MON)
					END
					
					--CASE WHEN BAZA <> BAZA2 
					--	THEN ISNULL(BAZA2,0) * ISNULL([PERCENT],0) / 100
					--	ELSE (SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND PS.MON = SP.MON)
					--END	
		FROM
			#SUM_PERSON SP
		WHERE --  ,    
			EXISTS (SELECT * FROM #PERS_AFTER PA WHERE PA.LINK_PERSON = SP.LINK_PERSON AND PA.KATEG = SP.KATEG AND PA.DOG = SP.DOG)

	END
	FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
END

CLOSE @Cur2
DEALLOCATE @Cur2

--    
CREATE TABLE #PERS_SUM (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM (LINK_PERS, LINK_KATEG, DOG, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG,
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, SUMMA_BASE = SUM(BAZA2), SUMMA = SUM(NALOG)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG
		INNER JOIN #SUM_PERSON SP ON SP.LINK_PERSON = S.LINK_PERS AND SP.KATEG = K.LINK2 AND S.FORMA = SP.DOG AND SP.MON BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
	WHERE
		S.LINK_UP = @link
		AND
		@Year BETWEEN K.YBEG AND K.YEND
	GROUP BY
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, S.FORMA
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG

--
UPDATE S SET
	sum_doh = ISNULL(SUMMA_I,0), -- 10     
	sum_str = 0, -- 10      ,  ..    -  0,  
	sum_nak = ISNULL(SUMMA_G,0), --      
	sum_dop = 0 --  10      ,  ..    -  0,  
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #PERS_SUM P ON P.LINK_PERS = S.LINK_PERS AND P.LINK_KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link


---   
CREATE TABLE #INCOME_T1T2 (
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_T1_M1 NUMERIC(18,2),
	INCOME_T2_M1 NUMERIC(18,2),
	INCOME_T1_M2 NUMERIC(18,2),
	INCOME_T2_M2 NUMERIC(18,2),
	INCOME_T1_M3 NUMERIC(18,2),
	INCOME_T2_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME_T1T2 (LINK_PERS, KATEG, DOG, INCOME_T1_M1, INCOME_T2_M1, INCOME_T1_M2, INCOME_T2_M2, INCOME_T1_M3, INCOME_T2_M3)
SELECT REF_PHYS_PERS, KATEG, E.DOG, 
	INCOME_T1_M1 = SUM(CASE WHEN WAY_CALC = 10 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END), 
	INCOME_T2_M1 = SUM(CASE WHEN WAY_CALC = 11 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M2 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M2 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M3 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M3 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END)
FROM #SPR_ESN E
WHERE WAY_CALC IN (10,11)	
GROUP BY REF_PHYS_PERS, KATEG, E.DOG

UPDATE S SET
	S.INCOME_T1_M1 = P.INCOME_T1_M1,
	S.INCOME_T2_M1 = P.INCOME_T2_M1,
	S.INCOME_T1_M2 = P.INCOME_T1_M2,
	S.INCOME_T2_M2 = P.INCOME_T2_M2,
	S.INCOME_T1_M3 = P.INCOME_T1_M3,
	S.INCOME_T2_M3 = P.INCOME_T2_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME_T1T2 P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

--    
CREATE TABLE #INCOME(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_M1 NUMERIC(18,2),
	INCOME_M2 NUMERIC(18,2),
	INCOME_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME (LINK_PERS, KATEG, DOG, INCOME_M1, INCOME_M2, INCOME_M3)
SELECT 
	LINK_PERS, LINK_KATEG, DOG,
	INCOME_M1 = SUM(INCOME),
	INCOME_M2 = SUM(CASE WHEN MON = (@Month - 1) THEN INCOME ELSE 0 END),
	INCOME_M3 = SUM(CASE WHEN MON = @Month THEN INCOME ELSE 0 END)
FROM #PERS_SUM_J
GROUP BY 
	LINK_PERS, LINK_KATEG, DOG

UPDATE S SET
	S.INCOME_M1 = P.INCOME_M1,
	S.INCOME_M2 = P.INCOME_M2,
	S.INCOME_M3 = P.INCOME_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	


--   
CREATE TABLE #BASE(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	BASE_BEFORE_M1 NUMERIC(18,2),
	BASE_AFTER_M1 NUMERIC(18,2),
	BASE_BEFORE_M2 NUMERIC(18,2),
	BASE_AFTER_M2 NUMERIC(18,2),
	BASE_BEFORE_M3 NUMERIC(18,2),
	BASE_AFTER_M3 NUMERIC(18,2)	
	)

INSERT INTO #BASE (LINK_PERS, KATEG, DOG, BASE_BEFORE_M1, BASE_AFTER_M1, BASE_BEFORE_M2, BASE_AFTER_M2, BASE_BEFORE_M3, BASE_AFTER_M3 )
SELECT LINK_PERSON, KATEG, DOG,
	BASE_BEFORE_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M3	= SUM(CASE WHEN MON = @Month THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M3	= SUM(CASE WHEN MON = @Month THEN BAZA - BAZA2 ELSE 0 END)		
FROM #SUM_PERSON 
WHERE 
	WAY_CALC = 6
GROUP BY
	LINK_PERSON, KATEG, DOG
	
UPDATE S SET
	S.BASE_BEFORE_M1 = P.BASE_BEFORE_M1,
	S.BASE_AFTER_M1 = P.BASE_AFTER_M1,
	S.BASE_BEFORE_M2 = P.BASE_BEFORE_M2,
	S.BASE_AFTER_M2 = P.BASE_AFTER_M2,
	S.BASE_BEFORE_M3 = P.BASE_BEFORE_M3,
	S.BASE_AFTER_M3 = P.BASE_AFTER_M3	
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #BASE P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	

--   ,   
SELECT LINK_PERS, FORMA, LINK_KATEG INTO #TAB FROM dbo.SZV_STAZH_SVEDENIA WHERE LINK_UP = @link GROUP BY LINK_PERS, FORMA, LINK_KATEG HAVING SUM(sum_doh) = 0 AND SUM(sum_nak) = 0 AND SUM(INCOME_M1) = 0
--	

DELETE FROM dbo.SZV_STAZH_SVEDENIA 
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 AND LINK_KATEG NOT IN( @LINK_NR, @LINK_OZOI)

DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 
	AND NOT EXISTS (SELECT LINK_PERS FROM #TAB T WHERE T.LINK_PERS = dbo.SZV_STAZH_SVEDENIA.LINK_PERS AND T.FORMA = dbo.SZV_STAZH_SVEDENIA.FORMA AND T.LINK_KATEG = dbo.SZV_STAZH_SVEDENIA.LINK_KATEG)

--  
UPDATE dbo.SZV_STAZH_SVEDENIA SET LINK_KATEG = @LINK_NR WHERE link_up = @link AND LINK_KATEG = @LINK_OZOI

----     
EXEC [dbo].SS_SZV_ST_PACHKA_RASPIL @link

IF @VID_KOR != 3
	begin  
	---  

	----------------------------------------------------------------------------
	CREATE TABLE #PERIODY (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] int, NUM_STAKE NUMERIC(5,2), [IS_DOP] VARCHAR(20),	[NOT_LGOT_EXPIR] INT NULL)

	--/* */
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT 	DISTINCT
		PERS_LINK, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			THEN (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			ELSE S.DATE_END
		END,	
		0
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.EMPL E ON S.LINK_PERS = E.PERS_LINK AND E.DEP_LINK = @DEP_LINK
		INNER JOIN dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE = 1 AND P.ACTIVE=1
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
	WHERE
		S.LINK_UP = @link
		AND
		P.DATE_BEGIN <= @PeriodEnd
		AND
		coalesce(U.DIS_DATE,'20990101') >= @PeriodBegin




	/* */
	Select DISTINCT
		link_face = DGH.PERS_LINK, LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				THEN (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				ELSE S.DATE_BEG
			END,
		date2 = CASE WHEN S.DATE_END > (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				THEN (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				ELSE S.DATE_END
			END,
		[type] = 0
	INTO #DGH	
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.SALARY_REESTR_DGH DGH ON S.LINK_PERS = DGH.PERS_LINK
	WHERE 
		S.LINK_UP = @link
		AND
		DGH.DEP_LINK = @DEP_LINK
		and
		DGH.DATE1 <= @PeriodEnd
		and
		coalesce(DGH.DATE2,'20990101') >= @PeriodBegin

	--       
	SELECT LINK_FACE, DB = MIN(DATE1), DE = MAX(DATE2)
	INTO #WORK
	FROM #PERIODY
	GROUP BY LINK_FACE


	UPDATE S SET 
		S.DATE_BEG = CASE WHEN W.DB < S.DATE_BEG THEN S.DATE_BEG ELSE W.DB END,
		S.DATE_END = CASE WHEN W.DE > S.DATE_END THEN S.DATE_END ELSE W.DE END
	FROM 
		dbo.SZV_STAZH_SVEDENIA S INNER JOIN #WORK W ON S.LINK_PERS = W.LINK_FACE
	WHERE 
		S.LINK_UP = @link
		
	--
	CREATE TABLE #ADD_TYPE (
		[type] INT IDENTITY(1,1),
		[TERR_USL_TRUD] int NULL ,
		[TERR_RK] numeric(3, 2) NULL ,
		[OSOB_USL_TRUD] int NULL ,
		[COD_POS_SPISOK] int NULL ,
		[COD_POS_SPISOK2] int NULL ,
		[USL_DOSROCH_PENS] int NULL ,
		[STAVKA_PED_MED] numeric(3, 2) NULL,
		[VID] VARCHAR(20),
		[IS_DOP] VARCHAR(20),
		[COD_SPO_USL_TRUD] INT NULL
	)	
	INSERT INTO #ADD_TYPE 
		([TERR_USL_TRUD],[TERR_RK],[OSOB_USL_TRUD],[COD_POS_SPISOK],[COD_POS_SPISOK2],[USL_DOSROCH_PENS],[STAVKA_PED_MED],[VID],[IS_DOP],[COD_SPO_USL_TRUD])
	SELECT DISTINCT 
		ISNULL(TERR_USL_TRUD,0), ISNULL(TERR_RK,0), ISNULL(OSOB_USL_TRUD,0), ISNULL(COD_POS_SPISOK,0), ISNULL(COD_POS_SPISOK2,0), ISNULL(USL_DOSROCH_PENS,0), ISNULL(STAVKA_PED_MED,0), VID = 'ADD_TYPE', IS_DOP = '', ISNULL([COD_SPO_USL_TRUD],0)
	FROM dbo.staff
	WHERE ISNULL(TERR_USL_TRUD,0) <> 0 OR ISNULL(TERR_RK,0) <> 0 OR ISNULL(OSOB_USL_TRUD,0) <> 0 OR ISNULL(COD_POS_SPISOK,0) <> 0 OR ISNULL(COD_POS_SPISOK2,0) <> 0 OR ISNULL(USL_DOSROCH_PENS,0) <> 0 OR ISNULL(STAVKA_PED_MED,0) <> 0 OR ISNULL([COD_SPO_USL_TRUD],0) <> 0

	--
	DECLARE @MAX_TYPE INT
	SET @MAX_TYPE = ISNULL((SELECT MAX(type) FROM #ADD_TYPE),0)

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('TMP_TYPE', '')
	
	/*  ( )*/
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('KOMM_TYPE', '')


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD1', '')

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	SELECT DISTINCT
		'PERIOD2',
		ISNULL(V.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
					--AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
					) VV ON VV.LINK = IV.TYPE_LINK
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD3', '')
/*
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	Select DISTINCT
		'PERIOD4',
		ISNULL(VV.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/
	--    
	INSERT INTO #ADD_TYPE (VID, IS_DOP) 	
	SELECT LEFT('P_' + LTRIM(RTRIM(CODE)),20), IS_DOP
	FROM dbo.VACATION_VID 
	WHERE	IS_DOP IS NOT NULL
			AND 
			NOT EXISTS (SELECT * FROM #ADD_TYPE WHERE VID = LEFT('P_' + LTRIM(RTRIM(CODE)),20))



	--    c   
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type], NUM_STAKE)
	SELECT DISTINCT 
		link_face = E.PERS_LINK, S.LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN ELSE @PeriodBegin end)
					THEN (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN else  (case when IM.DATE_BEGIN >= @PeriodBegin  THEN IM.DATE_BEGIN ELSE @PeriodBegin end) end)
					ELSE (case when IM.DATE_BEGIN >= S.DATE_BEG  AND (dis_date IS NOT NULL AND dis_date BETWEEN @PeriodBegin AND @PeriodEND) THEN IM.DATE_BEGIN ELSE S.DATE_BEG end) --          -      
				END,
		date2 = CASE WHEN 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
							> (case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					THEN 
						(case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					ELSE 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
				END,	
		ISNULL(T.[type],0),
		ISNULL(im.NUM_STAKE,0)--, ST.*
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		INNER JOIN dbo.sa_item_move im ON im.EMPL_LINK = e.link
		inner join dbo.staff_head sh on sh.link = STAFF_LINK
		inner join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1	
		left join #ADD_TYPE T on 
				ISNULL(st.TERR_USL_TRUD,0) = ISNULL(T.TERR_USL_TRUD,0) 
				AND ISNULL(st.TERR_RK,0) = ISNULL(T.TERR_RK,0) 
				AND ISNULL(st.OSOB_USL_TRUD,0) = ISNULL(T.OSOB_USL_TRUD,0) 
				AND ISNULL(st.COD_POS_SPISOK,0) = ISNULL(T.COD_POS_SPISOK,0) 
				AND ISNULL(st.COD_POS_SPISOK2,0) = ISNULL(T.COD_POS_SPISOK2,0) 
				AND ISNULL(st.USL_DOSROCH_PENS,0) = ISNULL(T.USL_DOSROCH_PENS,0) 
				AND ISNULL(st.STAVKA_PED_MED,0) = ISNULL(T.STAVKA_PED_MED,0) 
				AND ISNULL(st.[COD_SPO_USL_TRUD],0) = ISNULL(T.[COD_SPO_USL_TRUD],0)
	where 
		S.LINK_UP = @link
		AND
		IM.NUM_STAKE >= 1 
		AND
		IM.[STATUS] <> 2 -- .   
		AND
		im.DATE_BEGIN <= @PeriodEnd and im.DATE_END3 >= @PeriodBegin
		and 
		st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin
		AND 
		im.DATE_end3 > st.DATE_BEGIN -- AND st.DATE_END	 --            
		AND
		T.[TYPE] IS NOT NULL AND T.VID = 'ADD_TYPE'
		AND
		COALESCE(U.DIS_DATE,'20990101') >= @PeriodBegin
	order by
		E.PERS_LINK

	---**************************************

	DECLARE @TMP_TYPE INT
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')

	/* -    ( .  )*/
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	Select DISTINCT 
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		ISNULL( (SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = LEFT('P_' + LTRIM(RTRIM(VV.CODE)),20) AND AT.IS_DOP = VV.IS_DOP ), @TMP_TYPE),
		[NOT_LGOT_EXPIR]
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_vacation iv on E.link = iv.EMPL_LINK 
		inner join dbo.orders o on iv.order_link=o.link
		--  ,   "    ", 
		--  (   )
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link /*AND NO_SAL <> 1*/
		INNER JOIN dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK AND WORK_D <> 7 --      (   )
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and ISNULL(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		ISNULL(ISNULL(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	/* -    ( .  )*/	
	--SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'KOMM_TYPE')
	
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			THEN (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE,
		1
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_travel T on E.link = T.EMPL_LINK
		left join dbo.ITEM_TRAVEL_LONG ITL on ITL.TRAVEL_LINK = T.LINK and ISNULL(ITL.ACTIVE,0) = 1	
	WHERE
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		AND 
		T.ACTIVE = 1 
		AND 
		T.DATE_BEGIN <= @PeriodEnd
		AND 
		ISNULL(ISNULL(ITL.NEW_DATE_END,T.date_end),'20990101') >= @PeriodBegin

	/* -      */
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD1')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
		INNER JOIN dbo.NETRUD N ON N.LINK = [TYPE] AND N.DEKRET = 1
	WHERE 
		S.LINK_UP = @link
		AND	
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin

	/* -  */
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD3')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
	WHERE
		S.LINK_UP = @link
		AND	 
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin
		and
		[TYPE] not in (select LINK from dbo.NETRUD where DEKRET = 1)

	/* -     1,5   3 */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD2' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(V.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER join dbo.TYP_DAYS D on V.TYPE_LINK = D.LINK AND  WORK_D = 7 
		--INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
			----AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
		--	) VV ON VV.LINK = IV.TYPE_LINK
		LEFT JOIN DBO.ITEM_VACATION_BREAK IVB ON IVB.VAC_LINK = IV.LINK AND COALESCE(IVB.ACTIVE,0) = 1
	WHERE 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin

/*
	/* -     */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	Select DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD4' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(VV.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	WHERE
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/
	--------------------------------------------------------------------------
	-- 2.            type.
	--- ,        , ..     
	CREATE TABLE #PERIODY3 (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] INT, orders int, i int, NUM_STAKE NUMERIC(5,2), TYPE_ADD INT)

	--    -1  ..  
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, [type])
	SELECT DISTINCT link_face, LINK_KATEG, @PeriodBegin, @PeriodEnd, [type] = -1  FROM #PERIODY


	CREATE TABLE #DAYS (ID INT IDENTITY(1,1), LINK_FACE INT, LINK_KATEG INT, [DATE] DATETIME, [TYPE] INT, NUM INT, NUM_STAKE NUMERIC(5,2), [TYPE_ADD] INT)

	INSERT INTO #DAYS (LINK_FACE, LINK_KATEG, [DATE], [TYPE], NUM, NUM_STAKE, [TYPE_ADD])
	SELECT P.LINK_FACE, P.LINK_KATEG, [DATE], [TYPE] = MAX([TYPE]), 0, 
		[NUM_STAKE] = MAX(ISNULL(NUM_STAKE,0)), 
		[TYPE_ADD] = MAX(CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END)
	FROM 
		#PERIODY P
		INNER JOIN dbo.days_ex(@PeriodBegin, @PeriodEnd) D ON 1=1
	WHERE
		D.[DATE] BETWEEN P.DATE1 AND P.DATE2
	GROUP BY
		P.LINK_FACE, P.LINK_KATEG, [date]
	ORDER BY	
		P.LINK_FACE, P.LINK_KATEG, [date]


	--   ,     
	UPDATE #DAYS SET [TYPE_ADD] = 0 
	WHERE 
		EXISTS (SELECT * FROM #PERIODY WHERE 
			#PERIODY.[NOT_LGOT_EXPIR] = 1
			AND #PERIODY.link_face = #DAYS.link_face
			AND #DAYS.[DATE] BETWEEN #PERIODY.DATE1 AND #PERIODY.DATE2)


	-- 
	DECLARE 
		@ID INT, @ID1 INT, @ID2 INT, @LINK_FACE INT, @DATE datetime, @LINK_KATEG INT, @TYPE INT, @NUM INT, @TYPE_ADD INT,
		@LINK_FACE1 INT, @LINK_KATEG1 INT, @TYPE1 INT,@TYPE_ADD1 INT,@DATE1 datetime

	--  ,      

------------------             
--------       ( -   - ) ,    ...      
--------   #ADD_TYPE    
----
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')
----
	CREATE table #TDays(link_face int, id int,  date DATETIME ,LINK_KATEG int , [TYPE] INT, [TYPE_ADD] INT)
	INSERT INTO #TDays (link_face, id, date, LINK_KATEG, [TYPE], [TYPE_ADD])
	SELECT d.link_face,
		   d.id,
		   d.date,
		   d.LINK_KATEG,
		   d.[TYPE],
		   d.[TYPE_ADD]
	FROM #DAYS d WHERE d.[type] = @TMP_TYPE 
	ORDER BY d.link_face, d.ID ,d.[date], d.[TYPE] ,d.[TYPE_ADD]	 

	DECLARE @Cur0 CURSOR, @F_TYPE int, @F_TYPE_ADD int
	SET @Cur0 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE,[date],LINK_KATEG, [TYPE],  TYPE_ADD from  #TDays order by ID, LINK_FACE, [DATE]
	OPEN @Cur0
	FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
		
			SELECT DISTINCT @F_TYPE =[TYPE], @F_TYPE_ADD = [type_add]  
			FROM #DAYS WHERE LINK_FACE = @LINK_FACE AND LINK_KATEG = @LINK_KATEG AND [DATE] = @DATE-1 
			
			SELECT @F_TYPE = ISNULL(@F_TYPE,0), @F_TYPE_ADD = ISNULL( @F_TYPE_ADD,0) 

			IF @F_TYPE_ADD = @type_add
			BEGIN
			
				UPDATE d
				SET [TYPE] = @F_TYPE , [type_add] = @F_TYPE_ADD 
				FROM #DAYS d
				WHERE d.ID = @ID AND d.LINK_FACE = @LINK_FACE AND d.[DATE] = @DATE AND d.LINK_KATEG=@LINK_KATEG AND d.[TYPE] = @TMP_TYPE

			END	

		END

		FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	END

	CLOSE @Cur0
	DEALLOCATE @Cur0

	--
	/*		---------
				UPDATE #DAYS SET [type] = 0 WHERE [type] = @TMP_TYPE
			---------*/

DROP TABLE #TDays 

---------------------------------------------------------------------------------
	--	
	SELECT TOP 1 @ID1 = 0, @ID2 = 0, @NUM = 0, @LINK_FACE1 = LINK_FACE, @LINK_KATEG1 =LINK_KATEG, @TYPE1 = [TYPE]
	FROM #DAYS
	order by ID
	--
	DECLARE @Cur1 CURSOR
	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE, LINK_KATEG, [TYPE] from #DAYS order by ID
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN

			IF NOT (@LINK_FACE = @LINK_FACE1 AND @LINK_KATEG = @LINK_KATEG1 AND @TYPE = @TYPE1)
			BEGIN
				
				SELECT @NUM = @NUM + 1, @LINK_FACE1 = @LINK_FACE, @LINK_KATEG1 = @LINK_KATEG, @TYPE1 = @TYPE
				UPDATE #DAYS SET NUM = @NUM WHERE ID BETWEEN @ID1 AND @ID-1
				SELECT @ID1 = @ID 

			END

		END

		FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	--
	UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1

	--
	INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
	SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  MIN([DATE]), DATE_END = MAX([DATE]), [TYPE], 0, 0, NUM_STAKE = MAX(ISNULL(NUM_STAKE,0)), TYPE_ADD
	FROM #DAYS	
	GROUP BY LINK_FACE, LINK_KATEG, NUM, [TYPE], TYPE_ADD
	ORDER BY LINK_FACE, LINK_KATEG, DATE_BEG, DATE_END

	--  
	DELETE FROM #PERIODY3 WHERE [TYPE] = -1

	/* */
	DECLARE @uslovie INT
	set @uslovie = 1
	while @uslovie > 0
	begin
		update #PERIODY3 set orders = @uslovie 
		from #PERIODY3 as tt
		where 	coalesce(orders,0) = 0
			and date1 = (select min(t.date1) from #PERIODY3 t where coalesce(orders,0) = 0 and t.link_face = tt.link_face AND T.LINK_KATEG = TT.LINK_KATEG)

		if @@rowcount > 0
			set @uslovie = @uslovie + 1
		else
			set @uslovie = 0
	END

	--   
	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2, ter_usl, ter_koef, osob_usl, osob_k1, osob_k2, osob_k3, is_osnov, is_dop, is_dop_m, is_dop_d, ud_osnov, ud_dop_m, ud_dop_d, ud_dop_k, osob_spo)
	Select S.link, P.orders, P.date1, P.date2, 
		ter_usl = ISNULL(spr1.CODE,spr1A.CODE),
		ter_koef = ISNULL(T.TERR_RK,TA.TERR_RK),
		osob_usl = ISNULL(spr2.CODE,spr2A.CODE),
		osob_k1 = ISNULL(spr6.CODE,spr6A.CODE),
		osob_k2 = CONVERT(VARCHAR(20),left(ISNULL(spr7.CODE,spr7A.CODE),20)),
		osob_k3 = NULL,
		is_osnov = NULL, 
		is_dop = LTRIM(RTRIM(ISNULL(T.IS_DOP,TA.IS_DOP))),
		is_dop_m = NULL, 
		is_dop_d = NULL, 
		ud_osnov = ISNULL(spr5.CODE,spr5A.CODE), 
		ud_dop_m = NULL, 
		ud_dop_d = NULL, 
		ud_dop_k = ISNULL(T.STAVKA_PED_MED,TA.STAVKA_PED_MED) * P.NUM_STAKE,
		osob_spo = ISNULL(spr9.CODE,spr9A.CODE)
	 from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		inner join #PERIODY3 P on S.link_pers = P.link_face AND S.LINK_KATEG = P.LINK_KATEG
		
		LEFT JOIN #ADD_TYPE T ON P.[TYPE] = T.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1 on spr1.spr_code = 'TERR_USL' and spr1.LINK = T.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2 on spr2.spr_code = 'OSOB_USL_TRUDA' and spr2.LINK = T.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5 on spr5.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5.LINK = T.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6 on spr6.SPR_CODE LIKE 'SPISOK%' and spr6.LINK = T.COD_POS_SPISOK
		left join dbo.szv4_spr spr7 on spr7.SPR_CODE LIKE 'SPISOK%' and spr7.LINK = T.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3
		left join dbo.szv4_spr spr9 on spr9.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9.LINK = T.[COD_SPO_USL_TRUD]

		LEFT JOIN #ADD_TYPE TA ON P.[TYPE_ADD] = TA.[TYPE] AND P.[TYPE_ADD] <> P.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1A on spr1A.spr_code = 'TERR_USL' and spr1A.LINK = TA.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2A on spr2A.spr_code = 'OSOB_USL_TRUDA' and spr2A.LINK = TA.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5A on spr5A.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5A.LINK = TA.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6A on spr6A.SPR_CODE LIKE 'SPISOK%' and spr6A.LINK = TA.COD_POS_SPISOK
		left join dbo.szv4_spr spr7A on spr7A.SPR_CODE LIKE 'SPISOK%' and spr7A.LINK = TA.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3	
		left join dbo.szv4_spr spr9A on spr9A.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9A.LINK = TA.[COD_SPO_USL_TRUD]
	where
		S.link_up = @link
		AND
		S.FORMA = 1
	order by
		S.link, P.orders

	--  
	CREATE TABLE #STAGE_DOG (
		LINK_PERS INT, 
		KATEG TINYINT,
		BERIOD_BEG DATETIME,
		BERIOD_END DATETIME
		)

	INSERT INTO #STAGE_DOG (LINK_PERS, KATEG, BERIOD_BEG, BERIOD_END)
	SELECT LINK_FACE, LINK_KATEG, MIN(date1), MAX(date2) 
	FROM #DGH A
	GROUP BY LINK_FACE, LINK_KATEG

	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2)
	Select S.link, 1, P.BERIOD_BEG, P.BERIOD_END
	from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN #STAGE_DOG P on S.link_pers = P.LINK_PERS AND S.LINK_KATEG = P.KATEG
	where
		S.link_up = @link
		AND
		S.FORMA = 2
	order by
		S.link
		
	END


--------------------------------------------------------------------------
/*    ,            
C 14     
*/	
DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE 
LINK_UP = @link
AND
EXISTS (		
	Select  1
	from dbo.ss_szv_STazh_svedenia S inner join  dbo.szv_STAZH_pachka p on p.link = s.link
	WHERE 
		S.LINK1 = dbo.SZV_STAZH_SVEDENIA.LINK
		AND s.sum_doh = 0 AND s.INSUR = 0 AND s.GAIN = 0 AND s.DOP = 0 and s.sum_uplata_dolga_str = 0 and s.sum_uplata_dolga_nak = 0
				 AND S.INCOME_M1 = 0 AND S.INCOME_M2 = 0 AND S.INCOME_M3 = 0 
		and p.vid_kor != 3
		AND NOT EXISTS (SELECT * FROM dbo.SZV_ST_STAZH ST WHERE ST.LINK_UP = S.LINK1)
)


--------------------------------------------------------------------------
exec dbo.SZV_ST_NUMERATOR @link










GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_ST_NUMERATOR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_ST_NUMERATOR]

GO


CREATE   PROCEDURE [dbo].SZV_ST_NUMERATOR (@link int)
AS

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @Year INT
SELECT @Year = YEAR_BEGIN FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link


	EXEC dbo.SZV_ST_NUMERATOR3 @link	


GO


GRANT EXECUTE ON dbo.[SZV_ST_NUMERATOR] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_PACHKA_FILL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_PACHKA_FILL]

GO

CREATE  PROCEDURE [dbo].SS_SZV_ST_PACHKA_FILL(@y int, @m int, @mode tinyint)
AS

declare @EndYear datetime
Set @EndYear = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@m,@y))

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @MONTH_END TINYINT, @MONTH_BEG TINYINT


DECLARE @PeriodBegin datetime

SET @MONTH_BEG = 1
SET @MONTH_END = 12

SELECT @PeriodBegin = dbo.ConvertDMY2Date(1,@MONTH_BEG,@y)

SELECT 0 as CHECKED, E.pers_link, NAME_EMPL = dbo.ku_getPersFio(E.pers_link)
FROM 
	dbo.EMPL E inner join dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE = 1 AND P.ACTIVE=1
	left join dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
WHERE 
	P.DATE_BEGIN <= @EndYear
	and
	coalesce(U.DIS_DATE,'20990101') >= @PeriodBegin
	And 
	E.DEP_LINK = @DEP_LINK
	And
	Coalesce(@mode,0) = 1
UNION 
Select 
	0 as CHECKED, pers_link = DFG.link, NAME_EMPL = dbo.ku_getPersFio(DFG.link)
FROM PERSON DFG inner join SALARY_REESTR_DGH DGH on DFG.link = DGH.PERS_LINK
WHERE 
	DGH.DATE1 = (
		Select max(DATE1)  from SALARY_REESTR_DGH as DGH0 
				where DGH.PERS_LINK = DGH0.PERS_LINK AND DGH0.DEP_LINK = DGH.DEP_LINK
					AND
					(
						ISNULL(DATE1, '19000101') between  @PeriodBegin and @EndYear
						or ISNULL(DATE2, '20990101') between @PeriodBegin and @EndYear
					)
				)
	And 
	DGH.DEP_LINK = @DEP_LINK
	And
	Coalesce(@mode,0) = 2
UNION 
SELECT DISTINCT 0 as CHECKED, E.pers_link, NAME_EMPL = dbo.ku_getPersFio(E.pers_link)
FROM 
	dbo.PAYS P
	INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_PAYS = P.LINK
	INNER JOIN dbo.EMPL E ON J.LINK_EMPL = E.LINK
WHERE
	P.[OBJECT] = 3
	AND
	YEAR(J.PERIOD_BEGIN) = @y
	AND 
	MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(@PeriodBegin) AND @m
	And
	Coalesce(@mode,0) = 3
	AND
	LINK_EMPL IS NOT NULL
UNION 		
SELECT DISTINCT 0 as CHECKED, pers_link, NAME_EMPL = dbo.ku_getPersFio(pers_link)
FROM 
	dbo.PAYS P
	INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_PAYS = P.LINK
WHERE
	P.[OBJECT] = 3
	AND
	YEAR(J.PERIOD_BEGIN) = @y
	AND 
	MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(@PeriodBegin) AND @m
	And
	Coalesce(@mode,0) = 3
	AND
	LINK_EMPL IS NULL AND pers_link IS NOT NULL			


GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_PACHKA_FILL] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSS_RPSV_17_FNS_PREPARE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSS_RPSV_17_FNS_PREPARE]

GO


CREATE PROCEDURE dbo.RSS_RPSV_17_FNS_PREPARE
	@Res float output, @varcStr varchar(250), @vardBegin datetime = '20160101', @vardEnd datetime = '20161231', @variCol int, @variRow int, @variLSF int
AS

-- 

DECLARE @OUT_VAL NUMERIC(20), @START_DATE DATETIME, @END_DATE DATETIME, @DEP_LINK INT, @TFOMS_KT int

DECLARE --  
	@C3S NUMERIC(18,6), @C4S NUMERIC(18,6), @C5S NUMERIC(18,6), @C6S NUMERIC(18,6),
	@C3N NUMERIC(18,6), @C4N NUMERIC(18,6), @C5N NUMERIC(18,6), @C6N NUMERIC(18,6),
	@C3SS NUMERIC(18,6), @C4SS NUMERIC(18,6), @C5SS NUMERIC(18,6), @C6SS NUMERIC(18,6),
	@C3NS NUMERIC(18,6), @C4NS NUMERIC(18,6), @C5NS NUMERIC(18,6), @C6NS NUMERIC(18,6)	

select @DEP_LINK = Link_Organization from report_saved_forms where link_saved_form =  @variLSF


set @TFOMS_KT = (select  (case when TFOMS_KT = '' then '01' else TFOMS_KT end)  from dictionary_department where link = @DEP_LINK)

set @res = 0
SELECT @START_DATE = @vardBegin, @END_DATE = @vardEnd

DECLARE @BYearDate	datetime
SET @BYearDate = dbo.DateBeginOfYear (@START_DATE)

DECLARE @nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

SELECT
	@nYEAR = YEAR(@START_DATE),
	@nMONTH1 = MONTH(@START_DATE),
	@nMONTH2 = MONTH(@START_DATE)+1,
	@nMONTH3 = MONTH(@START_DATE)+2

create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, FACE_GROUP TINYINT, I TINYINT, E TINYINT, INO TINYINT, SP VARCHAR(4), dekret int)

-----     ,  , ,           13%, 
--	  PERSON_CZ  - 0 ..        .
SELECT DISTINCT PERS_LINK = p.link ,RESIDENT = CASE WHEN p.FM IN('','','') THEN 0 else p.RESIDENT END   , --      ,     -  -        13%
				PERSON_CZ =  CASE WHEN ltrim(rtrim(c.name)) LIKE ('%%') THEN 
								 (case when (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
										or (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
										OR (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
										OR (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%') then 0 else 1 end) WHEN ltrim(rtrim(c.name)) LIKE ('% %') THEN  2 ELSE 0 end
INTO #PERS_INO
FROM person p
INNER JOIN  citizenship  c ON c.link = p.CITIZ_LINK  AND (ltrim(rtrim(c.name)) LIKE ('%%') OR  ltrim(rtrim(c.name)) LIKE ('% %'))



Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, FACE_GROUP, I, E, INO, SP, dekret)
Select [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, s.SUMMA, WAY_CALC, REF_PHYS_PERS,
	( CASE WHEN P.RESIDENT = 0 THEN 3
		   WHEN YEAR(birthdate)<= 1966 THEN 1
		   WHEN YEAR(birthdate)>= 1967 THEN 2 END ) AS FACE_GROUP,
	1,---   dbo.is_invalid(REF_PHYS_PERS,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH_BASE,@nYEAR))),
	F.ENVD,
	IN0 = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
	SP = isnull(s4.code,''),
	DEkRET =ISNULL((select top 1 A.dekret FROM  DBO.DOCUMENTS_ADD_ARCHE  a where a.ref_empl = sd.LINK AND  @nYEAR between year(a.DATE1) AND year(a.DATE2) AND s.MONTH_BASE between month(a.DATE1) AND month(a.DATE2)),0)	
from dbo.SA_ESN_VIEW(@nYEAR, @nMONTH3, @DEP_LINK, 0) S
	inner join PERSON P on S.REF_PHYS_PERS = P.link
	inner join dbo.SAL_SFIN F on F.LINK = S.LINK_VKR

	left JOIN dbo.sd_empl sd ON  sd.PERS_LINK =  P.link AND sd.STATUS_EMPL = 1 and (@nYEAR between year(sd.date_begin) and year(isnull(sd.DATE_end,'20991231')) AND  s.MONTH_BASE between month(sd.date_begin) and month(isnull(sd.DATE_end,'20991231'))) 

	LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = S.SPECO  AND s4.spr_code = 'SPO_USL_TRUDA'
	LEFT JOIN #PERS_INO O ON O.PERS_LINK = P.link AND (o.PERSON_CZ <> 0 AND o.RESIDENT <> 1)
WHERE  WAY_CALC not in (5)


--  
INSERT INTO #SPR_ESN
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, FACE_GROUP, I, E, INO, dekret)
SELECT
	MONTH(G.[DATE]) AS MONTH_BASE, GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK,
	( CASE WHEN P.RESIDENT = 0  THEN 3
		   WHEN YEAR(birthdate)<= 1966 THEN 1
		   WHEN YEAR(birthdate)>= 1967 THEN 2 END) AS FACE_GROUP ,
	1,---   dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@nYEAR))),
	F.ENVD,
	IN0 = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
	0
FROM
	DOCUMENTS_DGH G INNER JOIN DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join PERSON P on GT.PERS_LINK = P.link
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
	LEFT JOIN #PERS_INO O ON O.PERS_LINK = P.link AND (o.PERSON_CZ <> 0 AND o.RESIDENT <> 1)
WHERE
	FLAG_JC = 1
	AND GT.WAY_CALC  not in (5)
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3
	AND LINK_DEP = @DEP_LINK


DELETE FROM #SPR_ESN
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS <= @START_DATE)


CREATE TABLE #RES2(CODE_STR VARCHAR(10), C1 NUMERIC(18,2), C2 NUMERIC(18,2),  C3 NUMERIC(18,2), C4 NUMERIC(18,2), C5 NUMERIC(18,2), C6 NUMERIC(18,2), C7 NUMERIC(18,2), C8 NUMERIC(18,2))
/*
   "  ",    ,
       ()    .
*/

declare @EndYear datetime
Set @EndYear = dbo.DateEndOfYear(@START_DATE)

DECLARE @C1_PERIOD_BEG DATETIME, @C1_PERIOD_END DATETIME

SELECT @C1_PERIOD_BEG = @START_DATE,
	   @C1_PERIOD_END = @END_DATE
		
--------------
DECLARE @BDate datetime, @EndDate datetime, @EDate datetime, @NAvgCount int
/*SELECT @NAvgCount = COUNT(pers_link)
FROM
(
	SELECT DISTINCT E.pers_link
	FROM
		dbo.EMPL E inner join dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE = 1 AND P.ACTIVE=1
		left join dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
	WHERE
		P.DATE_BEGIN <= @C1_PERIOD_END
		and
		coalesce(U.DIS_DATE,'20990101') >= @C1_PERIOD_BEG
		And
		E.DEP_LINK = @DEP_LINK
	UNION
	Select DISTINCT
		DFG.link
	FROM PERSON DFG inner join SALARY_REESTR_DGH DGH on DFG.link = DGH.PERS_LINK
	WHERE
		DGH.DATE1 = (
			Select max(DATE1)  from SALARY_REESTR_DGH as DGH0
					where DGH.PERS_LINK = DGH0.PERS_LINK AND DGH0.DEP_LINK = DGH.DEP_LINK
						AND
						(
							ISNULL(DATE1, '19000101') between  @C1_PERIOD_BEG and @C1_PERIOD_END
							or ISNULL(DATE2, '20990101') between @C1_PERIOD_BEG and @C1_PERIOD_END
						)
					)
		And
		DGH.DEP_LINK = @DEP_LINK
) AS T		
*/

SELECT @NAvgCount = 	ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where (summa <> 0 OR DEKRET = 1)  AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where(summa <> 0 OR DEKRET = 1) AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where (summa <> 0 OR DEKRET = 1) AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0)

--




INSERT INTO #RES2(CODE_STR, C1)
SELECT '1', ISNULL(@NAvgCount,0)



/******** **********/
SELECT @BDate = @START_DATE, @EndDate = @END_DATE
SET @EDate = dateadd(year,1,convert(varchar, YEAR(@BDate))+'0101')

/*      */
---Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 0, DEFAULT))
SELECT @NAvgCount = 	ISNULL(
			(SELECT max(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where (summa <> 0 OR DEKRET = 1)  AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where (summa <> 0 OR DEKRET = 1) AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where (summa <> 0 OR DEKRET = 1) AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0)
--
UPDATE #RES2 SET C2 = ISNULL(@NAvgCount,0) WHERE CODE_STR = '1'
-- 2.     ,     
Declare @StBase2 table (link int)
Insert into @StBase2 (link)
select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 6)


--   
SELECT
	GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, F.ENVD, SUMMA_BASE = sum(GT.SUMMA_BASE)
INTO #DGH_FAKT_BASE
FROM
	dbo.DOCUMENTS_DGH G INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	INNER JOIN dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE
	FLAG_JC = 1
	AND GT.WAY_CALC  = 6
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3
	AND LINK_DEP = @DEP_LINK
GROUP BY
	GT.PERS_LINK, MONTH(G.[DATE]), F.ENVD

SELECT  PERS_LINK, MONTH_BASE, SUMMA_BASE = SUM(SUMMA_BASE)
INTO #DGH_FAKT_BASE1
FROM #DGH_FAKT_BASE
GROUP BY PERS_LINK, MONTH_BASE

DECLARE @LINK_EKR213 INT
SET @LINK_EKR213 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')

DECLARE @ESN_213 INT --      213 
SET @ESN_213 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_5')

------
CREATE TABLE #CALCULATE_JURNAL (LINK_PAYS INT, PERIOD_BEGIN DATETIME, [days] INT, LINK_DEP INT , LINK_DOC INT, PERS_LINK INT, LINK_VKR INT, LINK_EKR INT, LINK_EMPL INT, SUMMA NUMERIC(18,2), WAY_CALC TINYINT , SPECO int)
INSERT INTO #CALCULATE_JURNAL (LINK_PAYS, PERIOD_BEGIN , [days],LINK_DEP, LINK_DOC, PERS_LINK, LINK_VKR, LINK_EKR, LINK_EMPL, SUMMA,way_calc , SPECO)
SELECT CJ.LINK_PAYS, CJ.PERIOD_BEGIN, [days] = sum(CJ.[DAYS]),LINK_DEP, CJ.LINK_DOC, CJ.PERS_LINK, CJ.LINK_VKR, cj.LINK_EKR, CJ.LINK_EMPL, SUMMA = SUM(CJ.SUMMA), p.way_calc , SPECO
FROM dbo.CALCULATE_JURNAL CJ INNER JOIN dbo.PAYS P ON  CJ.LINK_PAYS = p.link
WHERE
	Year(period_begin) = @nYEAR
	and Month(period_begin) <= @nMONTH3
	and CJ.LINK_DEP = @DEP_LINK
GROUP BY
	cj.LINK_PAYS, cj.PERIOD_BEGIN,LINK_DEP, cj.LINK_DOC, cj.PERS_LINK, cj.LINK_VKR, cj.LINK_EKR, cj.LINK_EMPL, P.WAY_CALC,cj.SPECO

DELETE FROM #CALCULATE_JURNAL 
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = (SELECT e.PERS_LINK FROM empl e WHERE e.link = LINK_EMPL  )  and K.CHECK_SZV = 0  AND DATE_PENS <= @START_DATE)

------	      
CREATE TABLE #PERS_INV (PERS_LINK INT)
--SELECT DISTINCT PERS_LINK
--INTO #PERS_INV
--FROM dbo.PERS_INVALID I
--WHERE COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate


------	            
SELECT DISTINCT sd.LINK, DOP = (CASE when S.COD_POS_SPISOK is NOT NULL then 1 else 2 end) , SPO = isnull(s4.code,'')
INTO #EMPL_DT
FROM DBO.KU_EMPL_PLACING SD
	left JOIN (select * from STAFF WHERE dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@nYEAR)) BETWEEN DATE_BEGIN AND DATE_END  ) S ON S.LINK_up = SD.STAFF_HEAD  AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@nYEAR )) BETWEEN S.DATE_BEGIN AND S.DATE_END
	LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = s.COD_SPO_USL_TRUD  AND s4.spr_code = 'SPO_USL_TRUDA'
	WHERE
		(S.COD_POS_SPISOK is NOT NULL OR S.COD_POS_SPISOK2 is NOT NULL)


--  #SALARY_SUM2
CREATE TABLE #SALARY_SUM_DATA (PERS_LINK INT, PERIOD_BEGIN DATETIME, SUMMA_ALL NUMERIC(18,2), SUMMA_NO NUMERIC(18,2), SUMMA_ALL_I NUMERIC(18,2), SUMMA_NO_I NUMERIC(18,2), SUMMA_ALL_E NUMERIC(18,2), SUMMA_NO_E NUMERIC(18,2), INV TINYINT , INO TINYINT,
		SUMMA_ALL_INO NUMERIC(18,2), SUMMA_NO_INO NUMERIC(18,2)
		/*,SUMMA_ALL_D1 NUMERIC(18,2)*/, SUMMA_NO_D1 NUMERIC(18,2)/*, SUMMA_ALL_D2 NUMERIC(18,2)*/, SUMMA_NO_D2 NUMERIC(18,2),
	SUM_NO_D1_O4 NUMERIC(18,2) ,SUM_NO_D1_B34 NUMERIC(18,2) ,SUM_NO_D1_B33 NUMERIC(18,2),SUM_NO_D1_B32 NUMERIC(18,2), SUM_NO_D1_B31 NUMERIC(18,2),
		SUM_NO_D2_O4 NUMERIC(18,2) ,SUM_NO_D2_B34 NUMERIC(18,2) ,SUM_NO_D2_B33 NUMERIC(18,2),SUM_NO_D2_B32 NUMERIC(18,2), SUM_NO_D2_B31 NUMERIC(18,2)
		)
--
INSERT INTO #SALARY_SUM_DATA (PERS_LINK, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO ,
			SUMMA_ALL_INO , SUMMA_NO_INO
		/*,SUMMA_ALL_D1*/, SUMMA_NO_D1/*, SUMMA_ALL_D2*/, SUMMA_NO_D2,SUM_NO_D1_O4,SUM_NO_D1_B34,SUM_NO_D1_B33, SUM_NO_D1_B32, SUM_NO_D1_B31,
		SUM_NO_D2_O4,SUM_NO_D2_B34,SUM_NO_D2_B33, SUM_NO_D2_B32, SUM_NO_D2_B31)
select
	E.PERS_LINK,
	CJ.PERIOD_BEGIN,
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
	SUMMA_ALL_I = 0,
	SUMMA_NO_I = 0,
	SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
	SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 AND (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) THEN SUMMA ELSE 0 END),
	INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
	INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
	SUMMA_ALL_INO = 0,
	SUMMA_NO_INO = 0,
	--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
	SUMMA_NO_D1 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 1 AND isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),

	----SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
	SUMMA_NO_D2 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 2 and  isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='4'  THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.1' THEN SUMMA ELSE 0 END),	
	SUM_NO_D2_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='4' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.1' THEN SUMMA ELSE 0 END)

from
	#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
	INNER JOIN DBO.EMPL E ON E.LINK = CJ.LINK_EMPL
	LEFT JOIN @StBase2 B ON B.LINK = cj.LINK_PAYS
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = E.PERS_LINK
	LEFT JOIN #PERS_INO O ON O.PERS_LINK = E.PERS_LINK AND (o.PERSON_CZ <> 0 AND O.resident<>1)
	LEFT JOIN #EMPL_DT ED ON ED.link = CJ.LINK_EMPL
where 	
	P.[OBJECT] = 1
GROUP BY
	E.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN , O.pers_LINK

--
INSERT INTO #SALARY_SUM_DATA (PERS_LINK, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO,SUMMA_ALL_INO,SUMMA_NO_INO
		--,SUMMA_ALL_D1, SUMMA_NO_D1, SUMMA_ALL_D2, SUMMA_NO_D2
		)
select
	CJ.PERS_LINK,
	CJ.PERIOD_BEGIN,
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(SUMMA) - ISNULL((SELECT SUM(B1.SUMMA_BASE) FROM #DGH_FAKT_BASE1 B1 WHERE B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)),0), --     
	SUMMA_ALL_I = 0,
	SUMMA_NO_I = 0,
	SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
	SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END)  - ISNULL((SELECT SUM(B.SUMMA_BASE) FROM #DGH_FAKT_BASE B WHERE B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1),0),
	INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
	INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
	SUMMA_ALL_INO = 0,
	SUMMA_NO_INO = 0
	--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
	--SUMMA_NO_D1 = 0,

	--SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
	--SUMMA_NO_D2 = 0
		
from
	#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
	INNER JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
	--     
--	LEFT JOIN #DGH_FAKT_BASE B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1
	--   
--	LEFT JOIN #DGH_FAKT_BASE1 B1 ON B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = CJ.PERS_LINK
	LEFT JOIN #PERS_INO O ON O.PERS_LINK = CJ.PERS_LINK AND (o.PERSON_CZ <> 0 AND O.resident<>1)
where 	
	P.[OBJECT] = 1
GROUP BY
	CJ.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN, P1.RESIDENT, p1.birthdate , O.pers_LINK


----    ,      
--UPDATE D SET
--	SUMMA_ALL_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL ELSE 0 END),
--	SUMMA_NO_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO ELSE 0 END),
--	SUMMA_ALL_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL_E ELSE 0 END),
--	SUMMA_NO_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO_E ELSE 0 END)
--FROM #SALARY_SUM_DATA D
--WHERE INV = 1 --    -  	

--    ,      
UPDATE D SET
	SUMMA_ALL_INO = (CASE when D.PERS_LINK = (SELECT top 1 i1.pers_link FROM #PERS_INO I1 WHERE I1.PERS_LINK =  D.PERS_LINK) THEN SUMMA_ALL ELSE 0 END),
	SUMMA_NO_INO = (CASE WHEN D.PERS_LINK = (SELECT top 1 i1.pers_link FROM #PERS_INO I1 WHERE I1.PERS_LINK =  D.PERS_LINK) THEN SUMMA_NO ELSE 0 END)
FROM #SALARY_SUM_DATA D
WHERE INO = 1 --  -  	

---  ,       
---       ..
---              ( ) 
---       
---      

UPDATE s
SET
	MONTH_BASE = CASE WHEN s.summa_base < 0 AND EXISTS(SELECT * FROM #SPR_ESN WHERE REF_PHYS_PERS = s.REF_PHYS_PERS AND MONTH_BASE  = s.MONTH_BASE - 1 AND summa_base > 0 AND way_calc = s.WAY_CALC) THEN s.MONTH_BASE-1 ELSE s.MONTH_BASE END   
from #SPR_ESN s	 WHERE s.summa_base < 0


UPDATE ss
SET
	PERIOD_BEGIN = CASE WHEN ss.SUMMA_ALL<0 AND EXISTS(SELECT * FROM #SALARY_SUM_DATA WHERE pers_link = ss.PERS_LINK AND month(PERIOD_BEGIN)  = MONTH(ss.PERIOD_BEGIN) - 1 AND summa_all > 0 ) THEN (SELECT PERIOD_BEGIN FROM #SALARY_SUM_DATA WHERE pers_link = ss.PERS_LINK AND month(PERIOD_BEGIN)  = MONTH(ss.PERIOD_BEGIN) - 1 AND summa_all > 0 )  ELSE SS.PERIOD_BEGIN END   
FROM #SALARY_SUM_DATA ss WHERE ss.SUMMA_ALL<0



--   
SELECT MON = Month(PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO),
	SUMMA_ALL_I = SUM(SUMMA_ALL_I), SUMMA_NO_I = SUM(SUMMA_NO_I),
	SUMMA_ALL_E = SUM(SUMMA_ALL_E), SUMMA_NO_E = SUM(SUMMA_NO_E),
	SUMMA_ALL_INO = SUM(SUMMA_ALL_INO), SUMMA_NO_INO = SUM(SUMMA_NO_INO),
	SUMMA_NO_D1 = SUM(SUMMA_NO_D1), SUMMA_NO_D2 = SUM(SUMMA_NO_D2),
	SUM_NO_D1_O4  = SUM(SUM_NO_D1_O4), SUM_NO_D1_B34 = SUM(SUM_NO_D1_B34),
	SUM_NO_D1_B33 = SUM(SUM_NO_D1_B33), SUM_NO_D1_B32 = SUM(SUM_NO_D1_B32), SUM_NO_D1_B31 = SUM(SUM_NO_D1_B31),
	SUM_NO_D2_O4  = SUM(SUM_NO_D2_O4), SUM_NO_D2_B34 = SUM(SUM_NO_D2_B34),
	SUM_NO_D2_B33 = SUM(SUM_NO_D2_B33), SUM_NO_D2_B32 = SUM(SUM_NO_D2_B32), SUM_NO_D2_B31 = SUM(SUM_NO_D2_B31)
INTO #SALARY_SUM2
FROM #SALARY_SUM_DATA
GROUP BY
	Month(PERIOD_BEGIN)

--
--DROP TABLE #SALARY_SUM_DATA	

--  ר 303.09 (  )   
CREATE TABLE #REST_30309_KAU (LINK_KAU INT, REST NUMERIC(18,2))

DECLARE @Cur1 CURSOR, @LINK_ACC INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM dbo.S_ACCOUNTS WHERE CODE LIKE '303.09%'

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK_ACC
WHILE (@@fetch_status <> -1)
BEGIN

	IF (@@fetch_status <> -2)
	BEGIN

			INSERT INTO #REST_30309_KAU (LINK_KAU, REST)
			SELECT KAU, REST = coalesce(sum(K_SUMMA)-sum(D_SUMMA),0) FROM dbo.ARestGroupedTableByDate (@START_DATE, @LINK_ACC, DEFAULT) GROUP BY KAU

	END

	FETCH NEXT FROM @Cur1 INTO @LINK_ACC
END

CLOSE @Cur1
DEALLOCATE @Cur1

--  ר 303.10 (  )   
CREATE TABLE #REST_30310(REST NUMERIC(18,2))

DECLARE @Cur2 CURSOR
SET @Cur2 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM dbo.S_ACCOUNTS WHERE CODE LIKE '303.10%'

OPEN @Cur2
FETCH NEXT FROM @Cur2 INTO @LINK_ACC
WHILE (@@fetch_status <> -1)
BEGIN

	IF (@@fetch_status <> -2)
	BEGIN

			INSERT INTO #REST_30310 (REST)
			SELECT REST = coalesce(sum(K_SUMMA)-sum(D_SUMMA),0) FROM dbo.ARestGroupedTableByDate (@START_DATE, @LINK_ACC, DEFAULT)

	END

	FETCH NEXT FROM @Cur2 INTO @LINK_ACC
END

CLOSE @Cur2
DEALLOCATE @Cur2

--  ר 303.07 (  )   
CREATE TABLE #REST_30307(REST NUMERIC(18,2))

DECLARE @Cur3 CURSOR
SET @Cur3 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM dbo.S_ACCOUNTS WHERE CODE LIKE '303.07%'

OPEN @Cur3
FETCH NEXT FROM @Cur3 INTO @LINK_ACC
WHILE (@@fetch_status <> -1)
BEGIN

	IF (@@fetch_status <> -2)
	BEGIN

			INSERT INTO #REST_30307 (REST)
			SELECT REST = coalesce(sum(K_SUMMA)-sum(D_SUMMA),0) FROM dbo.ARestGroupedTableByDate (@START_DATE, @LINK_ACC, DEFAULT)

	END

	FETCH NEXT FROM @Cur3 INTO @LINK_ACC
END

CLOSE @Cur3
DEALLOCATE @Cur3

--          1
DECLARE @KAU_S1 INT, @KAU_S2 INT

SET @KAU_S1 = (SELECT TOP 1 LINK_KAU FROM dbo.REPORT_OPTIONS WHERE Code = 'kau_RSV1_s1')
SET @KAU_S2 = (SELECT TOP 1 LINK_KAU FROM dbo.REPORT_OPTIONS WHERE Code = 'kau_RSV1_s2')

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7, C8)
SELECT '100',
	C3 = ISNULL((SELECT SUM(REST) FROM #REST_30310),0),
	0,0,
	6 = ISNULL((SELECT SUM(REST) FROM #REST_30309_KAU WHERE LINK_KAU = @KAU_S1),0),
	7 = ISNULL((SELECT SUM(REST) FROM #REST_30309_KAU WHERE LINK_KAU = @KAU_S2),0),
	C8 = ISNULL((SELECT SUM(REST) FROM #REST_30307),0)



-----  ,   ,     7  8    24  2009  212-
----- (       ,    ,
-----      ,        , ,
-----  ,   ,        ,
-----  ,    ,          )
-----    
/*INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '202',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),0)
		WHEN 6 THEN
			CONVERT(numeric(18,2),0)
		WHEN 9 THEN
			CONVERT(numeric(18,2),0)
		WHEN 12 THEN
			CONVERT(numeric(18,2),0)
	END,	
	
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0)
*/
-----

--,        
DECLARE @LIMIT NUMERIC(18,2)

SELECT
	@LIMIT  = MIN(S.PREDEL)
FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	tarif =1
	and
	[DATE] =  (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
	
SET @LIMIT = ISNULL(@LIMIT,0)


--,        
DECLARE @LIMIT_OMS NUMERIC(18,2)

SELECT @LIMIT_OMS = MAX(S.PREDEL)
FROM
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
WHERE
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
	
SET @LIMIT_OMS = ISNULL(@LIMIT_OMS,0)


--  ,        (%)
--   
--    2014         ,      " 1967"
DECLARE
	@PERCENT NUMERIC(18,2),
	--    2014  
	-- @PERCENT_N NUMERIC(18,2)  --
	@PERCENT_OMS NUMERIC(18,2), @IPERCENT_OMS NUMERIC(18,2)
	
SELECT
	@PERCENT = S.PERCENT3
FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	predel = @LIMIT
	and tarif =1
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT3 > 0
	
SET @PERCENT = ISNULL(@PERCENT,0)	


--
SELECT @PERCENT_OMS = S.PERCENT1
FROM
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
WHERE
	predel = @LIMIT_OMS
	and tarif =1
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT_OMS
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0

--
SELECT @IPERCENT_OMS = S.PERCENT1
FROM
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
WHERE
	predel = @LIMIT_OMS
	and tarif =3
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT_OMS
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0	

SET @PERCENT_OMS = ISNULL(@PERCENT_OMS,0)	
SET @IPERCENT_OMS = ISNULL(@IPERCENT_OMS,0)

--  
---  
DECLARE @IPERCENT NUMERIC(28,2)
SELECT @IPERCENT = S.PERCENT3
FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	predel = @LIMIT
	and tarif = 3
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
SET @IPERCENT = ISNULL(@IPERCENT,0)

	
---     2014  
/*   */
-----

SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END INTO #SPR_ESN1 FROM #SPR_ESN WHERE WAY_CALC = 6 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 2 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 3 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 4 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 5 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 6 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 7 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 8 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 9 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 10 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 11 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 12 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS


SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2
FROM
	#SPR_ESN1 T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1 T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1 T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1
--WHERE
--	(ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)) > 0



declare @dateBeg_mon1 datetime , @dateBeg_mon2 datetime, @dateBeg_mon3 datetime ,
		@dateEND_mon1 datetime , @dateEND_mon2 datetime, @dateEND_mon3 DATETIME,
		@NAvgCountM1 INT, @NAvgCountM2 INT,@NAvgCountM3 INT

SELECT @datebeg_mon1 = dbo.ConvertDMY2Date(1,@nMONTH1,year(@START_DATE)),
		@datebeg_mon2 = dbo.ConvertDMY2Date(1,@nMONTH2,year(@START_DATE)),
		@datebeg_mon3 = dbo.ConvertDMY2Date(1,@nMONTH3,year(@START_DATE)),
		@dateEND_mon1 = dbo.DateEndOfMonth(@datebeg_mon1), 
		@dateEND_mon2 = dbo.DateEndOfMonth(@datebeg_mon2),
		@dateEND_mon3 = dbo.DateEndOfMonth(@datebeg_mon3)


-- 11.1_1.2 

CREATE TABLE #DGH_CJ2 (PERS_LINK INT, PERIOD_BEGIN DATETIME, SUMMA NUMERIC(18,6), RESIDENT int )
INSERT INTO #DGH_CJ2 (PERS_LINK, PERIOD_BEGIN, SUMMA, resident)
SELECT PERS_LINK, PERIOD_BEGIN, SUM(SUMMA), (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end)   
FROM dbo.CALCULATE_JURNAL CJ
	inner JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
	INNER JOIN DBO.PAYS P ON P.LINK = CJ.LINK_PAYS
	left join CITIZENSHIP c ON c.LINK= P1.CITIZ_LINK
WHERE
	yEAR(CJ.period_begin) = @nYEAR
	AND CJ.LINK_DEP = @DEP_LINK
	AND P.[OBJECT] = 1
GROUP BY
	PERS_LINK, PERIOD_BEGIN, c.CODE


SELECT plink = plink,MON
INTO #SALARY_PERS_OPS
FROM (
SELECT
	e.link,
	plink = e.pers_link,
	MON = Month(CJ.PERIOD_BEGIN),
	--SUMMA_ALL = SUM(SUMMA),
	--SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
	DGH= 0
from 
	dbo.CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN DBO.EMPL E ON E.LINK = CJ.LINK_EMPL
	--LEFT JOIN @StBase3 B ON B.LINK = cj.LINK_PAYS
where 	
	Year(CJ.period_begin) = @nYEAR and Month(CJ.period_begin) <= @nMONTH3 
	and CJ.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1
	AND NOT exists(SELECT * from dbo.KJ_PERS_PENSION K  WHERE K.PERS_LINK = e.PERS_LINK and K.CHECK_SZV = 0  AND DATE_PENS <= @START_DATE)	
GROUP BY
	Month(CJ.PERIOD_BEGIN),e.link,e.pers_link
UNION ALL	
select 
	link = NULL,
	Plink = B.pers_link,
	MON = Month(CJ.PERIOD_BEGIN),
	--SUMMA_ALL = SUM(SUMMA),
	--SUMMA_NO = SUM(SUMMA - ISNULL(B.SUMMA_BASE,0)), --     
	DGH = 1
from 
	#DGH_CJ2 CJ
	LEFT JOIN #DGH_FAKT_BASE B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
where 	
	Month(CJ.period_begin) <= @nMONTH3 
GROUP BY
	Month(CJ.PERIOD_BEGIN),B.pers_link )  AS t
GROUP BY 	t.plink , t.MON
UNION ALL 
SELECT  
	plink = se.REF_PHYS_PERS,
	mon = se.MONTH_BASE
FROM
	#SPR_ESN AS se WHERE se.WAY_CALC  = 6 AND (se.SUMMA <> 0 OR SE.DEKRET = 1 ) 
	GROUP BY 	se.REF_PHYS_PERS, se.MONTH_BASE


--   ,  (.) - 010  - 
-- 
---          1 ,     ,    
  

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '0110010',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT plink) FROM #SALARY_PERS_OPS where MON <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT plink) FROM #SALARY_PERS_OPS where MON IN( @nMONTH1 ,@nMONTH2,@nMONTH3)) T
			),0)
	END,	
	ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT plink) FROM #SALARY_PERS_OPS where MON in(@nMONTH1,@nMONTH2,@nMONTH3)) T
			),0),
	ISNULL((SELECT count(DISTINCT plink) FROM #SALARY_PERS_OPS where MON = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT plink) FROM #SALARY_PERS_OPS where MON = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT plink) FROM #SALARY_PERS_OPS where MON = @nMONTH3) ,0) 		





 
-- 11.1_1.2


--   ,            (.) - 020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '0110020',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN   WHERE WAY_CALC  = 6 and summa <> 0 AND  MONTH_BASE <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC  = 6 and  summa <> 0 AND MONTH_BASE between @nMONTH1 and @nMONTH3) T
			),0)
	END,	
	ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC  = 6 and  summa <> 0 AND  MONTH_BASE between @nMONTH1 and @nMONTH3 ) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN WHERE WAY_CALC  = 6 and  summa <> 0 AND MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC  = 6 and  summa <> 0 AND MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC  = 6 and  summa <> 0 AND MONTH_BASE = @nMONTH3) ,0) 		

DROP TABLE #DGH_CJ2
DROP TABLE #SALARY_PERS_OPS

--     ,             (.) - 021
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '0110021',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0  and M = 1 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 2 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 3 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 4 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 5 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 6 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 7 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 8 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 9 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 10 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 11 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 12 AND M <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH3) T
			),0)
	END,	
	ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH3) T
			),0),	
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH3) ,0) 	




-- 11.1_1.2
--    ,        - 030
--      ,    
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0110030',
			
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 10 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 11 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 12 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))	 					 	 					 			 					
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
FROM #SALARY_SUM2		

-- 11.1_1.2
--,       - 040
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0110040',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0))			
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 9),0))			
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 9),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 10) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 10),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 11) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 11),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 12) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 12),0))			
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = @nMONTH1),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = @nMONTH2),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))


-- 11.1_1.2
-- ,     
--   :      
--                - 051
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0110051',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 3) ,0))	
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 6) ,0))	
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 9) ,0))	
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 9) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 10) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 11) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 12) ,0))										
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH3) ,0))

	
-- 11.1_1.2
--    (.061+.062)
--  ,       
--       - 061
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0110061',
	CASE WHEN @nMONTH3 > 3 THEN
		CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 ) ,0))
	ELSE
		CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))
	END,	
	CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))


DECLARE @PERC1 NUMERIC(28,2), @IPERC1 NUMERIC(28,2)
--  
SELECT @PERC1 = S.PERCENT1

FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	predel > @LIMIT
	and
	tarif = 1
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel > @LIMIT
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
SET @PERC1 = ISNULL(@PERC1,0)	
--  
SELECT @IPERC1 = S.PERCENT1

FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	predel > @LIMIT
	and
	tarif = 3
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel > @LIMIT
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
SET @IPERC1 = ISNULL(@IPERC1,0)	
-- 11.1_1.2
--  ,       
--       - 061
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0110062',
	CASE WHEN @nMONTH3 > 3 THEN
		(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2) ,0)) * @PERC1)/100
	ELSE
		((CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE  M = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH3) ,0))) * @PERC1)/100 	
	END,	
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH1) ,0)) * @PERC1)/100,
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH2) ,0)) * @PERC1)/100,
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH3) ,0)) * @PERC1)/100	

update #RES2
	set C3 = (c3 - (select c3 from #RES2 where code_str = '0110062' )) ,
	C4 = (c4 - (select c4 from #RES2 where code_str = '0110062' )),
	C5= (c5 - (select c5 from #RES2 where code_str = '0110062' )),
	C6= (c6 - (select c6 from #RES2 where code_str = '0110062' ))
from #RES2
where code_str = '0110061'




	
-- 11.1_1.2	- 1010 - 1060
CREATE TABLE #DGH_CJ1 (PERS_LINK INT, PERIOD_BEGIN DATETIME, SUMMA NUMERIC(18,6), RESIDENT int )
INSERT INTO #DGH_CJ1 (PERS_LINK, PERIOD_BEGIN, SUMMA, resident)
SELECT PERS_LINK, PERIOD_BEGIN, SUM(SUMMA), (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end)   
FROM dbo.CALCULATE_JURNAL CJ
	inner JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
	INNER JOIN DBO.PAYS P ON P.LINK = CJ.LINK_PAYS
	left join CITIZENSHIP c ON c.LINK= P1.CITIZ_LINK
WHERE
	yEAR(CJ.period_begin) = @nYEAR
	AND CJ.LINK_DEP = @DEP_LINK
	AND P.[OBJECT] = 1
GROUP BY
	PERS_LINK, PERIOD_BEGIN, c.CODE



SELECT plink = plink,MON
INTO #SALARY_PERS_OMS
FROM (
SELECT
	e.link,
	plink = e.pers_link,
	MON = Month(CJ.PERIOD_BEGIN),
	--SUMMA_ALL = SUM(SUMMA),
	--SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
	DGH= 0
from 
	dbo.CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN DBO.EMPL E ON E.LINK = CJ.LINK_EMPL
	--LEFT JOIN @StBase3 B ON B.LINK = cj.LINK_PAYS
where 	
	Year(CJ.period_begin) = @nYEAR and Month(CJ.period_begin) <= @nMONTH3 
	and CJ.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1
	AND NOT exists(SELECT * from dbo.KJ_PERS_PENSION K  WHERE K.PERS_LINK = e.PERS_LINK and K.CHECK_SZV = 0  AND DATE_PENS <= @START_DATE)	
GROUP BY
	Month(CJ.PERIOD_BEGIN),e.link,e.pers_link
UNION ALL	
select 
	link = NULL,
	Plink = B.pers_link,
	MON = Month(CJ.PERIOD_BEGIN),
	--SUMMA_ALL = SUM(SUMMA),
	--SUMMA_NO = SUM(SUMMA - ISNULL(B.SUMMA_BASE,0)), --     
	DGH = 1
from 
	#DGH_CJ1 CJ
	LEFT JOIN #DGH_FAKT_BASE B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
where 	
	Month(CJ.period_begin) <= @nMONTH3 
GROUP BY
	Month(CJ.PERIOD_BEGIN),B.pers_link )  AS t
GROUP BY 	t.plink , t.MON
UNION ALL 
SELECT  
	plink = se.REF_PHYS_PERS,
	mon = se.MONTH_BASE
FROM
	#SPR_ESN AS se WHERE se.WAY_CALC  = 3 AND (se.SUMMA <> 0 OR SE.DEKRET = 1 ) 
	GROUP BY 	se.REF_PHYS_PERS, se.MONTH_BASE

-----     
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '0111010',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT  = count(DISTINCT plink) FROM #SALARY_PERS_OMS where MON <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT plink) FROM #SALARY_PERS_OMS where MON in (@nMONTH1,@nMONTH2,@nMONTH3)) T
			),0)
	END,	
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT plink) FROM #SALARY_PERS_OMS where MON IN ( @nMONTH1,@nMONTH2,@nMONTH3)) T
			),0),	
	ISNULL((SELECT count(DISTINCT plink) FROM #SALARY_PERS_OMS where MON = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT plink) FROM #SALARY_PERS_OMS where MON= @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT plink) FROM #SALARY_PERS_OMS where MON = @nMONTH3) ,0) 

--   ,       ,
--  (.) - 1020


INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '0111020',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT  = count(DISTINCT ref_phys_pers) FROM #SPR_ESN   WHERE WAY_CALC  = 3 and summa <> 0 AND  MONTH_BASE <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN   WHERE WAY_CALC  =3 and summa <> 0 AND  MONTH_BASE between @nMONTH1 and @nMONTH3) T
			),0)
	END,	
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN   WHERE WAY_CALC  = 3 and summa <> 0 AND  MONTH_BASE  between @nMONTH1 and @nMONTH3) T
			),0),	
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN   WHERE WAY_CALC  = 3 and summa <> 0 AND  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN   WHERE WAY_CALC  = 3 and summa <> 0 AND  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN   WHERE WAY_CALC  = 3 and summa <> 0 AND  MONTH_BASE = @nMONTH3) ,0) 

DROP TABLE #SALARY_PERS_OMS

-- 11.1_1.2

--    ,       - 1030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0111030',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 10 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 11 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 12 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))	 					 	 					 			 					
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
FROM #SALARY_SUM2		
-- 11.1_1.2
--,       - 1040
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0111040',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 3),0))
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 6),0))			
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 9),0))			
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 9),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 10) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 10),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 11) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 11),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 12) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 12),0))			
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = @nMONTH1),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = @nMONTH2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = @nMONTH2),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = @nMONTH3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))



SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END INTO #SPR_ESN1M FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 2 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 3 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 4 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 5 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 6 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 7 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 8 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 9 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 10 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 11 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 12 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS

SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2M
FROM
	#SPR_ESN1M T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1M T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1M T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1

	

/*---  ,        
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '213',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))	
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 6) ,0))	
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 9) ,0))	
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 9) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 10) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 11) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 12) ,0))										
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = @nMONTH3) ,0))
*/


-- 11.1_1.2
--        - 1060
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0111060',
	CASE WHEN @nMONTH3 > 3 THEN
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3  /*AND INO = 0*/ AND I = 1) ,0))
	ELSE
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 /*AND INO = 0*/ AND I = 1 AND MONTH_BASE = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 /*AND INO = 0*/ AND I = 1 AND MONTH_BASE = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 /*AND INO = 0*/ AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))	
	END,	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 /*AND INO = 0*/ AND I = 1 AND MONTH_BASE = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 /*AND INO = 0*/ AND I = 1 AND MONTH_BASE = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 /*AND INO = 0*/ AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))	


--    
/*
--   
 1.           -1       .
 2.        ,   .
 3.        ,   .
    ,      ,    .
*/
DECLARE @SALARY_OPTIONS_OPT6_1 INT
SET @SALARY_OPTIONS_OPT6_1 =  dbo.SA_GET_OPTION_BY_CODE('SALARY_OPTIONS_OPT6_1')


------------------------------------------------------------------------------------
-----    2014 
	IF ISNULL(@PERCENT,0) > 0
	BEGIN
		--    	
		SELECT
			@C3S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C3 ELSE 0 END)
					)) * @PERCENT/100
					- CONVERT(NUMERIC(18,6), (SELECT SUM(C3) FROM #RES2 WHERE CODE_STR = '0110061'))
				) / (@PERCENT/100)	
			),

			@C3SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C3 ELSE 0 END)
					)) * @PERCENT/100
				)
			),

			@C4S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C4 ELSE 0 END)
					)) * @PERCENT/100
					- CONVERT(NUMERIC(18,6),(SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '0110061'))
				) / (@PERCENT/100)	
			),

			@C4SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C4 ELSE 0 END)
					)) * @PERCENT/100
				)
			),			
			
			@C5S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C5 ELSE 0 END)
					)) * @PERCENT/100
					- CONVERT(NUMERIC(18,6),(SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '0110061'))
				) / (@PERCENT/100)	
			),		

			@C5SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C5 ELSE 0 END)
					)) * @PERCENT/100
				)
			),					

			@C6S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C6 ELSE 0 END)
					)) * @PERCENT/100
					- CONVERT(NUMERIC(18,6), (SELECT SUM(C6) FROM #RES2 WHERE CODE_STR = '0110061'))
				) / (@PERCENT/100)						
			),

			@C6SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C6 ELSE 0 END)
					)) * @PERCENT/100
				)
			)	
			
		FROM #RES2
		WHERE
			CODE_STR IN ('0110030', '0110040', '0110051')
		IF @SALARY_OPTIONS_OPT6_1 = 1
		BEGIN
			UPDATE #RES2
			SET
				C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4SS,0) + ISNULL(@C5SS,0) + ISNULL(@C6SS,0)
						ELSE ISNULL(@C3SS,0)
					END,			
				C4 = ISNULL(@C4SS,0),
				C5 = ISNULL(@C5SS,0),
				C6 = ISNULL(@C6SS,0)
			WHERE
				CODE_STR = '0110061'
			
		END

------------------------------------------------------------------------------------
		--     
		
		--   

		
		IF @SALARY_OPTIONS_OPT6_1 = 3
		BEGIN
			UPDATE #RES2
			SET
				C3 = C3 + ISNULL(@C3S,0),
				C4 = C4 + ISNULL(@C4S,0),
				C5 = C5 + ISNULL(@C5S,0),
				C6 = C6 + ISNULL(@C6S,0)			
			WHERE
				CODE_STR = '0110040'
		END		
	
	END	

---    2014 
	--IF @SALARY_OPTIONS_OPT6_1 = 1
	--BEGIN
	--		UPDATE #RES2
	--		SET
	--			C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4NS,0) + ISNULL(@C5NS,0) + ISNULL(@C6NS,0) ELSE ISNULL(@C3NS,0) END,
	--			C4 = ISNULL(@C4NS,0),
	--			C5 = ISNULL(@C5NS,0),
	--			C6 = ISNULL(@C6NS,0)
	--		WHERE
	--			CODE_STR = '251'
	--END


	--IF @SALARY_OPTIONS_OPT6_1 = 3
	--BEGIN
	--	UPDATE #RES2
	--	SET
	--		C3 = C3 + ISNULL(@C3N,0),
	--		C4 = C4 + ISNULL(@C4N,0),
	--		C5 = C5 + ISNULL(@C5N,0),
	--		C6 = C6 + ISNULL(@C6N,0)			
	--	WHERE
	--		CODE_STR = '212'
	--END		

--END		
---SELECT * FROM #RES2 WHERE CODE_STR IN('210','211','212','213','214')

IF ISNULL(@PERCENT_OMS,0) > 0
BEGIN
	--   	
	SELECT
		@C3N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C3 ELSE 0 END)
				) * @PERCENT_OMS/100
				- (SELECT SUM(C3) FROM #RES2 WHERE CODE_STR = '0111060')
			) / (@PERCENT_OMS/100)
		),
		@C3NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C3 ELSE 0 END)
				) * @PERCENT_OMS/100
			)
		),
		@C4N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C4 ELSE 0 END)
				) * @PERCENT_OMS/100
				- (SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '0111060')
			) / (@PERCENT_OMS/100)
		),
		@C4NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C4 ELSE 0 END)
				) * @PERCENT_OMS/100
			)
		),
		@C5N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C5 ELSE 0 END)
				) * @PERCENT_OMS/100
				- (SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '0111060')
			) / (@PERCENT_OMS/100)
		),
		@C5NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C5 ELSE 0 END)
				) * @PERCENT_OMS/100
			)
		),		
		@C6N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C6 ELSE 0 END)
				) * @PERCENT_OMS/100
				- (SELECT SUM(C6) FROM #RES2 WHERE CODE_STR = '0111060')
			) / (@PERCENT_OMS/100)
		),
		@C6NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C6 ELSE 0 END)
				) * @PERCENT_OMS/100
			)
		)					
	FROM #RES2
	WHERE
		CODE_STR IN ('0111030', '0111040')

	IF @SALARY_OPTIONS_OPT6_1 = 1
	BEGIN
		UPDATE #RES2
		SET
			C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4NS,0) + ISNULL(@C5NS,0) + ISNULL(@C6NS,0) ELSE ISNULL(@C3NS,0) END,
			C4 = ISNULL(@C4NS,0),
			C5 = ISNULL(@C5NS,0),
			C6 = ISNULL(@C6NS,0)
		WHERE
			CODE_STR = '0111060'
		
	END

--	SELECT @C3N , @C4N, @C5N , @C6N
	--     
	IF @SALARY_OPTIONS_OPT6_1 = 3
	BEGIN
		UPDATE #RES2
		SET
			C3 = CASE WHEN ( select C3 from #RES2 where code_str = '0111030') < ( C3 + ISNULL(@C3N,0)) THEN ( select C3 from #RES2 where code_str = '0111030') ELSE ( C3 + ISNULL(@C3N,0)) END ,
			C4 = CASE WHEN ( select C4 from #RES2 where code_str = '0111030') < ( C4 + ISNULL(@C5N,0)) THEN ( select C4 from #RES2 where code_str = '0111030') ELSE ( C4 + ISNULL(@C4N,0)) END ,
			C5 = CASE WHEN ( select C5 from #RES2 where code_str = '0111030') < ( C5 + ISNULL(@C5N,0)) THEN ( select C5 from #RES2 where code_str = '0111030') ELSE ( C5 + ISNULL(@C5N,0)) END  ,
			C6 =  CASE WHEN ( select C6 from #RES2 where code_str = '0111030') < ( C6 + ISNULL(@C6N,0)) THEN ( select C6 from #RES2 where code_str = '0111030') ELSE ( C6 + ISNULL(@C6N,0)) END			
		WHERE
			CODE_STR = '0111040'
	END		
END		



---------------
/******** 1.3.1          
       ,    1  2 428  
                                     
**********/
--1131
---   ,       
--        (.)   010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7)
SELECT '0130010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 and SP = ''	 and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 and SP = ''	 and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where  WAY_CALC = 10 and SP = '' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 and SP = '' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 and SP = '' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE = @nMONTH3) ,0)

--1131
---    ,      .1  - 020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0130020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 3 ),0) )
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)  + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	 and SP = ''	

--1131
--,      .1 - 030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0130030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 and SP = ''	


--1131
---       .1 - 050
---*
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'0130050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10 and SP = ''	



/********--1131**********/
/*******  2 *********/

---   ,       
--        (.) .2 -  1010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '0131010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	 and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where  WAY_CALC = 11 and SP = '' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = '' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = '' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE = @nMONTH3) ,0)

--1131
---     ,      .2  -  1020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0131020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	 and SP = ''		
--1131
--,      .2   - 1030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0131030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 and SP = ''	

--1131
---       .2  - 1050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'0131050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11 and SP = ''	



/******** 1.3.2         
*         ,  
*   3  428    ***********/
--1132_1

/********         1**********/
/*******    - ,    - 4  *****/

--- 4   ,       
--        (.) - 1010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013211010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '4' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '4' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '4' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE = @nMONTH3) ,0)

---4     ,      - 1020

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013211020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 6),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '4'	


--4 ,       - 1030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013211030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '4'

---***4        - 1050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013211050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = '4'

/********         1**********/
/*******    - ,    - 3.4  *****/

--- ***3.4   ,             (.) - 2010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013212010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10	 AND SP = '3.4' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '3.4' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '3.4' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE = @nMONTH3) ,0)



--- 3.4     ,      - 2020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013212020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.4'	

--- 3.4 ,       - 2030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013212030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.4'	

---3.4        - 2050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013212050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.4'


/********         1**********/
/*******   - ,    - 3.3  ******/

---3.3   ,             (.) - 3010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013213010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10	 AND SP = '3.3' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '3.3' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '3.3' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE = @nMONTH3) ,0)



--- 3.3     ,       - 3020

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013213020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '3.3'	

--3.3 ,      - 3030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013213030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '3.3'


---*3.3        - 3050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013213050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = '3.3'


/********         1**********/
/*******   - ,    - 3.2 *****/
--- 3.2   ,             (.) - 4010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013214010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10	 AND SP = '3.2' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '3.2' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '3.2' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE = @nMONTH3) ,0)



--- 3.2     ,      - 4020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013214020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.2'	

--3.2 ,       - 4030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013214030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.2'	

---*3.2        - 4050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013214050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.2'


/*******    - ,    - 3.1 *****/
-- 3.1   ,             (.) - 5010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013215010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10	 AND SP = '3.1' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '3.1' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 10 AND SP = '3.1' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE = @nMONTH3) ,0)



--- 3.1     ,      - 5020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013215020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.1'	

--3.1 ,       - 5030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013215030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.1'	


---*3.1        - 5050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013215050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.1'



/********         2**********/
/******** 1.3.2         
*                ,  
*          3  428    ***********/
/*******    - ,    - 4  ******/

--- 4   ,             (.) - 1010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013221010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '4' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '4' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '4' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE = @nMONTH3) ,0)


--- 4     ,      - 1020

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013221020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	AND SP = '4'	



--4 ,       - 1030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013221030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	AND SP = '4'


---4        - 1050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013221050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = '4'



/********         2**********/
/*******    - ,    - 3.4  *****/

--- 3.4   ,             (.)  -  2010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013222010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11	 AND SP = '3.4' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '3.4' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '3.4' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE = @nMONTH3) ,0)



--- 3.4     ,      - 2020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013222020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.4'	

--3.4 ,      - 2030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013222030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.4'	



---*3.4      ,  - 2050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013222050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.4'



/*******   - ,    - 3.3  ******/

--3.3   ,             (.) - 3010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013223010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11	 AND SP = '3.3' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '3.3' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '3.3' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE = @nMONTH3) ,0)

-- 3.3     ,      - 3020

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013223020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	AND SP = '3.3'	

--3.3 ,      - 3030 
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013223030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '3.3'

---*3.3        - 3050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013223050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = '3.3'



/********         2**********/
/*******   - ,    - 3.2 *****/

--- 3.2   ,             (.) - 4010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013224010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.2' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.2' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.2' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.2' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11	 AND SP = '3.2' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '3.2' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '3.2' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.2' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.2' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.2' and  MONTH_BASE = @nMONTH3) ,0)


--- 3.2     ,      - 4020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013224020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.2'	

--3.2 ,      - 4030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013224030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.2'	


---**3.2        - 4050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013224050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.2'


/******* 2.4****    - ,    - 3.1 *****/
-- 3.1   ,             (.) - 5010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '013225010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE <= 12 ) ,0)		
	END,
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11	 AND SP = '3.1' and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '3.1' and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 11 AND SP = '3.1' and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE = @nMONTH3) ,0)

--- 3.1     ,      - 5020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013225020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.1'	

--3.1 ,      5030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013225030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.1'	


---*3.1        - 5050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013225050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.1'


--------------------------------------------------------------------------
---***  2       
---***     
---***        1
---***  4 
--------------------------------------------------------------------------
----              

SELECT P.F4FSS, E.[STATUS], RESIDENT = (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end), 
		 CNT_EMPL = COUNT(DISTINCT J.LINK_EMPL), CNT = COUNT(J.LINK_EMPL),SUMMA = SUM(SUMMA), CNT_DAYS = SUM([DAYS]) ,month_base = month(j.period_begin)
INTO #ATR_4FSS
FROM 
	dbo.ATRIBUT_F4FSS A
	INNER JOIN dbo.PAYS P ON A.LINK = P.F4FSS
	INNER JOIN #CALCULATE_JURNAL J ON P.LINK = J.LINK_PAYS
	INNER JOIN DBO.SA_EMPLS_INFO(@END_DATE, DEFAULT) E ON E.EMPL_LINK = J.LINK_EMPL 	
	INNER JOIN dbo.sd_empl se ON  sE.LINK = E.EMPL_LINK 
	INNER JOIN dbo.PERSON pe ON pe.LINK=se.PERS_LINK
	INNER JOIN dbo.CITIZENSHIP c ON c.LINK = pe.CITIZ_LINK
WHERE
	Year(period_begin) = @nYEAR and Month(period_begin) <= @nMONTH3
	and J.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1	
	and P.F4FSS > 1
	AND J.LINK_EKR = (SELECT LINK FROM KOSGU WHERE CODE = '213')	
	AND NOT exists(SELECT * from dbo.KJ_PERS_PENSION K  WHERE K.PERS_LINK = pe.LINK and K.CHECK_SZV = 0  AND DATE_PENS <= @START_DATE)
GROUP BY 	
	P.F4FSS, E.[STATUS],c.CODE ,  month(j.period_begin)


----    
SELECT P.F4FSS, E.[STATUS], RESIDENT = (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) , CNT_EMPL = COUNT(DISTINCT J.LINK_EMPL), CNT = COUNT( J.LINK_EMPL),SUMMA = SUM(SUMMA), CNT_DAYS = SUM([DAYS])
INTO #ATR_4FSS_all
FROM 
	dbo.ATRIBUT_F4FSS A
	INNER JOIN dbo.PAYS P ON A.LINK = P.F4FSS
	INNER JOIN #CALCULATE_JURNAL J ON P.LINK = J.LINK_PAYS
	INNER JOIN DBO.SA_EMPLS_INFO(@END_DATE, DEFAULT) E ON E.EMPL_LINK = J.LINK_EMPL 	
	INNER JOIN dbo.sd_empl se ON  sE.LINK = E.EMPL_LINK 
	INNER JOIN dbo.PERSON pe ON pe.LINK=se.PERS_LINK
	INNER JOIN dbo.CITIZENSHIP c ON c.LINK = pe.CITIZ_LINK
WHERE
	Year(period_begin) = @nYEAR and Month(period_begin) <= @nMONTH3
	and J.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1	
	and P.F4FSS > 1
	AND J.LINK_EKR = (SELECT LINK FROM KOSGU WHERE CODE = '213')	
	AND NOT exists(SELECT * from dbo.KJ_PERS_PENSION K  WHERE K.PERS_LINK = pe.LINK and K.CHECK_SZV = 0  AND DATE_PENS <= @START_DATE)	
GROUP BY 	
	P.F4FSS, E.[STATUS],c.CODE 

/*
DECLARE @PERCENT_FSS NUMERIC(3,2)
SELECT @PERCENT_FSS = S.PERCENT1
FROM
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 2
WHERE
	predel < 999999999.00
	and tarif =1
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3  AND P.WAY_CALC = 2 AND [DATE] < @END_DATE where 	s1.predel < 999999999.00
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0	
SELECT @PERCENT_FSS
SET @PERCENT_FSS = ISNULL(@PERCENT_FSS,0)
*/

--SELECT percent1 FROM STAVKI AS sp WHERE year([DATE]) = '2017' AND predel <> 999999999.00 AND tarif = 1 AND comment LIKE '%%'
/**/

---  
Declare @StBase3 table (link int)
Insert into @StBase3 (link)
select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 2)


--   
SELECT GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, SUMMA_BASE = sum(GT.SUMMA_BASE) , resident  = (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) 
INTO #DGH_FAKT_BASE_FSS
FROM 
	dbo.DOCUMENTS_DGH G INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join dbo.person p on p.link = GT.PERS_LINK
	left join CITIZENSHIP c ON c.LINK= p.CITIZ_LINK
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  = 2
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3 
GROUP BY GT.PERS_LINK, MONTH(G.[DATE]), c.code

CREATE TABLE #DGH_CJ (PERS_LINK INT, PERIOD_BEGIN DATETIME, SUMMA NUMERIC(18,6), RESIDENT int )
INSERT INTO #DGH_CJ (PERS_LINK, PERIOD_BEGIN, SUMMA, resident)
SELECT PERS_LINK, PERIOD_BEGIN, SUM(SUMMA), (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end)   
FROM dbo.CALCULATE_JURNAL CJ
	inner JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
	INNER JOIN DBO.PAYS P ON P.LINK = CJ.LINK_PAYS
	left join CITIZENSHIP c ON c.LINK= P1.CITIZ_LINK
WHERE
	yEAR(CJ.period_begin) = @nYEAR
	AND CJ.LINK_DEP = @DEP_LINK
	AND P.[OBJECT] = 1
GROUP BY
	PERS_LINK, PERIOD_BEGIN, c.CODE


-----    ,    ,    ,       
SELECT plink,MON,SUMMA_ALL,SUMMA_NO  INTO #SALARY_SUM2_FSS_TMP
FROM ( 
select 
	plink = e.link,
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END) --     
from 
	#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN DBO.EMPL E ON E.LINK = CJ.LINK_EMPL
	LEFT JOIN @StBase3 B ON B.LINK = cj.LINK_PAYS
where 	
	Year(CJ.period_begin) = @nYEAR and Month(CJ.period_begin) <= @nMONTH3 
	and CJ.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1
	AND NOT exists(SELECT * from dbo.KJ_PERS_PENSION K  WHERE K.PERS_LINK = e.PERS_LINK and K.CHECK_SZV = 0  AND DATE_PENS <= @START_DATE)	
GROUP BY
	Month(CJ.PERIOD_BEGIN),e.link
UNION ALL	
select 
	Plink = B.pers_link,
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(SUMMA - ISNULL(B.SUMMA_BASE,0)) --     
from 
	#DGH_CJ CJ
	LEFT JOIN #DGH_FAKT_BASE_FSS B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
where 	
	Month(CJ.period_begin) <= @nMONTH3 
GROUP BY
	Month(CJ.PERIOD_BEGIN),B.pers_link
)	AS T
GROUP BY 
	plink, MON,SUMMA_ALL,SUMMA_NO 

---        
UPDATE ss
SET
	MON = CASE WHEN ss.SUMMA_ALL<0 AND EXISTS(SELECT * FROM #SALARY_SUM2_FSS_TMP WHERE isnull(pLink,0) = isnull(ss.PLINK,0) AND mon  = ss.mon - 1 AND summa_all > 0 ) THEN (SELECT mon from #SALARY_SUM2_FSS_TMP WHERE isnull(pLink,0) = isnull(ss.PLINK,0) AND mon  = ss.mon - 1 AND summa_all > 0 )  ELSE SS.mon END   
FROM #SALARY_SUM2_FSS_TMP ss WHERE ss.SUMMA_ALL<0

SELECT cnt_empl = count(isnull(plink,0)),MON, SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO)
INTO #SALARY_SUM2_FSS
FROM #SALARY_SUM2_FSS_TMP
GROUP BY 
	MON	
------------------


SELECT plink = plink,MON
INTO #SALARY_PERS_FSS
FROM (
SELECT
	e.link,
	plink = e.pers_link,
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
	DGH= 0
from 
	dbo.CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN DBO.EMPL E ON E.LINK = CJ.LINK_EMPL
	LEFT JOIN @StBase3 B ON B.LINK = cj.LINK_PAYS
where 	
	Year(CJ.period_begin) = @nYEAR and Month(CJ.period_begin) <= @nMONTH3 
	and CJ.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1
	AND NOT exists(SELECT * from dbo.KJ_PERS_PENSION K  WHERE K.PERS_LINK = e.PERS_LINK and K.CHECK_SZV = 0  AND DATE_PENS <= @START_DATE)	
GROUP BY
	Month(CJ.PERIOD_BEGIN),e.link,e.pers_link
UNION ALL	
select 
	link = NULL,
	Plink = B.pers_link,
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(SUMMA - ISNULL(B.SUMMA_BASE,0)), --     
	DGH = 1
from 
	#DGH_CJ CJ
	LEFT JOIN #DGH_FAKT_BASE_FSS B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
where 	
	Month(CJ.period_begin) <= @nMONTH3 
GROUP BY
	Month(CJ.PERIOD_BEGIN),B.pers_link )  AS t
GROUP BY 	t.plink , t.MON
UNION ALL 
SELECT  
	plink = se.REF_PHYS_PERS,
	mon = se.MONTH_BASE
FROM
	#SPR_ESN AS se WHERE se.WAY_CALC  = 6 AND (se.SUMMA <> 0 OR SE.DEKRET = 1 ) 
	GROUP BY 	se.REF_PHYS_PERS, se.MONTH_BASE



DECLARE @SALARY_OPTIONS_OPT5_2 INT
SET @SALARY_OPTIONS_OPT5_2 =  dbo.SA_GET_OPTION_BY_CODE('SALARY_OPTIONS_OPT5_2')
/********** 
*  12 -  2       
*      
*         1
**********/

---   ,  (.)   1  2   -   1010
/*INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7)
SELECT 
	CASE WHEN @SALARY_OPTIONS_OPT5_2 = '2' THEN  '021010' ELSE '020010' end,
	@NAvgCount,
	isnull((
		SELECT MAX(t.CNT) 
		FROM 
			(SELECT CNT = @NAvgCountM1
			 UNION SELECT CNT = @NAvgCountM2
			 UNION	SELECT CNT = @NAvgCountM3)t
			)  ,0),
	@NAvgCountM1,
	@NAvgCountM2,
	@NAvgCountM3
*/
/*          */
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT
	CASE WHEN @SALARY_OPTIONS_OPT5_2 = '2' THEN  '021010' ELSE '020010' end,
	CASE WHEN @nMONTH3 = 3 THEN
			ISNULL(
			(SELECT MAX(CNT)
			FROM
			(SELECT CNT = count(DISTINCT plink) FROM #SALARY_PERS_FSS where  MON IN(1,2,3) ) T
			),0)
		WHEN @nMONTH3 = 6 THEN
			ISNULL(
			(SELECT MAX(CNT)
			FROM
			(SELECT CNT = count(DISTINCT plink) FROM #SALARY_PERS_FSS where  MON IN(1,2,3,4,5,6)) T
			),0) 
		WHEN @nMONTH3 = 9 THEN
			ISNULL(
			(SELECT MAX(CNT)
			FROM
			(SELECT CNT = count(DISTINCT plink) FROM #SALARY_PERS_FSS where  MON IN(1,2,3,4,5,6,7,8,9)) T
			),0) 
		WHEN  @nMONTH3 = 12 THEN
			ISNULL(
			(SELECT MAX(CNT)
			FROM
			(SELECT CNT =count(DISTINCT plink) FROM #SALARY_PERS_FSS where  MON IN(1,2,3,4,5,6,7,8,9,10,11,12 )) T
			),0) 				
	END,	
	ISNULL(
		(SELECT MAX(CNT)
		FROM
			(SELECT CNT = count(DISTINCT plink) FROM #SALARY_PERS_FSS where  MON IN(@nMONTH1,@nMONTH2,@nMONTH3)) T
			),0),

	 ISNULL((SELECT count(DISTINCT plink) FROM #SALARY_PERS_FSS where  MON = @nMONTH1) ,0),
	 ISNULL((SELECT count(DISTINCT plink) FROM #SALARY_PERS_FSS where  MON = @nMONTH2) ,0) ,
	 ISNULL((SELECT count(DISTINCT plink) FROM #SALARY_PERS_FSS where  MON = @nMONTH3) ,0) 

DROP TABLE #SALARY_PERS_FSS
/*INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6,C7)
SELECT '0110010',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 1 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 6 AND I = 1 and MONTH_BASE = 2 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 3 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 4 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 5 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 6 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 7 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 8 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 9 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 10 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 11 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 12 AND MONTH_BASE <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0  AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0)
	END,	
	ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0  AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3) ,0) 		
*/
--12 2     ,      -  2  -   1020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	CASE WHEN @SALARY_OPTIONS_OPT5_2 = '2' THEN  '021020' ELSE '020020' end,
	CASE @nMONTH3
		WHEN 3 THEN
			( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon <=3  )
		WHEN 6 THEN
			( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon <=6  )
		WHEN 9 THEN
			( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon <=9  )
		WHEN 12 THEN
			( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon <=12  )
	END,	
	( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon =@nMONTH1  ),
	( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon =@nMONTH2  ),
	( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon =@nMONTH3  )

--12 2 ,      -   1030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	CASE WHEN @SALARY_OPTIONS_OPT5_2 = '2' THEN  '021030' ELSE '020030' end,
	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE MONTH_BASE <=3 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON <=3),0)
		WHEN 6 THEN
			ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE MONTH_BASE <=6 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON <=6),0)
		WHEN 9 THEN
			ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE MONTH_BASE <=9 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON <=9),0)
		WHEN 12 THEN
			ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE MONTH_BASE <=12 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON <=12),0)
	END , 
	ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN  WHERE MONTH_BASE = @nMONTH1 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON = @nMONTH1),0),
	ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN  WHERE MONTH_BASE = @nMONTH2 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON = @nMONTH2),0),
	ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN  WHERE MONTH_BASE = @nMONTH3 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON = @nMONTH3),0)

-----      
DECLARE @LIMIT_FSS NUMERIC(18,2)

SELECT @LIMIT_FSS = MAX(S.PREDEL)
FROM 
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3 AND P.WAY_CALC = 2
WHERE 
	DATE = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3 AND P.WAY_CALC = 2 AND DATE < @END_DATE ORDER BY [DATE] DESC) 
	AND
	S.PERCENT1 > 0

SET @LIMIT_FSS = ISNULL(@LIMIT_FSS,0)

--  ,        (%)
DECLARE 
	@PERCENT_FSS NUMERIC(18,2)

--  	
SELECT @PERCENT_FSS = S.PERCENT1
FROM 
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3 AND P.WAY_CALC = 2
WHERE 
	predel = @LIMIT_FSS
	and tarif =1
	and 
	DATE = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3 AND P.WAY_CALC = 2 AND DATE < @END_DATE ORDER BY [DATE] DESC) 
	AND
	S.PERCENT1 > 0

SET @PERCENT_FSS = ISNULL(@PERCENT_FSS,0)


SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END INTO #SPR_ESN1_FSS FROM #SPR_ESN WHERE MONTH_BASE <= 1 AND @nMONTH3 >= 3 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 2 AND @nMONTH3 >= 3 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 3 AND @nMONTH3 >= 3 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 4 AND @nMONTH3 >= 6 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 5 AND @nMONTH3 >= 6 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 6 AND @nMONTH3 >= 6 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 7 AND @nMONTH3 >= 9 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 8 AND @nMONTH3 >= 9 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 9 AND @nMONTH3 >= 9 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 10 AND @nMONTH3 >= 12 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 11 AND @nMONTH3 >= 12 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 12 AND @nMONTH3 >= 12 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS

SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2_FSS
FROM 
	#SPR_ESN1_FSS T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1_FSS T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1_FSS T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1

--12 2 ,         -   1040
--,        ,     . 8    24 
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	CASE WHEN @SALARY_OPTIONS_OPT5_2 = '2' THEN  '021040' ELSE '020040' end,
	ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2_FSS WHERE M <=@nMONTH3),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2_FSS WHERE M =@nMONTH1),0),
	ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2_FSS WHERE M =@nMONTH2),0),
	ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2_FSS WHERE M =@nMONTH3),0)
-----<<<<<<<<<<<<<<<<<<<

--12 2     ,         , 
--   ,  ,   - 
--   -    1054

SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END INTO #SPR_ESN1Res_FSS FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 2 AND @nMONTH3 >= 3 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 3 AND @nMONTH3 >= 3 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 4 AND @nMONTH3 >= 6 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 5 AND @nMONTH3 >= 6 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 6 AND @nMONTH3 >= 6 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 7 AND @nMONTH3 >= 9 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 8 AND @nMONTH3 >= 9 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 9 AND @nMONTH3 >= 9 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 10 AND @nMONTH3 >= 12 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 11 AND @nMONTH3 >= 12 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 12 AND @nMONTH3 >= 12 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS

SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2Res_FSS
FROM 
	#SPR_ESN1Res_FSS T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1Res_FSS T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1Res_FSS T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1

--12 2 ,         -   1040
--,        ,     . 8    24 
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	CASE WHEN @SALARY_OPTIONS_OPT5_2 = '2' THEN  '021054' ELSE '020054' end,
	ISNULL( (SELECT SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M) FROM #SPR_ESN WHERE INO = 1 AND way_calc = 2) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2Res_FSS WHERE M <= @nMONTH3),0),
	ISNULL( (SELECT SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M) FROM #SPR_ESN  WHERE INO = 1 AND MONTH_BASE = @nMONTH1) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2Res_FSS WHERE M = @nMONTH1),0),
	ISNULL( (SELECT SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M) FROM #SPR_ESN  WHERE INO = 1 AND MONTH_BASE = @nMONTH2) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2Res_FSS WHERE M = @nMONTH2),0),
	ISNULL( (SELECT SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M) FROM #SPR_ESN  WHERE INO = 1 AND MONTH_BASE = @nMONTH3) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2Res_FSS WHERE M = @nMONTH3),0)


---12     - 1060
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT 
CASE WHEN @SALARY_OPTIONS_OPT5_2 = '2' THEN  '021060' ELSE '020060' end, 
  (select ISNULL(SUM(SUMMA),0)  FROM #SPR_ESN WHERE MONTH_BASE <= @nMONTH3 AND way_calc = 2),
  (SELECT ISNULL(SUM(SUMMA),0)  FROM #SPR_ESN WHERE MONTH_BASE = @nMONTH1 AND way_calc = 2) ,
  (SELECT ISNULL(SUM(SUMMA),0)  FROM #SPR_ESN WHERE MONTH_BASE = @nMONTH2 AND way_calc = 2) ,
  (SELECT ISNULL(SUM(SUMMA),0)  FROM #SPR_ESN WHERE MONTH_BASE = @nMONTH3 AND way_calc = 2) 


-- 12       - 1070 

---          

/*EXEC dbo.ZP_SUM_PROV 
	@PERIOD_BEG = @BYearDate,
	@PERIOD_END = @end_date,
	@DEP_LINK = @DEP_LINK, 
	@sDT_ACC_LINE='_.303.02', 
	@sKT_ACC_LINE='_.302.13', 
	@sDT_EKR_FILTER='CODE <> ''290'''
*/


INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7)
SELECT
	CASE WHEN @SALARY_OPTIONS_OPT5_2 = '2' THEN  '021070' ELSE '020070' end,  
	3 = ISNULL((SELECT SUM(SUMMA) FROM #CALCULATE_JURNAL AS cj inner join dbo.pays p on p.link = cj.LINK_PAYS WHERE cj.link_ekr = @LINK_EKR213  AND cj.way_calc <> 5 and P.[OBJECT] = 1  and year(cj.period_begin) = @nYEAR ),0),
	0,
	5= ISNULL((SELECT SUM(SUMMA) FROM  #CALCULATE_JURNAL AS cj inner join dbo.pays p on p.link = cj.LINK_PAYS  WHERE cj.link_ekr = @LINK_EKR213 AND cj.way_calc <> 5 and P.[OBJECT] = 1  and year(cj.period_begin) = @nYEAR AND month(cj.period_begin) = @nMONTH1 ),0), 
	6= ISNULL((SELECT SUM(SUMMA) FROM #CALCULATE_JURNAL AS cj inner join dbo.pays p on p.link = cj.LINK_PAYS  WHERE cj.link_ekr = @LINK_EKR213 AND cj.way_calc <> 5  and P.[OBJECT] = 1 and year(cj.period_begin) = @nYEAR AND month(cj.period_begin) = @nMONTH2 ),0),
	7= ISNULL((SELECT SUM(SUMMA) FROM #CALCULATE_JURNAL AS cj inner join dbo.pays p on p.link = cj.LINK_PAYS  WHERE cj.link_ekr = @LINK_EKR213 AND cj.way_calc <> 5  and P.[OBJECT] = 1 and year(cj.period_begin) = @nYEAR AND month(cj.period_begin) = @nMONTH3),0)

-- 12       - 1070 
--("_.303.02","_.302.13"," >='01.01'  <")
--("_.303.02","_.302.13"," =(1)")
--("_.303.02","_.302.13"," =(2)")
--("_.303.02","_.302.13"," =(3)")
-- 12        - 1080
CREATE TABLE #PLAT (VID TINYINT, Y INT, MON TINYINT, SUMMA NUMERIC(18,2), Y_p INT, MON_p TINYINT, NUMBER VARCHAR(30))
EXEC dbo.ZP_SUM_PROV 
	@PERIOD_BEG = @BYearDate,
	@PERIOD_END = @end_date,
	@DEP_LINK = @DEP_LINK, 
	@sDT_ACC_LINE='_.304.05:_.201.11:_.201.21:_.201.27', 
	@sKT_ACC_LINE='_.303.02', 
	@sDT_EKR_FILTER='CODE <> ''290'''


/* DECLARE @Res float
SET @Res = 0
exec [dbo].RSS_RpSV_17_FNS_PREPARE @Res output, '', '20170101', '20170331', 3, 0, 5020
select @Res 	
*/


INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7)
SELECT
	CASE WHEN @SALARY_OPTIONS_OPT5_2 = '2' THEN  '021080' ELSE '020080' end,  
	3 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y >= @nYEAR and (Y_p >= @nYEAR OR Y_p = 0 )),0),
	0,
	5= ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y = @nYEAR AND Y <> 0 AND MON = @nMONTH1 ),0), 
	6= ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y = @nYEAR AND Y <> 0 AND MON = @nMONTH2  ),0),
	7= ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y = @nYEAR AND Y <> 0 AND MON = @nMONTH3 ),0)
	

	
DROP TABLE  #PLAT


--("_.304.05:_.201.11:_.201.21:_.201.27","_.303.02"," >='01.01'  <=(3)")
--("_.304.05:_.201.11:_.201.21:_.201.27","_.303.02"," =(1)")
--("_.304.05:_.201.11:_.201.21:_.201.27","_.303.02"," =(2)")
--("_.304.05:_.201.11:_.201.21:_.201.27","_.303.02"," =(3)")
-- 12    ,   (       ) -  1090
-- 1090 = 1070 - 1080
--    
/*
--   
 1.           4-       . 
 2.        ,   . 
 3.        ,   . 
    ,      ,    .
*/
DECLARE @SALARY_OPTIONS_OPT5_1 INT 
SET @SALARY_OPTIONS_OPT5_1 = dbo.SA_GET_OPTION_BY_CODE('SALARY_OPTIONS_OPT5_1')



--------------------------------------------------------
IF @SALARY_OPTIONS_OPT5_2 = 2
BEGIN
IF ISNULL(@PERCENT_FSS,0) > 0
BEGIN

	--    	
	SELECT 
		@C3N = CONVERT(NUMERIC(18,2), 
			(
				SUM( 
					(CASE WHEN CODE_STR = '021020' THEN C3  ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C3  ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C3  ELSE 0 END)
				) * @PERCENT_FSS/100
				- (SELECT C3 FROM #RES2 WHERE CODE_STR in ('021060'))
			) / @PERCENT_FSS/100
		),
		@C3NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030403)  = 
					(CASE WHEN CODE_STR = '021020' THEN C3  ELSE 0 END) 
					-(CASE WHEN CODE_STR = '021030' THEN C3  ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C3  ELSE 0 END)
					-(CASE WHEN CODE_STR = '021054' THEN C3  ELSE 0 END) --     
				) * @PERCENT_FSS/100
				+
				SUM( -- 4 (030403)  = 
					(CASE WHEN CODE_STR = '021054' THEN C3  ELSE 0 END)  --   
				) * 1.8/100			
			)
		),		
		@C4N = CONVERT(NUMERIC(18,2), 
			(
				SUM( -- 4 (030404)  = 
					(CASE WHEN CODE_STR = '021020' THEN C4  ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C4  ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C4  ELSE 0 END)
				) * @PERCENT_FSS/100
				- (SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '021060')
			) / @PERCENT_FSS/100	
		),
		@C4NS = CONVERT(NUMERIC(18,2), 
			(
				SUM( -- 4 (030404)  = 
					(CASE WHEN CODE_STR = '021020' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021054' THEN C4 ELSE 0 END) --     		
				) * @PERCENT_FSS/100
				+ SUM( -- 4 (030403)  = 
					(CASE WHEN CODE_STR = '021054' THEN C4  ELSE 0 END) --   
				) * 1.8/100		
			)
		),		
		@C5N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030405)  = 
					(CASE WHEN CODE_STR = '021020' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C5 ELSE 0 END)
				) * @PERCENT_FSS/100
				- (SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '021060')
			) / @PERCENT_FSS/100			
		),
		@C5NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030405)  = 
					(CASE WHEN CODE_STR = '021020' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021054' THEN C5 ELSE 0 END) --     				
				) * @PERCENT_FSS/100
				+ SUM( -- 4 (030404)  = 
					(CASE WHEN CODE_STR = '021054' THEN C5  ELSE 0 END) --   
				) * 1.8/100			
			)
		),		
		@C6N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030405)  = 
					(CASE WHEN CODE_STR = '021020' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C6 ELSE 0 END)
				) * @PERCENT_FSS/100
				- (SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '021060')
			) / @PERCENT_FSS/100							
		),
		@C6NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030405)  = 
					(CASE WHEN CODE_STR = '021020' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021054' THEN C6 ELSE 0 END) --     					
				) * @PERCENT_FSS/100
				+ SUM( -- 4 (030404)  = 
					(CASE WHEN CODE_STR = '021054' THEN C6  ELSE 0 END) --     	
				) * 1.8/100				
			)
		)		
	FROM #RES2
	WHERE
		CODE_STR IN ('021020', '021030', '021040', '021054','021060')

	IF @SALARY_OPTIONS_OPT5_1 = 1
	BEGIN
		-- . 1 
		UPDATE #RES2
		SET C4 = ISNULL(@C4NS,0),
			C5 = ISNULL(@C5NS,0),
			C6 = ISNULL(@C6NS,0)				 
		WHERE 
			CODE_STR = '021060'
		
	END

	IF @SALARY_OPTIONS_OPT5_1 = 3
	BEGIN
	
		UPDATE #RES2
		SET C3 = C3 + ISNULL(@C3N,0),
			C4 = C4 + ISNULL(@C4N,0),
			C5 = C5 + ISNULL(@C5N,0),
			C6 = C6 + ISNULL(@C6N,0)	 
		WHERE 
			CODE_STR = '021030'
	
	END

end
END 
ELSE BEGIN 
		IF ISNULL(@PERCENT_FSS,0) > 0
		BEGIN

			--    	
			SELECT 
				@C3N = CONVERT(NUMERIC(18,2), 
					(
						SUM( 
							(CASE WHEN CODE_STR = '020020' THEN C3  ELSE 0 END)
							-(CASE WHEN CODE_STR = '020030' THEN C3  ELSE 0 END)
							-(CASE WHEN CODE_STR = '020040' THEN C3  ELSE 0 END)
						) * @PERCENT_FSS/100
						- (SELECT C3 FROM #RES2 WHERE CODE_STR in ('020060'))
					) / @PERCENT_FSS/100
				),
				@C3NS = CONVERT(NUMERIC(18,2),
					(
						SUM( -- 4 (030403)  = 
							(CASE WHEN CODE_STR = '020020' THEN C3  ELSE 0 END) 
							-(CASE WHEN CODE_STR = '020030' THEN C3  ELSE 0 END)
							-(CASE WHEN CODE_STR = '020040' THEN C3  ELSE 0 END)
							-(CASE WHEN CODE_STR = '020054' THEN C3  ELSE 0 END) --     
						) * @PERCENT_FSS/100
						+
						SUM( -- 4 (030403)  = 
							(CASE WHEN CODE_STR = '020054' THEN C3  ELSE 0 END)  --   
						) * 1.8/100			
					)
				),		
				@C4N = CONVERT(NUMERIC(18,2), 
					(
						SUM( -- 4 (030404)  = 
							(CASE WHEN CODE_STR = '020020' THEN C4  ELSE 0 END)
							-(CASE WHEN CODE_STR = '020030' THEN C4  ELSE 0 END)
							-(CASE WHEN CODE_STR = '020040' THEN C4  ELSE 0 END)
						) * @PERCENT_FSS/100
						- (SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '020060')
					) / @PERCENT_FSS/100	
				),
				@C4NS = CONVERT(NUMERIC(18,2), 
					(
						SUM( -- 4 (030404)  = 
							(CASE WHEN CODE_STR = '020020' THEN C4 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020030' THEN C4 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020040' THEN C4 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020054' THEN C4 ELSE 0 END) --     		
						) * @PERCENT_FSS/100
						+ SUM( -- 4 (030403)  = 
							(CASE WHEN CODE_STR = '020054' THEN C4  ELSE 0 END) --   
						) * 1.8/100		
					)
				),		
				@C5N = CONVERT(NUMERIC(18,2),
					(
						SUM( -- 4 (030405)  = 
							(CASE WHEN CODE_STR = '020020' THEN C5 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020030' THEN C5 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020040' THEN C5 ELSE 0 END)
						) * @PERCENT_FSS/100
						- (SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '020060')
					) / @PERCENT_FSS/100			
				),
				@C5NS = CONVERT(NUMERIC(18,2),
					(
						SUM( -- 4 (030405)  = 
							(CASE WHEN CODE_STR = '020020' THEN C5 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020030' THEN C5 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020040' THEN C5 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020054' THEN C5 ELSE 0 END) --     				
						) * @PERCENT_FSS/100
						+ SUM( -- 4 (030404)  = 
							(CASE WHEN CODE_STR = '020054' THEN C5  ELSE 0 END) --   
						) * 1.8/100			
					)
				),		
				@C6N = CONVERT(NUMERIC(18,2),
					(
						SUM( -- 4 (030405)  = 
							(CASE WHEN CODE_STR = '020020' THEN C6 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020030' THEN C6 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020040' THEN C6 ELSE 0 END)
						) * @PERCENT_FSS/100
						- (SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '020060')
					) / @PERCENT_FSS/100							
				),
				@C6NS = CONVERT(NUMERIC(18,2),
					(
						SUM( -- 4 (030405)  = 
							(CASE WHEN CODE_STR = '020020' THEN C6 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020030' THEN C6 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020040' THEN C6 ELSE 0 END)
							-(CASE WHEN CODE_STR = '020054' THEN C6 ELSE 0 END) --     					
						) * @PERCENT_FSS/100
						+ SUM( -- 4 (030404)  = 
							(CASE WHEN CODE_STR = '020054' THEN C6  ELSE 0 END) --     	
						) * 1.8/100				
					)
				)		
			FROM #RES2
			WHERE
				CODE_STR IN ('020020', '020030', '020040', '020054','020060')

			IF @SALARY_OPTIONS_OPT5_1 = 1
			BEGIN
				-- . 1 
				UPDATE #RES2
				SET C4 = ISNULL(@C4NS,0),
					C5 = ISNULL(@C5NS,0),
					C6 = ISNULL(@C6NS,0)				 
				WHERE 
					CODE_STR = '020060'
				
			END

			IF @SALARY_OPTIONS_OPT5_1 = 3
			BEGIN
			
				UPDATE #RES2
				SET C3 = C3 + ISNULL(@C3N,0),
					C4 = C4 + ISNULL(@C4N,0),
					C5 = C5 + ISNULL(@C5N,0),
					C6 = C6 + ISNULL(@C6N,0)	 
				WHERE 
					CODE_STR = '020030'
			
			END

		end
	END 

	---  1
INSERT INTO #RES2(CODE_STR, C4)
SELECT
	'111' ,
	4 = case when (ISNULL((SELECT SUM(C4) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C5) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))	 > 0 
			 then
			 	abs(ISNULL((SELECT SUM(C4) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C5) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))
				
			ELSE 0.00 END 
---  2				
INSERT INTO #RES2(CODE_STR, C4)
SELECT
	'112' ,
	4 = case when (ISNULL((SELECT SUM(C5) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C6) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0)) > 0
				then 
				abs(ISNULL((SELECT SUM(C5) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C6) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))
				
				ELSE 0.00 END 
---  3						
INSERT INTO #RES2(CODE_STR, C4)
SELECT
	'113' ,
	4 = case when (ISNULL((SELECT SUM(C6) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C7) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))	 > 0
				then abs(ISNULL((SELECT SUM(C6) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C7) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))
				
				ELSE 0.00 END
---  
INSERT INTO #RES2(CODE_STR, C4)
SELECT
	CODE_STR =  '110',
	4 = case when (ISNULL((SELECT SUM(C3) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C3) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))	 > 0
			  then abs(ISNULL((SELECT SUM(C3) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C3) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))
				
			  ELSE 0.00 END
	---  1			
INSERT INTO #RES2(CODE_STR, C4)
SELECT
	'121',   
	4 = case when (ISNULL((SELECT SUM(C4) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C5) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))	 < 0
				then 
				abs(ISNULL((SELECT SUM(C4) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C5) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))
				
				ELSE 0.00 END 						
	---  2			
INSERT INTO #RES2(CODE_STR, C4)
SELECT
	'122',   
	4 = case when (ISNULL((SELECT SUM(C5) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C6) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))	 < 0
				then 
				abs(ISNULL((SELECT SUM(C5) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C6) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))
				
				ELSE 0.00 END 					
	---  3
INSERT INTO #RES2(CODE_STR, C4)
SELECT
	'123' ,
	4 = case when (ISNULL((SELECT SUM(C6) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C7) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))	< 0
				then abs(ISNULL((SELECT SUM(C6) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C7) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))
				
				ELSE 0.00 END 
				
	---  			
INSERT INTO #RES2(CODE_STR, C4)
SELECT
	CODE_STR =  '120',
	4 = case when (ISNULL((SELECT SUM(C3) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C3) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0)) < 0
			  then abs(ISNULL((SELECT SUM(C3) FROM #RES2 WHERE CODE_STR IN ('021060','020060') ),0)		
				- ISNULL((SELECT SUM(C3) FROM #RES2 WHERE CODE_STR IN ('021070','020070') ),0))
			  ELSE 0.00 END	



---------------------------------------------------------------------
/********* 13  3       
*          , 
*        
*   1  *************************************/
---------------------------------------------------------------------
DECLARE 
	@P0300103 INT, -- 
	@P0300104 NUMERIC(18,2),  --   
	@P0300105 NUMERIC(18,2), --     

	@P0300113 INT, --    
	@P0300114 NUMERIC(18,2),  --     
	@P0300115 NUMERIC(18,2), --        
	
	@P0300203 INT, --    
	@P0300204 NUMERIC(18,2),  --    
	@P0300205 NUMERIC(18,2), --      
	
	@P0300213 INT, --        
	@P0300214 NUMERIC(18,2),  --       
	@P0300215 NUMERIC(18,2),  --         
	
	@P0300303 INT, --     
	@P0300304 NUMERIC(18,2),  --     
	@P0300305 NUMERIC(18,2), --       

	@P0300313 INT, --         
	@P0300314 NUMERIC(18,2),  --        
	@P0300315 NUMERIC(18,2),  --          

	--            
	@P0300613 INT, -- 
	@P0300614 NUMERIC(18,2),  --   
	@P0300615 NUMERIC(18,2), --  

	--              
	@P0300623 INT, -- 
	@P0300624 NUMERIC(18,2),  --   
	@P0300625 NUMERIC(18,2) --  

---	
SELECT 
	@P0300103 = COUNT(DISTINCT (CASE WHEN COALESCE(A.DEKRET,0) = 1 or  (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) <> 2 THEN NULL ELSE A.LINK END) ),
	@P0300113 = COUNT( DISTINCT CASE WHEN STATUS_EMPL = 3 AND COALESCE(A.DEKRET,0) = 0 AND (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) = 2 THEN A.LINK ELSE NULL END), 
	@P0300203 = COUNT(DISTINCT (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) <> 2 THEN A.LINK ELSE NULL END) ), 
	@P0300213 = COUNT( DISTINCT CASE WHEN STATUS_EMPL = 3 AND COALESCE(A.DEKRET,0) = 0 AND (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) <> 2 THEN A.LINK ELSE NULL END), 
	@P0300303 = COUNT(DISTINCT (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN A.LINK ELSE NULL END) ), 
	@P0300313 = COUNT( DISTINCT CASE WHEN STATUS_EMPL = 3 AND COALESCE(A.DEKRET,0) = 1 THEN A.LINK ELSE NULL END) 
FROM 
	DBO.DOCUMENTS_ADD_ARCHE A INNER JOIN dbo.SD_EMPL E ON A.REF_EMPL = E.LINK
	INNER JOIN DBO.SDOC_ADIS_TABLE1 T ON T.LINK_UP = A.LINK AND T.PAYER = 0
	inner join dbo.DIS d on d.link = a.ref_arhe 
	left  JOIN dbo.person P ON p.LINK = e.PERS_LINK
	left  JOIN dbo.CITIZENSHIP c ON c.LINK = p.CITIZ_LINK 
WHERE 
	A.LINK_DEP = @DEP_LINK 
	AND A.FLAG_JC = 1 --
	AND YEAR(A.[DATE]) = YEAR(@BYearDate) --   
	AND MONTH(A.[DATE]) <= MONTH(@END_DATE) --   
	and isnull(D.REF_DOC,0) = 0


---	
SELECT 
	---    (        )
	@P0300104 = SUM( (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN 0 ELSE 1 END) * (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) =2  THEN 1 ELSE 0 END) * ISNULL(A.FSS_DAYS,0)), --(DATEDIFF(DAY,T.DATE1,T.DATE2)+1) ),	
	@P0300114 = SUM( (CASE WHEN STATUS_EMPL = 3 THEN 1 ELSE 0 END) * (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN 0 ELSE 1 END) * (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) =2  THEN 1 ELSE 0 END)  * ISNULL(A.FSS_DAYS,0)),--* (DATEDIFF(DAY,T.DATE1,T.DATE2)+1) ),	

	--      ,    ,     
	@P0300204 = SUM(  (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN 0 ELSE 1 END) * (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) =2  THEN 0 ELSE 1 END)  * ISNULL(A.FSS_DAYS,0)),--* (DATEDIFF(DAY,T.DATE1,T.DATE2)+1) ),	
	--      ,    ,     
	@P0300214 = SUM( (CASE WHEN STATUS_EMPL = 3 THEN 1 ELSE 0 END) * (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN 0 ELSE 1 END) * (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) =2  THEN 0 ELSE 1 END) * ISNULL(A.FSS_DAYS,0)),--* (DATEDIFF(DAY,T.DATE1, T.DATE2)+1) )	

	--       ,    ,     
	@P0300304 = SUM(  COALESCE(A.DEKRET,0)  * ISNULL(A.FSS_DAYS,0)),--* (DATEDIFF(DAY,T.DATE1,T.DATE2)+1) ),	
	--       ,    ,     
	@P0300314 = SUM( (CASE WHEN STATUS_EMPL = 3  AND COALESCE(A.DEKRET,0) = 1 THEN 1 ELSE 0 END)  * ISNULL(A.FSS_DAYS,0))--* (DATEDIFF(DAY,T.DATE1, T.DATE2)+1) )	
FROM 
	DBO.DOCUMENTS_ADD_ARCHE A INNER JOIN dbo.SD_EMPL E ON A.REF_EMPL = E.LINK 
		INNER JOIN dbo.person P ON p.LINK = e.PERS_LINK
	left JOIN dbo.CITIZENSHIP c ON c.LINK = p.CITIZ_LINK 
WHERE 
	LINK_DEP = @DEP_LINK 
	AND FLAG_JC = 1 --
	AND YEAR(DATE) = YEAR(@BYearDate) --   
	AND MONTH(DATE) <= MONTH(@END_DATE) --   


--     (  ,     
--      ,     ,  , 
--    -    )       010

INSERT INTO #RES2(CODE_STR, C3, C4, C5) ----=. 03,  0010
SELECT '030010',
	@P0300103, 
	@P0300104,
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 2  AND  RESIDENT = 2 ),0)  -- @P0300105
	
--           011
INSERT INTO #RES2(CODE_STR, C3, C4, C5) ----=. 03,  0011
SELECT '030011', 
	@P0300113, 
	@P0300114,
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 2 AND [STATUS] = 3 AND  RESIDENT = 2),0) -- @P0300115

--           ,     ,  ,    -            020
INSERT INTO #RES2(CODE_STR, C3, C4, C5) ----=. 03,  0020
SELECT '030020', 
	@P0300203, 
	@P0300204,
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 2 AND RESIDENT <>2),0)--@P0300205, 

--           021
INSERT INTO #RES2(CODE_STR, C3, C4, C5) --=. 03,  0021 
SELECT '030021', 
	@P0300213, 
	@P0300214,
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 2 AND [STATUS] = 3 AND RESIDENT <>2),0)--@P0300215, 

--           030
INSERT INTO #RES2(CODE_STR, C3, C4, C5) --=. 03,  0030
SELECT '030030', 
	@P0300303, 
	@P0300304,
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 3),0)--@P0300305, 

--           031
INSERT INTO #RES2(CODE_STR, C3, C4, C5) --=. 03,  0031
SELECT '030031', 
	@P0300313, 
	@P0300314,
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 3 AND [STATUS] = 3),0)--@P0300315, 

--   ,                  040
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030040',
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS_ALL WHERE F4FSS = 4),0)	,
	ISNULL((SELECT SUM(CNT) FROM #ATR_4FSS_ALL WHERE F4FSS = 4),0),	
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS_ALL WHERE F4FSS = 4),0)


--              050
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030050', 
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS_ALL WHERE F4FSS = 5),0)	,
	ISNULL((SELECT SUM(CNT) FROM #ATR_4FSS_ALL WHERE F4FSS = 5),0),	
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS_ALL WHERE F4FSS = 5),0)
	
--             060
--   061 + 062 
--   :              061
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030061',
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS_ALL WHERE F4FSS = 6),0)	, 
	ISNULL((SELECT SUM(CNT) FROM #ATR_4FSS_ALL WHERE F4FSS = 6),0),	
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS_ALL WHERE F4FSS = 6),0)

--              062
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030062',
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS_ALL WHERE F4FSS = 7),0)	,
	ISNULL((SELECT SUM(CNT) FROM #ATR_4FSS_ALL WHERE F4FSS = 7),0),	
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS_ALL WHERE F4FSS = 7),0)

--        -        070
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030070', 
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS WHERE F4FSS = 8),0)	,
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 8),0),	
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 8),0)
--  ,          -        080
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030080', 0 , 0, ISNULL((SELECT SUM(SUMMA)*(@PERCENT_FSS/100) FROM #ATR_4FSS WHERE F4FSS = 8),0)

--                  090
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030090', 
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS WHERE F4FSS = 9),0)	,	
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 9),0),	
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 9),0)

--         100

-- :            110
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030110', 0,0,0
----------------------------------------------------------------------
/********************************************************************/
----------------------------------------------------------------------

/***************   -  ******************************** */

/***********************************************************************************************************/
----  1  9 
/************************************************************************************************************/

---   
CREATE TABLE #RAZD1P9 (LINK INT, COL2 NUMERIC(18,2), COL3 NUMERIC(18,2), COL4 NUMERIC(18,2), COL5 NUMERIC(18,2))
INSERT INTO #RAZD1P9 (LINK,COL2,COL3,COL4,COL5)
SELECT DISTINCT 
	LINK = PERS_link , 
	COL2 = CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 1 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 2 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 3 THEN SUMMA_ALL_INO ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 1 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 2 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 3 THEN SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 4 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 5 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 6 THEN SUMMA_ALL_INO ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 1 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 2 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 3 THEN SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 4 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 5 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 6 THEN SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 7 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 8 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 9 THEN SUMMA_ALL_INO ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 1 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 2 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 3 THEN SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 4 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 5 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 6 THEN SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 7 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 8 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 9 THEN SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 10 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 11 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 12 THEN SUMMA_ALL_INO ELSE 0 END))	 					 	 					 			 					
			END,			
			
		COL3 =	 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = @nMONTH1 THEN SUMMA_ALL_INO ELSE 0 END)),
		COL4 =	 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = @nMONTH2 THEN SUMMA_ALL_INO ELSE 0 END)),
		COL5 =	 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = @nMONTH3 THEN SUMMA_ALL_INO ELSE 0 END))
FROM 
	#SALARY_SUM_DATA	
WHERE  INO = 1
GROUP BY PERS_link 


DROP TABLE #SALARY_SUM_DATA	

DECLARE @Table_Razd1p9 VARCHAR(100)
EXEC dbo.X_GET_TABLE_NAME @Table_Razd1p9 OUTPUT
EXEC ('select * INTO ' + @Table_Razd1p9 + ' from #RAZD1p9')
EXEC dbo.BufferClear
EXEC dbo.BufferPush -117, @Table_Razd1p9

/*
declare @Res float
 exec RSS_RPSV_17_FNS_PREPARE @Res output , '' , '20160101' , '20161231', 1 , 1, 3223

select  @Res 
 

*/
/*
---------------
/******** **********/

DECLARE @Date1M datetime, @Date2M datetime, @Date3M datetime

SELECT @BDate = @START_DATE, @EndDate = @END_DATE
SET @EDate = dateadd(year,1,convert(varchar, YEAR(@BDate))+'0101')

if @nMONTH3 =3
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0101')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0201')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0301')
end
if @nMONTH3 =6
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0401')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0501')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0601')
end
if @nMONTH3 =9
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0701')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0801')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0901')
end
if @nMONTH3 =12
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'1001')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'1101')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'1201')
end

/*            ,   3.1 -3.2   */
/*    */
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 0, DEFAULT))

/*INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '331',@NAvgCount,
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date1M, @Date2M, @DEP_LINK, 0, 1, 0, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date2M, @Date3M, @DEP_LINK, 0, 1, 0, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date3M, @END_DATE, @DEP_LINK, 0, 1, 0, DEFAULT))	

/*     */
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 1, DEFAULT))

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '332',@NAvgCount,
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date1M, @Date2M, @DEP_LINK, 0, 1, 1, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date2M, @Date3M, @DEP_LINK, 0, 1, 1, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date3M, @END_DATE, @DEP_LINK, 0, 1, 1, DEFAULT))	

*/
*/
/*  -      */
DECLARE @Table_Razd1 VARCHAR(100)
EXEC dbo.X_GET_TABLE_NAME @Table_Razd1 OUTPUT
EXEC ('select * INTO ' + @Table_Razd1 + ' from #RES2 order by code_str')
EXEC dbo.BufferPush -116, @Table_Razd1

DROP TABLE #RES2
















GO


GRANT EXECUTE ON dbo.[RSS_RPSV_17_FNS_PREPARE] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SELECT_PENS]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SELECT_PENS]

GO

CREATE  PROCEDURE dbo.SS_SELECT_PENS(@LINK_DOC INT, @MODE TINYINT)
AS

DECLARE @LINK_DEP INT, @year_begin INT, @month_end TINYINT

SELECT 
	@LINK_DEP = link_dep,
	@year_begin = year_begin,
	@month_end = month_end
FROM 
	dbo.SZV_STAZH_PACHKA P
WHERE
	P.LINK = @LINK_DOC	


SELECT 0 as CHECKED, E.pers_link, NAME_EMPL = LTRIM(RTRIM(FM)) + ' ' + LTRIM(RTRIM(IM)) + ' ' + LTRIM(RTRIM(OT))
FROM 
	dbo.EMPL E
	INNER JOIN dbo.PERSON P ON E.PERS_LINK = P.LINK
WHERE
	E.DEP_LINK = @LINK_DEP
	AND
	YEAR(DATE_PENS) = @year_begin
	AND
	(	@mode = 1 AND MONTH(DATE_PENS) <= @month_end
		OR
		@mode = 2 AND MONTH(DATE_PENS) = @month_end	
	)



GO


GRANT EXECUTE ON dbo.[Ss_SELECT_PENS] TO PUBLIC

GO


-- --


GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_DOC_RESERV_RASCHET2]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SALARY_DOC_RESERV_RASCHET2]

GO

/*
  (Keysystems), 2005
*/
CREATE PROCEDURE dbo.SALARY_DOC_RESERV_RASCHET2
	@LINK int

AS

--[SALARY_DOC_RESERV_RASCHET2] 32353

BEGIN

DECLARE @MONTH INT, @YEAR INT, @LINK_DEP INT
SELECT @MONTH = MONTH(SD.PERIOD), @YEAR = YEAR(SD.PERIOD), @LINK_DEP = S.LINK_DEP
FROM
	dbo.SDOC S with (nolock) 
	INNER JOIN dbo.SDOC_RESERV SD with (nolock) ON S.LINK = SD.LINK_UP
WHERE
	S.LINK = @LINK	

---- 
--IF OBJECT_ID('TEMPDB..#J','U') IS NOT NULL
--	DROP TABLE #J
	
--CREATE TABLE #J (PERS INT, SUMMA NUMERIC(20,2))

--INSERT INTO #J (PERS, SUMMA)
--SELECT E.PERS_LINK, SUM(J.SUMMA)
--FROM
--	dbo.PAYS_REF PR 
--	INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_PAYS = PR.LINK_PAYS
--	INNER JOIN dbo.EMPL E ON E.LINK = J.LINK_EMPL
--WHERE
--	PR.LINK_GROUPS = dbo.sa_get_option_by_code('DOCUMENTS_ADD_RESERV_OPT1')
--	AND
--	J.LINK_DEP = @LINK_DEP
--	AND
--	YEAR(J.PERIOD_BEGIN) = @YEAR
--	AND
--	MONTH(J.PERIOD_BEGIN) = @MONTH
--GROUP BY
--	E.PERS_LINK



IF OBJECT_ID('TEMPDB..#ST','U') IS NOT NULL
	DROP TABLE #ST
	
CREATE TABLE #ST ([PERCENT] NUMERIC(20,2))

--   
INSERT INTO #ST ([PERCENT])
SELECT TOP 1 [PERCENT]
FROM 
	dbo.PAYS P
	INNER JOIN dbo.DICTIONARY_RANGE DR ON P.LINK = DR.LINK_PAYS
WHERE
	P.[OBJECT] = 3 AND P.WAY_CALC = 5
	AND TARIF = 1
	AND DR.[DATE]= (SELECT TOP 1 [DATE] FROM dbo.DICTIONARY_RANGE DR1 
		WHERE DR1.TARIF = DR.TARIF AND LINK_PAYS = P.LINK AND [DATE] <= dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH,@YEAR)) ORDER BY [DATE] DESC) 

--    
IF OBJECT_ID('TEMPDB..#STI','U') IS NOT NULL
	DROP TABLE #STI
	
CREATE TABLE #STI (PERS_LINK INT, [PERCENT] NUMERIC(20,2))

INSERT INTO #STI (PERS_LINK, [PERCENT])
SELECT
	I.PERS_LINK, [PERCENT] = MP.summa
FROM	
	dbo.MINROT_PAYS MP
	INNER JOIN dbo.PERS_INVALID I ON 1=1
WHERE
	[OBJECT] = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = 'COLUMN_REF_PAY_MROT_T3')
	AND
	LINK_MINROT = (SELECT TOP 1 LINK FROM dbo.MINROT WHERE PERIOD<=dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH,@YEAR)) ORDER BY PERIOD DESC)
	AND
	dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH,@YEAR)) BETWEEN I.DATE_BEGIN AND COALESCE(I.DATE_END,'29990101')	



--   (    . )
DECLARE @LinkEKR_R211 int
SELECT @LinkEKR_R211 = LINK FROM dbo.DICTIONARY_ITEM WHERE CODE = 'R211'

IF OBJECT_ID('TEMPDB..#S','U') IS NOT NULL
	DROP TABLE #S
	
CREATE TABLE #S (PERS INT, [PERCENT] NUMERIC(20,2))

/*
         
*/

--INSERT INTO #S (PERS, [PERCENT])
--SELECT E.PERS_LINK, SUM(J.SUMMA)/(SUM(J.SUMMA_BASE)/SUM(1)) * 100
--FROM
--	dbo.PAYS P 
--	INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_PAYS = P.LINK
--	INNER JOIN dbo.EMPL E ON E.LINK = J.LINK_EMPL
--WHERE
--	P.[OBJECT] = 3 AND P.WAY_CALC <> 5
--	AND
--	J.LINK_DEP = @LINK_DEP
--	AND
--	YEAR(J.PERIOD_BEGIN) = @YEAR
--	AND
--	MONTH(J.PERIOD_BEGIN) = @MONTH	
--	AND
--	J.LINK_EKR <> @LinkEKR_R211
--GROUP BY
--	E.PERS_LINK
--HAVING
--	SUM(J.SUMMA_BASE) > 0


--   
IF OBJECT_ID('TEMPDB..#VAC','U') IS NOT NULL
	DROP TABLE #VAC
	
CREATE TABLE #VAC (LINK_EMPL INT, [SUMMA] INT)

INSERT INTO #VAC (LINK_EMPL, [SUMMA])
SELECT
	LINK, ISNULL([not_us_o],0) + ISNULL([not_us_D],0)
FROM	
	dbo.ku_EmplNormVacationR(dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH,@YEAR)))

DECLARE @DAYS INT
SET @DAYS = 
	datediff(
		day,
		dbo.DateBeginOfMonth(dbo.ConvertDMY2Date(1,@MONTH,@YEAR)),
		dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH,@YEAR))
	) + 1

--SELECT 
--	datediff(
--		day,
--		dbo.DateBeginOfMonth(dbo.ConvertDMY2Date(1,@MONTH,@YEAR)),
--		dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH,@YEAR))
--	) + 1
--	-
--	(		
--	SELECT 
--		COUNT(DH.[DAY])
--	FROM
--		dbo.days_ex(
--			dbo.DateBeginOfMonth(dbo.ConvertDMY2Date(1,@MONTH,@YEAR)), 
--			dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH,@YEAR))
--			) A
--		INNER JOIN dbo.HOLIDAYS DH ON day(A.[DATE]) = DH.[DAY] and month(A.DATE) = DH.[MONTH] AND YEAR(A.DATE) = DH.[YEAR] AND DH.TYPE_HOL = 1
--	)		


DELETE FROM dbo.SDOC_RESERV_TABLE WHERE LINK_UP = @LINK

INSERT INTO dbo.SDOC_RESERV_TABLE (LINK_UP, ORDERS, LINK_EMPL, SUMMA_BASE, AMOUNT_DED, SUMMA_DED, AMOUNT_TR, SUMMA_TR, OST_VAC_D, SUMMA_RESERV)

SELECT 
	LINK_UP = @LINK
	,ORD = ROW_NUMBER () OVER (ORDER BY P.FM,P.IM,P.OT)
	,LINK_EMPL = E.LINK
	,SUMMA_BASE = 0--ISNULL(J.SUMMA,0)
	,PERCENT_S = ISNULL(S.[PERCENT],0)
	,SUMMA_S = 0--ROUND(ISNULL(J.SUMMA,0) * ISNULL(S.[PERCENT],0) / 100,2)
	,PERCENT_T = COALESCE(STI.[PERCENT],ST.[PERCENT],0)
	,SUMMA_ST = 0--ROUND(ISNULL(J.SUMMA,0) * COALESCE(STI.[PERCENT],ST.[PERCENT],0) / 100,2)
	,DAYS_VAC = ISNULL(VAC.SUMMA,0)
	,SUUMA_R = 0
		--(
		--	ISNULL(J.SUMMA,0)
		--+	ROUND(ISNULL(J.SUMMA,0) * ISNULL(S.[PERCENT],0) / 100,2)
		--+	ROUND(ISNULL(J.SUMMA,0) * COALESCE(STI.[PERCENT],ST.[PERCENT],0) / 100,2)
		--) 
		--/ (@DAYS)
		--* (ISNULL(VAC.SUMMA,0) / 12)

FROM
	DBO.EMPL E with (nolock)
	--      
	INNER JOIN (
		/*         
		  ,  ,   */
		SELECT E.DEP_LINK, E.PERS_LINK, E.LINK, E.TAB, NUM = ROW_NUMBER () OVER (PARTITION BY E.DEP_LINK, E.PERS_LINK ORDER BY DATE_BEGIN DESC)
			FROM dbo.EMPL E INNER JOIN dbo.ITEM_MOVE IM ON E.LINK = IM.EMPL_LINK
				WHERE IM.ACTIVE = 1 AND IM.NEW_FACE=1 AND (IM.[STATUS]=1 OR IM.[STATUS]=3) AND DATE_BEGIN <= dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH,@YEAR))
		/*      */
		UNION ALL
		SELECT E.DEP_LINK, E.PERS_LINK, E.LINK, E.TAB, NUM = 1
			FROM dbo.EMPL E INNER JOIN dbo.ITEM_MOVE IM ON E.LINK = IM.EMPL_LINK
				WHERE IM.ACTIVE = 1 AND IM.NEW_FACE=1 AND IM.[STATUS]=2 AND DATE_BEGIN <= dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH,@YEAR))
		) T ON T.DEP_LINK = E.DEP_LINK AND E.LINK = T.LINK AND T.NUM = 1	
	INNER JOIN DBO.PERSON P with (nolock) ON E.PERS_LINK = P.LINK
	LEFT JOIN DBO.ITEM_DIS_FACE IDF with (nolock) ON IDF.EMPL_LINK = E.LINK AND IDF.ACTIVE=1 AND COALESCE(IDF.DIS_DATE,'20490101') < dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH,@YEAR))	
	--LEFT JOIN #J J ON J.PERS = E.PERS_LINK
	LEFT JOIN #S S ON S.PERS = E.PERS_LINK
	LEFT JOIN #ST ST ON 1=1
	LEFT JOIN #STI STI ON STI.PERS_LINK = E.PERS_LINK
	LEFT JOIN #VAC VAC ON VAC.LINK_EMPL = E.LINK
WHERE
	E.DEP_LINK = @LINK_DEP
	AND
	COALESCE(IDF.LINK,0) = 0

--declare @p1 float
--set @p1=0
--exec SA_N_VAC_FILL @p1 output,'DOCUMENTS_CALC_AVG',1,0,17381,50621,2,2,'20160101','20160131','20160101',0,0,74578
--select @p1



RETURN 0


END 



GO


GRANT EXECUTE ON dbo.[SALARY_DOC_RESERV_RASCHET2] TO PUBLIC

GO


--dbo.[SALARY_DOC_RESERV_RASCHET2] 20457 


--declare @p1 float
--set @p1=0
--exec SA_N_VAC_FILL @p1 output,'DOCUMENTS_CALC_AVG',1,0,17381,50621,2,2,'20160101','20160131','20160101',0,0,74578
--select @p1


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_PACHKA_CALC_Buffer]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_PACHKA_CALC_Buffer]

GO

CREATE   PROCEDURE [dbo].SS_SZV_ST_PACHKA_CALC_Buffer (@BufferCode varchar(10), @link int, @Year int, @Month tinyint) 
AS

IF @Year >= 2017
	EXEC dbo.SS_SZV_ST_PACHKA_CALC_Buffer_2017 @BufferCode, @link, @Year, @Month		


GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_PACHKA_CALC_Buffer] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_DICTIONARY_SUBDIVISION]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_DICTIONARY_SUBDIVISION]

GO

CREATE  PROCEDURE [dbo].[SYNCH_DICTIONARY_SUBDIVISION] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
     -
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_SERVER_NAME') AND SID IS NULL 
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_BASE_NAME') AND SID IS NULL 


declare @p2 varchar(8000)
set @p2=''
declare @p3 float
set @p3=0
exec SYNCH_SMETA_SMART 38,@p2 output,@p3 output
select @p2, @p3


SELECT * FROM [SYNCH_DICTIONARY_POST] WHERE LINK = 125
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)



SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT


--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	inner join ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''
'	

EXEC SP_EXECUTESQL @SQL


--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 101
END

------------------

---------------------
DECLARE @OBJECT_CODE VARCHAR(254)
SET @OBJECT_CODE = 
(
	SELECT TOP 1 B.CODE
	FROM
		dbo.SYNCH_SMETA_SMART_TAB A
		INNER JOIN dbo.[SYNCH_SMETA_SMART_OPT2] B ON A.LINK_OPT2 = B.LINK
	WHERE
		A.LINK = @LINK_JOURN_TAB
)	

IF @OBJECT_CODE IS NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('       .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
---------------------
DECLARE @iOBJECT INT
SET @SQL = 
N'	
SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''' + @OBJECT_CODE + '''
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT

------------------
------------------
CREATE TABLE #SUBDIV_HEAD (DEP INT, LINK INT,[GUID] UNIQUEIDENTIFIER, NEW_LINK_S  INT, LINK_OLD_S INT)
SET @SQL =
N'	
INSERT INTO #SUBDIV_HEAD (DEP , LINK,[GUID], NEW_LINK_S , LINK_OLD_S )
SELECT H.DEP_LINK, H.LINK, [GUID] = ISNULL(H.[GUID],NEWID()) ,  null , NULL
FROM
	dbo.SUBDIV_HEAD H
	inner join dbo.DEPARTMENTS d on  d.link = h.dep_link
	INNER JOIN (
	SELECT link_UP = max(link_UP) , code , name , date_begin ,date_end 
	FROM dbo.SUBDIV S 
	group by  code , name , date_begin ,date_end  )  ss ON  H.LINK = ss.link_up 
WHERE 
	(d.type = 4 or d.zb = 1)
GROUP BY H.DEP_LINK, H.LINK,H.[GUID], ss.link_up  	
	ORDER BY link_up
'	
EXEC SP_EXECUTESQL @SQL 

---     
CREATE TABLE #SUBDIV ([LINK] INT,[link_up] INT, [CODE] VARCHAR(10), [NAME] VARCHAR(8000), LINK_SELF INT , link_self_new int, ORDERS INT,LIM INT , 
					   DATE_BEGIN  DATETIME , DATE_END DATETIME, OBOSOB TINYINT , O_OKATO VARCHAR(14) , O_KPP VARCHAR(9) ,O_OKTMO VARCHAR(11))
SET @SQL = 
N'	
INSERT INTO #SUBDIV ([LINK],[link_up], [CODE], [NAME],LINK_SELF,ORDERS,LIM ,  DATE_BEGIN , DATE_END , OBOSOB , O_OKATO , O_KPP , O_OKTMO )
SELECT S.LINK,S.LINK_UP, S.CODE,S.NAME,S.LINK_SELF,ORDERS,LIM ,  DATE_BEGIN , DATE_END , OBOSOB , O_OKATO , O_KPP , O_OKTMO  
FROM
	dbo.SUBDIV S
	inner join #SUBDIV_HEAD h on h.link = S.LINK_UP


'	
EXEC SP_EXECUTESQL @SQL 

-----

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG =
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(isnull(D.CODE,''))) + '/' + LTRIM(RTRIM(isnull(D.INN,''))) + '/' + LTRIM(RTRIM(isnull(D.KPP,'')))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #SUBDIV_HEAD H ON D.LINK = H.DEP
				WHERE
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE isnull(DD.CODE,'') = isnull(D.CODE,'') AND isnull(DD.INN,'') = isnull(D.INN,'') AND isnull(DD.KPP,'') = isnull(D.KPP,''))
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(isnull(D.CODE,''))) + '/' + LTRIM(RTRIM(isnull(D.INN,''))) + '/' + LTRIM(RTRIM(isnull(D.KPP,'')))	
			FOR XML PATH('')
		), 2, 3000)
	

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 102
END

----

CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT, DEP INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2, DEP)
SELECT D1.LINK, D2.LINK, D1.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D2.CODE ' + @COLLATE + '=D1.CODE AND D2.INN ' + @COLLATE + '=D1.INN AND D2.KPP ' + @COLLATE + '=D1.KPP 
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	EXISTS (SELECT * FROM #SUBDIV_HEAD T WHERE D1.LINK = T.DEP) 
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK) 	

---   #subdiv_head  #subdiv       #DEPARTMENTS_SMETA_KS
  delete from #subdiv_head where dep not in (select link1 from #DEPARTMENTS_SMETA_KS ) 
  delete from  #subdiv where link_up not in (select link from #subdiv_head)
'
EXEC SP_EXECUTESQL @SQL


---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID]  
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT 
		WHERE 
			SU.LOGINAME  = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN


IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 103
END


----------
SET @ERR_MSG = NULL
DECLARE @STR NVARCHAR(800)
DECLARE @STR1 NVARCHAR(800)
--   GUID
SET @ERR_MSG = NULL
SET @SQL = 
N'



UPDATE H
SET [NEW_LINK_S] = H2.[LINK]
FROM #subdiv_head H
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON H2.[GUID] = H.[GUID]
	WHERE H.[GUID] IS NOT NULL
'	
EXEC SP_EXECUTESQL @SQL

SET @ERR_MSG = NULL
SET @SQL = 
N'


	--     
	DECLARE @Date datetime
	SET @date = GETDATE()
	
	--     
	UPDATE H
	SET [NEW_LINK_S] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''99991231'', 112)) AND @date BETWEEN S2.[DATE_BEGIN] AND ISNULL(S2.[DATE_END], CONVERT(DATETIME, ''99991231'', 112))
								OR S2.[DATE_BEGIN] = S.[DATE_BEGIN]  AND (S2.[DATE_END]= S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END] IS NULL))
							AND S2.[CODE] ' + @COLLATE + '=S.[CODE] AND S2.[NAME] ' + @COLLATE + '=S.[NAME]
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON S2.[LINK_UP] = H2.[LINK] AND H2.[DEP_LINK] =d.[LINK2]
	WHERE H.[NEW_LINK_S] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK]=sh.[NEW_LINK_S])

	--   
	UPDATE H
	SET [NEW_LINK_S] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''99991231'', 112)) AND @date BETWEEN S2.[DATE_BEGIN]  AND ISNULL(S2.[DATE_END], CONVERT(DATETIME, ''99991231'', 112))
								OR S2.[DATE_BEGIN]=S.[DATE_BEGIN] AND (S2.[DATE_END]=S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END]  IS NULL))
							AND S2.[NAME] ' + @COLLATE + '=S.[NAME]
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON S2.[LINK_UP]  = H2.[LINK]  AND  H2.[DEP_LINK] =d.[LINK2]
	WHERE H.[NEW_LINK_S] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK] = sh.[NEW_LINK_S])

	--   
	UPDATE H
	SET [NEW_LINK_S] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''99991231'', 112)) AND @date BETWEEN S2.[DATE_BEGIN]  AND ISNULL(S2.[DATE_END] , CONVERT(DATETIME, ''99991231'', 112))
								OR S2.[DATE_BEGIN] =S.[DATE_BEGIN] AND (S2.[DATE_END] =S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END]  IS NULL))
							AND S2.[CODE] ' + @COLLATE + '=S.[CODE]
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON H2.[LINK] =S2.[LINK_UP] AND H2.[DEP_LINK] =d.[LINK2]
	WHERE H.[NEW_LINK_S] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK] =sh.[NEW_LINK_S])	

	--  link_self_new  #subdiv 
	UPDATE s
	set link_self_new = h.new_link_s
		from 
		#subdiv s 
		inner join (select s1.link,s1.NEW_LINK_S , su1.link_self   from #subdiv_head s1 inner join #subdiv su1 on isnull(su1.link_self,null) =  isnull(s1.link,null) ) as h on h.link_self  = s.link_self 
	where s.link_self = h.link

'	
EXEC SP_EXECUTESQL @SQL

	
SET @ERR_MSG = NULL
SET @SQL = 
N'

--      
   DELETE S
   FROM '+@DB+'dbo.[SUBDIV] s where S.[LINK_UP] in ( 
   select [NEW_LINK_S] from  #subdiv_head H  )

--  GUID    
   UPDATE H
   SET [GUID] = T.[GUID]
   FROM '+@DB+'dbo.[SUBDIV_HEAD] H
   JOIN #subdiv_head T ON H.[LINK] = T.[NEW_LINK_S]
   WHERE T.[GUID] IS NOT NULL AND H.[GUID]  IS NULL

 
--  GUID   -      (      )
   UPDATE H
   SET [GUID] = T.[GUID]
   FROM dbo.[SUBDIV_HEAD] H
   JOIN #subdiv_head T ON H.[LINK] = T.[LINK]
   WHERE T.[GUID] IS NOT NULL AND H.[GUID] IS NULL	

'	
EXEC SP_EXECUTESQL @SQL


--------------------------------------
-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK INT, NEW_LINK INT )

CREATE TABLE #EXEC (text varchar(8000), id int identity(1,1))


	---   SUBDIV_HEAD    ,      

	SET @SQL = 
	N'

		CREATE table #REL_SUB (link int)
		INSERT INTO #REL_SUB
		SELECT link_table FROM '+ @DB +'dbo.ZP_RELATIONS_SUBDIV_HEAD
		
		
	delete from '+ @DB +'dbo.[SUBDIV_HEAD]
				where link  not in (select new_link_S from #subdiv_head)
				and link  not in (select isnull(link,0) from #REL_SUB)
				and dep_link in (select link2 from #DEPARTMENTS_SMETA_KS) 	
		drop table #REL_SUB

	'	

	EXEC SP_EXECUTESQL @SQL			

---     dbo.[SUBDIV_HEAD_SNEW]             
IF (EXISTS(SELECT 1 FROM #subdiv_head WHERE [NEW_LINK_S] IS NULL))
BEGIN

	SET @ERR_MSG = NULL
	
	SET @ERR_MSG = NULL
	SET @SQL = 
	N'
				
			--       
				SELECT LINK = h.link,  [DEP_LINK] = d.[link2],[GUID] = h.[GUID], link_old = h.[LINK], [NEW_LINK_S]
				INTO #SUBDIV_HEAD_SNEW
				FROM #subdiv_head h
				inner join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
				WHERE [NEW_LINK_S] IS NULL

	
				INSERT '+ @DB +'dbo.[SUBDIV_HEAD]([DEP_LINK],[GUID])
				SELECT [DEP_LINK],[GUID]
				FROM #SUBDIV_HEAD_SNEW

				INSERT #PROTOKOL (OP, LINK, NEW_LINK)
				SELECT  
					''A'',
					link =S.LINK_OLD, 
					NEW_LINK = a.link
				FROM #subdiv_head h
				inner join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
				inner join '+ @DB +'dbo.[SUBDIV_HEAD] a on a.[GUID] = h.[GUID] 
				inner join #SUBDIV_HEAD_SNEW S ON S.[GUID]= a.[GUID] 
				WHERE h.[NEW_LINK_S] IS NULL	
	
			
				
				UPDATE H
				SET [NEW_LINK_S] = L.[NEW_LINK]
				FROM #subdiv_head H
				JOIN #PROTOKOL L ON H.[LINK] = L.[LINK]
			
				--select * from 	#subdiv_head 
				--select * from '+ @DB +'dbo.[SUBDIV_HEAD]
				--select * from  #subdiv_head

	'	
	EXEC SP_EXECUTESQL @SQL

	
END 


INSERT INTO #EXEC ([text]) SELECT
'
 
 
		--   
		INSERT '+@DB+'dbo.[SUBDIV]([LINK_UP],[CODE],[NAME],[LINK_SELF],[ORDERS],[LIM],[DATE_BEGIN],[DATE_END],[OBOSOB],[O_OKATO],[O_KPP])
		SELECT
			 H.[NEW_LINK_s]
			,S.[CODE]
			,S.[NAME]
			,H2.[NEW_LINK_s]
			,S.[ORDERS]
			,S.[LIM]
			,S.[DATE_BEGIN]
			,[DATE_END] =  case when S.[DATE_END] = ''99991231'' then null else S.[DATE_END] end
			,S.[OBOSOB]
			,S.[O_OKATO]
			,S.[O_KPP]
		FROM #subdiv_head H
		JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
		LEFT JOIN #subdiv_head H2 ON S.[LINK_SELF] = H2.[LINK] 
		where H.[NEW_LINK_s] is not null
		GROUP BY H.[NEW_LINK_s],S.[CODE],S.[NAME],H2.[NEW_LINK_s],S.[ORDERS],S.[LIM],S.[DATE_BEGIN], S.[DATE_END] ,S.[OBOSOB],S.[O_OKATO],S.[O_KPP]

'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'
	
--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN
----  

UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB


END



GO


GRANT EXECUTE ON dbo.[SYNCH_DICTIONARY_SUBDIVISION] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_DICTIONARY_POST]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_DICTIONARY_POST]

GO

CREATE  PROCEDURE [dbo].[SYNCH_DICTIONARY_POST] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
      -
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_SERVER_NAME') AND SID IS NULL 
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_BASE_NAME') AND SID IS NULL 


declare @p2 varchar(8000)
set @p2=''
declare @p3 float
set @p3=0
exec SYNCH_SMETA_SMART 7,@p2 output,@p3 output
select @p2, @p3


SELECT * FROM [SYNCH_DICTIONARY_POST] WHERE LINK = 4
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)


SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT

--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	inner join ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''
'	

EXEC SP_EXECUTESQL @SQL


--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(ISNULL(CODE,''))) + '/' + LTRIM(RTRIM(ISNULL(INN,''))) + '/' + LTRIM(RTRIM(ISNULL(KPP,'')))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(ISNULL(CODE,''))) + '/' + LTRIM(RTRIM(isnull(INN,''))) + '/' + LTRIM(RTRIM(isnull(KPP,'')))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 101
END

------------------
DECLARE @PERIOD DATETIME
SET @PERIOD = 
	(SELECT TOP 1 PERIOD
	FROM 
		[dbo].[SYNCH_SMETA_SMART_JOURN] J
		INNER JOIN [dbo].[SYNCH_SMETA_SMART_TAB] T ON T.[LINK_UP] = J.[LINK]
	WHERE
		T.LINK = @LINK_JOURN_TAB)



---------------------
DECLARE @OBJECT_CODE VARCHAR(254)
SET @OBJECT_CODE = 
(
	SELECT TOP 1 B.CODE
	FROM
		dbo.SYNCH_SMETA_SMART_TAB A
		INNER JOIN dbo.[SYNCH_SMETA_SMART_OPT2] B ON A.LINK_OPT2 = B.LINK
	WHERE
		A.LINK = @LINK_JOURN_TAB
)	

IF @OBJECT_CODE IS NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
---------------------
DECLARE @iOBJECT INT
SET @SQL = 
N'	
SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''' + @OBJECT_CODE + '''
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT

------------------
DECLARE @LINK_DOCUMENTS_SALARY INT
SET @LINK_DOCUMENTS_SALARY = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = @OBJECT_CODE)



------------------
declare @DEP_LINK INT 

exec dbo.xd_whats_zb @DEP_LINK output

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
				WHERE
					D.LINK  = @DEP_LINK 
					AND 
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP)
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)

	
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 102
END



----

CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2)
SELECT D1.LINK, D2.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D2.CODE ' + @COLLATE + '=D1.CODE AND D2.INN ' + @COLLATE + '=D1.INN AND D2.KPP ' + @COLLATE + '=D1.KPP 
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	   D1.LINK = ' + str(@DEP_LINK) + '
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK ) 	
'
EXEC SP_EXECUTESQL @SQL

---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID] 
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT
		WHERE 
			SU.LOGINAME = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN


IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 103
END

---     
CREATE TABLE #DICT ([LINK] INT, [CODE] VARCHAR(10), [NAME] VARCHAR(8000), NUM INT)
SET @SQL = 
N'	
INSERT INTO #DICT ([LINK], [CODE], [NAME] , NUM )
SELECT P.LINK, P.CODE,P.NAME , NUM = ROW_NUMBER() OVER (PARTITION BY [code],[NAME] ORDER BY [NAME], [code])
FROM
	dbo.POST P
'	
EXEC SP_EXECUTESQL @SQL, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD
---

----------
--    - -       
CREATE TABLE #TAB_KS_SMART ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)



SET @ERR_MSG = NULL
SET @SQL = 
N'
INSERT INTO #TAB_KS_SMART ([LINK1],[LINK2],[DEP1], [DEP2]) 
SELECT  
	[LINK1] = P.LINK,
	[LINK2] = p2.LINK , 
	[dep1] = dsk.link1,
	[dep2] = dsk.link2
FROM 
	#DICT as p
	left join  ' + @DB + 'dbo.POST p2 on (ltrim(rtrim(p2.name ' + @COLLATE + '))=ltrim(rtrim(p.name)))
	left join #DEPARTMENTS_SMETA_KS dsk on  p2.link_dep  =dsk.link2
WHERE 
--	and dsk.link1= ' + str(@DEP_LINK) + ' 
	/*and*/ p.num = 1

'	
EXEC SP_EXECUTESQL @SQL



/*
declare @p2 varchar(8000)
set @p2=''
declare @p3 float
set @p3=0
exec SYNCH_SMETA_SMART 46,@p2 output,@p3 output
select @p2, @p3
*/

-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK_1 INT, LINK_2 INT)

CREATE TABLE #EXEC (text varchar(8000), id int identity(1,1))


	---   POST    ,      
	SET @SQL = 
	N'
	
		CREATE table #REL_POST (link int)
		INSERT INTO #REL_POST
		SELECT DISTINCT link_TABLE FROM '+ @DB+' dbo.ZP_RELATIONS_POST  
		
		delete from '+ @DB +'dbo.[POST]
				where link not in (select link2 from #TAB_KS_SMART)
				and link not in (select link from #REL_POST)	
		
		drop table #REL_POST
		  
	'
	EXEC SP_EXECUTESQL @SQL		


INSERT INTO #EXEC ([text]) SELECT
'
INSERT #PROTOKOL (OP, LINK_1,LINK_2)
SELECT 
	''U'',
	LINK_1 = t.link,
	LINK_2 = a.link
FROM
	#DICT T
	inner join #TAB_KS_SMART KS  on t.link = ks.link1
	INNER JOIN ' + @DB + 'dbo.[POST] A ON  A.link  = ks.link2
WHERE
	a.link_dep = ks.dep2
	and num = 1 
	and 
	(((right(ltrim(rtrim(ISNULL(A.CODE ' + @COLLATE + ',''''))),6) <> right(ltrim(rtrim(ISNULL(T.CODE,''''))),6)) and (left(ltrim(rtrim(ISNULL(a.name ' + @COLLATE + ',''''))),254) = left(ltrim(rtrim(ISNULL(T.NAME,''''))),254) )) 
	or 
	((right(ltrim(rtrim(ISNULL(A.CODE ' + @COLLATE + ',''''))),6) = right(ltrim(rtrim(ISNULL(T.CODE,''''))),6)) and (left(ltrim(rtrim(ISNULL(a.name ' + @COLLATE + ',''''))),254) <> left(ltrim(rtrim(ISNULL(T.NAME,''''))),254) )))

--    -    
UPDATE A SET
	A.NAME = left(ltrim(rtrim(ISNULL(T.NAME,''''))),254),
	A.CODE = RIGHT(LTRIM(RTRIM(ISNULL(T.CODE,''''))),6)
FROM
	#DICT T
	inner join #TAB_KS_SMART KS  on t.link = ks.link1
	INNER JOIN ' + @DB + 'dbo.[POST] A ON  A.link  = ks.link2
	INNer JOIN #PROTOKOL p on t.link = p.link_1 and A.link  = p.link_2 and  p.OP = ''U''
WHERE
	a.link_dep  = ks.dep2
	and num = 1 
	and 
	(((right(ltrim(rtrim(ISNULL(A.CODE ' + @COLLATE + ',''''))),6) <> right(ltrim(rtrim(ISNULL(T.CODE,''''))),6)) and (left(ltrim(rtrim(ISNULL(a.name ' + @COLLATE + ',''''))),254) = left(ltrim(rtrim(ISNULL(T.NAME,''''))),254) ))
	or 
	((right(ltrim(rtrim(ISNULL(A.CODE ' + @COLLATE + ',''''))),6) = right(ltrim(rtrim(ISNULL(T.CODE,''''))),6)) and (left(ltrim(rtrim(ISNULL(a.name ' + @COLLATE + ',''''))),254) <> left(ltrim(rtrim(ISNULL(T.NAME,''''))),254) )))

--    
INSERT INTO ' + @DB + 'dbo.[POST] (CODE, [NAME], LINK_DEP)
SELECT distinct
	CODE        = RIGHT(LTRIM(RTRIM(T.CODE)),6), 
	[NAME]      = LTRIM(RTRIM(T.NAME)), 
	LINK_DEP    = (select link2 from #DEPARTMENTS_SMETA_KS where link1= '+STR(@DEP_LINK)+')
FROM
	#DICT T
	inner join #TAB_KS_SMART KS  on t.link = ks.link1
WHERE 
	 t.num = 1 
	and ks.link2 is null  


INSERT #PROTOKOL (OP, LINK_1,LINK_2)
SELECT distinct
	''A'',
	LINK_1      = t.link, 
	LINK_2      = a.link
FROM
	#DICT T
	inner join #TAB_KS_SMART KS  on t.link = ks.link1
	inner join ' + @DB + 'dbo.[POST] a on a.CODE ' + @COLLATE + ' = RIGHT(LTRIM(RTRIM(T.CODE)),6) 
										and a.[NAME] ' + @COLLATE + ' =  LTRIM(RTRIM(T.NAME))									
WHERE 
	 t.num = 1 
	and ks.link2 is null  
	and a.LINK_DEP = (select top 1 link2 from #DEPARTMENTS_SMETA_KS where link1= '+STR(@DEP_LINK)+')

'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB


END





GO


GRANT EXECUTE ON dbo.[SYNCH_DICTIONARY_POST] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_KU_EMPL_PLACING]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_KU_EMPL_PLACING]

GO

CREATE  PROCEDURE [dbo].[SYNCH_KU_EMPL_PLACING] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
     -
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_SERVER_NAME') AND SID IS NULL 
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_BASE_NAME') AND SID IS NULL 


declare @p2 varchar(8000)
set @p2=''
declare @p3 float
set @p3=0
exec SYNCH_SMETA_SMART 899,@p2 output,@p3 output
select @p2, @p3


SELECT * FROM [SYNCH_DICTIONARY_POST] WHERE LINK = 125
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)
DECLARE @STR NVARCHAR(800)
DECLARE @STR1 NVARCHAR(800)

SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT


--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	inner join ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''	
'	

EXEC SP_EXECUTESQL @SQL

--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 101
END

------------------
---------------------
DECLARE @OBJECT_CODE VARCHAR(254)
SET @OBJECT_CODE = 
(
	SELECT TOP 1 B.CODE
	FROM
		dbo.SYNCH_SMETA_SMART_TAB A
		INNER JOIN dbo.[SYNCH_SMETA_SMART_OPT2] B ON A.LINK_OPT2 = B.LINK
	WHERE
		A.LINK = @LINK_JOURN_TAB
)	

IF @OBJECT_CODE IS NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('       .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
---------------------
DECLARE @iOBJECT INT
SET @SQL = 
N'	
SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''' + @OBJECT_CODE + '''
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT

------------------


---  POST    
IF OBJECT_ID('tempdb..#POST') IS NOT NULL DROP TABLE #POST
CREATE TABLE #POST ([LINK] INT, [CODE] VARCHAR(10), [NAME] VARCHAR(8000), NUM INT , LINK_NEW INT)
SET @SQL = 
N'	
INSERT INTO #POST ([LINK], [CODE], [NAME] , NUM )
SELECT P.LINK, right(ltrim(rtrim(ISNULL(p.CODE,''''))),6),P.NAME , NUM = ROW_NUMBER() OVER (PARTITION BY [NAME] ,  [CODE]  ORDER BY [NAME] )
FROM
	dbo.POST P
'	
EXEC SP_EXECUTESQL @SQL 
---
----------

--      
SET @ERR_MSG = NULL
SET @SQL = 
N'

UPDATE P 
SET LINK_NEW = p2.LINK 
FROM 
	#POST as p
	left join  ' + @DB + 'dbo.POST p2 on (p2.name ' + @COLLATE + ' = p.name) and right(ltrim(rtrim(ISNULL(p2.CODE ' + @COLLATE + ',''''))),6) = right(ltrim(rtrim(ISNULL(p.CODE,''''))),6)
WHERE 
 p.num = 1

 
'	
EXEC SP_EXECUTESQL @SQL


--    
SET @ERR_MSG = NULL
SET @SQL = 
N'

Delete from #POST 
WHERE 
 LINK_NEW is null
'	
EXEC SP_EXECUTESQL @SQL
 

---------- C  --------
IF OBJECT_ID('tempdb..#SUBDIV_HEAD') IS NOT NULL DROP TABLE #SUBDIV_HEAD
CREATE TABLE #SUBDIV_HEAD (DEP INT, LINK INT,[GUID] UNIQUEIDENTIFIER, NEW_LINK INT)
SET @SQL =
N'	
INSERT INTO #SUBDIV_HEAD (DEP , LINK,[GUID], NEW_LINK)
SELECT H.DEP_LINK, H.LINK, [GUID] = ISNULL(H.[GUID],NEWID()) ,  null
FROM
	dbo.SUBDIV_HEAD H
	inner join dbo.DEPARTMENTS d on  d.link = h.dep_link
WHERE
	EXISTS (SELECT * FROM dbo.SUBDIV S WHERE S.LINK_UP = H.LINK)
	and (d.type = 4 or d.zb = 1)
'	
EXEC SP_EXECUTESQL @SQL 



---     
IF OBJECT_ID('tempdb..#SUBDIV') IS NOT NULL DROP TABLE #SUBDIV
CREATE TABLE #SUBDIV ([LINK] INT,[link_up] INT, [CODE] VARCHAR(10), [NAME] VARCHAR(8000), LINK_SELF INT, ORDERS INT,LIM INT , 
					   DATE_BEGIN  DATETIME , DATE_END DATETIME, OBOSOB TINYINT , O_OKATO VARCHAR(14) , O_KPP VARCHAR(9) ,O_OKTMO VARCHAR(11))
SET @SQL = 
N'	
INSERT INTO #SUBDIV ([LINK],[link_up], [CODE], [NAME],LINK_SELF,ORDERS,LIM ,  DATE_BEGIN , DATE_END , OBOSOB , O_OKATO , O_KPP , O_OKTMO )
SELECT S.LINK,S.LINK_UP, S.CODE,S.NAME,S.LINK_SELF,ORDERS,LIM ,  DATE_BEGIN , DATE_END , OBOSOB , O_OKATO , O_KPP , O_OKTMO  
FROM
	dbo.SUBDIV S
	inner join #SUBDIV_HEAD h on h.link = S.LINK_UP
'	
EXEC SP_EXECUTESQL @SQL --, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD
---

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG =
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #SUBDIV_HEAD H ON D.LINK = H.DEP
				WHERE
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP)
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
	
	
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 102
END



----

CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT, DEP INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2, DEP)
SELECT D1.LINK, D2.LINK, D1.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D2.CODE ' + @COLLATE + ' = D1.CODE  AND D2.INN ' + @COLLATE + ' = D1.INN  AND D2.KPP ' + @COLLATE + ' = D1.KPP  
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	EXISTS (SELECT * FROM #SUBDIV_HEAD T WHERE D1.LINK = T.DEP) 
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK) 	

---   #subdiv_head  #subdiv       #DEPARTMENTS_SMETA_KS
  delete from #subdiv_head where dep not in (select link1 from #DEPARTMENTS_SMETA_KS ) 
  delete from  #subdiv where link_up not in (select link from #subdiv_head)

'
EXEC SP_EXECUTESQL @SQL


---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID] 
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT
		WHERE 
			SU.LOGINAME = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN



IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 103
END


----------

--   GUID
SET @ERR_MSG = NULL
SET @SQL = 
N'
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON H2.[GUID]  = H.[GUID]
	WHERE H.[GUID] IS NOT NULL
'	
EXEC SP_EXECUTESQL @SQL


SET @ERR_MSG = NULL
SET @SQL = 
N'

	--     
	DECLARE @Date datetime
	SET @date = GETDATE()
	
	--     
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''99991231'', 112)) AND @date BETWEEN S2.[DATE_BEGIN]  AND ISNULL(S2.[DATE_END], CONVERT(DATETIME, ''99991231'', 112))
								OR S2.[DATE_BEGIN] = S.[DATE_BEGIN]  AND (S2.[DATE_END]  = S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END]  IS NULL))
							AND S2.[CODE] ' + @COLLATE + ' = S.[CODE]  AND S2.[NAME] ' + @COLLATE + ' = S.[NAME] 
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON S2.[LINK_UP] = H2.[LINK] AND H2.[DEP_LINK]  = d.[LINK2] 
	WHERE H.[NEW_LINK] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK]  = sh.[NEW_LINK] )
	
	--   
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''99991231'', 112)) AND @date BETWEEN S2.[DATE_BEGIN]  AND ISNULL(S2.[DATE_END] , CONVERT(DATETIME, ''99991231'', 112))
								OR S2.[DATE_BEGIN]  = S.[DATE_BEGIN]  AND ( S2.[DATE_END]  = S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END] IS NULL))
							AND S2.[NAME] ' + @COLLATE + ' = S.[NAME]
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON S2.[LINK_UP] = H2.[LINK]  AND  H2.[DEP_LINK]  = d.[LINK2] 
	WHERE H.[NEW_LINK] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK]  = sh.[NEW_LINK])

	--   
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''99991231'', 112)) AND @date BETWEEN S2.[DATE_BEGIN]  AND ISNULL(S2.[DATE_END] , CONVERT(DATETIME, ''99991231'', 112))
								OR S2.[DATE_BEGIN]  = S.[DATE_BEGIN] AND (S2.[DATE_END]  = S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END]  IS NULL))
							AND S2.[CODE] ' + @COLLATE + ' = S.[CODE] 
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON S2.[LINK_UP]= H2.[LINK] AND H2.[DEP_LINK]  = d.[LINK2]
	WHERE H.[NEW_LINK] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK]  = sh.[NEW_LINK])	
	
'	
EXEC SP_EXECUTESQL @SQL



---------------------------------- 
----    --
----------------------------------
SET @ERR_MSG = NULL


IF OBJECT_ID('tempdb..#person') IS NOT NULL DROP TABLE #person
CREATE TABLE #person ([LINK] INT, [FM] VARCHAR(100),[IM] VARCHAR(100), [OT] VARCHAR(100), [DOC_LINK] INT, [DOC_CODE] VARCHAR(2), [DOC_NUM] VARCHAR(20), [DOC_WHOM] VARCHAR(254), [DOC_DATE] DATETIME, [SNILS] VARCHAR(11), [INN] VARCHAR(12), [KLADR_LINK] INT, [KLADR_CODE_REAL] VARCHAR(19), [HOUSE_REAL] VARCHAR(10), [CORP_REAL] VARCHAR(5), [FLAT_REAL] VARCHAR(5), [ADR_OFIC_LINK] INT, [KLADR_CODE_OFIC] VARCHAR(19), [HOUSE_OFIC] VARCHAR(10), [DRIVER_DOC_NUM] VARCHAR(12), [DRIVER_KLASS] TINYINT, [GUID] UNIQUEIDENTIFIER, [LINK_NEW] INT)


SET @ERR_MSG = NULL
SET @SQL = 
N'
INSERT #person ([LINK],[FM],[IM],[OT],[DOC_CODE],[DOC_NUM],[DOC_WHOM],[DOC_DATE],[SNILS],[INN],[KLADR_CODE_REAL],[HOUSE_REAL],[CORP_REAL],[FLAT_REAL],[KLADR_CODE_OFIC],[HOUSE_OFIC],[DRIVER_DOC_NUM],[DRIVER_KLASS],[GUID])
SELECT [LINK],
	   [FM],
	   [IM],
	   [OT],
	   [DOC_CODE]= (SELECT TOP 1 code FROM dbo.face_document WHERE LINK = p.DOC_LINK),
	   [DOC_NUM],
	   [DOC_WHOM],
	   [DOC_DATE],
	   [SNILS] = left(ltrim(rtrim(p.INSUR_NUM)),11),
	   [INN],
	   [KLADR_CODE_REAL] = (select top 1 code from dbo.[KLADR] WHERE [LINK] = P.[ADR_REAL_LINK] ),
	   [HOUSE_REAL],
	   [CORP_REAL],
	   [FLAT_REAL],
	   [KLADR_CODE_OFIC] = (select top 1 code from dbo.[KLADR] WHERE [LINK] = p.[ADR_OFIC_LINK] ),
	   [HOUSE_OFIC],
	   [DRIVER_DOC_NUM],
	   [DRIVER_KLASS],
	   [GUID]  =  ISNULL([GUID],NEWID())
FROM dbo.person AS p
'	
EXEC SP_EXECUTESQL @SQL


SET @ERR_MSG = NULL
SET @SQL = 
N'
	--   GUID
	UPDATE T
	SET [LINK_NEW] = P.[LINK]
	FROM #person T
	JOIN '+@DB+'dbo.[PERSON] P ON P.[GUID]  = T.[GUID]
	join #DEPARTMENTS_SMETA_KS d on  p.link_dep = d.[LINK2] 
	WHERE T.[GUID] IS NOT NULL

	--   
	UPDATE T
	SET [LINK_NEW] = P.[LINK]
	FROM #person T
	JOIN '+@db+'dbo.[PERSON] P ON P.[INN] ' + @COLLATE + ' = T.[INN]
	join #DEPARTMENTS_SMETA_KS d on  p.link_dep = d.[LINK2]
	WHERE T.[LINK_NEW] IS NULL AND P.[INN] ' + @COLLATE + ' <> ''''

	--    
	UPDATE T
	SET [LINK_NEW] = P.[LINK]
	FROM #person T
	JOIN '+@db+'dbo.[PERSON] P ON REPLACE(REPLACE(P.[DOC_NUM] ' + @COLLATE + ', ''-'', ''''), '' '', '''') = REPLACE(REPLACE(T.[DOC_NUM], ''-'', ''''), '' '', '''')
	join #DEPARTMENTS_SMETA_KS d on  p.link_dep = d.[LINK2]
	WHERE T.[LINK_NEW] IS NULL AND REPLACE(REPLACE(P.[DOC_NUM] ' + @COLLATE + ', ''-'', ''''), '' '', '''') <> ''''
	
	--   
	UPDATE T
	SET [LINK_NEW] = P.[LINK]
	FROM #person T
	JOIN '+@db+'dbo.[PERSON] P ON LTRIM(RTRIM(P.[FM] ' + @COLLATE + ')) = T.[FM] AND LTRIM(RTRIM(P.[IM] ' + @COLLATE + '))= T.[IM] AND LTRIM(RTRIM(P.[OT] ' + @COLLATE + ')) = T.[OT]
	join #DEPARTMENTS_SMETA_KS d on  p.link_dep = d.[LINK2] 
	WHERE T.[LINK_NEW] IS NULL AND P.[FM] ' + @COLLATE + ' <> '''' AND P.[IM] ' + @COLLATE + ' <> ''''

	--   
	UPDATE T
	SET  [DOC_LINK] = D.[LINK]
		,[KLADR_LINK] = ISNULL(K1.[LINK], 0)
		,[ADR_OFIC_LINK] = ISNULL(K2.[LINK], 0)
	FROM #person T
	LEFT JOIN '+@db+'dbo.[FACE_DOCUMENT] D ON D.[CODE] ' + @COLLATE + ' =T.[DOC_CODE]
	LEFT JOIN '+@db+'dbo.[KLADR] K1 ON K1.[CODE] ' + @COLLATE + ' =T.[KLADR_CODE_REAL]
	LEFT JOIN '+@db+'dbo.[KLADR] K2 ON K2.[CODE] ' + @COLLATE + ' =T.[KLADR_CODE_OFIC]
	
	--  GUID
	UPDATE P
	SET [GUID] = T.[GUID]
	FROM dbo.[PERSON] P
	JOIN #person T ON P.[LINK] = T.[LINK]
	WHERE T.[GUID] IS NOT NULL AND P.[GUID] IS NULL

	--  GUID
	UPDATE P
	SET [GUID] = T.[GUID]
	FROM '+@db+'dbo.[PERSON] P
	JOIN #person T ON P.[LINK] = T.[LINK_NEW]
	WHERE T.[GUID] IS NOT NULL AND P.[GUID]  IS NULL
'	
EXEC SP_EXECUTESQL @SQL


SET @ERR_MSG = NULL
SET @SQL = 
N'
			--   
			UPDATE P
			SET  [FM] = T.[FM]
				,[IM] = T.[IM]
				,[OT] = T.[OT]
				,[DOC_LINK] = T.[DOC_LINK]
				,[DOC_NUM] = T.[DOC_NUM]
				,[DOC_WHOM] = T.[DOC_WHOM]
				,[DOC_DATE] = T.[DOC_DATE]
				,[SNILS] = T.[SNILS]
				,[INN] = T.[INN]
				,[KLADR_LINK] = T.[KLADR_LINK]
				,[HOUSE] = LEFT(T.[HOUSE_REAL], 8)
				,[CORP] = T.[CORP_REAL]
				,[FLAT] = LEFT(T.[FLAT_REAL], 4)
				,[ADR_OFIC_LINK] = T.[ADR_OFIC_LINK]
				,[HOUSE_OFIC] = T.[HOUSE_OFIC]
				,[DRIVER_DOC_NUMBER] = LEFT(T.[DRIVER_DOC_NUM], 10)
				,[DRIVER_CLASS] = T.[DRIVER_KLASS]
			FROM '+@db+'[dbo].[PERSON] P
			JOIN #person T ON P.[LINK] = T.[LINK_NEW]
			WHERE T.[LINK_NEW] IS NOT NULL

'	

EXEC SP_EXECUTESQL @SQL


SET @ERR_MSG = NULL
 

IF OBJECT_ID('tempdb..#PERSON_SNEW') IS NOT NULL DROP TABLE #PERSON_SNEW
CREATE TABLE #PERSON_SNEW ( [FM] VARCHAR(100),[IM] VARCHAR(100), [OT] VARCHAR(100), [DOC_LINK] INT, [DOC_CODE] VARCHAR(2), [DOC_NUM] VARCHAR(20), [DOC_WHOM] VARCHAR(254), [DOC_DATE] DATETIME, [SNILS] VARCHAR(11), [INN] VARCHAR(12), [KLADR_LINK] INT, [KLADR_CODE_REAL] VARCHAR(19), [HOUSE_REAL] VARCHAR(10), [CORP_REAL] VARCHAR(5), [FLAT_REAL] VARCHAR(5), [ADR_OFIC_LINK] INT, [KLADR_CODE_OFIC] VARCHAR(19), [HOUSE_OFIC] VARCHAR(10), LINK_DEP INT, [DRIVER_DOC_NUM] VARCHAR(12), [DRIVER_KLASS] TINYINT, [GUID] UNIQUEIDENTIFIER, [LINK_OLD] INT)


IF OBJECT_ID('tempdb..#tabLink') IS NOT NULL DROP TABLE #tabLink
CREATE TABLE #tabLink ([LINK_OLD] INT,[LINK_NEW] INT)

	

SET @ERR_MSG = NULL
SET @SQL = 
N'
	
	
		SELECT	 p.FM
				,p.IM
				,p.OT
				,p.DOC_LINK
				,p.DOC_NUM
				,p.DOC_WHOM
				,p.DOC_DATE
				,p.INN
				,p.KLADR_LINK
				,[HOUSE_REAL] = LEFT(p.HOUSE_REAL, 8)
				,p.CORP_REAL
				,FLAT_REAL = LEFT(p.FLAT_REAL, 4)
				,p.ADR_OFIC_LINK
				,p.HOUSE_OFIC
				,[LINK_DEP] = (select top 1 link2 from  #DEPARTMENTS_SMETA_KS )
				,DRIVER_DOC_NUM = LEFT(p.DRIVER_DOC_NUM, 10)
				,p.DRIVER_KLASS
				,p.SNILS
				,p.GUID
				,LINK_OLD = p.LINK
		INTO #PERSON_SNEW		 
		FROM #person  p 
			WHERE p.LINK_NEW IS NULL
		

		--   
			INSERT '+@DB+'dbo.[PERSON]([FM],[IM],[OT],[DOC_LINK],[DOC_NUM],[DOC_WHOM],[DOC_DATE],[INN],[KLADR_LINK],[HOUSE],[CORP],[FLAT],[ADR_OFIC_LINK],[HOUSE_OFIC],[LINK_DEP],[DRIVER_DOC_NUMBER],[DRIVER_CLASS],[SNILS],[GUID])
			SELECT
				 [FM]
				,[IM]
				,[OT]
				,[DOC_LINK]
				,[DOC_NUM]
				,[DOC_WHOM]
				,[DOC_DATE]
				,[INN]
				,[KLADR_LINK]
				,[HOUSE_REAL]
				,[CORP_REAL]
				,[FLAT_REAL]
				,[ADR_OFIC_LINK]
				,[HOUSE_OFIC]
				,p.[LINK_DEP]
				,[DRIVER_DOC_NUM]
				,[DRIVER_KLASS]
				,[SNILS]
				,[GUID]
			FROM #PERSON_SNEW  p
			
			INSERT #tabLink([LINK_OLD],[LINK_NEW])
			SELECT
				LINK_OLD =a.LINK_OLD, 
				LINK_NEW = b.link
			FROM #PERSON_SNEW a
			inner join '+@DB+'dbo.[PERSON] b on b.[GUID] = a.[GUID] 
				
				
			UPDATE H
			SET [LINK_NEW] = L.[LINK_NEW]
			FROM #person H
			JOIN #tabLink L ON H.[LINK] = L.[LINK_OLD]


'
EXEC SP_EXECUTESQL @SQL




---   PERSON    ,      
	SET @SQL = 
	N'
		CREATE table #REL_PERS (link int)
		INSERT INTO #REL_PERS
		SELECT DISTINCT link_table FROM '+ @DB +'dbo.ZP_RELATIONS_PERSON   

		delete from '+ @DB +'dbo.[PERSON]
				where link  not in (select LINK_NEW from #person)
				and link not in (select isnull(link,0) from #REL_PERS)	

		drop table #REL_PERS
		  
	'	
	EXEC SP_EXECUTESQL @SQL		


SET @ERR_MSG = NULL
SET @SQL = 
N'
			UPDATE P
			SET [LINK_NEW] = L.[LINK_NEW]
			FROM #person P
			JOIN #tabLink L ON P.[LINK] = L.[LINK_OLD]
'
EXEC SP_EXECUTESQL @SQL


------------------------------
-------------------------------



SET @ERR_MSG = NULL

IF OBJECT_ID('tempdb..#empl') IS NOT NULL DROP TABLE #empl
CREATE TABLE #empl([LINK] INT, [PERS_LINK] INT, [DEP_LINK] INT, [TAB] VARCHAR(10), [GUID] UNIQUEIDENTIFIER, [LINK_NEW] INT, [DEP_LINK_NEW] INT, [SACK] INT)

IF OBJECT_ID('tempdb..#emplPost') IS NOT NULL DROP TABLE #emplPost
CREATE TABLE #emplPost([EMPL_LINK] INT, [SUBDIV_LINK] INT, [POST_LINK] INT, [POST_NAME] VARCHAR(254), [DATE_BEGIN] DATETIME, [DATE_END] DATETIME , N int)
------------***************************************
SET @ERR_MSG = NULL
SET @SQL = 
N' 
INSERT #empl([LINK],[PERS_LINK],[DEP_LINK],[TAB],[GUID],[SACK])
select E.[LINK],E.[PERS_LINK],E.[DEP_LINK],E.[TAB],[GUID] = ISNULL(E.GUID,NEWID()), KU.SACK
from dbo.EMPL  E
INNER JOIN dbo.KU_EMPL_PLACING KU ON KU.LINK = E.LINK  /*where   status =1  */


		--       
;WITH T ([EMPL_LINK],[SUBDIV_LINK],[POST_LINK],[POST_NAME],[DATE_BEGIN],[DATE_END],[N]) AS
(
	SELECT
		 E.[LINK]
		,S.[SUBDIV_LINK]
		,S.[POST_LINK]
		,p.[NAME]
		,(CASE WHEN ROW_NUMBER() OVER(PARTITION BY E.[LINK],M.[STAFF_LINK] ORDER BY MIN(S.[DATE_BEGIN])) > 1 THEN MIN(S.[DATE_BEGIN]) ELSE MIN(M.[DATE_BEGIN]) END) as [DATE_BEGIN]
		,MAX(D.[DIS_DATE]) as [DATE_END]
		,ROW_NUMBER() OVER(PARTITION BY E.[LINK] ORDER BY MIN(m.[DATE_BEGIN]) desc)
	FROM #empl E 
	JOIN dbo.SA_ITEM_MOVE M ON E.[LINK] = M.[EMPL_LINK] AND M.[NEW_FACE] IN (0,1,2) AND M.[ACTIVE] = 1
	LEFT JOIN dbo.ITEM_DIS_FACE D ON E.[LINK] = D.[EMPL_LINK] AND D.[ACTIVE] = 1
	JOIN dbo.STAFF S ON M.[STAFF_LINK] = S.[LINK_UP] AND S.[DATE_END] > M.[DATE_BEGIN] AND M.[DATE_END3] > S.[DATE_BEGIN] AND (D.[DIS_DATE] IS NULL OR S.[DATE_BEGIN] < D.[DIS_DATE])
	join dbo.post p on p.link = S.[POST_LINK] 
	GROUP BY E.[LINK],M.[STAFF_LINK],S.[SUBDIV_LINK],S.[POST_LINK], p.name
)
INSERT #emplPost([EMPL_LINK],[SUBDIV_LINK],[POST_LINK],[POST_NAME],[DATE_BEGIN],[DATE_END], [N])
SELECT
	 T1.[EMPL_LINK]
	,T1.[SUBDIV_LINK]
	,T1.[POST_LINK]
	,t1.[POST_NAME]
	,T1.[DATE_BEGIN]
	,CASE WHEN T1.[N] = 1 THEN T1.[DATE_END] ELSE DATEADD(dd, -1, T2.[DATE_BEGIN]) END [DATE_END]
	,t1.N
FROM T T1
LEFT JOIN T T2 ON T1.[EMPL_LINK] = T2.[EMPL_LINK] AND T1.[N] = (T2.[N] + 1)
ORDER BY T1.[EMPL_LINK],T1.[DATE_BEGIN]
'	
EXEC SP_EXECUTESQL @SQL


SET @ERR_MSG = NULL
SET @SQL = 
N'
	
		UPDATE E
		SET [DEP_LINK_NEW] = D.[LINK2]
		FROM #empl E
		JOIN #DEPARTMENTS_SMETA_KS D ON E.[DEP_LINK] = D.[LINK1]
		
		delete from #empl where  [DEP_LINK_NEW] is null 
		--   GUID
		UPDATE T
		SET [LINK_NEW] = E.[LINK]
		FROM #empl T
		JOIN '+@DB+'dbo.[EMPL] E ON E.[GUID] = T.[GUID]
		WHERE T.[GUID] IS NOT NULL 
		and ltrim(rtrim(e.tab ' + @COLLATE + ')) = ltrim(rtrim(t.tab))

		--      GUID
		UPDATE E
		SET [TAB] = T.[TAB], [PERS_LINK] = T.[PERS_LINK]
		FROM '+@DB+'dbo.[EMPL] E
		JOIN #empl T ON E.[LINK] = T.[LINK_NEW]
		
		--      
		--          
		UPDATE T
		SET [LINK_NEW] = T2.[LINK] 
		FROM #empl T
		INNER JOIN DBO.KU_EMPL_PLACING KU ON T.LINK = ku.LINK  
		LEFT JOIN (SELECT LINK, DEP_LINK, TAB, FIO, NUM = ROW_NUMBER() OVER (PARTITION BY DEP_LINK, TAB, FIO ORDER BY LINK) FROM '+@DB+'dbo.v_empl) T2 ON 
		T.[DEP_LINK_NEW] = T2.[DEP_LINK]
		--left JOIN '+@DB+'dbo.[EMPL] E ON T.[DEP_LINK_NEW] = E.[DEP_LINK] AND T.[TAB] = E.[TAB]
		WHERE /* t.pers_link = 17166 and */  T2.NUM = 1 AND T2.[TAB] ' + @COLLATE + ' = T.[TAB] AND t2.fio ' + @COLLATE + ' = ku.fio AND T.[LINK_NEW] IS NULL AND T.[TAB] IS NOT NULL AND T.[TAB] <> ''''
	
	
		--    
		UPDATE T
		SET [LINK_NEW] = E.[LINK]
		FROM #empl T
		JOIN #person P ON T.[PERS_LINK] = P.[LINK]
		JOIN '+@DB+'dbo.[EMPL] E ON E.[DEP_LINK]  = T.[DEP_LINK_NEW]  AND E.[PERS_LINK] = P.[LINK_NEW] 
		WHERE T.[LINK_NEW] IS NULL and E.[TAB] ' + @COLLATE + ' = T.[TAB]

'	
EXEC SP_EXECUTESQL @SQL




SET @ERR_MSG = NULL
SET @SQL = 
N'

		update ep
		set post_link = (select top 1 link from #post where num = 1 and name = ep.post_name)
		from #emplPost ep where not exists( select * from #post where link = ep.post_link)
		
		DELETE E
		FROM #empl E
		JOIN #emplPost P ON E.[LINK] = P.[EMPL_LINK]
		LEFT JOIN #subdiv_head S ON P.[SUBDIV_LINK] = S.[LINK]
		LEFT JOIN #Post D ON P.[POST_LINK] = D.[LINK]
		WHERE S.[NEW_link] IS NULL OR D.[LINK_NEW] IS NULL

		--   
		DELETE E
		FROM '+@DB+'dbo.[EMPL_POST] E
		JOIN #empl T ON E.[LINK_UP] = T.[LINK_NEW]
'	
EXEC SP_EXECUTESQL @SQL


		--LEFT JOIN #subdiv_head S ON P.[SUBDIV_LINK] = S.[LINK]
		--LEFT JOIN #Post D ON P.[POST_LINK] = D.[LINK]
	---   EMPL    ,      
	SET @SQL = 
	N'
		CREATE table #REL_EMPL (link int)
		INSERT INTO #REL_EMPL
		 SELECT DISTINCT link_table FROM '+ @DB +'dbo.ZP_RELATIONS_EMPL  
				
		delete from '+ @DB +'dbo.[EMPL]
				where link not in (select LINK from #EMPL)
				and link not in (select link from #REL_EMPL)	
				and dep_link in (select link2 from #DEPARTMENTS_SMETA_KS) 
		drop table #REL_EMPL
		 
	'	


	EXEC SP_EXECUTESQL @SQL	


--------------------------------------
-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK INT, NEW_LINK INT )

CREATE TABLE #EXEC (text varchar(8000), id int identity(1,1))

SET @ERR_MSG = NULL
SET @SQL = 
	N'
				
		
		SELECT DISTINCT
			 P.[LINK_NEW]
			,E.[TAB]
			,E.[DEP_LINK_NEW]
			,E.[GUID]
			,link_old = E.link
			,E.[SACK]
		INTO #empl_snew 
		FROM #empl E
		inner JOIN #person P ON E.[PERS_LINK] = P.[LINK]
		WHERE E.[LINK_NEW] IS NULL AND E.[DEP_LINK_NEW] IS NOT NULL AND P.[LINK_NEW] IS NOT NULL AND E.[SACK] = 0
		order by P.[LINK_NEW],E.[TAB],E.[DEP_LINK_NEW],E.[GUID],E.link


		--       
		INSERT '+@DB+'dbo.[EMPL]([PERS_LINK],[TAB],[DEP_LINK],[PHONE_S],[PHONE_M],[EMAIL],[FIO],[COMMENT],[GUID])
		SELECT DISTINCT
			 E.[LINK_NEW]
			,E.[TAB]
			,E.[DEP_LINK_NEW]
			,''''
			,''''
			,''''
			,''''
			,''''
			,E.[GUID]
		FROM #empl_snew E

		INSERT #PROTOKOL (OP, LINK, NEW_LINK)
		SELECT
			''A'',
			link =s.LINK_OLD , 
			NEW_LINK = e1.link 
		FROM #empl e
		--INNER JOIN #person P ON E.[PERS_LINK] = P.[LINK]
		inner join '+@DB+'dbo.[EMPL] e1 on e1.[GUID]  = e.[GUID] 
		INNER JOIN #empl_snew s on s.[GUID]  = e1.[GUID] AND S.[SACK] = 0
		WHERE e.[LINK_NEW] IS NULL	
				
		--select * from #PROTOKOL
		UPDATE E
		SET [LINK_NEW] = L.[NEW_LINK]
		FROM #empl E
		JOIN #PROTOKOL L ON E.[LINK] = L.[LINK]


'	
EXEC SP_EXECUTESQL @SQL


	
INSERT INTO #EXEC ([text]) SELECT
	'
	
		---             (     ),     , 
		---              ,      
		delete 
			from #emplpost 
			where empl_link in (
								select min(ep.empl_link)
								from  #emplpost ep
								inner join #empl e on e.link = ep.empl_link  
								GROUP BY e.pers_link , DATE_BEGIN,DATE_END 
								having count(*)> 1 ) 
	
		--   
		INSERT '+@DB+'dbo.[EMPL_POST]([LINK_UP],[POST_LINK],[SUBDIV_LINK],[DATE_BEG],[DATE_END])
		SELECT DISTINCT
			 E.[LINK_NEW]
			,P.[LINK_NEW]
			,S.[NEW_link]
			,EP.[DATE_BEGIN]
			,EP.[DATE_END]
		FROM #empl E
		JOIN #emplPost EP ON EP.[EMPL_LINK] = E.[LINK]
		JOIN #Post P ON P.[LINK] = EP.[POST_LINK] 
		JOIN #subdiv_head S ON  S.[LINK] = EP.[SUBDIV_LINK]
		WHERE E.[LINK_NEW] IS NOT NULL AND P.[LINK_NEW] IS NOT NULL AND S.[NEW_link] IS NOT null 
		ORDER BY  E.[LINK_NEW] ,P.[LINK_NEW] ,S.[NEW_link] 	,EP.[DATE_BEGIN] ,EP.[DATE_END]
	'	
IF EXISTS (SELECT text FROM #EXEC)
EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB



END


GO


GRANT EXECUTE ON dbo.[SYNCH_KU_EMPL_PLACING] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_ST_NUMERATOR3]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_ST_NUMERATOR3]

GO

CREATE   PROCEDURE [dbo].SZV_ST_NUMERATOR3 (@link int)
AS

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @Year INT, @PER TINYINT, @MONTH_END TINYINT, @MONTH_BEG TINYINT, @INSUR1 NUMERIC(20,2), @GAIN1 NUMERIC(20,2)
SELECT @Year = YEAR_BEGIN, @PER = PER, @MONTH_END = MONTH_END, @INSUR1 = ISNULL(INSUR1,0),  @GAIN1 = ISNULL(GAIN1,0) FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link

DECLARE @PeriodBegin datetime, @PeriodEnd datetime

SET @MONTH_BEG = (CASE @PER WHEN 1 THEN 1 WHEN 2 THEN 4 WHEN 3 THEN 7 WHEN 4 THEN 10 END)
SET @MONTH_END = (CASE WHEN @MONTH_END < (@MONTH_BEG+3-1) THEN @MONTH_END ELSE (@MONTH_BEG+3-1) END)

SELECT @PeriodBegin = dbo.ConvertDMY2Date(1,@MONTH_BEG,@Year), @PeriodEnd = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH_END,@Year))

--   .   1  2  
CREATE TABLE #SPIS (LINK INT)
INSERT INTO #SPIS(LINK)
Select DISTINCT SV.link  from dbo.SZV_STAZH_svedenia SV inner join dbo.szv_ST_stazh ST on ST.link_up = SV.link
	where SV.link_up = @link 
		and ( coalesce(osob_k1,'') <> ''
			or coalesce(osob_k2,'') <> ''
		)
--and SV.link not in (select tbl.link from #TBL tbl)

SELECT * FROM #SPIS

--     
CREATE TABLE #LGOT (LINK INT)
INSERT INTO #LGOT(LINK)
Select DISTINCT SV.link  from dbo.SZV_STAZH_svedenia SV inner join dbo.szv_ST_stazh ST on ST.link_up = SV.link
	where SV.link_up = @link 
		and ( coalesce(osob_usl,'') <> ''
			or coalesce(is_osnov,'') <> ''
			or coalesce(ud_osnov,'') <> ''
			or (@Year >= 2010 AND coalesce(ter_usl,'') <> '')
		)

/*   */
UPDATE dbo.SZV_STAZH_SVEDENIA SET ORDERS = 0 WHERE link_up = @link

DECLARE @MAXNUM int, @Forma tinyint
SET @MAXNUM = dbo.sa_get_option_by_code('SA_SZV_STAZH_OPT1')

IF COALESCE(@MAXNUM,0) <=0
	SET @MAXNUM = 9999

declare @nextOrd int, @pachNum int, @newForm tinyint, @oldForm tinyint
Set @pachNum = Coalesce((select numer from dbo.szv_STAZH_pachka where link = @link),0) 
Set @pachNum = (case when @pachNum = 0 then 1 else @pachNum end)
Set @pachNum = COALESCE(@pachNum,0) + (CASE WHEN COALESCE(dbo.sa_get_option_by_code('SA_SZV_STAZH_OPT3'),0) = 1 THEN 1 ELSE 0 END)

CREATE TABLE #ORDERS (ID INT, LINK INT, FORMA tinyint, KATEG tinyint, LGT tinyint, SPIS tinyint, ORD INT)
INSERT INTO #ORDERS (LINK, FORMA, KATEG, LGT, SPIS)
Select 
	S.link, forma, 
	S.LINK_KATEG,
	LGT = 0 , --(CASE WHEN ISNULL(L.LINK,0) = 0 THEN 0 ELSE 1 END),
	SPIS = 0 -- (CASE WHEN ISNULL(P.LINK,0) = 0 THEN 0 ELSE 1 END)
from dbo.SZV_STAZH_SVEDENIA S
	--LEFT JOIN #LGOT L ON L.LINK = S.LINK     --         -    = 0
	--LEFT JOIN #SPIS P ON P.LINK = S.LINK	   --      
where link_up = @link
ORDER BY
	forma , 
	--(CASE WHEN ISNULL(L.LINK,0) = 0 THEN 0 ELSE 1 END),	
	--(CASE WHEN ISNULL(P.LINK,0) = 0 THEN 0 ELSE 1 END),
	dbo.ku_GetPersFIO(S.link_pers)


-- ,      
CREATE TABLE #ORDERS1 (ID1 INT IDENTITY(1,1), FORMA INT, KATEG INT, LGT INT, SPIS INT)

INSERT INTO #ORDERS1 (FORMA, KATEG, LGT, SPIS)
SELECT DISTINCT FORMA, KATEG, LGT, SPIS
FROM #ORDERS
ORDER BY FORMA, KATEG, LGT, SPIS		


UPDATE O
SET ID = ID1
FROM #ORDERS O INNER JOIN #ORDERS1 O1 ON O.FORMA = O1.FORMA AND O.KATEG = O1.KATEG AND O.LGT = O1.LGT AND O.SPIS = O1.SPIS


CREATE TABLE #ORDERS_N (ID INT, LINK INT, FORMA tinyint, KATEG tinyint, LGT tinyint, SPIS tinyint, ORD INT)
INSERT INTO #ORDERS_N (ID, LINK, FORMA, KATEG, LGT, SPIS, ORD)
SELECT ID, LINK, FORMA, KATEG, LGT, SPIS, ORD FROM #ORDERS ORDER BY ID

--   
DECLARE @ORD INT, @ID INT
SELECT @ORD = 0, @ID = 0

UPDATE #ORDERS_N
SET
	@ORD = CASE WHEN @ID <> ID THEN 1 ELSE @ORD + 1 END,
	ORD = @ORD,
	@ID = ID

--  
CREATE TABLE #ORDERS2 (ID1 INT IDENTITY(1,1), FORMA INT, KATEG INT, LGT INT, SPIS INT, PART INT )

INSERT INTO #ORDERS2 (FORMA, KATEG, LGT, SPIS, PART)	
SELECT DISTINCT FORMA, KATEG, LGT, SPIS, PART = CEILING(CAST(ord AS FLOAT) /@MAXNUM)
FROM #ORDERS_N
ORDER BY FORMA, KATEG, LGT, SPIS, CEILING(CAST(ord AS FLOAT) /@MAXNUM)



UPDATE O
SET ID = ID1
FROM #ORDERS_N O INNER JOIN #ORDERS2 O1 
	ON O.FORMA = O1.FORMA 
		AND O.KATEG = O1.KATEG
		AND O.LGT = O1.LGT 
		AND O.SPIS = O1.SPIS 
		AND CEILING(CAST(O.ord AS FLOAT) /@MAXNUM) = O1.PART


UPDATE S
Set 
	PACHKA = T.ID + @pachNum - 1,
	orders = (T.ord-1) % @MAXNUM + 1--,
from dbo.SZV_STAZH_SVEDENIA S inner join #ORDERS_N T on S.link = T.link
WHERE S.link_up = @link




GO


GRANT EXECUTE ON dbo.[SZV_ST_NUMERATOR3] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_SZVM_EXPORT_v2_56]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_SZVM_EXPORT_v2_56]

GO

/*EXEC dbo.BK_SELECT_EXPORT_FORMAT 2486*/
/*exec [dbo].[SA_SZVM_EXPORT_v2_40]       42451*/
CREATE      PROCEDURE [dbo].SA_SZVM_EXPORT_v2_56 ( @Link int /*  */ )
AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))


INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))),
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1) +'.'
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)+ '.'
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------


DECLARE @LINK_DEP INT, @YEAR INT, @Version TINYINT, @Period_Number TINYINT, @LINK_FORM INT,
		@Begin_Date DATETIME, @End_Date DATETIME, @modify_date DATETIME
SELECT
	@LINK_DEP = LINK_ORGANIZATION,
	@YEAR = YEAR(Begin_Date),
	@Version = [Version],
	@Period_Number = Period_Number,
	@LINK_FORM = LINK_FORM,
	@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
	@End_Date = Begin_Date,
	@modify_date = modify_date
FROM dbo.REPORT_SAVED_FORMS
WHERE LINK_SAVED_FORM = @link


DECLARE
	@first_month_of_quarter TINYINT,
	@second_month_of_quarter TINYINT,
	@third_month_of_quarter TINYINT

IF @Period_Number = 1
	SELECT @first_month_of_quarter = 1, @second_month_of_quarter = 2, @third_month_of_quarter = 3
IF @Period_Number = 2
	SELECT @first_month_of_quarter = 4, @second_month_of_quarter = 5, @third_month_of_quarter = 6
IF @Period_Number = 3
	SELECT @first_month_of_quarter = 7, @second_month_of_quarter = 8, @third_month_of_quarter = 9
IF @Period_Number = 4
	SELECT @first_month_of_quarter = 10, @second_month_of_quarter = 11, @third_month_of_quarter = 12

SELECT  @first_month_of_quarter = ISNULL(@first_month_of_quarter,1), @second_month_of_quarter = ISNULL(@second_month_of_quarter,2), @third_month_of_quarter = ISNULL(@third_month_of_quarter,3)


SELECT top 1
	DD1.OKPO AS OKPO1,
	DD1.INN AS INN1, DD1.KPP AS KPP1,
	FULL_NAME = UPPER(DD1.FULL_NAME),
	UPPER(DD1.NAME) AS ORGNAME,
	DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME,
	DD2.NALOG AS SONO,
	DD1.OGRN AS OGRN1,
	LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A)))
		+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE  ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
		+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
	AS ADDR_STR,
	CAST(NULL AS DATETIME) AS DATE_END,
	UPPER(RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.') AS CHIEF_FIO,
	CHIEF.FM as CHIEF_FM,
	CHIEF.IM as CHIEF_IM,
	CHIEF.OT as CHIEF_OT,
	RTRIM(CHIEF.PHONE) AS CH_PHONE,
	UPPER(RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.') AS GLBUH_FIO,
	RTRIM(GLBUH.PHONE) AS GL_PHONE,
	DD1.OGRN,
	DD1.OKATO,
	DD1.OKTMO,
	DD1.OKVED,
	DD1.OKPO,
	DD1.FSS_REG_NUM, --  ()  
	DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
	DD1.FSS_KOD_DOP, --      
	DD1.OKOPF, ---    - ;
	DD1.OKFS, ---     ;
	PFNUMBER = ltrim(rtrim(DD1.PFNUMBER)),
	DA.PINDEX, REGION = UPPER(DA.REGION), DA.REGCODE, RAION = UPPER(DA.RAION), GOROD = UPPER(DA.GOROD),
	NASEL = UPPER(DA.NASEL), STREET = UPPER(DA.STREET), DA.HOUSE, DA.KORP, DA.FLAT,
	TFOMS_RNUM = DD1.TFOMS_REG_NUM,
	TFOMS_KT = DD1.TFOMS_KT,
	TaxType = DD1.FSS_KP_PC1,
	TaxType2 = DD1.FSS_KP_PC2,
	TaxType3 = DD1.FSS_KP_PC3
INTO #DEP_DATA	
FROM DICTIONARY_DEPARTMENT DD1
	LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, '') chief on chief.link_dep = dd1.link
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, ' ') GLBUH ON GLBUH.link_dep = dd1.link
	LEFT JOIN DBO.DEP_ADRESS(@LINK_DEP) DA ON 1=1
WHERE DD1.LINK = @LINK_DEP

/*exec [dbo].[SA_SZVM_EXPORT_v2_52]        3189*/

DECLARE @TYPE_FORM VARCHAR(5), @KORR_TYPE INT
SELECT @TYPE_FORM = ISNULL(dbo.RN_GET_ATR_VALUE(@LINK, 'REPORTS_ATR_TYPE_KORR'),'')

SET @KORR_TYPE = CASE WHEN @TYPE_FORM = '' THEN 1 WHEN @TYPE_FORM = '' THEN 2 ELSE 3 end
--SET @NumDot = CASE WHEN ISNUMERIC(@NumDotC) =1 THEN CONVERT(INT,@NumDotC) ELSE 0 END

DECLARE @Cur0 CURSOR, @TAB_NUM TINYINT, @TAB_NAME VARCHAR(254), @Cur CURSOR, @Cur1 CURSOR, @NUM INT, @BLOK_NAME VARCHAR(254), @RAZDEL_NUM TINYINT, @RAZDEL_NAME VARCHAR(254)

DECLARE @lcFNAME varchar(254),
		@lcFidNAME VARCHAR(254),
        @GUID UNIQUEIDENTIFIER
SET @GUID = NEWID()


SELECT @lcFNAME ='_'+ PFNUMBER + '_'+LEFT(REPLACE(PFNUMBER,'-',''),6)+'_-_' + CONVERT(VARCHAR(8),ltrim(rtrim(replace(convert(varchar(10),@modify_date,102),'.',''))))  + '_'+ltrim(rtrim(@GUID))+'.XML' FROM #DEP_DATA
SELECT @lcFidNAME ='_'+ PFNUMBER + '_'+LEFT(REPLACE(PFNUMBER,'-',''),6)+'_-_' + CONVERT(VARCHAR(8),ltrim(rtrim(replace(convert(varchar(10),@modify_date,102),'.',''))))  + '_'+ltrim(rtrim(@GUID))+'' FROM #DEP_DATA

--SELECT convert(varchar(10),@modify_date,104)



INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, 'UTF-8' -- 
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8"?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://./" xmlns:2="http://.//2017-01-01">'
UNION ALL SELECT @lcFNAME, SPACE(1) + '<->'



/**  **/
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+convert(char(1),@KORR_TYPE)+'</>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'

		UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+RTRIM(LTRIM(PFNUMBER))+'</>' FROM #DEP_DATA
		UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+RTRIM(LTRIM(ORGNAME))+'</>' FROM #DEP_DATA
		UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+RTRIM(LTRIM(COALESCE(INN1,'')))+'</>' FROM #DEP_DATA
		UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+RTRIM(LTRIM(KPP1))+'</>' FROM #DEP_DATA
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
		UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+RTRIM(LTRIM(CONVERT(char(2),month(@End_Date))))+'</>' 
		UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+CONVERT(VARCHAR(4),@YEAR)+'</>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	
--  /**  I **/



CREATE TABLE #TAB_1 (NUM_PP  INT identity(1,1) , FIO VARCHAR(254),FM VARCHAR(100), IM VARCHAR(100) , OT VARCHAR(100),  INSUR_NUM VARCHAR(15), INN VARCHAR(12))

CREATE TABLE #TEMP_1 (ROW_CODE VARCHAR(10), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
INSERT INTO #TEMP_1  (ROW_CODE, COL, SUMMA, STR_VAL)
SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, DEFAULT, DEFAULT) T ORDER BY T.COL , t.ROW_CODE


INSERT INTO #TAB_1 ( FIO, FM, IM, OT, INSUR_NUM, INN)
SELECT DISTINCT
	--NUM_PP = (SELECT TOP 1 ROW_CODE FROM #TEMP_1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
	FIO = (SELECT TOP 1 STR_VAL FROM #TEMP_1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
	FM = (SELECT TOP 1 left(STR_VAL, PATINDEX ( '% %' , STR_VAL)) FROM #TEMP_1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
	IM = (SELECT TOP 1 SUBSTRING(STR_VAL,PATINDEX ( '% %' ,STR_VAL)+1,PATINDEX ( '% %' ,SUBSTRING(STR_VAL,PATINDEX ( '% %' ,STR_VAL)+1,LEN(STR_VAL)-PATINDEX ( '% %' ,STR_VAL)+1)))  FROM #TEMP_1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
	OT = (SELECT TOP 1 SUBSTRING(SUBSTRING(STR_VAL,PATINDEX ( '% %' ,STR_VAL)+1,LEN(STR_VAL)-PATINDEX ( '% %' ,STR_VAL)+1), PATINDEX('% %', SUBSTRING(STR_VAL,PATINDEX ( '% %' ,STR_VAL)+1,LEN(STR_VAL)-PATINDEX ( '% %' ,STR_VAL)+1)), LEN(SUBSTRING(STR_VAL,PATINDEX ( '% %' ,STR_VAL)+1,LEN(STR_VAL)-PATINDEX ( '% %' ,STR_VAL)+1))) FROM #TEMP_1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
	INSUR_NUM = (SELECT TOP 1 STR_VAL FROM #TEMP_1 T WHERE T.COL = 3 AND T.ROW_CODE = T1.ROW_CODE),
	INN = (SELECT TOP 1 STR_VAL FROM #TEMP_1 T WHERE T.COL = 4 AND T.ROW_CODE = T1.ROW_CODE)
FROM
	#TEMP_1 T1 


DECLARE  @DEP_LINK1 INT , @ID1 INT /* */ , @nYear int, @nMonth int
set @ID1 = 0
--SET @nYear = year(@dDate1)
--set @nMonth = month(@dDate1)


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @lcFNAME, SPACE(2) + '<>' 

SET @Cur1 = CURSOR FORWARD_ONLY
FOR select NUM_PP from #TAB_1  ORDER BY NUM_PP
	
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @ID1

	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME,SPACE(3) + '< ="'+RTRIM(LTRIM(STR(@ID1)))+'">' + CHAR(13) + CHAR(10)
								+ SPACE(4) + '<>' + CHAR(13) + CHAR(10)
									+ SPACE(5) + '<:>'+ RTRIM(LTRIM(COALESCE(FM,''))) +'</:>' + CHAR(13) + CHAR(10)
									+ SPACE(5) + '<:>'+RTRIM(LTRIM(COALESCE(IM,'')))+'</:>' + CHAR(13) + CHAR(10)
									+ SPACE(5) + '<:>'+ RTRIM(LTRIM(COALESCE(OT,''))) +'</:>' + CHAR(13) + CHAR(10)
								+ SPACE(4) + '</>' + CHAR(13) + CHAR(10)
								+ SPACE(4) + '<>'+ RTRIM(LTRIM(COALESCE(INSUR_NUM,''))) +'</>' + CHAR(13) + CHAR(10)
								+ SPACE(4) + (CASE WHEN COALESCE(INN,'') = '' THEN  '' 
										 WHEN len(COALESCE(INN,'')) <> 12  THEN    '' 
										 else '<>'+RTRIM(LTRIM(INN))+'</>' END )	 + CHAR(13) + CHAR(10)
						 + SPACE(3) + '</>'  
				FROM
					#TAB_1
				WHERE 
					NUM_PP = @ID1 
	
		END
		
		FETCH NEXT FROM @Cur1 INTO @ID1



	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	--exec [dbo].[SA_SZVM_EXPORT_v2_52]       42451

	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(2) + '</>'
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(2) + '<>'+CONVERT(VARCHAR(10),ltrim(rtrim(replace(convert(varchar(10),@modify_date,126),'.',''))))+'</>'
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(1) + '</->'
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @lcFNAME, SPACE(1) + '<>'
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @lcFNAME, SPACE(2) + '<:GUID>'+RTRIM(LTRIM(COALESCE(@GUID,'')))+'</:GUID>' + CHAR(13) + CHAR(10)
				   + SPACE(2) + '<:>'+CONVERT(VARCHAR(25),ltrim(rtrim(replace(convert(varchar(19),GETDATE(),126 ),'.','')+'+03:00')))+'</:>' + CHAR(13) + CHAR(10)
				   + SPACE(2) + '<2:>'+ @NAME_PROG +' ' + @VERS_PROG +'</2:>' + CHAR(13) + CHAR(10)
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @lcFNAME, SPACE(1) + '</>'

	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(0) + '</>'



SET NOCOUNT OFF


select * from #OUTPUT order by [ID]











GO


GRANT EXECUTE ON dbo.[SA_SZVM_EXPORT_v2_56] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_PACHKA_RASPIL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_PACHKA_RASPIL]

GO

CREATE PROCEDURE [dbo].SS_SZV_ST_PACHKA_RASPIL (@link INT, @SPOSOB INT = 2)
AS

DECLARE @PERIOD_BEG DATETIME, @PERIOD_END DATETIME, @DEP_LINK INT, @Y INT, @M TINYINT, @PER TINYINT, @LINK_SELF2 INT, @Y_PREV INT
DECLARE @SUM_UPLATA_DOLGA_STR NUMERIC(18,2), @SUM_UPLATA_DOLGA_NAK NUMERIC(18,2)

SELECT @DEP_LINK = LINK_DEP, @Y = YEAR_BEGIN, @M = MONTH_END, @PER = PER, 
		@PERIOD_BEG = DBO.ConvertDMY2Date(1,1,YEAR_BEGIN), @PERIOD_END = DATE, @LINK_SELF2 = LINK_SELF2, @Y_PREV = YEAR_BEGIN-1,
		@SUM_UPLATA_DOLGA_STR = ISNULL(SUM_UPLATA_DOLGA_STR,0), @SUM_UPLATA_DOLGA_NAK = ISNULL(SUM_UPLATA_DOLGA_NAK,0)
FROM DBO.SZV_STAZH_PACHKA 
WHERE LINK = @LINK

DECLARE @PERIOD_END2 DATETIME
SET @PERIOD_END2 = DBO.DATEENDOFMONTH(DBO.ConvertDMY2Date(1,@M,@Y))

---1. ,          
CREATE TABLE #PACHKI (LINK INT)
INSERT INTO #PACHKI(LINK)
VALUES(@LINK)

WHILE EXISTS(
			SELECT P.LINK_SELF
			FROM 
				DBO.SZV_STAZH_PACHKA P 
				INNER JOIN DBO.SZV_STAZH_PACHKA P2 ON P2.LINK = P.LINK_SELF
			WHERE EXISTS (SELECT * FROM #PACHKI P1 WHERE P1.LINK = P.LINK)
				AND NOT EXISTS (SELECT * FROM #PACHKI P1 WHERE P1.LINK = P.LINK_SELF)
				AND P2.YEAR_BEGIN = @Y AND P2.MONTH_END < @M
			)
BEGIN			

	INSERT INTO #PACHKI(LINK)
	SELECT P.LINK_SELF
	FROM 
		DBO.SZV_STAZH_PACHKA P 
		INNER JOIN DBO.SZV_STAZH_PACHKA P2 ON P2.LINK = P.LINK_SELF
	WHERE EXISTS (SELECT * FROM #PACHKI P1 WHERE P1.LINK = P.LINK)
		AND NOT EXISTS (SELECT * FROM #PACHKI P1 WHERE P1.LINK = P.LINK_SELF)
		AND P2.YEAR_BEGIN = @Y AND P2.MONTH_END < @M
END

--- 2.         
CREATE TABLE #UPLATA_ALL (LINK_UP INT, MON TINYINT, SUM_STR NUMERIC(18,2), SUM_NAK NUMERIC(18,2))
INSERT INTO #UPLATA_ALL (LINK_UP, MON, SUM_STR, SUM_NAK)
SELECT 
	S.LINK_UP, S.MON, SUM(S.SUM_STR), SUM(S.SUM_NAK) 
FROM
	DBO.SZV_stazh_PLAT S 
WHERE 
	LINK_UP = @LINK
GROUP BY
	S.LINK_UP, S.MON

---3.        
CREATE TABLE #PERIOD (M INT, Y INT)

INSERT INTO #PERIOD (M,Y)
SELECT M, Y FROM DBO.months_ex(@PERIOD_BEG, @PERIOD_END2)

---           
CREATE TABLE #NACHISL (
	LINK_UP INT, NUM_Q TINYINT, LINK INT,  
	n_sum_str NUMERIC(18,2), n_sum_nak NUMERIC(18,2), 
	p_sum_str NUMERIC(18,2), p_sum_nak NUMERIC(18,2),
	p_sum_str_new NUMERIC(18,2), p_sum_nak_new NUMERIC(18,2))

---	
INSERT INTO #NACHISL (LINK_UP, NUM_Q, LINK, n_sum_str, n_sum_nak, p_sum_str, p_sum_nak)
SELECT 
	link_up, PER, S.LINK, sum_doh, sum_nak, sum_str, sum_dop
FROM 
	#PACHKI P 
	INNER JOIN dbo.SZV_stazh_PACHKA H ON H.LINK = P.LINK
	INNER JOIN dbo.SZV_stazh_SVEDENIA S ON P.LINK = S.LINK_UP

---
CREATE TABLE #QUARTER (NUM_Q TINYINT, MON_BEG TINYINT, MON_END TINYINT)
INSERT INTO #QUARTER (NUM_Q, MON_BEG, MON_END)
SELECT 
	CASE M 
		WHEN 1 THEN 1 WHEN 2 THEN 1 WHEN 3 THEN 1
		WHEN 4 THEN 2 WHEN 5 THEN 2 WHEN 6 THEN 2
		WHEN 7 THEN 3 WHEN 8 THEN 3 WHEN 9 THEN 3				
		ELSE 4
	END,
	MIN(M), MAX(M) 
FROM DBO.months_ex(@PERIOD_BEG, @PERIOD_END2)
GROUP BY
	(CASE M 
		WHEN 1 THEN 1 WHEN 2 THEN 1 WHEN 3 THEN 1
		WHEN 4 THEN 2 WHEN 5 THEN 2 WHEN 6 THEN 2
		WHEN 7 THEN 3 WHEN 8 THEN 3 WHEN 9 THEN 3				
		ELSE 4
	END)	

---  
CREATE TABLE #UPLATA_Q (NUM TINYINT, SUM_STR NUMERIC(18,2), SUM_NAK NUMERIC(18,2))
INSERT INTO #UPLATA_Q (NUM, SUM_STR, SUM_NAK)
SELECT 
	Q.NUM_Q, P_SUM_STR = SUM(P.SUM_STR), P_SUM_NAK = SUM(P.SUM_NAK)
FROM 
	#QUARTER Q
	INNER JOIN #UPLATA_ALL P ON P.MON BETWEEN Q.MON_BEG AND Q.MON_END
GROUP BY
	Q.NUM_Q

---  	
CREATE TABLE #NACHISL_Q (NUM TINYINT, SUM_STR NUMERIC(18,2), SUM_NAK NUMERIC(18,2))
INSERT INTO #NACHISL_Q (NUM, SUM_STR, SUM_NAK)
SELECT 
	N.NUM_Q,
	N_SUM_STR = SUM(N.N_SUM_STR), N_SUM_NAK = SUM(N.N_SUM_NAK)
FROM 
	#NACHISL N
GROUP BY
	N.NUM_Q


DECLARE @UPLATA_STR NUMERIC(18,2), @UPLATA_NAK NUMERIC(18,2)
CREATE TABLE #UPLATA_QY (NUM TINYINT, SUM_STR NUMERIC(18,2), SUM_NAK NUMERIC(18,2))
DECLARE @Cur1 CURSOR, @NUM TINYINT

IF @SPOSOB = 2
BEGIN
	---   ,    
	SET @UPLATA_STR = ISNULL((SELECT SUM(SUM_STR) FROM #UPLATA_Q),0)
	SET @UPLATA_NAK = ISNULL((SELECT SUM(SUM_NAK) FROM #UPLATA_Q),0)

	SET @Cur1 = CURSOR FORWARD_ONLY

	FOR SELECT NUM_Q FROM #QUARTER ORDER BY NUM_Q

	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @NUM
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN

			INSERT INTO #UPLATA_QY (NUM, SUM_STR, SUM_NAK)
			SELECT 
				NUM,
				CASE WHEN SUM_STR <= @UPLATA_STR THEN SUM_STR ELSE @UPLATA_STR END,
				CASE WHEN SUM_NAK <= @UPLATA_NAK THEN SUM_NAK ELSE @UPLATA_NAK END
			FROM #NACHISL_Q 
			WHERE NUM = @NUM

			SET @UPLATA_STR = @UPLATA_STR - ISNULL((SELECT SUM(SUM_STR) FROM #UPLATA_QY WHERE NUM = @NUM),0)
			SET @UPLATA_NAK = @UPLATA_NAK - ISNULL((SELECT SUM(SUM_NAK) FROM #UPLATA_QY WHERE NUM = @NUM),0)		
	
		END

		FETCH NEXT FROM @Cur1 INTO @NUM
	END

	CLOSE @Cur1
	DEALLOCATE @Cur1

	DELETE FROM #UPLATA_Q
	INSERT INTO #UPLATA_Q(NUM, SUM_STR, SUM_NAK)
	SELECT NUM, SUM_STR, SUM_NAK FROM #UPLATA_QY
	
END

--IF @SPOSOB = 3
--BEGIN
--	---   ,    
--	DELETE FROM #UPLATA_Q WHERE NUM <> @PER	
--END		

---
CREATE TABLE #KOEF_UPL (NUM_Q TINYINT, KU_STR NUMERIC(18,16), KU_NAK NUMERIC(18,16))	
INSERT INTO #KOEF_UPL (NUM_Q, KU_STR, KU_NAK)
SELECT 
	Q.NUM, 
	KU_STR = ISNULL(CONVERT(NUMERIC(18,16),
			CASE WHEN (CASE WHEN ISNULL(N.SUM_STR,0) > 0 THEN ISNULL(P.SUM_STR,0) / ISNULL(N.SUM_STR,0) ELSE 0 END) < 1 OR @SPOSOB = 3 THEN
				CASE WHEN ISNULL(N.SUM_STR,0) > 0 THEN ISNULL(P.SUM_STR,0) / ISNULL(N.SUM_STR,0) ELSE 0 END
			ELSE 1 END),0), 
	KU_NAK =ISNULL(CONVERT(NUMERIC(18,16), 
			CASE WHEN (CASE WHEN ISNULL(N.SUM_NAK,0) > 0 THEN ISNULL(P.SUM_NAK,0) / ISNULL(N.SUM_NAK,0) ELSE 0 END) < 1 OR @SPOSOB = 3  THEN
				CASE WHEN ISNULL(N.SUM_NAK,0) > 0 THEN ISNULL(P.SUM_NAK,0) / ISNULL(N.SUM_NAK,0) ELSE 0 END
			ELSE 1 END),0)		
FROM
	(SELECT DISTINCT NUM = NUM_Q FROM #QUARTER) Q
	LEFT JOIN #UPLATA_Q P ON P.NUM = Q.NUM
	LEFT JOIN #NACHISL_Q N ON N.NUM = Q.NUM

IF @SPOSOB = 3
	---   ,    
	UPDATE #KOEF_UPL SET KU_STR = 1, KU_NAK = 1 WHERE NUM_Q <> @PER	

--       . 
UPDATE N SET
	p_sum_str = CASE WHEN @PER = N.NUM_Q THEN 0 ELSE p_sum_str END,
	p_sum_nak = CASE WHEN @PER = N.NUM_Q THEN 0 ELSE p_sum_nak END,
	p_sum_str_new = N_SUM_STR * K.KU_STR, --(CASE WHEN N_SUM_STR > 0 THEN K.KU_STR ELSE 1 END),
	p_sum_nak_new = N_SUM_NAK * K.KU_NAK --(CASE WHEN N_SUM_NAK > 0 THEN K.KU_NAK ELSE 1 END)
FROM
	#NACHISL N
	INNER JOIN #KOEF_UPL K ON N.NUM_Q = K.NUM_Q

--     
UPDATE SV SET 
	SV.SUM_STR = ISNULL(N.P_SUM_STR_NEW,0),
	SV.SUM_DOP = ISNULL(N.P_SUM_NAK_NEW,0)
FROM 
	SZV_stazh_SVEDENIA SV
	INNER JOIN #NACHISL N ON N.LINK = SV.LINK
WHERE
	SV.LINK_UP = @LINK

--     
CREATE TABLE #UPLATA_PREV (LINK_PERS INT, FORMA TINYINT, SUM_STR NUMERIC(18,2), SUM_NAK NUMERIC(18,2))
IF @SPOSOB <> 3 
BEGIN

	INSERT INTO #UPLATA_PREV (LINK_PERS, FORMA, SUM_STR, SUM_NAK)
	SELECT 
		SV.LINK_PERS, SV.FORMA, SUM_STR = SUM(P_SUM_STR_NEW - P_SUM_STR), SUM_NAK = SUM(P_SUM_NAK_NEW - P_SUM_NAK)
	FROM 
		dbo.SZV_stazh_SVEDENIA SV
		INNER JOIN #NACHISL N ON N.LINK = SV.LINK
	WHERE
		SV.LINK_UP <> @LINK
	GROUP BY
		SV.LINK_PERS, SV.FORMA

	UPDATE S SET 
		S.SUM_STR = S.SUM_STR + P.SUM_STR,
		S.SUM_DOP = S.SUM_DOP + P.SUM_NAK
	FROM 
		dbo.SZV_stazh_SVEDENIA S
		INNER JOIN (SELECT LINK_PERS, FORMA, LINK = MIN(LINK) FROM dbo.SZV_stazh_SVEDENIA WHERE LINK_UP = @LINK GROUP BY LINK_PERS, FORMA) S1 ON S.LINK_PERS = S1.LINK_PERS AND S.FORMA = S1.FORMA AND S.LINK = S1.LINK
		INNER JOIN #UPLATA_PREV P ON P.LINK_PERS = S.LINK_PERS AND P.FORMA = S.FORMA
END		

--       
CREATE TABLE #PEREPLATA (LINK_PERS INT, FORMA TINYINT, SUM_STR NUMERIC(18,2), SUM_NAK NUMERIC(18,2))
INSERT INTO #PEREPLATA (LINK_PERS, FORMA, SUM_STR, SUM_NAK)
SELECT 
	LINK_PERS, SV.FORMA,
	SUM_STR = CASE WHEN SUM(SUM_STR) - SUM(SUM_DOH) > 0 THEN SUM(SUM_STR) - SUM(SUM_DOH) ELSE 0 END, 
	SUM_NAK = CASE WHEN SUM(SUM_DOP) - SUM(SUM_NAK) > 0 THEN SUM(SUM_DOP) - SUM(SUM_NAK) ELSE 0 END
FROM
	#PACHKI p
	INNER JOIN dbo.SZV_stazh_SVEDENIA SV ON SV.LINK_UP = P.LINK
	INNER JOIN #NACHISL N ON N.LINK = SV.LINK
GROUP BY
	LINK_PERS, SV.FORMA
HAVING
	SUM(SUM_STR) - SUM(SUM_DOH) > 0 OR SUM(SUM_DOP) - SUM(SUM_NAK) > 0

--  
UPDATE SV SET 
	SV.SUM_STR = ISNULL(SV.SUM_STR,0) - ISNULL(P.SUM_STR,0),
	SV.SUM_DOP = ISNULL(SV.SUM_DOP,0) - ISNULL(P.SUM_NAK,0)
FROM 
	SZV_stazh_SVEDENIA SV
	INNER JOIN #PEREPLATA P ON P.LINK_PERS = SV.LINK_PERS AND P.FORMA = SV.FORMA
WHERE
	SV.LINK_UP = @LINK	

--        
CREATE TABLE #NEDOPLATA (LINK_PERS INT, FORMA TINYINT, SUM_STR NUMERIC(18,2), SUM_NAK NUMERIC(18,2))
INSERT INTO #NEDOPLATA (LINK_PERS, FORMA, SUM_STR, SUM_NAK)
SELECT 
	LINK_PERS, SV.FORMA,
	SUM_STR = CASE WHEN SUM(SUM_DOH) - SUM(SUM_STR) > 0 THEN SUM(SUM_DOH) - SUM(SUM_STR) ELSE 0 END, 
	SUM_NAK = CASE WHEN SUM(SUM_NAK) - SUM(SUM_DOP) > 0 THEN SUM(SUM_NAK) - SUM(SUM_DOP) ELSE 0 END
from
	#PACHKI p
	INNER JOIN dbo.SZV_stazh_SVEDENIA SV ON SV.LINK_UP = P.LINK
	INNER JOIN #NACHISL N ON N.LINK = SV.LINK
GROUP BY
	LINK_PERS, SV.FORMA
HAVING
	SUM(SUM_DOH) - SUM(SUM_STR) > 0 OR SUM(SUM_NAK) - SUM(SUM_DOP) > 0
	
--  
DECLARE @PEREPLATA_SUM_STR NUMERIC(18,2), @PEREPLATA_SUM_NAK NUMERIC(18,2)
DECLARE @NEDOPLATA_SUM_STR NUMERIC(18,2), @NEDOPLATA_SUM_NAK NUMERIC(18,2)
DECLARE @LINK_PERSON INT, @FORMA TINYINT

SET @PEREPLATA_SUM_STR = ISNULL((SELECT SUM(SUM_STR) FROM #PEREPLATA),0)
SET @PEREPLATA_SUM_NAK = ISNULL((SELECT SUM(SUM_NAK) FROM #PEREPLATA),0)


DECLARE @Cur2 CURSOR

SET @Cur2 = CURSOR FORWARD_ONLY

FOR SELECT DISTINCT LINK_PERS, FORMA FROM #NEDOPLATA

OPEN @Cur2
FETCH NEXT FROM @Cur2 INTO @LINK_PERSON,@FORMA
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		UPDATE #NEDOPLATA
		SET 
			SUM_STR = CASE WHEN @PEREPLATA_SUM_STR > 0 THEN 
							CASE WHEN SUM_STR > @PEREPLATA_SUM_STR THEN @PEREPLATA_SUM_STR ELSE SUM_STR END
						ELSE 0 END,
			SUM_NAK = CASE WHEN @PEREPLATA_SUM_NAK > 0 THEN 
							CASE WHEN SUM_NAK > @PEREPLATA_SUM_NAK THEN @PEREPLATA_SUM_NAK ELSE SUM_NAK END
						ELSE 0 END
		WHERE
			LINK_PERS = @LINK_PERSON AND FORMA = @FORMA
			
		SET @PEREPLATA_SUM_STR = @PEREPLATA_SUM_STR - ISNULL((SELECT SUM(SUM_STR) FROM #NEDOPLATA WHERE LINK_PERS = @LINK_PERSON AND FORMA = @FORMA),0)
		SET @PEREPLATA_SUM_NAK = @PEREPLATA_SUM_NAK - ISNULL((SELECT SUM(SUM_NAK) FROM #NEDOPLATA WHERE LINK_PERS = @LINK_PERSON AND FORMA = @FORMA),0)			

	END

	FETCH NEXT FROM @Cur2 INTO @LINK_PERSON,@FORMA
END

CLOSE @Cur2
DEALLOCATE @Cur2

--  
UPDATE SV SET 
	SV.SUM_STR = ISNULL(SV.SUM_STR,0) + ISNULL(N.SUM_STR,0),
	SV.SUM_DOP = ISNULL(SV.SUM_DOP,0) + ISNULL(N.SUM_NAK,0)
FROM 
	dbo.SZV_stazh_SVEDENIA SV
	INNER JOIN #NEDOPLATA N ON N.LINK_PERS = SV.LINK_PERS AND N.FORMA = SV.FORMA
WHERE
	SV.LINK_UP = @LINK
	
/* ,       */
DECLARE @KOP_STR_PERSON NUMERIC(18,2), @KOP_NAK_PERSON NUMERIC(18,2)
--   
SELECT @KOP_STR_PERSON = SUM(SUM_STR), @KOP_NAK_PERSON = SUM(SUM_DOP)
FROM 
	dbo.SZV_stazh_SVEDENIA SV
	INNER JOIN #PACHKI P ON P.LINK = SV.LINK_UP
--     	
DECLARE @KOP_STR NUMERIC(18,2), @KOP_NAK NUMERIC(18,2), @LINK_SV INT
SELECT @KOP_STR = SUM(SUM_STR), @KOP_NAK = SUM(SUM_NAK)
FROM #UPLATA_ALL

SET @KOP_STR = ISNULL(@KOP_STR,0) - ISNULL(@KOP_STR_PERSON,0) --  
SET @KOP_NAK = ISNULL(@KOP_NAK,0) - ISNULL(@KOP_NAK_PERSON,0) --  


-- 
SET @LINK_SV = 
		( SELECT TOP 1 SV.LINK
			FROM SZV_stazh_SVEDENIA SV
			WHERE SV.LINK_UP = @LINK 
					AND (
							ISNULL(SUM_DOH,0) > ISNULL(SUM_STR,0) AND ISNULL(SUM_DOH,0) - ISNULL(SUM_STR,0) > @KOP_STR 
						)
		)				

IF ISNULL(@LINK_SV,0) > 0
	UPDATE SZV_stazh_SVEDENIA SET 
		SUM_STR = ISNULL(SUM_STR,0) + @KOP_STR
	WHERE LINK = @LINK_SV

-- 
SET @LINK_SV = 
		( SELECT TOP 1 SV.LINK
			FROM SZV_stazh_SVEDENIA SV
			WHERE SV.LINK_UP = @LINK 
					AND (
							ISNULL(SUM_NAK,0) > ISNULL(SUM_DOP,0) AND ISNULL(SUM_NAK,0) - ISNULL(SUM_DOP,0) > @KOP_STR
						)
		)				

IF ISNULL(@LINK_SV,0) > 0
	UPDATE SZV_stazh_SVEDENIA SET 
		SUM_DOP = ISNULL(SUM_DOP,0) + @KOP_NAK
	WHERE LINK = @LINK_SV	


IF ISNULL(@LINK_SELF2,0) > 0 BEGIN
	
	--       

	--1.      			
	CREATE TABLE #DOLG_PREV_YEAR (
		LINK_PERS INT, 
		FIO VARCHAR(100), 
		BIRTH DATETIME, 
		INSUR_NUM VARCHAR(14), 
		AGE_TYPE TINYINT, 
		SUM_STR NUMERIC(18,2), 
		SUM_STR_P NUMERIC(18,2), 
		SUM_NAK NUMERIC(18,2), 
		SUM_NAK_P NUMERIC(18,2)
	)
	
	INSERT INTO #DOLG_PREV_YEAR(LINK_PERS, FIO, BIRTH, INSUR_NUM, AGE_TYPE, SUM_STR, SUM_STR_P, SUM_NAK, SUM_NAK_P)
	EXECUTE [dbo].[SA_PF_REPORT] @Y_PREV, 12, @LINK_SELF2

	--2.        
	INSERT INTO #DOLG_PREV_YEAR(LINK_PERS, FIO, BIRTH, INSUR_NUM, AGE_TYPE, SUM_STR_P, SUM_NAK_P)
	EXECUTE [dbo].[SA_PF_REPORT2] @Y_PREV, 12, @LINK
	
	DECLARE @SUM_STR NUMERIC(18,2), @SUM_NAK NUMERIC(18,2)
	
	SET @SUM_STR= ISNULL((SELECT SUM(SUM_STR) FROM #DOLG_PREV_YEAR),0) - ISNULL((SELECT SUM(SUM_STR_P) FROM #DOLG_PREV_YEAR),0)
	SET @SUM_NAK= ISNULL((SELECT SUM(SUM_NAK) FROM #DOLG_PREV_YEAR),0) - ISNULL((SELECT SUM(SUM_NAK_P) FROM #DOLG_PREV_YEAR),0)

	DECLARE @LINK_OZOI INT, @PeriodBegin DATETIME, @PeriodEnd DATETIME, @MONTH_BEG INT, @MONTH_END INT
	SET @LINK_OZOI = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 3 AND @Y BETWEEN YBEG AND YEND),1)
	SET @MONTH_END = @M 

	IF @Y > 2010
	BEGIN
		SET @MONTH_BEG = (CASE @PER WHEN 1 THEN 1 WHEN 2 THEN 4 WHEN 3 THEN 7 WHEN 4 THEN 10 END)
		SET @MONTH_END = (CASE WHEN @MONTH_END < (@MONTH_BEG+3-1) THEN @MONTH_END ELSE (@MONTH_BEG+3-1) END)
	END
	
	SELECT @PeriodBegin = dbo.ConvertDMY2Date(1,@MONTH_BEG,@Y), @PeriodEnd = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH_END,@Y))

	------	      
	SELECT PERS_LINK, DATE_BEGIN = MIN(ISNULL(I.DATE_BEGIN,@PeriodBegin)), DATE_END = MAX(ISNULL(I.DATE_END,@PeriodEnd))
	INTO #PERS_INV
	FROM dbo.PERS_INVALID I
	WHERE ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin
	GROUP BY PERS_LINK	


	CREATE TABLE #DOLG_PREV(
		LINK_PERS INT, 
		LINK_KATEG INT,
		FIO VARCHAR(100), 
		BIRTH DATETIME, 
		INSUR_NUM VARCHAR(14), 
		AGE_TYPE TINYINT, 
		SUM_STR NUMERIC(18,2), 
		SUM_STR_P NUMERIC(18,2), 
		SUM_NAK NUMERIC(18,2), 
		SUM_NAK_P NUMERIC(18,2)
		)

	INSERT INTO #DOLG_PREV(LINK_PERS, FIO, BIRTH, INSUR_NUM, AGE_TYPE, SUM_STR, SUM_NAK, LINK_KATEG)
	SELECT
		LINK_PERS, FIO, BIRTH, INSUR_NUM, AGE_TYPE, 
		DOLG_STR = SUM(ISNULL(SUM_STR,0)- ISNULL(SUM_STR_P,0)), 
		DOLG_NAK = SUM(ISNULL(SUM_NAK,0) - ISNULL(SUM_NAK_P,0)),
		LINK_KATEG = (CASE WHEN EXISTS (SELECT * FROM #PERS_INV I WHERE I.PERS_LINK = D.LINK_PERS AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin) THEN @LINK_OZOI ELSE 1 END)
	FROM
		#DOLG_PREV_YEAR D
	GROUP BY
		LINK_PERS, FIO, BIRTH, INSUR_NUM, AGE_TYPE
	HAVING
		SUM(ISNULL(SUM_STR,0)- ISNULL(SUM_STR_P,0)) <> 0
		OR
		SUM(ISNULL(SUM_NAK,0) - ISNULL(SUM_NAK_P,0)) <> 0

	DROP TABLE #DOLG_PREV_YEAR

	--  
	INSERT INTO [dbo].[SZV_stazh_SVEDENIA] (
		[LINK_UP], [PACHKA], [ORDERS], [FORMA],
		[LINK_PERS], [SUM_DOH], [SUM_STR], [SUM_NAK], [SUM_DOP],
		[DPER_VN_M], [DPER_VN_D], [DPER_OZ_M], [DPER_OZ_D], [ISUM_STR], [ISUM_NAK], 
		[LINK_KATEG], [SUM_DOLG_STR], [SUM_UPLATA_DOLGA_STR], [SUM_DOLG_NAK], [SUM_UPLATA_DOLGA_NAK])
	SELECT 
		@LINK, PACHKA =0, ORDERS =0, forma =2, D.LINK_PERS, SUM_DOH =0, SUM_STR =0, SUM_NAK =0, SUM_DOP =0,
		DPER_VN_M =0, DPER_VN_D =0, DPER_OZ_M =0, DPER_OZ_D =0, ISUM_STR =0, ISUM_NAK =0, 
		LINK_KATEG,
		SUM_DOLG_STR = d.sum_str, SUM_UPLATA_DOLGA_STR =0, SUM_DOLG_NAK = d.sum_str, SUM_UPLATA_DOLGA_NAK =0 
	FROM 
		#DOLG_PREV D
	WHERE
		NOT EXISTS (
		SELECT *
		FROM
			dbo.SZV_stazh_PACHKA P
			INNER JOIN dbo.SZV_stazh_svedenia S ON S.LINK_UP = P.LINK
		WHERE
			P.LINK = @LINK
			AND
			S.LINK_PERS = D.LINK_PERS 	
		) 
	
	IF @@ROWCOUNT > 0	
		exec dbo.SZV_st_NUMERATOR @LINK	

	--   
	UPDATE S SET
		S.SUM_DOLG_STR = D.SUM_STR, S.SUM_DOLG_NAK = D.SUM_NAK
	FROM 
		dbo.SZV_stazh_PACHKA P
		INNER JOIN dbo.SZV_stazh_svedenia S ON S.LINK_UP = P.LINK
		INNER JOIN #DOLG_PREV D ON S.LINK_PERS = D.LINK_PERS AND S.LINK_KATEG = D.LINK_KATEG
	WHERE
		P.LINK = @LINK

	--     
	IF @SUM_UPLATA_DOLGA_STR <> 0 OR @SUM_UPLATA_DOLGA_NAK <> 0
	BEGIN
		
		DECLARE @SUM_UPLATA_DOLGA_STR_PERS NUMERIC(18,2), @SUM_UPLATA_DOLGA_NAK_PERS NUMERIC(18,2)
		SELECT @SUM_UPLATA_DOLGA_STR_PERS = SUM(SUM_STR), @SUM_UPLATA_DOLGA_NAK_PERS = SUM(SUM_NAK) FROM #DOLG_PREV
		SELECT @SUM_UPLATA_DOLGA_STR_PERS = ISNULL(@SUM_UPLATA_DOLGA_STR_PERS,0), @SUM_UPLATA_DOLGA_NAK_PERS = ISNULL(@SUM_UPLATA_DOLGA_NAK_PERS,0) 

		IF @SUM_UPLATA_DOLGA_STR_PERS <> 0 OR @SUM_UPLATA_DOLGA_NAK_PERS <> 0
			UPDATE S SET
				S.SUM_UPLATA_DOLGA_STR = (CASE WHEN @SUM_UPLATA_DOLGA_STR_PERS <> 0 THEN @SUM_UPLATA_DOLGA_STR * S.SUM_DOLG_STR / @SUM_UPLATA_DOLGA_STR_PERS ELSE 0 END), 
				S.SUM_UPLATA_DOLGA_NAK = (CASE WHEN @SUM_UPLATA_DOLGA_NAK_PERS <> 0 THEN @SUM_UPLATA_DOLGA_NAK * S.SUM_DOLG_NAK / @SUM_UPLATA_DOLGA_NAK_PERS ELSE 0 END)
			FROM 
				dbo.SZV_stazh_PACHKA P
				INNER JOIN dbo.SZV_stazh_svedenia S ON S.LINK_UP = P.LINK
			WHERE
				P.LINK = @LINK

	END --IF @SUM_UPLATA_DOLGA_STR <> 0 OR @SUM_UPLATA_DOLGA_NAK <> 0	

END


UPDATE DBO.SZV_stazh_PACHKA SET PROVERKA = 0
WHERE LINK = @LINK	

DROP TABLE #PACHKI
DROP TABLE #UPLATA_ALL
DROP TABLE #PERIOD
DROP TABLE #NACHISL
DROP TABLE #QUARTER
DROP TABLE #UPLATA_Q
DROP TABLE #NACHISL_Q
DROP TABLE #KOEF_UPL
DROP TABLE #UPLATA_PREV	
	
RETURN 0





GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_PACHKA_RASPIL] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_ST_EXPORT_PFR_17]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_ST_EXPORT_PFR_17]

GO

CREATE      PROCEDURE [dbo].SZV_ST_EXPORT_PFR_17 (
@buffer varchar(20)  /*  */
) AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

CREATE TABLE #DOC(LINK INT)

INSERT INTO #DOC (LINK)
SELECT LINK FROM dbo.BUFFER WITH (NOLOCK) WHERE ID = @BUFFER AND SID = SUSER_SID()

CREATE TABLE #SPV_ONLY(DOC_LINK INT , SPV_ONLY TINYINT )	
insert into #SPV_ONLY(DOC_LINK, SPV_ONLY)
select 
	doc_link = d.link,
	SPV_ONLY = (SELECT TOP 1 [type] FROM dbo.SA_SZV4_PACHKA WHERE link = d.Link)
from #DOC d


--  
CREATE TABLE #ADV65 (
	LINK_PU int,
	[YEAR] NUMERIC(4),
	[NGROUP] NUMERIC(5),
	[DOCCOUNT] int,
	PERS_CNT int,
	[cGRP] varchar(5),
	[OPT1] tinyint,
	[OPT2] tinyint,
	[OPT3] tinyint,
	[OPT4] tinyint,
	[INC_M1] numeric(18,2),
	[INC_M2] numeric(18,2),
	[INC_M3] numeric(18,2),
	[B_BEF_M1] numeric(18,2),
	[B_BEF_M2] numeric(18,2),
	[B_BEF_M3] numeric(18,2),
	[B_AFT_M1] numeric(18,2),
	[B_AFT_M2] numeric(18,2),
	[B_AFT_M3] numeric(18,2),
	[INSUR] numeric(18,2),
	[INSUR1] numeric(18,2),
	[GAIN] numeric(18,2),
	[GAIN1] numeric(18,2),
	sd_str numeric(18,2),
	sud_str numeric(18,2),
	sd_nak numeric(18,2),
	sud_nak numeric(18,2),
	REG_NOM_PF varchar(20),
	[PFNUMBER] VARCHAR(20),
	DEP_NAME VARCHAR(254),
	OKPO VARCHAR(40),
	INN VARCHAR(12),
	KPP VARCHAR(9),
	CODE VARCHAR(20),
	[PER] TINYINT,
	[PER10] TINYINT,
	[TYPE] TINYINT, 	
	[PER_EDT] TINYINT,
	[YEAR_EDT] INT,
	T_DOG TINYINT,
	DATE_CRT datetime,
	DATE_DOC datetime,
	SZV TINYINT , NPP  int identity (1,1))	


---
CREATE TABLE #SPV2 (
	LINK_PU int,
	[YEAR] int,
	INN VARCHAR(12),
	KPP VARCHAR(9),
	OKPO VARCHAR(40),
	CODE VARCHAR(20),
	[PER] TINYINT,
	[PER10] TINYINT,
	[YEAR_EDT] int,
	[PER_EDT] TINYINT,
	[TYPE] TINYINT,
	[ID] int,
	[NGROUP] int,
	[PF_NUM] VARCHAR(20),
	[FIO] VARCHAR(254),
	[FM] VARCHAR(100),
	[IM] VARCHAR(100),
	[OT] VARCHAR(100),
	[ADDRESS] VARCHAR(254),
	[ADDRESS2] VARCHAR(254),
	[INSUR] numeric(18,2),
	[INSUR1] numeric(18,2),
	[GAIN] numeric(18,2),
	[GAIN1] numeric(18,2),
	[INC_T1_M1] numeric(18,2),
	[INC_T1_M2] numeric(18,2),
	[INC_T1_M3] numeric(18,2),
	[INC_T2_M1] numeric(18,2),
	[INC_T2_M2] numeric(18,2),
	[INC_T2_M3] numeric(18,2),
	[ID_EX] int,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] varchar(254),
	dper_vn_m numeric(10,2),
	dper_vn_d numeric(10,2),
	[STR_VAC2] varchar(254),
	dper_oz_m numeric(10,2),
	dper_oz_d numeric(10,2),
	[TU_CODE] varchar(254),
	ter_usl varchar(254),
	ter_koef numeric(10,2),
	[OS_CODE] varchar(254),
	osob_usl varchar(254),
	osob_spis varchar(254),
	[EX_CODE] varchar(254),
	is_dop_m numeric(10,2), 
	is_dop_d numeric(10,2),
	is_dop varchar(254),
	f_is_dop varchar(254),
	[P_CODE] varchar(254),
	ud_dop_m numeric(10,2),
	ud_dop_d numeric(10,2),
	ud_dop_k numeric(10,2),
	f_ud_dop varchar(254),
	PFNUMBER varchar(20), 
	REG_NOM_PF varchar(20),
	DEP_NAME varchar(254),
	DATE_CRT datetime,
	DATE_DOC datetime,
	DD INT, MM varchar(10), YY INT,
	NPP  int)


CREATE TABLE #PERS_INFO2 (
	LINK_PU int,
	[YEAR] int,
	INN VARCHAR(12),
	KPP VARCHAR(9),
	OKPO VARCHAR(40),
	CODE VARCHAR(30),
	[PER] TINYINT,
	[PER10] TINYINT,
	[TYPE] TINYINT,
	[PER_EDT] TINYINT,
	[YEAR_EDT] datetime,
	[ID] int,
	[NGROUP] int,
	[PF_NUM] VARCHAR(20),
	[FIO] VARCHAR(254),
	[FM] VARCHAR(100),
	[IM] VARCHAR(100),
	[OT] VARCHAR(100),
	[ADDRESS] VARCHAR(254),
	[ADDRESS2] VARCHAR(254),
	[INSUR] numeric(18,2),
	[INSUR1] numeric(18,2),
	[GAIN] numeric(18,2),
	[GAIN1] numeric(18,2),
	[INC_T1_M1] numeric(18,2),
	[INC_T1_M2] numeric(18,2),
	[INC_T1_M3] numeric(18,2),
	[INC_T2_M1] numeric(18,2),
	[INC_T2_M2] numeric(18,2),
	[INC_T2_M3] numeric(18,2),
	[DOP] numeric(18,2),
	[ID_EX] int,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] varchar(254),
	dper_vn_m numeric(10,2),
	dper_vn_d numeric(10,2),
	[STR_VAC2] varchar(254),
	dper_oz_m numeric(10,2),
	dper_oz_d numeric(10,2),
	[TU_CODE] varchar(254),
	ter_usl varchar(254),
	ter_koef numeric(10,2),
	[OS_CODE] varchar(254),
	osob_usl varchar(254),
	osob_spis varchar(254),
	[EX_CODE] varchar(254),
	is_dop_m numeric(10,2), 
	is_dop_d numeric(10,2),
	is_dop varchar(254),
	f_is_dop varchar(254),
	[P_CODE] varchar(254),
	ud_dop_m numeric(10,2),
	ud_dop_d numeric(10,2),
	ud_dop_k numeric(10,2),
	f_ud_dop varchar(254),
	T_DOG tinyint,
	REG_NOM_PF varchar(20),
	PFNUMBER varchar(20), 
	DEP_NAME varchar(254),
	DATE_CRT datetime,
	DATE_DOC datetime )


--        
DECLARE @CURS1 CURSOR, @link_DOC int, @link_doc_old INT 

set @link_doc_old = 0

SET @CURS1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM #DOC order by link 


OPEN @CURS1
FETCH NEXT FROM @CURS1 INTO @LINK_DOC

WHILE @@FETCH_STATUS = 0	

BEGIN
		
			if @link_doc_old = 0
			begin
				set @link_doc_old = @LINK_DOC 
			end
			--  
			INSERT INTO #ADV65 (YEAR,NGROUP,DOCCOUNT,PERS_CNT,cGRP,OPT1,OPT2,OPT3,OPT4,
								INC_M1,INC_M2,INC_M3,B_BEF_M1,B_BEF_M2,B_BEF_M3,B_AFT_M1,B_AFT_M2,B_AFT_M3,
								INSUR,INSUR1,GAIN,GAIN1,sd_str,sud_str,sd_nak,sud_nak,REG_NOM_PF,DEP_NAME,OKPO,INN,KPP,CODE,PER,PER10,
								TYPE,PER_EDT,YEAR_EDT,T_DOG,DATE_CRT,DATE_DOC,SZV)
			exec dbo.SZV4_PRINT_ADV65 @LINK_DOC 

			UPDATE #ADV65 SET link_pu = @LINK_DOC FROM #ADV65 WHERE LINK_PU IS NULL 
					--*-*    
			/*if @link_doc_old <> @LINK_DOC
			begin
				UPDATE #ADV65 SET NGROUP = NGROUP + 1  FROM #ADV65 WHERE LINK_PU = @LINK_DOC
				UPDATE #ADV65 SET cGRP = REPLACE(str((cGRP + 1),5),' ','0')  FROM #ADV65 WHERE LINK_PU = @LINK_DOC
			end*/
		
			--    
			UPDATE #ADV65 SET PFNUMBER =  case when LEN(RTRIM(LTRIM(COALESCE(REG_NOM_PF,'')))) < 14 AND link_pu = @LINK_DOC then REPLACE(SPACE(14),'              ','000-000-000000') 
													else  RTRIM(LTRIM(COALESCE(REG_NOM_PF,''))) end 			
			
			---  #SPV2

			IF ( SELECT top 1 SPV_ONLY FROM #SPV_ONLY WHERE DOC_LINK = @LINK_DOC) = 2
			BEGIN
				INSERT INTO #SPV2(YEAR,INN,KPP,OKPO,CODE,PER,PER10,YEAR_EDT,PER_EDT,TYPE,ID,NGROUP,PF_NUM,FIO,FM,IM,OT,ADDRESS,
								  ADDRESS2,INSUR,INSUR1,GAIN,GAIN1,INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
								  ID_EX,DATE_BEGIN,DATE_END,STR_DIS,dper_vn_m,dper_vn_d,STR_VAC2,dper_oz_m,dper_oz_d,TU_CODE,
								  ter_usl,ter_koef,OS_CODE,osob_usl,osob_spis,EX_CODE,is_dop_m,is_dop_d,is_dop,f_is_dop,P_CODE,
								  ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY)
				exec dbo.SZV4_PRINT_SPV2 @LINK_DOC
				
				UPDATE #SPV2 SET link_pu = @LINK_DOC FROM #SPV2 WHERE LINK_PU IS NULL 
				UPDATE #SPV2 set ID_EX = 1 FROM #SPV2 WHERE link_pu = @LINK_DOC and ID_EX is null
			----    
					declare @CURS_NUM CURSOR , @NUM_PACH_MIN int, @NUM_PACH1 int, @LINK_PU1 int, @T_DOG1 tinyint , @NGROUP1 int ,  @cGRP1 varchar(5),  @CODE1 varchar(5),  @TYPE1 TINYINT, @NPP int 
					select @NUM_PACH_MIN  =  min(NGROUP) from  #ADV65 

					set @NUM_PACH1 = @NUM_PACH_MIN
					SET @CURS_NUM = CURSOR FORWARD_ONLY
					FOR SELECT link_pu, T_DOG , NGROUP,   cGRP, CODE,  [TYPE], NPP  FROM #ADV65 order by NPP


					OPEN @CURS_NUM
					FETCH NEXT FROM @CURS_NUM INTO @LINK_PU1,@T_DOG1,@NGROUP1, @cGRP1, @CODE1 , @TYPE1, @NPP

					WHILE @@FETCH_STATUS = 0	

					BEGIN
								
								update S SET  S.NPP = @NPP
									from #SPV2 S  where S.link_pu =@LINK_PU1 and S.NGROUP = @NGROUP1 and LTRIM(RTRIM(S.CODE)) = LTRIM(RTRIM(@CODE1)) AND S.[TYPE] = @TYPE1
								
								if @NUM_PACH1 <> @NUM_PACH_MIN
								BEGIN
									update #ADV65 set NGROUP = @NUM_PACH1 ,
												  cGRP = REPLACE(str((@NUM_PACH1),5),' ','0')
									from #ADV65  where link_pu =@LINK_PU1 and T_DOG = @T_DOG1 and NGROUP = @NGROUP1 and cGRP = @cGRP1 and CODE = @CODE1 and NPP = @NPP
								
									UPDATE S SET NGROUP = (SELECT NGROUP from #ADV65  where link_pu =@LINK_PU1 and T_DOG = @T_DOG1 and CODE = @CODE1 and NPP = @NPP AND [TYPE] =@TYPE1)  
									  FROM #SPV2 S WHERE link_pu =@LINK_PU1  and CODE = @CODE1 and NPP = @NPP AND [TYPE] =@TYPE1
								
								END
								
								SET @NUM_PACH1 = @NUM_PACH1+1 

						FETCH NEXT FROM @CURS_NUM INTO @LINK_PU1,@T_DOG1,@NGROUP1, @cGRP1, @CODE1, @TYPE1, @NPP
					END

					CLOSE @CURS_NUM
					DEALLOCATE @CURS_NUM	


						--*-*    
				/*if @link_doc_old <> @LINK_DOC
				begin
					UPDATE #SPV2 SET NGROUP = NGROUP + 1  FROM #SPV2 WHERE LINK_PU = @LINK_DOC
				end
				*/		
				update #SPV2 set FM = UPPER(FM), IM = UPPER(IM), OT = UPPER(OT), ADDRESS2 = UPPER(ADDRESS2) WHERE link_pu = @LINK_DOC 
			

				--  #PERS_INFO2 

				INSERT INTO #PERS_INFO2(LINK_PU,[YEAR], INN, KPP, OKPO, CODE, [PER], [PER10], [PER_EDT], [YEAR_EDT], [TYPE],
										[ID], [NGROUP], [PF_NUM], [FIO], [FM], [IM], [OT], [ADDRESS], [ADDRESS2],
										[INSUR], [INSUR1], [GAIN], [GAIN1],INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[DOP], [ID_EX], [DATE_BEGIN], [DATE_END],
										[STR_DIS], dper_vn_m, dper_vn_d, [STR_VAC2], dper_oz_m, dper_oz_d,
										[TU_CODE], ter_usl, ter_koef,
										[OS_CODE], osob_usl, osob_spis, 
										[EX_CODE], is_dop_m, is_dop_d, is_dop, f_is_dop,
										[P_CODE], ud_dop_m, ud_dop_d, ud_dop_k, f_ud_dop,
										PFNUMBER, DEP_NAME, DATE_CRT, DATE_DOC)

				SELECT	LINK_PU,[YEAR], INN, KPP, OKPO, CODE, [PER], [PER10], [PER_EDT], [YEAR_EDT], [TYPE],
						[ID], [NGROUP], [PF_NUM], [FIO], [FM], [IM], [OT], [ADDRESS], [ADDRESS2],
						[INSUR], [INSUR1], [GAIN], [GAIN1],INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3, 
						[DOP]=0, [ID_EX], [DATE_BEGIN], [DATE_END],
						[STR_DIS], dper_vn_m, dper_vn_d, [STR_VAC2], dper_oz_m, dper_oz_d,
						[TU_CODE], ter_usl, ter_koef,
						[OS_CODE], osob_usl, osob_spis, 
						[EX_CODE], is_dop_m, is_dop_d, is_dop, f_is_dop,
						[P_CODE], ud_dop_m, ud_dop_d, ud_dop_k, f_ud_dop,
						REG_NOM_PF, DEP_NAME, DATE_CRT, DATE_DOC
				FROM #SPV2
			
			
			END	
			

			set @link_doc_old = @link_doc

	FETCH NEXT FROM @CURS1 INTO @LINK_DOC
END

CLOSE @CURS1
DEALLOCATE @CURS1			

DECLARE @NN INT, @PN INT, @ON INT
SELECT @NN = 0, @PN = 0, @ON = 0


SELECT *
INTO #PERS_INFO 
FROM #PERS_INFO2 ORDER BY link_pu,T_DOG , NGROUP, [ID]


DECLARE @PI_NGROUP INT, @PI_ID INT, @PI_link_pu int, @PI_T_DOG tinyint  
DECLARE @Cur_PI CURSOR
SET @Cur_PI = CURSOR FORWARD_ONLY

FOR select link_pu, NGROUP,T_DOG, [ID]  from #PERS_INFO order by link_pu,T_DOG, NGROUP, [ID]

OPEN @Cur_PI
FETCH NEXT FROM @Cur_PI INTO @PI_link_pu, @PI_NGROUP,@PI_T_DOG, @PI_ID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		SET @NN = (CASE WHEN @PI_NGROUP <> @PN THEN 1 ELSE (CASE WHEN @ON <> @PI_ID THEN @NN + 1 ELSE @NN END) END)
		SET @PN = (CASE WHEN @PI_NGROUP <> @PN THEN @PI_NGROUP ELSE @PN END)

		UPDATE A
		SET 
			ID = @NN
		FROM #PERS_INFO A 
		WHERE link_pu = @PI_link_pu and  NGROUP = @PI_NGROUP and  T_DOG = @PI_T_DOG  AND ID = @PI_ID

		SET @ON = @NN				

	END

	FETCH NEXT FROM @Cur_PI INTO @PI_link_pu, @PI_NGROUP,@PI_T_DOG, @PI_ID
END

CLOSE @Cur_PI
DEALLOCATE @Cur_PI

--select * from #ADV65
--select * from #SZV62
--select * from #SZV61
--select * from #PERS_INFO
--select * from #SPV2
--select * from #PERS_INFO2


-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

DECLARE @Cur1 CURSOR, @LINK_PU INT, @NGROUP int /* */, @lcFNAME varchar(254) /*  */, 
	@TIPD varchar(254), @DATE_DOC VARCHAR(10), 
	@INN VARCHAR(12), @KPP VARCHAR(9), @DEP_NAME VARCHAR(254), @PFNUMBER VARCHAR(254), @PACHNUM VARCHAR(5),
	@DOCCOUNT VARCHAR(10), @TYPDOC VARCHAR(254), @PERSCNT VARCHAR(3), @DATE_CRT VARCHAR(10),
	@YEAR VARCHAR(4), @SZV tinyint, @TYP_SVED VARCHAR(20),
	@VID_KOR VARCHAR(20), @INSUR VARCHAR(20), @INSUR1 VARCHAR(20), @GAIN VARCHAR(20), @GAIN1 VARCHAR(20),
	@INC_T1_M1 VARCHAR(20),@INC_T1_M2 VARCHAR(20),@INC_T1_M3 VARCHAR(20),@INC_T2_M1 VARCHAR(20),@INC_T2_M2 VARCHAR(20),@INC_T2_M3 VARCHAR(20),  
	@EGRUL varchar(15), @PER VARCHAR(1), @PER_EDT VARCHAR(1), @YEAR_EDT VARCHAR(4), @TYPE VARCHAR(20),
	@KATEG VARCHAR(20), @PER_NAME VARCHAR(20), @PER_EDT_NAME VARCHAR(20)

SELECT 
	@EGRUL = LTRIM(RTRIM(EGRUL))
FROM DICTIONARY_DEPARTMENT D inner join dbo.SA_SZV4_PACHKA P on D.link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )


--select 	
--	/*LINK_PU,*/
--	NGROUP, 
--	FNAME = 'PFR-700-Y-' + CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END) + '-ORG-' + RTRIM(LTRIM(COALESCE(PFNUMBER,''))) + '-DCK-' + REPLACE(STR(COALESCE(cGRP,''),5),' ','0') + '-DPT-000000-DCK-00000.XML',
--	INN = 	RTRIM(LTRIM(COALESCE(INN,''))),
--	KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
--	DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
--	PFNUMBER = RTRIM(LTRIM(COALESCE(PFNUMBER,''))),
--	PACHNUM = RTRIM(LTRIM(CONVERT(VARCHAR(10),NGROUP))), 	
--	DOCCOUNT = RTRIM(LTRIM(CONVERT(VARCHAR(10),DOCCOUNT))), 	
--	TYPDOC = CASE WHEN OPT2 = 1 THEN '-1' ELSE (CASE WHEN SZV = 1 THEN '-6-1' ELSE '-6-2' END) END,
--	PERSCNT = RTRIM(LTRIM(STR(PERS_CNT))),
--	DATE_CRT = CONVERT(VARCHAR(10),DATE_CRT,104),
--	DATE_DOC = CONVERT(VARCHAR(10),DATE_DOC,104),
--	[YEAR] = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END),
--	SZV,
--	TYP_SVED = (CASE WHEN OPT1 = 1 THEN '' else (CASE WHEN OPT2 = 1 THEN '' else '' end) end),
--	VID_KOR = (CASE WHEN OPT3 = 1 THEN '' else (CASE WHEN OPT4 = 1 THEN '' else '' end) end),
--	INSUR = RTRIM(LTRIM(STR(COALESCE([INSUR],0),15,2))), 
--	INSUR1 = RTRIM(LTRIM(STR(COALESCE([INSUR1],0),15,2))),
--	GAIN = RTRIM(LTRIM(STR(COALESCE([GAIN],0),15,2))),
--	GAIN1 = RTRIM(LTRIM(STR(COALESCE([GAIN1],0),15,2))),
--	[PER] = CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
--	[TYPE], 
--	PER_EDT = CONVERT(VARCHAR(1),[PER_EDT]), 
--	YEAR_EDT = CONVERT(VARCHAR(4),[YEAR_EDT]), 
--	PER_EDT_NAME = CASE PER_EDT WHEN 1 THEN 'I ' WHEN 2 THEN 'I ' WHEN 3 THEN '9 ' WHEN 4 THEN '' ELSE '' END,
--	[TYPE] = (CASE [TYPE] WHEN 1 THEN '' WHEN 2 THEN '' WHEN 3 THEN '' ELSE '' end),
--	KATEG = CODE,
--	PER_NAME = CASE (CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END) WHEN 1 THEN 'I ' WHEN 2 THEN 'I ' WHEN 3 THEN '9 ' WHEN 4 THEN '' ELSE '' END
--from #ADV65 order by /*LINK_PU,*/ NGROUP


SET @Cur1 = CURSOR FORWARD_ONLY
FOR 
select 	
	LINK_PU,
	NGROUP, 
	FNAME = 'PFR-700-Y-' + CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END) + '-ORG-' + RTRIM(LTRIM(COALESCE(PFNUMBER,''))) + '-DCK-' + REPLACE(STR(COALESCE(cGRP,''),5),' ','0') + '-DPT-000000-DCK-00000.XML',
	INN = 	RTRIM(LTRIM(COALESCE(INN,''))),
	KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
	DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
	PFNUMBER = RTRIM(LTRIM(COALESCE(PFNUMBER,''))),
	PACHNUM = RTRIM(LTRIM(CONVERT(VARCHAR(10),NGROUP))), 	
	DOCCOUNT = RTRIM(LTRIM(CONVERT(VARCHAR(10),DOCCOUNT))), 	
	TYPDOC = CASE WHEN OPT2 = 1 THEN '-1' ELSE (CASE WHEN SZV = 1 THEN '-6-1' ELSE '-6-2' END) END,
	PERSCNT = RTRIM(LTRIM(STR(PERS_CNT))),
	DATE_CRT = CONVERT(VARCHAR(10),DATE_CRT,104),
	DATE_DOC = CONVERT(VARCHAR(10),DATE_DOC,104),
	[YEAR] = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END),
	SZV,
	TYP_SVED = (CASE WHEN OPT1 = 1 THEN '' else (CASE WHEN OPT2 = 1 THEN '' else '' end) end),
	VID_KOR = (CASE WHEN OPT3 = 1 THEN '' else (CASE WHEN OPT4 = 1 THEN '' else '' end) end),
	INSUR = RTRIM(LTRIM(STR(COALESCE([INSUR],0),15,2))), 
	INSUR1 = RTRIM(LTRIM(STR(COALESCE([INSUR1],0),15,2))),
	GAIN = RTRIM(LTRIM(STR(COALESCE([GAIN],0),15,2))),
	GAIN1 = RTRIM(LTRIM(STR(COALESCE([GAIN1],0),15,2))),
	[PER] = CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
	[TYPE], 
	PER_EDT = CONVERT(VARCHAR(1),[PER_EDT]), 
	YEAR_EDT = CONVERT(VARCHAR(4),[YEAR_EDT]), 
	PER_EDT_NAME = CASE PER_EDT WHEN 1 THEN 'I ' WHEN 2 THEN 'I ' WHEN 3 THEN '9 ' WHEN 4 THEN '' ELSE '' END,
	[TYPE] = (CASE [TYPE] WHEN 1 THEN '' WHEN 2 THEN '' WHEN 3 THEN '' ELSE '' end),
	KATEG = CODE,
	PER_NAME = CASE (CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END) WHEN 1 THEN 'I ' WHEN 2 THEN 'I ' WHEN 3 THEN '9 ' WHEN 4 THEN '' ELSE '' END
from #ADV65 order by LINK_PU,NGROUP, T_DOG
/*  A63        61 */
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK_PU,@NGROUP, @lcFNAME, @INN, @KPP, @DEP_NAME, @PFNUMBER, @PACHNUM, @DOCCOUNT, @TYPDOC, @PERSCNT, @DATE_CRT, @DATE_DOC, @YEAR,
	@SZV, @TYP_SVED, @VID_KOR, @INSUR, @INSUR1, @GAIN, @GAIN1, @PER, @TYPE, @PER_EDT, @YEAR_EDT, @PER_EDT_NAME, @TYPE, @KATEG, @PER_NAME
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			  SELECT @lcFNAME, 'OEM' -- 
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="Windows-1251" ?>'
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '<>'
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<>' + RTRIM(LTRIM(@lcFNAME)) + '</>'
				
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
				  UNION ALL SELECT @lcFNAME, SPACE(2) + '<>07.00</>'
				  UNION ALL SELECT @lcFNAME, SPACE(2) + '<></>'
				  UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @NAME_PROG + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @VERS_PROG + '</>'
				  UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
				  UNION ALL SELECT @lcFNAME, SPACE(2) + '<></> '
				UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
				
				UNION ALL SELECT @lcFNAME, SPACE(1) + '< ="  " =" ">'
				  
				  UNION ALL SELECT @lcFNAME, SPACE(2) + '<_>'
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>1</>'
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '<> </>'
				   
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>'
					   UNION ALL SELECT @lcFNAME, SPACE(5) + '<>' + @INN + '</>'
					   UNION ALL SELECT @lcFNAME, SPACE(5) + '<>' + @KPP + '</>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '</>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @EGRUL + '</>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @DEP_NAME + '</>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @DEP_NAME + '</>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @PFNUMBER + '</>'
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
				   
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + @PACHNUM + '</>'
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
				   
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + '1' /*@DOCCOUNT*/ + '</>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '<>'
					   UNION ALL SELECT @lcFNAME, SPACE(5) + '<>_______</>'
					   UNION ALL SELECT @lcFNAME, SPACE(5) + '<>' + @PERSCNT + '</>'
					 UNION ALL SELECT @lcFNAME, SPACE(4) + '</>'
				   UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'

				   UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + @DATE_DOC + '</>'
				  UNION ALL SELECT @lcFNAME, SPACE(2) + '</_>'

		-- -2
		DECLARE @Cur2 CURSOR, @PERS_ID int, @PERS_INFO1 varchar(8000), @PERS_INFO2 varchar(8000)
		SET @Cur2 = CURSOR FORWARD_ONLY
		FOR 
		Select ID,
		SPACE(1) +  CHAR(10) + '<_______>'  + CHAR(10)
		+	SPACE(3) + '<>' + RTRIM(LTRIM(STR(ID+1))) + '</>' + CHAR(10)
		+ 	SPACE(3) + '<>'+ @TYPE +'</>' + CHAR(10)
		+ 	SPACE(3) + '<>'+ @PFNUMBER +'</>' + CHAR(10)
		+ 	SPACE(3) + '<>'+ @DEP_NAME +'</>' + CHAR(10)
		+ 	SPACE(3) + '<>' + CHAR(10)
		+ 		SPACE(4) + '<>' + @INN + '</>' + CHAR(10)
		+ 		SPACE(4) + '<>' + @KPP + '</>' + CHAR(10)		
		+ 	SPACE(3) + '</>' + CHAR(10)
		+ 	SPACE(3) + '<>' + @KATEG + '</>' + CHAR(10)
		+ 	SPACE(3) +  '<>' + CHAR(10)
		+ 	 SPACE(4) + '<>' + CASE @PER WHEN 1 THEN '3' WHEN 2 THEN '6' WHEN 3 THEN '9' ELSE '0' END + '</>'+ CHAR(10)
		+ 	 SPACE(4) + '<>' + @YEAR + '</>' + CHAR(10)
		+ 	 SPACE(4) + '<>' + 
										CASE @PER 
											WHEN '1' THEN ' 01.01.'+@YEAR+'  31.03.'+@YEAR
											WHEN '2' THEN ' 01.04.'+@YEAR+'  30.06.'+@YEAR
											WHEN '3' THEN ' 01.07.'+@YEAR+'  30.09.'+@YEAR
											WHEN '4' THEN ' 01.10.'+@YEAR+'  31.12.'+@YEAR
											ELSE ''
										END	
									+ '</>' + CHAR(10)
		+ 	SPACE(3) + '</>' + CHAR(10)
		+	CASE WHEN @PER_EDT <> '0' THEN
		 	SPACE(3) +  '<>' + CHAR(10)
		+ 	 SPACE(4) + '<>' + CASE @PER_EDT WHEN 1 THEN '3' WHEN 2 THEN '6' WHEN 3 THEN '9' ELSE '0' END + '</>'+ CHAR(10)
		+ 	 SPACE(4) + '<>' + @YEAR_EDT + '</>' + CHAR(10)
		+ 	 SPACE(4) + '<>' + 
										CASE @PER_EDT 
											WHEN '1' THEN ' 01.01.'+@YEAR_EDT+'  31.03.'+@YEAR_EDT
											WHEN '2' THEN ' 01.04.'+@YEAR_EDT+'  30.06.'+@YEAR_EDT
											WHEN '3' THEN ' 01.07.'+@YEAR_EDT+'  30.09.'+@YEAR_EDT
											WHEN '4' THEN ' 01.10.'+@YEAR_EDT+'  31.12.'+@YEAR_EDT
											ELSE ''
										END 
									+ '</>' + CHAR(10)
		+ 	SPACE(3) + '</>' + CHAR(10)								
			ELSE '' END
		+ 	SPACE(3) + '<>'+ RTRIM(LTRIM(COALESCE(PF_NUM,''))) +'</>' + CHAR(10)
		+ 	SPACE(3) + '<>' + CHAR(10)
		+ 		SPACE(4) + '<>'+ RTRIM(LTRIM(COALESCE(FM,''))) +'</>' + CHAR(10)
		+ 		SPACE(4) + '<>'+ RTRIM(LTRIM(COALESCE(IM,''))) +'</>' + CHAR(10)
		+ 		SPACE(4) + '<>'+ RTRIM(LTRIM(COALESCE(OT,''))) +'</>' + CHAR(10)
		+ 	SPACE(3) + '</>' + CHAR(10)
		
		+ 	SPACE(3) + '<>' + @DATE_DOC + '</>' + CHAR(10)
		+ 	CASE WHEN @TYPDOC = '-1' THEN SPACE(3) + '<>' + @DATE_DOC + '</>' ELSE '' END
		,
		--     
		---------------------------------------------------
		SPACE(1) + '</_______>'
		from #PERS_INFO where LINK_PU = @LINK_PU and NGROUP = @NGROUP and ID_EX = 1
		Group by LINK_PU, id , ID_EX,PF_NUM,FM,IM,OT
		ORDER BY [ID]


			OPEN @Cur2
			FETCH NEXT FROM @Cur2 INTO @PERS_ID, @PERS_INFO1, @PERS_INFO2
			WHILE (@@fetch_status <> -1)
			BEGIN
				IF (@@fetch_status <> -2)
				BEGIN

					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
					SELECT @lcFNAME, @PERS_INFO1

					IF EXISTS (select * from #PERS_INFO where LINK_PU = @LINK_PU and  NGROUP = @NGROUP and ID_EX >= 1) --AND @SZV = 1 AND @TYPDOC = '-1'
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						Select @lcFNAME,
						CASE WHEN @TYPE <> '' THEN			
							+	SPACE(3) + '<>' + CHAR(10)
							+		SPACE(4) + '<>' + RTRIM(LTRIM(STR(ID_EX))) + '</>' + CHAR(10)
							+		SPACE(4) + '<>' + CONVERT(VARCHAR(10),DATE_BEGIN,104) + '</>' + CHAR(10)
							+		SPACE(4) + '<>' + CONVERT(VARCHAR(10),DATE_END,104) + '</>' + CHAR(10)
							+				CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' OR RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN 
							+		SPACE(4) + '<>' + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' OR RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN '1' ELSE '0' END + '</>' + CHAR(10)		
							+		SPACE(4) + '<>' + CHAR(10)
							+			SPACE(5) + '<>1</>' + CHAR(10)		
							+ 			SPACE(5) + '<>' + CHAR(10)
							+ 					CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
												SPACE(7) + '<>' + CHAR(10)
							+						SPACE(8) + '<>' + RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</>' + CHAR(10)
							+						CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(8) + '<>' + RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) + '</>' + CHAR(10) else '' end
							+ 					SPACE(7) + '</>' + CHAR(10)
												ELSE '' END
							+ 					CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
												SPACE(7) + '<>' + CHAR(10)
							+						SPACE(8) + '<>' + RTRIM(LTRIM(COALESCE(osob_usl,''))) + '</>' + CHAR(10)
							+						SPACE(8) + '<>' + UPPER(RTRIM(LTRIM(COALESCE(osob_spis,'')))) + '</>' + CHAR(10)
							+ 					SPACE(7) + '</>' + CHAR(10)
												ELSE '' END					
							+ 					CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
												SPACE(7) + '<>' + CHAR(10)
							+						SPACE(8) + '<>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</>' + CHAR(10)
							+						CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
													SPACE(8) + '<>' + CHAR(10)
							+							SPACE(9) + '<>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</>' + CHAR(10)
							+							SPACE(9) + '<>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</>' + CHAR(10)
							+ 						SPACE(8) + '</>' + CHAR(10)
													ELSE '' END
							+						CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
													SPACE(8) + '<>' + CHAR(10)
							+							SPACE(9) + '<>0</>' + CHAR(10)
							+							SPACE(9) + '<>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</>' + CHAR(10)
							+							SPACE(9) + '<>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</>' + CHAR(10)
							+ 						SPACE(8) + '</>' + CHAR(10)
													ELSE '' END
							+ 					SPACE(7) + '</>' + CHAR(10)
												ELSE '' END
							+					CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN					
							+					SPACE(7) + '<>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</>' + CHAR(10)
												ELSE '' END
							+ 					CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
												SPACE(7) + '<>' + CHAR(10)
							+						SPACE(8) + '<>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</>' + CHAR(10)
							+						CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													SPACE(8) + '<>' + CHAR(10)
							+							SPACE(9) + '<>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</>' + CHAR(10)
							+							SPACE(9) + '<>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</>' + CHAR(10)
							+ 						SPACE(8) + '</>' + CHAR(10)
													ELSE '' END
							+						CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													SPACE(8) + '<>' + CHAR(10)
							+							SPACE(9) + '<>0</>' + CHAR(10)
							+							SPACE(9) + '<>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</>' + CHAR(10)
							+							SPACE(9) + '<>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</>' + CHAR(10)
							+ 						SPACE(8) + '</>' + CHAR(10)
													ELSE '' END
							+						CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
														SPACE(8) + '<>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</>' + CHAR(10)
													ELSE '' END
							+ 					SPACE(7) + '</>' + CHAR(10)
												ELSE '' END
							+			SPACE(5) + '</>' + CHAR(10)
							+		SPACE(4) + '</>' + CHAR(10)
										ELSE '' END
							+	SPACE(3) + '</>'
						ELSE '' END
						from #PERS_INFO where LINK_PU = @LINK_PU and NGROUP = @NGROUP AND [ID] = @PERS_ID
						Group by LINK_PU, id , ID_EX,PF_NUM,FM,IM,OT, DATE_BEGIN,DATE_END,ter_usl,osob_usl,EX_CODE,is_dop,P_CODE,ter_koef,osob_spis,f_is_dop, 
									is_dop_m, is_dop_d,f_ud_dop, ud_dop_m,ud_dop_d,f_ud_dop,ud_dop_m,ud_dop_k
						ORDER BY [ID]

					END
						
					
					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
					Select @lcFNAME,
							SPACE(4) + '<>' + CASE WHEN ISNULL(INSUR,0) <> 0 THEN '' ELSE '' END  + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CASE WHEN (SUM(ISNULL(INC_T1_M1,0))+SUM(ISNULL(INC_T1_M2,0))+ SUM(ISNULL(INC_T1_M3,0)) +SUM(ISNULL(INC_T2_M1,0)) + SUM(ISNULL(INC_T2_M2,0))+ SUM(ISNULL(INC_T2_M3,0))) <> 0 then '' else '' end + '</>'
					from #PERS_INFO where LINK_PU = @LINK_PU and NGROUP = @NGROUP AND [ID] = @PERS_ID
					GROUP BY LINK_PU, NGROUP , [ID] , INSUR
					ORDER BY [ID]
					
	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
					SELECT @lcFNAME, @PERS_INFO2
					
				END
			
				FETCH NEXT FROM @Cur2 INTO @PERS_ID, @PERS_INFO1, @PERS_INFO2
			END
			
			CLOSE @Cur2
			DEALLOCATE @Cur2
	END


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	 SELECT @lcFNAME, SPACE(1) + '</>'	
	UNION ALL SELECT @lcFNAME, '</>'

	FETCH NEXT FROM @Cur1 INTO  @LINK_PU, @NGROUP, @lcFNAME, @INN, @KPP, @DEP_NAME, @PFNUMBER, @PACHNUM, @DOCCOUNT, @TYPDOC, @PERSCNT, @DATE_CRT, @DATE_DOC, @YEAR,
	@SZV, @TYP_SVED, @VID_KOR, @INSUR, @INSUR1, @GAIN, @GAIN1, @PER, @TYPE, @PER_EDT, @YEAR_EDT,@PER_EDT_NAME, @TYPE, @KATEG, @PER_NAME
END

CLOSE @Cur1
DEALLOCATE @Cur1


SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]















GO


GRANT EXECUTE ON dbo.[SZV_ST_EXPORT_PFR_17] TO PUBLIC

GO




GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_ST_PRINT_ODV1]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_ST_PRINT_ODV1]

GO

CREATE    PROCEDURE dbo.SZV_ST_PRINT_ODV1(@Link int, @mode tinyint = 0)
AS

DECLARE @varKSNOM_PF VARCHAR(20), @varKSname VARCHAR(254), @varKSDEP int,
	@varKSOKPO VARCHAR(40), @varKSINN VARCHAR(12), @varKSKPP VARCHAR(9), @Month int, @Year int, @date datetime,
	@COUNT_DOCS TINYINT

SET @COUNT_DOCS  = 1

create table #DOCS (link int)
/*---     
IF exists (select * from buffer where id = 'BUFF_PRINT_ODV1')
BEGIN
	Insert into #DOCS (link)
	select link from buffer where id = 'BUFF_PRINT_ODV1'
	---     
	set @COUNT_DOCS   = (select COUNT(*) from #docs)
END
ELSE
BEGIN*/
	Insert into #DOCS (link)
	select link = @Link
/*END*/

SELECT
	@varKSDEP = D.link, @varKSNOM_PF = PFNUMBER, @varKSname = UPPER([NAME]),
	@varKSOKPO = OKPO, @varKSINN = INN, @varKSKPP = KPP,
	@Month = month_end, @year = year_begin
FROM DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = @link

Set @date = dbo.ConvertDMY2Date(1,@Month,@Year)
Set @date = dbo.DateEndOfMonth(@date)

declare @TYPE_TARIF tinyint
SET @TYPE_TARIF = (
	SELECT TOP 1 FLAG_MS
	FROM dbo.DOCUMENTS_ESN_G
	WHERE
		FLAG_JC = 1
		AND YEAR_BASE = @Year and month_base <= @Month
	ORDER BY MONTH_BASE DESC	
)


IF @mode = 0 OR @mode = 1
	Select 	top 1
		LINK = p.link,
		[YEAR] = ISNULL(CASE WHEN year_begin <> 2010 THEN year_begin ELSE NULL END ,0),
		[PER] = ISNULL(CASE WHEN year_begin <> 2010 THEN PER ELSE NULL END ,0),
		PER_EDT = ISNULL(CASE WHEN year_edt >= 2017 THEN PER_edt ELSE NULL END ,0),
		year_EDT = ISNULL(CASE WHEN year_edt >= 2017 THEN year_edt ELSE NULL END ,0),
		[PER10] = ISNULL(CASE WHEN year_begin = 2010 THEN PER ELSE NULL END ,0),
		[TYPE] = P.[type],
		[VID_KOR]  = P.vid_kor ,
		[COUNT_P] = COUNT(distinct CASE WHEN P.vid_kor = 1 THEN S.pachka ELSE NULL END),
		[COUNT_PK] = (SELECT COUNT(distinct S1.pachka) from  dbo.SS_SZV_STAZH_PACHKA P1
									INNER JOIN dbo.SZV_STAZH_SVEDENIA S1 ON P1.link = S1.link_up
									INNER JOIN  #DOCS d1 on d1.link = p1.link
									where P1.proverka = 1 and P1.vid_kor > 1 ),
		[COUNT_PERS] = (SELECT COUNT(s1.link)  FROM  dbo.SS_SZV_STAZH_PACHKA P1
									INNER JOIN dbo.SZV_STAZH_SVEDENIA S1 ON P1.link = S1.link_up
									INNER JOIN  #DOCS d1 on d1.link = p1.link
									where P1.proverka = 1  ),						
		@varKSNOM_PF AS REG_NOM_PF,
		[DEP_NAME] = @varKSname,
		@varKSOKPO AS OKPO,
		@varKSINN AS INN,
		@varKSKPP AS KPP,
		DATE_CRT = @date,
		DATE_DOC = [date],
		[GUID] = p.[GUID]
	from
		dbo.SS_SZV_STAZH_PACHKA P INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON P.link = S.link_up
		INNER JOIN  #DOCS d on d.link = p.link
	WHERE/*
		P.link = @Link
		 AND */ P.proverka = 1
	GROUP BY
		p.link, P.year_begin, P.PER, P.per_edt, P.year_edt, P.[date], P.[type],P.vid_kor,p.[GUID]

IF @mode = 0 OR @mode = 2
BEGIN 
	SELECT	
			link = p.link,
			s.link_pers ,
			KEP.subdiv_name,
			KEP.POST_NAME ,
			DS.num_stake,
			work_stake = (DS.num_stake - ds.free_stakes) ,
			Fakt_Work = KEP.POST_NAME ,
			DOC_NAME = null,
			OSOB_USL = st.OSOB_USL ,
			N_OSOB_USL = st.n_OSOB_USL ,
			POS_SPIS = CASE WHEN OSOB_K1 IS NOT NULL AND  OSOB_K2 IS NOT NULL  THEN '' + ltrim(rtrim(OSOB_K1)) + ',' + ltrim(rtrim(OSOB_K2)) + ''
							WHEN OSOB_K1 IS NULL AND  OSOB_K2 IS NOT NULL  THEN '' + ltrim(rtrim(OSOB_K2)) + ''
							WHEN OSOB_K1 IS NOT NULL AND  OSOB_K2 IS NULL  THEN '' + ltrim(rtrim(OSOB_K1)) + ''
					   END
	INTO #res2
	FROM 	
			dbo.SS_SZV_STAZH_PACHKA P INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON P.link = S.link_up
			INNER JOIN  #DOCS d on d.link = p.link
			INNER JOIN dbo.ss_SZV_ST_STAZH  st ON  st.link = s.link
			INNER JOIN dbo.KU_EMPL_PLACING  kep ON kep.PERS_LINK = s.link_pers AND st.date1 between kep.date_begin AND kep.date_mov
			INNER JOIN dbo.dictionary_staff ds ON ds.STAFF_LINK = kep.STAFF_LINK
	where
			/*P.link = @Link
			and */
			P.proverka = 1
			AND (isnull(st.osob_USL,'') <> '' OR isnull(st.osob_k1,'') <> '' OR isnull(st.osob_k2,'') <> '' OR isnull(st.osob_spo,'') <> '')
	ORDER BY KEP.subdiv_name, KEP.POST_NAME

	IF (select COUNT(*) FROM #res2 ) = 0
	BEGIN 
		insert into #res2
		SELECT 
			link = 0,
			link_pers = 0,
			subdiv_name = '',
			POST_NAME = '',
			num_stake = 0,
			work_stake = 0,
			Fakt_Work = '',
			DOC_NAME = '',
			OSOB_USL = '',
			N_OSOB_USL = '',
			POS_SPIS = ''
	END  

	SELECT * FROM #res2  ORDER BY subdiv_name, POST_NAME
	
END
	
/*
IF @mode = 0 OR @mode = 2
	Select
		[NGROUP] = S.pachka,
		[cGRP] = REPLACE(str(S.pachka,5),' ','0'),
		[CODE] = K.CODE,
		[INSUR] = CONVERT(NUMERIC(18,2),sum(S.sum_doh+ S.SUM_DOLG_STR)),
		[INSUR1] = CONVERT(NUMERIC(18,2),sum(S.sum_str+S.SUM_UPLATA_DOLGA_STR)),
		[GAIN] = CONVERT(NUMERIC(18,2),sum(S.sum_nak+ S.sum_dolg_nak)),
		[GAIN1] = CONVERT(NUMERIC(18,2),sum(S.sum_dop+S.SUM_UPLATA_DOLGA_NAK)),
		[PERS_CNT] = COUNT(S.orders),
		FNAME = 'PFR-700-Y-' + CONVERT(VARCHAR(4),year_begin) + '-ORG-' + LTRIM(RTRIM(@varKSNOM_PF)) + '-DCK-' + REPLACE(str(S.pachka,5),' ','0') + '-DPT-000000-DCK-00000.XML'
	from
		dbo.SS_SZV_STAZH_PACHKA P INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON P.link = S.link_up
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG AND year_begin BETWEEN YBEG AND YEND
		
	where
		P.link = @Link
		and P.proverka = 1
		and P.vid_kor = 1
	group by
		s.pachka, year_begin, K.CODE
	UNION ALL SELECT NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL
	WHERE NOT EXISTS(SELECT * FROM dbo.SS_SZV_STAZH_PACHKA P where P.link = @Link and P.proverka = 1 and P.vid_kor = 1)	
	order by S.pachka

IF @mode = 0 OR @mode = 3
	Select 	
		[NGROUP] = S.pachka,
		[cGRP] = REPLACE(str(S.pachka,5),' ','0'),
		[CODE] = K.CODE,
		[INSUR] =CONVERT(NUMERIC(18,2),sum(S.sum_doh)),
		[INSUR1] = CONVERT(NUMERIC(18,2),sum(S.sum_str)),
		[GAIN] = CONVERT(NUMERIC(18,2),sum(S.sum_nak)),
		[GAIN1] = CONVERT(NUMERIC(18,2),sum(S.sum_dop)),
		sd_str = CONVERT(NUMERIC(18,2),sum(S.sum_dolg_str)),
		sud_str = CONVERT(NUMERIC(18,2),sum(S.sum_uplata_dolga_str)),
		sd_nak = CONVERT(NUMERIC(18,2),sum(S.sum_dolg_nak)),
		sud_nak = CONVERT(NUMERIC(18,2),sum(S.sum_uplata_dolga_nak)),		
		[PERS_CNT] = COUNT(S.orders),
		FNAME = 'PFR-700-Y-' + CONVERT(VARCHAR(4),year_begin) + '-ORG-' + LTRIM(RTRIM(@varKSNOM_PF)) + '-DCK-' + REPLACE(str(S.pachka,5),' ','0') + '-DPT-000000-DCK-00000.XML'
	from
		dbo.SS_SZV_STAZH_PACHKA P INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON P.link = S.link_up
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG AND year_begin BETWEEN YBEG AND YEND
		INNER JOIN  #DOCS d on d.link = p.link
	where
		/*P.link = @Link
		and*/ P.proverka = 1
		and P.vid_kor > 1
	group by
		s.pachka, year_begin, K.CODE
	UNION ALL SELECT NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL		
	WHERE NOT EXISTS(SELECT * FROM dbo.SS_SZV_STAZH_PACHKA P INNER JOIN  #DOCS d on d.link = p.link where  P.proverka = 1 and P.vid_kor > 1)	
	order by
		S.pachka

*/







GO


GRANT EXECUTE ON dbo.[SZV_ST_PRINT_ODV1] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_4FSS_EXPORT_v093]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_4FSS_EXPORT_v093]

GO

/*EXEC dbo.BK_SELECT_EXPORT_FORMAT 2486*/
/*exec [dbo].SA_4FSS_EXPORT_v092       42251*/
CREATE      PROCEDURE [dbo].SA_4FSS_EXPORT_v093 ( @Link int /*  */ )
AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON


-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))


INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))),
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

--      
DECLARE @OKATO_OR_OKTMO int
SET @OKATO_OR_OKTMO = dbo.SA_GET_OPTION_BY_CODE('NASTR_USE_OKATO_OKTMO')

DECLARE @LINK_DEP INT, @YEAR INT, @Version TINYINT, @Period_Number TINYINT, @LINK_FORM INT,
		@Begin_Date DATETIME, @End_Date DATETIME, @modify_date DATETIME
SELECT
	@LINK_DEP = LINK_ORGANIZATION,
	@YEAR = YEAR(Begin_Date),
	@Version = [Version],
	@Period_Number = Period_Number,
	@LINK_FORM = LINK_FORM,
	@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
	@End_Date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,Period_Number*3,YEAR(Begin_Date))),
	@modify_date = modify_date
FROM dbo.REPORT_SAVED_FORMS
WHERE LINK_SAVED_FORM = @link

DECLARE
	@first_month_of_quarter TINYINT,
	@second_month_of_quarter TINYINT,
	@third_month_of_quarter TINYINT

IF @Period_Number = 1
	SELECT @first_month_of_quarter = 1, @second_month_of_quarter = 2, @third_month_of_quarter = 3
IF @Period_Number = 2
	SELECT @first_month_of_quarter = 4, @second_month_of_quarter = 5, @third_month_of_quarter = 6
IF @Period_Number = 3
	SELECT @first_month_of_quarter = 7, @second_month_of_quarter = 8, @third_month_of_quarter = 9
IF @Period_Number = 4
	SELECT @first_month_of_quarter = 10, @second_month_of_quarter = 11, @third_month_of_quarter = 12

SELECT  @first_month_of_quarter = ISNULL(@first_month_of_quarter,1), @second_month_of_quarter = ISNULL(@second_month_of_quarter,2), @third_month_of_quarter = ISNULL(@third_month_of_quarter,3)


SELECT top 1
	DD1.OKPO AS OKPO1,
	DD1.INN AS INN1, DD1.KPP AS KPP1,
	FULL_NAME = UPPER(DD1.FULL_NAME),
	UPPER(DD1.NAME) AS ORGNAME,
	DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME,
	DD2.NALOG AS SONO,
	DD1.OGRN AS OGRN1,
	LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A)))
		+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE  ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
		+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
	AS ADDR_STR,
	CAST(NULL AS DATETIME) AS DATE_END,
	UPPER(RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.') AS CHIEF_FIO,
	RTRIM(CHIEF.PHONE) AS CH_PHONE,
	UPPER(RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.') AS GLBUH_FIO,
	RTRIM(GLBUH.PHONE) AS GL_PHONE,
	DD1.OGRN,
	DD1.OKATO,
	DD1.OKTMO,
	DD1.OKVED,
	DD1.OKPO,
	DD1.FSS_REG_NUM, --  ()  
	DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
	DD1.FSS_KOD_DOP, --      
	DD1.OKOPF, ---    - ;
	DD1.OKFS, ---     ;
	DD1.PFNUMBER,
	DD1.Email ,
	DA.[ADDRESS] , 
	DA.PINDEX, REGION = UPPER(DA.REGION), DA.REGCODE, RAION = UPPER(DA.RAION), GOROD = UPPER(DA.GOROD),
	NASEL = UPPER(DA.NASEL), STREET = UPPER(DA.STREET), DA.HOUSE, DA.KORP, DA.FLAT,
	TFOMS_RNUM = DD1.TFOMS_REG_NUM,
	TFOMS_KT = DD1.TFOMS_KT,
	TaxType = DD1.FSS_KP_PC1,
	TaxType2 = DD1.FSS_KP_PC2,
	TaxType3 = DD1.FSS_KP_PC3,
	BUDG_ORG = dd1.buh_type,
	BUDG_CODE	= CASE WHEN (SELECT TOP 1 CONVERT(VARCHAR(1),SUMMA) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, 5, 3) ) >=4 THEN 4 
						 WHEN (SELECT TOP 1 CONVERT(VARCHAR(1),SUMMA) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, 5, 3) ) =0 THEN null  ELSE 
						 	(SELECT TOP 1 CONVERT(VARCHAR(1),SUMMA) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, 5, 3) )  END 
						 	 
INTO #DEP_DATA	
FROM DICTIONARY_DEPARTMENT DD1
	left JOIN dbo.KL_BUDG_TYPE bt ON bt.link = dd1.ved_budg 
	LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, '') chief on chief.link_dep = dd1.link
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, ' ') GLBUH ON GLBUH.link_dep = dd1.link
	LEFT JOIN DBO.DEP_ADRESS(@LINK_DEP) DA ON 1=1
WHERE DD1.LINK = @LINK_DEP

DECLARE @NumDotC VARCHAR(2), @NumDot INT
SELECT @NumDotC = ISNULL(dbo.RN_GET_ATR_VALUE(@LINK, 'REPORTS_ATR_NOM_OBR'),'00')
SET @NumDot = CASE WHEN ISNUMERIC(@NumDotC) =1 THEN CONVERT(INT,@NumDotC) ELSE 0 END

DECLARE @LIKV VARCHAR(3), @nLIKV INT
SELECT @LIKV = ISNULL(dbo.RN_GET_ATR_VALUE(@LINK, 'REPORTS_ATR_LIKVID'),'00')
SET @nLIKV = CASE WHEN LTRIM(RTRIM(@LIKV)) = '' THEN 1 ELSE 0 END

DECLARE @Cur0 CURSOR, @TAB_NUM TINYINT, @TAB_NAME VARCHAR(254), @Cur CURSOR, @Cur1 CURSOR, @NUM INT, @BLOK_NAME VARCHAR(254), @RAZDEL_NUM TINYINT, @RAZDEL_NAME VARCHAR(254)

DECLARE @lcFNAME varchar(254)
SELECT @lcFNAME = FSS_REG_NUM + '_' + CONVERT(VARCHAR(4),@YEAR)  + '_' +  (CASE @Period_Number WHEN 1 THEN '03' WHEN 2 THEN '06' WHEN 3 THEN '09' ELSE '12' END) + '.XML' FROM #DEP_DATA

INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, 'OEM' -- 
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="windows-1251"?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?F4FORM version="0.93"?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '<F4REPORT xmlns="http://fz122.fss.ru" xmlns:xsd="http://www.w3.org/2001/XMLSchema-instance" xsd:schemaLocation="http://fz122.fss.ru/doc/f4form_2017.xsd">'

/**  **/

	UNION ALL SELECT @lcFNAME, SPACE(1) + '<TITLE'
		+ ' REG_NUM="' + LTRIM(RTRIM(FSS_REG_NUM)) + '"'
		+ ' KPS_NUM="' + LTRIM(RTRIM(FSS_KOD_P)) + '"'
		--+ ' DOP_NUM="' + ISNULL(LTRIM(RTRIM(FSS_KOD_DOP)),'') + '"'
		+ ' YEAR_NUM="' + CONVERT(VARCHAR(4),@YEAR) + '"'
		+ ' QUART_NUM="' + (CASE @Period_Number WHEN 1 THEN '03' WHEN 2 THEN '06' WHEN 3 THEN '09' ELSE '12' END) + '"'
		+ ' NumCorr="' + LTRIM(RTRIM(CONVERT(VARCHAR(3),@Version))) + '"' -- 
		+ ' NumDot="' + LTRIM(RTRIM(CONVERT(VARCHAR(2),@NumDot))) + '"' -- 
		+ ' LIKV="' +LTRIM(RTRIM(CONVERT(VARCHAR(1),@nLIKV))) + '"'
		+ ' NAME="' + LTRIM(RTRIM(REPLACE(FULL_NAME,'"','&quot;'))) + '"'
		+ ' INN="' + LTRIM(RTRIM(INN1)) + '"'
		+ ' KPP="' + LTRIM(RTRIM(KPP1)) + '"'
		+ ' OGRN="' + LTRIM(RTRIM(OGRN)) + '"'
		--+ ' OKOPF="' + LTRIM(RTRIM(OKOPF)) + '"'
		--+ CASE WHEN @OKATO_OR_OKTMO = 1 THEN  (' OKATO="' + REPLACE(LTRIM(RTRIM(OKATO)),' ','') + '"') ELSE (' OKTMO="' + REPLACE(LTRIM(RTRIM(OKTMO)),' ','') + '"') END
		--+ ' OKPO="' + LTRIM(RTRIM(OKPO)) + '"'
		--+ ' OKFS="' + LTRIM(RTRIM(OKFS)) + '"'
		--
		+ ' PHONE="' +(SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = ' ') + '"'
		+ ' CADDR="'+left(LTRIM(RTRIM(ADDR_STR)),128)+'"'
		+ ' EMAIL="'+LTRIM(RTRIM(EMAIL))+'"'
		+ ' OKVED="' + LTRIM(RTRIM(OKVED)) + '"'
		--+ ' TaxType="' + LEFT(LTRIM(RTRIM(TaxType)),3) + '"' -- ( )
		--+ ' TaxType2="' + LEFT(LTRIM(RTRIM(TaxType2)),2) + '"' -- ( )
		--+ ' TaxType3="' + LEFT(LTRIM(RTRIM(TaxType3)),2) + '"' -- ( )		
		+ ' T1R1C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 1, 3)),0)))) + '"' -- 	
		+ CASE WHEN isnull(BUDG_CODE,'') <> '' then ' BO_IF="'+ LTRIM(RTRIM(BUDG_CODE))+ '"' ELSE '' END 
		--+ ' T1R2C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 2, 3)),0)))) + '"' -- : 	
		+ ' T1R4C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 3, 3)),0)))) + '"' -- :  	
		+ ' T1R6C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 4, 3)),0)))) + '"' -- : ,       ()   	
		+ ' Upoln="1"'
		+ ' CEO="' + LTRIM(RTRIM(CHIEF_FIO)) + '"'
		+ ' CRE_DATE="' + convert(varchar(10),@modify_date,120) + '"'
		--+ ' WRO="' + LEFT(FSS_REG_NUM,4) + '"'
		--+ ' CFO="' + LTRIM(RTRIM(GLBUH_FIO)) + '"'
		--+ ' AUTHOR="' + ISNULL(dbo.AdminGetUserFIO(default),'') + '"'
		+ '/>'
		FROM #DEP_DATA
--  /**  I **/

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(0) + '<F4INFO '		



		-- 1  2  3
		UNION ALL SELECT @lcFNAME, SPACE(1)		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2, 3) WHERE SUMMA2 <> 0
		-- 1  2  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2,4) WHERE SUMMA2 <> 0
		-- 1  2  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2, 5) WHERE SUMMA2 <> 0
		-- 1  2  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2, 6) WHERE SUMMA2 <> 0
		
		-- 1  3  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T1R3C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 3) WHERE SUMMA2 <> 0
		-- 4	
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 4) WHERE SUMMA2 <> 0
		--  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 5) WHERE SUMMA2 <> 0
		--  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 6) WHERE SUMMA2 <> 0

		-- 1  4  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T1R5C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 3) WHERE SUMMA2 <> 0
		-- 4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' I1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 4) WHERE SUMMA2 <> 0
		-- 5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' I2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 5) WHERE SUMMA2 <> 0
		-- 6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' I3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 6) WHERE SUMMA2 <> 0

		-- 1  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' RATE_MIS="' + right(ltrim(rtrim(str(SUMMA2))),2)+'.' +substring(convert(varchar(4),(SUMMA2 - ROUND(SUMMA2, 0, 1))),3,1)  + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 5, 3) WHERE SUMMA2 <> 0
		-- 1  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' RATE_DEC="' + left(ltrim(str(SUMMA)),2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 6, 3) WHERE SUMMA2 <> 0
		-- 1  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' RATE_INC="' + left(ltrim(str(SUMMA)),2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 7, 3) WHERE SUMMA2 <> 0
		-- 1  8
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' INC_DATE="'
					+ CASE LEN(LTRIM(RTRIM(LEFT(STR_VAL,10))))
						WHEN 10 THEN
							SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),7,4)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),4,2)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),1,2)
						WHEN 8 THEN
							'20' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),7,2)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),4,2)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),1,2)								
						ELSE
						''
					END + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, 8,7) WHERE ISNULL(STR_VAL,'') <> ''


		
---		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' OKVED="' + LTRIM(RTRIM(OKVED)) + '"' FROM #DEP_DATA

		--  1 
		-- 2  1
		UNION ALL SELECT @lcFNAME, SPACE(1)		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R1C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 3) WHERE SUMMA2 <> 0

		-- 2  1_1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R41C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 3) WHERE SUMMA2 <> 0

		-- 2  2_1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R3C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 3) WHERE SUMMA2 <> 0
		-- 2_3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R5C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 3) WHERE SUMMA2 <> 0
		-- 2_4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R6C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 3) WHERE SUMMA2 <> 0
		-- 2_5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R7C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 3) WHERE SUMMA2 <> 0
		
		-- 2  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R9C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 3) WHERE SUMMA2 <> 0
		-- 2  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R13C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 3) WHERE SUMMA2 <> 0
		-- 2  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R11C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 11, 3) WHERE SUMMA2 <> 0
		-- 2  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R16C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 12, 3) WHERE SUMMA2 <> 0
		-- 2  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R17C61="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 13, 3) WHERE SUMMA2 <> 0
		-- 2  9
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R18C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 15, 3) WHERE SUMMA2 <> 0
		-- 2  11
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R39C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 17, 3) WHERE SUMMA2 <> 0
		-- 2  12
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R19C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 18, 3) WHERE SUMMA2 <> 0
		-- 2  14
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R40C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 20, 3) WHERE SUMMA2 <> 0
		-- 2  14_1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R42C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 21, 3) WHERE SUMMA2 <> 0



		-- 2  15_1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R21C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 23, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R23C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 25, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R24C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 26, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R25C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 27, 3) WHERE SUMMA2 <> 0
		-- 2  16_1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R27C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 29, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R29C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 31, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R30C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 32, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R31C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 33, 3) WHERE SUMMA2 <> 0
		-- 2  17
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R38C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 34, 3) WHERE SUMMA2 <> 0
		-- 2  19
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R34C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4,36, 3) WHERE SUMMA2 <> 0
		-- 2  20
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R35C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 37, 3) WHERE SUMMA2 <> 0

		-- 
		-- 3  1
		UNION ALL SELECT @lcFNAME, SPACE(1)		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R3C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R3C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 4) WHERE SUMMA2 <> 0
		-- 3  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R13C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R13C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 4) WHERE SUMMA2 <> 0
		-- 3  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R4C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R4C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 4) WHERE SUMMA2 <> 0
		-- 3  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R8C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R8C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 4) WHERE SUMMA2 <> 0
		-- 3  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R14C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R14C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 4) WHERE SUMMA2 <> 0
		-- 3  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R9C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R9C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 4) WHERE SUMMA2 <> 0
		-- 3  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R5C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R5C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 4) WHERE SUMMA2 <> 0
		-- 3  8
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R6C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R6C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 4) WHERE SUMMA2 <> 0
		-- 3  9
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R10C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 4) WHERE SUMMA2 <> 0
		-- 3  11
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R11C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5,11, 4) WHERE SUMMA2 <> 0


		-- 4
		UNION ALL SELECT @lcFNAME, SPACE(1)
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' M' + CONVERT(VARCHAR(2),ROW) + '="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, DEFAULT, 3) WHERE ROW IN (1,2,3,5) AND SUMMA <> 0

		-- 5  1
		UNION ALL SELECT @lcFNAME, SPACE(1)
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_C2="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 4) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_CL3="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 6) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_CL4="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 7) WHERE SUMMA <> 0

		-- 5  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' MED_C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 8) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' MED_C2="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 9) WHERE SUMMA <> 0
		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(0) + '>'


		/* I  */
		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 31, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@first_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 31, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 31, 4)

		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 32, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@second_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 32, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 32, 4)

		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 33, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@third_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 33, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 33, 4)
		
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(0) + '</F4INFO>'
		
	/*	
		/* 1.1 ,      ,    2.1  22    24  1998 N125-*/
		CREATE TABLE #SVED (
			NUM_PP INT, REG_NOM VARCHAR(10), INN VARCHAR(12), OKVED VARCHAR(8), CHISL NUMERIC(6),
			B_ALL VARCHAR(25), B_INV VARCHAR(25), B_1M_ALL NUMERIC(18,2), B_1M_INV NUMERIC(18,2),
			B_2M_ALL NUMERIC(18,2), B_2M_INV NUMERIC(18,2), B_3M_ALL NUMERIC(18,2), B_3M_INV NUMERIC(18,2),
			STR_KL  NUMERIC(2,2) , STR_SK  NUMERIC(2,1) )
		
		CREATE TABLE #TAB1_1 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
			INSERT INTO #TAB1_1 (ROW_CODE, COL,SUMMA , SUMMA2, STR_VAL)
			SELECT ROW_CODE, COL,SUMMA, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL



		INSERT INTO #SVED (NUM_PP, REG_NOM, INN, OKVED, CHISL,
			B_ALL , B_INV , B_1M_ALL, B_1M_INV,B_2M_ALL, B_2M_INV, B_3M_ALL, B_3M_INV,
			STR_KL, STR_SK)
		SELECT 
			NOM_PP = ROW_NUMBER() OVER (PARTITION BY REG_NOM ORDER BY REG_NOM), 
			REG_NOM, INN, OKVED, CHISL,
			B_ALL , B_INV , B_1M_ALL, B_1M_INV,B_2M_ALL, B_2M_INV, B_3M_ALL, B_3M_INV,
			STR_KL, STR_SK
		FROM (	
			SELECT DISTINCT
				REG_NOM = (SELECT TOP 1 STR_VAL FROM #TAB1_1 T WHERE T.COL = 2 AND T.ROW_CODE = T11.ROW_CODE),
				INN = (SELECT TOP 1 STR_VAL FROM #TAB1_1 T WHERE T.COL =3 AND T.ROW_CODE = T11.ROW_CODE),
				OKVED = (SELECT TOP 1 STR_VAL FROM #TAB1_1 T WHERE T.COL = 4 AND T.ROW_CODE = T11.ROW_CODE),
				CHISL = (SELECT TOP 1 SUMMA FROM #TAB1_1 T WHERE T.COL = 5 AND T.ROW_CODE = T11.ROW_CODE),
				B_ALL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 6 AND T.ROW_CODE = T11.ROW_CODE),
				B_INV = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 7 AND T.ROW_CODE = T11.ROW_CODE),
				B_1M_ALL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 8 AND T.ROW_CODE = T11.ROW_CODE),
				B_1M_INV = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 9 AND T.ROW_CODE = T11.ROW_CODE),
				B_2M_ALL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 10 AND T.ROW_CODE = T11.ROW_CODE),
				B_2M_INV = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 11 AND T.ROW_CODE = T11.ROW_CODE),
				B_3M_ALL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 12 AND T.ROW_CODE = T11.ROW_CODE),
				B_3M_INV = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 13 AND T.ROW_CODE = T11.ROW_CODE),
				STR_KL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 14 AND T.ROW_CODE = T11.ROW_CODE),
				STR_SK = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 15 AND T.ROW_CODE = T11.ROW_CODE)
			FROM
				#TAB1_1 T11
			) as t	

			DROP TABLE #TAB1_1

		
		IF (SELECT COUNT(*) FROM #SVED ) > 0
		BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME,
				SPACE(1) + '<F4DOGOV' 
					+ ' REG_NUM_P="' + LEFT(LTRIM(RTRIM(STR(REG_NOM))),10) + '"'
					+ ' INN_P="' + LEFT(LTRIM(RTRIM(INN)),12) + '"' 
					+ ' OKVED_P="' + LEFT(LTRIM(RTRIM(OKVED)),8) + '"' 
					+ ' WRK_P="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL(CHISL,0)))) + '"'
					+ ' FOT_="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_ALL,0)))) + '"' 
					+ ' FOTINV_P="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_INV,0)))) + '"'
					+ ' C1="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_1M_ALL,0)))) + '"'
					+ ' I1="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_1M_INV,0)))) + '"'
					+ ' C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_2M_ALL,0)))) + '"' 
					+ ' I2="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_2M_INV,0)))) + '"' 
					+ ' C3="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_3M_ALL,0)))) + '"'
					+ ' I3="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_3M_INV,0)))) + '"' 
					+ ' RATE_MIS_P="' + LTRIM(RTRIM(CONVERT(VARCHAR(4),ISNULL(STR_KL,0)))) + '"' 
					+ ' MIS_ALL_P="' + LTRIM(RTRIM(CONVERT(VARCHAR(5),ISNULL(STR_SK,0)))) + '"/>'
			FROM #SVED
			ORDER BY NUM_PP

			DROP TABLE #SVED

		END
	*/
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, SPACE(0) + '</F4REPORT>'
SET NOCOUNT OFF

select * from #OUTPUT order by [ID]












GO


GRANT EXECUTE ON dbo.[SA_4FSS_EXPORT_v093] TO PUBLIC

GO




GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSA_4FSS_26092016_PREPARE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSA_4FSS_26092016_PREPARE]

GO

CREATE PROCEDURE dbo.RSA_4FSS_26092016_PREPARE
	@Res float output, @varcStr varchar(250), @vardBegin datetime = '20170101', @vardEnd datetime = '20171231', @variCol int, @variRow int, @variLSF int
AS 

EXEC dbo.BufferClear

DECLARE @OUT_VAL NUMERIC(20), @START_DATE DATETIME, @END_DATE DATETIME, @DEP_LINK INT

DECLARE --  
	@C3N NUMERIC(18,6), @C4N NUMERIC(18,6), @C5N NUMERIC(18,6), @C6N NUMERIC(18,6),
	@C3NS NUMERIC(18,6), @C4NS NUMERIC(18,6), @C5NS NUMERIC(18,6), @C6NS NUMERIC(18,6)


select @DEP_LINK = Link_Organization from report_saved_forms where link_saved_form =  @variLSF
set @res = 0
SELECT @START_DATE = @vardBegin, @END_DATE = @vardEnd

DECLARE @BYearDate	datetime
SET @BYearDate = dbo.DateBeginOfYear (@START_DATE)

declare @EndYear datetime
Set @EndYear = dbo.DateEndOfYear(@START_DATE)

DECLARE @nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

SELECT 
	@nYEAR = YEAR(@START_DATE),
	@nMONTH1 = MONTH(@START_DATE),
	@nMONTH2 = MONTH(@START_DATE)+1,
	@nMONTH3 = MONTH(@START_DATE)+2

create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(18,6) default 0.00, DED_M numeric(18,6) default 0.00, INV_M numeric(18,6) default 0.00, SUMMA numeric(18,6) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, RESIDENT int default 2, KATEG TINYINT)

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS , RESIDENT, KATEG)
Select s.[MONTH_BASE], s.SUMMA_BASE, s.DED_M, s.INV_M, s.SUMMA, s.WAY_CALC, s.REF_PHYS_PERS, (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) , s.KATEG
from dbo.SA_ESN_VIEW(@nYEAR, @nMONTH3, @DEP_LINK, 0) s
left join dbo.person p on p.link = s.REF_PHYS_PERS
left JOIN dbo.CITIZENSHIP c ON c.LINK = p.CITIZ_LINK
WHERE s.WAY_CALC = 2

---  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, resident, KATEG)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, GT.SUMMA_BASE, 0, 0, GT.SUMMA, P.WAY_CALC, GT.PERS_LINK, (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) , 
	KATEG = (CASE WHEN I.LINK IS NULL THEN (F.ENVD + 1) ELSE 3 END)
FROM 
	dbo.SDOC G
	INNER JOIN dbo.SDOC_DGH_TABLE GT ON G.LINK = GT.LINK_UP
	INNER JOIN dbo.PAYS P ON P.LINK = GT.LINK_PAY
	INNER JOIN dbo.SAL_SFIN F ON F.LINK = GT.LINK_VKR
	left JOIN DBO.PERSON Pe on Pe.LINK = GT.PERS_LINK
	LEFT JOIN dbo.CITIZENSHIP c ON c.LINK = pe.CITIZ_LINK
	LEFT JOIN dbo.pers_invalid I ON GT.PERS_LINK = I.PERS_LINK 
	AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH(G.[DATE]),@nYEAR)) BETWEEN I.DATE_BEGIN AND COALESCE(I.DATE_END,'29990101')
WHERE
	G.[OBJECT] =(SELECT LINK FROM S_OBJECTS WHERE CODE = 'DOCUMENTS_DGH')
	AND GT.[OBJECT] = 3
	AND FLAG_JC = 1
	AND P.WAY_CALC = 2
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3
	AND LINK_DEP = @DEP_LINK


/* 1*/
DECLARE @BDate datetime, @EndDate datetime, @EDate datetime, @NAvgCount int

SELECT @BDate = @START_DATE, @EndDate = @END_DATE
SET @EDate = dateadd(year,1,convert(varchar, YEAR(@BDate))+'0101')

CREATE TABLE #RES2(CODE_STR VARCHAR(10), BASE_FSS NUMERIC(18,6), CNT_FSS INT, CNT_FEM INT , NUM_PP Varchar(50) default '')

DECLARE @REST NUMERIC(18,2)


/******** **********/

/*     */ ---  
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls_4fss(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 1, DEFAULT))
INSERT INTO #RES2
SELECT '3', 0, @NAvgCount, 0, ''

/*      */ ---  
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls_4fss(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 0, DEFAULT))
INSERT INTO #RES2
SELECT '1', 0, @NAvgCount, 0, ''

/*    */  ---  
INSERT INTO #RES2
SELECT '2', 0, convert(numeric(18,0), dbo.sa_ssch_empls_4fss(@START_DATE, @END_DATE, @DEP_LINK, 2, 1, 0, DEFAULT)), 0 , ''

/*       */ ---  
INSERT INTO #RES2
SELECT '4', 0, convert(numeric(18,0), dbo.sa_ssch_empls_4fss(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 2, DEFAULT)), 0 , ''

/*       */ ---  
INSERT INTO #RES2
SELECT '5', 
		0, 
		CASE WHEN d.buh_type <> 0 THEN (
		CASE WHEN right(ltrim(rtrim(CODE_EL)),1) = '1' THEN 1
			 WHEN right(ltrim(rtrim(CODE_EL)),1) = '2' THEN 2
			 WHEN right(ltrim(rtrim(CODE_EL)),1) in ('5','4','0','3') THEN 3
			 WHEN right(ltrim(rtrim(CODE_EL)),1) NOT IN ('1','2','5','4','0','3') THEN 0
			 ELSE 4 END ) 
		ELSE null END, 
		0 , ''
FROM dbo.DICTIONARY_DEPARTMENT d 
INNER JOIN dbo.KL_BUDG_TYPE bt ON bt.link = d.ved_budg AND d.link= @DEP_LINK



---   
CREATE TABLE #RAZD31 (LINK INT, COL2 NUMERIC(18,2), COL3 NUMERIC(18,2), COL4 NUMERIC(18,2), COL5 NUMERIC(18,2))
INSERT INTO #RAZD31 (LINK)
SELECT DISTINCT 
	P.REF_PHYS_PERS
FROM 
	#SPR_ESN P
WHERE  RESIDENT <> 2

DECLARE @Table_Razd31 VARCHAR(100)
EXEC dbo.X_GET_TABLE_NAME @Table_Razd31 OUTPUT
EXEC ('select * INTO ' + @Table_Razd31 + ' from #RAZD31')
EXEC dbo.BufferPush -116, @Table_Razd31
----  1 

Declare @StBase5 table (link int)
Insert into @StBase5 (link)
select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 5)


CREATE TABLE #DGH_CJ (PERS_LINK INT, PERIOD_BEGIN DATETIME, SUMMA NUMERIC(18,6), RESIDENT int )
INSERT INTO #DGH_CJ (PERS_LINK, PERIOD_BEGIN, SUMMA, resident)
SELECT PERS_LINK, PERIOD_BEGIN, SUM(SUMMA), (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end)   
FROM dbo.CALCULATE_JURNAL CJ
	inner JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
	INNER JOIN DBO.PAYS P ON P.LINK = CJ.LINK_PAYS
	left join CITIZENSHIP c ON c.LINK= P1.CITIZ_LINK
WHERE
	yEAR(CJ.period_begin) = @nYEAR
	AND CJ.LINK_DEP = @DEP_LINK
	AND P.[OBJECT] = 1
GROUP BY
	PERS_LINK, PERIOD_BEGIN, c.CODE


--   
SELECT GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, SUMMA_BASE = sum(CASE WHEN GT.WAY_CALC  = 5 THEN GT.SUMMA_BASE ELSE 0 END)
INTO #DGH_FAKT_BASE2
FROM 
	dbo.DOCUMENTS_DGH G 
	--INNER JOIN dbo.DOCUMENTS_DGH_T1 T1 ON T1.LINK = G.LINK
	--INNER JOIN dbo.REESTR_DGH R ON R.LINK = T1.LINK_DOG  --AND FLAG_TRAVMA = 1	
	INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK --AND T1.PERS_LINK = GT.PERS_LINK 
WHERE 
	G.LINK_DEP = @DEP_LINK
	AND FLAG_JC = 1
	--AND GT.WAY_CALC  = 5
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3 
GROUP BY   GT.PERS_LINK,  MONTH(G.[DATE]) /*, GT.WAY_CALC*/




DECLARE @LINK_EKR213 INT
SET @LINK_EKR213 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')

DECLARE @ESN_213 INT --      213                                                     
SET @ESN_213 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_5')


SELECT MON, SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO), SUMMA_ALL_I = SUM(SUMMA_ALL_I), SUMMA_NO_I = SUM(SUMMA_NO_I)
INTO #SALARY_SUM
FROM 
(
select 
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
	SUMMA_ALL_I = SUM(CASE WHEN I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND  COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA ELSE 0 END),
	SUMMA_NO_I = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) AND I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND  COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA ELSE 0 END)
from 
	dbo.CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN DBO.EMPL E ON E.LINK = CJ.LINK_EMPL
	LEFT JOIN @StBase5 B ON B.LINK = cj.LINK_PAYS
	LEFT JOIN DBO.PERS_INVALID I ON I.PERS_LINK = E.PERS_LINK 
			AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN I.DATE_BEGIN AND ISNULL(I.DATE_END,'29990101')
			--AND COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate
where 	
	Year(period_begin) = @nYEAR and Month(period_begin) <= @nMONTH3 
	and CJ.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1
GROUP BY
	Month(CJ.PERIOD_BEGIN)
UNION ALL	
select 
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(CJ.SUMMA),
	SUMMA_NO = SUM( CJ.SUMMA - ISNULL(B.SUMMA_BASE,0)), --     
	SUMMA_ALL_I = SUM(CASE WHEN I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND  COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA ELSE 0 END),
	SUMMA_NO_I = SUM(CASE WHEN I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND  COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA - ISNULL(B.SUMMA_BASE,0) ELSE 0 END)
from 
	#DGH_CJ CJ
	INNER JOIN #DGH_FAKT_BASE2 B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
	LEFT JOIN DBO.KU_PERS_INVALID I ON I.PERS_LINK = CJ.PERS_LINK 
		AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN I.DATE_BEGIN AND ISNULL(I.DATE_END,'29990101')
		--AND COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate
where 	
	Month(period_begin) <= @nMONTH3 
GROUP BY
	Month(CJ.PERIOD_BEGIN)
) AS T
GROUP BY 
	MON
------------------------

--  
DECLARE @LINK_S_OBJ INT
SET @LINK_S_OBJ = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = 'DOCUMENTS_CLOSE_MONTH')

CREATE TABLE #TRAVM_LGOTY (I TINYINT, M TINYINT, SUMMA NUMERIC(18,2))
--  
INSERT INTO #TRAVM_LGOTY (I, M, SUMMA)
SELECT I = (CASE WHEN ISNULL(I.PERS_LINK,0) = 0 THEN 0 ELSE 1 END), MONTH(D.[DATE]), SUM(SUMMA)
FROM
	dbo.SDOC D
	INNER JOIN dbo.SDOC_DOT_SKIDKI S ON S.LINK_UP = D.LINK
	LEFT JOIN dbo.pers_invalid I ON S.LINK_PERS = I.PERS_LINK 
		AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH(D.[DATE]),YEAR(D.[DATE]))) BETWEEN I.DATE_BEGIN AND COALESCE(I.DATE_END,'29990101')	
WHERE
	D.[OBJECT] = @LINK_S_OBJ AND D.FLAG_JC = 1 AND D.LINK_DEP = @DEP_LINK
	AND YEAR(D.[DATE]) = @nYEAR AND MONTH(D.[DATE]) <= @nMONTH3
GROUP BY
	ISNULL(I.PERS_LINK,0), MONTH(D.[DATE])
	
----  	
INSERT INTO #TRAVM_LGOTY (I, M, SUMMA)
SELECT I = (CASE WHEN ISNULL(I.PERS_LINK,0) = 0 THEN 0 ELSE 1 END), MONTH(D.[DATE]), SUM(SUMMA)
FROM
	dbo.SDOC D
	INNER JOIN dbo.SDOC_DOT_VYCHET S ON S.LINK_UP = D.LINK
	LEFT JOIN dbo.pers_invalid I ON S.LINK_PERS = I.PERS_LINK 
		AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH(D.[DATE]),YEAR(D.[DATE]))) BETWEEN I.DATE_BEGIN AND COALESCE(I.DATE_END,'29990101')	
WHERE
	D.[OBJECT] = @LINK_S_OBJ AND D.FLAG_JC = 1 AND D.LINK_DEP = @DEP_LINK
	AND YEAR(D.[DATE]) = @nYEAR AND MONTH(D.[DATE]) <= @nMONTH3
GROUP BY
	ISNULL(I.PERS_LINK,0), MONTH(D.[DATE])	

---- 1 
--   1
CREATE TABLE #TABLE1 (MON TINYINT, SUMMA3 NUMERIC(18,2), SUMMA4 NUMERIC(18,2), SUMMA5 NUMERIC(18,2) )
INSERT INTO #TABLE1 (MON, SUMMA3, SUMMA4, SUMMA5)
SELECT 
	M.NUM, 
	SUMMA3 = /*ROUND(*/ ISNULL( (SELECT SUM(SUMMA_ALL)/*-SUM(SUMMA_NO)*/ FROM #SALARY_SUM WHERE MON = M.NUM) ,0) /*- ISNULL((SELECT SUM(SUMMA) FROM #TRAVM_LGOTY WHERE M = M.NUM),0)*/ /*,0)*/,
	SUMMA4 = /*ROUND(*/ ISNULL( (SELECT SUM(SUMMA_ALL_I)-SUM(SUMMA_NO_I) FROM #SALARY_SUM WHERE MON = M.NUM) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #TRAVM_LGOTY WHERE I = 1 AND M = M.NUM),0) /*,0)*/,
	SUMMA5 = /*ROUND(*/ ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM WHERE MON = M.NUM) ,0) + ISNULL((SELECT SUM(SUMMA) FROM #TRAVM_LGOTY WHERE M = M.NUM),0) /*,0)*/
FROM
	dbo.MONTHS M
	
	
INSERT INTO #RES2 SELECT '010103', ISNULL( (SELECT SUM(SUMMA3) FROM #TABLE1) ,0) , 0, 0, ''
INSERT INTO #RES2 SELECT '010104', ISNULL( (SELECT SUM(SUMMA4) FROM #TABLE1) ,0), 0, 0, ''
INSERT INTO #RES2 SELECT '010105', ISNULL( (SELECT SUM(SUMMA5) FROM #TABLE1) ,0), 0, 0, ''
---
INSERT INTO #RES2 SELECT '010303', ISNULL( (SELECT SUM(SUMMA3) FROM #TABLE1 WHERE MON = @nMONTH1) ,0) , 0, 0, ''
INSERT INTO #RES2 SELECT '010304', ISNULL( (SELECT SUM(SUMMA4) FROM #TABLE1 WHERE MON = @nMONTH1) ,0), 0, 0, ''
INSERT INTO #RES2 SELECT '010305', ISNULL( (SELECT SUM(SUMMA5) FROM #TABLE1 WHERE MON = @nMONTH1) ,0), 0, 0, ''
---
INSERT INTO #RES2 SELECT '010403', ISNULL( (SELECT SUM(SUMMA3) FROM #TABLE1 WHERE MON = @nMONTH2) ,0) , 0, 0, ''
INSERT INTO #RES2 SELECT '010404', ISNULL( (SELECT SUM(SUMMA4) FROM #TABLE1 WHERE MON = @nMONTH2) ,0), 0, 0, ''
INSERT INTO #RES2 SELECT '010405', ISNULL( (SELECT SUM(SUMMA5) FROM #TABLE1 WHERE MON = @nMONTH2) ,0), 0, 0, ''
---
INSERT INTO #RES2 SELECT '010503', ISNULL( (SELECT SUM(SUMMA3) FROM #TABLE1 WHERE MON = @nMONTH3) ,0) , 0, 0, ''
INSERT INTO #RES2 SELECT '010504', ISNULL( (SELECT SUM(SUMMA4) FROM #TABLE1 WHERE MON = @nMONTH3) ,0), 0, 0, ''
INSERT INTO #RES2 SELECT '010505', ISNULL( (SELECT SUM(SUMMA5) FROM #TABLE1 WHERE MON = @nMONTH3) ,0), 0, 0, ''

--1. 2


---P1. 2
--  ר 303.06   
DECLARE @QV_DATE DATETIME
SELECT @REST = 0, @QV_DATE = @END_DATE+1



DECLARE @ATR_LIKVIDATION VARCHAR(2)
SELECT @ATR_LIKVIDATION = ISNULL(dbo.RN_GET_ATR_VALUE(@variLSF, 'REPORTS_ATR_LIKVID'),'')
--  ר 303.02   
EXEC dbo.SA_BUH_REST @SUM = @REST OUTPUT, @ACT_PAS = 1, @LINK_DEP = @DEP_LINK, @DATE = @BYearDate, @ACC_LINE = '%303.06%'
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT (CASE WHEN @ATR_LIKVIDATION = ''  THEN '0201' ELSE '02011' END), @REST, 0, 0 WHERE @REST > 0
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT (CASE WHEN @ATR_LIKVIDATION = ''  THEN '0212' ELSE '02141' END), -@REST, 0, 0 WHERE @REST < 0


--  ר 303.06    

EXEC dbo.SA_BUH_REST @SUM = @REST OUTPUT, @ACT_PAS = 1, @LINK_DEP = @DEP_LINK, @DATE = @QV_DATE, @ACC_LINE = '%303.06%'
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT '0209', -@REST, 0, 0 WHERE @REST < 0
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT '0719', @REST, 0, 0 WHERE @REST > 0





select 
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA = SUM(SUMMA)
INTO 
	#SALARY_SUM1
from 
	dbo.CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
where 	
	Year(period_begin) = @nYEAR and Month(period_begin) <= @nMONTH3 
	and CJ.LINK_DEP = @DEP_LINK
	and CJ.LINK_PAYS = (select top 1 link from pays where object = 3 and way_calc = 5)
GROUP BY
	Month(CJ.PERIOD_BEGIN)

--1. 2
INSERT INTO #RES2 SELECT '0221', isnull(SUM(SUMMA),0), 0, 0, '' FROM #SALARY_SUM1 WHERE MON < @nMONTH1
INSERT INTO #RES2 SELECT '0223', isnull(SUM(SUMMA),0), 0, 0, '' FROM #SALARY_SUM1 WHERE MON = @nMONTH1
INSERT INTO #RES2 SELECT '0224', isnull(SUM(SUMMA),0), 0, 0, '' FROM #SALARY_SUM1 WHERE MON = @nMONTH2
INSERT INTO #RES2 SELECT '0225', isnull(SUM(SUMMA),0), 0, 0, '' FROM #SALARY_SUM1 WHERE MON = @nMONTH3





---   
CREATE TABLE #PLAT (VID TINYINT, Y INT, MON TINYINT, SUMMA NUMERIC(18,2), Y_p INT, MON_p TINYINT, NUMBER VARCHAR(30))

EXEC dbo.ZP_SUM_PROV 
	@PERIOD_BEG = @BYearDate,
	@PERIOD_END = @end_date,
	@DEP_LINK = @DEP_LINK, 
	@sDT_ACC_LINE='_.303.06', 
	@sKT_ACC_LINE='_.304.05:_.201.11:_.201.21:_.201.27', 
	@sDT_EKR_FILTER='CODE <> ''290'''


INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM)
SELECT '02161', 
		(SELECT ISNULL(SUM(SUMMA),0) FROM #PLAT WHERE Y >= @nYEAR and MON < @nMONTH1), 
		'', 
		0  
	
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM)
SELECT '02163', 
		(SELECT ISNULL(SUM(SUMMA),0) FROM #PLAT WHERE Y >= @nYEAR and MON = @nMONTH1), 
		'', 
		0   

INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM)
SELECT '02164', 
		(SELECT ISNULL(SUM(SUMMA),0) FROM #PLAT WHERE Y >= @nYEAR and MON = @nMONTH2), 
		'', 
		0   

INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM)
SELECT '02165', 
		(SELECT ISNULL(SUM(SUMMA),0) FROM #PLAT WHERE Y >= @nYEAR and MON = @nMONTH3), 
		'', 
		0   

---    
SELECT  VID,
		Y , 
		MON ,
		NUMBER	
INTO #PLAT_PP1
FROM #PLAT 
GROUP  BY VID , Y , MON, NUMBER

DROP TABLE #PLAT

BEGIN 
	declare @Cur_1 cursor , @VID1 tinyint , @Y1 INT, @MON1 TINYINT, @NUMBER1 VARCHAR(10)

	SET @Cur_1 = CURSOR FORWARD_ONLY
	FOR 
		select VID, Y, MON, NUMBER from #PLAT_PP1 order by VID, Y, MON, NUMBER
	OPEN @Cur_1
	FETCH NEXT FROM @Cur_1 INTO @VID1, @Y1, @MON1, @NUMBER1
	
	WHILE (@@fetch_status <> -1)
	BEGIN
		
		IF (@@fetch_status <> -2)
		BEGIN	
			if  @Y1 = @nYEAR and @MON1 = @nMONTH1
				UPDATE #RES2
					set NUM_PP = (case when NUM_PP is null or NUM_PP= '' then ltrim(RTRIM(@NUMBER1)) else ltrim(RTRIM(NUM_PP))+','+ ltrim(RTRIM(@NUMBER1)) end )
				where code_str = '02163' 

			if  @Y1 = @nYEAR and @MON1 = @nMONTH2
				UPDATE #RES2
					set NUM_PP = (case when NUM_PP is null or NUM_PP= '' then ltrim(RTRIM(@NUMBER1)) else ltrim(RTRIM(NUM_PP))+','+ ltrim(RTRIM(@NUMBER1)) end )
				where code_str = '02164'

			if  @Y1 = @nYEAR and @MON1 = @nMONTH3
				UPDATE #RES2
					set NUM_PP = (case when NUM_PP is null or NUM_PP= '' then ltrim(RTRIM(@NUMBER1)) else ltrim(RTRIM(NUM_PP))+','+ ltrim(RTRIM(@NUMBER1)) end )
				where code_str = '02165'				

		end
		FETCH NEXT FROM @Cur_1 INTO @VID1, @Y1, @MON1, @NUMBER1
	end

CLOSE @Cur_1
DEALLOCATE @Cur_1

END 

drop table #PLAT_PP1




SELECT P.F4FSS, E.[STATUS], RESIDENT = (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) , CNT_EMPL = COUNT(DISTINCT J.LINK_EMPL), CNT = COUNT( J.LINK_EMPL),SUMMA = SUM(SUMMA), CNT_DAYS = SUM([DAYS])
INTO #ATR_4FSS
FROM 
	dbo.ATRIBUT_F4FSS A
	INNER JOIN dbo.PAYS P ON A.LINK = P.F4FSS
	INNER JOIN dbo.CALCULATE_JURNAL J ON P.LINK = J.LINK_PAYS
	INNER JOIN DBO.SA_EMPLS_INFO(@END_DATE, DEFAULT) E ON E.EMPL_LINK = J.LINK_EMPL 	
	INNER JOIN dbo.sd_empl se ON  sE.LINK = E.EMPL_LINK 
	INNER JOIN dbo.PERSON pe ON pe.LINK=se.PERS_LINK
	INNER JOIN dbo.CITIZENSHIP c ON c.LINK = pe.CITIZ_LINK
WHERE
	Year(period_begin) = @nYEAR and Month(period_begin) <= @nMONTH3
	and J.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1	
	and P.F4FSS > 1
	AND J.LINK_EKR = (SELECT LINK FROM KOSGU WHERE CODE = '213')	
GROUP BY 	
	P.F4FSS, E.[STATUS],c.CODE 


-- 3

INSERT INTO #RES2
SELECT '0301', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 10),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 10),0),	
	0, ''

INSERT INTO #RES2
SELECT '0302', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 10 AND [STATUS] = 3),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 10 AND [STATUS] = 3),0),	
	0, ''	
	
INSERT INTO #RES2
SELECT '0304', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 11),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 11),0),	
	0, ''

INSERT INTO #RES2
SELECT '0305', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 11 AND [STATUS] = 3),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 11 AND [STATUS] = 3),0),	
	0, ''		

INSERT INTO #RES2
SELECT '0307', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 12),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 12),0),	
	0, ''

DECLARE  @SPO4 INT
SELECT @SPO4 = (SELECT distinct LINK FROM dbo.SA_SZV4_SPR WHERE code = '4' AND spr_code = 'SPO_USL_TRUDA' )




-----    
--1. 5
select [KOL_ALL] = SUM(S.NUM_STAKE),
		[KOL_SPO_ALL] = SUM(CASE WHEN S.COD_SPO_USL_TRUD IS NOT NULL THEN S.NUM_STAKE ELSE 0 END ),
		[KOL_SPO_3] =  SUM(CASE WHEN (ISNULL(S.COD_SPO_USL_TRUD, 0) <> 0 
							AND S.COD_SPO_USL_TRUD = @SPO4 
							)  
					   THEN  S.NUM_STAKE 
					   ELSE 0 END) ,	   
		[KOL_SPO_4] = SUM(CASE WHEN (ISNULL(S.COD_SPO_USL_TRUD, 0) <> 0 
							AND S.COD_SPO_USL_TRUD <> @SPO4 
							)  
					   THEN  S.NUM_STAKE 
					   ELSE 0 END) 	  
	
INTO 
	#STAF_ALL
from 
	dbo.staff s inner join dbo.staff_head sh on s.link_up = sh.LINK
where 	
	sh.DEP_LINK = @DEP_LINK
	and @vardEnd between s.date_begin and s.date_end 




INSERT INTO #RES2 SELECT '050103', KOL_ALL, 0, 0, '' FROM #STAF_ALL 
INSERT INTO #RES2 SELECT '050104', KOL_SPO_ALL, 0, 0, '' FROM #STAF_ALL 
INSERT INTO #RES2 SELECT '050105', KOL_SPO_3, 0, 0, '' FROM #STAF_ALL 
INSERT INTO #RES2 SELECT '050106', KOL_SPO_4, 0, 0, '' FROM #STAF_ALL 


/*  -      */
DECLARE @Table_Razd1 VARCHAR(100)
EXEC dbo.X_GET_TABLE_NAME @Table_Razd1 OUTPUT
EXEC ('select * INTO ' + @Table_Razd1 + ' from #RES2 order by code_str')
EXEC dbo.BufferPush -115, @Table_Razd1


DROP TABLE #RES2
DROP TABLE #SPR_ESN
DROP TABLE #ATR_4FSS
--DROP TABLE #SPR_ESN1KATEG3
--DROP TABLE #SPR_ESN2KATEG3
DROP TABLE #RAZD31
DROP TABLE #DGH_FAKT_BASE2
DROP TABLE #SALARY_SUM
DROP TABLE #SALARY_SUM1
DROP TABLE #TRAVM_LGOTY
DROP TABLE #TABLE1








GO


GRANT EXECUTE ON dbo.[RSA_4FSS_26092016_PREPARE] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_REP_FUR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_REP_FUR]

GO


CREATE   PROCEDURE [dbo].SA_REP_FUR @LINK_DOC INT
AS

declare @OBJ_CODE varchar(254), @SR_VID INT, @AvgDays NUMERIC(18,2), @PAYMENT INT, @PER INT, @DATE_BEG DATETIME, @LINK_EMPL INT, @LINK_PAYS INT 
Set @OBJ_CODE = (Select top 1 O.CODE from dbo.sdoc D inner join S_OBJECTS O on D.OBJECT = O.LINK and D.LINK = @LINK_DOC)

Select top 1 @SR_VID = [TYPE], @PAYMENT = [PAYMENT], @PER = [TYP_PERIOD], @DATE_BEG = DATE1, @LINK_EMPL = LINK_EMPL, @LINK_PAYS = LINK_PAY
from SDOC_AVAC where LINK_UP = @LINK_DOC
  
--
DECLARE @LINK_DEP INT
select @LINK_DEP = LINK_DEP from SDOC where LINK = @LINK_DOC

SET @AvgDays = COALESCE(dbo.sa_get_option_by_code('FURLOUGH_OPT4'),29,3)
--IF @DATE_BEG <= '20140401'
--	SET @AvgDays = 29.4

Select  NAME_DOC = '  ' + RTRIM(C.[NUMBER]) + '  ' + convert(varchar(10), C.[DATE], 104),
	NAME_DOC2 = ':  ' + RTRIM(LTRIM(t.[NAME])) + ' ' + RTRIM(O.NUMBER) + '  ' + convert(varchar(10),O.[DATE],104),
	NAME_EMPL,
	TAB_NUMER,
	DATE1, DATE2, ITOGO_DNI,
	SYST_PAY = CASE WHEN SYST_PAY = 2 THEN '  ' else '' END,
	CODE_PAY, NAME_PAY,
	DATE_PER,
	TYP_PERIOD = CASE TYP_PERIOD WHEN 1 THEN '3 ' WHEN 2 THEN '12 ' end,
	PAYMENT = CASE PAYMENT WHEN 1 THEN '  ' WHEN 2 THEN '  ' end,
	NAME_TYP = NAME_TYP_ARHE
from dbo.DOCUMENTS_ADD_FUR C 
	INNER JOIN dbo.item_vacation iv ON C.REF_ARHE = IV.LINK
	INNER JOIN dbo.orders O ON IV.ORDER_LINK = O.LINK
	INNER JOIN dbo.order_types T on O.TYPE = T.CODE
where C.LINK = @LINK_DOC
UNION
Select  NAME_DOC = '  ' + RTRIM(C.[NUMBER]) + '  ' + convert(varchar(10), C.[DATE], 104),
	NAME_DOC2 = ':  ' + RTRIM(LTRIM(t.[NAME])) + ' ' + RTRIM(O.NUMBER) + '  ' + convert(varchar(10),O.[DATE],104),
	NAME_EMPL,
	TAB_NUMER,
	DATE1, DATE2, ITOGO_DNI,
	SYST_PAY = CASE WHEN SYST_PAY = 2 THEN '  ' else '' END,
	CODE_PAY, NAME_PAY,
	DATE_PER,
	TYP_PERIOD = CASE TYP_PERIOD WHEN 1 THEN '3 ' WHEN 2 THEN '12 ' end,
	PAYMENT = CASE PAYMENT WHEN 1 THEN '  ' WHEN 2 THEN '  ' end,
	NAME_TYP = NAME_TYP_ARHE
from dbo.DOCUMENTS_CALC_TRAVEL C 
	INNER JOIN dbo.item_travel iv ON C.REF_ARHE = IV.LINK
	INNER JOIN dbo.orders O ON IV.ORDER_LINK = O.LINK
	INNER JOIN dbo.order_types T on O.TYPE = T.CODE
where C.LINK = @LINK_DOC
UNION
Select  NAME_DOC = CASE WHEN TYPE = 1 THEN '     ' else '   ' end + RTRIM(C.[NUMBER]) + '  ' + convert(varchar(10), C.[DATE], 104),
	NAME_DOC2 = '',
	NAME_EMPL,
	TAB_NUMER,
	DATE1, DATE2, ITOGO_DNI,
	SYST_PAY = CASE WHEN SYST_PAY = 2 THEN '  ' else '' END,
	CODE_PAY, NAME_PAY,
	DATE_PER,
	TYP_PERIOD = CASE TYP_PERIOD WHEN 1 THEN '3 ' WHEN 2 THEN '12 ' end,
	PAYMENT = CASE PAYMENT WHEN 1 THEN '  ' WHEN 2 THEN '  ' end,
	NAME_TYP = NAME_TYP_ARHE
from dbo.DOCUMENTS_CALC_AVG C 
where C.LINK = @LINK_DOC


DECLARE @SCRIPT1 VARCHAR(8000), 
	@I INT, 
	@DATE_BEGIN_RP DATETIME,
	@RP_SUMMA_PREM NUMERIC(18,2),
	@RP_SUMMA_MAT NUMERIC(18,2),
	@RP_SUMMA NUMERIC(18,2),
	@SR_PREM NUMERIC(18,2),
	@RP_DAYS INT,
	@RP_HOURS NUMERIC(18,2),
	@RP_DAYS_N INT,
	@RP_HOURS_N NUMERIC(18,2),
	@SUMMA_BASE0 NUMERIC(18,2),
	@ITOGO_DNI NUMERIC(6,2),
	@ITOGO_CH NUMERIC(18,2),
	@INSTR TINYINT,
	@SYST_PAY TINYINT,
	@RP_KDAYS INT

SELECT  @SCRIPT1 = '', @I = 1, @DATE_BEGIN_RP = DATE_PER,
	@RP_SUMMA_PREM = RP_SUMMA_PREM, @RP_SUMMA_MAT = RP_SUMMA_MAT, @RP_SUMMA = RP_SUMMA, 
	@SR_PREM = SR_PREM, @SYST_PAY = SYST_PAY,
	@RP_DAYS = RP_DAYS,	@RP_HOURS = RP_HOURS,
	@RP_DAYS_N = RP_DAYS_N , @RP_HOURS_N = RP_HOURS_N,
	@SUMMA_BASE0 = SUMMA_BASE, @ITOGO_DNI = ITOGO_DNI, @ITOGO_CH = ITOGO_CH, @RP_KDAYS = RP_KDAYS,
	@INSTR = INSTR 
FROM 	(
	Select DATE_PER, RP_SUMMA_PREM, RP_SUMMA, RP_SUMMA_MAT, SR_PREM, SYST_PAY, RP_DAYS, RP_HOURS, RP_DAYS_N, RP_HOURS_N, SUMMA_BASE, ITOGO_DNI, ITOGO_CH,RP_KDAYS, INSTR from dbo.DOCUMENTS_ADD_FUR where LINK = @LINK_DOC
	UNION 
	Select DATE_PER, RP_SUMMA_PREM, RP_SUMMA, RP_SUMMA_MAT=0, SR_PREM, SYST_PAY, RP_DAYS, RP_HOURS, RP_DAYS_N, RP_HOURS_N, SUMMA_BASE, ITOGO_DNI, ITOGO_CH,RP_KDAYS, INSTR from dbo.DOCUMENTS_CALC_TRAVEL where LINK = @LINK_DOC
	UNION 
	Select DATE_PER, RP_SUMMA_PREM, RP_SUMMA, RP_SUMMA_MAT=0, SR_PREM, SYST_PAY, RP_DAYS, RP_HOURS, RP_DAYS_N, RP_HOURS_N, SUMMA_BASE, ITOGO_DNI, ITOGO_CH,RP_KDAYS, INSTR from dbo.DOCUMENTS_CALC_AVG where LINK = @LINK_DOC
	) DOC


---   
DECLARE @COUNT_M INT
SET @COUNT_M = COALESCE((Select COUNT(DISTINCT PERIOD) from SDOC_AVAC_TABLE2 where LINK_UP = @LINK_DOC),0) - (CASE WHEN @INSTR = 3 THEN 1 ELSE 0 END)
SET @COUNT_M = CASE WHEN @COUNT_M <= 0 THEN 1 ELSE @COUNT_M END
SET @COUNT_M = CASE WHEN @COUNT_M > 12 THEN 12 ELSE @COUNT_M END


IF EXISTS (Select LINK_UP from dbo.SDOC_AVAC_TABLE3 T3 where LINK_UP = @LINK_DOC)
BEGIN

	WHILE @I <= @COUNT_M
	BEGIN
		SET @SCRIPT1 = @SCRIPT1 
			+ ', N_' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I))) + ' = CONVERT(DATETIME,''' + CONVERT(VARCHAR(10),DATEADD(MONTH,@I-1,@DATE_BEGIN_RP),104) + ''',104)'
			+ ', S_' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I)))  + ' = SUMMA' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I)))
		SET @I = @I + 1
	END

	SET @I = 1
	SET @SCRIPT1 = @SCRIPT1 + ', SUM_N = 0'
	WHILE @I <= @COUNT_M
	BEGIN
		SET @SCRIPT1 = @SCRIPT1 + '+ COALESCE(SUMMA' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I))) + ',0)'
		SET @I = @I + 1
	END

	SET @SCRIPT1 = 'Select ORDERS, LINK_PAY, NAME_PAY = P.NAME, LINK_KBK, CODE_KBK = KBK.CODE ' + @SCRIPT1 
			+ ' from dbo.SDOC_AVAC_TABLE3 T3 INNER JOIN dbo.PAYS P ON T3.LINK_PAY = P.LINK '
			+ ' LEFT JOIN dbo.SAL_SFIN KBK ON T3.LINK_KBK = KBK.LINK WHERE LINK_UP = ' 
		+ CONVERT(VARCHAR(20),@LINK_DOC) + ' ORDER BY ORDERS'
END
ELSE
BEGIN --     ,      

	WHILE @I <= @COUNT_M
	BEGIN
		SET @SCRIPT1 = @SCRIPT1 
			+ ', N_' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I))) + ' = CONVERT(DATETIME,''' + CONVERT(VARCHAR(10),DATEADD(MONTH,@I-1,@DATE_BEGIN_RP),104) + ''',104)'
			+ ', S_' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I)))  + ' = 0.00'
		SET @I = @I + 1
	END

	SET @I = 1
	SET @SCRIPT1 = @SCRIPT1 + ', SUM_N = 0'
	SET @SCRIPT1 = 'Select ORDERS=0, LINK_PAY=0, NAME_PAY = '''', LINK_KBK=0, CODE_KBK = '''' ' + @SCRIPT1 

END

exec (@SCRIPT1)

-- 
IF (	COALESCE((Select COUNT(distinct koef1) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef1,0) > 0 group by link_up having count(koef1) > 0 ),1)
	*COALESCE((Select COUNT(distinct koef2) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef2,0) > 0 group by link_up having count(koef2) > 0 ),1)
	*COALESCE((Select COUNT(distinct koef3) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef3,0) > 0 group by link_up having count(koef3) > 0 ),1)
	*COALESCE((Select COUNT(distinct koef4) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef4,0) > 0 group by link_up having count(koef4) > 0 ),1)
	*COALESCE((Select COUNT(distinct koef5) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef5,0) > 0 group by link_up having count(koef5) > 0 ),1)
	*COALESCE((Select COUNT(distinct koef6) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef6,0) > 0 group by link_up having count(koef6) > 0 ),1)
	*COALESCE((Select COUNT(distinct koef7) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef7,0) > 0 group by link_up having count(koef7) > 0 ),1)
	*COALESCE((Select COUNT(distinct koef8) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef8,0) > 0 group by link_up having count(koef8) > 0 ),1)
	*COALESCE((Select COUNT(distinct koef9) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef9,0) > 0 group by link_up having count(koef9) > 0 ),1)
	*COALESCE((Select COUNT(distinct koef10) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef10,0) > 0 group by link_up having count(koef10) > 0),1)
	*COALESCE((Select COUNT(distinct koef11) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef11,0) > 0 group by link_up having count(koef11) > 0),1)
	*COALESCE((Select COUNT(distinct koef12) from dbo.SDOC_AVAC_TABLE3 where LINK_UP = @LINK_DOC and coalesce(koef12,0) > 0 group by link_up having count(koef12) > 0),1) 
)  = 1 
BEGIN

	SET  @SCRIPT1 = 'Select distinct INSTR = ' + convert(varchar(1),@INSTR) + ', ORDERS = 1, NAME_PAY = ''  '', CODE_KBK = ''  ''' 
	SET  @I = 1
	WHILE @I <= @COUNT_M
	BEGIN
		SET @SCRIPT1 = @SCRIPT1 
			+ ', N_' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I))) + ' = CONVERT(DATETIME,''' + CONVERT(VARCHAR(10),DATEADD(MONTH,@I-1,@DATE_BEGIN_RP),104) + ''',104)'
			+ ', S_' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I)))  + ' = MAX(COALESCE(koef' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I))) + ',1))'
		SET @I = @I + 1
	END
	SET  @SCRIPT1 = @SCRIPT1 + ' from dbo.SDOC_AVAC_TABLE3 where LINK_UP = ' + CONVERT(VARCHAR(20),@LINK_DOC)
	exec (@SCRIPT1)

END
ELSE BEGIN

	SET  @SCRIPT1 = ''
	SET  @I = 1
	WHILE @I <= @COUNT_M
	BEGIN
		SET @SCRIPT1 = @SCRIPT1 
			+ ', N_' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I))) + ' = CONVERT(DATETIME,''' + CONVERT(VARCHAR(10),DATEADD(MONTH,@I-1,@DATE_BEGIN_RP),104) + ''',104)'
			+ ', S_' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I)))  + ' = KOEF' + RTRIM(LTRIM(CONVERT(VARCHAR(2),@I)))
		SET @I = @I + 1
	END
	
	SET @SCRIPT1 = 'Select INSTR = ' + convert(varchar(1),@INSTR) + ', ORDERS, LINK_PAY, NAME_PAY = P.NAME, LINK_KBK, CODE_KBK = KBK.CODE ' + @SCRIPT1 
			+ ' from dbo.SDOC_AVAC_TABLE3 T3 INNER JOIN dbo.PAYS P ON T3.LINK_PAY = P.LINK '
			+ ' LEFT JOIN dbo.SAL_SFIN KBK ON T3.LINK_KBK = KBK.LINK WHERE LINK_UP = ' 
		+ CONVERT(VARCHAR(20),@LINK_DOC) + ' ORDER BY ORDERS'
	
	exec (@SCRIPT1)
END

		

DECLARE @DAYS_SZ NUMERIC(18,2)
---    
SELECT  [PERIOD],
	[DAYS_N] = MAX(DAYS_N) ,
	[HOURS_N] = MAX(HOURS_N),
	[DAYS] = MAX(DAYS) ,
	[HOURS] = MAX(HOURS),
	[KDAYS] = MAX(KDAYS),
	[KDAYS_N] = MAX(ISNULL(CONVERT(NUMERIC(4,0),DAY(dbo.DateEndOfMonth(PERIOD))),0))
INTO #TMP
FROM dbo.SDOC_AVAC_TABLE2 WHERE LINK_UP = @LINK_DOC
GROUP BY [PERIOD]

SELECT  
	@DAYS_SZ = SUM(
		CASE WHEN @PAYMENT = 1 THEN--   
			CASE WHEN (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1) THEN
				CASE WHEN COALESCE(DAYS,0) >= COALESCE(DAYS_N,0) THEN COALESCE(DAYS_N,0) else COALESCE(DAYS,0) * 1.2 END
			ELSE DAYS --  ,     
			END
		ELSE --  
			CASE WHEN (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1) THEN
					CASE WHEN COALESCE(KDAYS,0.00) <> 0 AND COALESCE(KDAYS,0.00) >= COALESCE(KDAYS_N,0.00) THEN @AvgDays else CONVERT(NUMERIC(18,2),@AvgDays * (CASE WHEN COALESCE(KDAYS_N,0.00) <> 0.00 THEN COALESCE(KDAYS,0.00) / COALESCE(KDAYS_N,0.00) else 0.00 END)) END
			ELSE KDAYS --  ,     
			END				
		END)
FROM #TMP

---  
Select ORDERS, PERIOD, SUMMA, PREM, MATER, 
	DAYS = CASE WHEN @SYST_PAY = 2 THEN 0 ELSE DAYS END, 
	HOURS, 
	DAYS_N = CASE WHEN @SYST_PAY = 2 THEN 0 ELSE DAYS_N END, 
	HOURS_N, CODE_KBK = KBK.CODE, 
	RP_S_PREM = @RP_SUMMA_PREM, RP_SUMMA = @RP_SUMMA, RP_S_MAT = @RP_SUMMA_MAT, 
	RP_DAYS = @RP_DAYS,	RP_HOURS = @RP_HOURS,
	RP_DAYS_N = @RP_DAYS_N,	RP_HOURS_N = @RP_HOURS_N,
	SR_PREM = @SR_PREM, DSUM = @SUMMA_BASE0,
	SUM_DSZ = @DAYS_SZ,
	KOEF = 
	CASE WHEN @PAYMENT = 1 THEN--   
		CASE WHEN (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1) THEN
			CASE WHEN COALESCE(DAYS,0) >= COALESCE(DAYS_N,0) THEN 1 else 1.2 END
		ELSE 1 --  ,     
		END
	ELSE --  
	CASE WHEN (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1) THEN
			1
		ELSE 1 --  ,     
		END				
	END,
	DAYS_SZ = ROUND(
	CASE WHEN @PAYMENT = 1 THEN--   
		CASE WHEN (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1) THEN
			CASE WHEN COALESCE(DAYS,0) >= COALESCE(DAYS_N,0) THEN COALESCE(DAYS_N,0) else COALESCE(DAYS,0) * 1.2 END
		ELSE DAYS --  ,     
		END
	ELSE --  
		CASE WHEN (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1) THEN
					CASE WHEN COALESCE(KDAYS,0.00) <> 0 AND COALESCE(KDAYS,0.00) >= COALESCE(KDAYS_N,0.00) THEN @AvgDays else @AvgDays * (CASE WHEN COALESCE(KDAYS_N,0.00) <> 0.00 THEN COALESCE(KDAYS,0.00) / COALESCE(KDAYS_N,0.00) else 0.00 END) END
		ELSE KDAYS --  ,     
		END				
	END,2) , 
	days_k = KDAYS,
	RP_KDAYS = @RP_KDAYS
from SDOC_AVAC_TABLE2 T2  LEFT JOIN dbo.SAL_SFIN KBK ON T2.LINK_KBK = KBK.LINK
where link_up = @LINK_DOC
ORDER BY PERIOD

---

DECLARE @FURLOUGH_OPT11 int --     
SET @FURLOUGH_OPT11 = dbo.sa_get_option_by_code('FURLOUGH_OPT11')
---  ,  
DECLARE @FURLOUGH_GOS_OPT5 int --     
SET @FURLOUGH_GOS_OPT5 = dbo.sa_get_option_by_code('FURLOUGH_GOS_OPT5')

DECLARE @FURLOUGH_GOS_OPT4 varchar(10) --     . 
SET @FURLOUGH_GOS_OPT4 = COALESCE((SELECT VALUE FROM S_OPTIONS WHERE OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = RTRIM(LTRIM('FURLOUGH_GOS_OPT4'))) AND SID IS NULL),'')
SET @FURLOUGH_GOS_OPT4 = CASE WHEN @FURLOUGH_GOS_OPT4 LIKE '%.  .%' THEN '' ELSE @FURLOUGH_GOS_OPT4 END

SET @FURLOUGH_GOS_OPT4 = CASE WHEN LTRIM(RTRIM(@FURLOUGH_GOS_OPT4)) = '' THEN '01.01.1900' else LTRIM(RTRIM(@FURLOUGH_GOS_OPT4)) END


select INSTR = @INSTR, CODE_PAYS = P.CODE, NAME_PAYS = P.NAME, S.SUMMA,
	RAION_S = S.SUMMA *
	CASE WHEN @FURLOUGH_OPT11 = 1 THEN
		CASE WHEN WAY_CALC = 12
			THEN (CASE WHEN @DATE_BEG >= CONVERT(DATETIME,@FURLOUGH_GOS_OPT4,104) THEN DBO.SA_GET_REGION(@LINK_EMPL,@DATE_BEG,1) / 100  ELSE 1 END) 
			ELSE DBO.SA_GET_REGION(@LINK_EMPL,@DATE_BEG,1) / 100
		END
	ELSE 0
	END,
	NORHT_S = S.SUMMA * CASE WHEN @FURLOUGH_GOS_OPT5 = 1 THEN DBO.SA_GET_REGION(@LINK_EMPL,@DATE_BEG,2) / 100 ELSE 0 END
INTO #TMPA
from 
	dbo.SA_ALL_PAYS_ALL_DATE0(@LINK_EMPL, @DATE_BEG, DEFAULT, @LINK_DEP) S
	inner join dbo.pays P on s.link_pay = p.link
where 
	WAY_CALC not in (6, 7, 12)
	AND
	s.link_pay IN (Select T.PAY_LINK FROM dbo.group_pays(@LINK_PAYS) T)

IF NOT EXISTS (SELECT * FROM #TMPA)
	INSERT INTO #TMPA (INSTR, CODE_PAYS, NAME_PAYS) 
	VALUES (1, '', '')

SELECT * FROM #TMPA

---  
Select ORDERS, DATE1, DATE2, DAYS, HOURS, KOEF_IDX, SR_ZP, SUMMA, 
	CODE_KBK = KBK.CODE, ITOGO_DNI = @ITOGO_DNI, ITOGO_CH = @ITOGO_CH
from SDOC_AVAC_TABLE1 T2  LEFT JOIN dbo.SAL_SFIN KBK ON T2.LINK_KBK = KBK.LINK
where link_up = @LINK_DOC 




GO


GRANT EXECUTE ON dbo.[SA_REP_FUR] TO PUBLIC

GO




GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_REP_VACATION_OR_TRAVEL_REESTR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_REP_VACATION_OR_TRAVEL_REESTR]

GO



CREATE PROCEDURE dbo.SA_REP_VACATION_OR_TRAVEL_REESTR ( @Type varchar(20), @DATE1 datetime, @DATE2 datetime, @DEP_LINK INT = NULL , @OPTION INT = 1) 
AS

DECLARE @SQL Nvarchar(4000)

IF @DEP_LINK IS NULL
	EXEC dbo.xd_whats_zb @DEP_LINK OUTPUT

SET @SQL =
N'
SELECT  
	TYPE = @Type,
	REF_TYP = D.type_link, 
	name_typ = D.type_name, 
	tab_numer = D.tab_num,
	NAME_EMPL = D.FIO, 
	D.number,
	D.[date], '
	+ (case when @Type = 'VACATION' then ' perB = D.period_begin,
										  perE = D.period_end,' ELSE '' END) + '  
	date1 = D.date_begin,
	date2 = D.date_end,
	isnull(''''+rtrim(C.NUMBER)+''  ''+convert(varchar(10),C.[DATE],104),'''') as [Calc],
	C.SUMMA,
	C.DAYS,
	C.HOURS 
FROM ' 
	+ RTRIM(@Type) + ' D '
	+ (case when @Type <> 'TRAVEL' then '
	LEFT JOIN (SELECT C0.REF_ARHE, C0.NUMBER, C0.[DATE], SUM(T.SUMMA) AS SUMMA, SUM(T.DAYS) AS DAYS, SUM(T.HOURS) AS HOURS
			FROM DOCUMENTS_ADD_FUR C0 INNER join SDOC_AVAC_TABLE1 T ON T.LINK_UP = C0.LINK
				GROUP BY C0.REF_ARHE, C0.NUMBER, C0.[DATE]) C ON C.REF_ARHE = D.link '
	else '
	LEFT JOIN (SELECT C0.REF_ARHE, C0.NUMBER, C0.[DATE], SUM(T.SUMMA) AS SUMMA, SUM(T.DAYS) AS DAYS, SUM(T.HOURS) AS HOURS
			FROM DOCUMENTS_CALC_TRAVEL C0 INNER join SDOC_AVAC_TABLE1 T ON T.LINK_UP = C0.LINK
				GROUP BY C0.REF_ARHE, C0.NUMBER, C0.[DATE]) C ON C.REF_ARHE = D.link '
	end) + '
WHERE
	D.dep_link = @DEP_LINK
	AND '
		+ 
		CASE @OPTION 
		WHEN 1 THEN
			' D.[date] BETWEEN dbo.DateBeginOfDay(@DATE1) AND dbo.DateEndOfDay(@DATE2) '
		WHEN 2 THEN
			' D.[date_begin] BETWEEN dbo.DateBeginOfDay(@DATE1) AND dbo.DateEndOfDay(@DATE2) '
		WHEN 3 THEN
			' D.[date_begin] <= dbo.DateEndOfDay(@DATE2) AND D.[date_end] >= dbo.DateBeginOfDay(@DATE1) '
		END	
	+ ' AND
	active = 1
ORDER BY
	D.type_link, D.tab_num, D.[date]  
'
print @SQL
EXEC SP_EXECUTESQL @SQL, N'@Type varchar(20), @DEP_LINK INT, @DATE1 datetime, @DATE2 datetime', 
		@Type=@Type, @DEP_LINK = @DEP_LINK, @DATE1 = @DATE1, @DATE2 = @DATE2

GO


GRANT EXECUTE ON dbo.[SA_REP_VACATION_OR_TRAVEL_REESTR] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[I_REPORT_FORMULA_P4_PREPARE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[I_REPORT_FORMULA_P4_PREPARE]

GO

CREATE PROCEDURE DBO.I_REPORT_FORMULA_P4_PREPARE
	@OUT_VAL 	VARCHAR(20) OUTPUT,
	@BDATE		DATETIME,
	@ENDDATE	DATETIME,
	@DEP_LINK	INT,
	@VARILSF	INT
AS BEGIN
	DECLARE @PEOPLE_COUNT VARCHAR(100)
	EXEC DBO.X_GET_TABLE_NAME @PEOPLE_COUNT OUTPUT
	EXEC DBO.I_REPORT_FORMULA_ERASE_TABLES 0

DECLARE @FILTER_SUBDIV_NAME VARCHAR(254), @FILTER_SUBDIV_LINK INT, @PERIOD_TYPE INt
DECLARE @SUBDIV TABLE (LINK INT)

SET @FILTER_SUBDIV_NAME = (SELECT DBO.RN_GET_ATR_VALUE(@VARILSF, 'REPORTS_FILTER_SUBDIV'))

IF @FILTER_SUBDIV_NAME IS NOT NULL
	SET @FILTER_SUBDIV_LINK = 
		( SELECT TOP 1 LINK FROM DBO.REPORT_KBK 
		WHERE ('' + CONVERT(VARCHAR(3),PROPERTY) + ' - ' + NAME) = @FILTER_SUBDIV_NAME
			AND CODE_FORM='FILTER_NABOR' AND CODE='REPORTS_FILTER_SUBDIV')

DECLARE @BUFFER_SUBDIV VARCHAR(20)

IF @FILTER_SUBDIV_LINK IS NOT NULL 
BEGIN

	EXEC DBO.GETRANDSTR 20, @BUFFER_SUBDIV OUT

	INSERT INTO @SUBDIV (LINK) 
	SELECT LINK FROM DBO.RN_VIEW_FILTER WHERE LINK_SELF = @FILTER_SUBDIV_LINK

END

SET  @PERIOD_TYPE  =  (SELECT Period_Type FROM dbo.REPORT_SAVED_FORMS WHERE Link_Saved_Form =@VARILSF)  
/**********************************************************************************************************************/
/******** **********/
DECLARE @D1	DATETIME,
	@D2	DATETIME,
	@DBYEAR DATETIME,
	@dBYEAR_SOC datetime

/*    ,      .  */
SET @D1 = DBO.DATEBEGINOFMONTH (@ENDDATE) 
SET @D2 = DATEADD(MONTH,1,@D1)-1
SET @dBYEAR_SOC = DBO.DATEBEGINOFYEAR(@BDATE)  --        
SET @DBYEAR = CASE WHEN @PERIOD_TYPE = 2 then DBO.DATEBEGINOFYEAR(@BDATE)  ELSE DBO.DATEBEGINOFMONTH (@ENDDATE) END 


DECLARE @SALARY_OPTIONS_OPT7_1 INT 
SET @SALARY_OPTIONS_OPT7_1 =  dbo.SA_GET_OPTION_BY_CODE('SALARY_OPTIONS_OPT7_1')

DECLARE @NAME VARCHAR(100)

INSERT INTO DBO.BUFFER (ID, LINK)
SELECT @BUFFER_SUBDIV, LINK FROM @SUBDIV WHERE @BUFFER_SUBDIV IS NOT NULL

DECLARE @CNT INT
SET @CNT = CONVERT(NUMERIC(18,1), DBO.SA_SCH_EMPLS(@D2, @DEP_LINK, 0, 0, 0, @BUFFER_SUBDIV))


/***   ***/
/*    (/) */
CREATE  TABLE #P4_PART1(COL	INT, VAL NUMERIC(18,1), VAL_STR VARCHAR(20))

INSERT INTO #P4_PART1 (COL, VAL_STR)
SELECT TOP 1 1 AS COL, OKVED FROM dbo.DEPARTMENTS WHERE LINK = @DEP_LINK


/*  .  */
IF @CNT > 15 
	INSERT INTO #P4_PART1 (COL, VAL) SELECT 2, CONVERT(NUMERIC(18,1), DBO.SA_SSCH_EMPLS(@D1, @D2, @DEP_LINK, 0, 1, 0, @BUFFER_SUBDIV))
ELSE	
	INSERT INTO #P4_PART1 (COL, VAL) SELECT 2, CONVERT(NUMERIC(18,1), DBO.SA_SSCH_EMPLS(@DBYEAR, @D2, @DEP_LINK, 0, 1, 0, @BUFFER_SUBDIV))

/*  .  */
IF @CNT > 15 
	INSERT INTO #P4_PART1 (COL, VAL) SELECT 3, CONVERT(NUMERIC(18,1), DBO.SA_SSCH_EMPLS(@D1, @D2, @DEP_LINK, 0, 3, 0, @BUFFER_SUBDIV))
ELSE
	INSERT INTO #P4_PART1 (COL, VAL) SELECT 3, CONVERT(NUMERIC(18,1), DBO.SA_SSCH_EMPLS(@DBYEAR, @D2, @DEP_LINK, 0, 3, 0, @BUFFER_SUBDIV))


if @SALARY_OPTIONS_OPT7_1 = 1 
begin 
	update  p 
		set val = CEILING(p.val)  
	from #P4_PART1 p where p.col in (2)
end 

if @SALARY_OPTIONS_OPT7_1 = 2 
begin 
	update  p 
		set val = CEILING(p.val)  
	from #P4_PART1 p where p.col in (2,3)
end 


		
DELETE FROM DBO.BUFFER WHERE ID = @BUFFER_SUBDIV AND @BUFFER_SUBDIV IS NOT NULL	

CREATE TABLE #EMPL (LINK INT, PERS_LINK INT, DEP_LINK INT, [STATUS] TINYINT, PERIOD_BEG DATETIME, PERIOD_END DATETIME)
INSERT INTO #EMPL
SELECT 
	EMPL_LINK, PERS_LINK, DEP_LINK, [STATUS], PERIOD_BEG, PERIOD_END 
FROM 
	DBO.SA_EMPLS_INFO_PERIOD(@D1, @D2, DEFAULT, @DEP_LINK)
WHERE 
	(
	@BUFFER_SUBDIV IS NULL 
		OR 
	@BUFFER_SUBDIV IS NOT NULL AND SUBDIV_LINK IN (SELECT LINK FROM @SUBDIV)
	)
ORDER BY 
	DEP_LINK, EMPL_LINK

CREATE TABLE #EMPL1 (LINK INT, PERS_LINK INT, DEP_LINK INT, [STATUS] TINYINT, PERIOD_BEG DATETIME, PERIOD_END DATETIME)
INSERT INTO #EMPL1
SELECT 
	EMPL_LINK, PERS_LINK, DEP_LINK, [STATUS], PERIOD_BEG, PERIOD_END 
FROM 
	DBO.SA_EMPLS_INFO_PERIOD(@BDATE, @D2, DEFAULT, @DEP_LINK)
WHERE 
	(
	@BUFFER_SUBDIV IS NULL 
		OR 
	@BUFFER_SUBDIV IS NOT NULL AND SUBDIV_LINK IN (SELECT LINK FROM @SUBDIV)
	)
ORDER BY 
	DEP_LINK, EMPL_LINK


CREATE TABLE #EMPL_SOC (LINK INT, PERS_LINK INT, DEP_LINK INT, [STATUS] TINYINT, PERIOD_BEG DATETIME, PERIOD_END DATETIME)
INSERT INTO #EMPL_SOC
SELECT 
	EMPL_LINK, PERS_LINK, DEP_LINK, [STATUS], PERIOD_BEG, PERIOD_END 
FROM 
	DBO.SA_EMPLS_INFO_PERIOD(@dBYEAR_SOC, @D2, DEFAULT, @DEP_LINK)
WHERE 
	(
	@BUFFER_SUBDIV IS NULL 
		OR 
	@BUFFER_SUBDIV IS NOT NULL AND SUBDIV_LINK IN (SELECT LINK FROM @SUBDIV)
	)
ORDER BY 
	DEP_LINK, EMPL_LINK


--    ,  ,      ,     
UPDATE E
SET E.PERIOD_END = @D2
FROM 
	#EMPL E
	INNER JOIN (SELECT LINK, MAX_PERIOD_END = MAX(PERIOD_END) FROM  #EMPL E1 GROUP BY LINK HAVING COUNT(*) > 1) A 
		ON E.LINK = A.LINK AND E.PERIOD_END = A.MAX_PERIOD_END
WHERE
	A.MAX_PERIOD_END < @D2

--    ,  ,      ,     
UPDATE E
SET E.PERIOD_END = @D2
FROM 
	#EMPL1 E
	INNER JOIN (SELECT LINK, MAX_PERIOD_END = MAX(PERIOD_END) FROM  #EMPL1 E1 GROUP BY LINK HAVING COUNT(*) > 1) A 
		ON E.LINK = A.LINK AND E.PERIOD_END = A.MAX_PERIOD_END
WHERE
	A.MAX_PERIOD_END < @D2		


UPDATE E
SET E.PERIOD_END = @D2
FROM 
	#EMPL_SOC E
	INNER JOIN (SELECT LINK, MAX_PERIOD_END = MAX(PERIOD_END) FROM  #EMPL_SOC E1 GROUP BY LINK HAVING COUNT(*) > 1) A 
		ON E.LINK = A.LINK AND E.PERIOD_END = A.MAX_PERIOD_END
WHERE
	A.MAX_PERIOD_END < @D2	


UPDATE E
SET E.PERIOD_END = @D2
FROM 
	#EMPL_SOC E
	INNER JOIN (SELECT link , MIN_PERIOD_END = min(PERIOD_END) FROM  #EMPL_SOC E1 GROUP BY LINK HAVING COUNT(*) > 1 	) A 
		ON E.LINK = A.LINK AND E.PERIOD_END = A.MIN_PERIOD_END
WHERE
	A.MIN_PERIOD_END < @D2 


/*  */
DECLARE @M NUMERIC(18,2) 

IF @CNT > 15
	SELECT -- 
		@M=SUM(CASE 
			WHEN DGH.DATE1<=@D1 AND COALESCE(DGH.DATE2,@D2)>=@D2 THEN DATEDIFF(DAY,@D1,@D2)		--   
			WHEN DGH.DATE1<=@D1 AND COALESCE(DGH.DATE2,@D2)<@D2  AND DGH.DATE2>@D1 THEN DATEDIFF(DAY,@D1,DGH.DATE2)+1	--    
			WHEN DGH.DATE1>@D1  AND COALESCE(DGH.DATE2,@D2)>=@D2 AND DGH.DATE1<@D2 THEN DATEDIFF(DAY,DGH.DATE1,@D2) 		--    
			WHEN DGH.DATE1>@D1  AND COALESCE(DGH.DATE2,@D2)<@D2  AND DGH.DATE1<@D2 THEN DATEDIFF(DAY,DGH.DATE1,DGH.DATE2)+1	--      
			 ELSE 0
		END)
	FROM 
		dbo.REESTR_DGH DGH
	WHERE
			DEP_LINK = @DEP_LINK 
		AND
			DGH.DATE1 <= @D2 AND DGH.DATE2 >= @D1
		AND
		NOT EXISTS (
			SELECT E.PERS_LINK FROM DBO.SD_EMPL_FN(DEFAULT,@D2,DEFAULT,@DEP_LINK) E
			WHERE DGH.PERS_LINK = E.PERS_LINK AND DGH.DATE1 <= ISNULL(E.DATE_END,ISNULL(DGH.DATE2,@D2)) AND ISNULL(DGH.DATE2,@D2) >= E.DATE_BEGIN 
			)
ELSE
	SELECT --  
		@M=SUM(CASE 
			WHEN DGH.DATE1<=@DBYEAR AND COALESCE(DGH.DATE2,@D2)>=@D2 THEN DATEDIFF(DAY,@DBYEAR,@D2)		--   
			WHEN DGH.DATE1<=@DBYEAR AND COALESCE(DGH.DATE2,@D2)<@D2  AND DGH.DATE2>@DBYEAR THEN DATEDIFF(DAY,@DBYEAR,DGH.DATE2)+1	--    
			WHEN DGH.DATE1>@DBYEAR  AND COALESCE(DGH.DATE2,@D2)>=@D2 AND DGH.DATE1<@D2 THEN DATEDIFF(DAY,DGH.DATE1,@D2) 		--    
			WHEN DGH.DATE1>@DBYEAR  AND COALESCE(DGH.DATE2,@D2)<@D2  AND DGH.DATE1<@D2 THEN DATEDIFF(DAY,DGH.DATE1,DGH.DATE2)+1	--      
			 ELSE 0
		END)
	FROM 
		dbo.REESTR_DGH DGH
	WHERE
			DEP_LINK = @DEP_LINK 
		AND
			DGH.DATE1 <= @D2 AND DGH.DATE2 >= @DBYEAR
		AND
		NOT EXISTS (
			SELECT E.PERS_LINK FROM DBO.SD_EMPL_FN(DEFAULT,@D2,DEFAULT,@DEP_LINK) E
			WHERE DGH.PERS_LINK = E.PERS_LINK AND DGH.DATE1 <= ISNULL(E.DATE_END,ISNULL(DGH.DATE2,@D2)) AND ISNULL(DGH.DATE2,@D2) >= E.DATE_BEGIN 
			)				

DECLARE	@NDAYSFEBR	INT
IF @CNT > 15
	SET @NDAYSFEBR = DAY(DBO.DATEENDOFMONTH(@D1))
ELSE
	SET @NDAYSFEBR = ISNULL((SELECT SUM(DAY(DBO.DATEENDOFMONTH(DATE_BEGIN))) FROM dbo.MONTHS_EX(@DBYEAR, @D2)),99999999)

INSERT INTO #P4_PART1 (COL, VAL)
SELECT 4 AS COL, @M/@NDAYSFEBR

if @SALARY_OPTIONS_OPT7_1 = 1 
begin 
	update  p 
		set val = ROUND(p.val,0) 
	from #P4_PART1 p where p.col = 4
end 

if @SALARY_OPTIONS_OPT7_1 = 2 
begin 
	update  p 
		set val = CEILING(p.val)  
	from #P4_PART1 p where p.col =4
end 


/*
declare @a float 
set @a = '' 
 exec I_REPORT_FORMULA_P4_PREPARE @a output, '20130101' , '20131231' ,74578 ,  39348 
 */
----  (  2,3,4)
--INSERT INTO #P4_PART1
--SELECT 1 AS COL, SUM(VAL) FROM #P4_PART1 WHERE COL > 1

/* - .  */
DECLARE @ISMINUTES TINYINT
SET @ISMINUTES = DBO.SA_GET_OPTION_BY_CODE('TABEL_OPT10') --     


/*  -      */
INSERT INTO #P4_PART1 (COL, VAL)
SELECT [STATUS],  CASE WHEN  datediff(MONTH,@BDATE,@ENDDATE+1) NOT IN  (3,6,9,12) THEN 0 else  DBO.MINUTES_TO_NUM(SUM(DBO.NUM_TO_MINUTES([HOURS],@ISMINUTES)),@ISMINUTES) end
FROM
(
	SELECT 
		[STATUS] = (CASE WHEN F.[STATUS] <> 3 THEN 5 ELSE 6 END),
		[HOURS] = DBO.SA_GET_EMPL_WH(LINK, DEFAULT,DEFAULT,PERIOD_BEG,PERIOD_END,DEFAULT,DEFAULT) 
	FROM 
		#EMPL1 F
) A
GROUP BY [STATUS]


--        ,       
delete FROM 
	#EMPL1 
WHERE
	LINK in (SELECT LINK FROM  #EMPL1 E1 GROUP BY LINK HAVING COUNT(*) > 1 ) 
	AND PERIOD_END not in (SELECT min(PERIOD_END) FROM  #EMPL1 E1 GROUP BY LINK HAVING COUNT(*) > 1 /*and  min(PERIOD_END) = @D2*/ ) 


delete  FROM 	#EMPL_SOC 
WHERE
	LINK in (SELECT LINK FROM  #EMPL_SOC E1 GROUP BY LINK HAVING COUNT(*) > 1 ) 
	AND PERIOD_BEG not in (SELECT min(PERIOD_BEG) FROM  #EMPL_SOC E1 GROUP BY LINK HAVING COUNT(*) > 1 /*and  min(PERIOD_END) = @D2*/ ) 

/*   / */
CREATE  TABLE #P4_S_J_C (SUMMA NUMERIC(20,1), STAT_OTCHET TINYINT, DEP_TYPE TINYINT, COL TINYINT, PERIOD_END DATETIME)
/*   / -  */
CREATE  TABLE #P4_S_J_C_SOC (SUMMA NUMERIC(20,1), STAT_OTCHET TINYINT, DEP_TYPE TINYINT, COL TINYINT, PERIOD_END DATETIME)

DECLARE @LINKEKR213 INT
SELECT @LINKEKR213 = LINK FROM DBO.DICTIONARY_ITEM WHERE CODE = '213'



CREATE TABLE #CJ (PERS_LINK INT, LINK_EMPL INT, LINK_PAYS INT, PERIOD_END DATETIME, SUMMA NUMERIC(18,2), STAT_OTCHET TINYINT, WAY_CALC TINYINT, DEP_TYPE TINYINT)

INSERT INTO #CJ (PERS_LINK, LINK_EMPL, LINK_PAYS, PERIOD_END, SUMMA, STAT_OTCHET, WAY_CALC, DEP_TYPE)
SELECT 
	PERS_LINK, LINK_EMPL, LINK_PAYS, 
	JC.PERIOD_BEGIN , 
	SUMMA, STAT_OTCHET, WAY_CALC,
	CASE WHEN PERS_LINK IS NULL THEN 0 ELSE 5 END /* 5 -   */
FROM
	DBO.CALCULATE_JURNAL JC 
	INNER JOIN DBO.PAYS P ON JC.LINK_PAYS = P.LINK 
WHERE
	P.[OBJECT] = 1 /*   */
	AND  YEAR(JC.PERIOD_BEGIN)=  YEAR(@D1) AND MONTH(JC.PERIOD_BEGIN) <= MONTH(@D1)
	AND P.STAT_OTCHET <> 3
	AND JC.LINK_DEP = @DEP_LINK



-----------  ,        
UPDATE J
SET LINK_EMPL = E.LINK, DEP_TYPE = 0
FROM #CJ J INNER JOIN #EMPL E ON E.PERS_LINK = J.PERS_LINK AND J.[PERIOD_END] BETWEEN E.PERIOD_BEG AND E.PERIOD_END
		
------------
INSERT INTO #P4_S_J_C 
SELECT SUMMA, STAT_OTCHET, DEP_TYPE, COALESCE(F.COL,0), J.[PERIOD_END]
FROM #CJ J INNER JOIN (SELECT LINK, (CASE WHEN STATUS=3 THEN 9 ELSE 8 END) AS COL, PERIOD_BEG, PERIOD_END FROM #EMPL1) F 
		ON J.LINK_EMPL = F.LINK AND YEAR(J.[PERIOD_END]) * 100 + MONTH(J.[PERIOD_END]) 
				BETWEEN YEAR(F.PERIOD_BEG) * 100 + MONTH(F.PERIOD_BEG) AND YEAR(F.PERIOD_END) * 100 + MONTH(F.PERIOD_END)

------------


INSERT INTO #P4_S_J_C_SOC
SELECT SUMMA, STAT_OTCHET, DEP_TYPE, COALESCE(F.COL,0), J.[PERIOD_END]
FROM #CJ J INNER JOIN (SELECT LINK, (CASE WHEN STATUS=3 THEN 9 ELSE 8 END) AS COL, PERIOD_BEG, PERIOD_END FROM #EMPL_soc) F 
		ON J.LINK_EMPL = F.LINK AND
		( (WAY_CALC <> 15 AND  YEAR(J.[PERIOD_END]) * 100 + MONTH(J.[PERIOD_END]) 
				BETWEEN YEAR(F.PERIOD_BEG) * 100 + MONTH(F.PERIOD_BEG) AND YEAR(F.PERIOD_END) * 100 + MONTH(F.PERIOD_END))
		  OR (WAY_CALC =  15 AND YEAR(J.[PERIOD_END]) = YEAR(F.PERIOD_END) AND  MONTH(J.PERIOD_end) <= MONTH(@D1))  )


------------		
INSERT INTO #P4_S_J_C
SELECT SUMMA, STAT_OTCHET, DEP_TYPE, 0, PERIOD_END
FROM #CJ WHERE LINK_EMPL IS NULL

INSERT INTO #P4_S_J_C_SOC
SELECT SUMMA, STAT_OTCHET, DEP_TYPE, 0, PERIOD_END
FROM #CJ WHERE LINK_EMPL IS NULL


	/* COL8! */
	INSERT INTO #P4_PART1 (COL, VAL)
		SELECT 8, SUM(SUMMA)/1000 FROM #P4_S_J_C
		WHERE COL=8 AND STAT_OTCHET=1 AND DEP_TYPE<>5
			AND  
			(	@CNT <= 15 AND MONTH(PERIOD_END) <= MONTH(@ENDDATE)
				OR
				@CNT > 15 AND MONTH(PERIOD_END) = MONTH(@ENDDATE)
			)

	/* COL9! */
	INSERT INTO #P4_PART1 (COL, VAL)
		SELECT 9, SUM(SUMMA)/1000 FROM #P4_S_J_C
		WHERE COL=9 AND STAT_OTCHET=1 AND DEP_TYPE<>5
			AND 
			(	@CNT <= 15 AND MONTH(PERIOD_END) <= MONTH(@ENDDATE)
				OR
				@CNT > 15 AND MONTH(PERIOD_END) = MONTH(@ENDDATE)
			)

	/* COL10! */
	INSERT INTO #P4_PART1 (COL, VAL)
		SELECT 10, SUM(SUMMA)/1000 FROM #P4_S_J_C
		WHERE STAT_OTCHET=1 AND DEP_TYPE=5
			AND 
			(	@CNT <= 15 AND (( @PERIOD_TYPE = 2 and MONTH(PERIOD_END) <= MONTH(@ENDDATE) ) 
								 OR (@PERIOD_TYPE = 4 AND  MONTH(PERIOD_END) = MONTH(@ENDDATE))) 
				OR
				@CNT > 15 AND MONTH(PERIOD_END) = MONTH(@ENDDATE)
			)
	/* COL11!     I , I , 9 ,  */
	INSERT INTO #P4_PART1 (COL, VAL)
		SELECT 11, case when  month(@ENDDATE) IN  (3,6,9,12) then SUM(SUMMA)/1000 ELSE NULL END 
		FROM #P4_S_J_C_SOC
			WHERE STAT_OTCHET=2 -- 
				AND MONTH(PERIOD_END) <= MONTH(@ENDDATE)
				--AND MONTH(@ENDDATE) % 3 = 0

/* . 3 -   */
	/* ROW 21 */
	INSERT INTO #P4_PART1 (COL, VAL)
		SELECT 21, COUNT(*) FROM ITEM_MOVE I LEFT JOIN #EMPL1 DF ON I.EMPL_LINK = DF.LINK AND I.DATE_BEGIN BETWEEN DF.PERIOD_BEG AND DF.PERIOD_END
			WHERE DF.DEP_LINK = @DEP_LINK
				AND NEW_FACE = 1
				AND I.DATE_BEGIN >= @DBYEAR AND I.DATE_BEGIN <= @ENDDATE

	/* ROW 22 */
	INSERT INTO #P4_PART1 (COL, VAL)
		SELECT 22, COUNT(*) FROM ITEM_MOVE I LEFT JOIN #EMPL1 DF ON I.EMPL_LINK = DF.LINK AND I.DATE_BEGIN BETWEEN DF.PERIOD_BEG AND DF.PERIOD_END
			WHERE DF.DEP_LINK = @DEP_LINK 
				AND NEW_FACE = 1
				AND I.DATE_BEGIN >= @DBYEAR AND I.DATE_BEGIN <= @ENDDATE
				AND I.STAFF_LINK IN ( SELECT LINK_UP FROM STAFF WHERE DATE_BEGIN >= @DBYEAR)

	/* ROW 23 */
	INSERT INTO #P4_PART1 (COL, VAL)
		SELECT 23, COUNT(*) FROM ITEM_DIS_FACE I LEFT JOIN #EMPL1 DF ON I.EMPL_LINK = DF.LINK AND I.DIS_DATE BETWEEN DF.PERIOD_BEG AND DF.PERIOD_END
			WHERE DF.DEP_LINK = @DEP_LINK
				AND DIS_DATE >= @DBYEAR AND DIS_DATE <= @ENDDATE

	/* ROW 24 */
	INSERT INTO #P4_PART1 (COL, VAL)
		SELECT 24, COUNT(*) FROM ITEM_DIS_FACE I LEFT JOIN #EMPL DF ON I.EMPL_LINK = DF.LINK AND I.DIS_DATE BETWEEN DF.PERIOD_BEG AND DF.PERIOD_END
			WHERE DF.DEP_LINK = @DEP_LINK 
				AND DIS_DATE >= @DBYEAR AND DIS_DATE <= @ENDDATE
				AND REASON IN (SELECT LINK FROM DICTIONARY_PUV WHERE CODE = '0402')
	
	/* ROW 26 */
	INSERT INTO #P4_PART1 (COL, VAL)
		SELECT 26, COUNT(*) 
		FROM 
			DBO.ITEM_DIS_FACE I 
			INNER JOIN DBO.DICTIONARY_PUV DP ON DP.LINK = I.REASON
			LEFT JOIN #EMPL1 DF ON I.EMPL_LINK = DF.LINK AND I.DIS_DATE BETWEEN DF.PERIOD_BEG AND DF.PERIOD_END
		WHERE DF.DEP_LINK = @DEP_LINK 
				AND DIS_DATE >= @DBYEAR AND DIS_DATE <= @ENDDATE
				AND DP.CODE IN ('0300','0707','2030','2016','0000')
	
	/* ROW 27 */
	INSERT INTO #P4_PART1 (COL, VAL) 
	SELECT 27, @CNT

	-- 
	INSERT INTO #P4_PART1 (COL, VAL)
	SELECT 28, SUM(S.FREE_STAKES)
	FROM DBO.DICTIONARY_STAFF_FN(@ENDDATE) S 
		INNER JOIN DBO.DICTIONARY_SUBDIVISION_FN(@ENDDATE) D ON D.LINK = S.SUBDIV_LINK
	WHERE 
		S.DELETED = 0 AND S.DEP_LINK = @DEP_LINK
		AND D.DELETED = 0
		AND (
				@BUFFER_SUBDIV IS NULL
				OR
				@BUFFER_SUBDIV IS NOT NULL AND S.SUBDIV_LINK IN (SELECT LINK FROM @SUBDIV)
			)				
--select * from #P4_PART1
DROP TABLE #P4_S_J_C

/**********************************************************************************************************************/
/*    */
DECLARE @RESULT_TABLE VARCHAR(100)
EXEC DBO.X_GET_TABLE_NAME @RESULT_TABLE OUTPUT

EXEC DBO.I_REPORT_FORMULA_ERASE_TABLES 0
EXEC ('SELECT * INTO ' + @RESULT_TABLE + ' FROM #P4_PART1 ')
EXEC DBO.BUFFERPUSH -151, @RESULT_TABLE
	SET @OUT_VAL = ''
DROP TABLE #P4_PART1
END












GO


GRANT EXECUTE ON dbo.[I_REPORT_FORMULA_P4_PREPARE] TO PUBLIC

GO


-- --


GO

--AFTER CODE 28.12.2017
DECLARE @LINK_DICT INT,
		@OBJ_DEDUCT INT,
		@OBJ_DEDUCT_APP INT
SET @OBJ_DEDUCT = (select dbo.GetObjLink('DICTIONARY_TYP_DEDUCTION'))		
SET @OBJ_DEDUCT_APP = (select top 1 link from s_objects where code = 'COLUMN_CODE_T_D')		


IF NOT EXISTS(SELECT * FROM DICTIONARY_TYP_DEDUCTION WHERE code = '619')
	INSERT INTO dbo.DICTIONARY_TYP_DEDUCTION (SNAME,NAME,CODE,NUMBER,SUMMA)
	VALUES('619','   ,   ,     ','619',14,0.00)
IF NOT EXISTS(SELECT * FROM s_objects o 
						INNER JOIN diction d ON  o.code = 'DICTIONARY_TYP_DEDUCTION'  
						AND	o.link = d.object 
			  WHERE d.code = '619')
BEGIN			  
	INSERT INTO dbo.diction (NAME,[OBJECT],CODE)
	VALUES(LEFT('   ,   ,     ', 254), @OBJ_DEDUCT,'619')
	SET @LINK_DICT = (SELECT LINK FROM dbo.DICTION WHERE  [OBJECT] =  @OBJ_DEDUCT AND CODE = '619')
	INSERT INTO dbo.diction_APP (link_up,[OBJECT],VALUE)
	VALUES(@LINK_DICT, @OBJ_DEDUCT_APP,'619')	
	SET @LINK_DICT = 0
END 

GO
--***        " "


DECLARE  @varKSERROR TINYINT,
		@varKSparLINK INT , 
		@varKSparNAME VARCHAR(200),
		@varKSparSNAME  VARCHAR(5), 
		@varKSparFLAG           NUMERIC(3,0) ,
		@varKSparREF_DEDUCT     INT ,
		@OBJ_link INT ,
		@varKSstrVALUE	varchar(7000)
		
SET @varKSparLINK = NULL  
SET	@varKSERROR = 0
SET	@varKSparFLAG = 2 
SET	@varKSparREF_DEDUCT = NULL  
SET	@OBJ_link = NULL 

--   2013
set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'DICTIONARY_TYP_INCOMS')
set @varKSparSNAME = '2013'
set @varKSparNAME = '   '
IF NOT EXISTS(SELECT * FROM DICTION WHERE ltrim(rtrim(NAME)) = ltrim(rtrim(@varKSparNAME)))
BEGIN 
	--  DICTION
	EXECUTE dbo.X_UPDATE_DICTION @varKSparLINK OUTPUT, @OBJ_link, NULL,@varKSparNAME
	--  DICTION_APP
	-- 
	set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'COLUMN_CODE_T_INC')
	SET @varKSstrVALUE = Convert(varchar(7000), @varKSparSNAME)
	EXECUTE dbo.X_UPDATE_DICTION_APP @varKSparLINK, @OBJ_link, @varKSstrVALUE

	-- 
	set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'COLUMN_FLAG_S_T_INC')
	SET @varKSstrVALUE = Convert(varchar(7000), @varKSparFLAG)
	EXECUTE dbo.X_UPDATE_DICTION_APP @varKSparLINK, @OBJ_link, @varKSstrVALUE


	--  DICTION_REF   
	--  
	set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'COLUMN_REF_DED_T_INC')
	EXECUTE dbo.X_UPDATE_DICTION_REF @varKSparLINK, @varKSparREF_DEDUCT, @OBJ_link

END 		

--   2014
SET @varKSparLINK = NULL 
SET	@varKSERROR = 0
SET	@varKSparFLAG = 2 
SET	@varKSparREF_DEDUCT = NULL  
SET	@OBJ_link = NULL 

set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'DICTIONARY_TYP_INCOMS')
set @varKSparSNAME = '2014'
set @varKSparNAME = '         '
IF NOT EXISTS(SELECT * FROM DICTION WHERE ltrim(rtrim(NAME)) = ltrim(rtrim(@varKSparNAME)))
BEGIN 
	--  DICTION
	EXECUTE dbo.X_UPDATE_DICTION @varKSparLINK OUTPUT, @OBJ_link, NULL,@varKSparNAME
	--  DICTION_APP
	-- 
	set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'COLUMN_CODE_T_INC')
	SET @varKSstrVALUE = Convert(varchar(7000), @varKSparSNAME)
	EXECUTE dbo.X_UPDATE_DICTION_APP @varKSparLINK, @OBJ_link, @varKSstrVALUE

	-- 
	set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'COLUMN_FLAG_S_T_INC')
	SET @varKSstrVALUE = Convert(varchar(7000), @varKSparFLAG)
	EXECUTE  dbo.X_UPDATE_DICTION_APP @varKSparLINK, @OBJ_link, @varKSstrVALUE


	--  DICTION_REF   
	--  
	set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'COLUMN_REF_DED_T_INC')
	EXECUTE dbo.X_UPDATE_DICTION_REF @varKSparLINK, @varKSparREF_DEDUCT, @OBJ_link

END 

--   2301          ;
SET @varKSparLINK = NULL  
SET	@varKSERROR = 0
SET	@varKSparFLAG = 2 
SET	@varKSparREF_DEDUCT = NULL 
SET	@OBJ_link = NULL 

set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'DICTIONARY_TYP_INCOMS')
set @varKSparSNAME = '2301'
set @varKSparNAME = '        '
IF NOT EXISTS(SELECT * FROM DICTION WHERE ltrim(rtrim(NAME)) = ltrim(rtrim(@varKSparNAME)))
BEGIN 
	--  DICTION
	EXECUTE dbo.X_UPDATE_DICTION @varKSparLINK OUTPUT, @OBJ_link, NULL,@varKSparNAME
	--  DICTION_APP
	-- 
	set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'COLUMN_CODE_T_INC')
	SET @varKSstrVALUE = Convert(varchar(7000), @varKSparSNAME)
	EXECUTE dbo.X_UPDATE_DICTION_APP @varKSparLINK, @OBJ_link, @varKSstrVALUE

	-- 
	set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'COLUMN_FLAG_S_T_INC')
	SET @varKSstrVALUE = Convert(varchar(7000), @varKSparFLAG)
	EXECUTE dbo.X_UPDATE_DICTION_APP @varKSparLINK, @OBJ_link, @varKSstrVALUE


	--  DICTION_REF   
	--  
	set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'COLUMN_REF_DED_T_INC')
	EXECUTE  dbo.X_UPDATE_DICTION_REF @varKSparLINK, @varKSparREF_DEDUCT, @OBJ_link

END

--   2611      ;
SET @varKSparLINK = NULL  
SET	@varKSERROR = 0
SET	@varKSparFLAG = 2 
SET	@varKSparREF_DEDUCT = NULL 
SET	@OBJ_link = NULL 

set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'DICTIONARY_TYP_INCOMS')
set @varKSparSNAME = '2611'
set @varKSparNAME = '    '
IF NOT EXISTS(SELECT * FROM DICTION WHERE ltrim(rtrim(NAME)) = ltrim(rtrim(@varKSparNAME)))
BEGIN 
	--  DICTION
	EXECUTE dbo.X_UPDATE_DICTION @varKSparLINK OUTPUT, @OBJ_link, NULL,@varKSparNAME
	--  DICTION_APP
	-- 
	set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'COLUMN_CODE_T_INC')
	SET @varKSstrVALUE = Convert(varchar(7000), @varKSparSNAME)
	EXECUTE dbo.X_UPDATE_DICTION_APP @varKSparLINK, @OBJ_link, @varKSstrVALUE

	-- 
	set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'COLUMN_FLAG_S_T_INC')
	SET @varKSstrVALUE = Convert(varchar(7000), @varKSparFLAG)
	EXECUTE dbo.X_UPDATE_DICTION_APP @varKSparLINK, @OBJ_link, @varKSstrVALUE

	--  DICTION_REF   
	--  
	set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'COLUMN_REF_DED_T_INC')
	EXECUTE dbo.X_UPDATE_DICTION_REF @varKSparLINK, @varKSparREF_DEDUCT, @OBJ_link

END

--         
--      ,  ,    ,    
--   3021        .
SET @varKSparLINK = NULL  
SET	@varKSERROR = 0
SET	@varKSparFLAG = 2 
SET	@varKSparREF_DEDUCT = NULL  
SET	@OBJ_link = NULL 



set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'DICTIONARY_TYP_INCOMS')
set @varKSparSNAME = '3021'
set @varKSparNAME = '      '
IF NOT EXISTS(SELECT * FROM DICTION WHERE ltrim(rtrim(NAME)) = ltrim(rtrim(@varKSparNAME))) 
AND NOT EXISTS(SELECT * FROM DICTION_APP WHERE OBJECT = (SELECT link FROM s_objects WHERE code ='COLUMN_CODE_T_INC') and  ltrim(rtrim(value)) = ltrim(rtrim(@varKSparSNAME)))
BEGIN 
	--  DICTION
	EXECUTE dbo.X_UPDATE_DICTION @varKSparLINK OUTPUT, @OBJ_link, NULL,@varKSparNAME
	--  DICTION_APP
	-- 
	set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'COLUMN_CODE_T_INC')
	SET @varKSstrVALUE = Convert(varchar(7000), @varKSparSNAME)
	EXECUTE dbo.X_UPDATE_DICTION_APP @varKSparLINK, @OBJ_link, @varKSstrVALUE

	-- 
	set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'COLUMN_FLAG_S_T_INC')
	SET @varKSstrVALUE = Convert(varchar(7000), @varKSparFLAG)
	EXECUTE dbo.X_UPDATE_DICTION_APP @varKSparLINK, @OBJ_link, @varKSstrVALUE

	--  DICTION_REF   
	--  
	set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'COLUMN_REF_DED_T_INC')
	EXECUTE dbo.X_UPDATE_DICTION_REF @varKSparLINK, @varKSparREF_DEDUCT, @OBJ_link

END ELSE 
	BEGIN 
		IF NOT EXISTS(SELECT * FROM DICTION WHERE ltrim(rtrim(NAME)) = ltrim(rtrim(@varKSparNAME))) 
		AND EXISTS(SELECT * FROM DICTION_APP WHERE OBJECT = (SELECT link FROM s_objects WHERE code ='COLUMN_CODE_T_INC') and  ltrim(rtrim(value)) = ltrim(rtrim(@varKSparSNAME)))
		--  DICTION
		BEGIN 
			SET @varKSparLINK = (SELECT TOP 1 link_up FROM DICTION_APP WHERE OBJECT = (SELECT link FROM s_objects WHERE code ='COLUMN_CODE_T_INC') and  ltrim(rtrim(value)) = ltrim(rtrim(@varKSparSNAME)))
			EXECUTE dbo.X_UPDATE_DICTION @varKSparLINK, @OBJ_link, NULL,@varKSparNAME
			SELECT @varKSparLINK
		END 
		
	END 	
-- END ***        " "		
		
 
 --         
--      ,  ,    ,    
--   3023       (),       ,       1  2017 
SET @varKSparLINK = NULL  
SET	@varKSERROR = 0
SET	@varKSparFLAG = 2 
SET	@varKSparREF_DEDUCT = NULL  
SET	@OBJ_link = NULL 



set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'DICTIONARY_TYP_INCOMS')
set @varKSparSNAME = '3023'
set @varKSparNAME = '     (),       ,       1  2017 '
IF NOT EXISTS(SELECT * FROM DICTION WHERE ltrim(rtrim(NAME)) = ltrim(rtrim(@varKSparNAME))) 
AND NOT EXISTS(SELECT * FROM DICTION_APP WHERE OBJECT = (SELECT link FROM s_objects WHERE code ='COLUMN_CODE_T_INC') and  ltrim(rtrim(value)) = ltrim(rtrim(@varKSparSNAME)))
BEGIN 
	--  DICTION
	EXECUTE dbo.X_UPDATE_DICTION @varKSparLINK OUTPUT, @OBJ_link, NULL,@varKSparNAME
	--  DICTION_APP
	-- 
	set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'COLUMN_CODE_T_INC')
	SET @varKSstrVALUE = Convert(varchar(7000), @varKSparSNAME)
	EXECUTE dbo.X_UPDATE_DICTION_APP @varKSparLINK, @OBJ_link, @varKSstrVALUE

	-- 
	set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'COLUMN_FLAG_S_T_INC')
	SET @varKSstrVALUE = Convert(varchar(7000), @varKSparFLAG)
	EXECUTE dbo.X_UPDATE_DICTION_APP @varKSparLINK, @OBJ_link, @varKSstrVALUE

	--  DICTION_REF   
	--  
	set @OBJ_link  =  (SELECT TOP 1 link FROM s_objects WHERE code = 'COLUMN_REF_DED_T_INC')
	EXECUTE dbo.X_UPDATE_DICTION_REF @varKSparLINK, @varKSparREF_DEDUCT, @OBJ_link

END ELSE 
	BEGIN 
		IF NOT EXISTS(SELECT * FROM DICTION WHERE ltrim(rtrim(NAME)) = ltrim(rtrim(@varKSparNAME))) 
		AND EXISTS(SELECT * FROM DICTION_APP WHERE OBJECT = (SELECT link FROM s_objects WHERE code ='COLUMN_CODE_T_INC') and  ltrim(rtrim(value)) = ltrim(rtrim(@varKSparSNAME)))
		--  DICTION
		BEGIN 
			SET @varKSparLINK = (SELECT TOP 1 link_up FROM DICTION_APP WHERE OBJECT = (SELECT link FROM s_objects WHERE code ='COLUMN_CODE_T_INC') and  ltrim(rtrim(value)) = ltrim(rtrim(@varKSparSNAME)))
			EXECUTE dbo.X_UPDATE_DICTION @varKSparLINK, @OBJ_link, NULL,@varKSparNAME
			SELECT @varKSparLINK
		END 
		
	END 	
-- END ***        " "		
	
GO
DELETE HOLIDAYS WHERE [year] = 2018
GO


/*   2018 -    */

DECLARE @YEAR INT , @TD_LINK INT, @TITLE VARCHAR(254)
---  ,      
IF EXISTS( SELECT * FROM HOLIDAYS WHERE [YEAR] = 1900  )
	UPDATE HOLIDAYS SET   [YEAR] = 2015 	
	WHERE [YEAR] = 1900 

SET @YEAR = '2018' 		
IF NOT EXISTS ( select * from HOLIDAYS WHERE [year] = @YEAR )
begin
	--     
		SET @TD_LINK = (SELECT TOP 1 LINK FROM TYP_DAYS WHERE WORK_D = 11)
		IF COALESCE(@TD_LINK,0) > 0
			--    
			INSERT	HOLIDAYS (NAME, DAY, MONTH, TD_LINK, TYPE_HOL,[YEAR])
			SELECT	'1  ( )', 1, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'2  ( )', 2, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'3  ( )', 3, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'4  ( )', 4, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'5  ( )', 5, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'6  ( )', 6, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'7  ( )', 7, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'8  ( )', 8, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'23  (  )', 23, 2, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'8  (  )', 8, 3, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'1  (   )', 1, 5, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'9  ( )', 9, 5, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'12  ( )', 12, 6, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'4  (  )', 4, 11, @TD_LINK, 1,@YEAR

		--     
		SET @TD_LINK = (SELECT TOP 1 LINK FROM TYP_DAYS WHERE SYMB = '')
		IF COALESCE(@TD_LINK,0) > 0
			--     
			INSERT	HOLIDAYS (NAME, DAY, MONTH, TD_LINK, TYPE_HOL, DAY1, MONTH1,[YEAR])
			SELECT	'22 ', 22, 2, @TD_LINK, 2, NULL, NULL,@YEAR
			UNION ALL
			SELECT	'7 ', 7, 3, @TD_LINK, 2, NULL, NULL,@YEAR
			UNION ALL
			SELECT	'28 ', 28, 4, @TD_LINK, 2, NULL, NULL,@YEAR			
			UNION ALL
			SELECT	'8 ', 8, 5, @TD_LINK, 2, NULL, NULL,@YEAR			
			UNION ALL
			SELECT	'9 ', 9, 6, @TD_LINK, 2, NULL, NULL,@YEAR
			UNION ALL
			SELECT	'29 ', 29, 12, @TD_LINK, 2, NULL, NULL,@YEAR
			

		--     
		SET @TD_LINK = (SELECT TOP 1 LINK FROM TYP_DAYS WHERE WORK_D = 11)
		IF COALESCE(@TD_LINK,0) > 0
			--     
			INSERT	HOLIDAYS (NAME, DAY, MONTH, TD_LINK, TYPE_HOL, DAY1, MONTH1,[YEAR])
			SELECT	'9  (   6 )', 9, 3, @TD_LINK, 3, 6, 1,@YEAR
			UNION ALL
			SELECT	'2  (   7 )', 2, 5, @TD_LINK, 3, 7, 1,@YEAR
			UNION ALL
			SELECT	'30  (   28 )', 30, 4, @TD_LINK, 3, 28, 4,@YEAR
			UNION ALL
			SELECT	'11  (   9 )', 11, 6, @TD_LINK, 3, 9, 6,@YEAR
			UNION ALL
			SELECT	'5  (   4 )', 5, 11, @TD_LINK, 3, 4, 11,@YEAR
			UNION ALL
			SELECT	'31  (   29 )', 31, 12, @TD_LINK, 3, 29, 12,@YEAR
			

END 

GO



/*     2018 */
DECLARE @Cur1 CURSOR, @LinkGrophik int, @VID_LINK int, @NAME_GR varchar(254)
DECLARE @Cur2 CURSOR, @DAY tinyint, @HOUR numeric(18,2), @TD_LINK int

DECLARE @MONTH INT, @YEAR INT
DECLARE @LINK INT, @LINK2 INT, @gDayNorm INT, @gHourNorm numeric(18,2)

DECLARE @ISMINUTES TINYINT
SET @ISMINUTES = DBO.SA_GET_OPTION_BY_CODE('TABEL_OPT10') --     

SET @Cur1 = CURSOR FORWARD_ONLY

FOR select LINK, VID_LINK, [NAME] from GRAPH order by link
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LinkGrophik, @VID_LINK, @NAME_GR
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		SELECT @YEAR = 2018, @MONTH = 1
		WHILE @MONTH <= 12
		BEGIN

			IF NOT EXISTS(SELECT @LinkGrophik FROM dbo.KD_GRAPH_TABLE WHERE [YEAR] = @YEAR AND [MONTH] = @MONTH AND LINK_GR = @LinkGrophik)
			BEGIN
				IF object_id('tempdb..#sa_tmp_graph') is not null
				drop table #sa_tmp_graph
				
				CREATE TABLE #sa_tmp_graph(CHECKED tinyint, UPD tinyint, DEL tinyint, [DAY] tinyint, [HOUR] numeric(18,2), TD_LINK int, TD_CODE varchar(10),
						TD_NAME varchar(254), PRIORITET tinyint )
				
				INSERT INTO #sa_tmp_graph(CHECKED, UPD, DEL, [DAY], [HOUR], TD_LINK, TD_CODE, TD_NAME, PRIORITET)
				exec dbo.KD_GRAPH_FILL @VID_LINK, @MONTH, @YEAR
				
				Select @gHourNorm = DBO.MINUTES_TO_NUM(SUM(DBO.NUM_TO_MINUTES([HOUR],@ISMINUTES)),@ISMINUTES) from #sa_tmp_graph where [HOUR] > 0
				Select @gDayNorm = COUNT(DISTINCT [DAY]) from #sa_tmp_graph where [HOUR] > 0
				
				IF COALESCE(@gHourNorm,0) > 0 AND coalesce(@gDayNorm,0) > 0
				BEGIN
				
					EXEC dbo.KD_GRAPH_SAVE @LinkGrophik OUT, @LINK2 OUT, @NAME_GR, @MONTH, @YEAR, @VID_LINK, @gDayNorm, @gHourNorm
		
					SET @Cur2 = CURSOR FORWARD_ONLY
					
					FOR select [DAY], [HOUR], [TD_LINK] from #sa_tmp_graph order by [DAY]
					OPEN @Cur2
					FETCH NEXT FROM @Cur2 INTO @DAY, @HOUR, @TD_LINK
					WHILE (@@fetch_status <> -1)
					BEGIN
						IF (@@fetch_status <> -2)
						BEGIN
							exec dbo.KD_GRAPH_TABLE_SAVE @LINK2, @DAY, @HOUR, @TD_LINK
						END
					
						FETCH NEXT FROM @Cur2 INTO @DAY, @HOUR, @TD_LINK
					END
					
					CLOSE @Cur2
					DEALLOCATE @Cur2
				END
			END

			Set @MONTH = @MONTH + 1
		END
		
	END
	FETCH NEXT FROM @Cur1 INTO @LinkGrophik, @VID_LINK, @NAME_GR
END

CLOSE @Cur1
DEALLOCATE @Cur1
GO


GO
/****** : ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'ORDERS_VID_ORD')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'ORDERS_VID_ORD')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'ORDERS_VID_ORD')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'ORDERS_VID_ORD')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'ORDERS_VID_ORD'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'ORDERS_VID_ORD')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='ORDERS_VID_ORD')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'ORDERS_VID_ORD', '', 8, (SELECT LINK FROM S_OBJECTS WHERE CODE='ORDERS_REESTR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'ORDERS_VID_ORD', NAME = '', ORDERS = '8', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='ORDERS_REESTR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='ORDERS_VID_ORD'
GO
EXEC X_SET_PROP 'ORDERS_VID_ORD', 'TITLE', ''
GO
EXEC X_SET_PROP 'ORDERS_VID_ORD', 'VISIBLE', '13'
GO
EXEC X_SET_PROP 'ORDERS_VID_ORD', 'CONTROLSOURCE', 'm.cAlias+''.vid'''
GO
EXEC X_SET_PROP 'ORDERS_VID_ORD', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'ORDERS_VID_ORD', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'ORDERS_VID_ORD', 'CONTROLSOURCE_EDIT', 'm.cAlias+''.vid'''
GO
EXEC X_SET_PROP 'ORDERS_VID_ORD', 'FIELD_DATA', 'vid'
GO

/****************     *************/


GO
--  "      "
--   scriptObjectVar 'REP_PERS_CARD_ESN_15'

/***   ***/

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var

CREATE TABLE #UPD_object_var (link_navigator int)

INSERT INTO #UPD_object_var (link_navigator)
SELECT  SN.LINK
FROM S_NAVIGATOR SN,OBJECT_VAR OV
WHERE SN.LINK_VAR = OV.LINK AND OV.CODE= 'REP_PERS_CARD_ESN_15'  

 
GO
    
	DELETE FROM OBJECT_VAR WHERE CODE = 'REP_PERS_CARD_ESN_15'
	INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
	Select (Select link from s_objects where code = 'QUERY_SQL'),
	'      ',304, 
	(Select link from object_var where code = 'SQL_REPORT_CATALOG_SALARY'),
	'REP_PERS_CARD_ESN_15',NULL, NULL, 1
	

	UPDATE S_NAVIGATOR
	SET LINK_VAR = (SELECT TOP 1 LINK FROM object_var WHERE CODE = 'REP_PERS_CARD_ESN_15') 
	FROM S_NAVIGATOR S INNER JOIN #UPD_object_var U on S.LINK = U.link_navigator
GO

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var
GO
/***   ***/
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'INIT_OBJECT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'INIT_OBJECT_METHOD'),
	VALUE= 'm_print_query(nLink_Var)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'VISIBLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'VISIBLE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FOOTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDFROM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDFROM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDINTO')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDINTO'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDSELECT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDSELECT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDWHERE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDWHERE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AFTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AFTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_BEFORE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_BEFORE'),
	VALUE= '	DECLARE @nLINK INT
	SET @nLINK = CAST(@cText1 AS INT)

		EXEC dbo.SA_PERS_CARD_ESN_15 @nLINK, @cYear1
'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DISTINCT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DISTINCT'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FOOTER'),
	VALUE= '="                               " & User_FIO
                                 '
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_HEADER'),
	VALUE= '=User_Name'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PROCEDURE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PROCEDURE'),
	VALUE= '#REP_PERS_CARD_ESN_15'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPMAKER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPMAKER'),
	VALUE= 'KIRREPMAKERMULTISHEET.XLS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT'),
	VALUE= 'IIF(.T.,"PERS_CARD_ESN_17.XLT","")'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT_PATH')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT_PATH'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SQL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SQL'),
	VALUE= 'CREATE PROCEDURE #REP_PERS_CARD_ESN_15
	@cText1 INT	/*  */,
	@cYear1 VARCHAR(4)	/*   */
AS
BEGIN

	DECLARE @nLINK INT
	SET @nLINK = CAST(@cText1 AS INT)

	EXEC dbo.SA_PERS_CARD_ESN_15 @nLINK, @cYear1

END'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SYSTEM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SYSTEM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOP')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOP'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTAL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTAL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALROW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALROW'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AP_LIST')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AP_LIST'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'EOD_PROTOCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'EOD_PROTOCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_REPORT_PROG')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_REPORT_PROG'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADD_MODULE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADD_MODULE'),
	VALUE= 'PERS_CARD_ESN_17.BAS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_CODE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_CODE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATE_TYPE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATE_TYPE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'SQUERY_NO_SHOW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'SQUERY_NO_SHOW'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15') and  PROPERTY = (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'REP_PERS_CARD_ESN_15'),
	PROPERTY= (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR'),
	VALUE= '0'
	
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'REP_PERS_CARD_ESN_15_NASTR_GR' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_NASTRS'),
		' ',1, 
		(Select link from object_var where code = 'REP_PERS_CARD_ESN_15'),
		'REP_PERS_CARD_ESN_15_NASTR_GR',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'REP_PERS_CARD_ESN_15_MAIN_PARAM' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'',2, 
					(Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR_GR'),
					'REP_PERS_CARD_ESN_15_MAIN_PARAM',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'INT'
						
GO
						

						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'REP_PERS_CARD_ESN_15_NASTR2' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_YEARBOX'),
					' ',3, 
					(Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR_GR'),
					'REP_PERS_CARD_ESN_15_NASTR2',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'FORMAT'),
							'9999'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'MASKBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							' , '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cYear1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'VARCHAR(4)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'REP_PERS_CARD_ESN_15_NASTR2'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO


GO
EXEC X_SET_PROP 'SA_SDOC_FR', 'REMOVE_OBJECT_METHOD', 'I_DELETE_RECORDS(m.oForm.Alias, "SA_SDOC_FR", "SS_DELETE_SDOC_FR", 4, .F., .F.)'
GO
GO
EXEC SA_SET_STATIC_NASTR '2018'

GO

GO
--  " 2-     "
--   scriptObjectVar 'SQL_REPORT_2NDFL_FACE_DGH'

/***   ***/

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var

CREATE TABLE #UPD_object_var (link_navigator int)

INSERT INTO #UPD_object_var (link_navigator)
SELECT  SN.LINK
FROM S_NAVIGATOR SN,OBJECT_VAR OV
WHERE SN.LINK_VAR = OV.LINK AND OV.CODE= 'SQL_REPORT_2NDFL_FACE_DGH'  

 
GO
    
	DELETE FROM OBJECT_VAR WHERE CODE = 'SQL_REPORT_2NDFL_FACE_DGH'
	INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
	Select (Select link from s_objects where code = 'QUERY_SQL'),
	' 2-     ',NULL, 
	(Select link from object_var where code = 'SQL_REPORT_CATALOG_SALARY'),
	'SQL_REPORT_2NDFL_FACE_DGH',NULL, NULL, 1
	

	UPDATE S_NAVIGATOR
	SET LINK_VAR = (SELECT TOP 1 LINK FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_DGH') 
	FROM S_NAVIGATOR S INNER JOIN #UPD_object_var U on S.LINK = U.link_navigator
GO

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var
GO
/***   ***/
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'INIT_OBJECT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'INIT_OBJECT_METHOD'),
	VALUE= 'm_print_query(nLink_Var)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'VISIBLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'VISIBLE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FOOTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDFROM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDFROM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDINTO')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDINTO'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDSELECT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDSELECT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDWHERE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDWHERE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AFTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AFTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_BEFORE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_BEFORE'),
	VALUE= 'declare @nSummForCheck numeric(18,2)

if len(ltrim(rtrim(@cText5)))= 0
begin 
   select @cText5 = null
end

if isnumeric(ltrim(rtrim(@cText5))) = 0 
begin 	
	select @cText5 = null
end
	select @cText5 =  REPLACE(ltrim(rtrim(@cText5)),'','',''.'');
	select  @nSummForCheck  =  cast(ltrim(rtrim(@cText5))  as numeric(18,2)) 
			 

EXEC dbo.SD_REP_2NDFL
	@cText1					/*   */,
	@cText2					/*     */,
	@nCheck1 				/*      */,
	@nSummForCheck  		/*      */,
	'''',  0,	/*       */
	'''',  0,	/*       */
	NULL, /* */
	@nMonth1 /*   */,
	@nSel_Spr1 /* */,
	@nCheck3 /*     */,
	@nOption1, /*   1 - , 2 - , 3 -  */
@cText6 /*      */'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DISTINCT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DISTINCT'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FOOTER'),
	VALUE= '="                               " & User_FIO
                                 '
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_HEADER'),
	VALUE= '=User_Name'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PROCEDURE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PROCEDURE'),
	VALUE= '#SD_REP_2NDFL'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPMAKER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPMAKER'),
	VALUE= 'KIRREPMAKER.XLS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT'),
	VALUE= 'IIF(kir_2ndfl_prepare_report(),"2NDFL-DATA1.XLT","")'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT_PATH')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT_PATH'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SQL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SQL'),
	VALUE= 'CREATE PROCEDURE #SD_REP_2NDFL
	@cText2 varchar(8000)	/*   */,
	@nSel_Spr1 int	/*  */,
	@cText1 varchar(8000)	/*   */,
	@nMonth1 int	/*   */,
	@cText4 varchar(8000)	/*  */,
	@nCheck1 int	/*      */,
	@cText5 varchar(8000)	/*      */,
	@nOption1 int	/*  */,
	@cText6 varchar(8000)	/*      */,
	@nCheck3 int /*     */
AS
BEGIN

declare @nSummForCheck numeric(18,2)

if len(ltrim(rtrim(@cText5)))= 0
begin 
   select @cText5 = null
end

if isnumeric(ltrim(rtrim(@cText5))) = 0 
begin 	
	select @cText5 = null
end
	select @cText5 =  REPLACE(ltrim(rtrim(@cText5)),'','',''.'');
	select  @nSummForCheck  =  cast(ltrim(rtrim(@cText5))  as numeric(18,2)) 

EXEC dbo.SD_REP_2NDFL
	@cText1					/*   */,
	@cText2					/*     */,
	@nCheck1 				/*      */,
	@nSummForCheck  		/*      */,
	'''',  0,	/*       */
	'''',  0,	/*       */
	NULL, /* */
	@nMonth1 /*   */,
	@nSel_Spr1 /* */,
	@nCheck3 /*     */,
	@nOption1, /*   1 - , 2 - , 3 -  */
@cText6 /*      */

END'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SYSTEM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SYSTEM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOP')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOP'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTAL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTAL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALROW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALROW'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AP_LIST')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AP_LIST'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'EOD_PROTOCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'EOD_PROTOCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_REPORT_PROG')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_REPORT_PROG'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADD_MODULE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADD_MODULE'),
	VALUE= 'KirRepCommon.bas'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_CODE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_CODE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATE_TYPE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATE_TYPE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'SQUERY_NO_SHOW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'SQUERY_NO_SHOW'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ALTERNATIVE_PRINT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ALTERNATIVE_PRINT_METHOD'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH') and  PROPERTY = (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
	PROPERTY= (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR'),
	VALUE= '0'
	
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_DGH_NASTR' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_NASTRS'),
		'',1, 
		(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH'),
		'SQL_REPORT_2NDFL_FACE_DGH_NASTR',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_DGH_N2' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					' ',2, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_NASTR'),
					'SQL_REPORT_2NDFL_FACE_DGH_N2',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(8000)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N2'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_LSEL_SPR'),
					'',3, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_NASTR'),
					'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'LSel_Spr'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'3'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'KU_EMPL_PLACING'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nSel_Spr1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'17047'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'17047'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_DGH_N1' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					' ',4, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_NASTR'),
					'SQL_REPORT_2NDFL_FACE_DGH_N1',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(8000)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'2017'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'2017'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N1'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_DGH_N3' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_MONTHBOX'),
					' ',5, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_NASTR'),
					'SQL_REPORT_2NDFL_FACE_DGH_N3',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'MONTHBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							' , '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nMonth1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							' '
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N3'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_DGH_N4' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'',6, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_NASTR'),
					'SQL_REPORT_2NDFL_FACE_DGH_N4',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'4'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText4'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(8000)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N4'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_DGH_N5' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_CHECKBOX'),
					'    ',7, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_NASTR'),
					'SQL_REPORT_2NDFL_FACE_DGH_N5',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'    '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'CHECKBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'.,.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nCheck1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N5'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_DGH_N6' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'    ',8, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_NASTR'),
					'SQL_REPORT_2NDFL_FACE_DGH_N6',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'    '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'5'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText5'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(8000)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N6'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_DGH_N7' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_OPTIONGROUP'),
					'',9, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_NASTR'),
					'SQL_REPORT_2NDFL_FACE_DGH_N7',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'OPTIONGROUP'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							',,'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nOption1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N7'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_DGH_N9' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'    ',10, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_NASTR'),
					'SQL_REPORT_2NDFL_FACE_DGH_N9',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9'),
							(Select link from s_property where code = 'FORMAT'),
							'[01-98]'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'    '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'5'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText6'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(8000)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'00'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'00'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N9'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO

/***        ***/

		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_DGH_N8' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_CHECKBOX'),
					'   ',11, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_NASTR'),
					'SQL_REPORT_2NDFL_FACE_DGH_N8',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'   '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'CHECKBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'.,.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nCheck3'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_DGH_N8'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO


GO
--  " 2-"
--   scriptObjectVar 'SQL_REPORT_2NDFL_FACE'

/***   ***/

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var

CREATE TABLE #UPD_object_var (link_navigator int)

INSERT INTO #UPD_object_var (link_navigator)
SELECT  SN.LINK
FROM S_NAVIGATOR SN,OBJECT_VAR OV
WHERE SN.LINK_VAR = OV.LINK AND OV.CODE= 'SQL_REPORT_2NDFL_FACE'  

 
GO
    
	DELETE FROM OBJECT_VAR WHERE CODE = 'SQL_REPORT_2NDFL_FACE'
	INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
	Select (Select link from s_objects where code = 'QUERY_SQL'),
	' 2-',NULL, 
	(Select link from object_var where code = 'SQL_REPORT_CATALOG_SALARY'),
	'SQL_REPORT_2NDFL_FACE',NULL, NULL, 1
	

	UPDATE S_NAVIGATOR
	SET LINK_VAR = (SELECT TOP 1 LINK FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE') 
	FROM S_NAVIGATOR S INNER JOIN #UPD_object_var U on S.LINK = U.link_navigator
GO

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var
GO
/***   ***/
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'INIT_OBJECT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'INIT_OBJECT_METHOD'),
	VALUE= 'm_print_query(nLink_Var)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'VISIBLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'VISIBLE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FOOTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDFROM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDFROM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDINTO')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDINTO'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDSELECT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDSELECT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDWHERE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDWHERE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AFTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AFTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_BEFORE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_BEFORE'),
	VALUE= 'declare @nSummForCheck numeric(18,2)

if len(ltrim(rtrim(@cText5)))= 0
begin 
   select @cText5 = null
end

if isnumeric(ltrim(rtrim(@cText5))) = 0 
begin 	
	select @cText5 = null
end
	select @cText5 =  REPLACE(ltrim(rtrim(convert(varchar(16),@cText5))),'','',''.'');
	select  @nSummForCheck  =  cast(ltrim(rtrim(@cText5))  as numeric(18,2)) 
			 

EXEC dbo.SD_REP_2NDFL
	@cText1					/*   */,
	@cText2					/*     */,
	@nCheck2 				/*      */,
	@nSummForCheck  		/*      */,
	'''',  0,	/*       */
	'''',  0,	/*       */
	@nSel_Spr1, /* */
	@nMonth1, /*   */
	DEFAULT, /*       */
	@nCheck3, /*     */
       @nOption1, /*   1 - , 2 - , 3 -  */
           @cText6 /*      */
'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DISTINCT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DISTINCT'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FOOTER'),
	VALUE= '="                               " & User_FIO
                                 '
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_HEADER'),
	VALUE= '=User_Name'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PROCEDURE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PROCEDURE'),
	VALUE= '#SD_REP_2NDFL_FACE'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPMAKER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPMAKER'),
	VALUE= 'KIRREPMAKER.XLS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT'),
	VALUE= 'IIF(kir_2ndfl_prepare_report(),"2NDFL-DATA1.XLT","")'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT_PATH')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT_PATH'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SQL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SQL'),
	VALUE= 'CREATE PROCEDURE #SD_REP_2NDFL_FACE
	@cText2 varchar(8000)	/*   */,
	@nSel_Spr1 int	/*  */,
	@cText1 varchar(8000)	/*   */,
	@nMonth1 int	/*   */,
	@cText4 varchar(8000)	/*  */,
	@nCheck2 int	/*      */,
	@cText5 varchar(8000)	/*      */,
	@nOption1 int	/*  */,
	@cText6 varchar(8000)	/*      */,	
	@nCheck3 int	/*     */
AS
BEGIN

declare @nSummForCheck numeric(18,2)

if len(ltrim(rtrim(@cText5)))= 0
begin 
   select @cText5 = null
end

if isnumeric(ltrim(rtrim(@cText5))) = 0 
begin 	
	select @cText5 = null
end
	select @cText5 =  REPLACE(ltrim(rtrim(convert(varchar(16),@cText5))),'','',''.'');
	select  @nSummForCheck  =  cast(ltrim(rtrim(@cText5))  as numeric(18,2)) 
			 

EXEC dbo.SD_REP_2NDFL
	@cText1					/*   */,
	@cText2					/*     */,
	@nCheck2 				/*      */,
	@nSummForCheck  		/*      */,
	'''',  0,	/*       */
	'''',  0,	/*       */
	@nSel_Spr1, /* */
	@nMonth1, /*   */
	DEFAULT, /*       */
	@nCheck3, /*     */
    @nOption1, /*   1 - , 2 - , 3 -  */
    @cText6 /*      */


END'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SYSTEM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SYSTEM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOP')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOP'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTAL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTAL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALROW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALROW'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AP_LIST')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AP_LIST'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'EOD_PROTOCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'EOD_PROTOCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_REPORT_PROG')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_REPORT_PROG'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADD_MODULE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADD_MODULE'),
	VALUE= 'KirRepCommon.bas'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_CODE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_CODE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATE_TYPE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATE_TYPE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'SQUERY_NO_SHOW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'SQUERY_NO_SHOW'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ALTERNATIVE_PRINT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ALTERNATIVE_PRINT_METHOD'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR'),
	VALUE= '0'
	
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_NASTR' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_NASTRS'),
		'',1, 
		(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE'),
		'SQL_REPORT_2NDFL_FACE_NASTR',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_N2' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					' ',2, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_NASTR'),
					'SQL_REPORT_2NDFL_FACE_N2',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(8000)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'

GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_LSEL_SPR'),
					'',3, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_NASTR'),
					'SQL_REPORT_2NDFL_FACE_MAIN_PARAM',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'LSel_Spr'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'3'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'KU_EMPL_PLACING'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nSel_Spr1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''


GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''

GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_N1' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					' ',4, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_NASTR'),
					'SQL_REPORT_2NDFL_FACE_N1',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(8000)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''

						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_N3' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_MONTHBOX'),
					' ',5, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_NASTR'),
					'SQL_REPORT_2NDFL_FACE_N3',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'MONTHBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							' , '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nMonth1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							' '

						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_N4' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'',6, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_NASTR'),
					'SQL_REPORT_2NDFL_FACE_N4',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'4'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText4'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(8000)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'

GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_N5' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_CHECKBOX'),
					'    ',7, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_NASTR'),
					'SQL_REPORT_2NDFL_FACE_N5',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'    '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'CHECKBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'.,.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nCheck2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'

GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_N6' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'    ',8, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_NASTR'),
					'SQL_REPORT_2NDFL_FACE_N6',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'    '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'5'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText5'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(8000)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_N7' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_OPTIONGROUP'),
					'',9, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_NASTR'),
					'SQL_REPORT_2NDFL_FACE_N7',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'OPTIONGROUP'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							',,'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nOption1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO

/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_N9' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'    ',10, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_NASTR'),
					'SQL_REPORT_2NDFL_FACE_N9',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9'),
							(Select link from s_property where code = 'FORMAT'),
							'[01-98]'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'    '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'5'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText6'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(8000)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'01'

GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N9'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_N8' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_CHECKBOX'),
					'   ',11, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_NASTR'),
					'SQL_REPORT_2NDFL_FACE_N8',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'   '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'CHECKBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'.,.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nCheck3'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'

						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO


GO
--  "    "
--   scriptObjectVar 'SQL_REPORT_2NDFL'

/***   ***/

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var

CREATE TABLE #UPD_object_var (link_navigator int)

INSERT INTO #UPD_object_var (link_navigator)
SELECT  SN.LINK
FROM S_NAVIGATOR SN,OBJECT_VAR OV
WHERE SN.LINK_VAR = OV.LINK AND OV.CODE= 'SQL_REPORT_2NDFL'  

 
GO
    
	DELETE FROM OBJECT_VAR WHERE CODE = 'SQL_REPORT_2NDFL'
	INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
	Select (Select link from s_objects where code = 'QUERY_SQL'),
	'    ',201, 
	(Select link from object_var where code = 'SQL_REPORT_CATALOG_SALARY'),
	'SQL_REPORT_2NDFL',NULL, NULL, 1
	

	UPDATE S_NAVIGATOR
	SET LINK_VAR = (SELECT TOP 1 LINK FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL') 
	FROM S_NAVIGATOR S INNER JOIN #UPD_object_var U on S.LINK = U.link_navigator
GO

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var
GO
/***   ***/
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'INIT_OBJECT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'INIT_OBJECT_METHOD'),
	VALUE= 'kir_export_query(nLink_Var)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_DATETIME'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FOOTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_PAGES'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDFROM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDFROM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDINTO')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDINTO'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDSELECT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDSELECT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDWHERE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDWHERE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AFTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AFTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_BEFORE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_BEFORE'),
	VALUE= 'declare @nSummForCheck numeric(18,2)

if len(ltrim(rtrim(@cText5)))= 0
begin 
   select @cText5 = null
end

if isnumeric(ltrim(rtrim(@cText5))) = 0 
begin 	
	select @cText5 = null
end
	select @cText5 =  REPLACE(ltrim(rtrim(convert(varchar(16),@cText5))),'','',''.'');
	select  @nSummForCheck  =  cast(ltrim(rtrim(@cText5))  as numeric(18,2)) 

			 
EXEC dbo.SD_REP_2NDFL
	@cText1					/*   */,
	@cText3					/*     */,
	@nCheck2 				/*      */,
	@nSummForCheck 		/*      */,
	@cVal1,  @nOtborLink1,	/*   */
	@cVal2,  @nOtborLink2,	/*   */
	DEFAULT, /*     	*/
	DEFAULT, /*     	*/
	DEFAULT, /*     	*/
	@nCheck3, /*     */
    @nOption1, /*   1 - , 2 - , 3 -  */
	@cText6    /*      */			
'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATETIME'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DISTINCT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DISTINCT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FOOTER'),
	VALUE= '="                               " & User_FIO
                                 '
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FREEZEPANES'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_HEADER'),
	VALUE= '=User_Name'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PAGES'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PROCEDURE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PROCEDURE'),
	VALUE= '#REPORT_2NDFL'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPMAKER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPMAKER'),
	VALUE= 'KIRREPMAKER.XLS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT'),
	VALUE= 'IIF(kir_2ndfl_prepare_report(),"2NDFL-DATA1.XLT","")'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT_PATH')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT_PATH'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SQL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SQL'),
	VALUE= 'CREATE PROCEDURE #REPORT_2NDFL
	@cText1 varchar(4)	/*   */,
	@nCheck1 int	/*   */,
	@cText2 varchar(3)	/*   () */,
	@cText3 varchar(4)	/*     */,
	@cText4 varchar(1)	/*  */,
	@nCheck2 int	/*      */,
	@cText5 varchar(16)	/*      */,
	@nOption1 int	/*  */,
	@cText6 varchar(2)	/*      */,	
	@nCheck3 int	/*     */,
	@nFilterLink int	/*  */
AS
BEGIN
	DECLARE @cVal1 char(1), @nOtborLink1 int	/*   */
	SELECT @nOtborLink1 = (SELECT LINK FROM OBJECT_VAR WHERE LINK_SELF=@nFilterLink AND OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE=''OTBOR_QUERY_SQL_EMPL''))
	SELECT @cVal1 = (SELECT VALUE FROM OBJECT_VAR_VALUES WHERE LINK_UP=@nOtborLink1 AND PROPERTY=(SELECT LINK FROM S_PROPERTY WHERE CODE=''QUERY_OTBOR_CHECK''))
	DECLARE @cVal2 char(1), @nOtborLink2 int	/*   */
	SELECT @nOtborLink2 = (SELECT LINK FROM OBJECT_VAR WHERE LINK_SELF=@nFilterLink AND OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE=''OTBOR_QUERY_SQL_DGH''))
	SELECT @cVal2 = (SELECT VALUE FROM OBJECT_VAR_VALUES WHERE LINK_UP=@nOtborLink2 AND PROPERTY=(SELECT LINK FROM S_PROPERTY WHERE CODE=''QUERY_OTBOR_CHECK''))

declare @nSummForCheck numeric(18,2)

if len(ltrim(rtrim(@cText5)))= 0
begin 
   select @cText5 = null
end

if isnumeric(ltrim(rtrim(@cText5))) = 0 
begin 	
	select @cText5 = null
end
	select @cText5 =  REPLACE(ltrim(rtrim(convert(varchar(16),@cText5))),'','',''.'');
	select  @nSummForCheck  =  cast(ltrim(rtrim(@cText5))  as numeric(18,2)) 

			 
EXEC dbo.SD_REP_2NDFL
	@cText1					/*   */,
	@cText3					/*     */,
	@nCheck2 				/*      */,
	@nSummForCheck 		/*      */,
	@cVal1,  @nOtborLink1,	/*   */
	@cVal2,  @nOtborLink2,	/*   */
	DEFAULT, /*     	*/
	DEFAULT, /*     	*/
	DEFAULT, /*     	*/
	@nCheck3, /*     */
    @nOption1 ,/*   1 - , 2 - , 3 -  */
	@cText6 /*      */

END'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SYSTEM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SYSTEM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOP')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOP'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTAL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTAL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALROW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALROW'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AP_LIST')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AP_LIST'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'EOD_PROTOCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'EOD_PROTOCOL'),
	VALUE= 'PROTOCOLS_EOD_2NDFL#1'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_REPORT_PROG')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_REPORT_PROG'),
	VALUE= 'KIR_2NDFL_AFTER_REP(oForm)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADD_MODULE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADD_MODULE'),
	VALUE= 'KirRepCommon.bas'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ALTERNATIVE_PRINT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ALTERNATIVE_PRINT_METHOD'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR'),
	VALUE= '0'
	
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'OTBOR_QUERY_SQL_EMPL' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_FILTER'),
		'   ',NULL, 
		(Select link from object_var where code = 'SQL_REPORT_2NDFL'),
		'OTBOR_QUERY_SQL_EMPL',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'W400311' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'OTBOR_QUERY_SQL_DGH'),
					' ',2, 
					(Select link from object_var where code = 'OTBOR_QUERY_SQL_EMPL'),
					'W400311',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'W400311') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400311'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_CHECK') and LINK_UP = (Select link from object_var where code = 'W400311') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400311'),
							(Select link from s_property where code = 'QUERY_OTBOR_CHECK'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE') and LINK_UP = (Select link from object_var where code = 'W400311') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400311'),
							(Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE'),
							'DICTIONARY_PERSONS_DGH'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_FIELD') and LINK_UP = (Select link from object_var where code = 'W400311') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400311'),
							(Select link from s_property where code = 'QUERY_OTBOR_FIELD'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_PARENT_CODE') and LINK_UP = (Select link from object_var where code = 'W400311') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400311'),
							(Select link from s_property where code = 'QUERY_OTBOR_PARENT_CODE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_VALUE') and LINK_UP = (Select link from object_var where code = 'W400311') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400311'),
							(Select link from s_property where code = 'QUERY_OTBOR_VALUE'),
							''
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'W400312' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'OTBOR_QUERY_SQL_EMPL'),
					' ',1, 
					(Select link from object_var where code = 'OTBOR_QUERY_SQL_EMPL'),
					'W400312',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_CHECK') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_OTBOR_CHECK'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE'),
							'DICT_EMPLOYERS01'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_FIELD') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_OTBOR_FIELD'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_PARENT_CODE') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_OTBOR_PARENT_CODE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_VALUE') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_OTBOR_VALUE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE2') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE2'),
							'DICTIONARY_SUBDIVISION01'
						
GO
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'SQL_REPRT_2NDFL_NASTR_GR' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_NASTRS'),
		' ',3, 
		(Select link from object_var where code = 'SQL_REPORT_2NDFL'),
		'SQL_REPRT_2NDFL_NASTR_GR',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR1' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					' ',4, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR1',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(4)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''

GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR2' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_CHECKBOX'),
					' ',5, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR2',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'CHECKBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'.,.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nCheck1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						

GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR3' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'  ()',6, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR3',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'  ()'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(3)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'

GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR4' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'   ',7, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR4',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'   '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'3'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText3'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(4)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'

GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR5' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'',8, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR5',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'EDITABLE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'FORMAT'),
							'[1-2]'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'4'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText4'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(1)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR8' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_OPTIONGROUP'),
					'',11, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR8',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'OPTIONGROUP'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							',,'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nOption1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO

/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR10' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'    ',12, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR10',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'FORMAT'),
							'[01-98]'

GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'    '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'5'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText6'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(2)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'01'

GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR6' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_CHECKBOX'),
					'    ',9, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR6',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'    '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'CHECKBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'.,.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nCheck2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'

						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR7' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'    ',10, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR7',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'    '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'5'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText5'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(16)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR9' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_CHECKBOX'),
					'   ',13, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR9',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'   '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'CHECKBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'.,.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nCheck3'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO


GO
---   
declare @PERIOD DATETIME,
	    @link_mrot_o INT 


SET @PERIOD = coalesce((select Max(PERIOD) from minrot),'20000101')
SET @link_mrot_o = (SELECT TOP 1 link FROM minrot WHERE period = @PERIOD)

IF @PERIOD < '20180101'
BEGIN
	declare @P1 int, @LINK_DED INT
				
	DECLARE @Object INT, @Object2 INT, @Object3 INT , @Object4 int, @LinkDep int
	SELECT @Object = LINK FROM dbo.S_OBJECTS WHERE CODE = 'COLUMN_REF_PAY_MROT_T1'
	SELECT @Object2 = LINK FROM dbo.S_OBJECTS WHERE CODE = 'COLUMN_REF_PAY_MROT_T2'
	SELECT @Object3 = LINK FROM dbo.S_OBJECTS WHERE CODE = 'COLUMN_REF_PAY_MROT_T3'
	SELECT @LinkDep = LINK FROM dbo.DICTIONARY_DEPARTMENT WHERE TYPE = 4
	
	Declare @nRKoef numeric(18,2), @KOEF_BL numeric(18,2), @TARIF numeric(18,2), @MROT1 numeric(18,2),@reserv tinyint
	/* */
	select top 1 @MROT1 =MROT1, @TARIF = TARIF, @nRKoef = KOEF, @KOEF_BL = KOEF_BL ,@reserv = RESERV FROM  dbo.MINROT order by PERIOD desc

	Select @MROT1 = COALESCE(@MROT1,100), @TARIF = COALESCE(@TARIF,2300), @nRKoef = COALESCE(@nRKoef,1), @KOEF_BL = COALESCE(@KOEF_BL,1) , @reserv = ISNULL(@reserv,0)


	set @P1 = 0
	exec SALARY_SAVE_DICTIONARY_MROT @P1 output, 
			/* */'20180101', 
			/* */@MROT1, 
			/*  */9489, 
			/*  */@TARIF, 
			/* */@nRKoef, 
			/*   /*/@KOEF_BL, 
					@LinkDep,
			/*    */ @reserv

	IF COALESCE(@Object,0) > 0 AND COALESCE(@P1,0) > 0 BEGIN
		--   
	
		SELECT TOP 1  @LINK_DED = LINK   FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '104'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,500)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '105'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,3000)
	--
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '126'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,1400)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '127'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,1400)
			
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '128'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,3000)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '129'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,6000)
	--
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '130'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,1400)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '131'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,1400)
			
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '132'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,3000)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '133'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,6000)
	--
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '134'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,2800)
		
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '135'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,2800)
		
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '136'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,2800)
		
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '137'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,2800)			
	
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '138'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,6000)
			
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '139'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,6000)
			

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '140'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,24000)	
		
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '141'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,12000)						
	--
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '142'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,2800)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '143'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,2800)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '146'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,6000)

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '147'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,6000)
			
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '148'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,24000)		


		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '149'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,350000,12000)	


		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '311'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,2000000)		

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '312'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,3000000)		

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '320'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,120000)		

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '321'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,50000)		
			
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '324'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,120000)		

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '325'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,120000)		
									
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '326'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,120000)					

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '501'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,4000)				

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '502'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,4000)				

		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '503'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,0,4000)				
	
		SELECT TOP 1  @LINK_DED = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '602'
		IF COALESCE(@LINK_DED,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P1,@LINK_DED,@Object,12000,0)	


	END
	

	--   
	IF COALESCE(@P1,0) > 0 AND  COALESCE(@Object2,0) > 0
		INSERT INTO  MINROT_DICTION(LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
		SELECT 
		LINK_MINROT = @P1,
		md.LINK_DICTION,
		md.[OBJECT],
		md.PREDEL,
		md.SUMMA
		from dbo.MINROT_DICTION  md
		WHERE md.link_minrot = @link_mrot_o 
		AND  md.[OBJECT] = @Object2
		AND EXISTS (SELECT LINK   FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE link = md.LINK_DICTION )

 
	--   
	
	DECLARE @FSS12 int

	SELECT TOP 1 @FSS12 = LINK FROM PAYS WHERE OBJECT = 3 AND WAY_CALC = 5

	IF COALESCE(@P1,0) > 0 BEGIN
		IF COALESCE(@FSS12,0) > 0
			exec SALARY_SAVE_DICTIONARY_MROT_TABLE3 @P1, @FSS12, 0, 0.12
	END


END   

IF @PERIOD = '20180101'
BEGIN

	declare @P2 int, @LINK_DED1 INT
	DECLARE @Object11 INT,@Object22 INT, @Object33 INT , @Object44 int
	SELECT @Object11 = LINK FROM dbo.S_OBJECTS WHERE CODE = 'COLUMN_REF_PAY_MROT_T1'
	SELECT @Object22 = LINK FROM dbo.S_OBJECTS WHERE CODE = 'COLUMN_REF_PAY_MROT_T2'
	SELECT @Object33 = LINK FROM dbo.S_OBJECTS WHERE CODE = 'COLUMN_REF_PAY_MROT_T3'

	SET @P2 = (select TOP 1 link from minrot where period = @PERIOD)
	
	IF COALESCE(@Object11,0) > 0 AND COALESCE(@P2,0) > 0 BEGIN
		--   

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '104'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 500 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '105'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 3000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11

	--
		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '126'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 1400 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '127'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 1400 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11
			
		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '128'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 3000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '129'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 6000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '130'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 1400 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '131'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 1400 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11
			
		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '132'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 3000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '133'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 6000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11

	--
		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '134'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 2800 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11

		
		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '135'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 2800 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '136'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 2800 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11

		
		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '137'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 2800 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11
			
		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '138'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 6000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '139'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 6000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '140'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 24000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '141'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 12000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11	
	--
		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '142'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 2800 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11
		
		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '143'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 2800 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11		


		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '146'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 6000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11		

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '147'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 6000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11		

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '148'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 24000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11		

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '149'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 12000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11		
		
		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '311'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 2000000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11	

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '312'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 3000000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11	

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '320'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 120000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11	

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '321'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 50000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11	


		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '324'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 120000
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11	

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '325'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 120000
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11	


		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '326'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 120000
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11
					

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '501'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 4000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11		

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '502'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 4000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11		

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '503'
		IF COALESCE(@LINK_DED1,0) > 0 
		Update m
			set SUMMA = 4000 
		from MINROT_DICTION  m  where LINK_MINROT = @P2 and LINK_DICTION = @LINK_DED1 and OBJECT = @Object11		

		SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '602'
		IF COALESCE(@LINK_DED1,0) > 0 
		BEGIN 
			IF exists (select * from MINROT_DICTION where LINK_DICTION = @LINK_DED1 and LINK_MINROT = @p2)
			DELETE FROM MINROT_DICTION WHERE LINK_DICTION = @LINK_DED1 and LINK_MINROT = @p2

			SELECT TOP 1  @LINK_DED1 = LINK FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '602'
			IF COALESCE(@LINK_DED1,0) > 0 
			INSERT INTO MINROT_DICTION (LINK_MINROT,LINK_DICTION,OBJECT,PREDEL,SUMMA)
			VALUES(@P2,@LINK_DED1,@Object11,12000,0)	
		END
	END
	--   
	
	DECLARE @FSS12_1 int

	SELECT TOP 1 @FSS12_1 = LINK FROM PAYS WHERE OBJECT = 3 AND WAY_CALC = 5


	IF COALESCE(@P2,0) > 0 BEGIN
		IF COALESCE(@FSS12_1,0) > 0
			IF EXISTS (SELECT TOP 1 * FROM MINROT_PAYS WHERE LINK_MINROT = @P2 AND LINK_PAYS = @FSS12_1	AND [OBJECT] = @Object33)
				UPDATE MINROT_PAYS
				SET summa = 0.12 
				WHERE LINK_MINROT = @P2 AND LINK_PAYS = @FSS12_1
				AND [OBJECT] = @Object33
			ELSE 
				exec SALARY_SAVE_DICTIONARY_MROT_TABLE3 @P2, @FSS12_1, 0, 0.12
	END

END

GO
GO

----    
DECLARE @LINK_OBJ INT
SET @LINK_OBJ = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS SO WHERE SO.CODE = 'COLUMN_REF_PAY_MROT_T4')

if exists (SELECT * FROM MINROT_PAYS WHERE  [OBJECT] = @LINK_OBJ AND link_minrot IN (SELECT LINK FROM  dbo.MINROT WHERE PERIOD >= '20180101' AND   PERIOD < '20990101'))
DELETE FROM MINROT_PAYS WHERE  [OBJECT] = @LINK_OBJ AND link_minrot IN (SELECT LINK FROM  dbo.MINROT 
                                                                               WHERE PERIOD >= '20180101'
                                                                               AND   PERIOD < '20990101')
GO

DECLARE @LINK_OBJ INT
SET @LINK_OBJ = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS SO WHERE SO.CODE = 'COLUMN_REF_PAY_MROT_T4')

INSERT INTO dbo.MINROT_PAYS (LINK_MINROT, LINK_PAYS, OBJECT)
SELECT M.LINK, P.LINK, @LINK_OBJ 
FROM dbo.MINROT M INNER JOIN dbo.PAYS P ON 1=1
WHERE 
	M.PERIOD >= '20180101'
	AND
	M.PERIOD < '20990101'
	AND
	P.[OBJECT] = 3 AND P.WAY_CALC IN (2,3, 6)
	AND
	NOT EXISTS (SELECT * FROM dbo.DICTIONARY_MROT_TABLE4 T4 WHERE T4.LINK_MINROT = M.LINK AND T4.REF_PAY = P.LINK)
ORDER BY
	M.LINK, P.LINK
GO


DECLARE @LINK_OBJ INT
SET @LINK_OBJ = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS SO WHERE SO.CODE = 'COLUMN_REF_PAY_MROT_T4')

INSERT INTO dbo.MINROT_PAYS (LINK_MINROT, LINK_PAYS, OBJECT)
SELECT M.LINK, P.LINK, @LINK_OBJ 
FROM dbo.MINROT M INNER JOIN dbo.PAYS P ON 1=1
WHERE 
	M.PERIOD >= '20180101'
	AND
	M.PERIOD < '20990101'
	AND
	P.[OBJECT] = 3 AND P.WAY_CALC IN (10, 11)
	AND
	NOT EXISTS (SELECT * FROM dbo.DICTIONARY_MROT_TABLE4 T4 WHERE T4.LINK_MINROT = M.LINK AND T4.REF_PAY = P.LINK)
ORDER BY
	M.LINK, P.LINK
		
GO



GO


GO
/*   2018 */


-- ()
DECLARE @link_pays int, @p1 INT
SELECT TOP 1 @link_pays = LINK FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 2 --  
SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki where link_pays = @link_pays and date = '20180101' and predel = 815000 AND TARIF = 1),0)
exec dbo.SALARY_SAVE_DICTIONARY_STAVKI @p1 output,@link_pays,'20180101',' ',815000, 2.9, 1

SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 1),0)
exec dbo.SALARY_SAVE_DICTIONARY_STAVKI @p1 output,@link_pays,'20180101',' ',999999999, 0, 1
GO

DECLARE @link_pays int, @p1 INT
SELECT TOP 1 @link_pays = LINK FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 3 --   
SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 1),0)
exec dbo.SALARY_SAVE_DICTIONARY_STAVKI @p1 output,@link_pays,'20180101','',999999999, 5.1, 1
GO

DECLARE @link_pays int, @p1 INT
SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 6 --  
SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 1021000 AND TARIF = 1),0)
exec dbo.SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','  ',1021000, 22, 22, 22, 1

SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 1),0)
exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','  ',999999999, 10, 10, 10, 1
GO


DECLARE @link_pays int, @p1 INT
SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 10 --       1 
SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 1),0)
exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101',' . 1',999999999,  9, 9, 9, 1
GO

DECLARE @link_pays int, @p1 INT
SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 11 --      2 
SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 1),0)
exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101',' . 2',999999999, 6, 6, 6, 1
GO

-- ()
DECLARE @link_pays int, @p1 INT
SELECT TOP 1 @link_pays = LINK FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 2 --  
SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki where link_pays = @link_pays and date = '20180101' and predel = 815000 AND TARIF = 3),0)
exec dbo.SALARY_SAVE_DICTIONARY_STAVKI @p1 output,@link_pays,'20180101',' ',815000, 2.9, 3

SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 3),0)
exec dbo.SALARY_SAVE_DICTIONARY_STAVKI @p1 output,@link_pays,'20180101',' ',999999999, 0, 3
GO

DECLARE @link_pays int, @p1 INT
SELECT TOP 1 @link_pays = LINK FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 3 --   
SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 3),0)
exec dbo.SALARY_SAVE_DICTIONARY_STAVKI @p1 output,@link_pays,'20180101','',999999999, 5.10, 3
GO

DECLARE @link_pays int, @p1 INT
SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 6 --  
SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 1021000 AND TARIF = 3),0)
exec dbo.SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','  ',1021000, 22, 22, 22, 3

SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 3),0)
exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','  ',999999999, 10, 10, 10, 3
GO

DECLARE @link_pays int, @p1 INT
SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 10 --       1 
SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 3),0)
exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101',' . 1',999999999,  9, 9, 9, 3
GO

DECLARE @link_pays int, @p1 INT
SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 11 --      2 
SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 3),0)
exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101',' . 2',999999999, 6, 6, 6, 3
GO


/*     2018    */
-----------------------------------------------------------------------------
------------------------<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
-- ()
----------------------------
--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 10 --       1   "4"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '4'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 1 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    1',999999999,  8, 8, 8, 1,@specO
--GO

--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 10 --       1   "3.4"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '3.4'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 1 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    1',999999999,  7, 7, 7, 1,@specO
--GO

--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 10 --       1   "3.3"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '3.3'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 1 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    1',999999999,  6, 6, 6, 1,@specO
--GO

--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 10 --       1   "3.2"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '3.2'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 1 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    1',999999999,  4, 4, 4, 1,@specO
--GO

--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 10 --       1   "3.1"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '3.1'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 1 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    1',999999999,  2, 2, 2, 1,@specO
--GO

--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 11 --      2   "4"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '4'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 1 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    2',999999999, 8, 8, 8, 1,@specO
--GO

--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 11 --       1   "3.4"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '3.4'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 1 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    2',999999999,  7, 7, 7, 1,@specO
--GO

--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 11 --       1   "3.3"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '3.3'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 1 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    2',999999999, 6, 6, 6, 1,@specO
--GO

--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 11 --       1   "3.2"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '3.2'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 1 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    2',999999999, 4, 4, 4, 1,@specO
--GO

--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 11 --       1   "3.1"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '3.1'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 1 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    2',999999999,  2, 2, 2, 1,@specO
--GO
-----------------------------------------
---- ()
-----------------------------------------
--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 10 --       1   "4"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '4'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 3 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    1',999999999,  8, 8, 8, 3,@specO
--GO

--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 10 --       1   "3.4"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '3.4'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 3 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    1',999999999,  7, 7, 7, 3,@specO
--GO

--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 10 --       1   "3.3"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '3.3'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 3 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    1',999999999,  6, 6, 6, 3,@specO
--GO

--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 10 --       1   "3.2"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '3.2'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 3 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    1',999999999,  4, 4, 4, 3,@specO
--GO

--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 10 --       1   "3.1"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '3.1'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 3 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    1',999999999,  2, 2, 2, 3,@specO
--GO


--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 11 --      2   "4"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '4'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 3 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    2',999999999, 8, 8, 8, 3,@specO
--GO

--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 11 --      2   "3.4"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '3.4'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 3 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    2',999999999, 7, 7, 7, 3,@specO
--GO

--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 11 --      2   "3.3"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '3.3'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 3 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    2',999999999, 6, 6, 6, 3,@specO
--GO

--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 11 --      2   "3.2"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '3.2'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 3 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    2',999999999, 4, 4, 4, 3,@specO
--GO

--DECLARE @link_pays int, @p1 INT,@specO INT 
--SELECT TOP 1 @link_pays = LINK, @p1 = 0 FROM dbo.PAYS WHERE OBJECT = 3 AND WAY_CALC = 11 --      2   "3.1"
--SELECT @specO = link FROM SA_SZV4_SPR WHERE spr_code = 'SPO_USL_TRUDA' AND CODE = '3.1'
--SET @p1 = ISNULL((select TOP 1 LINK from dbo.stavki_pf where link_pays = @link_pays and date = '20180101' and predel = 999999999 AND TARIF = 3 AND SpecO = @specO),0)
--exec SALARY_SAVE_DICTIONARY_STAVKI_PF @p1 output,@link_pays,'20180101','.    2',999999999, 2, 2, 2, 3,@specO
--GO



GO

GO
/****** :       (-)******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'SS_SZV_STAZH_PACHKA')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'SS_SZV_STAZH_PACHKA')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'SS_SZV_STAZH_PACHKA')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'SS_SZV_STAZH_PACHKA')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'SS_SZV_STAZH_PACHKA'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'SS_SZV_STAZH_PACHKA')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_STAZH_PACHKA', '      (-)', 37, (SELECT LINK FROM S_OBJECTS WHERE CODE='CATALOG_DICT_SAL_KADR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='XDOCUMENT_CLASS'),1,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_STAZH_PACHKA', NAME = '      (-)', ORDERS = '37', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='CATALOG_DICT_SAL_KADR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='XDOCUMENT_CLASS'), MANAGED = 1, INHERITED = 1
	WHERE CODE ='SS_SZV_STAZH_PACHKA'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_CHECKED')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_CHECKED', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_CHECKED', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_CHECKED'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_LINK')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_LINK', ' /', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_LINK', NAME = ' /', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_LINK'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_DATE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_DATE', ' ', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_DATE', NAME = ' ', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_DATE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_NUMER')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_NUMER', '  ', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_NUMER', NAME = '  ', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_NUMER'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_TYPE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_TYPE', ' ', 5, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_TYPE', NAME = ' ', ORDERS = '5', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_TYPE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_NTYPE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_NTYPE', ' ', 6, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_NTYPE', NAME = ' ', ORDERS = '6', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_NTYPE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_VID_KOR')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_VID_KOR', ' ', 7, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_VID_KOR', NAME = ' ', ORDERS = '7', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_VID_KOR'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_YEAR_BEGIN')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_YEAR_BEGIN', ' ', 8, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_YEAR_BEGIN', NAME = ' ', ORDERS = '8', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_YEAR_BEGIN'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_PER')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_PER', ' ', 9, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_PER', NAME = ' ', ORDERS = '9', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_PER'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_MONTH_END')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_MONTH_END', '     ', 10, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_MONTH_END', NAME = '     ', ORDERS = '10', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_MONTH_END'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_NVID_KOR')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_NVID_KOR', '', 11, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_NVID_KOR', NAME = '', ORDERS = '11', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_NVID_KOR'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_YEAR_EDT')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_YEAR_EDT', ' .', 12, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_YEAR_EDT', NAME = ' .', ORDERS = '12', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_YEAR_EDT'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_PER_EDT')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_PER_EDT', ' .', 13, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_PER_EDT', NAME = ' .', ORDERS = '13', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_PER_EDT'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_PROVERKA')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_PROVERKA', '', 14, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_PROVERKA', NAME = '', ORDERS = '14', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_PROVERKA'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_SUM_STR')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_SUM_STR', '.', 15, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_SUM_STR', NAME = '.', ORDERS = '15', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_SUM_STR'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_SUM_NAK')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_SUM_NAK', '.', 16, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_SUM_NAK', NAME = '.', ORDERS = '16', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_SUM_NAK'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_SUM_DOP')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_SUM_DOP', ' . ', 17, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_SUM_DOP', NAME = ' . ', ORDERS = '17', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_SUM_DOP'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_INCOME')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_INCOME', ' ', 18, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_INCOME', NAME = ' ', ORDERS = '18', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_INCOME'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_BASE_BEFORE_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_BASE_BEFORE_1', ' ', 19, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_BASE_BEFORE_1', NAME = ' ', ORDERS = '19', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_BASE_BEFORE_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_BASE_AFTER')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_BASE_AFTER', ' ', 20, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_BASE_AFTER', NAME = ' ', ORDERS = '20', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_BASE_AFTER'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_INCOME_T1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_INCOME_T1', ' (1)', 21, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_INCOME_T1', NAME = ' (1)', ORDERS = '21', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_INCOME_T1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_INCOME_T2')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_INCOME_T2', ' (2)', 22, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_INCOME_T2', NAME = ' (2)', ORDERS = '22', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_INCOME_T2'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_CODE_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_CODE_1', '', 23, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_CODE_1', NAME = '', ORDERS = '23', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_CODE_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_CODE_SELF')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_CODE_SELF', '   ', 24, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_CODE_SELF', NAME = '   ', ORDERS = '24', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_CODE_SELF'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PACHKA_NUM_RASCH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PACHKA_NUM_RASCH', '  ', 30, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PACHKA_NUM_RASCH', NAME = '  ', ORDERS = '30', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PACHKA_NUM_RASCH'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_STAZH_SVEDENIA', '   ', 25, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_GRID_GROUP'),0,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_STAZH_SVEDENIA', NAME = '   ', ORDERS = '25', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_GRID_GROUP'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_STAZH_SVEDENIA'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH', '    ', 26, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_GRID_GROUP'),0,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH', NAME = '    ', ORDERS = '26', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_GRID_GROUP'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_STAZH_SPR', '   ', 27, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_GRID_GROUP'),0,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_STAZH_SPR', NAME = '   ', ORDERS = '27', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_GRID_GROUP'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_STAZH_SPR'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_OPTIONS')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_STAZH_OPTIONS', '      ', 28, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_GRID_GROUP'),0,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_STAZH_OPTIONS', NAME = '      ', ORDERS = '28', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_GRID_GROUP'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_STAZH_OPTIONS'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PLATEG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_STAZH_PLATEG', '   ', 29, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_GRID_GROUP'),0,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_STAZH_PLATEG', NAME = '   ', ORDERS = '29', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_GRID_GROUP'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_STAZH_PLATEG'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PFR_KATEG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_STAZH_PFR_KATEG', '  ', 31, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_GRID_GROUP'),0,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_STAZH_PFR_KATEG', NAME = '  ', ORDERS = '31', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PACHKA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_GRID_GROUP'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_STAZH_PFR_KATEG'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_CHECKED')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_CHECKED', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_CHECKED', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_CHECKED'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_N_FORMA')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_N_FORMA', '', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_N_FORMA', NAME = '', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_N_FORMA'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_CODE', '', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_CODE', NAME = '', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_PACHKA')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_PACHKA', ' ', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_PACHKA', NAME = ' ', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_PACHKA'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_ORDERS')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_ORDERS', '  ', 5, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_ORDERS', NAME = '  ', ORDERS = '5', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_ORDERS'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_FIO')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_FIO', '...', 6, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_FIO', NAME = '...', ORDERS = '6', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_FIO'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_FM')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_FM', '', 7, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_FM', NAME = '', ORDERS = '7', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_FM'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_IM')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_IM', '', 8, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_IM', NAME = '', ORDERS = '8', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_IM'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_OT')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_OT', '', 9, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_OT', NAME = '', ORDERS = '9', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_OT'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_PF_NUM')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_PF_NUM', '   ', 10, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_PF_NUM', NAME = '   ', ORDERS = '10', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_PF_NUM'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_ADDRESS')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_ADDRESS', '', 11, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_ADDRESS', NAME = '', ORDERS = '11', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_ADDRESS'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_SUM_DOH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_SUM_DOH', ' ', 12, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_SUM_DOH', NAME = ' ', ORDERS = '12', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_SUM_DOH'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_INSUR')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_INSUR', '.', 13, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_INSUR', NAME = '.', ORDERS = '13', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_INSUR'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_GAIN')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_GAIN', '.', 14, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_GAIN', NAME = '.', ORDERS = '14', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_GAIN'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_DOP')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_DOP', ' .', 15, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_DOP', NAME = ' .', ORDERS = '15', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_DOP'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_DPER_VN_M')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_DPER_VN_M', '., .', 16, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_DPER_VN_M', NAME = '., .', ORDERS = '16', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_DPER_VN_M'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_DPER_VN_D')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_DPER_VN_D', '., .', 17, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_DPER_VN_D', NAME = '., .', ORDERS = '17', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_DPER_VN_D'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_DPER_OZ_M')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_DPER_OZ_M', '  /, .', 18, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_DPER_OZ_M', NAME = '  /, .', ORDERS = '18', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_DPER_OZ_M'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_ISUM_STR')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_ISUM_STR', '  /, .', 19, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_ISUM_STR', NAME = '  /, .', ORDERS = '19', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_ISUM_STR'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_DPER_OZ_D')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_DPER_OZ_D', '.  -', 20, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_DPER_OZ_D', NAME = '.  -', ORDERS = '20', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_DPER_OZ_D'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_ISUM_NAK')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_ISUM_NAK', '.  -', 21, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_ISUM_NAK', NAME = '.  -', ORDERS = '21', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_ISUM_NAK'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_DOLG_STR')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_DOLG_STR', '  . ', 22, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_DOLG_STR', NAME = '  . ', ORDERS = '22', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_DOLG_STR'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_PLAT_DOLG_S')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_S', '   . ', 23, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_S', NAME = '   . ', ORDERS = '23', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_PLAT_DOLG_S'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_DOLG_NAK')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_DOLG_NAK', '  . ', 24, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_DOLG_NAK', NAME = '  . ', ORDERS = '24', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_DOLG_NAK'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_PLAT_DOLG_N')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_N', '   . ', 25, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_N', NAME = '   . ', ORDERS = '25', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_PLAT_DOLG_N'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_INCOME_M1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_INCOME_M1', '  (1 )', 26, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_INCOME_M1', NAME = '  (1 )', ORDERS = '26', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_INCOME_M1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVED_BASE_BEFORE_M1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVED_BASE_BEFORE_M1', '   (1 )', 27, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVED_BASE_BEFORE_M1', NAME = '   (1 )', ORDERS = '27', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVED_BASE_BEFORE_M1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVED_BASE_AFTER_M1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVED_BASE_AFTER_M1', '   (1 )', 28, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVED_BASE_AFTER_M1', NAME = '   (1 )', ORDERS = '28', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVED_BASE_AFTER_M1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_INCOME_M2')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_INCOME_M2', '  (2 )', 29, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_INCOME_M2', NAME = '  (2 )', ORDERS = '29', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_INCOME_M2'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVED_BASE_BEFORE_M2')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVED_BASE_BEFORE_M2', '   (2 )', 30, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVED_BASE_BEFORE_M2', NAME = '   (2 )', ORDERS = '30', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVED_BASE_BEFORE_M2'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVED_BASE_AFTER_M2')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVED_BASE_AFTER_M2', '   (2 )', 31, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVED_BASE_AFTER_M2', NAME = '   (2 )', ORDERS = '31', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVED_BASE_AFTER_M2'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_INCOME_M3')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_INCOME_M3', '  (3 )', 32, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_INCOME_M3', NAME = '  (3 )', ORDERS = '32', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_INCOME_M3'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVED_BASE_BEFORE_M3')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVED_BASE_BEFORE_M3', '   (3 )', 33, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVED_BASE_BEFORE_M3', NAME = '   (3 )', ORDERS = '33', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVED_BASE_BEFORE_M3'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVED_BASE_AFTER_M3')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVED_BASE_AFTER_M3', '   (3 )', 34, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVED_BASE_AFTER_M3', NAME = '   (3 )', ORDERS = '34', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVED_BASE_AFTER_M3'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVED_INCOME_T1_M1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVED_INCOME_T1_M1', '  / 1 (1 )', 35, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVED_INCOME_T1_M1', NAME = '  / 1 (1 )', ORDERS = '35', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVED_INCOME_T1_M1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVED_INCOME_T2_M1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVED_INCOME_T2_M1', '  / 2 (1 )', 36, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVED_INCOME_T2_M1', NAME = '  / 2 (1 )', ORDERS = '36', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVED_INCOME_T2_M1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SA_SZV_ST_SVED_INCOME_T1_M2')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SA_SZV_ST_SVED_INCOME_T1_M2', '  / 1 (2 )', 37, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SA_SZV_ST_SVED_INCOME_T1_M2', NAME = '  / 1 (2 )', ORDERS = '37', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SA_SZV_ST_SVED_INCOME_T1_M2'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVED_INCOME_T2_M2')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVED_INCOME_T2_M2', '  / 2 (2 )', 38, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVED_INCOME_T2_M2', NAME = '  / 2 (2 )', ORDERS = '38', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVED_INCOME_T2_M2'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVED_INCOME_T1_M3')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVED_INCOME_T1_M3', '  / 1 (3 )', 39, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVED_INCOME_T1_M3', NAME = '  / 1 (3 )', ORDERS = '39', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVED_INCOME_T1_M3'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVED_INCOME_T2_M3')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVED_INCOME_T2_M3', '  / 2 (3 )', 40, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVED_INCOME_T2_M3', NAME = '  / 2 (3 )', ORDERS = '40', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVED_INCOME_T2_M3'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_CHECKED_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_CHECKED_1', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_CHECKED_1', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_CHECKED_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_ORDERS')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_ORDERS', ' /', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_ORDERS', NAME = ' /', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_ORDERS'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_DATE1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_DATE1', ' ', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_DATE1', NAME = ' ', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_DATE1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_DATE2')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_DATE2', ' ', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_DATE2', NAME = ' ', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_DATE2'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_F_TER_USL')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_F_TER_USL', ' ', 5, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_F_TER_USL', NAME = ' ', ORDERS = '5', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_F_TER_USL'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_TER_USL')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_TER_USL', ' .', 6, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_TER_USL', NAME = ' .', ORDERS = '6', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_TER_USL'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_N_TER_USL')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_N_TER_USL', ': ', 7, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_N_TER_USL', NAME = ': ', ORDERS = '7', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_N_TER_USL'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_TER_KOEF')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_TER_KOEF', ' ', 8, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_TER_KOEF', NAME = ' ', ORDERS = '8', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_TER_KOEF'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_F_OSOB_USL')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_F_OSOB_USL', ' ', 9, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_F_OSOB_USL', NAME = ' ', ORDERS = '9', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_F_OSOB_USL'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_OSOB_USL')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_OSOB_USL', '  ', 10, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_OSOB_USL', NAME = '  ', ORDERS = '10', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_OSOB_USL'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_N_OSOB_USL')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_N_OSOB_USL', '  ', 11, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_N_OSOB_USL', NAME = '  ', ORDERS = '11', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_N_OSOB_USL'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_OSOB_K1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_OSOB_K1', '   1', 12, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_OSOB_K1', NAME = '   1', ORDERS = '12', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_OSOB_K1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_N_OSOB_K1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_N_OSOB_K1', '   1', 13, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_N_OSOB_K1', NAME = '   1', ORDERS = '13', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_N_OSOB_K1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_OSOB_K2')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_OSOB_K2', '   2', 14, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_OSOB_K2', NAME = '   2', ORDERS = '14', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_OSOB_K2'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_N_OSOB_K2')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_N_OSOB_K2', '   2', 15, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_N_OSOB_K2', NAME = '   2', ORDERS = '15', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_N_OSOB_K2'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_OSOB_K3')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_OSOB_K3', '   3', 16, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_OSOB_K3', NAME = '   3', ORDERS = '16', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_OSOB_K3'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_N_OSOB_K3')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_N_OSOB_K3', '   3', 17, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_N_OSOB_K3', NAME = '   3', ORDERS = '17', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_N_OSOB_K3'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_F_IS_OSNOV')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_F_IS_OSNOV', '  ', 18, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_F_IS_OSNOV', NAME = '  ', ORDERS = '18', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_F_IS_OSNOV'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_IS_OSNOV')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_IS_OSNOV', '     ', 19, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_IS_OSNOV', NAME = '     ', ORDERS = '19', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_IS_OSNOV'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_N_IS_OSNOV')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_N_IS_OSNOV', '     ', 20, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_N_IS_OSNOV', NAME = '     ', ORDERS = '20', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_N_IS_OSNOV'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_IS_DOP_M')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_IS_DOP_M', '..    , .', 21, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_IS_DOP_M', NAME = '..    , .', ORDERS = '21', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_IS_DOP_M'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_IS_DOP_D')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_IS_DOP_D', '..    , .', 22, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_IS_DOP_D', NAME = '..    , .', ORDERS = '22', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_IS_DOP_D'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_IS_DOP')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_IS_DOP', '.    ', 23, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_IS_DOP', NAME = '.    ', ORDERS = '23', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_IS_DOP'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_N_IS_DOP')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_N_IS_DOP', ' .    ', 24, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_N_IS_DOP', NAME = ' .    ', ORDERS = '24', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_N_IS_DOP'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_F_UD_OSNOV')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_F_UD_OSNOV', '    .', 25, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_F_UD_OSNOV', NAME = '    .', ORDERS = '25', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_F_UD_OSNOV'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_UD_OSNOV')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_UD_OSNOV', '    .', 26, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_UD_OSNOV', NAME = '    .', ORDERS = '26', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_UD_OSNOV'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_N_UD_OSNOV')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_N_UD_OSNOV', '     .', 27, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_N_UD_OSNOV', NAME = '     .', ORDERS = '27', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_N_UD_OSNOV'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_UD_DOP_M')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_UD_DOP_M', '.. . .,.', 28, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_UD_DOP_M', NAME = '.. . .,.', ORDERS = '28', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_UD_DOP_M'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_UD_DOP_D')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_UD_DOP_D', '.. . .,.', 29, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_UD_DOP_D', NAME = '.. . .,.', ORDERS = '29', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_UD_DOP_D'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_UD_DOP_K')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_UD_DOP_K', '.. . .,', 30, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_UD_DOP_K', NAME = '.. . .,', ORDERS = '30', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_UD_DOP_K'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_OSOB_SPO')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_OSOB_SPO', ' .   ', 31, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_OSOB_SPO', NAME = ' .   ', ORDERS = '31', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_OSOB_SPO'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH_N_OSOB_SPO')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_STAZH_N_OSOB_SPO', ' .   ', 32, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_STAZH_N_OSOB_SPO', NAME = ' .   ', ORDERS = '32', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_ST_STAZH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_STAZH_N_OSOB_SPO'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SPR_CHECKED')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SPR_CHECKED', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SPR_CHECKED', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SPR_CHECKED'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SPR_SPR_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SPR_SPR_CODE', ' ', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SPR_SPR_CODE', NAME = ' ', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SPR_SPR_CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SPR_NAME')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SPR_NAME', '', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SPR_NAME', NAME = '', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SPR_NAME'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SPR_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SPR_CODE', '', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SPR_CODE', NAME = '', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SPR_CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SPR_NAME_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SPR_NAME_1', '', 5, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SPR_NAME_1', NAME = '', ORDERS = '5', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SPR_NAME_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SPR_DATE1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SPR_DATE1', ' ', 6, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SPR_DATE1', NAME = ' ', ORDERS = '6', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SPR_DATE1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SPR_DATE2')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SPR_DATE2', ' ', 7, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SPR_DATE2', NAME = ' ', ORDERS = '7', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SPR_DATE2'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SPR_PAR1CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SPR_PAR1CODE', '  1', 8, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SPR_PAR1CODE', NAME = '  1', ORDERS = '8', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SPR_PAR1CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SPR_PAR1NAME')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SPR_PAR1NAME', '  1', 9, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SPR_PAR1NAME', NAME = '  1', ORDERS = '9', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SPR_PAR1NAME'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SPR_PAR2CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SPR_PAR2CODE', '  2', 10, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SPR_PAR2CODE', NAME = '  2', ORDERS = '10', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SPR_PAR2CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SPR_PAR2NAME')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SPR_PAR2NAME', '  2', 11, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SPR_PAR2NAME', NAME = '  2', ORDERS = '11', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SPR_PAR2NAME'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SPR_PAR3CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SPR_PAR3CODE', '  3', 12, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SPR_PAR3CODE', NAME = '  3', ORDERS = '12', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SPR_PAR3CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SPR_PAR3NAME')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SPR_PAR3NAME', '  3', 13, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SPR_PAR3NAME', NAME = '  3', ORDERS = '13', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SPR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SPR_PAR3NAME'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_OPT1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_OPT1', '   ', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_OPTIONS'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_OPT1', NAME = '   ', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_OPTIONS'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_OPT1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PLATEG_CHECKED')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PLATEG_CHECKED', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PLATEG'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PLATEG_CHECKED', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PLATEG'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PLATEG_CHECKED'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PLATEG_MON')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PLATEG_MON', ' ', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PLATEG'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PLATEG_MON', NAME = ' ', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PLATEG'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PLATEG_MON'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PLATEG_SUM_STR')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PLATEG_SUM_STR', '.', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PLATEG'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PLATEG_SUM_STR', NAME = '.', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PLATEG'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PLATEG_SUM_STR'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_PLATEG_SUM_NAK')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_PLATEG_SUM_NAK', '.', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PLATEG'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_PLATEG_SUM_NAK', NAME = '.', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PLATEG'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_PLATEG_SUM_NAK'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SPR_CHECKED_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SPR_CHECKED_1', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PFR_KATEG'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SPR_CHECKED_1', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PFR_KATEG'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SPR_CHECKED_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SPR_CODE_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SPR_CODE_1', '', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PFR_KATEG'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SPR_CODE_1', NAME = '', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PFR_KATEG'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SPR_CODE_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SPR_NAME_1_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SPR_NAME_1_1', '', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PFR_KATEG'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SPR_NAME_1_1', NAME = '', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_PFR_KATEG'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SPR_NAME_1_1'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PACHKA', 'TITLE', '      (-)'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PACHKA', 'INIT_OBJECT_METHOD', 'X_SPISOK("SS_SZV_STAZH_PACHKA")'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PACHKA', 'REMOVE_OBJECT_METHOD', 'I_DELETE_RECORDS(m.oForm.Alias, "SS_SZV_STAZH_PACHKA", "SS_SZV_ST_PACHKA_DELETE", 4, .F., .F.)'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PACHKA', 'SAVE_OBJECT_METHOD', 'SS_SZV_STAZH_PACHKA_SAVE(oForm)'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PACHKA', 'EDIT_OBJECT_METHOD', 'SALARY_BROW(''SS_SZV_ST_PACHKA_EDIT'')'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PACHKA', 'SELECT_RECORDS_METHOD', 'sd_select_document_list_zb1(''SS_SZV_STAZH_PACHKA'')'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PACHKA', 'SELECT_RECORDS_METHOD_EDIT', 'X_SELECT_DOCUMENT_LIST(''SS_SZV_STAZH_PACHKA'')'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PACHKA', 'OPEN_CODE', 'CODE'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PACHKA', 'MSG_SEL_ALL', '[ ]'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PACHKA', 'MSG_SEL_NONE', '[ ]'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PACHKA', 'MSG_SEL_ONE', 'IIF(ISNULL(LINK),'''', ALLT(STR(LINK,10,0)) + [-] + IIF(ISNULL(TYPE_N), '''',TYPE_N)'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PACHKA', 'MSG_SEL_SOME', '[:]'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PACHKA', 'SERVER_TABLE_NAME', 'SZV_STAZH_PACHKA'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PACHKA', 'OPTIONS_OBJECT_CODE', 'SS_SZV_STAZH_OPTIONS'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PACHKA', 'HELP_TOPIC', '42'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PACHKA', 'COMMENTARY', ' "      (-)"         -      .

   .      ""     ,       "      (-)".    : "   " .

        :
"  " -      ;
" " -     ;

   . 
  ()      .
" "     .

 ""  .     " ",   ""  ""   '
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PACHKA', 'OPERATION_MASK', '24'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_CHECKED', 'VISIBLE', '9'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_CHECKED', 'CONTROLSOURCE', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_CHECKED', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_LINK', 'TITLE', ' /'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_LINK', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_LINK', 'CONTROLSOURCE', 'm.cAlias + ".LINK"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_LINK', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_LINK', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_LINK', 'SHORT_CODE_OBJ', 'LINK'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_DATE', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_DATE', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_DATE', 'CONTROLSOURCE', 'm.cAlias + ".DATE"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_DATE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_DATE', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_DATE', 'TYPE_FIELD_DICT', 'datetime'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_DATE', 'SHORT_CODE_OBJ', 'DATE'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_DATE', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".DATE"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_DATE', 'CONTROL_NAME_EDIT', 'aSelDate1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NUMER', 'TITLE', '  '
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NUMER', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NUMER', 'CONTROLSOURCE', 'm.cAlias + ".numer"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NUMER', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NUMER', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NUMER', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".numer"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NUMER', 'CONTROL_NAME_EDIT', 'atextbox1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NUMER', 'INPUT_MASK', '99999'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_TYPE', 'TITLE', ' '
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_TYPE', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_TYPE', 'CONTROLSOURCE', 'm.cAlias + ".type"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_TYPE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_TYPE', 'ROWSOURCE', ''', '''
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_TYPE', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_TYPE', 'TYPE_FIELD_DICT', 'tinyint'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_TYPE', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".type"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_TYPE', 'CONTROL_NAME_EDIT', 'acombobox2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NTYPE', 'TITLE', ' '
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NTYPE', 'VISIBLE', '9'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NTYPE', 'CONTROLSOURCE', 'm.cAlias + ".n_type"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NTYPE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NTYPE', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NTYPE', 'TYPE_FIELD_DICT', 'tinyint'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NTYPE', 'SHORT_CODE_OBJ', 'n_type'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NTYPE', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".n_type"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_VID_KOR', 'TITLE', ' '
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_VID_KOR', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_VID_KOR', 'CONTROLSOURCE', 'm.cAlias + ".vid_kor"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_VID_KOR', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_VID_KOR', 'ROWSOURCE', ''',,'''
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_VID_KOR', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_VID_KOR', 'TYPE_FIELD_DICT', 'tinyint'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_VID_KOR', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".vid_kor"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_VID_KOR', 'CONTROL_NAME_EDIT', 'acombobox3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_YEAR_BEGIN', 'TITLE', ' '
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_YEAR_BEGIN', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_YEAR_BEGIN', 'CONTROLSOURCE', 'm.cAlias + ".year_begin"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_YEAR_BEGIN', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_YEAR_BEGIN', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_YEAR_BEGIN', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_YEAR_BEGIN', 'SHORT_CODE_OBJ', 'year_begin'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_YEAR_BEGIN', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".year_begin"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_YEAR_BEGIN', 'CONTROL_NAME_EDIT', 'AYear1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PER', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PER', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PER', 'CONTROLSOURCE', 'm.cAlias + ".PER"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PER', 'ROWSOURCE', '''I ,I ,9 ,'''
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PER', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PER', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PER', 'SHORT_CODE_OBJ', 'PER'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PER', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".PER"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PER', 'CONTROL_NAME_EDIT', 'Acombobox1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_MONTH_END', 'TITLE', ' '
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_MONTH_END', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_MONTH_END', 'CONTROLSOURCE', 'm.cAlias + ".month_end"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_MONTH_END', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_MONTH_END', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_MONTH_END', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_MONTH_END', 'SHORT_CODE_OBJ', 'month_end'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_MONTH_END', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".month_end"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_MONTH_END', 'CONTROL_NAME_EDIT', 'Amonth1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NVID_KOR', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NVID_KOR', 'VISIBLE', '9'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NVID_KOR', 'CONTROLSOURCE', 'm.cAlias + ".n_vid_kor"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NVID_KOR', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NVID_KOR', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NVID_KOR', 'TYPE_FIELD_DICT', 'varchar(10)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NVID_KOR', 'SHORT_CODE_OBJ', 'n_vid_kor'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NVID_KOR', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".n_vid_kor"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_YEAR_EDT', 'TITLE', ' .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_YEAR_EDT', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_YEAR_EDT', 'CONTROLSOURCE', 'm.cAlias + ".YEAR_EDT"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_YEAR_EDT', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_YEAR_EDT', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_YEAR_EDT', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_YEAR_EDT', 'SHORT_CODE_OBJ', 'YEAR_EDT'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_YEAR_EDT', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".YEAR_EDT"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_YEAR_EDT', 'CONTROL_NAME_EDIT', 'Aspinner1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PER_EDT', 'TITLE', ' .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PER_EDT', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PER_EDT', 'CONTROLSOURCE', 'm.cAlias + ".PER_EDT"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PER_EDT', 'ROWSOURCE', '''I ,I ,9 ,'''
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PER_EDT', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PER_EDT', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PER_EDT', 'SHORT_CODE_OBJ', 'PER_EDT'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PER_EDT', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".PER_EDT"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PER_EDT', 'CONTROL_NAME_EDIT', 'Acombobox4'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PROVERKA', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PROVERKA', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PROVERKA', 'CONTROLSOURCE', 'm.cAlias + ".nproverka"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PROVERKA', 'TYPE_FIELD_DICT', 'varchar(10)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PROVERKA', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".nproverka"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_PROVERKA', 'CONTROL_NAME_EDIT', 'Atextbox2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_STR', 'TITLE', '.'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_STR', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_STR', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_STR', 'CONTROLSOURCE', 'm.cAlias + ".sum_str"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_STR', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_STR', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_STR', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_STR', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".sum_str"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_STR', 'CONTROL_NAME_EDIT', 'container4.atextbox1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_NAK', 'TITLE', '.'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_NAK', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_NAK', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_NAK', 'CONTROLSOURCE', 'm.cAlias + ".sum_nak"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_NAK', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_NAK', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_NAK', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_NAK', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".sum_nak"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_NAK', 'CONTROL_NAME_EDIT', 'container4.atextbox2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_DOP', 'TITLE', ' . '
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_DOP', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_DOP', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_DOP', 'CONTROLSOURCE', 'm.cAlias + ".sum_dop"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_DOP', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_DOP', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_DOP', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_DOP', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".sum_dop"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_SUM_DOP', 'CONTROL_NAME_EDIT', 'container4.atextbox3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME', 'TITLE', ' '
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME', 'CONTROLSOURCE', 'm.cAlias + ".INCOME"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".INCOME"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_BASE_BEFORE_1', 'TITLE', ' '
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_BASE_BEFORE_1', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_BASE_BEFORE_1', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_BASE_BEFORE_1', 'CONTROLSOURCE', 'm.cAlias + ".BASE_BEFORE"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_BASE_BEFORE_1', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_BASE_BEFORE_1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_BASE_BEFORE_1', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_BASE_BEFORE_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".BASE_BEFORE"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_BASE_AFTER', 'TITLE', ' '
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_BASE_AFTER', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_BASE_AFTER', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_BASE_AFTER', 'CONTROLSOURCE', 'm.cAlias + ".BASE_AFTER"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_BASE_AFTER', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_BASE_AFTER', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_BASE_AFTER', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_BASE_AFTER', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".BASE_AFTER"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME_T1', 'TITLE', ' (1)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME_T1', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME_T1', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME_T1', 'CONTROLSOURCE', 'm.cAlias + ".INCOME_T1"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME_T1', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME_T1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME_T1', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME_T1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".INCOME_T1"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME_T2', 'TITLE', ' (2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME_T2', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME_T2', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME_T2', 'CONTROLSOURCE', 'm.cAlias + ".INCOME_T2"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME_T2', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME_T2', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME_T2', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_INCOME_T2', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".INCOME_T2"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_CODE_1', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_CODE_1', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_CODE_1', 'VISIBLE', '14'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_CODE_1', 'CONTROLSOURCE', 'm.cAlias + ".CODE"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_CODE_1', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_CODE_1', 'SHORT_CODE_OBJ', 'CODE'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_CODE_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CODE"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_CODE_1', 'COMMENTARY', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_CODE_SELF', 'TITLE', '   '
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_CODE_SELF', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_CODE_SELF', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_CODE_SELF', 'CONTROLSOURCE', 'm.cAlias + ".CODE_SELF"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_CODE_SELF', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_CODE_SELF', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CODE_SELF"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_CODE_SELF', 'COMMENTARY', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NUM_RASCH', 'TITLE', '  '
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NUM_RASCH', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NUM_RASCH', 'CONTROLSOURCE', 'm.cAlias + ".LINK_ISHOD"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NUM_RASCH', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NUM_RASCH', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NUM_RASCH', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NUM_RASCH', 'SHORT_CODE_OBJ', 'LINK_ISHOD'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NUM_RASCH', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".LINK_ISHOD"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NUM_RASCH', 'CONTROL_NAME_EDIT', 'aSel_sprNR'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PACHKA_NUM_RASCH', 'COMMENTARY', '     '
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_SVEDENIA', 'TITLE', '   '
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_SVEDENIA', 'REMOVE_OBJECT_METHOD', 'I_DELETE_RECORDS(m.oForm.Alias, "SS_SZV_STAZH_SVEDENIA", "SS_SZV_STAZH_SVEDENIA_DELETE", 4, .F., .F.)'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_SVEDENIA', 'CLOSE_CODE', 'LINK1'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_SVEDENIA', 'SELECT_RECORDS_METHOD', 'salary_select_table(m.nLink_ss_SZV_ST_PACHKA, m.cAlias,''SS_SZV_STAZH_SVEDENIA'',''*'')'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH', 'TITLE', '    '
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH', 'SAVE_OBJECT_METHOD', 'ss_szv_st_stazh_save(m.SS_SZV_ST_STAZH_FORM)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH', 'EDIT_OBJECT_METHOD', 'SALARY_BROW(''SA_SZV4_STAZH_EDIT'',m.oForm,1)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH', 'CLOSE_CODE', 'LINK1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH', 'SELECT_RECORDS_METHOD', 'salary_select_table(m.nLink_Ss_SZV_ST_STAZH, m.cAlias,''SS_SZV_ST_STAZH'',''ttod(date1) as date_n, ttod(date2) as date_k,*'')'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_SPR', 'TITLE', '   '
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_SPR', 'INIT_OBJECT_METHOD', 'x_spisok(m.Obj_Code)'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_SPR', 'REMOVE_OBJECT_METHOD', 'I_DELETE_RECORDS(m.oForm.Alias, "SA_SZV4_SPR", "SA_SZV4_SPR_DELETE", 4, .F., .F.)'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_SPR', 'SAVE_OBJECT_METHOD', 'X_SAVE(''SA_SZV4_SPR_SAVE'', m.cAlias,"spr_code, code, name,SQLNULL(date1),SQLNULL(date2),par1code,par1name,par2code,par2name,par3code,par3name","SA_SZV4_SPR")'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_SPR', 'EDIT_OBJECT_METHOD', 'SALARY_BROW(''SA_SZV4_SPR_EDIT'',,)'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_SPR', 'SELECT_RECORDS_METHOD', 'X_SELECT_DOCUMENT_LIST(''SA_SZV4_SPR'')'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_SPR', 'SELECT_RECORDS_METHOD_EDIT', 'X_SELECT_DOCUMENT_LIST(''SA_SZV4_SPR'')'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_OPTIONS', 'TITLE', '      '
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_OPTIONS', 'EDIT_OBJECT_METHOD', 'SALARY_FORM_LOAD(''sa_options'',''"SS_SZV_STAZH_OPTIONS"'')'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_OPTIONS', 'COMMENTARY', '     "     "'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PLATEG', 'TITLE', '   '
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PLATEG', 'CLOSE_CODE', 'LINK1'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PLATEG', 'SELECT_RECORDS_METHOD', 'salary_select_table(m.nLink_SS_SZV_ST_PACHKA, m.cAlias,''SS_SZV_STAZH_PLATEG'',''*'')'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PLATEG', 'SERVER_TABLE_NAME', 'SZV_STAZH_PLAT'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PFR_KATEG', 'TITLE', '  '
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PFR_KATEG', 'INIT_OBJECT_METHOD', 'x_spisok(m.Obj_Code)'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PFR_KATEG', 'EDIT_OBJECT_METHOD', 'SALARY_BROW(''SA_SZV4_SPR_EDIT'',,)'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PFR_KATEG', 'SELECT_RECORDS_METHOD', 'X_SELECT_DICTIONS(''SA_PFR_KATEG'')'
GO
EXEC X_SET_PROP 'SS_SZV_STAZH_PFR_KATEG', 'OPEN_CODE', 'CODE'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CHECKED', 'VISIBLE', '9'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CHECKED', 'CONTROLSOURCE', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CHECKED', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_N_FORMA', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_N_FORMA', 'ORDER_NUMBER', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_N_FORMA', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_N_FORMA', 'CONTROLSOURCE', 'm.cAlias+ ".n_forma"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_N_FORMA', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_N_FORMA', 'TYPE_FIELD_DICT', 'varchar(10)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_N_FORMA', 'CONTROLSOURCE_EDIT', 'm.cAlias+ ".n_forma"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CODE', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CODE', 'ORDER_NUMBER', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CODE', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''SA_PFR_KATEG'', oForm.bSpisok.bGrid1.RECORDSOURCE, ''LINK, CODE'', ''LINK_KATEG, CODE'', '''', '''', '''', .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CODE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CODE', 'CONTROLSOURCE', 'm.cAlias+ ".code"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CODE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CODE', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CODE', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CODE', 'CONTROLSOURCE_EDIT', 'm.cAlias+ ".code"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CODE', 'COMMENTARY', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PACHKA', 'TITLE', ' .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PACHKA', 'ORDER_NUMBER', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PACHKA', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PACHKA', 'CONTROLSOURCE', 'm.cAlias+ ".pachka"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PACHKA', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PACHKA', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PACHKA', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PACHKA', 'CONTROLSOURCE_EDIT', 'm.cAlias+ ".pachka"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ORDERS', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ORDERS', 'ORDER_NUMBER', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ORDERS', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ORDERS', 'CONTROLSOURCE', 'm.cAlias+ ".orders"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ORDERS', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ORDERS', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ORDERS', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ORDERS', 'CONTROLSOURCE_EDIT', 'm.cAlias+ ".orders"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_FIO', 'TITLE', '...'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_FIO', 'VISIBLE', '9'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_FIO', 'CONTROLSOURCE', 'm.cAlias + ".FIO"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_FIO', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_FIO', 'TYPE_FIELD_DICT', 'VARCHAR(60)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_FIO', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".FIO"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_FM', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_FM', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_FM', 'CONTROLSOURCE', 'm.cAlias + ".FM"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_FM', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_FM', 'TYPE_FIELD_DICT', 'VARCHAR(30)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_FM', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".FM"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_FM', 'CONTROL_NAME_EDIT', 'Atextbox2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_IM', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_IM', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_IM', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_IM', 'CONTROLSOURCE', 'm.cAlias + ".IM"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_IM', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_IM', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_IM', 'TYPE_FIELD_DICT', 'VARCHAR(20)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_IM', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".IM"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_OT', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_OT', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_OT', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_OT', 'CONTROLSOURCE', 'm.cAlias + ".OT"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_OT', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_OT', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_OT', 'TYPE_FIELD_DICT', 'VARCHAR(30)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_OT', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".OT"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PF_NUM', 'TITLE', '   '
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PF_NUM', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PF_NUM', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PF_NUM', 'CONTROLSOURCE', 'm.cAlias + ".PF_NUM"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PF_NUM', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PF_NUM', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PF_NUM', 'TYPE_FIELD_DICT', 'VARCHAR(20)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PF_NUM', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".PF_NUM"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ADDRESS', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ADDRESS', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ADDRESS', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ADDRESS', 'CONTROLSOURCE', 'm.cAlias + ".ADDRESS"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ADDRESS', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ADDRESS', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ADDRESS', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ADDRESS', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".ADDRESS"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_SUM_DOH', 'TITLE', ' '
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_SUM_DOH', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_SUM_DOH', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_SUM_DOH', 'CONTROLSOURCE', 'm.cAlias + ".sum_doh"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_SUM_DOH', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_SUM_DOH', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_SUM_DOH', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_SUM_DOH', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_SUM_DOH', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".sum_doh"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_SUM_DOH', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INSUR', 'TITLE', '.'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INSUR', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INSUR', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INSUR', 'CONTROLSOURCE', 'm.cAlias + ".INSUR"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INSUR', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INSUR', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INSUR', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INSUR', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INSUR', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".INSUR"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INSUR', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_GAIN', 'TITLE', '.'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_GAIN', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_GAIN', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_GAIN', 'CONTROLSOURCE', 'm.cAlias + ".GAIN"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_GAIN', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_GAIN', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_GAIN', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_GAIN', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_GAIN', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".GAIN"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_GAIN', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOP', 'TITLE', ' .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOP', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOP', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOP', 'CONTROLSOURCE', 'm.cAlias + ".DOP"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOP', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOP', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOP', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOP', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOP', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".DOP"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOP', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_M', 'TITLE', '., .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_M', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_M', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_M', 'CONTROLSOURCE', 'm.cAlias + ".dper_vn_m"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_M', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_M', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_M', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_M', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_M', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".dper_vn_m"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_M', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_D', 'TITLE', '., .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_D', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_D', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_D', 'CONTROLSOURCE', 'm.cAlias + ".dper_vn_d"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_D', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_D', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_D', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_D', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_D', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".dper_vn_d"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_VN_D', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_M', 'TITLE', '  /, .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_M', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_M', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_M', 'CONTROLSOURCE', 'm.cAlias + ".dper_oz_m"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_M', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_M', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_M', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_M', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_M', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".dper_oz_m"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_M', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_STR', 'TITLE', '  /, .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_STR', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_STR', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_STR', 'CONTROLSOURCE', 'm.cAlias + ".isum_str"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_STR', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_STR', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_STR', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_STR', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_STR', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".isum_str"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_STR', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_D', 'TITLE', '.  -'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_D', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_D', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_D', 'CONTROLSOURCE', 'm.cAlias + ".dper_oz_d"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_D', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_D', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_D', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_D', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_D', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".dper_oz_d"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DPER_OZ_D', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_NAK', 'TITLE', '.  -'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_NAK', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_NAK', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_NAK', 'CONTROLSOURCE', 'm.cAlias + ".isum_nak"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_NAK', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_NAK', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_NAK', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_NAK', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_NAK', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".isum_nak"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_ISUM_NAK', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_STR', 'TITLE', '  . '
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_STR', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_STR', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_STR', 'CONTROLSOURCE', 'm.cAlias + ".sum_dolg_str"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_STR', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_STR', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_STR', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_STR', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_STR', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".sum_dolg_str"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_STR', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_STR', 'COMMENTARY', '       '
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_S', 'TITLE', '   . '
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_S', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_S', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_S', 'CONTROLSOURCE', 'm.cAlias + ".sum_uplata_dolga_str"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_S', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_S', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_S', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_S', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_S', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".sum_uplata_dolga_str"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_S', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_S', 'COMMENTARY', '        '
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_NAK', 'TITLE', '  . '
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_NAK', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_NAK', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_NAK', 'CONTROLSOURCE', 'm.cAlias + ".sum_dolg_nak"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_NAK', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_NAK', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_NAK', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_NAK', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_NAK', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".sum_dolg_nak"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_NAK', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_DOLG_NAK', 'COMMENTARY', '       '
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_N', 'TITLE', '   . '
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_N', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_N', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_N', 'CONTROLSOURCE', 'm.cAlias + ".sum_uplata_dolga_nak"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_N', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_N', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_N', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_N', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_N', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".sum_uplata_dolga_nak"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_N', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PLAT_DOLG_N', 'COMMENTARY', '        '
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M1', 'TITLE', '  (1 )'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M1', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M1', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M1', 'CONTROLSOURCE', 'm.cAlias + ".INCOME_M1"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M1', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M1', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".INCOME_M1"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M1', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M1', 'COMMENTARY', '    ,       1  .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M1', 'TITLE', '   (1 )'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M1', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M1', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M1', 'CONTROLSOURCE', 'm.cAlias + ".BASE_BEFORE_M1"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M1', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M1', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".BASE_BEFORE_M1"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M1', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M1', 'COMMENTARY', '    ,       ,     (1  ).'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M1', 'TITLE', '   (1 )'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M1', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M1', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M1', 'CONTROLSOURCE', 'm.cAlias + ".BASE_AFTER_M1"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M1', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M1', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".BASE_AFTER_M1"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M1', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M1', 'COMMENTARY', '    ,       ,    (1  ).'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M2', 'TITLE', '  (2 )'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M2', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M2', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M2', 'CONTROLSOURCE', 'm.cAlias + ".INCOME_M2"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M2', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M2', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M2', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M2', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M2', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".INCOME_M2"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M2', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M2', 'COMMENTARY', '    ,       2  .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M2', 'TITLE', '   (2 )'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M2', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M2', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M2', 'CONTROLSOURCE', 'm.cAlias + ".BASE_BEFORE_M2"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M2', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M2', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M2', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M2', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M2', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".BASE_BEFORE_M2"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M2', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M2', 'COMMENTARY', '    ,       ,     (2  ).'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M2', 'TITLE', '   (2 )'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M2', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M2', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M2', 'CONTROLSOURCE', 'm.cAlias + ".BASE_AFTER_M2"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M2', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M2', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M2', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M2', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M2', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".BASE_AFTER_M2"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M2', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M2', 'COMMENTARY', '    ,       ,    (2  ).'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M3', 'TITLE', '  (3 )'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M3', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M3', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M3', 'CONTROLSOURCE', 'm.cAlias + ".INCOME_M3"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M3', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M3', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M3', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M3', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M3', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".INCOME_M3"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M3', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_INCOME_M3', 'COMMENTARY', '    ,       3  .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M3', 'TITLE', '   (3 )'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M3', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M3', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M3', 'CONTROLSOURCE', 'm.cAlias + ".BASE_BEFORE_M3"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M3', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M3', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M3', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M3', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M3', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".BASE_BEFORE_M3"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M3', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_BEFORE_M3', 'COMMENTARY', '    ,       ,     (3  ).'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M3', 'TITLE', '   (3 )'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M3', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M3', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M3', 'CONTROLSOURCE', 'm.cAlias + ".BASE_AFTER_M3"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M3', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M3', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M3', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M3', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M3', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".BASE_AFTER_M3"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M3', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_BASE_AFTER_M3', 'COMMENTARY', '    ,       ,    (3  ).'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M1', 'TITLE', '  / 1 (1 )'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M1', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M1', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M1', 'CONTROLSOURCE', 'm.cAlias + ".INCOME_T1_M1"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M1', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M1', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".INCOME_T1_M1"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M1', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M1', 'COMMENTARY', '    ,         ,   1 1 27  1  .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M1', 'TITLE', '  / 2 (1 )'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M1', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M1', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M1', 'CONTROLSOURCE', 'm.cAlias + ".INCOME_T2_M1"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M1', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M1', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".INCOME_T2_M1"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M1', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M1', 'COMMENTARY', '    ,         ,    218 1 27  1  .'
GO
EXEC X_SET_PROP 'SA_SZV_ST_SVED_INCOME_T1_M2', 'TITLE', '  / 1 (2 )'
GO
EXEC X_SET_PROP 'SA_SZV_ST_SVED_INCOME_T1_M2', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SA_SZV_ST_SVED_INCOME_T1_M2', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SA_SZV_ST_SVED_INCOME_T1_M2', 'CONTROLSOURCE', 'm.cAlias + ".INCOME_T1_M2"'
GO
EXEC X_SET_PROP 'SA_SZV_ST_SVED_INCOME_T1_M2', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SA_SZV_ST_SVED_INCOME_T1_M2', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SA_SZV_ST_SVED_INCOME_T1_M2', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SA_SZV_ST_SVED_INCOME_T1_M2', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SA_SZV_ST_SVED_INCOME_T1_M2', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".INCOME_T1_M2"'
GO
EXEC X_SET_PROP 'SA_SZV_ST_SVED_INCOME_T1_M2', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SA_SZV_ST_SVED_INCOME_T1_M2', 'COMMENTARY', '    ,         ,   1 1 27  2  .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M2', 'TITLE', '  / 2 (2 )'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M2', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M2', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M2', 'CONTROLSOURCE', 'm.cAlias + ".INCOME_T2_M2"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M2', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M2', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M2', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M2', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M2', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".INCOME_T2_M2"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M2', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M2', 'COMMENTARY', '    ,         ,    218 1 27  2  .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M3', 'TITLE', '  / 1 (3 )'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M3', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M3', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M3', 'CONTROLSOURCE', 'm.cAlias + ".INCOME_T1_M3"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M3', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M3', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M3', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M3', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M3', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".INCOME_T1_M3"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M3', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T1_M3', 'COMMENTARY', '    ,         ,   1 1 27  3  .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M3', 'TITLE', '  / 2 (3 )'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M3', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M3', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M3', 'CONTROLSOURCE', 'm.cAlias + ".INCOME_T2_M3"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M3', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M3', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M3', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M3', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M3', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".INCOME_T2_M3"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M3', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVED_INCOME_T2_M3', 'COMMENTARY', '    ,         ,    218 1 27  3  .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_CHECKED_1', 'VISIBLE', '9'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_CHECKED_1', 'CONTROLSOURCE', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_CHECKED_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_ORDERS', 'TITLE', ' /'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_ORDERS', 'ORDER_NUMBER', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_ORDERS', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_ORDERS', 'CONTROLSOURCE', 'm.cAlias+ ".orders"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_ORDERS', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_ORDERS', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_ORDERS', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_ORDERS', 'CONTROLSOURCE_EDIT', 'm.cAlias+ ".orders"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_ORDERS', 'CONTROL_NAME_EDIT', 'Atextbox1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_DATE1', 'TITLE', '..'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_DATE1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_DATE1', 'CONTROLSOURCE', 'm.cAlias + ".date_n"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_DATE1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_DATE1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_DATE1', 'TYPE_FIELD_DICT', 'datetime'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_DATE1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".date_n"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_DATE1', 'CONTROL_NAME_EDIT', 'Aseldate2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_DATE2', 'TITLE', '..'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_DATE2', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_DATE2', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_DATE2', 'CONTROLSOURCE', 'm.cAlias + ".date_k"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_DATE2', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_DATE2', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_DATE2', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_DATE2', 'TYPE_FIELD_DICT', 'datetime'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_DATE2', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".date_k"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_DATE2', 'CONTROL_NAME_EDIT', 'Aseldate3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_TER_USL', 'TITLE', '..'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_TER_USL', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_TER_USL', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_TER_USL', 'CONTROLSOURCE', 'm.cAlias + ".f_ter_usl"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_TER_USL', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_TER_USL', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_TER_USL', 'TYPE_FIELD_DICT', 'VARCHAR(10)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_TER_USL', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".f_ter_usl"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_TER_USL', 'TITLE', ' .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_TER_USL', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_TER_USL', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''SA_SZV4_SPR'', oForm.ALIAS, ''CODE,NAME'', ''TER_USL,N_TER_USL'', '''', '''', "SPR_CODE = ''TERR_USL'' and DATE BETWEEN DATE1 AND COALESCE(DATE2,''30000101'')", .T., 1, oForm, oObj, "")
'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_TER_USL', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_TER_USL', 'CONTROLSOURCE', 'm.cAlias + ".ter_usl"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_TER_USL', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_TER_USL', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_TER_USL', 'TYPE_FIELD_DICT', 'VARCHAR(10)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_TER_USL', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".ter_usl"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_TER_USL', 'CONTROL_NAME_EDIT', 'apageframe1.Page1.Asel_spr4'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_TER_USL', 'TITLE', '..'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_TER_USL', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_TER_USL', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_TER_USL', 'CONTROLSOURCE', 'm.cAlias + ".n_ter_usl"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_TER_USL', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_TER_USL', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_TER_USL', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".n_ter_usl"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_TER_USL', 'CONTROL_NAME_EDIT', 'apageframe1.Page1.aTextBox5'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_TER_KOEF', 'TITLE', ' '
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_TER_KOEF', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_TER_KOEF', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_TER_KOEF', 'CONTROLSOURCE', 'm.cAlias + ".ter_koef"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_TER_KOEF', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_TER_KOEF', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_TER_KOEF', 'TYPE_FIELD_DICT', 'NUMERIC(3,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_TER_KOEF', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".ter_koef"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_TER_KOEF', 'CONTROL_NAME_EDIT', 'apageframe1.Page1.Atextbox6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_OSOB_USL', 'TITLE', '..'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_OSOB_USL', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_OSOB_USL', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_OSOB_USL', 'CONTROLSOURCE', 'm.cAlias + ".f_osob_usl"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_OSOB_USL', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_OSOB_USL', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_OSOB_USL', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_OSOB_USL', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".f_osob_usl"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_USL', 'TITLE', ' ..'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_USL', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_USL', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''SA_SZV4_SPR'', oForm.ALIAS, ''CODE,NAME'', ''OSOB_USL,N_OSOB_USL'', '''', '''', "SPR_CODE = ''OSOB_USL_TRUDA'' and DATE BETWEEN DATE1 AND COALESCE(DATE2,''30000101'')", .T., 1, oForm, oObj, "")
'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_USL', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_USL', 'CONTROLSOURCE', 'm.cAlias + ".osob_usl"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_USL', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_USL', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_USL', 'TYPE_FIELD_DICT', 'VARCHAR(10)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_USL', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".osob_usl"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_USL', 'CONTROL_NAME_EDIT', 'apageframe1.Page2.Asel_spr7'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_USL', 'TITLE', '...'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_USL', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_USL', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_USL', 'CONTROLSOURCE', 'm.cAlias + ".n_osob_usl"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_USL', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_USL', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_USL', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".n_osob_usl"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_USL', 'CONTROL_NAME_EDIT', 'apageframe1.Page2.aTextBox8'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K1', 'TITLE', '   1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K1', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K1', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''SA_SZV4_SPR'', oForm.ALIAS, ''CODE,NAME'', ''osob_k1,n_osob_k1'', '''', '''', "SPR_CODE = ''SPISOK1'' and DATE BETWEEN DATE1 AND COALESCE(DATE2,''30000101'')", .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K1', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K1', 'CONTROLSOURCE', 'm.cAlias + ".osob_k1"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K1', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K1', 'TYPE_FIELD_DICT', 'VARCHAR(20)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".osob_k1"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K1', 'CONTROL_NAME_EDIT', 'apageframe1.Page2.Asel_spr9'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K1', 'TITLE', '. . 1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K1', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K1', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K1', 'CONTROLSOURCE', 'm.cAlias + ".n_osob_k1"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K1', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K1', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".n_osob_k1"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K1', 'CONTROL_NAME_EDIT', 'apageframe1.Page2.aTextBox10'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K2', 'TITLE', '   2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K2', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K2', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''SA_SZV4_SPR'', oForm.ALIAS, ''CODE,NAME'', ''osob_k2,n_osob_k2'', '''', '''', "SPR_CODE = ''SPISOK2'' and DATE BETWEEN DATE1 AND COALESCE(DATE2,''30000101'')", .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K2', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K2', 'CONTROLSOURCE', 'm.cAlias + ".osob_k2"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K2', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K2', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K2', 'TYPE_FIELD_DICT', 'VARCHAR(20)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K2', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".osob_k2"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K2', 'CONTROL_NAME_EDIT', 'apageframe1.Page2.Asel_spr11'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K2', 'TITLE', '. . 2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K2', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K2', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K2', 'CONTROLSOURCE', 'm.cAlias + ".n_osob_k2"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K2', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K2', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K2', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".n_osob_k2"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K2', 'CONTROL_NAME_EDIT', 'apageframe1.Page2.aTextBox12'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K3', 'TITLE', '   3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K3', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K3', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K3', 'CONTROLSOURCE', 'm.cAlias + ".osob_k3"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K3', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K3', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K3', 'TYPE_FIELD_DICT', 'VARCHAR(20)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K3', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".osob_k3"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_K3', 'CONTROL_NAME_EDIT', 'apageframe1.Page2.Asel_spr13'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K3', 'TITLE', '. . 3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K3', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K3', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K3', 'CONTROLSOURCE', 'm.cAlias + ".n_osob_k3"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K3', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K3', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K3', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".n_osob_k3"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_K3', 'CONTROL_NAME_EDIT', 'apageframe1.Page2.aTextBox14'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_IS_OSNOV', 'TITLE', '..'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_IS_OSNOV', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_IS_OSNOV', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_IS_OSNOV', 'CONTROLSOURCE', 'm.cAlias + ".f_is_osnov"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_IS_OSNOV', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_IS_OSNOV', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_IS_OSNOV', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_IS_OSNOV', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".f_is_osnov"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_OSNOV', 'TITLE', '...'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_OSNOV', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_OSNOV', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''SA_SZV4_SPR'', oForm.ALIAS, ''CODE,NAME'', ''is_osnov,n_is_osnov'', '''', '''', "SPR_CODE = ''ISCHISL_STAZH_OSNOV'' and DATE BETWEEN DATE1 AND COALESCE(DATE2,''30000101'')", .T., 1, oForm, oObj, "")
'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_OSNOV', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_OSNOV', 'CONTROLSOURCE', 'm.cAlias + ".is_osnov"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_OSNOV', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_OSNOV', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_OSNOV', 'TYPE_FIELD_DICT', 'VARCHAR(10)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_OSNOV', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".is_osnov"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_OSNOV', 'CONTROL_NAME_EDIT', 'apageframe1.Page3.Asel_spr15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_IS_OSNOV', 'TITLE', '...'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_IS_OSNOV', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_IS_OSNOV', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_IS_OSNOV', 'CONTROLSOURCE', 'm.cAlias + ".n_is_osnov"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_IS_OSNOV', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_IS_OSNOV', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_IS_OSNOV', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".n_is_osnov"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_IS_OSNOV', 'CONTROL_NAME_EDIT', 'apageframe1.Page3.aTextBox16'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP_M', 'TITLE', '. .    , .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP_M', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP_M', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP_M', 'CONTROLSOURCE', 'm.cAlias + ".is_dop_m"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP_M', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP_M', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP_M', 'TYPE_FIELD_DICT', 'tinyint'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP_M', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".is_dop_m"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP_M', 'CONTROL_NAME_EDIT', 'apageframe1.Page3.aTextBox17'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP_D', 'TITLE', '. .    , .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP_D', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP_D', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP_D', 'CONTROLSOURCE', 'm.cAlias + ".is_dop_d"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP_D', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP_D', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP_D', 'TYPE_FIELD_DICT', 'tinyint'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP_D', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".is_dop_d"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP_D', 'CONTROL_NAME_EDIT', 'apageframe1.Page3.aTextBox18'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP', 'TITLE', '....'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''SA_SZV4_SPR'', oForm.ALIAS, ''CODE,NAME'', ''is_dop,n_is_dop'', '''', '''', "SPR_CODE = ''ISCHISL_STAZH_DOP_SV'' and DATE BETWEEN DATE1 AND COALESCE(DATE2,''30000101'')", .T., 1, oForm, oObj, "")
'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP', 'CONTROLSOURCE', 'm.cAlias + ".is_dop"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP', 'TYPE_FIELD_DICT', 'varchar(10)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".is_dop"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_IS_DOP', 'CONTROL_NAME_EDIT', 'apageframe1.Page3.Asel_spr19'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_IS_DOP', 'TITLE', '....'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_IS_DOP', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_IS_DOP', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_IS_DOP', 'CONTROLSOURCE', 'm.cAlias + ".n_is_dop"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_IS_DOP', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_IS_DOP', 'TYPE_FIELD_DICT', 'varchar(254)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_IS_DOP', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".n_is_dop"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_IS_DOP', 'CONTROL_NAME_EDIT', 'apageframe1.Page3.aTextBox20'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_UD_OSNOV', 'TITLE', '...'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_UD_OSNOV', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_UD_OSNOV', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_UD_OSNOV', 'CONTROLSOURCE', 'm.cAlias + ".f_ud_osnov"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_UD_OSNOV', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_UD_OSNOV', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_F_UD_OSNOV', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".f_ud_osnov"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_OSNOV', 'TITLE', '...'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_OSNOV', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_OSNOV', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''SA_SZV4_SPR'', oForm.ALIAS, ''CODE,NAME'', ''ud_osnov,n_ud_osnov'', '''', '''', "SPR_CODE = ''DOSR_NAZN_PEN_OSNOV'' and DATE BETWEEN DATE1 AND COALESCE(DATE2,''30000101'')", .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_OSNOV', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_OSNOV', 'CONTROLSOURCE', 'm.cAlias + ".ud_osnov"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_OSNOV', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_OSNOV', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_OSNOV', 'TYPE_FIELD_DICT', 'VARCHAR(10)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_OSNOV', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".ud_osnov"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_OSNOV', 'CONTROL_NAME_EDIT', 'apageframe1.Page4.Asel_spr21'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_UD_OSNOV', 'TITLE', '...'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_UD_OSNOV', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_UD_OSNOV', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_UD_OSNOV', 'CONTROLSOURCE', 'm.cAlias + ".n_ud_osnov"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_UD_OSNOV', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_UD_OSNOV', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_UD_OSNOV', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".n_ud_osnov"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_UD_OSNOV', 'CONTROL_NAME_EDIT', 'apageframe1.Page4.aTextBox22'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_M', 'TITLE', '.. . .,.'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_M', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_M', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_M', 'CONTROLSOURCE', 'm.cAlias + ".ud_dop_m"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_M', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_M', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_M', 'TYPE_FIELD_DICT', 'tinyint'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_M', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".ud_dop_m"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_M', 'CONTROL_NAME_EDIT', 'apageframe1.Page4.aTextBox23'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_D', 'TITLE', '.. . .,.'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_D', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_D', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_D', 'CONTROLSOURCE', 'm.cAlias + ".ud_dop_d"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_D', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_D', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_D', 'TYPE_FIELD_DICT', 'tinyint'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_D', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".ud_dop_d"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_D', 'CONTROL_NAME_EDIT', 'apageframe1.Page4.aTextBox24'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_K', 'TITLE', '.. . .,'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_K', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_K', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_K', 'CONTROLSOURCE', 'm.cAlias + ".ud_dop_k"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_K', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_K', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_K', 'TYPE_FIELD_DICT', 'NUMERIC(18,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_K', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".ud_dop_k"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_UD_DOP_K', 'CONTROL_NAME_EDIT', 'apageframe1.Page4.aTextBox25'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_SPO', 'TITLE', ' .   '
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_SPO', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_SPO', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''SA_SZV4_SPR'', oForm.ALIAS, ''CODE,NAME'', ''osob_spo,n_osob_spo'', '''', '''', "SPR_CODE = ''SPO_USL_TRUDA'' and DATE BETWEEN DATE1 AND COALESCE(DATE2,''30000101'')", .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_SPO', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_SPO', 'CONTROLSOURCE', 'm.cAlias + ".osob_spo"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_SPO', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_SPO', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_SPO', 'TYPE_FIELD_DICT', 'VARCHAR(20)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_SPO', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".osob_spo"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_OSOB_SPO', 'CONTROL_NAME_EDIT', 'apageframe1.Page2.Asel_spr15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_SPO', 'TITLE', ' .   '
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_SPO', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_SPO', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_SPO', 'CONTROLSOURCE', 'm.cAlias + ".n_osob_spo"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_SPO', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_SPO', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_SPO', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".n_osob_spo"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_STAZH_N_OSOB_SPO', 'CONTROL_NAME_EDIT', 'apageframe1.Page2.aTextBox16'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CHECKED', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CHECKED', 'CONTROLSOURCE', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CHECKED', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_SPR_CODE', 'TITLE', ' '
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_SPR_CODE', 'ORDER_NUMBER', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_SPR_CODE', 'CONTROLSOURCE', 'm.cAlias+ ".spr_code"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_SPR_CODE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_SPR_CODE', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_SPR_CODE', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_SPR_CODE', 'TYPE_FIELD_DICT', 'varchar(20)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_SPR_CODE', 'CONTROLSOURCE_EDIT', 'm.cAlias+ ".spr_code"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_SPR_CODE', 'CONTROL_NAME_EDIT', 'aComboBox1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME', 'CONTROLSOURCE', 'm.cAlias + ".spr_name"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME', 'TYPE_FIELD_DICT', 'varchar(254)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".spr_name"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CODE', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CODE', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CODE', 'CONTROLSOURCE', 'm.cAlias + ".code"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CODE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CODE', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CODE', 'TYPE_FIELD_DICT', 'varchar(20)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CODE', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".code"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CODE', 'CONTROL_NAME_EDIT', 'Atextbox2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME_1', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME_1', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME_1', 'CONTROLSOURCE', 'm.cAlias + ".name"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME_1', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME_1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME_1', 'TYPE_FIELD_DICT', 'varchar(254)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".name"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME_1', 'CONTROL_NAME_EDIT', 'Atextbox3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_DATE1', 'TITLE', ' '
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_DATE1', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_DATE1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_DATE1', 'CONTROLSOURCE', 'm.cAlias + ".date1"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_DATE1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_DATE1', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_DATE1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_DATE1', 'TYPE_FIELD_DICT', 'datetime'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_DATE1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".date1"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_DATE1', 'CONTROL_NAME_EDIT', 'Aseldate4'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_DATE2', 'TITLE', ' '
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_DATE2', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_DATE2', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_DATE2', 'CONTROLSOURCE', 'm.cAlias + ".date2"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_DATE2', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_DATE2', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_DATE2', 'TYPE_FIELD_DICT', 'Datetime'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_DATE2', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".date2"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_DATE2', 'CONTROL_NAME_EDIT', 'Aseldate5'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR1CODE', 'TITLE', '  1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR1CODE', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR1CODE', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR1CODE', 'CONTROLSOURCE', 'm.cAlias + ".par1code"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR1CODE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR1CODE', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR1CODE', 'TYPE_FIELD_DICT', 'varchar(10)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR1CODE', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".par1code"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR1CODE', 'CONTROL_NAME_EDIT', 'Atextbox6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR1NAME', 'TITLE', ' 1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR1NAME', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR1NAME', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR1NAME', 'CONTROLSOURCE', 'm.cAlias + ".par1name"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR1NAME', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR1NAME', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR1NAME', 'TYPE_FIELD_DICT', 'varchar(20)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR1NAME', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".par1name"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR1NAME', 'CONTROL_NAME_EDIT', 'Atextbox7'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR2CODE', 'TITLE', '  2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR2CODE', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR2CODE', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR2CODE', 'CONTROLSOURCE', 'm.cAlias + ".par2code"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR2CODE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR2CODE', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR2CODE', 'TYPE_FIELD_DICT', 'varchar(10)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR2CODE', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".par2code"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR2CODE', 'CONTROL_NAME_EDIT', 'Atextbox8'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR2NAME', 'TITLE', ' 2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR2NAME', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR2NAME', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR2NAME', 'CONTROLSOURCE', 'm.cAlias + ".par2name"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR2NAME', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR2NAME', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR2NAME', 'TYPE_FIELD_DICT', 'varchar(20)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR2NAME', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".par2name"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR2NAME', 'CONTROL_NAME_EDIT', 'Atextbox9'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR3CODE', 'TITLE', '  3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR3CODE', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR3CODE', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR3CODE', 'CONTROLSOURCE', 'm.cAlias + ".par3code"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR3CODE', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR3CODE', 'TYPE_FIELD_DICT', 'varchar(10)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR3CODE', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".par3code"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR3CODE', 'CONTROL_NAME_EDIT', 'Atextbox10'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR3NAME', 'TITLE', ' 3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR3NAME', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR3NAME', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR3NAME', 'CONTROLSOURCE', 'm.cAlias + ".par3name"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR3NAME', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR3NAME', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR3NAME', 'TYPE_FIELD_DICT', 'varchar(20)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR3NAME', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".par3name"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_PAR3NAME', 'CONTROL_NAME_EDIT', 'Atextbox11'
GO
EXEC X_SET_PROP 'SS_SZV_ST_OPT1', 'TITLE', '   '
GO
EXEC X_SET_PROP 'SS_SZV_ST_OPT1', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_OPT1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_OPT1', 'OPERATE_METHOD', 'SQL.EXEC("SA_SZV4_OPT1_CHECK") 
'
GO
EXEC X_SET_PROP 'SS_SZV_ST_OPT1', 'STORAGE', 'S_OPTIONS'
GO
EXEC X_SET_PROP 'SS_SZV_ST_OPT1', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'SS_SZV_ST_OPT1', 'CONTROL_NAME_EDIT', 'ATextBox1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_OPT1', 'INPUT_MASK', '99999'
GO
EXEC X_SET_PROP 'SS_SZV_ST_OPT1', 'COMMENTARY', '          .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_CHECKED', 'VISIBLE', '9'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_CHECKED', 'CONTROLSOURCE', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_CHECKED', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_MON', 'TITLE', ' '
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_MON', 'ORDER_NUMBER', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_MON', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_MON', 'CONTROLSOURCE', 'm.cAlias+ ".MON"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_MON', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_MON', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_MON', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_MON', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_MON', 'CONTROLSOURCE_EDIT', 'm.cAlias+ ".MON"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_MON', 'COMMENTARY', ',    '
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_STR', 'TITLE', '.'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_STR', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_STR', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_STR', 'CONTROLSOURCE', 'm.cAlias + ".sum_str"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_STR', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_STR', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_STR', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_STR', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_STR', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".sum_str"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_STR', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_NAK', 'TITLE', '.'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_NAK', 'ORDER_NUMBER', '6'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_NAK', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_NAK', 'CONTROLSOURCE', 'm.cAlias + ".sum_nak"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_NAK', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_NAK', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_NAK', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_NAK', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_NAK', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".sum_nak"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_PLATEG_SUM_NAK', 'INPUT_MASK', '999 999 999.99'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CHECKED_1', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CHECKED_1', 'CONTROLSOURCE', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CHECKED_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CODE_1', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CODE_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CODE_1', 'CONTROLSOURCE', 'm.cAlias + ".code"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CODE_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CODE_1', 'CONTROL_TYPE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CODE_1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_CODE_1', 'TYPE_FIELD_DICT', 'varchar(20)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME_1_1', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME_1_1', 'ORDER_NUMBER', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME_1_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME_1_1', 'CONTROLSOURCE', 'm.cAlias + ".name"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME_1_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME_1_1', 'CONTROL_TYPE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME_1_1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SPR_NAME_1_1', 'TYPE_FIELD_DICT', 'varchar(254)'
GO

/****************     *************/

EXEC DBO.W_SPERM_WRITE 'SS_SZV_STAZH_PACHKA', '-', 63,0
GO
EXEC DBO.W_SPERM_WRITE 'SS_SZV_STAZH_PACHKA', '-', 63,0
GO
/****************     "      (-)"*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = (SELECT LINK FROM OBJECT_VAR WHERE CODE = 'SZV_STAZH_REP')

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'SALARY_ESN' AND NAME = '    . ')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'SS_SZV_STAZH_PACHKA')

DECLARE @ORD INT, @LINK_SNAVIGATOR INT
SET @ORD = (SELECT COALESCE(MAX(ORDERS),0) + 1 FROM DBO.S_NAVIGATOR WHERE LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'SALARY_ESN' AND NAME = '    . '))
SET @LINK_SNAVIGATOR = COALESCE((SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'EOD_DOC_SZV_ST'),0)

IF COALESCE(@LINK_SELF,0) > 0  AND COALESCE(@OBJECT,0) > 0  
 		EXEC DBO.W_ESN_UPDATEDOCUMENT @LINK_SNAVIGATOR, 'EOD_DOC_SZV_ST', '      (-)', @ORD, NULL, 1, @LINK_SELF, 'RUN', @OBJECT, @LINK_VAR, 3
GO


GO
--  "- (         )"
--   scriptObjectVar 'SZV_STAZH_REP'

/***   ***/

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var

CREATE TABLE #UPD_object_var (link_navigator int)

INSERT INTO #UPD_object_var (link_navigator)
SELECT  SN.LINK
FROM S_NAVIGATOR SN,OBJECT_VAR OV
WHERE SN.LINK_VAR = OV.LINK AND OV.CODE= 'SZV_STAZH_REP'  

 
GO
    
	DELETE FROM OBJECT_VAR WHERE CODE = 'SZV_STAZH_REP'
	INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
	Select (Select link from s_objects where code = 'QUERY_SQL'),
	'- (         )',NULL, 
	(Select link from object_var where code = 'SQL_REPORT_CATALOG_SALARY'),
	'SZV_STAZH_REP',NULL, NULL, 1
	

	UPDATE S_NAVIGATOR
	SET LINK_VAR = (SELECT TOP 1 LINK FROM object_var WHERE CODE = 'SZV_STAZH_REP') 
	FROM S_NAVIGATOR S INNER JOIN #UPD_object_var U on S.LINK = U.link_navigator
GO

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var
GO
/***   ***/
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'INIT_OBJECT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'INIT_OBJECT_METHOD'),
	VALUE= 'm_print_query(nLink_Var)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'VISIBLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'VISIBLE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FOOTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDFROM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDFROM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDINTO')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDINTO'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDSELECT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDSELECT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDWHERE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDWHERE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AFTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AFTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_BEFORE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_BEFORE'),
	VALUE= 'exec SZV_STAZH_PRINT @nSel_Spr1'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DISTINCT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DISTINCT'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FOOTER'),
	VALUE= '="                               " & User_FIO
                                 '
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_HEADER'),
	VALUE= '=User_Name'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PROCEDURE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PROCEDURE'),
	VALUE= '#SZV_STAZH_REP'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPMAKER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPMAKER'),
	VALUE= 'KIRREPMAKER.XLS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT'),
	VALUE= 'IIF(.t.,"PFR_SZV_STAZH.XLT","")'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT_PATH')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT_PATH'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SQL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SQL'),
	VALUE= 'CREATE PROCEDURE #SZV_STAZH_REP
	@nSel_Spr1 int	/* LSel_Spr */
AS
BEGIN

exec SZV_STAZH_PRINT @nSel_Spr1

END'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SYSTEM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SYSTEM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOP')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOP'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTAL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTAL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALROW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALROW'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AP_LIST')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AP_LIST'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'EOD_PROTOCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'EOD_PROTOCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_REPORT_PROG')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_REPORT_PROG'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADD_MODULE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADD_MODULE'),
	VALUE= 'KirRepCommon.bas'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_CODE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_CODE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATE_TYPE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATE_TYPE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'SQUERY_NO_SHOW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'SQUERY_NO_SHOW'),
	VALUE= '1'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP') and  PROPERTY = (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP'),
	PROPERTY= (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR'),
	VALUE= '0'
	
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'SZV_STAZH_REP_GRP' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_NASTRS'),
		' ',1, 
		(Select link from object_var where code = 'SZV_STAZH_REP'),
		'SZV_STAZH_REP_GRP',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SZV_STAZH_REP_MAIN_PARAM' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_LSEL_SPR'),
					'LSel_Spr',2, 
					(Select link from object_var where code = 'SZV_STAZH_REP_GRP'),
					'SZV_STAZH_REP_MAIN_PARAM',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'LSel_Spr'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nSel_Spr1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO

						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''

						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO


GO
--  "-1 (  ,       () )"
--   scriptObjectVar 'SZV_STAZH_REP_ODV1'


/***   ***/

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var

CREATE TABLE #UPD_object_var (link_navigator int)

INSERT INTO #UPD_object_var (link_navigator)
SELECT  SN.LINK
FROM S_NAVIGATOR SN,OBJECT_VAR OV
WHERE SN.LINK_VAR = OV.LINK AND OV.CODE= 'SZV_STAZH_REP_ODV1'  

 
GO
    
	DELETE FROM OBJECT_VAR WHERE CODE = 'SZV_STAZH_REP_ODV1'
	INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
	Select (Select link from s_objects where code = 'QUERY_SQL'),
	'-1 (  ,       () )',NULL, 
	(Select link from object_var where code = 'SQL_REPORT_CATALOG_SALARY'),
	'SZV_STAZH_REP_ODV1',NULL, NULL, 1
	

	UPDATE S_NAVIGATOR
	SET LINK_VAR = (SELECT TOP 1 LINK FROM object_var WHERE CODE = 'SZV_STAZH_REP_ODV1') 
	FROM S_NAVIGATOR S INNER JOIN #UPD_object_var U on S.LINK = U.link_navigator
GO

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var
GO
/***   ***/
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'INIT_OBJECT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'INIT_OBJECT_METHOD'),
	VALUE= 'm_print_query(nLink_Var)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'VISIBLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'VISIBLE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FOOTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDFROM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDFROM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDINTO')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDINTO'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDSELECT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDSELECT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDWHERE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDWHERE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AFTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AFTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_BEFORE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_BEFORE'),
	VALUE= 'exec SZV_ST_PRINT_ODV1 @nSel_Spr1'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DISTINCT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DISTINCT'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FOOTER'),
	VALUE= '="                               " & User_FIO
                                 '
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_HEADER'),
	VALUE= '=User_Name'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PROCEDURE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PROCEDURE'),
	VALUE= '#SZV_ST_ODV_1'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPMAKER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPMAKER'),
	VALUE= 'KIRREPMAKERMULTISHEET.XLS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT'),
	VALUE= 'IIF(.t.,"PFR_ODV_1.XLT","")'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT_PATH')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT_PATH'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SQL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SQL'),
	VALUE= 'CREATE PROCEDURE #SZV_ST_ODV_1
	@nSel_Spr1 int	/* LSel_Spr */
AS
BEGIN

exec SZV_ST_PRINT_ODV1  @nSel_Spr1

END'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SYSTEM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SYSTEM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOP')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOP'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTAL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTAL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALROW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALROW'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AP_LIST')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AP_LIST'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'EOD_PROTOCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'EOD_PROTOCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_REPORT_PROG')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_REPORT_PROG'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADD_MODULE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADD_MODULE'),
	VALUE= 'PFR_ODV_1.bas'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_CODE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_CODE'),
	VALUE= 'SZV_STAZH_REP_ODV1'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATE_TYPE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATE_TYPE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'SQUERY_NO_SHOW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'SQUERY_NO_SHOW'),
	VALUE= '1'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1') and  PROPERTY = (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_STAZH_REP_ODV1'),
	PROPERTY= (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR'),
	VALUE= '0'
	
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'SZV_STAZH_REP_ODV1_GRP1' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_NASTRS'),
		' ',1, 
		(Select link from object_var where code = 'SZV_STAZH_REP_ODV1'),
		'SZV_STAZH_REP_ODV1_GRP1',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SZV_STAZH_REP_ODV1_MAIN_PARAM' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_LSEL_SPR'),
					'LSel_Spr',2, 
					(Select link from object_var where code = 'SZV_STAZH_REP_ODV1_GRP1'),
					'SZV_STAZH_REP_ODV1_MAIN_PARAM',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'LSel_Spr'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nSel_Spr1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO

						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_STAZH_REP_ODV1_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO


GO
EXEC X_SET_PROP 'VACATION', 'SAVE_OBJECT_METHOD', 'U_SAVE_TABLE_PART(''KU_VACATION_SAVE'', m.cAlias," NUMBER, SQLNULL(DATE), SQLNULL(TYPE_LINK), COMPENS, SQLNULL(PERIOD_BEGIN), SQLNULL(PERIOD_END), SQLNULL(DATE_BEGIN), SQLNULL(DATE_END), SQLNULL(REASON_LINK),REASON,REASON_DOP, EMPL_LINK, ORDER_LINK,VAC_GRAPH_LINK,TEXT_DOP","VACATION")'
GO
GO
/****** : ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'VAC_TEXT')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'VAC_TEXT')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'VAC_TEXT')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'VAC_TEXT')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'VAC_TEXT'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'VAC_TEXT')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='VAC_TEXT')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'VAC_TEXT', '', 21, (SELECT LINK FROM S_OBJECTS WHERE CODE='VACATION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'VAC_TEXT', NAME = '', ORDERS = '21', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='VACATION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='VAC_TEXT'
GO
EXEC X_SET_PROP 'VAC_TEXT', 'TITLE', ''
GO
EXEC X_SET_PROP 'VAC_TEXT', 'VISIBLE', '27'
GO
EXEC X_SET_PROP 'VAC_TEXT', 'CONTROLSOURCE', 'm.cAlias+".Text_dop"'
GO
EXEC X_SET_PROP 'VAC_TEXT', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'VAC_TEXT', 'STORAGE', 'DICTION_APP'
GO
EXEC X_SET_PROP 'VAC_TEXT', 'TYPE_FIELD_DICT', 'VARCHAR(500)'
GO
EXEC X_SET_PROP 'VAC_TEXT', 'SHORT_CODE_OBJ', 'Text_dop'
GO
EXEC X_SET_PROP 'VAC_TEXT', 'CONTROLSOURCE_EDIT', 'm.cAlias+".Text_dop"'
GO
EXEC X_SET_PROP 'VAC_TEXT', 'CONTROL_NAME_EDIT', 'Edit16'
GO
EXEC X_SET_PROP 'VAC_TEXT', 'REFERENCE_TO_FIELD', 'Text_dop'
GO
EXEC X_SET_PROP 'VAC_TEXT', 'ASPTYPE', 'TextBox'
GO
EXEC X_SET_PROP 'VAC_TEXT', 'ATTRIBUTES', 'style="Z-INDEX: 133; LEFT: 200px; POSITION: absolute; TOP: 392px""
Width="424px"'
GO
EXEC X_SET_PROP 'VAC_TEXT', 'LABEL_ATTRIBUTES', 'style="Z-INDEX: 132; LEFT: 24px; POSITION: absolute; TOP: 392px"'
GO
EXEC X_SET_PROP 'VAC_TEXT', 'FIELD_DATA', 'Text_dop'
GO

/****************     *************/


GO
